/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;


DROP TABLE IF EXISTS `languages`;
CREATE TABLE `languages` (
  `lang_code` varchar(8) CHARACTER SET latin1 NOT NULL,
  `lang_name` varchar(24) COLLATE utf8_unicode_ci DEFAULT NULL,
  `lang_show` varchar(32) COLLATE utf8_unicode_ci DEFAULT NULL,
  `RTL` tinyint(1) NOT NULL DEFAULT '0',
  `translated` tinyint(1) NOT NULL DEFAULT '0'
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

INSERT INTO `languages` (`lang_code`, `lang_name`, `lang_show`, `RTL`, `translated`) VALUES
('en', 'English', 'English', 0, 1),
('de', 'German', 'Deutsch', 0, 1),
('fr', 'French', 'Français', 0, 1),
('it', 'Italian', 'italiano', 0, 1),
('es', 'Spanish', 'español', 0, 1),
('pl', 'Polish', 'polski', 0, 1),
('ru', 'Russian', 'Русский язык', 0, 1),
('hi', 'Hindi', 'हिन्दी', 0, 0),
('ar', 'Arabic', 'العربية', 1, 1),
('pt', 'Portuguese', 'português', 0, 1),
('sv', 'Swedish', 'Svenska', 0, 1),
('no', 'Norwegian', 'Norsk', 0, 0),
('da', 'Danish', 'dansk', 0, 1),
('fi', 'Finnish', 'suomi', 0, 0),
('hu', 'Hungarian', 'magyar', 0, 1),
('nl', 'Dutch', 'Nederlands', 0, 1),
('sr', 'Serbian', 'српски', 0, 1),
('bg', 'Bulgarian', 'български', 0, 1),
('uk', 'Ukrainian', 'Українська', 0, 0),
('el', 'Greek', 'ελληνικά', 0, 1),
('he', 'Hebrew', 'עברית / עִבְרִית', 1, 1),
('ko', 'Korean', '한국어 [韓國語]', 0, 0),
('zh', 'Chinese (Simplified)', '中文（简体）', 0, 1),
('ja', 'Japanese', '日本語 ', 0, 1),
('tl', 'Tagalog', 'Tagalog', 0, 0),
('id', 'Indonesian', 'Bahasa Indonesia', 0, 1),
('fa', 'Farsi', 'پارسی', 1, 1),
('th', 'Thai', 'ภาษาไทย', 0, 0),
('ro', 'Romanian', 'română', 0, 1),
('tr', 'Turkish', 'Türkçe', 0, 1),
('hr', 'Croatian', 'Hrvatski', 0, 0),
('mk', 'Macedonian', 'македонски', 0, 0),
('bs', 'Bosnian', 'Bosanski', 0, 0),
('sq', 'Albanian', 'shqip', 0, 0),
('sw', 'Swahili', 'Kiswahili', 0, 0),
('hy', 'Armenian', 'Հայերէն', 0, 0),
('cs', 'Czech', 'čeština', 0, 1),
('sk', 'Slovak', 'slovenčina', 0, 1),
('cn', 'Chinese (Traditional)', '中文（繁體）', 0, 1),
('pt-br', 'Portuguese - Brazil', 'português brasileiro', 0, 1),
('vn', 'Vietnamese', 'Việt', 0, 1),
('es-ar', 'Spanish Argentina', 'español rioplatense', 0, 1),
('sl', 'Slovenian', 'slovenščina', 0, 1),
('lt', 'Lithuanian', 'lietuvių kalba', 0, 1),
('ca', 'Catalan', 'Català', 0, 0);

DROP TABLE IF EXISTS `texts`;
CREATE TABLE `texts` (
  `id` bigint(20) UNSIGNED NOT NULL,
  `lang_code` varchar(8) COLLATE utf8_unicode_ci NOT NULL DEFAULT 'en',
  `category` varchar(32) COLLATE utf8_unicode_ci NOT NULL DEFAULT 'common',
  `label` varchar(64) COLLATE utf8_unicode_ci DEFAULT NULL,
  `content` text COLLATE utf8_unicode_ci,
  `changed` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

INSERT INTO `texts` (`id`, `lang_code`, `category`, `label`, `content`, `changed`) VALUES
(1, 'en', 'common', 'lang', 'Language', '2019-08-06 06:09:56'),
(2, 'de', 'common', 'lang', 'Sprache', '2021-06-14 21:46:19'),
(3, 'fr', 'common', 'lang', 'Langue', '2020-02-14 11:05:11'),
(4, 'en', 'common', 'contact', 'Contact', '2019-08-06 06:09:56'),
(5, 'en', 'common', 'help', 'Help', '2019-08-06 06:09:56'),
(6, 'en', 'common', 'forum', 'Forum', '2019-08-06 06:09:56'),
(7, 'en', 'common', 'signin', 'Sign in', '2019-08-06 06:09:56'),
(8, 'en', 'common', 'Sign out', 'Sign out', '2019-08-06 06:09:56'),
(9, 'en', 'common', 'Seo Tools', 'Seo Tools', '2019-08-06 06:09:56'),
(10, 'en', 'common', 'Seo Plugins', 'Seo Plugins', '2019-08-06 06:09:56'),
(11, 'en', 'common', 'Support', 'Support', '2019-08-06 06:09:56'),
(12, 'en', 'common', 'Donate', 'Donate', '2019-08-06 06:09:56'),
(13, 'en', 'common', 'My Account', 'My Account', '2019-08-06 06:09:56'),
(14, 'en', 'common', 'Sign Up', 'Sign Up', '2019-08-06 06:09:56'),
(15, 'fr', 'common', 'Support', 'Support', '2020-02-14 11:05:11'),
(16, 'en', 'common', 'User Panel', 'User Panel', '2019-08-06 06:09:56'),
(17, 'en', 'common', 'Admin Panel', 'Admin Panel', '2019-08-06 06:09:56'),
(18, 'en', 'common', 'copyright', 'Copyright © [year] www.seopanel.org All rights reserved', '2019-08-06 06:09:56'),
(19, 'en', 'home', 'home_cont1', '<h1 style=\"text-align: center;margin-bottom: 30px;font-size: 19px;\">Welcome to Seo Panel - World\'s first seo control panel for multiple websites</h1>\r\n		<p>\r\n			A complete <b>open source seo control panel</b> for managing <b>search engine optimization</b> of your websites. \r\n			Seo Panel is a <b>seo tool kit</b> includes latest hot seo tools to <b>increase and track</b> the <b>performace</b> of your websites.\r\n			It is a <b>free software</b> released under <b>GNU GENERAL PUBLIC LICENSE</b>.\r\n			The main feature of seo panel is its <b>extendability</b> by using <a href=\"<?=SP_PLUGINSITE?>\" target=\"_blank\">seo plugins</a>.\r\n			Any one can easily <b>develop and install</b> required plugins for their seo panel. \r\n		</p>\r\n		<p></p>\r\n		<p>\r\n			This open source software was <b>released on January 2010</b>.\r\n			With in this <b>short period</b> of  time <b>thousands</b> of <b>web masters</b> are using this software for <b>optimizing</b> their websites.\r\n			Use seo panel today itself and <b>enjoy</b> everything related to seo under a <b>single platform</b>.\r\n		</p>', '2019-08-06 05:55:20'),
(20, 'en', 'home', 'home_cont2', '<fieldset>\r\n<legend>Major Features of Seo Panel <?=SP_INSTALLED?></legend>\r\n<ul class=\"infobox\">\r\n	<li>		\r\n		<h1>Automatic Directory Submission Tool</h1>\r\n		<p>\r\n			Automatic directory submission tool help us to <b>submit our websites</b> into to major <b>free and paid internet directories</b>.\r\n			We can also <b>track the status</b> of each submision through <b>periodical check</b> using submission <b>status checker script</b>.\r\n			<b>Directory manager</b> will help us to find out whether <b>directory is active</b> or not.\r\n		</p>\r\n	</li>\r\n	<li>		\r\n		<h1>Keyword Position Checker</h1>\r\n		<p>\r\n			Keyword position checker will find the <b>search engine position</b> of <b>targetted keywords</b> of your website and <b>stores</b> it in the system.\r\n			In keyword position reports section, we can see the <b>daily positions</b> of keywords in different search engines by <b>beautiful graphs</b> and <b>detailed reports</b>.\r\n		</p>\r\n	</li>\r\n	<li>		\r\n		<h1>Site Auditor</h1>\r\n		<p>Site Auditor will <b>audit all SEO factors</b> of each pages of a site and will give a <b>detailed report</b> about each page. This will help us to create <b>XML,HTML,TEXT</b> sitemap files of our website for <b>submit</b> to search engines.</p>\r\n	</li>\r\n	<li>		\r\n		<h1>Google and Alexa Rank Checker</h1>\r\n		<p>\r\n			Google and alexa rank checker will find <b>google pagerank</b> and <b>alexa rank</b> of our websites and <b>stores</b> it in the system.\r\n			In <b>rank reports</b> section, we can see the <b>daily</b> google and alexa rank of each website by <b>detailed reports</b>.\r\n		</p>\r\n	</li>\r\n	<li>		\r\n		<h1>Backlinks Checker</h1>\r\n		<p>\r\n			Backlinks checker will find <b>number of backlinks</b> of our websites in different search engines<b>(google,yahoo,msn etc)</b> and <b>stores</b> it in the system.\r\n			<br>In <b>backlink reports</b> section, we can see the <b>daily backlinks count</b> of each website by <b>detailed reports</b>.\r\n		</p>\r\n	</li>	\r\n	<li>		\r\n		<h1>Search Engine Saturation Checker</h1>\r\n		<p>\r\n			Search Engine Saturation checker will find <b>number of indexed pages</b> of our websites in different search engines<b>(google,yahoo,msn etc)</b> and <b>stores</b> it in the system.\r\n			In <b>search engine saturation checker reports</b> section, we can see the <b>daily indexed page count</b> of each website by <b>detailed reports</b>.\r\n		</p>\r\n	</li>\r\n	<li>		\r\n		<h1>Seo Panel Plugins</h1>\r\n		<p>\r\n			The <b>major feature</b> of seo control panel is its <b>extentability</b>.\r\n			Add <b>seo plugins</b> to your seo panel to <b>extend the features</b> according to your requirement.\r\n			<a href=\"<?=SP_PLUGINSITE?>\" target=\"_blank\">Seo panel plugins</a> are provided by both seo panel and third party sites.\r\n			You can also easily <b>develop</b> seo plugins for your seo panel.\r\n			You can <a href=\"<?=SP_PLUGINSITE?>\" target=\"_blank\">submit</a> your seo plugin to seo panel and we will <b>publish</b> it in our website after our <b>review</b> process.\r\n		</p>\r\n	</li>\r\n	<li>		\r\n		<h1>Meta Tag Generator</h1>\r\n		<p>\r\n			Meta tag generator is a <b>seo panel plugin</b> for creating <b>custom meta tags</b> for our site.\r\n			It will help us to give <b>more information</b> about our website to <b>search engine bots</b> while they crawl our website.\r\n		</p>\r\n	</li>\r\n</ul>\r\n</fieldset>', '2019-08-06 05:55:20'),
(21, 'en', 'home', 'home_cont3', '<fieldset>\r\n<legend>Seo Panel Online Resources</legend>	\r\n<ul class=\"infobox\">\r\n\r\n	<li>\r\n		<h1>Seo Panel Online Resources for Reference</h1>				\r\n		\r\n		\r\n		<p>\r\n			<a href=\"https://www.seopanel.org/\" target=\"_blank\" title=\"SEO Software\">SEO Panel Software</a>\r\n		</p>\r\n		<p>\r\n			<a href=\"<?=SP_HOSTED_LINK?>\" target=\"_blank\">Cloud Hosted Seo Panel</a>\r\n		</p>\r\n		\r\n		<p>\r\n			<a href=\"<?=SP_HELP_LINK?>\" target=\"_blank\">SEO Help Guide</a>\r\n		</p>\r\n		\r\n		<p>\r\n			<a href=\"<?=SP_FORUM_LINK?>\" target=\"_blank\">SEO Forum</a>\r\n		</p>\r\n		\r\n		<p>\r\n			<a href=\"<?=SP_SUPPORT_LINK?>\" target=\"_blank\">SEO Support</a>\r\n		</p>\r\n	</li>\r\n	\r\n</ul>\r\n</fieldset>', '2019-08-06 05:55:20'),
(13906, 'el', 'webmaster', 'Average Position', 'Μέση Θέση', '2019-01-29 06:39:00'),
(13907, 'el', 'subscription', 'Edit Email Template', 'Επεξεργασία Email Template', '2019-11-28 18:11:38'),
(13908, 'el', 'subscription', 'Email Template Manager', 'Διαχείριση Θεμάτων Email', '2019-11-28 18:11:38'),
(22, 'en', 'support', 'support_cont1', '<fieldset>\r\n<legend>Seo Panel Support System</legend>\r\n<ul class=\"infobox\">\r\n	<li>\r\n		<h1>Seo Panel All Plugin Tool kit</h1> \r\n		<p>\r\n			It includes most of the plugins developed by seo panel team for just <font class=\"success bold\" size=\"14\">$160</font> includes <b>Membership Subscription</b>,<b>themes</b> etc.\r\n		</p>		\r\n		<p>\r\n			<a href=\"https://www.seopanel.org/plugin/l/75/\" target=\"_blank\">Visit this link to order it</a>\r\n		</p>\r\n		<br>\r\n	</li>\r\n	\r\n	<li>\r\n		<h1>Local Search Engines Package</h1> \r\n		<p>\r\n			Add <b>local search engine domains</b> of google,yahoo,msn(<b>eg: www.google.de,www.google.fr etc</b>) to seo panel <b>keyword position checker</b>, to track your site perfomance locally.\r\n			To get local search engines package(according to your requirement) please <a href=\"<?=SP_DONATE_LINK?>\" target=\"_blank\">donate</a> $10 or more to improve the features of seo panel.\r\n			Before sending donation, please <a href=\"<?=SP_CONTACT_LINK?>\" target=\"_blank\">contact us</a> to provide us required search engine domain list.\r\n			<br><br>			  \r\n			Also to add <b>new search engines(eg:baidu.com)</b> to your seo panel keyword position checker, please <a href=\"<?=SP_CONTACT_LINK?>\" target=\"_blank\">contact us</a> or open a ticket in <a href=\"<?=SP_SUPPORT_LINK?>\" target=\"_blank\">support system</a>. \r\n		</p>		\r\n		<p class=\"visit\">\r\n			<a href=\"<?=SP_CONTACT_LINK?>\" target=\"_blank\">Visit this link to contact us</a>\r\n		</p>\r\n		<br>\r\n	</li>\r\n	\r\n	<li>\r\n		<h1>Seo Panel Plugins</h1> \r\n		<p>\r\n			Add <b>seo plugins</b> to your seo panel to <b>extend the features</b> according to your requirement.\r\n			<a href=\"<?=SP_PLUGINSITE?>\" target=\"_blank\">Seo panel plugins</a> are provided by both seo panel and third party sites.\r\n			You can also easily <b>develop</b> seo plugins for your seo panel.\r\n			You can <a href=\"<?=SP_PLUGINSITE?>\" target=\"_blank\">submit</a> your seo plugin to seo panel and we will <b>publish</b> it in our website after our <b>review</b> process.        \r\n		</p>		\r\n		<p>\r\n			<a href=\"<?=SP_PLUGINSITE?>\" target=\"_blank\">Visit this link to get seo panel plugins</a>\r\n		</p>\r\n		<br>\r\n	</li>	\r\n	<li>\r\n		<h1>Contact Us</h1> \r\n		<p>\r\n			Contact us for any questions about <b>seo panel tools,plugins and features etc</b> by using below link.        \r\n		</p>		\r\n		<p>\r\n			<a href=\"<?=SP_CONTACT_LINK?>\" target=\"_blank\">Visit this link to contact us</a>\r\n		</p>\r\n		<br>\r\n	</li>	\r\n	<li>\r\n		<h1>Support Tickets</h1> \r\n		<p>\r\n			To get <b>technical support</b> from seo panel team to setup the <b>seo panel tools,plugins and features</b>. Eg: To set up cron for keyword position checker.\r\n		</p>		\r\n		<p>\r\n			<a href=\"<?=SP_SUPPORT_LINK?>\" target=\"_blank\">Visit this link to create a support ticket</a>\r\n		</p>\r\n		<br>\r\n	</li>	\r\n	<li>\r\n		<h1>Report Bugs</h1> \r\n		<p>\r\n			Report <b>bugs</b> about <b>seo panel tools,plugins and features etc</b> by using below link. \r\n			please help us to improve the features in next versions.          \r\n		</p>		\r\n		<p>\r\n			<a href=\"<?=SP_SUPPORT_LINK?>\" target=\"_blank\">Visit this link to report bugs</a>\r\n		</p>\r\n		<br>\r\n	</li>	\r\n</ul>\r\n</fieldset>', '2019-08-06 06:02:01'),
(23, 'en', 'support', 'support_cont2', '<fieldset>\r\n<legend>Seo Panel Online Resources</legend>\r\n<ul class=\"infobox\">\r\n		\r\n	<li>\r\n		<h1>Seo Panel Help Guide</h1> \r\n		<p>\r\n			You can view the <a href=\"<?=SP_HELP_LINK?>\" target=\"_blank\">seo panel documentation</a> in the <b>help guide</b>, it contains the <b>documentation</b> for the seo panel tools,plugins and related features.\r\n			<br>It is the best place in internet to <b>get help</b> about seo panel. We hope that you <b>contribute</b> to the seo panel help guide, if you find errors or things missing.  	          \r\n		</p>\r\n		<p>\r\n			<a href=\"<?=SP_HELP_LINK?>\" target=\"_blank\">Visit seo panel help guide</a>\r\n		</p>\r\n		<br>\r\n	</li>	\r\n	<li>\r\n		<h1>Seo Panel Forum</h1> \r\n		<p>\r\n			A place to discuss about world\'s first open source <b>seo control panel</b>. \r\n			It is the best place to find the <b>answers</b> to <b>your questions</b> about seo panel. \r\n			<br>Also you can <b>share</b> your <b>experience</b> while using seo panel for optimizing your websites.			     	          \r\n		</p>		\r\n		<p>\r\n			<a href=\"<?=SP_FORUM_LINK?>\" target=\"_blank\">Visit seo panel forum</a>\r\n		</p>\r\n		<br>\r\n	</li>\r\n</ul>	\r\n</fieldset>', '2019-08-06 06:02:01'),
(24, 'en', 'support', 'support_cont3', '<fieldset>\r\n<legend>Donate to Seo Panel</legend>\r\n<ul class=\"infobox\">		\r\n	<li>\r\n		<h1>Donate to Seo Panel - First Open source seo control panel in the world</h1> \r\n		<p>\r\n			<b>Donate</b> to seo panel to support first open source seo control panel in the world.\r\n			We are planning to <b>add and improve</b> features of seo panel in future. \r\n			<br>With all your <b>support</b> only we can achieve our <b>goals</b>.\r\n			If you feel that seo panel is <b>worth</b> for you, please donate some amount to seo panel team.\r\n			<br>We will <b>publish</b> your name and site information in <a href=\"<?=SP_DONATE_LINK?>\" target=\"_blank\">donation page</a>, once we get donation.\r\n		</p>\r\n		<p>\r\n			<a href=\"<?=SP_DONATE_LINK?>\" target=\"_blank\">Visit this link to donate to seo panel</a>\r\n		</p>\r\n		<br>\r\n	</li>\r\n</ul>\r\n</fieldset>', '2019-08-06 06:02:01'),
(25, 'en', 'login', 'Login', 'Login', '2010-09-09 07:50:01'),
(26, 'en', 'login', 'Password', 'Password', '2010-09-09 07:50:01'),
(27, 'en', 'login', 'Register', 'Register', '2010-09-09 07:50:51'),
(46, 'en', 'login', 'User inactive', 'User inactive', '2010-09-09 08:48:22'),
(29, 'en', 'login', 'Create New Account', 'Create New Account', '2010-09-09 08:01:09'),
(30, 'en', 'login', 'Username', 'Username', '2010-09-09 08:01:09'),
(31, 'en', 'login', 'Confirm Password', 'Confirm Password', '2010-09-09 08:02:29'),
(32, 'en', 'login', 'First Name', 'First Name', '2010-09-09 08:02:29'),
(33, 'en', 'login', 'Last Name', 'Last Name', '2010-09-09 08:03:06'),
(34, 'en', 'login', 'Email', 'Email', '2010-09-09 08:03:06'),
(35, 'en', 'login', 'Enter the code as it is shown', 'Enter the code as it is shown', '2010-09-09 08:03:45'),
(36, 'en', 'login', 'Create my account', 'Create my account', '2010-09-09 08:03:45'),
(37, 'en', 'common', 'hidenews', 'Hide Seo Panel News', '2019-08-06 06:09:56'),
(38, 'en', 'common', 'Entry cannot be blank', 'Entry cannot be blank', '2019-08-06 06:09:56'),
(39, 'en', 'common', 'Invalid characters', 'Invalid characters', '2019-08-06 06:09:56'),
(40, 'en', 'common', 'entrynotvalid', 'The entry entered doesn\'t seem to be  valid', '2019-08-06 06:09:56'),
(41, 'en', 'common', 'Invalid value', 'Invalid value', '2019-08-06 06:09:56'),
(42, 'en', 'common', 'Invalid email address entered', 'Invalid email address entered', '2019-08-06 06:09:56'),
(43, 'en', 'common', 'password632', 'The password string should have a length between 6 and 32', '2019-08-06 06:09:56'),
(44, 'en', 'common', 'passwordnotmatch', 'The passwords do not match', '2019-08-06 06:09:56'),
(45, 'en', 'common', 'Invalid code entered', 'Invalid code entered', '2019-08-06 06:09:56'),
(47, 'en', 'login', 'Password incorrect', 'Password incorrect', '2010-09-09 08:48:22'),
(48, 'en', 'login', 'Login incorrect', 'Login incorrect', '2010-09-09 08:48:40'),
(49, 'en', 'login', 'emailexist', 'Email already exist!', '2010-09-09 08:52:17'),
(50, 'en', 'login', 'usernameexist', 'Username already exist!', '2010-09-09 08:52:17'),
(51, 'en', 'login', 'newaccountsuccess', 'New account created successfully!', '2010-09-09 08:52:56'),
(52, 'en', 'login', 'Sign in to your account', 'Sign in to your account', '2010-09-09 08:52:56'),
(53, 'en', 'home', 'Account Summary', 'Account Summary', '2019-08-06 05:55:20'),
(54, 'en', 'home', 'Website Statistics', 'Website Statistics', '2019-08-06 05:55:20'),
(55, 'en', 'home', 'SiteNameUrl', 'Site Name/Url', '2019-08-06 05:55:20'),
(56, 'en', 'home', 'Ranks', 'Ranks', '2019-08-06 05:55:20'),
(57, 'en', 'home', 'Backlinks', 'Backlinks', '2019-08-06 05:55:20'),
(58, 'en', 'home', 'Pages Indexed', 'Pages Indexed', '2019-08-06 05:55:20'),
(59, 'en', 'home', 'Directory Submission', 'Directory Submission', '2019-08-06 05:55:20'),
(60, 'en', 'common', 'Total', 'Total', '2019-08-06 06:09:56'),
(61, 'en', 'common', 'Active', 'Active', '2019-08-06 06:09:56'),
(62, 'en', 'common', 'nowebsites', 'No Websites Found', '2019-08-06 06:09:56'),
(63, 'en', 'common', 'Id', 'Id', '2019-08-06 06:09:56'),
(64, 'de', 'common', 'Active', 'Aktiv', '2021-06-14 21:46:19'),
(65, 'de', 'common', 'Total', 'Gesamt', '2021-06-14 21:46:19'),
(66, 'en', 'seotools', 'keyword-position-checker', 'Keyword Position Checker', '2010-09-09 09:32:00'),
(67, 'en', 'seotools', 'sitemap-generator', 'Sitemap Generator', '2010-09-09 09:32:00'),
(68, 'en', 'seotools', 'rank-checker', 'Rank Checker', '2010-09-09 09:32:17'),
(69, 'en', 'seotools', 'backlink-checker', 'Backlinks Checker', '2010-09-09 09:32:59'),
(70, 'en', 'seotools', 'directory-submission', 'Directory Submission', '2010-09-09 09:32:59'),
(71, 'en', 'seotools', 'saturation-checker', 'Search Engine Saturation', '2010-09-09 09:33:19'),
(72, 'en', 'common', 'noactivetools', 'No Active Seo Tools Found!', '2019-08-06 06:09:56'),
(73, 'en', 'seotools', 'Keyword Position Summary', 'Keyword Position Summary', '2010-09-09 09:43:22'),
(74, 'en', 'seotools', 'Detailed Position Reports', 'Detailed Position Reports', '2010-09-09 09:43:22'),
(75, 'en', 'seotools', 'Graphical Position Reports', 'Graphical Position Reports', '2010-09-09 09:43:40'),
(76, 'en', 'seotools', 'Quick Position Checker', 'Quick Position Checker', '2010-09-09 09:43:40'),
(77, 'en', 'seotools', 'Keywords Manager', 'Keywords Manager', '2010-09-09 09:44:01'),
(78, 'en', 'seotools', 'Generate Keyword Reports', 'Generate Keyword Reports', '2010-09-09 09:44:01'),
(79, 'en', 'seotools', 'Google Sitemap Generator', 'Google Sitemap Generator', '2010-09-09 09:44:20'),
(80, 'en', 'seotools', 'Quick Rank Checker', 'Quick Rank Checker', '2010-09-09 09:44:20'),
(81, 'en', 'seotools', 'Rank Reports', 'Rank Reports', '2010-09-09 09:47:08'),
(82, 'en', 'seotools', 'Generate Rank Reports', 'Generate Rank Reports', '2010-09-09 09:47:08'),
(83, 'en', 'seotools', 'Quick Backlinks Checker', 'Quick Backlinks Checker', '2010-09-09 09:47:25'),
(84, 'en', 'seotools', 'Backlinks Reports', 'Backlinks Reports', '2010-09-09 09:47:25'),
(86, 'en', 'seotools', 'Generate Backlinks Reports', 'Generate Backlinks Reports', '2010-09-09 09:48:45'),
(87, 'en', 'seotools', 'Automatic Submission', 'Automatic Submission', '2010-09-09 09:48:45'),
(88, 'en', 'seotools', 'Featured Submission', 'Featured Submission', '2010-09-09 09:49:45'),
(89, 'en', 'seotools', 'Skipped Directories', 'Skipped Directories', '2010-09-09 09:49:45'),
(90, 'en', 'seotools', 'Submission Reports', 'Submission Reports', '2010-09-09 09:49:45'),
(91, 'en', 'seotools', 'Check Submission Status', 'Check Submission Status', '2010-09-09 09:49:45'),
(92, 'en', 'seotools', 'Quick Saturation Checker', 'Quick Saturation Checker', '2010-09-09 09:49:45'),
(93, 'en', 'seotools', 'Saturation Reports', 'Saturation Reports', '2010-09-09 09:50:06'),
(94, 'en', 'seotools', 'Generate Saturation Reports', 'Generate Saturation Reports', '2010-09-09 09:50:06'),
(95, 'en', 'common', 'Website', 'Website', '2019-08-06 06:09:56'),
(96, 'en', 'common', 'Keyword', 'Keyword', '2019-08-06 06:09:56'),
(97, 'en', 'common', 'No Keywords Found', 'No Keywords Found', '2019-08-06 06:09:56'),
(98, 'en', 'common', 'No Records Found', 'No Records Found', '2019-08-06 06:09:56'),
(99, 'en', 'common', 'Period', 'Period', '2019-08-06 06:09:56'),
(100, 'en', 'common', 'Search Engine', 'Search Engine', '2019-08-06 06:09:56'),
(101, 'en', 'common', 'Country', 'Country', '2019-08-06 06:09:56'),
(102, 'en', 'keyword', 'Detailed Keyword Position Reports', 'Detailed Keyword Position Reports', '2010-09-10 07:57:06'),
(103, 'en', 'common', 'Results', 'Results', '2019-08-06 06:09:56'),
(104, 'en', 'common', 'Rank', 'Rank', '2019-08-06 06:09:56'),
(105, 'en', 'common', 'Date', 'Date', '2019-08-06 06:09:56'),
(106, 'de', 'common', 'Date', 'Datum', '2021-06-14 21:46:19'),
(107, 'de', 'common', 'Rank', 'Rang', '2021-06-14 21:46:19'),
(108, 'en', 'keyword', 'Graphical Keyword Position Reports', 'Graphical Keyword Position Reports', '2010-09-10 08:26:06'),
(109, 'en', 'keyword', 'Keyword Position Report', 'Keyword Position Report', '2010-09-10 08:35:16'),
(110, 'en', 'keyword', 'Quick Keyword Position Checker', 'Quick Keyword Position Checker', '2010-09-10 08:45:24'),
(111, 'en', 'keyword', 'Show All results', 'Show All results', '2010-09-10 08:46:12'),
(112, 'en', 'seotools', 'clickgeneratereports', 'Click on <b>Proceed</b> to generate reports', '2010-09-10 08:50:57'),
(113, 'en', 'common', 'Details', 'Details', '2019-08-06 06:09:56'),
(114, 'en', 'Common', 'Name', 'Name', '2019-08-06 06:09:56'),
(115, 'en', 'common', 'Status', 'Status', '2019-08-06 06:09:56'),
(116, 'en', 'common', 'Action', 'Action', '2019-08-06 06:09:56'),
(117, 'en', 'common', 'Inactivate', 'Inactivate', '2019-08-06 06:09:56'),
(118, 'en', 'common', 'Activate', 'Activate', '2019-08-06 06:09:56'),
(119, 'en', 'common', 'Select', 'Select', '2019-08-06 06:09:56'),
(120, 'en', 'common', 'Edit', 'Edit', '2019-08-06 06:09:56'),
(121, 'en', 'common', 'Delete', 'Delete', '2019-08-06 06:09:56'),
(122, 'en', 'common', 'Reports', 'Reports', '2019-08-06 06:09:56'),
(123, 'en', 'common', 'All', 'All', '2019-08-06 06:09:56'),
(124, 'en', 'common', 'Inactive', 'Inactive', '2019-08-06 06:09:56'),
(125, 'de', 'common', 'Edit', 'Bearbeiten', '2021-06-14 21:46:19'),
(126, 'de', 'common', 'Delete', 'Löschen', '2021-06-14 21:46:19'),
(127, 'en', 'keyword', 'Edit Keyword', 'Edit Keyword', '2010-09-11 07:46:49'),
(128, 'en', 'keyword', 'Keyword already exist', 'Keyword already exist', '2010-09-11 08:06:04'),
(129, 'en', 'keyword', 'New Keyword', 'New Keyword', '2010-09-11 08:08:04'),
(130, 'en', 'keyword', 'Successfully crawled keyword', 'Successfully crawled keyword', '2010-09-11 08:28:06'),
(131, 'en', 'keyword', 'results from ', 'results from ', '2010-09-11 08:28:06'),
(132, 'en', 'keyword', 'not assigned to required search engines', 'not assigned to required search engines', '2010-09-11 08:32:25'),
(133, 'en', 'keyword', 'Crawling keyword', 'Crawling keyword', '2010-09-11 08:32:44'),
(134, 'en', 'common', 'failed', 'failed', '2019-08-06 06:09:56'),
(135, 'en', 'sitemap', 'processtaketime', 'This process will take time according to number of links in your site. Please wait to get sitemap files', '2010-09-11 08:48:08'),
(136, 'en', 'sitemap', 'clickproceedsitemap', 'Click on <b>Proceed</b> to create sitemap file', '2010-09-11 08:48:34'),
(137, 'en', 'sitemap', 'Exclude Url', 'Exclude Url', '2010-09-11 08:48:34'),
(138, 'en', 'common', 'Priority', 'Priority', '2019-08-06 06:09:56'),
(139, 'en', 'sitemap', 'Change frequency', 'Change frequency', '2010-09-11 08:48:56'),
(140, 'en', 'sitemap', 'Sitemap Type', 'Sitemap Type', '2010-09-11 08:49:10'),
(141, 'en', 'sitemap', 'Download sitemap file from', 'Download sitemap file from', '2010-09-11 09:26:47'),
(142, 'en', 'common', 'Found', 'Found', '2019-08-06 06:09:56'),
(143, 'en', 'rank', 'enterurlproceed', 'Enter URL\'s <b>One per line</b>. Click on <b>Proceed</b> to check Google and Alexa rank.', '2010-09-14 08:26:31'),
(144, 'en', 'common', 'Url', 'Url', '2019-08-06 06:09:56'),
(145, 'en', 'common', 'Google Pagerank', 'Google Pagerank', '2019-08-06 06:09:56'),
(146, 'en', 'common', 'Alexa Rank', 'Alexa Rank', '2019-08-06 06:09:56'),
(147, 'en', 'rank', 'Google and Alexa Rank Reports', 'Google and Alexa Rank Reports', '2010-09-14 08:32:24'),
(148, 'en', 'rank', 'Saved rank results of', 'Saved rank results of', '2010-09-14 08:44:40'),
(149, 'en', 'backlink', 'clickproceedbacklink', 'Enter URL\'s <b>One per line</b>. Click on <b>Proceed</b> to check Backlinks.', '2010-09-14 08:51:24'),
(150, 'en', 'backlink', 'Saved backlink results of', 'Saved backlink results of', '2010-09-14 09:04:29'),
(151, 'en', 'saturation', 'Quick Search Engine Saturation Checker', 'Quick Search Engine Saturation Checker', '2010-09-14 09:07:59'),
(152, 'en', 'saturation', 'clickproceedsaturation', 'Enter URL\'s <b>One per line</b>. Click on <b>Proceed</b> to check Search Engine Saturation Results', '2010-09-14 09:09:39'),
(153, 'en', 'saturation', 'Search Engine Saturation Reports', 'Search Engine Saturation Reports', '2010-09-14 09:12:33'),
(154, 'en', 'saturation', 'GenerateSaturationReports', 'Generate Search Engine Saturation Reports', '2010-09-14 09:16:59'),
(155, 'en', 'saturation', 'Saved Search Engine Saturation results of', 'Saved Search Engine Saturation results of', '2010-09-14 09:19:31'),
(156, 'en', 'directory', 'Semi Automatic Directory Submission Tool', 'Semi Automatic Directory Submission Tool', '2010-09-14 09:24:11'),
(157, 'en', 'directory', 'Directories with out captcha', 'Directories with out captcha', '2010-09-14 09:24:25'),
(158, 'en', 'directory', 'selectwebsiteproceed', 'Select a <b>Website</b> to <b>Proceed</b> directory submission.<br>Check <b>Directories with out captcha</b> to submit to directories with out captcha', '2010-09-14 09:26:51'),
(159, 'en', 'directory', 'Please select a website to proceed', 'Please select a website to proceed', '2010-09-14 09:27:39'),
(160, 'en', 'common', 'Crawl Meta Data', 'Crawl Meta Data', '2019-08-06 06:09:56'),
(161, 'en', 'directory', 'Submission Details', 'Submission Details', '2010-09-15 07:54:18'),
(162, 'en', 'directory', 'Owner Name', 'Owner Name', '2010-09-15 07:54:18'),
(163, 'en', 'directory', 'Owner Email', 'Owner Email', '2010-09-15 07:55:08'),
(164, 'en', 'directory', 'spamemailnote', 'Some directories may send spam, we do not recommend using your primary email address.', '2010-09-15 07:55:08'),
(165, 'en', 'directory', 'Website Category', 'Website Category', '2010-09-15 07:58:00'),
(166, 'en', 'directory', 'categorynote', 'Categories, separate them with comma according to the priority. Start with Top priority category.', '2010-09-15 07:58:00'),
(167, 'en', 'directory', 'Website Url', 'Website Url', '2010-09-15 07:58:33'),
(168, 'en', 'directory', 'Submit Title', 'Submit Title', '2010-09-15 07:58:33'),
(169, 'en', 'directory', 'Submit Description', 'Submit Description', '2010-09-15 08:01:23'),
(170, 'en', 'directory', 'Submit Keywords', 'Submit Keywords', '2010-09-15 08:01:23'),
(171, 'en', 'directory', 'optionalnote', 'Optional titles and descriptions to submit random title and description to directories for better results.', '2010-09-15 08:02:11'),
(172, 'en', 'directory', 'desnote', 'Some directories require minimum 150 characters for the description field.', '2010-09-15 08:06:57'),
(173, 'en', 'common', 'Category', 'Category', '2019-08-06 06:09:56'),
(174, 'en', 'directory', 'Enter the code shown', 'Enter the code shown', '2010-09-15 08:15:38'),
(175, 'en', 'directory', 'nodirnote', 'No <b>Active</b> directories Found', '2010-09-15 08:17:08'),
(176, 'en', 'directory', 'nocatnote', 'The submission category not found in submission page. Please click on <b>Reload</b> or <b>Skip</b>', '2010-09-15 08:22:50'),
(177, 'en', 'directory', 'nosuccessnote', 'Didn\'t get success message, Please check your mail to find the confirm message', '2010-09-15 08:27:40'),
(179, 'en', 'common', 'Directory', 'Directory', '2019-08-06 06:09:56'),
(181, 'en', 'directory', 'Add back to directory list', 'Add back to directory list', '2010-09-15 08:42:58'),
(182, 'en', 'directory', 'Directory Submission Reports', 'Directory Submission Reports', '2010-09-15 08:43:47'),
(183, 'en', 'directory', 'Confirmation', 'Confirmation', '2010-09-15 08:48:25'),
(184, 'en', 'directory', 'Pending', 'Pending', '2010-09-15 08:49:14'),
(185, 'en', 'directory', 'Approved', 'Approved', '2010-09-15 08:49:14'),
(247, 'en', 'proxy', 'Proxy Username', 'Proxy Username', '2010-09-17 08:26:36'),
(187, 'en', 'common', 'No', 'No', '2019-08-06 06:09:56'),
(188, 'en', 'common', 'Yes', 'Yes', '2019-08-06 06:09:56'),
(189, 'en', 'directory', 'Check Directory Submission Status', 'Check Directory Submission Status', '2010-09-15 08:53:21'),
(190, 'en', 'directory', 'selectwebsiteschecksub', 'Select a <b>Website</b> to <b>Proceed</b> check directory submission.', '2010-09-15 08:56:22'),
(191, 'en', 'panel', 'Website Manager', 'Website Manager', '2010-09-15 09:14:20'),
(192, 'en', 'panel', 'User Manager', 'User Manager', '2010-09-15 09:14:20'),
(193, 'en', 'panel', 'Reports Manager', 'Reports Manager', '2010-09-15 09:14:37'),
(194, 'en', 'panel', 'Seo Tools Manager', 'Seo Tools Manager', '2010-09-15 09:14:37'),
(195, 'en', 'panel', 'Seo Plugins Manager', 'Seo Plugins Manager', '2010-09-15 09:14:56'),
(196, 'en', 'panel', 'Directory Manager', 'Directory Manager', '2010-09-15 09:14:56'),
(197, 'en', 'panel', 'Proxy Manager', 'Proxy Manager', '2010-09-15 09:15:14'),
(198, 'en', 'panel', 'System Settings', 'System Settings', '2010-09-15 09:15:14'),
(199, 'en', 'panel', 'My Profile', 'My Profile', '2010-09-15 09:15:25'),
(200, 'en', 'panel', 'New Website', 'New Website', '2010-09-15 09:24:04'),
(201, 'en', 'panel', 'New User', 'New User', '2010-09-15 09:24:04'),
(202, 'en', 'panel', 'Report Generation Manager', 'Report Generation Manager', '2010-09-15 09:25:41'),
(203, 'en', 'panel', 'New Proxy', 'New Proxy', '2010-09-15 09:25:51'),
(204, 'en', 'panel', 'Check Directory', 'Check Directory', '2010-09-15 09:26:31'),
(205, 'en', 'panel', 'Edit My Profile', 'Edit My Profile', '2010-09-15 09:26:53'),
(206, 'de', 'common', 'Select', 'Wählen', '2021-06-14 21:46:19'),
(207, 'en', 'common', 'User', 'User', '2019-08-06 06:09:56'),
(208, 'en', 'button', 'Cancel', 'Cancel', '2010-09-16 06:19:25'),
(209, 'en', 'button', 'Proceed', 'Proceed', '2010-09-16 06:19:25'),
(210, 'en', 'website', 'plscrtwebsite', 'Please create a website before start to using seo tools and seo plugins.', '2010-09-16 06:29:11'),
(211, 'en', 'website', 'yourwebalreday', 'your website if you have already created one.', '2010-09-16 06:34:08'),
(216, 'en', 'website', 'Website already exist', 'Website already exist', '2010-09-16 07:15:40'),
(213, 'en', 'label', 'Title', 'Title', '2010-09-16 06:43:26'),
(214, 'en', 'label', 'Description', 'Description', '2010-09-16 06:43:50'),
(215, 'en', 'label', 'Keywords', 'Keywords', '2010-09-16 06:43:50'),
(217, 'en', 'website', 'Edit Website', 'Edit Website', '2010-09-16 07:18:48'),
(218, 'en', 'user', 'Edit User', 'Edit User', '2010-09-16 07:40:32'),
(219, 'en', 'keyword', 'pleaseselecttool', 'Please select atleast one Seo Tools', '2010-09-16 08:41:49'),
(230, 'en', 'label', 'Upgrade', 'Upgrade', '2010-09-16 09:18:29'),
(229, 'en', 'label', 'Installation', 'Installation', '2010-09-16 09:15:16'),
(227, 'en', 'label', 'Plugin', 'Plugin', '2010-09-16 09:13:44'),
(228, 'en', 'label', 'Author', 'Author', '2010-09-16 09:14:09'),
(225, 'en', 'label', 'Cron', 'Cron', '2010-09-16 09:05:44'),
(226, 'en', 'seotools', 'User Access', 'User Access', '2010-09-16 09:06:49'),
(231, 'en', 'label', 'Re-install', 'Re-install', '2010-09-16 09:18:29'),
(232, 'en', 'plugin', 'Edit Seo Plugin', 'Edit Seo Plugin', '2010-09-16 09:19:06'),
(233, 'en', 'plugin', 'Plugin Name', 'Plugin Name', '2010-09-16 09:20:15'),
(234, 'en', 'plugin', 'Seo Plugin Details', 'Seo Plugin Details', '2010-09-16 09:26:18'),
(235, 'en', 'label', 'Version', 'Version', '2010-09-16 09:26:52'),
(237, 'en', 'directory', 'Captcha', 'Captcha', '2010-09-16 09:36:37'),
(238, 'en', 'button', 'Show Records', 'Show Records', '2010-09-16 09:38:21'),
(239, 'de', 'common', 'Yes', 'Ja', '2021-06-14 21:46:19'),
(240, 'de', 'common', 'No', 'Nein', '2021-06-14 21:46:19'),
(241, 'en', 'directory', 'Check Directory Status', 'Check Directory Status', '2010-09-16 09:51:36'),
(242, 'en', 'directory', 'clicktoproceeddirsts', 'Click on <b>Proceed</b> to Check Directory Status.', '2010-09-16 09:54:05'),
(243, 'en', 'label', 'Proxy', 'Proxy', '2010-09-17 07:51:18'),
(244, 'en', 'label', 'Port', 'Port', '2010-09-17 07:51:18'),
(245, 'en', 'label', 'Authentication', 'Authentication', '2010-09-17 07:51:41'),
(246, 'en', 'button', 'Check Status', 'Check Status', '2010-09-17 07:53:35'),
(248, 'en', 'proxy', 'Proxy Password', 'Proxy Password', '2010-09-17 08:26:36'),
(249, 'en', 'proxy', 'Proxyalreadyexist', 'Proxy already exist!', '2010-09-17 08:30:31'),
(250, 'en', 'proxy', 'Edit Proxy', 'Edit Proxy', '2010-09-17 08:41:24'),
(251, 'en', 'settings', 'SP_TITLE', 'Seo Panel Title', '2018-01-22 19:59:29'),
(252, 'en', 'settings', 'SP_DESCRIPTION', 'Seo Panel Description', '2018-01-22 19:59:29'),
(253, 'en', 'settings', 'SP_KEYWORDS', 'Seo Panel Keywords', '2018-01-22 19:59:29'),
(254, 'en', 'settings', 'SP_PAGINGNO', 'Number of entries per page', '2018-01-22 19:59:29'),
(255, 'en', 'settings', 'SP_CRAWL_DELAY', 'Delay between each spider crawl(seconds)', '2018-01-22 19:59:29'),
(256, 'en', 'settings', 'SP_USER_GEN_REPORT', 'Allow user to generate reports', '2018-01-22 19:59:29'),
(257, 'en', 'settings', 'SP_HOTLINKING', 'Image hotlink protection enabled', '2018-01-22 19:59:29'),
(258, 'en', 'settings', 'SP_USER_REGISTRATION', 'User registration interface', '2018-01-22 19:59:29'),
(259, 'en', 'settings', 'SP_ENABLE_PROXY', 'Enable Proxy', '2018-01-22 19:59:29'),
(260, 'en', 'settings', 'syssettingssaved', 'System settings saved successfully!', '2018-01-22 19:59:29'),
(261, 'en', 'user', 'Saved My Profile Details', 'Saved My Profile Details', '2010-09-17 09:36:33'),
(262, 'en', 'button', 'Show Details', 'Show Details', '2010-09-17 10:22:10'),
(263, 'en', 'button', 'Skip', 'Skip', '2010-09-17 10:25:35'),
(264, 'en', 'button', 'Submit', 'Submit', '2010-09-17 10:25:35'),
(265, 'en', 'button', 'Reload', 'Reload', '2010-09-17 10:25:50'),
(266, 'en', 'label', 'wantproceed', 'Do you really want to proceed?', '2010-09-18 06:53:29'),
(267, 'de', 'label', 'wantproceed', 'Wollen Sie wirklich fortfahren?', '2021-01-06 10:13:08'),
(268, 'en', 'label', 'translation by', 'translation by', '2010-09-18 07:29:51'),
(269, 'en', 'label', 'Download', 'Download', '2010-09-18 07:36:36'),
(270, 'en', 'label', 'noactiveplugins', 'No Active Seo Plugins Found!', '2010-09-18 09:52:57'),
(271, 'de', 'backlink', 'clickproceedbacklink', '<b>Pro Zeile</b> eine URL angeben. Auf <b>Starten</b> klicken um Backlinks zu prüfen.', '2021-06-14 21:47:48'),
(272, 'de', 'backlink', 'Saved backlink results of', 'Backlink-Ergebnisse gespeichert ', '2021-06-14 21:47:48'),
(273, 'es', 'backlink', 'clickproceedbacklink', 'Introduzca las URL, <b>una por línea</b>. Haga clic en <b>Continuar</b> para comprobar los backlinks.', '2012-05-31 10:35:06'),
(274, 'es', 'backlink', 'Saved backlink results of', 'Se han guardado los resultados de ', '2012-05-31 10:35:06'),
(275, 'fr', 'backlink', 'clickproceedbacklink', 'Indiquer <b>une URL par ligne</b>. Cliquer sur <b>Valider</b> pour vérifier les liens entrants.', '2010-09-27 10:14:29'),
(276, 'fr', 'backlink', 'Saved backlink results of', 'Résultats enregistrés des liens entrants de ', '2010-09-27 10:14:29'),
(277, 'fr', 'website', 'Edit Website', 'Editer le site web', '2019-03-28 14:44:58'),
(278, 'fr', 'website', 'plscrtwebsite', 'Merci de créer un site web avant d\'utiliser les outils et plugins seo.', '2019-03-28 14:44:58'),
(279, 'fr', 'website', 'Website already exist', 'Le site web existe déjà.', '2019-03-28 14:44:58'),
(280, 'fr', 'website', 'yourwebalreday', 'votre site web si vous en avez déjà créé un.', '2019-03-28 14:44:58'),
(281, 'es', 'button', 'Cancel', 'Cancelar', '2014-01-08 19:34:14'),
(282, 'es', 'button', 'Check Status', 'Comprobar estado', '2014-01-08 19:34:14'),
(283, 'es', 'button', 'Proceed', 'Proceder', '2014-01-08 19:34:14'),
(284, 'es', 'button', 'Reload', 'Reintentar', '2014-01-08 19:34:14'),
(285, 'es', 'button', 'Show Details', 'Mostrar detalles', '2014-01-08 19:34:14'),
(286, 'es', 'button', 'Show Records', 'Mostrar registros', '2014-01-08 19:34:14'),
(287, 'es', 'button', 'Skip', 'Omitir', '2014-01-08 19:34:14'),
(288, 'es', 'button', 'Submit', 'Enviar', '2014-01-08 19:34:14'),
(289, 'es', 'common', 'Action', 'Acción', '2019-05-25 18:49:48'),
(290, 'es', 'common', 'Activate', 'Activar', '2019-05-25 18:49:48'),
(291, 'es', 'common', 'Active', 'Activo', '2019-05-25 18:49:48'),
(292, 'es', 'common', 'Admin Panel', 'Panel de administración', '2019-05-25 18:49:48'),
(293, 'es', 'common', 'Alexa Rank', 'Rango Alexa', '2019-05-25 18:49:48'),
(294, 'es', 'common', 'All', 'Todos', '2019-05-25 18:49:48'),
(295, 'es', 'common', 'Category', 'Categoría', '2019-05-25 18:49:48'),
(296, 'es', 'common', 'contact', 'Contacto', '2019-05-25 18:49:48'),
(297, 'es', 'common', 'copyright', 'Derechos de autor © [year] www.seopanel.in Reservados todos los derechos', '2019-05-25 18:49:48'),
(298, 'es', 'common', 'Country', 'País', '2019-05-25 18:49:48'),
(299, 'es', 'common', 'Crawl Meta Data', 'Rastrear Meta Etiquetas', '2019-05-25 18:49:48'),
(300, 'es', 'common', 'Date', 'Fecha', '2019-05-25 18:49:48'),
(301, 'es', 'common', 'Delete', 'Borrar', '2019-05-25 18:49:48'),
(302, 'es', 'common', 'Details', 'Detalles', '2019-05-25 18:49:48'),
(303, 'es', 'common', 'Directory', 'Directorio', '2019-05-25 18:49:48'),
(304, 'es', 'common', 'Donate', 'Donar', '2019-05-25 18:49:48'),
(305, 'es', 'common', 'Edit', 'Editar', '2019-05-25 18:49:48'),
(306, 'es', 'common', 'Entry cannot be blank', 'La entrada no puede estar en blanco', '2019-05-25 18:49:48'),
(307, 'es', 'common', 'entrynotvalid', 'La entrada realizada parece no ser válida.', '2019-05-25 18:49:48'),
(308, 'es', 'common', 'failed', 'ha fallado', '2019-05-25 18:49:48'),
(309, 'es', 'common', 'forum', 'Foro', '2019-05-25 18:49:48'),
(310, 'es', 'common', 'Found', 'Encontrado', '2019-05-25 18:49:48'),
(311, 'es', 'common', 'Google Pagerank', 'Google Pagerank', '2019-05-25 18:49:48'),
(312, 'es', 'common', 'help', 'Ayuda', '2019-05-25 18:49:48'),
(313, 'es', 'common', 'hidenews', 'Ocultar las noticias del panel Seo.', '2019-05-25 18:49:48'),
(314, 'es', 'common', 'Id', 'Id', '2019-05-25 18:49:48'),
(315, 'es', 'common', 'Inactivate', 'Desactivar', '2019-05-25 18:49:48'),
(316, 'es', 'common', 'Inactive', 'Inactivo', '2019-05-25 18:49:48'),
(317, 'es', 'common', 'Invalid characters', 'Caracteres no válidos', '2019-05-25 18:49:48'),
(318, 'es', 'common', 'Invalid code entered', 'el código es incorrecto', '2019-05-25 18:49:48'),
(319, 'es', 'common', 'Invalid email address entered', 'Entró una dirección de correo electrónico inválida', '2019-05-25 18:49:48'),
(320, 'es', 'common', 'Invalid value', 'Valor no válido', '2019-05-25 18:49:48'),
(321, 'es', 'common', 'Keyword', 'Palabra clave', '2019-05-25 18:49:48'),
(322, 'es', 'common', 'lang', 'Idioma', '2019-05-25 18:49:48'),
(323, 'es', 'common', 'My Account', 'Mi Cuenta', '2019-05-25 18:49:48'),
(324, 'es', 'common', 'Name', 'Nombre', '2019-05-25 18:49:48'),
(325, 'es', 'common', 'No', 'No', '2019-05-25 18:49:48'),
(326, 'es', 'common', 'No Keywords Found', 'No hay palabras clave encontradas', '2019-05-25 18:49:48'),
(327, 'es', 'common', 'No Records Found', 'No se encontraron registros', '2019-05-25 18:49:48'),
(328, 'es', 'common', 'noactivetools', 'No se encontraron Herramientas Seo activas.', '2019-05-25 18:49:48'),
(329, 'es', 'common', 'nowebsites', 'No se encontraron páginas web', '2019-05-25 18:49:48'),
(330, 'es', 'common', 'password632', 'La contraseña debe tener una longitud de entre 6 y 32', '2019-05-25 18:49:48'),
(331, 'es', 'common', 'passwordnotmatch', 'Las contraseñas no coinciden', '2019-05-25 18:49:48'),
(332, 'es', 'common', 'Period', 'Periodo', '2019-05-25 18:49:48'),
(333, 'es', 'common', 'Priority', 'Prioridad', '2019-05-25 18:49:48'),
(334, 'es', 'common', 'Rank', 'Rango', '2019-05-25 18:49:48'),
(335, 'es', 'common', 'Reports', 'Informes', '2019-05-25 18:49:48'),
(336, 'es', 'common', 'Results', 'Resultados', '2019-05-25 18:49:48'),
(337, 'es', 'common', 'Search Engine', 'Motor de búsqueda', '2019-05-25 18:49:48'),
(338, 'es', 'common', 'Select', 'Seleccionar', '2019-05-25 18:49:48'),
(339, 'es', 'common', 'Seo Plugins', 'Plugins Seo', '2019-05-25 18:49:48'),
(340, 'es', 'common', 'Seo Tools', 'Herramientas Seo', '2019-05-25 18:49:48'),
(341, 'es', 'common', 'Sign out', 'Salir', '2019-05-25 18:49:48'),
(342, 'es', 'common', 'Sign Up', 'Regístrate', '2019-05-25 18:49:48'),
(343, 'es', 'common', 'signin', 'Registrarse', '2019-05-25 18:49:48'),
(344, 'es', 'common', 'Status', 'Estado', '2019-05-25 18:49:48'),
(345, 'es', 'common', 'Support', 'Apoyo', '2019-05-25 18:49:48'),
(346, 'es', 'common', 'Total', 'Total', '2019-05-25 18:49:48'),
(347, 'es', 'common', 'Url', 'Url', '2019-05-25 18:49:48'),
(348, 'es', 'common', 'User', 'Usuario', '2019-05-25 18:49:48'),
(349, 'es', 'common', 'User Panel', 'Panel de usuario', '2019-05-25 18:49:48'),
(350, 'es', 'common', 'Website', 'Página web', '2019-05-25 18:49:48'),
(351, 'es', 'common', 'Yes', 'Sí', '2019-05-25 18:49:48'),
(352, 'es', 'directory', 'Add back to directory list', 'Añadir de nuevo a la lista de directorios', '2012-05-31 10:35:43'),
(353, 'es', 'directory', 'Approved', 'Aprobado', '2012-05-31 10:35:43'),
(354, 'es', 'directory', 'Captcha', 'Código anti-Spam', '2012-05-31 10:35:43'),
(355, 'es', 'directory', 'categorynote', 'Categorías, separadas con comas según la prioridad. Comience con categoría de máxima prioridad.', '2012-05-31 10:35:43'),
(356, 'es', 'directory', 'Check Directory Status', 'Comprobar el estado del directorio', '2012-05-31 10:35:43'),
(357, 'es', 'directory', 'Check Directory Submission Status', 'Comprobar el estado de las páginas enviadas a los directorios', '2012-05-31 10:35:43'),
(358, 'es', 'directory', 'clicktoproceeddirsts', 'Hacer clic en <b>Proceder</b> para comprobar el estado del directorio.', '2012-05-31 10:35:43'),
(359, 'es', 'directory', 'Confirmation', 'Confirmación', '2012-05-31 10:35:43'),
(360, 'es', 'directory', 'desnote', 'Algunos directorios requieren como mínimo 150 caracteres para el campo de descripción.', '2012-05-31 10:35:43'),
(361, 'es', 'directory', 'Directories with out captcha', 'Directorios sin captcha o Anti-spam', '2012-05-31 10:35:43'),
(362, 'es', 'directory', 'Directory Submission Reports', 'Informe de los envios a directorios.', '2012-05-31 10:35:43'),
(363, 'es', 'directory', 'Enter the code shown', 'Introduzca el código que se muestra', '2012-05-31 10:35:43'),
(364, 'es', 'directory', 'nocatnote', 'La categoría que configuró no se encuentra en el directorio de destino. Por favor, haga clic en <b>Recargar</b> o <b>Omitir</b>', '2012-05-31 10:35:43'),
(365, 'es', 'directory', 'nodirnote', 'Ningún directorio <b>Activo</b> fue encontrado', '2012-05-31 10:35:43'),
(366, 'es', 'directory', 'nosuccessnote', '¿No hemos recibido confirmación de que su envío haya sido exitoso, por favor revise su correo para encontrar el mensaje de confirmación.', '2012-05-31 10:35:43'),
(367, 'es', 'directory', 'optionalnote', 'Títulos opcionales y descripciones a presentar.Use diferentes títulos y descripciones que nosotros enviaremos al azar para mejorar los resultados.', '2012-05-31 10:35:43'),
(368, 'es', 'directory', 'Owner Email', 'Correo electrónico del propietario', '2012-05-31 10:35:43'),
(369, 'es', 'directory', 'Owner Name', 'Nombre del propietario', '2012-05-31 10:35:43'),
(370, 'es', 'directory', 'Pending', 'Pendiente', '2012-05-31 10:35:43'),
(371, 'es', 'directory', 'Please select a website to proceed', 'Por favor, seleccione una página web para proceder', '2012-05-31 10:35:43'),
(372, 'es', 'directory', 'selectwebsiteproceed', 'Seleccione una <b>Página web</b> para <b>Proceder</b> a el envio del directorio.<br>Seleccione los <b>Directorios sin\r\ncaptcha</b> para enviar solo a directorios sin captcha o anti-spam', '2012-05-31 10:35:43'),
(373, 'es', 'directory', 'selectwebsiteschecksub', 'Seleccione una <b>página web</b> para <b>Proceder</b> Comprobar el envio al directorio.', '2012-05-31 10:35:43'),
(374, 'es', 'directory', 'Semi Automatic Directory Submission Tool', 'Herramienta semiautomática de envío a los directorios.', '2012-05-31 10:35:43'),
(375, 'es', 'directory', 'spamemailnote', 'Algunos directorios le pueden enviar spam, no recomendamos el uso de su dirección de correo electrónico principal.', '2012-05-31 10:35:43'),
(376, 'es', 'directory', 'Submission Details', 'Envio de los detalles', '2012-05-31 10:35:43'),
(377, 'es', 'directory', 'Submit Description', 'Enviar descripción', '2012-05-31 10:35:43'),
(378, 'es', 'directory', 'Submit Keywords', 'Enviar palabras clave', '2012-05-31 10:35:43'),
(379, 'es', 'directory', 'Submit Title', 'Enviar el título', '2012-05-31 10:35:43'),
(380, 'es', 'directory', 'Website Category', 'Categoría del sitio web', '2012-05-31 10:35:43'),
(381, 'es', 'directory', 'Website Url', 'URL del sitio web', '2012-05-31 10:35:43'),
(382, 'fr', 'user', 'Edit User', 'Editer le profil', '2016-01-02 18:14:56'),
(383, 'fr', 'user', 'Saved My Profile Details', 'Votre profil a été sauvegardé.', '2016-01-02 18:14:56'),
(384, 'fr', 'sitemap', 'Change frequency', 'Modifier la fréquence', '2019-03-28 14:40:01'),
(385, 'fr', 'sitemap', 'clickproceedsitemap', 'Cliquer sur <b>Valider</b> pour créer le fichier sitemap', '2019-03-28 14:40:01'),
(386, 'fr', 'sitemap', 'Download sitemap file from', 'Télécharger le fichier sitemap depuis', '2019-03-28 14:40:01'),
(387, 'fr', 'sitemap', 'Exclude Url', 'URL à exclure', '2019-03-28 14:40:01'),
(388, 'fr', 'sitemap', 'processtaketime', 'Le temps de traitement dépends du nombre de liens sur votre site. Merci de patienter pendant la génération du sitemap.', '2019-03-28 14:40:01'),
(389, 'fr', 'sitemap', 'Sitemap Type', 'Type de sitemap', '2019-03-28 14:40:01'),
(390, 'fr', 'login', 'Confirm Password', 'Confirmer le mot de passe', '2019-03-28 12:14:28'),
(391, 'fr', 'login', 'Create my account', 'Créer mon compte', '2019-03-28 12:14:28'),
(392, 'fr', 'login', 'Create New Account', 'Créer un nouveau compte', '2019-03-28 12:14:28'),
(393, 'fr', 'login', 'Email', 'Email', '2019-03-28 12:14:28'),
(394, 'fr', 'login', 'emailexist', 'L\'adresse mail existe déjà !', '2019-03-28 12:14:28'),
(395, 'fr', 'login', 'Enter the code as it is shown', 'Veuillez saisir le code qui apparait', '2019-03-28 12:14:28'),
(396, 'fr', 'login', 'First Name', 'Prénom', '2019-03-28 12:14:28'),
(397, 'fr', 'login', 'Last Name', 'Nom', '2019-03-28 12:14:28'),
(398, 'fr', 'login', 'Login', 'Identifiant', '2019-03-28 12:14:28'),
(399, 'fr', 'login', 'Login incorrect', 'Identifiant incorrect', '2019-03-28 12:14:28'),
(400, 'fr', 'login', 'newaccountsuccess', 'Le nouveau compte a bien été créé !', '2019-03-28 12:14:28'),
(401, 'fr', 'login', 'Password', 'Mot de passe', '2019-03-28 12:14:28'),
(402, 'fr', 'login', 'Password incorrect', 'Mot de passe incorrect', '2019-03-28 12:14:28'),
(403, 'fr', 'login', 'Register', 'S\'enregistrer', '2019-03-28 12:14:28'),
(404, 'fr', 'login', 'Sign in to your account', 'Connectez-vous', '2019-03-28 12:14:28'),
(405, 'fr', 'login', 'User inactive', 'Utilisateur inactif', '2019-03-28 12:14:28'),
(406, 'fr', 'login', 'Username', 'Nom d\'utilisateur', '2019-03-28 12:14:28'),
(407, 'fr', 'login', 'usernameexist', 'Le nom d\'utilisateur existe déjà !', '2019-03-28 12:14:28'),
(408, 'fr', 'label', 'Authentication', 'Authentification', '2020-02-14 11:12:40'),
(409, 'fr', 'label', 'Author', 'Auteur', '2020-02-14 11:12:40'),
(410, 'fr', 'label', 'Cron', 'CRON', '2020-02-14 11:12:40'),
(411, 'fr', 'label', 'Description', 'Description', '2020-02-14 11:12:40'),
(412, 'fr', 'label', 'Download', 'Téléchargement', '2020-02-14 11:12:40'),
(413, 'fr', 'label', 'Installation', 'Installation', '2020-02-14 11:12:40'),
(414, 'fr', 'label', 'Keywords', 'Mots clés', '2020-02-14 11:12:40'),
(415, 'fr', 'label', 'noactiveplugins', 'Aucun plugin SEO actif !', '2020-02-14 11:12:40'),
(416, 'fr', 'label', 'Plugin', 'Plugin', '2020-02-14 11:12:40'),
(417, 'fr', 'label', 'Port', 'Port', '2020-02-14 11:12:40'),
(418, 'fr', 'label', 'Proxy', 'Proxy', '2020-02-14 11:12:40'),
(419, 'fr', 'label', 'Re-install', 'Réinstaller', '2020-02-14 11:12:40'),
(420, 'fr', 'label', 'Title', 'Titre', '2020-02-14 11:12:40'),
(421, 'fr', 'label', 'translation by', 'Traduit par', '2020-02-14 11:12:40'),
(422, 'fr', 'label', 'Upgrade', 'Mise à jour', '2020-02-14 11:12:40'),
(423, 'fr', 'label', 'Version', 'Version', '2020-02-14 11:12:40'),
(424, 'fr', 'label', 'wantproceed', 'Voulez-vous vraiment poursuivre ?', '2020-02-14 11:12:40'),
(425, 'fr', 'button', 'Cancel', 'Annuler', '2018-01-22 22:34:22'),
(426, 'fr', 'button', 'Check Status', 'Vérifier', '2018-01-22 22:34:22'),
(427, 'fr', 'button', 'Proceed', 'Valider', '2018-01-22 22:34:22'),
(428, 'fr', 'button', 'Reload', 'Recharger', '2018-01-22 22:34:22'),
(429, 'fr', 'button', 'Show Details', 'Afficher les détails', '2018-01-22 22:34:22'),
(430, 'fr', 'button', 'Show Records', 'Afficher les enregistrements', '2018-01-22 22:34:22'),
(431, 'fr', 'button', 'Skip', 'Passer', '2018-01-22 22:34:22'),
(432, 'fr', 'button', 'Submit', 'Valider', '2018-01-22 22:34:22'),
(433, 'es', 'keyword', 'Crawling keyword', 'Rastreo de palabras clave', '2011-07-07 10:24:15'),
(434, 'es', 'keyword', 'Detailed Keyword Position Reports', 'Informes detallados de posición de palabras clave', '2011-07-07 10:24:15'),
(435, 'es', 'keyword', 'Edit Keyword', 'Editar palabra clave', '2011-07-07 10:24:15'),
(436, 'es', 'keyword', 'Graphical Keyword Position Reports', 'Informe gráfico de la posición de palabras clave', '2011-07-07 10:24:15'),
(437, 'es', 'keyword', 'Keyword already exist', 'Palabra clave ya existe', '2011-07-07 10:24:15'),
(438, 'es', 'keyword', 'Keyword Position Report', 'Informe de posición palabra clave', '2011-07-07 10:24:15'),
(439, 'es', 'keyword', 'New Keyword', 'Nueva palabra clave.', '2011-07-07 10:24:15'),
(440, 'es', 'keyword', 'not assigned to required search engines', 'no asignados a los motores de búsqueda', '2011-07-07 10:24:15'),
(441, 'es', 'keyword', 'pleaseselecttool', 'Por favor, seleccione al menos una herramienta seo.', '2011-07-07 10:24:15'),
(442, 'es', 'keyword', 'Quick Keyword Position Checker', 'Comprobador rápido de posición.', '2011-07-07 10:24:15'),
(443, 'es', 'keyword', 'results from ', 'los resultados de', '2011-07-07 10:24:15'),
(444, 'es', 'keyword', 'Show All results', 'Mostrar todos los resultados', '2011-07-07 10:24:15'),
(445, 'es', 'keyword', 'Successfully crawled keyword', 'Palabra clave rastreada correctamente', '2011-07-07 10:24:15'),
(446, 'es', 'label', 'Authentication', 'Autenticación', '2012-05-12 10:54:10'),
(447, 'es', 'label', 'Author', 'Autor', '2012-05-12 10:54:10'),
(448, 'es', 'label', 'Cron', 'Cron', '2012-05-12 10:54:10'),
(449, 'es', 'label', 'Description', 'Descripción', '2012-05-12 10:54:10'),
(450, 'es', 'label', 'Download', 'Descargar', '2012-05-12 10:54:10'),
(451, 'es', 'label', 'Installation', 'Instalación', '2012-05-12 10:54:10'),
(452, 'es', 'label', 'Keywords', 'Palabras claves', '2012-05-12 10:54:10'),
(453, 'es', 'label', 'noactiveplugins', 'No se encuentra ningún plugin activo.', '2012-05-12 10:54:10'),
(454, 'es', 'label', 'Plugin', 'Plugin', '2012-05-12 10:54:10'),
(455, 'es', 'label', 'Port', 'Port', '2012-05-12 10:54:10'),
(456, 'es', 'label', 'Proxy', 'Proxy', '2012-05-12 10:54:10'),
(457, 'es', 'label', 'Re-install', 'Vuelva a instalar', '2012-05-12 10:54:10'),
(458, 'es', 'label', 'Title', 'Título', '2012-05-12 10:54:10'),
(459, 'es', 'label', 'translation by', 'traducción realizada por', '2012-05-12 10:54:10');
INSERT INTO `texts` (`id`, `lang_code`, `category`, `label`, `content`, `changed`) VALUES
(460, 'es', 'label', 'Upgrade', 'Mejorar', '2012-05-12 10:54:10'),
(461, 'es', 'label', 'Version', 'Versión', '2012-05-12 10:54:10'),
(462, 'es', 'label', 'wantproceed', '¿Realmente deseas continuar?', '2012-05-12 10:54:10'),
(463, 'es', 'website', 'Edit Website', 'Editar página web', '2012-05-31 10:35:22'),
(464, 'es', 'website', 'plscrtwebsite', 'Por favor, cree un sitio web antes de comenzar a usar las herramientas y los plugins seo.', '2012-05-31 10:35:22'),
(465, 'es', 'website', 'Website already exist', 'Esta página web ya existe', '2012-05-31 10:35:22'),
(466, 'es', 'website', 'yourwebalreday', 'su sitio web si ya ha creado una.', '2012-05-31 10:35:22'),
(467, 'es', 'user', 'Edit User', 'Editar usuario', '2011-03-12 11:37:16'),
(468, 'es', 'user', 'Saved My Profile Details', 'Guardados los datos de mi perfil', '2011-03-12 11:37:16'),
(469, 'es', 'sitemap', 'Change frequency', 'Cambiar frecuencia', '2011-03-12 11:23:32'),
(470, 'es', 'sitemap', 'clickproceedsitemap', 'Haga clic en <b> Continuar </b> para crear el archivo sitemap', '2011-03-12 11:23:32'),
(471, 'es', 'sitemap', 'Download sitemap file from', 'Descargar archivo sitemap desde', '2011-03-12 11:23:32'),
(472, 'es', 'sitemap', 'Exclude Url', 'Excluir Url', '2011-03-12 11:23:32'),
(473, 'es', 'sitemap', 'processtaketime', 'Este proceso llevará su tiempo según el número de enlaces en su sitio. Por favor, espere  el tiempo suficiente para conseguir e archivo sitemap', '2011-03-12 11:23:32'),
(474, 'es', 'sitemap', 'Sitemap Type', 'Mapa del sitio Tipo', '2011-03-12 11:23:32'),
(475, 'es', 'saturation', 'clickproceedsaturation', 'Escriba las URL <b> Una por línea </b>. Haga clic en <b> Continuar </b> para comprobar los resultados de motores de búsqueda Saturación', '2011-03-12 11:06:48'),
(476, 'es', 'saturation', 'GenerateSaturationReports', 'Generar informes de saturación del buscador.', '2011-03-12 11:06:48'),
(477, 'es', 'saturation', 'Quick Search Engine Saturation Checker', 'Comprobador rápido del indice de saturación', '2011-03-12 11:06:48'),
(478, 'es', 'saturation', 'Saved Search Engine Saturation results of', 'Guardados indices de saturación de los buscadores de', '2011-03-12 11:06:48'),
(479, 'es', 'saturation', 'Search Engine Saturation Reports', 'Informes de saturación de los buscadores', '2011-03-12 11:06:48'),
(480, 'es', 'rank', 'enterurlproceed', 'Escriba la URL <b> Una por línea </b>. Haga clic en <b> Continuar o Proceder </b> para comprobar el ranking de Google y Alexa.', '2011-03-12 11:03:38'),
(481, 'es', 'rank', 'Google and Alexa Rank Reports', 'Informe de los rankings de Google y Alexa.', '2011-03-12 11:03:38'),
(482, 'es', 'rank', 'Saved rank results of', 'Resultados guardados de', '2011-03-12 11:03:38'),
(483, 'es', 'plugin', 'Edit Seo Plugin', 'Editar Plugin Seo', '2012-05-12 10:55:24'),
(484, 'es', 'plugin', 'Plugin Name', 'Nombre del Plugin', '2012-05-12 10:55:24'),
(485, 'es', 'plugin', 'Seo Plugin Details', 'Detalles del Plugin Seo ', '2012-05-12 10:55:24'),
(486, 'es', 'home', 'Account Summary', 'Resumen de la cuenta', '2012-05-31 10:36:10'),
(487, 'es', 'home', 'Backlinks', 'Backlinks', '2012-05-31 10:36:10'),
(488, 'es', 'home', 'Directory Submission', 'Envío a directorios', '2012-05-31 10:36:10'),
(489, 'es', 'home', 'home_cont1', '<h1 style=\\\"text-align: center;margin-bottom: 30px;font-size: 19px;\\\">Bienvenido a Seo Panel – El primer panel de control SEO para la supervisión de sitios web.</h1>\r\n\r\n<p>Un programa <b>open source</b> para la <b>gestión y optimización</b> de sus sitios web ideal para conseguir <b>primeras posiciones en los buscadores</b> más destacados.\r\nEn este panel de control encontraras las herramientas imprescindibles para que su sitio web pueda tener unas posiciones preferentes en los buscadores. Este <b>software es completamente libre</b> y esta bajo la licencia <b>GNU GENERAL PUBLIC LICENSE</b>.</p><p></p>\r\n<p>Una de las mejores características de este panel de control, es la posibilidad de <b>ampliación mediante plugins</b> ya sean realizados por terceros o realizados por nosotros mismos, la incorporación de estos plugins sera sencilla y rápida permitiendo así poder evolucionar la herramienta a la misma velocidad que las nuevas directrices SEO.</p>\r\n', '2012-05-31 10:36:10'),
(4672, 'cs', 'website', 'Edit Website', 'Upravit website', '2011-03-21 14:13:51'),
(490, 'es', 'home', 'home_cont2', '<fieldset>\r\n<legend>Caracteristicas principales de SEO PANEL <?=SP_INSTALLED?></legend>\r\n<ul class=\\\"infobox\\\">\r\n\r\n<li>\r\n<h1>Herramienta para la automatización de entradas en directorios.</h1>\r\n<p>\r\nEsta herramienta nos permitirá <b>semi automatizar las entradas de nuestras webs a directorios</b> gratuitos y de pago. Una de sus características principales es la posibilidad de seguir y controlar si el directorio finalmente ha dado de alta nuestra web en su directorio de forma automática, siendo el seguimiento de las altas mucho más sencillo y eficaz.\r\n</p>\r\n</li>\r\n \r\n<li>\r\n<h1>Herramienta automática de seguimiento de la posición de una palabra en un buscador.</h1>\r\n<p>\r\nEsta herramienta nos permitirá seguir la <b>evolución de una palabra</b> en un buscador concreto, obteniendo información diaria de su posición y de su evolución, podremos ver y exportar estos datos de forma gráfica o incluso en otros formatos de fichero.\r\n</p>\r\n</li>\r\n<li>\r\n<h1>Site Auditor</h1>\r\n<p><p>Site Auditor will <b>audit all SEO factors</b> of each pages of a site and will give a <b>detailed report</b> about each page.\r\nEsta herramienta nos permitirá crear en formatos <b>XML, HTML, TEXT</b> los mapas de nuestras páginas webs para facilitar la indexación a los buscadores.\r\n</p>\r\n</li>\r\n\r\n<li>\r\n<h1>Verificador del ranking en Google y Alexa.</h1>\r\n<p>\r\nDispondrás de una utilidad para seguir diariamente la evolución de tus páginas web en los <b>rankings de Google y Alexa</b>.\r\n</p>\r\n</li>\r\n\r\n<li>\r\n<h1>Herramienta de backlinks</h1>\r\n<p>\r\nPodrás ver la evolución de los <b>backlinks</b> de tus páginas web de una forma diaria, rapida y efectiva en los buscadores más populares de la red como <b>Google, Yahoo, Msn</b> y más que podres incorporar mediante plugins.\r\n</p>\r\n</li>\r\n\r\n<li>\r\n<h1>Medidor del índice de saturación</h1>\r\n<p>\r\nPodrás obtener el número de <b>páginas indexadas</b> de tus web y de esta forma ver la evolución diaria de como los buscadores indexan tu página web.\r\n</p>\r\n</li>\r\n\r\n<li>\r\n<h1>Incorporación de nuevos Plugins</h1>\r\n<p>\r\nEs una de las funciones más potentes de este panel de control, ya que nos permitirá expandir nuestra información a nuestro gusto. Todo el mundo <b>puede desarrollar plugins</b> para nuestra plataforma y de este modo aumentar las posibilidades del panel de control. Si ud. desarrolla una Plugin para nuestro panel de control, lo publicaremos en nuestra página web para que todos los usuarios puedan disfrutar de él.\r\n</p>\r\n</li>\r\n\r\n<li>\r\n<h1>Generador de Meta-Tags</h1>\r\n<p>\r\nDisponemos de una utilidad para poder generar de forma fácil y cómoda el código necesario para que todos los<b> META TAG</b> de sus paginas web estén generados de una forma correcta y de esta forma incentivar a los buscadores a darnos su mejor posición en el índice.\r\n</p>\r\n</li>\r\n</fieldset>', '2012-05-31 10:36:10'),
(4673, 'cs', 'website', 'plscrtwebsite', 'Prosím před tím, než začnete používat seo tools a seo plugins, vytvořte website', '2011-03-21 14:13:51'),
(4674, 'cs', 'website', 'Website already exist', 'Website již existuje', '2011-03-21 14:13:51'),
(4675, 'cs', 'website', 'yourwebalreday', 'vaše website, pokud byla již vytvořena.', '2011-03-21 14:13:51'),
(491, 'es', 'home', 'home_cont3', '<fieldset>\r\n<legend>Recursos en linea para SEO PANEL</legend>    \r\n<ul class=\\\"infobox\\\">\r\n\r\n    <li>\r\n        <h1>Recursos SEO PANEL en linea</h1>                \r\n        \r\n        \r\n        <p>\r\n            <a href=\\\"http://www.seopanel.in\\\" target=\\\"_blank\\\">Sitio Oficial de Seo Panel</a>\r\n        </p>\r\n        <p>\r\n            <a href=\\\"<?=SP_DOWNLOAD_LINK?>\\\" target=\\\"_blank\\\">Descarga de SEO PANEL</a>\r\n        </p>\r\n        \r\n        <p>\r\n            <a href=\\\"<?=SP_DEMO_LINK?>\\\" target=\\\"_blank\\\">Demo SEO PANEL</a>\r\n        </p>\r\n        \r\n        <p>\r\n            <a href=\\\"<?=SP_CONTACT_LINK?>\\\" target=\\\"_blank\\\">Contacto SEO PANEL</a>\r\n        </p>\r\n        \r\n        <p>\r\n            <a href=\\\"<?=SP_HELP_LINK?>\\\" target=\\\"_blank\\\">Guía de Ayuda para SEO PANEL</a>\r\n        </p>\r\n        \r\n        <p>\r\n            <a href=\\\"<?=SP_FORUM_LINK?>\\\" target=\\\"_blank\\\">Foro SEO PANEL</a>\r\n        </p>\r\n        \r\n        <p>\r\n            <a href=\\\"<?=SP_SUPPORT_LINK?>\\\" target=\\\"_blank\\\">Soporte SEO PANEL</a>\r\n        </p>\r\n        \r\n        <p>\r\n            <a href=\\\"<?=SP_DONATE_LINK?>\\\" target=\\\"_blank\\\">Haz una donación al equipo de SEO PANEL</a>\r\n        </p>\r\n    </li>\r\n    \r\n</ul>\r\n</fieldset>', '2012-05-31 10:36:11'),
(492, 'es', 'home', 'Pages Indexed', 'Páginas indexadas', '2012-05-31 10:36:11'),
(493, 'es', 'home', 'Ranks', 'Rankings', '2012-05-31 10:36:11'),
(494, 'es', 'home', 'SiteNameUrl', 'Nombre del sitio / URL', '2012-05-31 10:36:11'),
(495, 'es', 'home', 'Website Statistics', 'Estadísticas del Sitio', '2012-05-31 10:36:11'),
(496, 'es', 'panel', 'Check Directory', 'Compruebe Directorio', '2012-05-12 10:55:03'),
(497, 'es', 'panel', 'Directory Manager', 'Administrador de directorios', '2012-05-12 10:55:03'),
(498, 'es', 'panel', 'Edit My Profile', 'Modificar mi perfil', '2012-05-12 10:55:03'),
(499, 'es', 'panel', 'My Profile', 'Mi Perfil', '2012-05-12 10:55:03'),
(500, 'es', 'panel', 'New Proxy', 'Nuevo Proxy', '2012-05-12 10:55:03'),
(501, 'es', 'panel', 'New User', 'Nuevo Usuario', '2012-05-12 10:55:03'),
(502, 'es', 'panel', 'New Website', 'Nuevo Sitio Web', '2012-05-12 10:55:03'),
(503, 'es', 'panel', 'Proxy Manager', 'Administrar Proxy', '2012-05-12 10:55:03'),
(504, 'es', 'panel', 'Report Generation Manager', 'Administrador de la generación de informes ', '2012-05-12 10:55:03'),
(505, 'es', 'panel', 'Reports Manager', 'Administrador de informes', '2012-05-12 10:55:03'),
(506, 'es', 'panel', 'Seo Plugins Manager', 'Administrador de plugins Seo', '2012-05-12 10:55:03'),
(507, 'es', 'panel', 'Seo Tools Manager', 'Administración de herramientas Seo', '2012-05-12 10:55:03'),
(508, 'es', 'panel', 'System Settings', 'Configuración del sistema', '2012-05-12 10:55:03'),
(509, 'es', 'panel', 'User Manager', 'Administrador de usuarios', '2012-05-12 10:55:03'),
(510, 'es', 'panel', 'Website Manager', 'Administrador de sitio web', '2012-05-12 10:55:03'),
(511, 'es', 'proxy', 'Edit Proxy', 'Editar Proxy', '2011-03-12 11:00:44'),
(512, 'es', 'proxy', 'Proxy Password', 'Contraseña proxy', '2011-03-12 11:00:44'),
(513, 'es', 'proxy', 'Proxy Username', 'Nombre de usuario proxy', '2011-03-12 11:00:44'),
(514, 'es', 'proxy', 'Proxyalreadyexist', 'Proxy ya existe!', '2011-03-12 11:00:44'),
(515, 'es', 'seotools', 'Automatic Submission', 'Envío automático', '2011-07-13 19:32:41'),
(516, 'es', 'seotools', 'backlink-checker', 'Verificador de backlinks', '2011-07-13 19:32:41'),
(517, 'es', 'seotools', 'Backlinks Reports', 'Informes de backlinks', '2011-07-13 19:32:41'),
(518, 'es', 'seotools', 'Check Submission Status', 'Comprobar el estado de los envios', '2011-07-13 19:32:41'),
(519, 'es', 'seotools', 'clickgeneratereports', 'Haga clic en <b> Continuar </b> para generar informes', '2011-07-13 19:32:41'),
(520, 'es', 'seotools', 'Detailed Position Reports', 'Informes detallados de posición', '2011-07-13 19:32:41'),
(521, 'es', 'seotools', 'directory-submission', 'Directorio sumisión ', '2011-07-13 19:32:41'),
(522, 'es', 'seotools', 'Featured Submission', 'Directorio destacado', '2011-07-13 19:32:41'),
(523, 'es', 'seotools', 'Generate Backlinks Reports', 'Generar Informes de los backlinks', '2011-07-13 19:32:41'),
(524, 'es', 'seotools', 'Generate Keyword Reports', 'Generar informes de palabras clave', '2011-07-13 19:32:41'),
(525, 'es', 'seotools', 'Generate Rank Reports', 'Generar informes de los rankings', '2011-07-13 19:32:41'),
(526, 'es', 'seotools', 'Generate Saturation Reports', 'Generar informes de saturación', '2011-07-13 19:32:41'),
(527, 'es', 'seotools', 'Google Sitemap Generator', 'Generador de Google Sitemap', '2011-07-13 19:32:41'),
(528, 'es', 'seotools', 'Graphical Position Reports', 'Informe de posición gráfico', '2011-07-13 19:32:41'),
(529, 'es', 'seotools', 'Keyword Position Summary', 'Resumen de posición para palabra clave', '2011-07-13 19:32:41'),
(530, 'es', 'seotools', 'keyword-position-checker', 'Verificador de posición palabra clave.', '2011-07-13 19:32:41'),
(531, 'es', 'seotools', 'Keywords Manager', 'Administrador de palabras clave.', '2011-07-13 19:32:41'),
(532, 'es', 'seotools', 'Quick Backlinks Checker', 'Verificador rápido de backlinks', '2011-07-13 19:32:41'),
(533, 'es', 'seotools', 'Quick Position Checker', 'Verificador rápida de posición', '2011-07-13 19:32:41'),
(534, 'es', 'seotools', 'Quick Rank Checker', 'Verificador rápido rankings', '2011-07-13 19:32:41'),
(535, 'es', 'seotools', 'Quick Saturation Checker', 'Verificador rápida de saturación', '2011-07-13 19:32:41'),
(536, 'es', 'seotools', 'Rank Reports', 'Informes Rankings', '2011-07-13 19:32:41'),
(537, 'es', 'seotools', 'rank-checker', 'Verificador Ranking', '2011-07-13 19:32:41'),
(538, 'es', 'seotools', 'Saturation Reports', 'Informes de saturación', '2011-07-13 19:32:41'),
(539, 'es', 'seotools', 'saturation-checker', 'Saturación del motor de búsqueda', '2011-07-13 19:32:41'),
(540, 'es', 'seotools', 'sitemap-generator', 'Generador de sitemap', '2011-07-13 19:32:41'),
(541, 'es', 'seotools', 'Skipped Directories', 'Directorios omitidos', '2011-07-13 19:32:41'),
(542, 'es', 'seotools', 'Submission Reports', 'Informes de los envíos', '2011-07-13 19:32:41'),
(543, 'es', 'seotools', 'User Access', 'Acceso de usuario', '2011-07-13 19:32:41'),
(544, 'es', 'settings', 'SP_CRAWL_DELAY', 'Tiempo de retardo entre cada rastreo de la araña (segundos)', '2012-05-12 11:03:05'),
(545, 'es', 'settings', 'SP_DESCRIPTION', 'Seo Panel Descripción', '2012-05-12 11:03:05'),
(546, 'es', 'settings', 'SP_ENABLE_PROXY', 'Activar Proxy', '2012-05-12 11:03:05'),
(547, 'es', 'settings', 'SP_HOTLINKING', 'Protección de imágenes hotlink activado', '2012-05-12 11:03:05'),
(548, 'es', 'settings', 'SP_KEYWORDS', 'Palabras claves Seo Panel', '2012-05-12 11:03:05'),
(549, 'es', 'settings', 'SP_PAGINGNO', 'Número de entradas por página', '2012-05-12 11:03:05'),
(550, 'es', 'settings', 'SP_TITLE', 'Título Seo Panel', '2012-05-12 11:03:05'),
(551, 'es', 'settings', 'SP_USER_GEN_REPORT', 'Permite a los usuarios generar informes', '2012-05-12 11:03:05'),
(552, 'es', 'settings', 'SP_USER_REGISTRATION', 'Interfaz de usuario para el registro', '2012-05-12 11:03:05'),
(553, 'es', 'settings', 'syssettingssaved', 'La configuración del sistema se han guardado correctamente!', '2012-05-12 11:03:05'),
(554, 'es', 'login', 'Confirm Password', 'Confirmar contraseña', '2011-03-12 10:53:35'),
(555, 'es', 'login', 'Create my account', 'Crear una cuenta', '2011-03-12 10:53:35'),
(556, 'es', 'login', 'Create New Account', 'Crear una cuenta nueva', '2011-03-12 10:53:35'),
(557, 'es', 'login', 'Email', 'Correo electrónico', '2011-03-12 10:53:35'),
(558, 'es', 'login', 'emailexist', 'Correo electrónico ya existe!', '2011-03-12 10:53:35'),
(559, 'es', 'login', 'Enter the code as it is shown', 'Introduzca el código tal como se muestra', '2011-03-12 10:53:35'),
(560, 'es', 'login', 'First Name', 'Nombre', '2011-03-12 10:53:35'),
(561, 'es', 'login', 'Last Name', 'Apellido', '2011-03-12 10:53:35'),
(562, 'es', 'login', 'Login', 'Inicio de sesión', '2011-03-12 10:53:35'),
(563, 'es', 'login', 'Login incorrect', 'Inicio de sesión incorrecto', '2011-03-12 10:53:35'),
(564, 'es', 'login', 'newaccountsuccess', 'Nueva cuenta creada con éxito!', '2011-03-12 10:53:35'),
(565, 'es', 'login', 'Password', 'Contraseña', '2011-03-12 10:53:35'),
(566, 'es', 'login', 'Password incorrect', 'Contraseña incorrecta', '2011-03-12 10:53:35'),
(567, 'es', 'login', 'Register', 'Registro', '2011-03-12 10:53:35'),
(568, 'es', 'login', 'Sign in to your account', 'Acceda a su cuenta', '2011-03-12 10:53:35'),
(569, 'es', 'login', 'User inactive', 'Usuario inactivo', '2011-03-12 10:53:35'),
(570, 'es', 'login', 'Username', 'Nombre de usuario', '2011-03-12 10:53:35'),
(571, 'es', 'login', 'usernameexist', 'Nombre de usuario ya existe!', '2011-03-12 10:53:35'),
(572, 'es', 'support', 'support_cont1', '<fieldset>\r\n<legend>Seo Panel Sistema de Soporte</legend>\r\n<ul class=\\\"infobox\\\">\r\n    <li>\r\n        <h1>1000 Directorios Paquete</h1> \r\n        <p>\r\n            Estamos proporcionando un paquete con <b>1000 directorios en internet activos y verificados</b>, para que los pueda agregar a su Seo Panel dentro de la herramienta para el envio a directorios.\r\n         Le ayudará a aumentar los <b> backlilnks </b> de sus sitios web.\r\n            \r\nEn realidad la lista de 1000 directorios se realizó para recoger algo de dinero para el futuro <b>\r\ndesarrollo </b> de Seo Panel.\r\n\r\n           Para obtener la lista de directorios 1000 por favor <a href=\\\"<?=SP_DONATE_LINK?>\\\" target=\\\"_blank\\\">realice una donación de </a>\r\n$10 o más para mejorar las características del seo panel.\r\n            Si usted tiene alguna pregunta sobre el paquete de 1000 directorios, por favor <a href=\\\"<?=SP_CONTACT_LINK?>\\\"\r\ntarget=\\\"_blank\\\">contáctenos</a> o abrir un ticket en <a href=\\\"<?=SP_SUPPORT_LINK?>\\\"\r\ntarget=\\\"_blank\\\">soporte del sistema</a>.   \r\n        </p>        \r\n        <p>\r\n            <a href=\\\"<?=SP_DONATE_LINK?>\\\" target=\\\"_blank\\\">Visite este enlace para donar a seo panel</a>\r\n        </p>\r\n        <br>\r\n    </li>\r\n    \r\n    <li>\r\n        <h1>Paquete de motores de búsqueda local</h1> \r\n        <p>\r\n   \r\nAñada <b> motores de búsqueda locales </b> de google, yahoo, msn (<b>por ejemplo, : www.google.de, www.google.fr Etc </b>) para que Seo Panel verifique sus palabras clave en buscadores a nivel local.\r\n\r\n\r\n           Para obtener el paquete de búsqueda en motores de busqueda locales (de acuerdo a sus necesidades), por favor <a\r\nhref=\\\"<?=SP_DONATE_LINK?>\\\" target=\\\"_blank\\\">realice una donación de</a> $ 10 o más para mejorar las características de seo panel.\r\n            Antes de la donación, por favor <a href=\\\"<?=SP_CONTACT_LINK?>\\\" target=\\\"_blank\\\">contactenos</a> para que nos proporcione la lista de los buscadores locales.\r\n            <br><br>              \r\n            También para agregar <b> nuevos motores de búsqueda (por ejemplo: baidu.com) </b> para poder comprobar sus mejoras en estos buscadores con sus palabras clave,\r\npor favor <a href=\\\"<?=SP_CONTACT_LINK?>\\\" target=\\\"_blank\\\">contactenos</a> o abra un ticket en<a\r\nhref=\\\"<?=SP_SUPPORT_LINK?>\\\" target=\\\"_blank\\\">la sección de soporte del sistema</a>. \r\n        </p>        \r\n        <p class=\\\"visit\\\">\r\n            <a href=\\\"<?=SP_CONTACT_LINK?>\\\" target=\\\"_blank\\\">Visita este enlace para contactar con nosotros</a>\r\n        </p>\r\n        <br>\r\n    </li>\r\n    \r\n    <li>\r\n        <h1>Seo Panel Plugins</h1> \r\n        <p>\r\n        Añada <b> plugins SEO </b> a su panel seo para <b> ampliar las características </b> de acuerdo a sus requisitos.\r\n            <a href=\\\"<?=SP_PLUGINSITE?>\\\" target=\\\"_blank\\\">Seo panel plugins</a> son proporcionados por el panel seo\r\ny sitios de terceros.\r\n           También es posible <b> desarrollar  </b> plugins SEO para su panel de seo.\r\n            Usted puede <a href=\\\"<?=SP_PLUGINSITE?>\\\" target=\\\"_blank\\\">presentar</a> su plugin seo a Seo Panel y\r\nvamos a <b>publicarlo</b> en nuestro sitio web después de nuestra  <b>  revisión</b>.        \r\n        </p>        \r\n        <p>\r\n            <a href=\\\"<?=SP_PLUGINSITE?>\\\" target=\\\"_blank\\\">Visita este enlace para obtener los plugins de Seo Panel</a>\r\n        </p>\r\n        <br>\r\n    </li>    \r\n    <li>\r\n        <h1>Contactenos</h1> \r\n        <p>\r\n        Contacte con nosotros para cualquier pregunta sobre las <b>Herramientas Seo Panel, plugins y otras características </b> mediante el uso de este enlace.   \r\n        </p>        \r\n        <p>\r\n            <a href=\\\"<?=SP_CONTACT_LINK?>\\\" target=\\\"_blank\\\">Visita este enlace para contactar con nosotros</a>\r\n        </p>\r\n        <br>\r\n    </li>    \r\n    <li>\r\n        <h1>Boletos de Soporte</h1> \r\n        <p>\r\n           Para obtener <b> apoyo técnico</b> del equipo Seo Panel o para configurar el panel de <b>Herramientas Seo o plugins y\r\n otras características </b>. Por ejemplo: Para configurar el cron para la posición corrector de palabras clave.\r\n        </p>        \r\n        <p>\r\n            <a href=\\\"<?=SP_SUPPORT_LINK?>\\\" target=\\\"_blank\\\">Visita este enlace para crear un tiket de soporte</a>\r\n        </p>\r\n        <br>\r\n    </li>    \r\n    <li>\r\n        <h1>Informar de bugs</h1> \r\n        <p>\r\n            Informanos de<b>bugs o errores</b> sobre <b>Seo Panel, las herramientas, plugins o características </b> mediante el uso de link de abajo.\r\n           Ayudanos a mejorar las características en las versiones siguientes.       \r\n        </p>        \r\n        <p>\r\n            <a href=\\\"<?=SP_SUPPORT_LINK?>\\\" target=\\\"_blank\\\">Visita este enlace para informar de los errores</a>\r\n        </p>\r\n        <br>\r\n    </li>    \r\n</ul>\r\n</fieldset>', '2011-07-13 19:45:23'),
(573, 'es', 'support', 'support_cont2', '<fieldset>\r\n<legend>Seo Panel Recursos en linea</legend>\r\n<ul class=\\\"infobox\\\">\r\n        \r\n    <li>\r\n        <h1>Seo Panel Guía de Ayuda</h1> \r\n        <p>\r\n            Puede ver la <a href=\\\"<?=SP_HELP_LINK?>\\\" target=\\\"_blank\\\">seo panel documentación</a> en el\r\n<b>guía de ayuda</b>, que contiene e <b>documentación</b> para el panel de herramientas seo, plugins y afines\r\ncaracterísticas.\r\n            <br>Es el mejor lugar en Internet para obtener <b> ayuda </b> acerca del panel de seo. Esperamos que\r\n<b> contribuir </b> para ayudar a la guía del panel seo, si usted encuentra errores o cosas que faltan.      \r\n        </p>\r\n        <p>\r\n            <a href=\\\"<?=SP_HELP_LINK?>\\\" target=\\\"_blank\\\">Visita seo panel de guía de ayuda</a>\r\n        </p>\r\n        <br>\r\n    </li>    \r\n    <li>\r\n        <h1>Seo Panel Foro</h1> \r\n        <p>\r\n            Un sitio para hablar sobre la primera fuente abierta del mundo <b> seo panel de control </b>.\r\n            Es el mejor lugar para encontrar las <b>respuestas </b> para su <b> preguntas </b> acerca del panel de seo. \r\n            <br>Además, puede <b> comparte </b> el  <b>experiencia</b>, mientras que usando el panel de SEO para optimizar su\r\nsitios web.                             \r\n        </p>        \r\n        <p>\r\n            <a href=\\\"<?=SP_FORUM_LINK?>\\\" target=\\\"_blank\\\">Visita seo panel foro</a>\r\n        </p>\r\n        <br>\r\n    </li>\r\n</ul>    \r\n</fieldset>', '2011-07-13 19:45:23'),
(574, 'es', 'support', 'support_cont3', '<fieldset>\r\n<legend>Haz una donación a Seo Panel</legend>\r\n<ul class=\\\"infobox\\\">        \r\n    <li>\r\n        <h1>Haz una donación a Seo Panel - El primer Open source seo panel de control en el mundo</h1> \r\n        <p>\r\n            <b>Realiza una donación a </b> Seo Panel para ayudar al primer portal Open Source para el control SEO del mundo.\r\n            Estamos planeando añadir y mejorar <b>  características </b> del Seo panel en el futuro.\r\n            <br>Solo con sus <b> apoyos </b> podremos alcanzar nuesttros <b>objetivos</b>.\r\n            Si usted siente que es el panel seo <b> vale la pena </b> para usted, por favor, realice alguna donación para el equipo de Seo Panel.\r\n            <br>Nosostros  <b> publicararemos </b> su nombre y pápgina web en la sección de donaciónes de nuestra página web <a href=\\\"<?=SP_DONATE_LINK?>\\\"\r\ntarget=\\\"_blank\\\">Página de donaciones</a>, una vez que tengamos su donación.\r\n        </p>\r\n        <p>\r\n            <a href=\\\"<?=SP_DONATE_LINK?>\\\" target=\\\"_blank\\\">Visita este enlace para donar a seo panel</a>\r\n        </p>\r\n        <br>\r\n    </li>\r\n</ul>\r\n</fieldset>', '2011-07-13 19:45:23'),
(575, 'en', 'panel', 'Cron Command', 'Cron Command', '2010-09-23 07:43:06'),
(576, 'en', 'panel', 'Add following command to your cron tab', 'Add following command to your cron tab', '2010-09-23 08:04:03'),
(577, 'es', 'panel', 'Add following command to your cron tab', 'Añadir el siguiente comando para el cron del sistema', '2012-05-12 10:55:03'),
(578, 'es', 'panel', 'Cron Command', 'Comando Cron', '2012-05-12 10:55:03'),
(579, 'en', 'panel', 'alsocheckfollowlink', 'Also check following link if you need more details.', '2010-09-23 08:46:30'),
(580, 'es', 'panel', 'alsocheckfollowlink', 'Verifique este link si Ud. necesitas más detalles', '2012-05-12 10:55:03'),
(581, 'en', 'label', 'Click Here', 'Click Here', '2010-09-23 09:22:08'),
(582, 'en', 'keyword', 'to create new keywords', 'to create new keywords', '2010-09-23 09:23:07'),
(583, 'en', 'keyword', 'Import Keywords', 'Import Keywords', '2010-09-26 07:47:00'),
(584, 'en', 'common', 'Keywords', 'Keywords', '2019-08-06 06:09:56'),
(585, 'en', 'label', 'already exist', 'already exist', '2010-09-26 08:08:07'),
(586, 'en', 'panel', 'About Us', 'About Us', '2010-09-26 09:35:05'),
(587, 'en', 'label', 'Developers', 'Developers', '2010-09-26 10:06:56'),
(588, 'en', 'label', 'Translators', 'Translators', '2010-09-26 10:06:56'),
(589, 'en', 'settings', 'Click here to become a sponsor for Seo Panel', '<b>Donate $100</b> and become a <b>sponsor</b> of Seo Panel.', '2018-01-22 19:59:29'),
(590, 'en', 'label', 'Sponsors', 'Sponsors', '2010-09-26 10:18:27'),
(591, 'en', 'settings', 'SP_DEFAULTLANG', 'Default Language', '2018-01-22 19:59:29'),
(592, 'fr', 'common', 'Action', 'Action', '2020-02-14 11:05:11'),
(593, 'fr', 'common', 'Activate', 'Activer', '2020-02-14 11:05:11'),
(594, 'fr', 'common', 'Active', 'Activé', '2020-02-14 11:05:11'),
(595, 'fr', 'common', 'Admin Panel', 'Administration', '2020-02-14 11:05:11'),
(596, 'fr', 'common', 'Alexa Rank', 'Rank Alexa', '2020-02-14 11:05:11'),
(597, 'fr', 'common', 'All', 'Tout', '2020-02-14 11:05:11'),
(598, 'fr', 'common', 'Category', 'Catégorie', '2020-02-14 11:05:11'),
(599, 'fr', 'common', 'contact', 'Contact', '2020-02-14 11:05:11'),
(600, 'fr', 'common', 'copyright', 'Copyright © [year] www.seopanel.org Tous droits réservés.', '2020-02-14 11:05:11'),
(601, 'fr', 'common', 'Country', 'Pays', '2020-02-14 11:05:11'),
(602, 'fr', 'common', 'Crawl Meta Data', 'Exploration des métadonnées', '2020-02-14 11:05:11'),
(603, 'fr', 'common', 'Date', 'Date', '2020-02-14 11:05:11'),
(604, 'fr', 'common', 'Delete', 'Supprimer', '2020-02-14 11:05:11'),
(605, 'fr', 'common', 'Details', 'Détails', '2020-02-14 11:05:11'),
(606, 'fr', 'common', 'Directory', 'Annuaire', '2020-02-14 11:05:11'),
(607, 'fr', 'common', 'Donate', 'Faire un don', '2020-02-14 11:05:11'),
(608, 'fr', 'common', 'Edit', 'Editer', '2020-02-14 11:05:11'),
(609, 'fr', 'common', 'Entry cannot be blank', 'Vous devez saisir quelque chose', '2020-02-14 11:05:11'),
(610, 'fr', 'common', 'entrynotvalid', 'La saisie ne semble pas être valide', '2020-02-14 11:05:11'),
(611, 'fr', 'common', 'failed', 'échoué', '2020-02-14 11:05:11'),
(612, 'fr', 'common', 'forum', 'Forum', '2020-02-14 11:05:11'),
(613, 'fr', 'common', 'Found', 'Trouvé', '2020-02-14 11:05:11'),
(614, 'fr', 'common', 'Google Pagerank', 'Google PageRank', '2020-02-14 11:05:11'),
(615, 'fr', 'common', 'help', 'Aide', '2020-02-14 11:05:11'),
(616, 'fr', 'common', 'hidenews', 'Cacher les nouvelles SeoPanel', '2020-02-14 11:05:11'),
(617, 'fr', 'common', 'Id', 'Id', '2020-02-14 11:05:11'),
(618, 'fr', 'common', 'Inactivate', 'Désactiver', '2020-02-14 11:05:11'),
(619, 'fr', 'common', 'Inactive', 'Désactivé', '2020-02-14 11:05:11'),
(620, 'fr', 'common', 'Invalid characters', 'Caractères invalides', '2020-02-14 11:05:11'),
(621, 'fr', 'common', 'Invalid code entered', 'Code incorrect', '2020-02-14 11:05:11'),
(622, 'fr', 'common', 'Invalid email address entered', 'Adresse mail incorrecte', '2020-02-14 11:05:11'),
(623, 'fr', 'common', 'Invalid value', 'Valeur incorrecte', '2020-02-14 11:05:11'),
(624, 'fr', 'common', 'Keyword', 'Mot clé', '2020-02-14 11:05:11'),
(625, 'fr', 'common', 'Keywords', 'Mots clé', '2020-02-14 11:05:11'),
(626, 'fr', 'common', 'My Account', 'Mon compte', '2020-02-14 11:05:11'),
(627, 'fr', 'common', 'Name', 'Nom', '2020-02-14 11:05:11'),
(628, 'fr', 'common', 'No', 'Non', '2020-02-14 11:05:11'),
(629, 'fr', 'common', 'No Keywords Found', 'Aucun mots clé', '2020-02-14 11:05:11'),
(630, 'fr', 'common', 'No Records Found', 'Aucun élément', '2020-02-14 11:05:11'),
(631, 'fr', 'common', 'noactivetools', 'Aucun outil Seo actif trouvé !', '2020-02-14 11:05:11'),
(632, 'fr', 'common', 'nowebsites', 'Aucun site ', '2020-02-14 11:05:11'),
(633, 'fr', 'common', 'password632', 'Le mot de passe doit contenir entre 6 et 32 caractères', '2020-02-14 11:05:11'),
(634, 'fr', 'common', 'passwordnotmatch', 'Les mots de passe ne correspondent pas', '2020-02-14 11:05:11'),
(635, 'fr', 'common', 'Period', 'Période', '2020-02-14 11:05:11'),
(636, 'fr', 'common', 'Priority', 'Priorité', '2020-02-14 11:05:11'),
(637, 'fr', 'common', 'Rank', 'Rang', '2020-02-14 11:05:11'),
(638, 'fr', 'common', 'Reports', 'Rapports', '2020-02-14 11:05:11'),
(639, 'fr', 'common', 'Results', 'Résultats', '2020-02-14 11:05:11'),
(640, 'fr', 'common', 'Search Engine', 'Moteur de recherche', '2020-02-14 11:05:11'),
(641, 'fr', 'common', 'Select', 'Sélection', '2020-02-14 11:05:11'),
(642, 'fr', 'common', 'Seo Plugins', 'Plugins Seo', '2020-02-14 11:05:11'),
(643, 'fr', 'common', 'Seo Tools', 'Outils Seo', '2020-02-14 11:05:11'),
(644, 'fr', 'common', 'Sign out', 'Déconnecter', '2020-02-14 11:05:11'),
(645, 'fr', 'common', 'Sign Up', 'S\'enregistrer', '2020-02-14 11:05:11'),
(646, 'fr', 'common', 'signin', 'Se connecter', '2020-02-14 11:05:11'),
(647, 'fr', 'common', 'Status', 'Statut', '2020-02-14 11:05:11'),
(648, 'fr', 'common', 'Total', 'Total', '2020-02-14 11:05:11'),
(649, 'fr', 'common', 'Url', 'Url', '2020-02-14 11:05:11'),
(650, 'fr', 'common', 'User', 'Utilisateur', '2020-02-14 11:05:11'),
(651, 'fr', 'common', 'User Panel', 'Panneau utilisateur', '2020-02-14 11:05:11'),
(652, 'fr', 'common', 'Website', 'Site web', '2020-02-14 11:05:11'),
(653, 'fr', 'common', 'Yes', 'Oui', '2020-02-14 11:05:11'),
(654, 'fr', 'label', 'already exist', 'déjà existant', '2020-02-14 11:12:40'),
(655, 'fr', 'label', 'Click Here', 'Cliquer ici', '2020-02-14 11:12:40'),
(656, 'fr', 'label', 'Developers', 'Développeurs  ', '2020-02-14 11:12:40'),
(657, 'fr', 'label', 'Sponsors', 'Sponsors', '2020-02-14 11:12:40'),
(658, 'fr', 'label', 'Translators', 'Traducteurs', '2020-02-14 11:12:40'),
(659, 'fr', 'settings', 'Click here to become a sponsor for Seo Panel', '<b>Faire un don $100</b> et devenir un <b>sponsor</b> de Seo Panel.', '2019-03-28 14:39:30'),
(660, 'fr', 'settings', 'SP_CRAWL_DELAY', 'Délai entre chaque exploration (en secondes)', '2019-03-28 14:39:30'),
(661, 'fr', 'settings', 'SP_DEFAULTLANG', 'Langue par défaut', '2019-03-28 14:39:30'),
(662, 'fr', 'settings', 'SP_DESCRIPTION', 'Description', '2019-03-28 14:39:30'),
(663, 'fr', 'settings', 'SP_ENABLE_PROXY', 'Activer le proxy', '2019-03-28 14:39:30'),
(664, 'fr', 'settings', 'SP_HOTLINKING', 'Protection hotlink des images activée', '2019-03-28 14:39:30'),
(665, 'fr', 'settings', 'SP_KEYWORDS', 'Mots clé Seo Panel', '2019-03-28 14:39:30'),
(666, 'fr', 'settings', 'SP_PAGINGNO', 'Nombre d\'éléments par page', '2019-03-28 14:39:30'),
(667, 'fr', 'settings', 'SP_TITLE', 'Titre Seo Panel', '2019-03-28 14:39:30'),
(668, 'fr', 'settings', 'SP_USER_GEN_REPORT', 'Autoriser l\'utilisateur à générer un rapport', '2019-03-28 14:39:30'),
(669, 'fr', 'settings', 'SP_USER_REGISTRATION', 'Interface d\'enregistrement utilisateur', '2019-03-28 14:39:30'),
(670, 'fr', 'settings', 'syssettingssaved', 'Paramètres bien enregistrés !', '2019-03-28 14:39:30'),
(671, 'fr', 'plugin', 'Edit Seo Plugin', 'Editer le module Seo', '2018-01-22 23:02:55'),
(672, 'fr', 'plugin', 'Plugin Name', 'Nom du module', '2018-01-22 23:02:55'),
(673, 'fr', 'plugin', 'Seo Plugin Details', 'Détails du module Seo', '2018-01-22 23:02:55'),
(674, 'fr', 'panel', 'About Us', 'A propos', '2020-02-14 11:14:52'),
(675, 'fr', 'panel', 'Add following command to your cron tab', 'Ajouter la commande suivante à votre crontab', '2020-02-14 11:14:52'),
(676, 'fr', 'panel', 'alsocheckfollowlink', 'Cliquer sur le lien suivant pour plus de détails.', '2020-02-14 11:14:52'),
(677, 'fr', 'panel', 'Check Directory', 'Vérifier l\'annuaire', '2020-02-14 11:14:52'),
(678, 'fr', 'panel', 'Cron Command', 'Commande Cron', '2020-02-14 11:14:52'),
(679, 'fr', 'panel', 'Directory Manager', 'Gestionnaire d\'annuaires', '2020-02-14 11:14:52'),
(680, 'fr', 'panel', 'Edit My Profile', 'Editer mon profil', '2020-02-14 11:14:52'),
(681, 'fr', 'panel', 'My Profile', 'Mon profil', '2020-02-14 11:14:52'),
(682, 'fr', 'panel', 'New Proxy', 'Nouveau proxy', '2020-02-14 11:14:52'),
(683, 'fr', 'panel', 'New User', 'Nouvel utilisateur', '2020-02-14 11:14:52'),
(684, 'fr', 'panel', 'New Website', 'Nouveau site web', '2020-02-14 11:14:52'),
(685, 'fr', 'panel', 'Proxy Manager', 'Gestion Proxy', '2020-02-14 11:14:52'),
(686, 'fr', 'panel', 'Report Generation Manager', 'Gestion de la génération des rapports', '2020-02-14 11:14:52'),
(687, 'fr', 'panel', 'Reports Manager', 'Gestion des rapports', '2020-02-14 11:14:52'),
(688, 'fr', 'panel', 'Seo Plugins Manager', 'Gestion des plugins Seo', '2020-02-14 11:14:52'),
(689, 'fr', 'panel', 'Seo Tools Manager', 'Gestion des outils Seo', '2020-02-14 11:14:52'),
(690, 'fr', 'panel', 'System Settings', 'Paramètres système', '2020-02-14 11:14:52'),
(691, 'fr', 'panel', 'User Manager', 'Gestion des utilisateurs', '2020-02-14 11:14:52'),
(692, 'fr', 'panel', 'Website Manager', 'Gestion des sites web', '2020-02-14 11:14:52'),
(693, 'fr', 'home', 'Account Summary', 'Résumé du compte', '2020-02-14 11:07:37'),
(694, 'fr', 'home', 'Backlinks', 'Liens entrants', '2020-02-14 11:07:37'),
(695, 'fr', 'home', 'Directory Submission', 'Soumission', '2020-02-14 11:07:37'),
(696, 'fr', 'home', 'home_cont1', '<h1 style=\"text-align: center;margin-bottom: 30px;font-size: 19px;\">Bienvenue sur le site de Seo Panel - Le premier panneau de contrôle Seo multisite au monde</h1>\r\n        <p>\r\n            <b>Seo Panel</b> est un <b>panneau de contrôle Seo, open source</b>, pour gérer le <b>référencement</b> de vos sites internet.\r\n            Seo Panel est une <b>boite à outils</b> intégrant les tous derniers outils Seo pour <b>suivre et optimiser</b> les <b>résultats</b> de vos sites.\r\n            C\'est un <b>logiciel libre</b>, sous licence <b>GNU GENERAL PUBLIC LICENSE</b>.\r\n\r\n            L\'atout majeur de Seo Panel est d\'être <b>évolutif</b> grâce à son système de <a href=\"<?=SP_PLUGINSITE?>\" target=\"_blank\">plugins Seo</a>.\r\n            Tout le monde peut <b>développer et installer</b> facilement des plugins pour ajouter de nouvelles fonctionnalités.</p>\r\n        <p></p>\r\n        <p>\r\n            Ce logiciel open source a <b>vu le jour en janvier 2010</b>.\r\n            Depuis cette date, des <b>milliers</b> de <b>webmasters</b> utilise ce logiciel pour le référencement de leurs sites.\r\n            Utilisez Seo Panel dès aujourd\'hui, et <b>appréciez</b> l\'intégration de <b>toutes les techniques Seo</b> dans un seul et même outil, <b>Seo Panel</b>.\r\n        </p>', '2020-02-14 11:07:37'),
(697, 'fr', 'home', 'home_cont2', '<fieldset>\r\n<legend>Principales fonctionnalités de Seo Panel <?=SP_INSTALLED?></legend>\r\n<ul class=\"infobox\">\r\n    <li>        \r\n        <h1>Outil de soumission automatisée</h1>\r\n        <p>\r\n            L\'outil de soumission automatisée permet de <b>soumettre vos sites internet</b> aux principaux <b>annuaires gratuits et commerciaux</b>.\r\n            Le <b>statut</b> de chaque soumission peut être <b>suivi périodiquement</b> par le <b>script de contrôle</b>.\r\n            Le <b>gestionnaire d\'annuaires</b> vous aidera à vérifier le statut de chacun des annuaires.\r\n        </p>\r\n    </li>\r\n    <li>        \r\n        <h1>Contrôle de position sur mot-clé</h1>\r\n        <p>\r\n            L\'outil de contrôle de position sur mot-clé va trouver et sauvegarder la <b>position de votre site</b> dans les moteurs de recherche pour les <b>mots-clés visés</b>.\r\n            Dans la section des rapports de position, un <b>suivi quotidien et détaillé</b> des positions sur les différents mots-clés dans les moteurs de recherche est présenté <b>sous forme graphique</b>.\r\n        </p>\r\n    </li>\r\n    <li>        \r\n        <h1>Vérificateur de site</h1>\r\n        <p>Le vérificateur de site va <b>vérifier tous les paramètres SEO</b> des pages du site audité, et fournir un <b>rapport détaillé</b> sur chacune des pages. Cela permet de créer des fichiers sitemap <b>XML, HTML, ou texte</b> de votre site, afin de les <b>envoyer aux moteurs de rechercher.</b></p>\r\n    </li>\r\n    <li>        \r\n        <h1>Contrôle des rangs Google et Alexa</h1>\r\n        <p>\r\n            L\'outil de contrôle du rang Google et Alexa va trouver et sauvegarder les <b>rangs Google et Alexa</b> de vos sites.\r\n            Dans la section rapports de rang, un <b>suivi quotidien et détaillé</b> du rang Google et du rang Alexa est effectué, pour chacun de vos sites.\r\n        </p>\r\n    </li>\r\n    <li>        \r\n        <h1>Contrôle des liens retour</h1>\r\n        <p>\r\n            Le contrôle des liens retour permet de trouver et sauvegarder le <b>nombre de liens retour</b> vers vos sites sur les différents moteurs de recherche <b>(Google, Yahoo, MSN, ...)</b>.\r\n            <br>Dans la section des rapports sur liens retour, vous pouvez voir un <b>comptage quotidien et détaillé des liens retour</b> de chacun des sites.\r\n        </p>\r\n    </li>    \r\n    <li>        \r\n        <h1>Contrôle de saturation des moteurs de recherche</h1>\r\n        <p>\r\n            Le contrôle de saturation va trouver et sauvegarder le <b>nombre de pages indexées</b> de vos sites, sur les différents moteurs de recherche <b>(Google, Yahoo, MSN, ...)</b>.<br>\r\n            Dans les rapports de saturation, vous pouvez voir les <b>détails quotidiens</b> du <b>nombre de pages indexées</b> pour chacun de vos sites.\r\n        </p>\r\n    </li>\r\n    <li>        \r\n        <h1>Plugins Seo Panel</h1></h1>\r\n        <p>\r\n        	Le <b>principal atout</b> de Seo Panel est son <b>évolutivité</b>.\r\n        	Ajoutez <b>vos propres plugins</b> pour <b>étendre les fonctionnalités</b> de votre Seo Panel, selon vos besoins.<br/>\r\n            Les <a href=\"<?=SP_PLUGINSITE?>\" target=\"_blank\">plugins Seo Panel</a> sont disponibles via le site Seo Panel, ou par des tiers.\r\n            Vous pouvez facilement <b>développer</b> des plugins pour votre Seo Panel, \r\n            Et vous pouvez aussi <a href=\"<?=SP_PLUGINSITE?>\" target=\"_blank\">soumettre</a> vos plugins à Seo Panel. Ils seront <b>publiés</b> sur notre site, après validation.\r\n        </p>\r\n    </li>\r\n    <li>        \r\n        <h1>Générateur de tags Meta</h1>\r\n        <p>\r\n            Le générateur de tags Meta est un <b>plugin Seo Panel</b> permettant de créer des <b>tags Meta personnalisés</b> pour vos sites.\r\n            Il vous aidera à donner <b>plus d\'informations</b> sur vos sites aux <b>robots de recherche</b> lors de leurs visites.\r\n        </p>\r\n    </li>\r\n</ul>\r\n</fieldset>', '2020-02-14 11:07:37'),
(698, 'fr', 'home', 'home_cont3', '<fieldset>\r\n<legend>Seo Panel - Ressources en ligne</legend>    \r\n<ul class=\"infobox\">\r\n\r\n    <li>\r\n        <h1>Références Seo Panel</h1>                \r\n        \r\n        \r\n        <p>\r\n            <a href=\"http://www.seopanel.in\" target=\"_blank\" title=\"Site officiel SEO Panel\">Site officiel Seo Panel</a>\r\n        </p>\r\n        <p>\r\n            <a href=\"<?=SP_HOSTED_LINK?>\" target=\"_blank\">Hébergement Cloud/SaaS Seo Panel</a>\r\n        </p>\r\n        \r\n            <a href=\"<?=SP_HELP_LINK?>\" target=\"_blank\">Guide Seo Panel</a>\r\n        </p>\r\n        \r\n        <p>\r\n            <a href=\"<?=SP_FORUM_LINK?>\" target=\"_blank\">Forum Seo Panel</a>\r\n        </p>\r\n        \r\n        <p>\r\n            <a href=\"<?=SP_SUPPORT_LINK?>\" target=\"_blank\">Support Seo Panel</a>\r\n        </p>\r\n    </li>\r\n    \r\n</ul>\r\n</fieldset>', '2020-02-14 11:07:37'),
(14057, 'fr', 'home', 'Overall Report Summary', 'Rapport résumé global', '2020-02-14 11:07:37'),
(14058, 'fr', 'myaccount', 'Connect', 'Connexion', '2019-03-28 14:32:19'),
(14059, 'fr', 'myaccount', 'Connected', 'Connecté', '2019-03-28 14:32:19'),
(14060, 'fr', 'myaccount', 'Disconnect', 'Déconnexion', '2019-03-28 14:32:19'),
(14061, 'fr', 'myaccount', 'Disconnected', 'Déconnecté', '2019-03-28 14:32:19'),
(699, 'fr', 'home', 'Pages Indexed', 'Pages indexées', '2020-02-14 11:07:37'),
(700, 'fr', 'home', 'Ranks', 'Rangs', '2020-02-14 11:07:37'),
(701, 'fr', 'home', 'SiteNameUrl', 'Nom du site / URL', '2020-02-14 11:07:37'),
(702, 'fr', 'home', 'Website Statistics', 'Statistiques de vos sites', '2020-02-14 11:07:37'),
(703, 'fr', 'directory', 'Add back to directory list', 'Remettre dans la liste des annuaires', '2012-11-10 20:37:55'),
(704, 'fr', 'directory', 'Approved', 'Approuvé', '2012-11-10 20:37:55'),
(705, 'fr', 'directory', 'Captcha', 'Captcha', '2012-11-10 20:37:55'),
(706, 'fr', 'directory', 'categorynote', 'Catégories, à séparer par des virgules, dans l\\\'ordre de priorité. Débuter par la catégorie ayant la priorité la plus haute.', '2012-11-10 20:37:55'),
(707, 'fr', 'directory', 'Check Directory Status', 'Vérifier le statut de l\\\'annuaire', '2012-11-10 20:37:55'),
(708, 'fr', 'directory', 'Check Directory Submission Status', 'Vérifier le statut de l\\\'envoi', '2012-11-10 20:37:55'),
(709, 'fr', 'directory', 'clicktoproceeddirsts', 'Cliquer sur <b>Valider</b> pour vérifier le statut de l\\\'annuaire.', '2012-11-10 20:37:55'),
(710, 'fr', 'directory', 'Confirmation', 'Confirmation', '2012-11-10 20:37:55'),
(711, 'fr', 'directory', 'desnote', 'Certains annuaires requiert un minimum de 150 caractères pour la description.', '2012-11-10 20:37:55'),
(712, 'fr', 'directory', 'Directories with out captcha', 'Annuaires sans captcha', '2012-11-10 20:37:55'),
(713, 'fr', 'directory', 'Directory Submission Reports', 'Rapports d\\\'envois aux annuaires', '2012-11-10 20:37:55'),
(714, 'fr', 'directory', 'Enter the code shown', 'Veuillez saisir le code indiqué', '2012-11-10 20:37:55'),
(715, 'fr', 'directory', 'nocatnote', 'Catégorie d\\\'envoi non trouvée dans la page d\\\'envoi. Veuillez cliquer sur <b>Recharger</a> ou <b>Passer</b>', '2012-11-10 20:37:55'),
(716, 'fr', 'directory', 'nodirnote', 'Aucun annuaire <b>actif</b>', '2012-11-10 20:37:55'),
(717, 'fr', 'directory', 'nosuccessnote', 'Aucune confirmation n\\\'a été reçue, veuillez vérifier vos mails', '2012-11-10 20:37:55'),
(718, 'fr', 'directory', 'optionalnote', 'Titres et descriptions optionnels à soumettre aléatoirement aux annuaires pour de meilleurs résultats.', '2012-11-10 20:37:55'),
(719, 'fr', 'directory', 'Owner Email', 'Mail du propriétaire', '2012-11-10 20:37:55'),
(720, 'fr', 'directory', 'Owner Name', 'Nom du propriétaire', '2012-11-10 20:37:55'),
(721, 'fr', 'directory', 'Pending', 'En attente', '2012-11-10 20:37:55'),
(722, 'fr', 'directory', 'Please select a website to proceed', 'Veuillez sélectionner un site', '2012-11-10 20:37:55'),
(723, 'fr', 'directory', 'selectwebsiteproceed', 'Sélectionner un <b>site</b> à envoyer à l\\\'annuaire. <br>Cocher l\\\'option <b>Annuaires sans captcha</b> pour envoyer aux annuaires sans confirmation humaine.', '2012-11-10 20:37:55'),
(724, 'fr', 'directory', 'selectwebsiteschecksub', 'Sélectionner un <b>site</b> à envoyer à l\\\'annuaire.', '2012-11-10 20:37:55'),
(725, 'fr', 'directory', 'Semi Automatic Directory Submission Tool', 'Outil de soumission semi automatique', '2012-11-10 20:37:55'),
(726, 'fr', 'directory', 'spamemailnote', 'Certains annuaires envoient des courriers indésirables, nous vous déconseillons d\\\'utiliser votre adresse mail principale.', '2012-11-10 20:37:55'),
(727, 'fr', 'directory', 'Submission Details', 'Détails de l\\\'envoi', '2012-11-10 20:37:55'),
(728, 'fr', 'directory', 'Submit Description', 'Description', '2012-11-10 20:37:55'),
(729, 'fr', 'directory', 'Submit Keywords', 'Mots-clés', '2012-11-10 20:37:55'),
(730, 'fr', 'directory', 'Submit Title', 'Titre', '2012-11-10 20:37:55'),
(731, 'fr', 'directory', 'Website Category', 'Catégorie', '2012-11-10 20:37:55'),
(732, 'fr', 'directory', 'Website Url', 'URL du site', '2012-11-10 20:37:55'),
(733, 'fr', 'keyword', 'Crawling keyword', 'Mot clé exploré', '2016-01-02 18:07:27'),
(734, 'fr', 'keyword', 'Detailed Keyword Position Reports', 'Rapports détaillés de position sur mot-clé', '2016-01-02 18:07:27'),
(735, 'fr', 'keyword', 'Edit Keyword', 'Editer le mot-clé', '2016-01-02 18:07:27'),
(736, 'fr', 'keyword', 'Graphical Keyword Position Reports', 'Rapport graphique de position sur mot-clé', '2016-01-02 18:07:27'),
(737, 'fr', 'keyword', 'Import Keywords', 'Importer les mots-clés', '2016-01-02 18:07:27'),
(738, 'fr', 'keyword', 'Keyword already exist', 'Le mot-clé existe déjà', '2016-01-02 18:07:27'),
(739, 'fr', 'keyword', 'Keyword Position Report', 'Rapport de position sur mot-clé', '2016-01-02 18:07:27'),
(740, 'fr', 'keyword', 'New Keyword', 'Nouveau mot-clé', '2016-01-02 18:07:27'),
(741, 'fr', 'keyword', 'not assigned to required search engines', 'non assigné aux moteurs de recherches requis', '2016-01-02 18:07:27'),
(742, 'fr', 'keyword', 'pleaseselecttool', 'Merci de sélectionner au moins un outil Seo', '2016-01-02 18:07:27'),
(743, 'fr', 'keyword', 'Quick Keyword Position Checker', 'Contrôle rapide de position sur mot-clé', '2016-01-02 18:07:27'),
(744, 'fr', 'keyword', 'results from ', 'résultats de', '2016-01-02 18:07:27'),
(745, 'fr', 'keyword', 'Show All results', 'Afficher tous les résultats', '2016-01-02 18:07:27'),
(746, 'fr', 'keyword', 'Successfully crawled keyword', 'Exploration réussie du mot-clé', '2016-01-02 18:07:27'),
(747, 'fr', 'keyword', 'to create new keywords', 'pour créer de nouveaux mots-clés', '2016-01-02 18:07:27'),
(748, 'fr', 'proxy', 'Edit Proxy', 'Editer le proxy', '2016-12-09 18:07:31'),
(749, 'fr', 'proxy', 'Proxy Password', 'Mot de passe', '2016-12-09 18:07:31'),
(750, 'fr', 'proxy', 'Proxy Username', 'Nom d\'utilisateur', '2016-12-09 18:07:31'),
(751, 'fr', 'proxy', 'Proxyalreadyexist', 'Le proxy existe déjà !', '2016-12-09 18:07:31'),
(752, 'fr', 'rank', 'enterurlproceed', 'Indiquez <b>une URL par ligne</b>. Cliquer sur <b>Valider</b> pour vérifier les rangs Google et Alexa.', '2010-09-28 09:16:21'),
(753, 'fr', 'rank', 'Google and Alexa Rank Reports', 'Rapport de rangs Google et Alexa', '2010-09-28 09:16:21'),
(754, 'fr', 'rank', 'Saved rank results of', 'Résultats sauvegardés', '2010-09-28 09:16:21'),
(755, 'fr', 'saturation', 'clickproceedsaturation', 'Indiquez <b>une URL par ligne</b>. Cliquez sur <b>valider</b> pour vérifier les résultats de saturation des moteurs de recherche.', '2010-09-28 09:18:11'),
(756, 'fr', 'saturation', 'GenerateSaturationReports', 'Générer les rapports de saturation de moteur de recherche', '2010-09-28 09:18:11'),
(757, 'fr', 'saturation', 'Quick Search Engine Saturation Checker', 'Contrôle rapide de saturation des moteurs de recherche', '2010-09-28 09:18:11'),
(758, 'fr', 'saturation', 'Saved Search Engine Saturation results of', 'Résultats sauvegardés', '2010-09-28 09:18:11'),
(759, 'fr', 'saturation', 'Search Engine Saturation Reports', 'Rapports de saturation des moteurs de recherche', '2010-09-28 09:18:11'),
(760, 'fr', 'seotools', 'Automatic Submission', 'Soumission automatisée', '2019-03-28 14:37:48'),
(761, 'fr', 'seotools', 'backlink-checker', 'Contrôle des liens retour', '2019-03-28 14:37:48'),
(762, 'fr', 'seotools', 'Backlinks Reports', 'Rapports sur les liens retour', '2019-03-28 14:37:48'),
(763, 'fr', 'seotools', 'Check Submission Status', 'Vérifier le statut de la soumission', '2019-03-28 14:37:48'),
(764, 'fr', 'seotools', 'clickgeneratereports', 'Cliquer sur <b>Valider</b> pour générer les rapports', '2019-03-28 14:37:48'),
(765, 'fr', 'seotools', 'Detailed Position Reports', 'Rapports détaillés de position', '2019-03-28 14:37:48'),
(766, 'fr', 'seotools', 'directory-submission', 'Soumission annuaire', '2019-03-28 14:37:48'),
(767, 'fr', 'seotools', 'Featured Submission', 'Soumission active', '2019-03-28 14:37:48'),
(768, 'fr', 'seotools', 'Generate Backlinks Reports', 'Générer les rapports de liens retour', '2019-03-28 14:37:48'),
(769, 'fr', 'seotools', 'Generate Keyword Reports', 'Générer les rapports sur le mot-clé', '2019-03-28 14:37:48'),
(770, 'fr', 'seotools', 'Generate Rank Reports', 'Générer les rapports de rangs', '2019-03-28 14:37:48'),
(771, 'fr', 'seotools', 'Generate Saturation Reports', 'Générer les rapports de saturation', '2019-03-28 14:37:48'),
(772, 'fr', 'seotools', 'Google Sitemap Generator', 'Générateur de sitemap Google', '2019-03-28 14:37:48'),
(773, 'fr', 'seotools', 'Graphical Position Reports', 'Rapports graphiques de position', '2019-03-28 14:37:48'),
(774, 'fr', 'seotools', 'Keyword Position Summary', 'Résumé de position sur mot-clé', '2019-03-28 14:37:48'),
(775, 'fr', 'seotools', 'keyword-position-checker', 'Contrôle de position sur mot-clé', '2019-03-28 14:37:48'),
(776, 'fr', 'seotools', 'Keywords Manager', 'Gestionnaire de mots-clés', '2019-03-28 14:37:48'),
(777, 'fr', 'seotools', 'Quick Backlinks Checker', 'Contrôle rapide des liens retour', '2019-03-28 14:37:48');
INSERT INTO `texts` (`id`, `lang_code`, `category`, `label`, `content`, `changed`) VALUES
(778, 'fr', 'seotools', 'Quick Position Checker', 'Contrôle rapide de position', '2019-03-28 14:37:48'),
(779, 'fr', 'seotools', 'Quick Rank Checker', 'Contrôle rapide de rang', '2019-03-28 14:37:48'),
(780, 'fr', 'seotools', 'Quick Saturation Checker', 'Contrôle rapide de saturation', '2019-03-28 14:37:48'),
(781, 'fr', 'seotools', 'Rank Reports', 'Rapports de rang', '2019-03-28 14:37:48'),
(782, 'fr', 'seotools', 'rank-checker', 'Contrôle de rang', '2019-03-28 14:37:48'),
(783, 'fr', 'seotools', 'Saturation Reports', 'Rapports de saturation', '2019-03-28 14:37:48'),
(784, 'fr', 'seotools', 'saturation-checker', 'Saturation de moteur de recherche', '2019-03-28 14:37:48'),
(785, 'fr', 'seotools', 'sitemap-generator', 'Générateur de Sitemap', '2019-03-28 14:37:48'),
(786, 'fr', 'seotools', 'Skipped Directories', 'Annuaires non traités', '2019-03-28 14:37:48'),
(787, 'fr', 'seotools', 'Submission Reports', 'Rapports de soumission', '2019-03-28 14:37:48'),
(788, 'fr', 'seotools', 'User Access', 'Accès utilisateur', '2019-03-28 14:37:48'),
(789, 'fr', 'support', 'support_cont1', '<fieldset>\r\n<legend>Support Seo Panel</legend>\r\n<ul class=\\\"infobox\\\">\r\n    <li>\r\n        <h1>Pack de 1000 annuaires</h1> \r\n        <p>\r\n            Nous pouvons vous fournir un pack de <b>1000 annuaires gratuits, actifs et vérifiés</b>, à ajouter à votre Seo Panel.\r\n            Cela vous aidera à <b>augmenter les liens retour</b> vers vos sites.<br/>\r\n            Ce pack a été créé pour <b>financer les prochains dévelopements</b> de Seo Panel.<br/>\r\n            Pour obtenir le pack, merci de <a href=\\\"<?=SP_DONATE_LINK?>\\\" target=\\\"_blank\\\">donner</a> 10$ ou plus, pour aider à améliorer Seo Panel.<br>\r\n            Si vous avez des questions sur ce pack de 1000 annuaires, n\\\'hésitez pas à <a href=\\\"<?=SP_CONTACT_LINK?>\\\" target=\\\"_blank\\\">nous contacter</a> ou à <a href=\\\"<?=SP_SUPPORT_LINK?>\\\" target=\\\"_blank\\\">ouvrir un ticket</a>.\r\n        </p>        \r\n        <p>\r\n            <a href=\\\"<?=SP_DONATE_LINK?>\\\" target=\\\"_blank\\\">Cliquer ici pour aider à financer Seo Panel.</a>\r\n        </p>\r\n        <br>\r\n    </li>\r\n    \r\n    <li>\r\n        <h1>Pack de moteurs de recherche locaux</h1> \r\n        <p>\r\n            Ajoutez les moteurs de recherche locaux de Google, Yahoo, MSN (<b>ex: www.google.fr, www.yahoo.fr, ...</b>) au <b>contrôle de position sur mot-clé</b>, pour suivre le référencement local de vos sites.<br/>\r\n            Pour obtenir le pack de moteurs de recherche locaux (en fonction de vos besoins), merci de <a href=\\\"<?=SP_DONATE_LINK?>\\\" target=\\\"_blank\\\">donner</a> 10$ ou plus pour aider à améliorer Seo Panel.<br/>\r\n            Avant de faire le don, merci de <a href=\\\"<?=SP_CONTACT_LINK?>\\\" target=\\\"_blank\\\">nous contacter</a> afin de nous communiquer la liste des moteurs de recherche souhaités.<br><br>\r\n            Si vous souhaitez ajouter de <b>nouveaux moteurs de recherches</b> à votre suivi de position sur mot-clé Seo Panel, merci de <a href=\\\"<?=SP_CONTACT_LINK?>\\\" target=\\\"_blank\\\">nous contacter</a> ou d\\\'<a href=\\\"<?=SP_SUPPORT_LINK?>\\\" target=\\\"_blank\\\">ouvrir un ticket</a>.\r\n        </p>        \r\n        <p class=\\\"visit\\\">\r\n            <a href=\\\"<?=SP_CONTACT_LINK?>\\\" target=\\\"_blank\\\">Cliquer ici pour nous contacter.</a>\r\n        </p>\r\n        <br>\r\n    </li>\r\n    \r\n    <li>\r\n        <h1>Plugins Seo Panel</h1> \r\n        <p>\r\n           Ajouter des <b>plugins</b> à votre Seo Panel, afin d\\\'ajouter de <b>nouvelles fonctionnalités</b>, selon vos besoins.<br/>\r\n           Les <a href=\\\"<?=SP_PLUGINSITE?>\\\" target=\\\"_blank\\\">plugins Seo Panel</a> sont disponibles via Seo Panel, ou des tiers.<br/>\r\n           Vous pouvez facilement <b>développer</b> des plugins pour votre Seo Panel, et <a href=\\\"<?=SP_PLUGINSITE?>\\\" target=\\\"_blank\\\">soumettre vos plugins</a> sur le site Seo Panel, où ils seront publiés après <b>validation</b>. \r\n        </p>        \r\n        <p>\r\n            <a href=\\\"<?=SP_PLUGINSITE?>\\\" target=\\\"_blank\\\">Cliquer ici pour obtenir les plugins disponibles.</a>\r\n        </p>\r\n        <br>\r\n    </li>    \r\n    <li>\r\n        <h1>Nous contacter</h1> \r\n        <p>\r\n            N\\\'hésitez pas à nous contacter à propos des <b>outils, plugins et fonctionnalités de Seo Panel</b> en utilisant le lien ci-dessous.\r\n        </p>        \r\n        <p>\r\n            <a href=\\\"<?=SP_CONTACT_LINK?>\\\" target=\\\"_blank\\\">Cliquer ici pour nous contacter.</a>\r\n        </p>\r\n        <br>\r\n    </li>    \r\n    <li>\r\n        <h1>Tickets de Support</h1> \r\n        <p>\r\n            Pour obtenir un <b>support technique</b> de l\\\'équipe Seo Panel sur l\\\'<b>installation de Seo Panel, des outils ou des plugins</b>. Ex.: Configurer l\\\'exécution périodique (cron) du contrôle de position sur mot-clé, résoudre un dysfonctionnement post-installation, ...\r\n        </p>        \r\n        <p>\r\n            <a href=\\\"<?=SP_SUPPORT_LINK?>\\\" target=\\\"_blank\\\">Cliquer ici pour ouvrir un ticket de support technique.</a>\r\n        </p>\r\n        <br>\r\n    </li>    \r\n    <li>\r\n        <h1>Signaler un bug</h1> \r\n        <p>\r\n            Signalez les <b>bugs</b> de <b>Seo Panel, des outils ou des plugins</b> en utilisant le lien ci-dessous.<br/>\r\n            Cela nous aidera à améliorer les prochaines versions.\r\n        </p>        \r\n        <p>\r\n            <a href=\\\"<?=SP_SUPPORT_LINK?>\\\" target=\\\"_blank\\\">Cliquer ici pour signaler un bug.</a>\r\n        </p>\r\n        <br>\r\n    </li>    \r\n</ul>\r\n</fieldset>', '2010-09-28 10:36:44'),
(790, 'fr', 'support', 'support_cont2', '<fieldset>\r\n<legend>Seo Panel - Ressources en ligne</legend>\r\n<ul class=\\\"infobox\\\">\r\n        \r\n    <li>\r\n        <h1>L\\\'aide Seo Panel</h1> \r\n        <p>\r\n            Vous pouvez consulter la <a href=\\\"<?=SP_HELP_LINK?>\\\" target=\\\"_blank\\\">documentation</a> pour Seo Panel, ses fonctionnalités, ainsi que les outils et plugins.\r\n            <br>C\\\'est le meilleur endroit pour <b>avoir de l\\\'aide</b> sur Seo Panel. Nous espérons que vous pourrez <b>contribuer</b> au guide Seo Panel, si vous trouvez des erreurs ou des choses qui manquent.\r\n        </p>\r\n        <p>\r\n            <a href=\\\"<?=SP_HELP_LINK?>\\\" target=\\\"_blank\\\">Cliquer ici pour voir l\\\'aide Seo Panel.</a>\r\n        </p>\r\n        <br>\r\n    </li>    \r\n    <li>\r\n        <h1>Le forum Seo Panel</h1> \r\n        <p>\r\n            Un endroit où discuter du <b>premier panneau de contrôle Seo en open source au monde</b>.<br>C\\\'est le meilleur endroit pour trouver des <b>réponses</b> à <b>vos questions</b> à propos de Seo Panel.<br>Vous pouvez aussi y <b>partager vos expériences</b> afin d\\\'optimiser le référencement de vos sites internet.\r\n        </p>        \r\n        <p>\r\n            <a href=\\\"<?=SP_FORUM_LINK?>\\\" target=\\\"_blank\\\">Cliquer ici pour aller sur le forum Seo Panel</a>\r\n        </p>\r\n        <br>\r\n    </li>\r\n</ul>    \r\n</fieldset>', '2010-09-28 10:36:44'),
(791, 'fr', 'support', 'support_cont3', '<fieldset>\r\n<legend>Dons pour Seo Panel</legend>\r\n<ul class=\\\"infobox\\\">        \r\n    <li>\r\n        <h1>Donnez pour Seo Panel - Le premier panneau de contr&ocirc;le open source Seo au monde</h1> \r\n        <p>\r\n            <b>Donnez</b> &agrave; Seo Panel pour financer le premier panneau de contr&ocirc;le open source Seo au monde.<br/>\r\n            Nous pr&eacute;voyons bien sur des <b>ajouts et am&eacute;liorations</b> des fonctionnalit&eacute;s de Seo Panel, et gr&acirc;ce &agrave; votre support, nous pourrons atteindre les <b>buts fix&eacute;s</b>.\r\n            Si <b>vous appr&eacute;ciez Seo Panel</b>, merci de <b>faire un don</b> &agrave; l\\\'&eacute;quipe Seo Panel afin d\\\'aider &agrave; financer son d&eacute;veloppement.<br/>\r\n            D&egrave;s r&eacute;ception de votre don, nous publierons, avec votre accord, votre nom et votre site sur la <a href=\\\"<?=SP_DONATE_LINK?>\\\" target=\\\"_blank\\\">page de dons</a>.\r\n            \r\n            \r\n        </p>\r\n        <p>\r\n            <a href=\\\"<?=SP_DONATE_LINK?>\\\" target=\\\"_blank\\\">Cliquer ici pour faire un don</a>\r\n        </p>\r\n        <br>\r\n    </li>\r\n</ul>\r\n</fieldset>', '2010-09-28 10:36:44'),
(792, 'es', 'common', 'Keywords', 'Palabras clave', '2019-05-25 18:49:48'),
(793, 'es', 'keyword', 'Import Keywords', 'Importación de palabras clave.', '2011-07-07 10:24:15'),
(794, 'es', 'keyword', 'to create new keywords', 'para crear nuevas palabras clave', '2011-07-07 10:24:15'),
(795, 'es', 'label', 'already exist', 'ya existen', '2012-05-12 10:54:10'),
(796, 'es', 'label', 'Click Here', 'Haga clic aquí', '2012-05-12 10:54:10'),
(797, 'es', 'label', 'Developers', 'Desarrolladores', '2012-05-12 10:54:10'),
(798, 'es', 'label', 'Sponsors', 'Patrocinadores', '2012-05-12 10:54:10'),
(799, 'es', 'label', 'Translators', 'Traductores', '2012-05-12 10:54:10'),
(800, 'es', 'panel', 'About Us', 'Quiénes somos', '2012-05-12 10:55:03'),
(801, 'es', 'settings', 'Click here to become a sponsor for Seo Panel', '<b>Realiza una donación de 100 usd</b> y conviértete en un <b>sponsor</b> de Seo Panel.', '2012-05-12 11:03:05'),
(802, 'es', 'settings', 'SP_DEFAULTLANG', 'Idioma por defecto', '2012-05-12 11:03:05'),
(803, 'de', 'button', 'Cancel', 'Abbrechen', '2021-06-14 21:29:35'),
(804, 'de', 'button', 'Check Status', 'Status prüfen', '2021-06-14 21:29:35'),
(805, 'de', 'button', 'Proceed', 'Speichern', '2021-06-14 21:29:35'),
(806, 'de', 'button', 'Reload', 'Neu laden', '2021-06-14 21:29:35'),
(807, 'de', 'button', 'Show Details', 'Details', '2021-06-14 21:29:35'),
(808, 'de', 'button', 'Show Records', 'Aufzeichnungen', '2021-06-14 21:29:35'),
(809, 'de', 'button', 'Skip', 'Überspringen', '2021-06-14 21:29:35'),
(810, 'de', 'button', 'Submit', 'Übermitteln', '2021-06-14 21:29:35'),
(811, 'de', 'common', 'Action', 'Aktion', '2021-06-14 21:46:19'),
(812, 'de', 'common', 'Activate', 'Aktivieren', '2021-06-14 21:46:19'),
(813, 'de', 'common', 'Admin Panel', 'Adminbereich', '2021-06-14 21:46:19'),
(814, 'de', 'common', 'Alexa Rank', 'Alexa Rank', '2021-06-14 21:46:19'),
(815, 'de', 'common', 'All', 'Alle', '2021-06-14 21:46:19'),
(816, 'de', 'common', 'Category', 'Kategorie', '2021-06-14 21:46:19'),
(817, 'de', 'common', 'contact', 'Kontakt', '2021-06-14 21:46:19'),
(818, 'de', 'common', 'copyright', 'Copyright © [year] www.seopanel.org. Alle Rechte vorbehalten', '2021-06-14 21:46:19'),
(819, 'de', 'common', 'Country', 'Land', '2021-06-14 21:46:19'),
(820, 'de', 'common', 'Crawl Meta Data', 'Meta-Daten abrufen', '2021-06-14 21:46:19'),
(821, 'de', 'common', 'Details', 'Details', '2021-06-14 21:46:19'),
(822, 'de', 'common', 'Directory', 'Verzeichnis', '2021-06-14 21:46:19'),
(823, 'de', 'common', 'Donate', 'Spenden', '2021-06-14 21:46:19'),
(824, 'de', 'common', 'Entry cannot be blank', 'Eintrag kann nicht leer gelassen werden', '2021-06-14 21:46:19'),
(825, 'de', 'common', 'entrynotvalid', 'Das Eingetragene scheint nicht zu stimmen', '2021-06-14 21:46:19'),
(826, 'de', 'common', 'failed', 'fehlgeschlagen', '2021-06-14 21:46:19'),
(827, 'de', 'common', 'forum', 'Forum', '2021-06-14 21:46:19'),
(828, 'de', 'common', 'Found', 'Gefunden', '2021-06-14 21:46:19'),
(829, 'de', 'common', 'Google Pagerank', 'Google Pagerank', '2021-06-14 21:46:19'),
(830, 'de', 'common', 'help', 'Hilfe', '2021-06-14 21:46:19'),
(831, 'de', 'common', 'hidenews', 'SEO Panel News verbergen', '2021-06-14 21:46:19'),
(832, 'de', 'common', 'Id', 'Id', '2021-06-14 21:46:19'),
(833, 'de', 'common', 'Inactivate', 'Deaktivieren', '2021-06-14 21:46:19'),
(834, 'de', 'common', 'Inactive', 'Inaktiv', '2021-06-14 21:46:19'),
(835, 'de', 'common', 'Invalid characters', 'Ungültige Zeichen', '2021-06-14 21:46:19'),
(836, 'de', 'common', 'Invalid code entered', 'Ungültiger Code', '2021-06-14 21:46:19'),
(837, 'de', 'common', 'Invalid email address entered', 'ungültige Mailadresse', '2021-06-14 21:46:19'),
(838, 'de', 'common', 'Invalid value', 'ungültiger Wert', '2021-06-14 21:46:19'),
(839, 'de', 'common', 'Keyword', 'Keyword', '2021-06-14 21:46:19'),
(840, 'de', 'common', 'Keywords', 'Keywords', '2021-06-14 21:46:19'),
(841, 'de', 'common', 'My Account', 'Mein Account', '2021-06-14 21:46:19'),
(842, 'de', 'common', 'Name', 'Name', '2021-06-14 21:46:19'),
(843, 'de', 'common', 'No Keywords Found', 'Keine Keywords vorhanden', '2021-06-14 21:46:19'),
(844, 'de', 'common', 'No Records Found', 'Keine Aufzeichnungen vorhanden', '2021-06-14 21:46:19'),
(845, 'de', 'common', 'noactivetools', 'Keine aktiven SEO Tools vorhanden!', '2021-06-14 21:46:19'),
(846, 'de', 'common', 'nowebsites', 'Keine Webseiten vorhanden', '2021-06-14 21:46:19'),
(847, 'de', 'common', 'password632', 'Das Passwort sollte aus 6-32 Zeichen bestehen', '2021-06-14 21:46:19'),
(848, 'de', 'common', 'passwordnotmatch', 'Die Passwörter stimmen nicht überein', '2021-06-14 21:46:19'),
(849, 'de', 'common', 'Period', 'Zeitraum', '2021-06-14 21:46:19'),
(850, 'de', 'common', 'Priority', 'Priorität', '2021-06-14 21:46:19'),
(851, 'de', 'common', 'Reports', 'Berichte', '2021-06-14 21:46:19'),
(852, 'de', 'common', 'Results', 'Ergebnisse', '2021-06-14 21:46:19'),
(853, 'de', 'common', 'Search Engine', 'Suchmaschine', '2021-06-14 21:46:19'),
(854, 'de', 'common', 'Seo Plugins', 'SEO Erweiterungen', '2021-06-14 21:46:19'),
(855, 'de', 'common', 'Seo Tools', 'SEO Werkzeuge', '2021-06-14 21:46:19'),
(856, 'de', 'common', 'Sign out', 'Ausloggen', '2021-06-14 21:46:19'),
(857, 'de', 'common', 'Sign Up', 'Registrieren', '2021-06-14 21:46:19'),
(858, 'de', 'common', 'signin', 'Einloggen', '2021-06-14 21:46:19'),
(859, 'de', 'common', 'Status', 'Status', '2021-06-14 21:46:19'),
(860, 'de', 'common', 'Support', 'Support', '2021-06-14 21:46:19'),
(861, 'de', 'common', 'Url', 'URL', '2021-06-14 21:46:19'),
(862, 'de', 'common', 'User', 'Benutzer', '2021-06-14 21:46:19'),
(863, 'de', 'common', 'User Panel', 'Benutzerbereich', '2021-06-14 21:46:19'),
(864, 'de', 'common', 'Website', 'Webseite', '2021-06-14 21:46:19'),
(865, 'de', 'directory', 'Add back to directory list', 'Zur Verzeichnissen hinzufügen', '2021-06-14 21:41:51'),
(866, 'de', 'directory', 'Approved', 'Bestätigt', '2021-06-14 21:41:51'),
(867, 'de', 'directory', 'Captcha', 'Captcha', '2021-06-14 21:41:51'),
(868, 'de', 'directory', 'categorynote', 'Kategorien, durch Komma getrennt. Sortiert nach Wichtigkeit.', '2021-06-14 21:41:51'),
(869, 'de', 'directory', 'Check Directory Status', 'Status prüfen', '2021-06-14 21:41:51'),
(870, 'de', 'directory', 'Check Directory Submission Status', 'Eintragungsstatus prüfen', '2021-06-14 21:41:51'),
(871, 'de', 'directory', 'clicktoproceeddirsts', 'Auf <b>Starten</b> klicken um Status zu überprüfen.', '2021-06-14 21:41:51'),
(872, 'de', 'directory', 'Confirmation', 'Bestätigung', '2021-06-14 21:41:51'),
(873, 'de', 'directory', 'desnote', 'Einige Verzeichnisse verlangen mindestens 150 Zeichen als Beschreibung', '2021-06-14 21:41:51'),
(874, 'de', 'directory', 'Directories with out captcha', 'Verzeichnisse ohne Captcha Abfrage', '2021-06-14 21:41:51'),
(875, 'de', 'directory', 'Directory Submission Reports', 'Eintragungs-Berichte', '2021-06-14 21:41:51'),
(876, 'de', 'directory', 'Enter the code shown', 'Gib den angezeigten Code ein', '2021-06-14 21:41:51'),
(877, 'de', 'directory', 'nocatnote', 'Die gewünschte Kategorie existiert nicht in diesem Verzeichnis. <b>Neu laden</b> oder <b>Überspringen</b>  	 ', '2021-06-14 21:41:51'),
(878, 'de', 'directory', 'nodirnote', 'Keine <b>aktiven</b> Verzeichnisse gefunden', '2021-06-14 21:41:51'),
(879, 'de', 'directory', 'nosuccessnote', 'Keine Bestätigung erhalten - Bitte im Email-Postfach nach der Bestätigungsmail schauen.', '2021-06-14 21:41:51'),
(880, 'de', 'directory', 'optionalnote', 'Verschiedene Beschreibungen und Titel angeben um bessere Ergebnisse zu erzielen (Optional).', '2021-06-14 21:41:51'),
(881, 'de', 'directory', 'Owner Email', 'Email-Adresse', '2021-06-14 21:41:51'),
(882, 'de', 'directory', 'Owner Name', 'Vor- und Nachname', '2021-06-14 21:41:51'),
(883, 'de', 'directory', 'Pending', 'Ausstehend...', '2021-06-14 21:41:51'),
(884, 'de', 'directory', 'Please select a website to proceed', 'Bitte Webseite auswählen', '2021-06-14 21:41:51'),
(885, 'de', 'directory', 'selectwebsiteproceed', 'Wähle eine <b>Webseite</b> und <b>starte</b> die Verzeichniseintragung.<br>Setze einen Haken bei <b>Verzeichnisse ohne Captcha Abfrage</b> um Verzeichnisse mit Captcha Abfrage zu überspringen.', '2021-06-14 21:41:51'),
(886, 'de', 'directory', 'selectwebsiteschecksub', 'Wähle eine <b>Webseite</b> und <b>starte</b> die Überprüfung der Verzeichniseintragung.', '2021-06-14 21:41:51'),
(887, 'de', 'directory', 'Semi Automatic Directory Submission Tool', 'Tool für automatische Verzeichnis-Eintragungen', '2021-06-14 21:41:51'),
(888, 'de', 'directory', 'spamemailnote', 'Einige Verzeichnisse versenden SPAM, wir empfehelen nicht die echte Mailadresse anzugeben.', '2021-06-14 21:41:51'),
(889, 'de', 'directory', 'Submission Details', 'Details', '2021-06-14 21:41:51'),
(890, 'de', 'directory', 'Submit Description', 'Beschreibung', '2021-06-14 21:41:51'),
(891, 'de', 'directory', 'Submit Keywords', 'Keywords', '2021-06-14 21:41:51'),
(892, 'de', 'directory', 'Submit Title', 'Title', '2021-06-14 21:41:51'),
(893, 'de', 'directory', 'Website Category', 'Kategorie', '2021-06-14 21:41:51'),
(894, 'de', 'directory', 'Website Url', 'URL', '2021-06-14 21:41:51'),
(895, 'de', 'home', 'Account Summary', 'Account Zusammenfassung', '2021-06-14 21:27:27'),
(896, 'de', 'home', 'Backlinks', 'Backlinks', '2021-06-14 21:27:27'),
(897, 'de', 'home', 'Directory Submission', 'Verzeichniseintragung', '2021-06-14 21:27:27'),
(898, 'de', 'home', 'home_cont1', '<h1 style=\"text-align: center;margin-bottom: 30px;font-size: 19px;\">Willkommen im SEO Panel - Das weltweit erste SEO Kontrollzentrum fuer mehrere Webseiten</h1>\r\n        <p>\r\n            Ein komplettes <b>Open Source SEO Kontrollzentrum</b> zur <b>Suchmaschinenoptimierung</b> deiner Webseiten.\r\n            Das SEO Panel ist ein <b>SEO Werkzeugkasten</b> mit den wichtigsten Funktionen um die <b>Suchmaschinenoptimierung</b> deiner Webseiten zu <b>beobachten und verbessern</b>.\r\n            Es handelt sich um <b>kostenlose Software</b> erschienen unter der <b>GNU GENERAL PUBLIC LICENSE</b>.\r\n            Die Hauptfunktion vom SEO Panel ist die <b>Erweiterungsfaehigkeit</b> durch das Nutzen von <a href=\"<?=SP_PLUGINSITE?>\"\r\ntarget=\"_blank\">SEO Erweiterungen</a>.\r\n            Jeder kann ganz einfach weitere Erweiterungen fuer das SEO Panel <b>entwickeln und installieren</b>. \r\n        </p>\r\n        <p></p>\r\n        <p>\r\n            Diese Open Source Software wurde <b>im Januar 2010 veroeffentlicht</b>.\r\n            In diesem <b>kurzen Zeitraum</b> haben sich bereits <b>Tausende</b> von <b>Webmastern</b> gefunden, die diese Software nutzen um Ihre Webseiten zu <b>optimieren</b>.\r\n            Beginne noch heute, das SEO Panel zu nutzen und <b>geniesse</b> die Vorteile, alles SEO-technische in einer <b>einzigen Platform</b> wiederzufinden.\r\n        </p>', '2021-06-14 21:27:27'),
(899, 'de', 'home', 'home_cont2', '<fieldset>\r\n<legend>Hauptfunktionen des SEO Panels <?=SP_INSTALLED?></legend>\r\n<ul class=\"infobox\">\r\n    <li>        \r\n        <h1>Automatisches Webkatalog Eintragungs Tool</h1>\r\n		<p>\r\n			Das automatische Webverzeichnis Eintragungs Tool ermoeglicht <b>die Eintragung</b> in die wichtigsten <b>kostenlosen und kostenpflichtigen Webkataloge</b>.\r\n			Ausserdem kann der <b>Status jeder Eintragung periodisch ueberprueft werden</b> mithilfe des <b>Status Checker Skripts</b>.\r\n			Der <b>Directory Manager</b> ermoeglicht es herauszufinden, welches <b>Verzeichnis aktiv ist</b> und welches nicht.\r\n		</p>\r\n    </li>\r\n    <li>        \r\n        <h1>Keyword Positions Checker</h1>\r\n		<p>\r\n			Der Keyword Positions Checker findet die <b>Suchmaschinenposition</b> von <b>bestimmten keywords</b> deiner Webseite und <b>speichert</b> diese im System.\r\n			So kann man im Report Bereich das <b>taegliche Ranking</b> von Keywords in verschiedenen Suchmaschinen <b>grafisch</b> und <b>detailliert</b> darstellen.\r\n		</p>\r\n    </li>\r\n    <li>\r\n<h1>Website Auditor</h1>\r\n        <p>Der Website Auditor <b>prueft alle SEO Faktoren</b> aller Einzelseiten einer Webseite und generiert\r\n<b>detaillierte Berichte</b> fuer jede Seite. Das ist hilfreich um <b>XML,HTML,TEXT</b> Sitemaps zu generieren und an Suchmaschinen zu uebermitteln.</p>\r\n    </li>\r\n    <li>        \r\n        <h1>Google und Alexa Rank Checker</h1>\r\n		<p>\r\n			Der Google and Alexa Rank Checker zeigt den <b>Google Pagerank</b> und <b>Alexa Rank</b> deiner Webseiten und <b>speichert</b> diesen im System.\r\n			Im <b>Rank Berichte</b> Bereich lassen sich <b>taeglich</b> dafuer <b>detaillierte Berichte</b> erstellen.\r\n		</p>\r\n    </li>\r\n    <li>        \r\n        <h1>Backlink Checker</h1>\r\n		<p>\r\n			Der Backlink Checker findet die <b>Anzahl an Backlinks</b> deiner Webseite in diversen Suchmaschinen<b (Google, Yahoo, Msn, etc.)</b> und <b>speichert</b> sie im System.\r\n			<br>Im <b>Backlink Berichte</b> Bereich lassen sich <b>taeglich</b> fuer jede Webseite <b>detaillierte Berichte</b> erstellen.\r\n		</p>\r\n    </li>    \r\n    <li>        \r\n        <h1>Suchmaschinensichtbarkeits Checker</h1>\r\n		<p>\r\n			Der Suchmaschinensichtbarkeits Checker findet die <b>Anzahl der indizerten Seiten</b> deiner Webseiten in diversen Suchmaschinen<b> (Google, Yahoo, Msn, etc.)</b> und <b>speichert</b> sie im System.\r\n			Im <b>Suchmaschinensichtbarkeits Berichte</b> Bereich lassen sich <b>taeglich</b> fuer jede Webseite <b>detaillierte Berichte</b> erstellen.\r\n		</p>\r\n    </li>\r\n    <li>        \r\n        <h1>SEO Panel Erweiterungen</h1>\r\n        <p>\r\n            Eine  <b>Hauptfunktion</b> des SEO Panel ist die <b>Erweiterungsfaehigkeit</b>.\r\n            Entwickle oder installiere <b>SEO Erweiterungen</b> in deinem eigenen SEO Panel um die <b>Funktionen zu erweitern</b>, dass Sie deine Anforderungen erfuellen.\r\n            <a href=\"<?=SP_PLUGINSITE?>\" target=\"_blank\">Seo Panel Erweiterungen</a> werden angeboten vom SEO Panel Team und von Drittanbietern.\r\n            Du kannst auch einfach eigene SEO Erweiterungen fuer dein SEO Panel <b>entwickeln</b>.\r\n            Du kannst ausserdem deine SEO Erweiterung <a href=\"<?=SP_PLUGINSITE?>\" target=\"_blank\">an die Entwickler schicken</a> und es wird auf der SEO Panel Webseite <b>veroeffentlicht</b>, nachdem es <b>ueberprueft</b> wurde.\r\n        </p>\r\n    </li>\r\n    <li>        \r\n        <h1>Meta Tag Generator</h1>\r\n		<p>\r\n			Der Meta Tag Generator ist eine <b>Seo Panel Erweiterung</b> zum Erstellen von <b>Meta Tags</b> fuer deine Seite.\r\n			Es hilft, <b>mehr Informationen</b> ueber Webseiten an die <b>Suchmaschinenrobots</b> zu uebermitteln.\r\n		</p>\r\n    </li>\r\n</ul>\r\n</fieldset>', '2021-06-14 21:27:27'),
(900, 'de', 'home', 'home_cont3', '<fieldset>\r\n<legend>SEO Panel Online Ressourcen</legend>    \r\n<ul class=\"infobox\">\r\n\r\n    <li>\r\n        <h1>SEO Panel Online Ressourcen zum Nachschlagen</h1>                \r\n        \r\n        \r\n        <p>\r\n            <a href=\"https://www.seopanel.org/\" target=\"_blank\" title=\"SEO Software\">SEO Panel Software</a>\r\n        </p>\r\n        <p>\r\n            <a href=\"<?=SP_HOSTED_LINK?>\" target=\"_blank\">Seo Panel (Cloud hosted)</a>\r\n        </p>\r\n        \r\n        <p>\r\n            <a href=\"<?=SP_HELP_LINK?>\" target=\"_blank\">SEO Hilfestellung</a>\r\n        </p>\r\n        \r\n        <p>\r\n            <a href=\"<?=SP_FORUM_LINK?>\" target=\"_blank\">SEO Forum</a>\r\n        </p>\r\n        \r\n        <p>\r\n            <a href=\"<?=SP_SUPPORT_LINK?>\" target=\"_blank\">SEO Support</a>\r\n        </p>\r\n    </li>\r\n    \r\n</ul>\r\n</fieldset>', '2021-06-14 21:27:27'),
(15018, 'de', 'label', 'Access denied', 'Zugriff verweigert', '2021-01-06 10:13:08'),
(15019, 'de', 'label', 'Ago', 'Vor', '2021-01-06 10:13:08'),
(15020, 'de', 'label', 'Clicks', 'Klicks', '2021-01-06 10:13:08'),
(901, 'de', 'home', 'Pages Indexed', 'Indizierte Seiten', '2021-06-14 21:27:27'),
(902, 'de', 'home', 'Ranks', 'Positionen', '2021-06-14 21:27:27'),
(903, 'de', 'home', 'SiteNameUrl', 'Seiten Name / URL', '2021-06-14 21:27:27'),
(904, 'de', 'home', 'Website Statistics', 'Website-Statistiken', '2021-06-14 21:27:27'),
(905, 'de', 'keyword', 'Crawling keyword', 'Überprüfe Keyword', '2021-06-14 21:48:29'),
(906, 'de', 'keyword', 'Detailed Keyword Position Reports', 'Detaillierte Keyword Ranking Berichte', '2021-06-14 21:48:29'),
(907, 'de', 'keyword', 'Edit Keyword', 'Keyword bearbeiten', '2021-06-14 21:48:29'),
(908, 'de', 'keyword', 'Graphical Keyword Position Reports', 'Grafische Keyword Ranking Berichte', '2021-06-14 21:48:29'),
(909, 'de', 'keyword', 'Import Keywords', 'Keywords importieren', '2021-06-14 21:48:29'),
(910, 'de', 'keyword', 'Keyword already exist', 'Keyword bereits vorhanden', '2021-06-14 21:48:29'),
(911, 'de', 'keyword', 'Keyword Position Report', 'Keyword Ranking Bericht', '2021-06-14 21:48:29'),
(912, 'de', 'keyword', 'New Keyword', 'Neues Keyword', '2021-06-14 21:48:29'),
(913, 'de', 'keyword', 'not assigned to required search engines', 'nicht vertreten in relevanten Suchmaschinen', '2021-06-14 21:48:29'),
(914, 'de', 'keyword', 'pleaseselecttool', 'Waehle bitte mindestens 1 SEO Tool', '2021-06-14 21:48:29'),
(915, 'de', 'keyword', 'Quick Keyword Position Checker', 'Schneller Keyword Ranking Check', '2021-06-14 21:48:29'),
(916, 'de', 'keyword', 'results from ', 'Ergebnisse von', '2021-06-14 21:48:29'),
(917, 'de', 'keyword', 'Show All results', 'ALLE Ergebnisse anzeigen', '2021-06-14 21:48:29'),
(918, 'de', 'keyword', 'Successfully crawled keyword', 'Keyword erfolgreich geprueft', '2021-06-14 21:48:29'),
(919, 'de', 'keyword', 'to create new keywords', 'um neues Keyword zu erstellen', '2021-06-14 21:48:29'),
(920, 'de', 'label', 'already exist', 'bereits vorhanden', '2021-01-06 10:13:08'),
(921, 'de', 'label', 'Authentication', 'Authentifizierung', '2021-01-06 10:13:08'),
(922, 'de', 'label', 'Author', 'Autor', '2021-01-06 10:13:08'),
(923, 'de', 'label', 'Click Here', 'Hier klicken', '2021-01-06 10:13:08'),
(924, 'de', 'label', 'Cron', 'Cronjob', '2021-01-06 10:13:08'),
(925, 'de', 'label', 'Description', 'Beschreibung', '2021-01-06 10:13:08'),
(926, 'de', 'label', 'Developers', 'Entwickler', '2021-01-06 10:13:08'),
(927, 'de', 'label', 'Download', 'Download', '2021-01-06 10:13:08'),
(928, 'de', 'label', 'Installation', 'Installation', '2021-01-06 10:13:08'),
(929, 'de', 'label', 'Keywords', 'Keywords', '2021-01-06 10:13:08'),
(930, 'de', 'label', 'noactiveplugins', 'Keine aktiven SEO Erweiterungen gefunden!', '2021-01-06 10:13:08'),
(931, 'de', 'label', 'Plugin', 'Erweiterung', '2021-01-06 10:13:08'),
(932, 'de', 'label', 'Port', 'Port', '2021-01-06 10:13:08'),
(933, 'de', 'label', 'Proxy', 'Proxy', '2021-01-06 10:13:08'),
(934, 'de', 'label', 'Re-install', 'Neu-Installation', '2021-01-06 10:13:08'),
(935, 'de', 'label', 'Sponsors', 'Sponsoren', '2021-01-06 10:13:08'),
(936, 'de', 'label', 'Title', 'Titel', '2021-01-06 10:13:08'),
(937, 'de', 'label', 'translation by', 'Uebersetzung von', '2021-01-06 10:13:08'),
(938, 'de', 'label', 'Translators', 'Uebersetzer', '2021-01-06 10:13:08'),
(939, 'de', 'label', 'Upgrade', 'Aufstufen', '2021-01-06 10:13:08'),
(940, 'de', 'label', 'Version', 'Version', '2021-01-06 10:13:08'),
(941, 'de', 'login', 'Confirm Password', 'Passwort bestätigen', '2021-01-06 10:14:32'),
(942, 'de', 'login', 'Create my account', 'Meinen Account erstellen', '2021-01-06 10:14:32'),
(943, 'de', 'login', 'Create New Account', 'Neuen Account erstellen', '2021-01-06 10:14:32'),
(944, 'de', 'login', 'Email', 'Email', '2021-01-06 10:14:32'),
(945, 'de', 'login', 'emailexist', 'Email bereits vorhanden!', '2021-01-06 10:14:32'),
(946, 'de', 'login', 'Enter the code as it is shown', 'Gib bitte den angezeigten Code ein', '2021-01-06 10:14:32'),
(947, 'de', 'login', 'First Name', 'Vorname', '2021-01-06 10:14:32'),
(948, 'de', 'login', 'Last Name', 'Nachname', '2021-01-06 10:14:32'),
(949, 'de', 'login', 'Login', 'Einloggen', '2021-01-06 10:14:32'),
(950, 'de', 'login', 'Login incorrect', 'Falsche Login Informationen', '2021-01-06 10:14:32'),
(951, 'de', 'login', 'newaccountsuccess', 'Account erfolgreich registriert!', '2021-01-06 10:14:32'),
(952, 'de', 'login', 'Password', 'Passwort', '2021-01-06 10:14:32'),
(953, 'de', 'login', 'Password incorrect', 'Falsches Passwort', '2021-01-06 10:14:32'),
(954, 'de', 'login', 'Register', 'Registrieren', '2021-01-06 10:14:32'),
(955, 'de', 'login', 'Sign in to your account', 'In Account einloggen', '2021-01-06 10:14:32'),
(956, 'de', 'login', 'User inactive', 'Benutzer inaktiv', '2021-01-06 10:14:32'),
(957, 'de', 'login', 'Username', 'Benutzername', '2021-01-06 10:14:32'),
(958, 'de', 'login', 'usernameexist', 'Benutzername bereits vorhanden!', '2021-01-06 10:14:32'),
(959, 'de', 'panel', 'About Us', 'Ueber Uns', '2023-01-03 14:44:32'),
(960, 'de', 'panel', 'Add following command to your cron tab', 'Folgendes Kommando zum Cronjob hinzufuegen', '2023-01-03 14:44:32'),
(961, 'de', 'panel', 'alsocheckfollowlink', 'Folgenden Link klicken, falls mehr Details benoetigt werden.', '2023-01-03 14:44:32'),
(962, 'de', 'panel', 'Check Directory', 'Verzeichnis prüfen', '2023-01-03 14:44:32'),
(963, 'de', 'panel', 'Cron Command', 'Cronjob Kommando', '2023-01-03 14:44:32'),
(964, 'de', 'panel', 'Directory Manager', 'Verzeichnis Manager', '2023-01-03 14:44:32'),
(965, 'de', 'panel', 'Edit My Profile', 'Profil bearbeiten', '2023-01-03 14:44:32'),
(966, 'de', 'panel', 'My Profile', 'Mein Profil', '2023-01-03 14:44:32'),
(967, 'de', 'panel', 'New Proxy', 'Neue Proxy', '2023-01-03 14:44:32'),
(968, 'de', 'panel', 'New User', 'Neuer Benutzer', '2023-01-03 14:44:32'),
(969, 'de', 'panel', 'New Website', 'Neue Webseite', '2023-01-03 14:44:32'),
(970, 'de', 'panel', 'Proxy Manager', 'Proxy Manager', '2023-01-03 14:44:32'),
(971, 'de', 'panel', 'Report Generation Manager', 'Berichterstellung Manager', '2023-01-03 14:44:32'),
(972, 'de', 'panel', 'Reports Manager', 'Berichte Manager', '2023-01-03 14:44:32'),
(973, 'de', 'panel', 'Seo Plugins Manager', 'SEO Erweiterungen Manager', '2023-01-03 14:44:32'),
(974, 'de', 'panel', 'Seo Tools Manager', 'SEO Tools Manager', '2023-01-03 14:44:32'),
(975, 'de', 'panel', 'System Settings', 'System Einstellungen', '2023-01-03 14:44:32'),
(976, 'de', 'panel', 'User Manager', 'Benutzer Manager', '2023-01-03 14:44:32'),
(977, 'de', 'panel', 'Website Manager', 'Webseiten Manager', '2023-01-03 14:44:32'),
(978, 'de', 'plugin', 'Edit Seo Plugin', 'SEO Erweiterungen bearbeiten', '2012-05-13 20:53:16'),
(979, 'de', 'plugin', 'Plugin Name', 'Name der Erweiterung', '2012-05-13 20:53:17'),
(980, 'de', 'plugin', 'Seo Plugin Details', 'SEO Erweiterung - Details', '2012-05-13 20:53:17'),
(981, 'de', 'proxy', 'Edit Proxy', 'Proxy bearbeiten', '2021-01-06 10:21:00'),
(982, 'de', 'proxy', 'Proxy Password', 'Proxy Passwort', '2021-01-06 10:21:00'),
(983, 'de', 'proxy', 'Proxy Username', 'Proxy Benutzername', '2021-01-06 10:21:00'),
(984, 'de', 'proxy', 'Proxyalreadyexist', 'Proxy bereits vorhanden!', '2021-01-06 10:21:00'),
(985, 'de', 'rank', 'enterurlproceed', '<b>Pro Zeile</b> eine URL angeben. Auf <b>Starten</b> klicken um Google und Alexa Rank zu prüfen', '2010-09-30 03:03:32'),
(986, 'de', 'rank', 'Google and Alexa Rank Reports', 'Google und Alexa Rank Berichte', '2010-09-30 03:03:32'),
(987, 'de', 'rank', 'Saved rank results of', 'Erfolgreich Ergebnisse gespeichert fuer', '2010-09-30 03:03:32'),
(988, 'de', 'saturation', 'clickproceedsaturation', '<b>Pro Zeile</b> eine URL angeben. Auf <b>Starten</b> klicken um Suchmaschinensichtbarkeit zu prüfen', '2010-09-30 03:05:34'),
(989, 'de', 'saturation', 'GenerateSaturationReports', 'Suchmaschinensichtbarkeits Berichte erstellen', '2010-09-30 03:05:34'),
(990, 'de', 'saturation', 'Quick Search Engine Saturation Checker', 'Schneller Suchmaschinensichtbarkeits Check', '2010-09-30 03:05:34'),
(991, 'de', 'saturation', 'Saved Search Engine Saturation results of', 'Erfolgreich Suchmaschinensichtbarkeits Egebnisse gespeichert für', '2010-09-30 03:05:34'),
(992, 'de', 'saturation', 'Search Engine Saturation Reports', 'Suchmaschinensichtbarkeits Berichte', '2010-09-30 03:05:34'),
(993, 'de', 'seotools', 'Automatic Submission', 'Automatische Eintragung', '2021-01-07 08:40:24'),
(994, 'de', 'seotools', 'backlink-checker', 'Backlink Checker', '2021-01-07 08:40:24'),
(995, 'de', 'seotools', 'Backlinks Reports', 'Backlink Berichte', '2021-01-07 08:40:24'),
(996, 'de', 'seotools', 'Check Submission Status', 'Eintragungsstatus prüfen', '2021-01-07 08:40:24'),
(997, 'de', 'seotools', 'clickgeneratereports', 'Auf <b>Starten</b> klicken, um Berichte zu erstellen', '2021-01-07 08:40:24'),
(998, 'de', 'seotools', 'Detailed Position Reports', 'Detaillierte Ranking Berichte', '2021-01-07 08:40:24'),
(999, 'de', 'seotools', 'directory-submission', 'Verzeichnis Eintragung', '2021-01-07 08:40:24'),
(1000, 'de', 'seotools', 'Featured Submission', 'Empfohlene Eintragung', '2021-01-07 08:40:24'),
(1001, 'de', 'seotools', 'Generate Backlinks Reports', 'Backlink Berichte erstellen', '2021-01-07 08:40:24'),
(1002, 'de', 'seotools', 'Generate Keyword Reports', 'Keyword Berichte erstellen', '2021-01-07 08:40:24'),
(1003, 'de', 'seotools', 'Generate Rank Reports', 'Rank Berichte erstellen', '2021-01-07 08:40:24'),
(1004, 'de', 'seotools', 'Generate Saturation Reports', 'Suchmaschinensichtbarkeits Berichte erstellen', '2021-01-07 08:40:24'),
(1005, 'de', 'seotools', 'Google Sitemap Generator', 'Google Sitemap Generator', '2021-01-07 08:40:24'),
(1006, 'de', 'seotools', 'Graphical Position Reports', 'Grafische Ranking Berichte', '2021-01-07 08:40:24'),
(1007, 'de', 'seotools', 'Keyword Position Summary', 'Keyword Ranking Zusammenfassung', '2021-01-07 08:40:24'),
(1008, 'de', 'seotools', 'keyword-position-checker', 'Keyword Ranking Checker', '2021-01-07 08:40:24'),
(1009, 'de', 'seotools', 'Keywords Manager', 'Keywords Manager', '2021-01-07 08:40:24'),
(1010, 'de', 'seotools', 'Quick Backlinks Checker', 'Schneller Backlink Check', '2021-01-07 08:40:24'),
(1011, 'de', 'seotools', 'Quick Position Checker', 'Schneller Ranking Check', '2021-01-07 08:40:24'),
(1012, 'de', 'seotools', 'Quick Rank Checker', 'Schneller Rank Ckeck', '2021-01-07 08:40:24'),
(1013, 'de', 'seotools', 'Quick Saturation Checker', 'Schneller Suchmaschinensichtbarkeits Ckeck', '2021-01-07 08:40:24'),
(1014, 'de', 'seotools', 'Rank Reports', 'Rank Berichte', '2021-01-07 08:40:24'),
(1015, 'de', 'seotools', 'rank-checker', 'Rank Checker', '2021-01-07 08:40:24'),
(1016, 'de', 'seotools', 'Saturation Reports', 'Sichtbarkeits Berichte', '2021-01-07 08:40:24'),
(1017, 'de', 'seotools', 'saturation-checker', 'Suchmaschinensichtbarkeit', '2021-01-07 08:40:24'),
(1018, 'de', 'seotools', 'sitemap-generator', 'Sitemap Generator', '2021-01-07 08:40:24'),
(1019, 'de', 'seotools', 'Skipped Directories', 'Übersprungene Verzeichnisse', '2021-01-07 08:40:24'),
(1020, 'de', 'seotools', 'Submission Reports', 'Eintragungs Berichte', '2021-01-07 08:40:24'),
(1021, 'de', 'seotools', 'User Access', 'Benutzer Zugriff', '2021-01-07 08:40:24'),
(1022, 'de', 'settings', 'Click here to become a sponsor for Seo Panel', '<b>Spende $100</b> und werde SEO Panel <b>Sponsor</b>.', '2021-01-08 08:28:43'),
(1023, 'de', 'settings', 'SP_CRAWL_DELAY', 'Pause zwischen Crawl Abfragen (in Sekunden)', '2021-01-08 08:28:43'),
(1024, 'de', 'settings', 'SP_DEFAULTLANG', 'Standard Sprache', '2021-01-08 08:28:43'),
(1025, 'de', 'settings', 'SP_DESCRIPTION', 'Seo Panel Beschreibung', '2021-01-08 08:28:43'),
(1026, 'de', 'settings', 'SP_ENABLE_PROXY', 'Proxy aktivieren', '2021-01-08 08:28:43'),
(1027, 'de', 'settings', 'SP_HOTLINKING', 'Hotlink Schutz für Grafiken aktiviert', '2021-01-08 08:28:43'),
(1028, 'de', 'settings', 'SP_KEYWORDS', 'SEO Panel Keywords', '2021-01-08 08:28:43'),
(1029, 'de', 'settings', 'SP_PAGINGNO', 'Anzahl an Einträgen pro Seite', '2021-01-08 08:28:43'),
(1030, 'de', 'settings', 'SP_TITLE', 'SEO Panel Titel', '2021-01-08 08:28:43'),
(1031, 'de', 'settings', 'SP_USER_GEN_REPORT', 'Benutzern erlauben Berichte zu erstellen', '2021-01-08 08:28:43'),
(1032, 'de', 'settings', 'SP_USER_REGISTRATION', 'Oberfläche der Benutzer Registrierung', '2021-01-08 08:28:43'),
(1033, 'de', 'settings', 'syssettingssaved', 'System Einstellungen erfolgreich gespeichert!', '2021-01-08 08:28:43'),
(1034, 'de', 'sitemap', 'Change frequency', 'Frequenz ändern', '2021-01-07 08:49:35'),
(1035, 'de', 'sitemap', 'clickproceedsitemap', 'Auf <b>Starten</b> klicken um Sitemap zu erstellen', '2021-01-07 08:49:35'),
(1036, 'de', 'sitemap', 'Download sitemap file from', 'Sitemap Datei herunterladen von', '2021-01-07 08:49:35'),
(1037, 'de', 'sitemap', 'Exclude Url', 'URL ausschließen', '2021-01-07 08:49:35'),
(1038, 'de', 'sitemap', 'processtaketime', 'Dieser Prozess kann einige Minuten in Anspruch nehmen, abhängig von der Anzahl der Links auf der Webseite. Bitte kurz gedulden.', '2021-01-07 08:49:35'),
(1039, 'de', 'sitemap', 'Sitemap Type', 'Sitemap Typ', '2021-01-07 08:49:35'),
(1040, 'de', 'user', 'Edit User', 'Benutzer bearbeiten', '2016-01-02 23:30:39'),
(1041, 'de', 'user', 'Saved My Profile Details', 'Profil Details gespeichert', '2016-01-02 23:30:39'),
(1042, 'de', 'website', 'Edit Website', 'Webseite bearbeiten', '2021-01-07 08:53:49'),
(1043, 'de', 'website', 'plscrtwebsite', 'Bitte erst Webseite erstellen um SEO Tools und Erweiterungen zu nutzen.', '2021-01-07 08:53:49'),
(1044, 'de', 'website', 'Website already exist', 'Webseite bereits vorhanden', '2021-01-07 08:53:49'),
(1045, 'de', 'website', 'yourwebalreday', 'Deine Webseite, falls bereits eine erstellt wurde.', '2021-01-07 08:53:49'),
(1046, 'de', 'support', 'support_cont1', '<fieldset>\r\n<legend>Seo Panel Support System</legend>\r\n<ul class=\"infobox\">\r\n	<li>\r\n		<h1>Seo Panel - Alle Erweiterungen</h1> \r\n        <p>\r\n            Enthaelt die meissten vom SEO Panel Team entwickelten Erweiterungen fuer nur <font class=\"success bold\"\r\nsize=\"14\">$160</font> inklusive <b>Mitglieder Abonnement</b>,<b>Templates</b> etc.\r\n        </p>        \r\n        <p>\r\n            <a href=\"https://www.seopanel.org/plugin/l/75/\" target=\"_blank\">Hier klicken um zu bestellen</a>\r\n        </p>\r\n        <br>\r\n    </li>\r\n    \r\n    <li> \r\n		<h1>Das Lokale-Suchmaschinen-Paket</h1> \r\n		<p>\r\n			Fuege <b>lokale Suchmaschinendomains</b> fuer google,yahoo,msn(<b>z.B: www.google.de,www.google.fr etc</b>) zum Seo Panel <b>Keyword Ranking Checker</b> hinzu, um das Ranking lokal zu analysieren.\r\n			Um lokale Suchmaschinen-Pakete zu erhalten, bitte <a href=\"<?=SP_DONATE_LINK?>\" target=\"_blank\">spende</a> $10 oder mehr um SEO Panel zu verbessern.\r\n			Bevor du spendest, nimm bitte <a href=\"<?=SP_CONTACT_LINK?>\" target=\"_blank\">Kontakt</a> auf und nenne uns die benoetigten Suchmaschinen Laenderkennzeichnungen.\r\n			<br><br>			  \r\n			Um <b>neue Suchmaschinen(z.B.:baidu.com)</b> hinzuzufuegen, nimm bitte <a href=\"<?=SP_CONTACT_LINK?>\" target=\"_blank\">Kontakt</a> auf oder oeffne ein Ticket im <a href=\"<?=SP_SUPPORT_LINK?>\" target=\"_blank\">Support System</a>. \r\n		</p>		\r\n		<p class=\"visit\">\r\n			<a href=\"<?=SP_CONTACT_LINK?>\" target=\"_blank\">Hier klicken um Kontakt aufzunehmen.</a>\r\n		</p>\r\n		<br>\r\n	</li>\r\n	\r\n	<li>\r\n		<h1>Seo Panel Erweiterungen</h1> \r\n		<p>\r\n			Integriere <b>SEO Erweiterungen</b> in Seo Panel, um die <b>Features zu erweiteren</b> um Sie deinen Anforderungen anzupassen.\r\n			<a href=\"<?=SP_PLUGINSITE?>\" target=\"_blank\">Seo Panel Erweiterungen</a> sind erhaeltlich von Seo Panel und Drittanbietern.\r\n			Es ist auch leicht, selbst Erweiterungen fuer Seo Panel zu <b>entwickeln</b>.\r\n			Du kannst deine eigene Erweiterung <a href=\"<?=SP_PLUGINSITE?>\" target=\"_blank\">uebermitteln</a> und wir werden es auf der webseite <b>veroeffentlichen</b>.        \r\n		</p>		\r\n		<p>\r\n			<a href=\"<?=SP_PLUGINSITE?>\" target=\"_blank\">Hier klicken fuer Seo Panel Erweiterungen</a>\r\n		</p>\r\n		<br>\r\n	</li>	\r\n	<li>\r\n		<h1>Kontakt</h1> \r\n		<p>\r\n			Nimm mit uns Kontakt auf, wenn Fragen zu <b>Seo Panel Tools, Erweiterungen, etc..</b> bestehen.       \r\n		</p>		\r\n		<p>\r\n			<a href=\"<?=SP_CONTACT_LINK?>\" target=\"_blank\">Hier klicken um Kontakt aufzunehmen.</a>\r\n		</p>\r\n		<br>\r\n	</li>	\r\n	<li>\r\n		<h1>Support Tickets</h1> \r\n		<p>\r\n			Fuer <b>technischen Support</b> vom Seo Panel Team.\r\n		</p>		\r\n		<p>\r\n			<a href=\"<?=SP_SUPPORT_LINK?>\" target=\"_blank\">Hier klicken um ein Support Ticken zu oeffnen.</a>\r\n		</p>\r\n		<br>\r\n	</li>	\r\n	<li>\r\n		<h1>Fehler berichten.</h1> \r\n		<p>\r\n			Berichte uns von <b>Fehlern</b> ueber <b>Seo panel Tools, Erweiterungen, etc. </b> durch klick auf diesen Link. \r\n			Bitte unterstuetze uns, Seo Panel in der Zukunft zu verbessern.          \r\n		</p>		\r\n		<p>\r\n			<a href=\"<?=SP_SUPPORT_LINK?>\" target=\"_blank\">Hier klicken um einen Fehler zu berichten.</a>\r\n		</p>\r\n		<br>\r\n	</li>	\r\n</ul>\r\n</fieldset>\r\n', '2021-01-29 13:30:54'),
(1047, 'de', 'support', 'support_cont2', '<fieldset>\r\n<legend>Seo Panel Online Ressourcen</legend>\r\n<ul class=\"infobox\">\r\n		\r\n	<li>\r\n		<h1>Seo Panel Hilfe</h1> \r\n		<p>\r\n			Schau dir die <a href=\"<?=SP_HELP_LINK?>\" target=\"_blank\">Seo Panel Dokumentation</a> in der <b>Hilfestellung</b> an. Diese beinhaltet die <b>Dokumentation</b> ueber Seo Panel Tools, Erweiterungen und vieles mehr.\r\n			<br>Dies ist der beste Platz im Internet um <b>Hilfe</b> fuer Seo Panel zu erhalten. Wir bitten darum im SEO Panel \"help guide\" darueber zu <b>berichten</b> falls Fehler entdeckt werden. 	          \r\n		</p>\r\n		<p>\r\n			<a href=\"<?=SP_HELP_LINK?>\" target=\"_blank\">Hier klicken um zum Hilfe-Bereich zu gelangen.</a>\r\n		</p>\r\n		<br>\r\n	</li>	\r\n	<li>\r\n		<h1>Seo Panel Forum</h1> \r\n		<p>\r\n			Der Platz um ueber das weltweit erste Open Source <b>Seo Control Panel</b> zu diskutieren. \r\n			Der beste Platz um <b>Antworten</b> auf <b>deine Fragen</b> ueber Seo Panel zu finden.\r\n			<br>Hier koennen auch <b>Erfahrungen ausgetauscht werden</b>.		     	          \r\n		</p>		\r\n		<p>\r\n			<a href=\"<?=SP_FORUM_LINK?>\" target=\"_blank\">Hier klicken um zum Seo Panel Forum zu gelangen.</a>\r\n		</p>\r\n		<br>\r\n	</li>\r\n</ul>	\r\n</fieldset>', '2021-01-29 13:30:54'),
(1048, 'de', 'support', 'support_cont3', '<fieldset>\r\n<legend>Fuer SEO Panel spenden</legend>\r\n<ul class=\"infobox\">		\r\n	<li>\r\n		<h1>Spende fuer die zukuenftige SEO Panel Entwicklung - Das erste Open Source Seo Control Panel weltweit.</h1> \r\n		<p>\r\n			<b>Spende</b> an Seo Panel um die weltweit erste Open Source SEO Software zu unterstuetzen.\r\n			Es ist geplant in der Zukunft weitere Features <b>hinzuzufügen und zu verbessern</b> . \r\n			<br>Nur mit dem <b>Support</b> unserer Benutzer ist es moeglich unsere <b>Ziele</b> zu erreichen.\r\n			Bist du der Meinung, Seo Panel ist <b>nuetzlich</b> fuer dich, gib bitte eine kleine Spende ab.\r\n			<br>Wir werden deinen Namen und deine Webseite auf unserer <a href=\"<?=SP_DONATE_LINK?>\" target=\"_blank\">Spendenseite</a> <b>veroeffentlichen</b> \r\n		</p>\r\n		<p>\r\n			<a href=\"<?=SP_DONATE_LINK?>\" target=\"_blank\">Hier klicken um fuer Seo Panel zu spenden</a>\r\n		</p>\r\n		<br>\r\n	</li>\r\n</ul>\r\n</fieldset>', '2021-01-29 13:30:54'),
(1049, 'en', 'settings', 'seopanel_title', 'Seo Panel: World\'s first open source seo control panel for managing multiple web sites', '2018-01-22 19:59:29'),
(1050, 'en', 'settings', 'seopanel_description', 'A complete free control panel for managing search engine optimization of your websites. It containing lots of hot seo tools to increase and track the performace your websites. Its an open source software and also you can develop your own seo plugins for seo panel.', '2018-01-22 19:59:29'),
(1051, 'de', 'settings', 'seopanel_description', 'Ein vollkommen kostenloses Kontrollzentrum zur Verwaltung der Suchmaschinenoptimierung deiner\r\nWebseiten. Es beinhaltet die wichtigsten SEO Tools um die Leistung deiner Webseiten zu analysieren und verbessern.\r\nEs handelt sich um Open Source Software, du kannst also selbst SEO Erweiterungen für dein SEO Panel entwickeln.', '2021-01-08 08:28:43'),
(1052, 'de', 'settings', 'seopanel_title', 'SEO Panel: Das weltweit erste Open Source Kontrollzentrum zur Verwaltung mehrerer Webseiten.', '2021-01-08 08:28:43'),
(1053, 'es', 'settings', 'seopanel_description', 'Un completo panel de control gratuito para la gestión de la optimización para buscadores de su sitios. Que contiene un montón de herramientas seo de gran utilidad para realizar el seguimiento del rendimiento de su sitios web. Se trata de un software de código abierto y también ud. puede desarrollar sus propios plugins para el panel de control.', '2012-05-12 11:03:05'),
(1054, 'es', 'settings', 'seopanel_title', 'Seo Panel: Primero programa del mundo open source para la gestión Seo de varios sitios web', '2012-05-12 11:03:05'),
(1055, 'fr', 'settings', 'seopanel_description', 'Un outil de contrôle complet, gratuit, pour gérer le référencement de vos sites internet. SEO Panel inclut de nombreux outils SEO pour suivre et améliorer les performances de vos sites. Il s\'agit d\'un logiciel open source pour lequel vous pouvez développer vos propres extensions.', '2019-03-28 14:39:30'),
(1056, 'fr', 'settings', 'seopanel_title', 'SEO Panel: le premier outil de contrôle de référencement multisite open source au monde', '2019-03-28 14:39:30'),
(1840, 'nl', 'common', 'Invalid code entered', 'Ongeldige code ingevoerd', '2019-05-25 18:06:08'),
(1841, 'nl', 'common', 'Invalid email address entered', 'Ongeldig e-mailadres ingevoerd', '2019-05-25 18:06:08'),
(1839, 'nl', 'common', 'Invalid characters', 'Ongeldige karakters', '2019-05-25 18:06:08'),
(1838, 'nl', 'common', 'Inactive', 'Inactief', '2019-05-25 18:06:08'),
(1837, 'nl', 'common', 'Inactivate', 'Deactiveren', '2019-05-25 18:06:08'),
(1836, 'nl', 'common', 'Id', 'Id', '2019-05-25 18:06:08'),
(1835, 'nl', 'common', 'hidenews', 'Seo Panel Nieuws verbergen', '2019-05-25 18:06:08'),
(1834, 'nl', 'common', 'help', 'Help', '2019-05-25 18:06:08'),
(1833, 'nl', 'common', 'Google Pagerank', 'Google Pagerank', '2019-05-25 18:06:08'),
(1832, 'nl', 'common', 'Found', 'Gevonden', '2019-05-25 18:06:08'),
(1831, 'nl', 'common', 'forum', 'Forum', '2019-05-25 18:06:08'),
(1830, 'nl', 'common', 'failed', 'mislukt', '2019-05-25 18:06:08'),
(1829, 'nl', 'common', 'entrynotvalid', 'De invoer is niet correct', '2019-05-25 18:06:08'),
(1828, 'nl', 'common', 'Entry cannot be blank', 'Invoer mag niet leeg zijn', '2019-05-25 18:06:08'),
(1827, 'nl', 'common', 'Donate', 'Doneren', '2019-05-25 18:06:08'),
(1826, 'nl', 'common', 'Directory', 'Directory', '2019-05-25 18:06:08'),
(1825, 'nl', 'common', 'Details', 'Details', '2019-05-25 18:06:08'),
(1824, 'nl', 'common', 'Crawl Meta Data', 'Meta-Data opvragen', '2019-05-25 18:06:08'),
(1823, 'nl', 'common', 'Country', 'Land', '2019-05-25 18:06:08'),
(1822, 'nl', 'common', 'copyright', 'Copyright © [year] www.seopanel.in Alle rechten voorbehouden', '2019-05-25 18:06:08'),
(1821, 'nl', 'common', 'contact', 'Contact', '2019-05-25 18:06:08'),
(1820, 'nl', 'common', 'Category', 'Categorie', '2019-05-25 18:06:08'),
(1819, 'nl', 'common', 'All', 'Alle', '2019-05-25 18:06:08'),
(1818, 'nl', 'common', 'Alexa Rank', 'Alexa Rank', '2019-05-25 18:06:08'),
(1817, 'nl', 'common', 'Admin Panel', 'Admin Instellingen', '2019-05-25 18:06:08'),
(2053, 'nl', 'settings', 'seopanel_description', 'Een compleet gratis bedieningspaneel voor het beheren van de zoekmachine optimalisatie van uw websites. Het bevat vele Seo tools om de prestaties van uw websites te verbeteren en op te volgen. Het is open source software en u kunt ook uw eigen Seo plugins voor Seo panel ontwikkelen.', '2014-01-07 21:51:05'),
(1816, 'nl', 'common', 'Activate', 'Activeren', '2019-05-25 18:06:08'),
(1815, 'nl', 'common', 'Action', 'Actie', '2019-05-25 18:06:08'),
(1814, 'nl', 'button', 'Submit', 'Versturen', '2014-01-08 19:25:07'),
(1813, 'nl', 'button', 'Skip', 'Overslaan', '2014-01-08 19:25:07'),
(1812, 'nl', 'button', 'Show Records', 'Toon Rapporten', '2014-01-08 19:25:07'),
(1811, 'nl', 'button', 'Show Details', 'Toon Details', '2014-01-08 19:25:07'),
(1810, 'nl', 'button', 'Reload', 'Herladen', '2014-01-08 19:25:07'),
(1809, 'nl', 'button', 'Proceed', 'Ga verder', '2014-01-08 19:25:07'),
(1808, 'nl', 'button', 'Check Status', 'Status controleren', '2014-01-08 19:25:07'),
(1807, 'nl', 'button', 'Cancel', 'Annuleren', '2014-01-08 19:25:07'),
(1806, 'nl', 'backlink', 'Saved backlink results of', 'Backlink resultaten opgeslagen voor', '2010-10-22 11:58:05'),
(1805, 'nl', 'backlink', 'clickproceedbacklink', 'Geef één URL <b>per regel</b>. Klik op <b>Ga verder</b> om de backlinks te controleren.', '2010-10-22 11:58:05'),
(1804, 'nl', 'label', 'wantproceed', 'Bent u zeker dat u wilt doorgaan?', '2014-01-07 21:37:43'),
(1803, 'nl', 'common', 'No', 'Nr.', '2019-05-25 18:06:08'),
(1802, 'nl', 'common', 'Yes', 'Ja', '2019-05-25 18:06:08'),
(1801, 'nl', 'common', 'Select', 'Selecteer', '2019-05-25 18:06:08'),
(1800, 'nl', 'common', 'Delete', 'Verwijderen', '2019-05-25 18:06:08'),
(1799, 'nl', 'common', 'Edit', 'Bewerken', '2019-05-25 18:06:08'),
(1794, 'nl', 'common', 'lang', 'Taal', '2019-05-25 18:06:08'),
(1795, 'nl', 'common', 'Active', 'Actief', '2019-05-25 18:06:08'),
(1796, 'nl', 'common', 'Total', 'Totaal', '2019-05-25 18:06:08'),
(1797, 'nl', 'common', 'Date', 'Datum', '2019-05-25 18:06:08'),
(1798, 'nl', 'common', 'Rank', 'Rank', '2019-05-25 18:06:08'),
(1845, 'nl', 'common', 'My Account', 'Mijn Account', '2019-05-25 18:06:08'),
(1844, 'nl', 'common', 'Keywords', 'Zoekwoorden', '2019-05-25 18:06:08');
INSERT INTO `texts` (`id`, `lang_code`, `category`, `label`, `content`, `changed`) VALUES
(1843, 'nl', 'common', 'Keyword', 'Zoekwoord', '2019-05-25 18:06:08'),
(1842, 'nl', 'common', 'Invalid value', 'Ongeldige waarde', '2019-05-25 18:06:08'),
(1131, 'it', 'backlink', 'clickproceedbacklink', 'Inserisci gli Indirizzi Web <b>Uno per riga</b>. Clicca su <b>Continua</b> per controllare i Backlink', '2011-10-15 19:15:58'),
(1132, 'it', 'backlink', 'Saved backlink results of', 'Salva risultati backlink per', '2011-10-15 19:15:59'),
(1133, 'it', 'button', 'Cancel', 'Cancella', '2014-01-08 19:28:28'),
(1134, 'it', 'button', 'Check Status', 'Verifica stato', '2014-01-08 19:28:28'),
(1135, 'it', 'button', 'Proceed', 'Procedi', '2014-01-08 19:28:28'),
(1136, 'it', 'button', 'Reload', 'Ricarica', '2014-01-08 19:28:28'),
(1137, 'it', 'button', 'Show Details', 'Mostra dettagli', '2014-01-08 19:28:28'),
(1138, 'it', 'button', 'Show Records', 'Mostra records', '2014-01-08 19:28:28'),
(1139, 'it', 'button', 'Skip', 'Salta', '2014-01-08 19:28:28'),
(1140, 'it', 'button', 'Submit', 'Invia', '2014-01-08 19:28:28'),
(1141, 'it', 'common', 'Action', 'Azione', '2022-07-11 11:16:48'),
(1142, 'it', 'common', 'Activate', 'Attivare', '2022-07-11 11:16:48'),
(1143, 'it', 'common', 'Active', 'Attivo', '2022-07-11 11:16:48'),
(1144, 'it', 'common', 'Admin Panel', 'Pannello Admin', '2022-07-11 11:16:48'),
(1145, 'it', 'common', 'Alexa Rank', 'Alexa Rank', '2022-07-11 11:16:48'),
(1146, 'it', 'common', 'All', 'Tutto', '2022-07-11 11:16:48'),
(1147, 'it', 'common', 'Category', 'Categoria', '2022-07-11 11:16:48'),
(1148, 'it', 'common', 'contact', 'Contatto', '2022-07-11 11:16:48'),
(1149, 'it', 'common', 'copyright', 'Copyright © [year] www.seopanel.in All rights reserved', '2022-07-11 11:16:48'),
(2885, 'ro', 'panel', 'About Us', 'Despre Noi', '2012-05-18 21:04:43'),
(2886, 'ro', 'panel', 'Add following command to your cron tab', 'Adauga urmatoare comanda la fila cron', '2012-05-18 21:04:43'),
(1150, 'it', 'common', 'Country', 'Paese', '2022-07-11 11:16:48'),
(1151, 'it', 'common', 'Crawl Meta Data', 'Recupera Meta Data ', '2022-07-11 11:16:48'),
(1152, 'it', 'common', 'Date', 'Data', '2022-07-11 11:16:48'),
(1153, 'it', 'common', 'Delete', 'Cancella', '2022-07-11 11:16:48'),
(1154, 'it', 'common', 'Details', 'Dettagli', '2022-07-11 11:16:48'),
(1155, 'it', 'common', 'Directory', 'Directory', '2022-07-11 11:16:48'),
(1156, 'it', 'common', 'Donate', 'Dona', '2022-07-11 11:16:48'),
(1157, 'it', 'common', 'Edit', 'Modifica', '2022-07-11 11:16:48'),
(1158, 'it', 'common', 'Entry cannot be blank', 'La voce non può essere vuota', '2022-07-11 11:16:48'),
(1159, 'it', 'common', 'entrynotvalid', 'La voce inserita non sembra essere valida', '2022-07-11 11:16:48'),
(1160, 'it', 'common', 'failed', 'fallito', '2022-07-11 11:16:48'),
(1161, 'it', 'common', 'forum', 'Forum', '2022-07-11 11:16:48'),
(1162, 'it', 'common', 'Found', 'Trovato', '2022-07-11 11:16:48'),
(1163, 'it', 'common', 'Google Pagerank', 'Google Pagerank', '2022-07-11 11:16:48'),
(1164, 'it', 'common', 'help', 'Aiuto', '2022-07-11 11:16:48'),
(1165, 'it', 'common', 'hidenews', 'Nasconti il pannello news seo', '2022-07-11 11:16:48'),
(1166, 'it', 'common', 'Id', 'ID', '2022-07-11 11:16:48'),
(1167, 'it', 'common', 'Inactivate', 'Inattività', '2022-07-11 11:16:48'),
(1168, 'it', 'common', 'Inactive', 'Inattivo', '2022-07-11 11:16:48'),
(1169, 'it', 'common', 'Invalid characters', 'Caratteri non validi', '2022-07-11 11:16:48'),
(1170, 'it', 'common', 'Invalid code entered', 'Codice inserito non valido', '2022-07-11 11:16:48'),
(1171, 'it', 'common', 'Invalid email address entered', 'Indirizzo email inserito non valido', '2022-07-11 11:16:48'),
(1172, 'it', 'common', 'Invalid value', 'Valore non valido', '2022-07-11 11:16:48'),
(1173, 'it', 'common', 'Keyword', 'Keyword', '2022-07-11 11:16:48'),
(1174, 'it', 'common', 'Keywords', 'Keywords', '2022-07-11 11:16:48'),
(1175, 'it', 'common', 'lang', 'Lingua', '2022-07-11 11:16:48'),
(1176, 'it', 'common', 'My Account', 'Il mio account', '2022-07-11 11:16:48'),
(1177, 'it', 'common', 'Name', 'Nome', '2022-07-11 11:16:48'),
(1178, 'it', 'common', 'No', 'No', '2022-07-11 11:16:48'),
(1179, 'it', 'common', 'No Keywords Found', 'Keywords non trovate', '2022-07-11 11:16:48'),
(1180, 'it', 'common', 'No Records Found', 'Campo non trovato', '2022-07-11 11:16:48'),
(1181, 'it', 'common', 'noactivetools', 'Non sono stati trovati strumenti seo attivi!', '2022-07-11 11:16:48'),
(1182, 'it', 'common', 'nowebsites', 'Nessun sito web trovato', '2022-07-11 11:16:48'),
(1183, 'it', 'common', 'password632', 'La lunghezza della password deve essere tra i 6 e i 32 caratteri', '2022-07-11 11:16:48'),
(1184, 'it', 'common', 'passwordnotmatch', 'La password non corrisponde', '2022-07-11 11:16:48'),
(1185, 'it', 'common', 'Period', 'Periodo', '2022-07-11 11:16:48'),
(1186, 'it', 'common', 'Priority', 'Priorità', '2022-07-11 11:16:48'),
(1187, 'it', 'common', 'Rank', 'Rank', '2022-07-11 11:16:48'),
(1188, 'it', 'common', 'Reports', 'Report', '2022-07-11 11:16:48'),
(1189, 'it', 'common', 'Results', 'Risultati', '2022-07-11 11:16:48'),
(1190, 'it', 'common', 'Search Engine', 'Motore di ricerca', '2022-07-11 11:16:48'),
(1191, 'it', 'common', 'Select', 'Seleziona', '2022-07-11 11:16:48'),
(1192, 'it', 'common', 'Seo Plugins', 'Plugins seo', '2022-07-11 11:16:48'),
(1193, 'it', 'common', 'Seo Tools', 'Strumenti seo', '2022-07-11 11:16:48'),
(1194, 'it', 'common', 'Sign out', 'Esci', '2022-07-11 11:16:48'),
(1195, 'it', 'common', 'Sign Up', 'Iscriviti', '2022-07-11 11:16:48'),
(1196, 'it', 'common', 'signin', 'Entra', '2022-07-11 11:16:48'),
(1197, 'it', 'common', 'Status', 'Stato', '2022-07-11 11:16:48'),
(1198, 'it', 'common', 'Support', 'Supporto', '2022-07-11 11:16:48'),
(1199, 'it', 'common', 'Total', 'Totale', '2022-07-11 11:16:48'),
(1200, 'it', 'common', 'Url', 'Url', '2022-07-11 11:16:48'),
(1201, 'it', 'common', 'User', 'Utente', '2022-07-11 11:16:48'),
(1202, 'it', 'common', 'User Panel', 'Pannello utente', '2022-07-11 11:16:48'),
(1203, 'it', 'common', 'Website', 'Sito web', '2022-07-11 11:16:48'),
(1204, 'it', 'common', 'Yes', 'Si', '2022-07-11 11:16:48'),
(1205, 'it', 'directory', 'Add back to directory list', 'Aggiungi alla fine della lista directory', '2012-11-08 19:50:02'),
(1206, 'it', 'directory', 'Approved', 'Approvato', '2012-11-08 19:50:02'),
(1207, 'it', 'directory', 'Captcha', 'Verifica umana', '2012-11-08 19:50:02'),
(1208, 'it', 'directory', 'categorynote', 'Categorie, separare con una virgola in base alla priorità. Partire con la categoria con maggiore priorità.', '2012-11-08 19:50:02'),
(1209, 'it', 'directory', 'Check Directory Status', 'Verifica stato directory', '2012-11-08 19:50:02'),
(1210, 'it', 'directory', 'Check Directory Submission Status', 'Verifica stato immissione directory', '2012-11-08 19:50:02'),
(1211, 'it', 'directory', 'clicktoproceeddirsts', 'Clicca su <b>Procedi</b> per verificare lo stato delle directory', '2012-11-08 19:50:02'),
(1212, 'it', 'directory', 'Confirmation', 'Conferma', '2012-11-08 19:50:02'),
(1213, 'it', 'directory', 'desnote', 'Alcune directory richiedono un minimo di 150 caratteri per il campo della descrizione.', '2012-11-08 19:50:02'),
(1214, 'it', 'directory', 'Directories with out captcha', 'Directory senza la verifica umana', '2012-11-08 19:50:02'),
(1215, 'it', 'directory', 'Directory Submission Reports', 'Resoconto immissione directory', '2012-11-08 19:50:02'),
(1216, 'it', 'directory', 'Enter the code shown', 'Inserisci il codice mostrato', '2012-11-08 19:50:02'),
(1217, 'it', 'directory', 'nocatnote', 'La categoria inserita non è stata trovata nella pagina di inserimento. Per cortesia cliccare su <b>Ricarica</b> oppure <b>Salta</b>', '2012-11-08 19:50:02'),
(1218, 'it', 'directory', 'nodirnote', 'Nessuna directory <b>Attiva</b> trovata', '2012-11-08 19:50:02'),
(1219, 'it', 'directory', 'nosuccessnote', 'Non hai ricevuto il messaggio di successo. Per cortesia verifica la tua mail per trovare il messagigo di conferma.', '2012-11-08 19:50:02'),
(1220, 'it', 'directory', 'optionalnote', 'Titoli e descrizioni opzionali da inviare in modalità random nel titolo e nella descrizione delle directory per un miglior risultato.', '2012-11-08 19:50:02'),
(1221, 'it', 'directory', 'Owner Email', 'Email del proprietario', '2012-11-08 19:50:02'),
(1222, 'it', 'directory', 'Owner Name', 'Nome del proprietario', '2012-11-08 19:50:02'),
(1223, 'it', 'directory', 'Pending', 'In attesa di approvazione', '2012-11-08 19:50:02'),
(1224, 'it', 'directory', 'Please select a website to proceed', 'Per cortesia seleziona il sito web per procedere', '2012-11-08 19:50:02'),
(1225, 'it', 'directory', 'selectwebsiteproceed', 'Seleziona un <b>Sito web</b> per <b>Procedere</b> con l\\\'invio nella directory.<br>Verifica l\\\'invio nelle<b>directory senza verifica umana</b> ', '2012-11-08 19:50:02'),
(1226, 'it', 'directory', 'selectwebsiteschecksub', 'Seleziona un <b>Sito web</b> per <b>Procedere</b> con la verifica dell\\\'immssione nelle directory', '2012-11-08 19:50:02'),
(1227, 'it', 'directory', 'Semi Automatic Directory Submission Tool', 'Strumento per l\\\'invio semi automatico nelle directory', '2012-11-08 19:50:02'),
(1228, 'it', 'directory', 'spamemailnote', 'Alcune directory potrebbero effettuare invii spam, ti consigliamo di non utilizzare il tuo indirizzo email principale.', '2012-11-08 19:50:02'),
(1229, 'it', 'directory', 'Submission Details', 'Dettagli invio', '2012-11-08 19:50:02'),
(1230, 'it', 'directory', 'Submit Description', 'Inserire descrizione', '2012-11-08 19:50:02'),
(1231, 'it', 'directory', 'Submit Keywords', 'Inserire keywords', '2012-11-08 19:50:02'),
(1232, 'it', 'directory', 'Submit Title', 'Inserire titolo', '2012-11-08 19:50:02'),
(1233, 'it', 'directory', 'Website Category', 'Categoria sito web', '2012-11-08 19:50:02'),
(1234, 'it', 'directory', 'Website Url', 'Url del sito web', '2012-11-08 19:50:02'),
(1235, 'it', 'home', 'Account Summary', 'Sommario account', '2022-07-11 11:16:33'),
(1236, 'it', 'home', 'Backlinks', 'Backlinks', '2022-07-11 11:16:33'),
(1237, 'it', 'home', 'Directory Submission', 'Immissione directory', '2022-07-11 11:16:33'),
(1238, 'it', 'home', 'home_cont1', '<h1 style=\"text-align: center;margin-bottom: 30px;font-size: 19px;\">Benvenuto nel Pannello Seo - Il primo pannello di controllo seo al monto per più siti web</h1>\r\n        <p>\r\n            Un <b>pannello di controllo open source </b> completo per gestire <b>l\'ottimizzazione nei motori di ricerca</b> dei tuoi siti web.\r\n            Il pannello seo è uno<b>stumento</b> che include gli ultimi strumenti seo aggiornati per<b>incrementare e tracciare</b> le\r\n<b>performace</b> dei tuoi siti web.\r\n            E\' un <b>software gratuito</b> rilasciato sotto <b>GNU GENERAL PUBLIC LICENSE</b>.\r\n            Le caratteristiche principali del pannello seo sono l\'<b> estendibilità</b>grazie all\'utilizzo di <a href=\"<?=SP_PLUGINSITE?>\"\r\ntarget=\"_blank\">plugin seo</a>.\r\n            Chiunque può facilmente <b>sviluppare e installare</b> i plugin richiesti dal proprio pannello seo. \r\n        </p>\r\n        <p></p>\r\n        <p>\r\n            Questo software open source è stato rilasciato <b>nel gennaio 2010</b>.\r\n            In questo <b>breve periodo</b> di tempo <b>migliaia</b> di <b>web masters</b> hanno utilizzato questo software per<b>ottimizzare</b> i propri siti web.\r\n            Utilizza il pannello seo oggi per te stesso e <b>gusta</b> tutti questi strumenti seo unificati in una<b>sola piattaforma</b>.\r\n        </p>', '2022-07-11 11:16:33'),
(1239, 'it', 'home', 'home_cont2', '<fieldset>\r\n<legend>Maggiori caratteristiche del Pannello Seol <?=SP_INSTALLED?></legend>\r\n<ul class=\"infobox\">\r\n    <li>        \r\n        <h1>Strumento di invio automatico nelle directory</h1>\r\n        <p>\r\n        \r\n            Strumento automatico per l\'invio nelle directory che ti aiuterà a <b>segnalare il tuo sito web</b> nelle maggiori<b> directory gratuite e a pagamento</b>.\r\n            Possiamo anche <b>tracciare lo stato</b> di ogni invio attraverso una <b>verifica periodica</b> utilizzando lo <b>script di verifica stato</b>.\r\n            <b>Directory manager</b> will help us to find out whether <b>directory is active</b> or not.\r\n        </p>\r\n    </li>\r\n    <li>        \r\n        <h1>Verifica posizione keyword</h1>\r\n        <p>\r\n            Verifica la posizione della keyword trovando la <b>posizione nelle ricerche dei motori </b> delle <b>keyword mirate</b>\r\ndel tuo sito web e <b>che si trovano </b> nel sistema.\r\n            Nei report delle posizioni delle keyword possiamo vedere  <b>il posizionamento giornaliero</b> delle  keywords nei differenti motori di ricerca attraverso un <strong> bellissimo grafico </strong>e <b>report dettagliati</b>.        </p>\r\n  </li>\r\n    <li>        \r\n        <h1>Site Auditor</h1>\r\n        <p>Site Auditor will <b>audit all SEO factors</b> of each pages of a site and will give a <b>detailed report</b> about each page. Questo ti aiuterà a creare file sitemap in formato  <b>XML,HTML,TEXT</b>del tuo sito web <strong>inviandole </strong>ai motori di ricerca.</p>\r\n  </li>\r\n    <li>        \r\n        <h1>Verifica Google and Alexa Rank</h1>\r\n  <p>\r\n            La verifica di Google e alexa rank troverà il <b>pagerank di google</b> e il <b>rank di alexa</b> dei tuoi siti web e <b>memorizzarli</b> nel sistema.\r\n            Nella sezione dei <b>report dei rank</b>, possiamo visualizzare <b>giornalmente</b> il rank di google e di alexagdi ogni sito web con i <b>report dettagliati</b>.        </p>\r\n  </li>\r\n    <li>        \r\n        <h1>Verifica Backlinks</h1>\r\n  <p>\r\n            La verifica dei backlinks ti troverà il <b>numero di backlinks</b> verso i nostri siti web nel differenti motori di ricerca <b>(google,yahoo,msn etc)</b> e li <b>memorizzerà</b> nel sistema.<br>\r\n      Nella sezione <b>report backlink</b>, potremo vedere il <b>conteggio giornaliero dei backlink</b> di ogni sito web nel <b>report giornaliero</b>.\r\n        </p>\r\n  </li>    \r\n    <li>        \r\n        <h1>Verifica Saturazione Motori di Ricerca</h1>\r\n  <p>\r\n            La verifica della saturazione dei Motori di Ricerca troverà il <b>numero di pagine indicizzate</b> dei nostri siti web nei differenti motori di ricerca <b>(google,yahoo,msn ecc)</b> e li<b>memorizzerà</b> nel sistema.\r\n      Nella sezione <b>report di verifica di saturazione dei motori di ricerca </b>, noi possiamo vedere <b>il conteggio delle pagine indicizzate giornalmente</b> per ogni sito web con i <b>report dettagliati</b>.        </p>\r\n  </li>\r\n    <li>        \r\n        <h1>Seo Panel Plugins</h1>\r\n        <p>\r\n            La <b>maggior caratteristica </b>del pannello seo è la sua  <b>estendibilità</b>.\r\n            Aggiungere  <b>plugin seo</b> al tuo pannello seo per  <b>estendere le sue caratteristiche</b> in base alle tue esigenze.\r\n            <a href=\"<?=SP_PLUGINSITE?>\" target=\"_blank\">I plugin del pannello seo</a> sono prodotti dallo stesso pannello seo e da terzi siti.\r\n            Tu puoi anche <b>sviluppare</b> semplici plugin seo per il tuo pannello seo.\r\n      Puoi  <a href=\"<?=SP_PLUGINSITE?>\" target=\"_blank\">inviaret</a> i tuoi plugin seo al pannello seo e noi li  <b>pubblicheremo</b> nel nostro sito web dopo la <b>verifica</b>.        </p>\r\n  </li>\r\n    <li>        \r\n        <h1>Generatore Meta Tag </h1>\r\n  <p>\r\n            Il generatore di Meta tag è un <b>plugin del pannello seo</b> per creare  <b>meta tags personalizzati </b> per il nostro sito.\r\n            Ti aiuterà ad avere  <b>maggiori informazioni</b> sul nostro sito web con i <b>bot dei motori di ricerca</b>\r\nmentre viene scansionato.        </p>\r\n  </li>\r\n</ul>\r\n</fieldset>', '2022-07-11 11:16:33'),
(1240, 'it', 'home', 'home_cont3', '<fieldset>\r\n<legend>RoSeo Panel Online Resources</legend>    \r\n<ul class=\"infobox\">\r\n\r\n    <li>\r\n        <h1>Risorse online del pannello Seo per referenza</h1>                \r\n        \r\n        \r\n        <p>\r\n            <a href=\"http://www.seopanel.in\" target=\"_blank\">Sito web ufficiale Pannello Seo</a>\r\n        </p>\r\n        <p>\r\n            <a href=\"<?=SP_DOWNLOAD_LINK?>\" target=\"_blank\">Scarica Pannello Seo </a>\r\n        </p>\r\n        \r\n        <p>\r\n            <a href=\"<?=SP_DEMO_LINK?>\" target=\"_blank\">Demo Pannello Seo</a>\r\n        </p>\r\n        \r\n        <p>\r\n            <a href=\"<?=SP_CONTACT_LINK?>\" target=\"_blank\">Contatta Pannello Seo</a>\r\n        </p>\r\n        \r\n        <p>\r\n            <a href=\"<?=SP_HELP_LINK?>\" target=\"_blank\">Guida/Aiuto Pannello Seo</a>\r\n        </p>\r\n        \r\n        <p>\r\n            <a href=\"<?=SP_FORUM_LINK?>\" target=\"_blank\">Forum Pannello Seo</a>\r\n        </p>\r\n        \r\n        <p>\r\n            <a href=\"<?=SP_SUPPORT_LINK?>\" target=\"_blank\">Sistema di supporto Pannello Seo</a>\r\n        </p>\r\n        \r\n        <p>\r\n            <a href=\"<?=SP_DONATE_LINK?>\" target=\"_blank\">Sostieni Pannello Seo</a>\r\n        </p>\r\n    </li>\r\n    \r\n</ul>\r\n</fieldset>', '2022-07-11 11:16:33'),
(1241, 'it', 'home', 'Pages Indexed', 'Pagine indicizzate', '2022-07-11 11:16:33'),
(1242, 'it', 'home', 'Ranks', 'Ranks', '2022-07-11 11:16:33'),
(1243, 'it', 'home', 'SiteNameUrl', 'Nome sito/Url', '2022-07-11 11:16:33'),
(1244, 'it', 'home', 'Website Statistics', 'Statistiche sito web', '2022-07-11 11:16:33'),
(1245, 'pl', 'website', 'Edit Website', 'Edytuj Stronę', '2010-10-09 05:52:58'),
(1246, 'pl', 'website', 'plscrtwebsite', 'Proszę utworzyć Stronę zanim będziesz mógł używać Narzędzi seo i Pluginów seo.', '2010-10-09 05:52:58'),
(1247, 'pl', 'website', 'Website already exist', 'Taka Strona już istnieje', '2010-10-09 05:52:58'),
(1248, 'pl', 'website', 'yourwebalreday', 'twoją Stronę jeśli już ją stworzyłeś.', '2010-10-09 05:52:58'),
(1249, 'pl', 'user', 'Edit User', 'Edytuj Użytkownika', '2010-10-09 05:53:49'),
(1250, 'pl', 'user', 'Saved My Profile Details', 'Zapisano Profil', '2010-10-09 05:53:49'),
(1251, 'pl', 'support', 'support_cont1', '<fieldset> \r\n<legend>System Wsparcia Seo Panel</legend> \r\n<ul class=\\\"infobox\\\"> \r\n    <li> \r\n        <h1>Pakiet 1000 Katalogów</h1>  \r\n        <p> \r\n            Dostarczamy <b>1000 darmowych aktywnych i zweryfikowanych</b> katalogów internetowych w jednym pakiecie, gotowe do dodania do Twojego panelu Seo  <b>Narzędzia do submisji Seo</b>. \r\n            Pomoże Ci to <b>powiększyć liczbę backlinków</b> twoich Stron. \r\n            Właściwie to lista 1000 Katalogów jest <b>wprowadzona</b> aby zebrać trochę pieniędzy na <b>rozwijanie funkcjonalności</b> Seo Panel. \r\n            Aby otrzymać listę 1000 internetowych Katalogów prosimy <a href=\\\"<?=SP_DONATE_LINK?>\\\" target=\\\"_blank\\\">o złożenie donacji</a>\r\n$10 lub więcej aby pomóc nam rozwinąć funkcjonalność Seo Panel. \r\n            Jeżeli masz jakieś pytania dotyczące pakietu 1000 Katalogów, prosimy <a href=\\\"<?=SP_CONTACT_LINK?>\\\"\r\ntarget=\\\"_blank\\\">o kontakt</a> lub utwórz pytanie <a href=\\\"<?=SP_SUPPORT_LINK?>\\\"\r\ntarget=\\\"_blank\\\">w systemie wsparcia</a>.    \r\n        </p>         \r\n        <p> \r\n            <a href=\\\"<?=SP_DONATE_LINK?>\\\" target=\\\"_blank\\\">Otwórz link aby złożyć donację dla Seo Panel</a> \r\n        </p> \r\n        <br> \r\n    </li> \r\n     \r\n    <li> \r\n        <h1>Lokalny pakiet Wyszukiwarek</h1>  \r\n        <p> \r\n            Dodaj <b>lokalne wyszukiwarki</b> google,yahoo,msn(<b>np: www.google.de,www.google.fr\r\nitd.</b>) do Seo Panel <b>sprawdzenie pozycji Keyword\\\'ów</b>, aby śledzić wydajność twoich Stron w lokalnych wyszukiwarkach. \r\n            Aby otrzymać pakiet lokalnych wyszukiwarek (w zależności od twoich wymagań) prosimy <a\r\nhref=\\\"<?=SP_DONATE_LINK?>\\\" target=\\\"_blank\\\">o donację</a> $10 lub więcej aby pomóc w rozwoju funkcjonalności Seo Panel. \r\n            Przed złożeniem donacji, prosimy <a href=\\\"<?=SP_CONTACT_LINK?>\\\" target=\\\"_blank\\\">o kontakt</a> aby powiadomić nas o żądanej liście lokalnych wyszukiwarek. \r\n            <br><br>               \r\n            Zawsze dodawaj <b>nowe wyszukiwarki (np:baidu.com)</b> do Sprawdzania pozycji Keyword\\\'ów w Seo Panel,\r\nprosimy <a href=\\\"<?=SP_CONTACT_LINK?>\\\" target=\\\"_blank\\\">o kontakt</a> lub utworzenie pytania w <a\r\nhref=\\\"<?=SP_SUPPORT_LINK?>\\\" target=\\\"_blank\\\">systemie wsparcia</a>.  \r\n        </p>         \r\n        <p class=\\\"visit\\\"> \r\n            <a href=\\\"<?=SP_CONTACT_LINK?>\\\" target=\\\"_blank\\\">Otwórz link aby skontaktować się z nami</a> \r\n        </p> \r\n        <br> \r\n    </li> \r\n     \r\n    <li> \r\n        <h1>Pluginy Seo Panel</h1>  \r\n        <p> \r\n            Dodaj <b>pluginy seo</b> do Twojego Seo Panel by <b>rozszerzyć funkcjonalność</b> według twoich wymagań. \r\n            <a href=\\\"<?=SP_PLUGINSITE?>\\\" target=\\\"_blank\\\">Pluginy Seo Panel</a> są dostarczane przez Seo Panel oraz zewnętrznych źródeł. \r\n            Możesz także równie łatwo <b>tworzyć</b> pluginy Seo dla Twojego Seo Panel. \r\n            Możesz także <a href=\\\"<?=SP_PLUGINSITE?>\\\" target=\\\"_blank\\\">submitować</a> twoje pluginy do Seo Panel a my je <b>opublikujemy</b>na naszej stronie po uprzednim <b>zatwierdzeniu</b>.         \r\n        </p>         \r\n        <p> \r\n            <a href=\\\"<?=SP_PLUGINSITE?>\\\" target=\\\"_blank\\\">Otwórz link aby sciągnąć pluginy Seo Panel</a> \r\n        </p> \r\n        <br> \r\n    </li>     \r\n    <li> \r\n        <h1>Kontakt</h1>  \r\n        <p> \r\n            Skontaktuj się z Nami jeśli masz pytanie dotyczące <b>Narzędzi Seo Panel, pluginów oraz funkcjonalności itp.</b> prze użycie poniższego linka.         \r\n        </p>         \r\n        <p> \r\n            <a href=\\\"<?=SP_CONTACT_LINK?>\\\" target=\\\"_blank\\\">Otwórz link aby skontaktować się z Nami</a> \r\n        </p> \r\n        <br> \r\n    </li>     \r\n    <li> \r\n        <h1>System Zapytań</h1>  \r\n        <p> \r\n            Aby uzyskać <b>pomoc techniczną</b> od teamu Seo Panel odnośnie instalacji i ustawień Narzędzi Seo Panel, pluginów i funkcjonalności</b>. Np: Aby ustawić zadania Cron dla automatycznego sprawdzania pozycji Keyword\\\'ów. \r\n        </p>         \r\n        <p> \r\n            <a href=\\\"<?=SP_SUPPORT_LINK?>\\\" target=\\\"_blank\\\">Otwórz link aby utworzyć zapytanie</a> \r\n        </p> \r\n        <br> \r\n    </li>     \r\n    <li> \r\n        <h1>Raportowanie błędów</h1>  \r\n        <p> \r\n            Raportuj <b>błędy</b> w <b>Narzędziach Seo Panel, pluginach i funkcjonalności itp.</b> używając poniższego linka.  \r\n            Prosimy o pomoc w usprawnieniu funkcjonalności w nowych wersjach.           \r\n        </p>         \r\n        <p> \r\n            <a href=\\\"<?=SP_SUPPORT_LINK?>\\\" target=\\\"_blank\\\">Otwórz link aby raportować błąd</a> \r\n        </p> \r\n        <br> \r\n    </li>     \r\n</ul> \r\n</fieldset>', '2010-10-25 06:38:20'),
(1252, 'pl', 'support', 'support_cont2', '<fieldset> \r\n<legend>Seo Panel Zasoby Online</legend> \r\n<ul class=\\\"infobox\\\"> \r\n         \r\n    <li> \r\n        <h1>Pomoc Użytkownika Seo Panel</h1>  \r\n        <p> \r\n            Dokumentacja Seo Panel jest dostępna na <a href=\\\"<?=SP_HELP_LINK?>\\\" target=\\\"_blank\\\"> w\r\n<b>Pomocy Użytkownika</b></a>, zawiera ona <b>dokumentację</b> Narzędzi Seo Panel, plugin\\\'ów , i funkcjonalności. \r\n            <br>To jest najlepsze miejsce w internecie aby <b>znaleźć pomoc</b> o Seo Panel. mamy nadzieję że pomożesz \r\n<b>udoskonalić</b> Pomoc Użytkownika, jeśli znajdziesz jakiś błąd lub brak czegoś.                 \r\n        </p> \r\n        <p> \r\n            <a href=\\\"<?=SP_HELP_LINK?>\\\" target=\\\"_blank\\\">Zobacz Pomoc Użytkownika Seo Panel</a> \r\n        </p> \r\n        <br> \r\n    </li>     \r\n    <li> \r\n        <h1>Forum Seo Panel</h1>  \r\n        <p> \r\n            To miejsce do dyskusji o pierwszym na świecie opensource\\\'owym <b> panelem kontrolym seo</b>.  \r\n            To najlepsze miejsce by znaleźć <b>odpowiedź</b> na <b>Twoje pytania</b> o Seo Panel.  \r\n            <br>Możesz także <b>dzielić się</b> twoim <b>doświadczeniem</b> z użytkowanie Seo Panel do optymalizacji twoich Stron.                                \r\n        </p>         \r\n        <p> \r\n            <a href=\\\"<?=SP_FORUM_LINK?>\\\" target=\\\"_blank\\\">Odwiedź forum Seo Panel</a> \r\n        </p> \r\n        <br> \r\n    </li> \r\n</ul>     \r\n</fieldset>', '2010-10-25 06:38:20'),
(1253, 'pl', 'support', 'support_cont3', '<fieldset> \r\n<legend>Złóż donację dla Seo Panel</legend> \r\n<ul class=\\\"infobox\\\">         \r\n    <li> \r\n        <h1>Złóż donację dla Seo Panel - Pierwszy na świecie Open source\\\'owy panel kontrolny seo</h1>  \r\n        <p> \r\n            <b>Złóż donację</b> dla Seo Panel aby wesprzeć pierwszy na świecie open source\\\'owy panel kontrolny seo. \r\n            Planujemy <b>zwiększać i ulepszać</b> funkcjonalość Seo Panel w przyszłości.  \r\n            <br>Tylko z Twoim <b>wsparciem</b> możemy osiągnąć nasz <b>cel</b>. \r\n            Jeżeli uważasz że Seo Panel jest dla Ciebie <b>cenny</b>, prosimy o donację jakiejkolwiek kwoty dla Seo Panel. \r\n            <br>W zamian <b>opublikujemy</b> Twoje Nazwisko i adres twojej strony na <a href=\\\"<?=SP_DONATE_LINK?>\\\"\r\ntarget=\\\"_blank\\\">stronie donacji</a>, jak tylko otrzymamy donację. \r\n        </p> \r\n        <p> \r\n            <a href=\\\"<?=SP_DONATE_LINK?>\\\" target=\\\"_blank\\\">Otwórz tą linkę i złóż donację dla Seo Panel</a> \r\n        </p> \r\n        <br> \r\n    </li> \r\n</ul> \r\n</fieldset>', '2010-10-25 06:38:20'),
(1254, 'pl', 'sitemap', 'Change frequency', 'Zmień częstotliwość', '2010-10-09 06:26:35'),
(1255, 'pl', 'sitemap', 'clickproceedsitemap', 'Kliknij na <b>Proceed</b> aby utworzyć mapę Strony', '2010-10-09 06:26:35'),
(1256, 'pl', 'sitemap', 'Download sitemap file from', 'Ściągnij mapę Strony', '2010-10-09 06:26:35'),
(1257, 'pl', 'sitemap', 'Exclude Url', 'Wyklucz Url', '2010-10-09 06:26:35'),
(1258, 'pl', 'sitemap', 'processtaketime', 'Ten proces może trochę potrwać w zależności od ilości linków na Twojej stronie. Proszę czekać aż mapa zostanie wygenerowana.', '2010-10-09 06:26:35'),
(1259, 'pl', 'sitemap', 'Sitemap Type', 'Typ mapy Strony', '2010-10-09 06:26:35'),
(1260, 'pl', 'login', 'Confirm Password', 'Potwierdź hasło', '2014-01-17 19:04:15'),
(1261, 'pl', 'login', 'Create my account', 'Utwórz moje konto', '2014-01-17 19:04:15'),
(1262, 'pl', 'login', 'Create New Account', 'Utwórz nowe konto', '2014-01-17 19:04:15'),
(1263, 'pl', 'login', 'Email', 'Email', '2014-01-17 19:04:15'),
(1264, 'pl', 'login', 'emailexist', 'Ten email jest już używany!', '2014-01-17 19:04:15'),
(1265, 'pl', 'login', 'Enter the code as it is shown', 'Wprowadź kod', '2014-01-17 19:04:15'),
(1266, 'pl', 'login', 'First Name', 'Imię', '2014-01-17 19:04:15'),
(1267, 'pl', 'login', 'Last Name', 'Nazwisko', '2014-01-17 19:04:15'),
(1268, 'pl', 'login', 'Login', 'Login', '2014-01-17 19:04:15'),
(1269, 'pl', 'login', 'Login incorrect', 'Błędny login', '2014-01-17 19:04:15'),
(1270, 'pl', 'login', 'newaccountsuccess', 'Nowe konto zostało utworzone', '2014-01-17 19:04:15'),
(1271, 'pl', 'login', 'Password', 'Hasło', '2014-01-17 19:04:15'),
(1272, 'pl', 'login', 'Password incorrect', 'Błędne hasło', '2014-01-17 19:04:15'),
(1273, 'pl', 'login', 'Register', 'Rejestruj', '2014-01-17 19:04:15'),
(1274, 'pl', 'login', 'Sign in to your account', 'Zaloguj się na swoje konto', '2014-01-17 19:04:15'),
(1275, 'pl', 'login', 'User inactive', 'Użytkownik nie jest aktywny', '2014-01-17 19:04:15'),
(1276, 'pl', 'login', 'Username', 'Użytkownik', '2014-01-17 19:04:15'),
(1277, 'pl', 'login', 'usernameexist', 'Użytkownik o tej nazwie juz istnieje!', '2014-01-17 19:04:15'),
(1278, 'pl', 'label', 'already exist', 'już istnieje', '2014-05-11 20:04:08'),
(1279, 'pl', 'label', 'Authentication', 'Autentykacja', '2014-05-11 20:04:08'),
(1280, 'pl', 'label', 'Author', 'Autor', '2014-05-11 20:04:08'),
(1281, 'pl', 'label', 'Click Here', 'Kliknij tutaj', '2014-05-11 20:04:08'),
(1282, 'pl', 'label', 'Cron', 'Cron', '2014-05-11 20:04:08'),
(1283, 'pl', 'label', 'Description', 'Opis', '2014-05-11 20:04:08'),
(1284, 'pl', 'label', 'Developers', 'Deweloperzy', '2014-05-11 20:04:08'),
(1285, 'pl', 'label', 'Download', 'Download', '2014-05-11 20:04:08'),
(1286, 'pl', 'label', 'Installation', 'Instalacja', '2014-05-11 20:04:08'),
(1287, 'pl', 'label', 'Keywords', 'Keywordy', '2014-05-11 20:04:08'),
(1288, 'pl', 'label', 'noactiveplugins', 'Nie znaleziono aktywnych pluginów!', '2014-05-11 20:04:08'),
(1289, 'pl', 'label', 'Plugin', 'Plugin', '2014-05-11 20:04:08'),
(1290, 'pl', 'label', 'Port', 'Port', '2014-05-11 20:04:08'),
(1291, 'pl', 'label', 'Proxy', 'Proxy', '2014-05-11 20:04:08'),
(1292, 'pl', 'label', 'Re-install', 'Przeinstaluj', '2014-05-11 20:04:08'),
(1293, 'pl', 'label', 'Sponsors', 'Sponsorzy', '2014-05-11 20:04:08'),
(1294, 'pl', 'label', 'Title', 'Tytuł', '2014-05-11 20:04:08'),
(1295, 'pl', 'label', 'translation by', 'przetłumaczone przez', '2014-05-11 20:04:08'),
(1296, 'pl', 'label', 'Translators', 'Tłumaczenie', '2014-05-11 20:04:08'),
(1297, 'pl', 'label', 'Upgrade', 'Upgrade', '2014-05-11 20:04:08'),
(1298, 'pl', 'label', 'Version', 'Wersja', '2014-05-11 20:04:08'),
(1299, 'pl', 'label', 'wantproceed', 'Czy na pewno chcesz kontynuować?', '2014-05-11 20:04:08'),
(1300, 'pl', 'button', 'Cancel', 'Anuluj', '2014-01-17 18:41:10'),
(1301, 'pl', 'button', 'Check Status', 'Sprawdź status', '2014-01-17 18:41:10'),
(1302, 'pl', 'button', 'Proceed', 'Kontynuuj', '2014-01-17 18:41:10'),
(1303, 'pl', 'button', 'Reload', 'Odśwież', '2014-01-17 18:41:10'),
(1304, 'pl', 'button', 'Show Details', 'Pokaż właściwości', '2014-01-17 18:41:10'),
(1305, 'pl', 'button', 'Show Records', 'Pokaż Rekordy', '2014-01-17 18:41:10'),
(1306, 'pl', 'button', 'Skip', 'Pomiń', '2014-01-17 18:41:10'),
(1307, 'pl', 'button', 'Submit', 'Submituj', '2014-01-17 18:41:10'),
(1308, 'pl', 'common', 'Action', 'Akcja', '2019-05-25 18:43:11'),
(1309, 'pl', 'common', 'Activate', 'Aktywuj', '2019-05-25 18:43:11'),
(1310, 'pl', 'common', 'Active', 'Aktywna', '2019-05-25 18:43:11'),
(1311, 'pl', 'common', 'Admin Panel', 'Admin Panel', '2019-05-25 18:43:11'),
(1312, 'pl', 'common', 'Alexa Rank', 'Alexa Rank', '2019-05-25 18:43:11'),
(1313, 'pl', 'common', 'All', 'Wszystko', '2019-05-25 18:43:11'),
(1314, 'pl', 'common', 'Category', 'Kategoria', '2019-05-25 18:43:11'),
(1315, 'pl', 'common', 'contact', 'Kontakt', '2019-05-25 18:43:11'),
(1316, 'pl', 'common', 'copyright', 'Copyright © [year] www.seopanel.in Wszelkie prawa zastrzeżone', '2019-05-25 18:43:11'),
(1317, 'pl', 'common', 'Country', 'Kraj', '2019-05-25 18:43:11'),
(1318, 'pl', 'common', 'Crawl Meta Data', 'Pobierz dane Meta', '2019-05-25 18:43:11'),
(1319, 'pl', 'common', 'Date', 'Data', '2019-05-25 18:43:11'),
(1320, 'pl', 'common', 'Delete', 'Usuń', '2019-05-25 18:43:11'),
(1321, 'pl', 'common', 'Details', 'Szczegóły', '2019-05-25 18:43:11'),
(1322, 'pl', 'common', 'Directory', 'Folder', '2019-05-25 18:43:11'),
(1323, 'pl', 'common', 'Donate', 'Złóż donację', '2019-05-25 18:43:11'),
(1324, 'pl', 'common', 'Edit', 'Edytuj', '2019-05-25 18:43:11'),
(1325, 'pl', 'common', 'Entry cannot be blank', 'Pole nie może być puste', '2019-05-25 18:43:11'),
(1326, 'pl', 'common', 'entrynotvalid', 'Nieprawidłowa zawartość', '2019-05-25 18:43:11'),
(1327, 'pl', 'common', 'failed', 'nie powiodło się', '2019-05-25 18:43:11'),
(1328, 'pl', 'common', 'forum', 'Forum', '2019-05-25 18:43:11'),
(1329, 'pl', 'common', 'Found', 'Znaleziono', '2019-05-25 18:43:11'),
(1330, 'pl', 'common', 'Google Pagerank', 'Google Pagerank', '2019-05-25 18:43:11'),
(1331, 'pl', 'common', 'help', 'Pomoc', '2019-05-25 18:43:11'),
(1332, 'pl', 'common', 'hidenews', 'Ukryj wiadomości Seo Panel', '2019-05-25 18:43:11'),
(1333, 'pl', 'common', 'Id', 'Id', '2019-05-25 18:43:11'),
(1334, 'pl', 'common', 'Inactivate', 'Deaktywuj', '2019-05-25 18:43:11'),
(1335, 'pl', 'common', 'Inactive', 'Nie aktywne', '2019-05-25 18:43:11'),
(1336, 'pl', 'common', 'Invalid characters', 'Nieprawidłowe znaki', '2019-05-25 18:43:11'),
(1337, 'pl', 'common', 'Invalid code entered', 'Nieprawidłowy kod', '2019-05-25 18:43:11'),
(1338, 'pl', 'common', 'Invalid email address entered', 'Nieprawidłowy adres email', '2019-05-25 18:43:11'),
(1339, 'pl', 'common', 'Invalid value', 'Nieprawidłowa wartość', '2019-05-25 18:43:11'),
(1340, 'pl', 'common', 'Keyword', 'Słowo kluczowe', '2019-05-25 18:43:11'),
(1341, 'pl', 'common', 'Keywords', 'Słowa kluczowe', '2019-05-25 18:43:11'),
(1342, 'pl', 'common', 'lang', 'Język', '2019-05-25 18:43:11'),
(1343, 'pl', 'common', 'My Account', 'Moje Konto', '2019-05-25 18:43:11'),
(1344, 'pl', 'common', 'Name', 'Imię', '2019-05-25 18:43:11'),
(1345, 'pl', 'common', 'No', 'Nie', '2019-05-25 18:43:11'),
(1346, 'pl', 'common', 'No Keywords Found', 'Nie znaleziono Keyword\'ów', '2019-05-25 18:43:11'),
(1347, 'pl', 'common', 'No Records Found', 'Nie znaleziono rekordów', '2019-05-25 18:43:11'),
(1348, 'pl', 'common', 'noactivetools', 'Nie znaleziono aktywnych Narzędzi Seo Panel', '2019-05-25 18:43:11'),
(1349, 'pl', 'common', 'nowebsites', 'Nie znaleziono żadnych Stron', '2019-05-25 18:43:11'),
(1350, 'pl', 'common', 'password632', 'Hasło powinno mieć 6 do 32 znaków długości', '2019-05-25 18:43:11'),
(1351, 'pl', 'common', 'passwordnotmatch', 'Hasła nie są identyczne', '2019-05-25 18:43:11'),
(1352, 'pl', 'common', 'Period', 'Okres', '2019-05-25 18:43:11'),
(1353, 'pl', 'common', 'Priority', 'Priorytet', '2019-05-25 18:43:11'),
(1354, 'pl', 'common', 'Rank', 'Rank', '2019-05-25 18:43:11'),
(1355, 'pl', 'common', 'Reports', 'Raporty', '2019-05-25 18:43:11'),
(1356, 'pl', 'common', 'Results', 'Rezultaty', '2019-05-25 18:43:11'),
(1357, 'pl', 'common', 'Search Engine', 'Wyszukiwarka', '2019-05-25 18:43:11'),
(1358, 'pl', 'common', 'Select', 'Wybierz', '2019-05-25 18:43:11'),
(1359, 'pl', 'common', 'Seo Plugins', 'Pluginy Seo', '2019-05-25 18:43:11'),
(1360, 'pl', 'common', 'Seo Tools', 'Narzędzia Seo', '2019-05-25 18:43:11'),
(1361, 'pl', 'common', 'Sign out', 'Wyloguj się', '2019-05-25 18:43:11'),
(1362, 'pl', 'common', 'Sign Up', 'Zarejestruj się', '2019-05-25 18:43:11'),
(1363, 'pl', 'common', 'signin', 'Zaloguj się', '2019-05-25 18:43:11'),
(1364, 'pl', 'common', 'Status', 'Status', '2019-05-25 18:43:11'),
(1365, 'pl', 'common', 'Support', 'Wsparcie', '2019-05-25 18:43:11'),
(1366, 'pl', 'common', 'Total', 'Suma', '2019-05-25 18:43:11'),
(1367, 'pl', 'common', 'Url', 'Url', '2019-05-25 18:43:11'),
(1368, 'pl', 'common', 'User', 'Użytkownik', '2019-05-25 18:43:11'),
(1369, 'pl', 'common', 'User Panel', 'Panel Użytkownika', '2019-05-25 18:43:11'),
(1370, 'pl', 'common', 'Website', 'Strona', '2019-05-25 18:43:11'),
(1371, 'pl', 'common', 'Yes', 'Tak', '2019-05-25 18:43:11'),
(1372, 'pl', 'directory', 'Add back to directory list', 'Dodaj z powrotem do listy Katalogów', '2014-01-17 18:50:38'),
(1373, 'pl', 'directory', 'Approved', 'Zatwierdzono', '2014-01-17 18:50:38'),
(1374, 'pl', 'directory', 'Captcha', 'Captcha', '2014-01-17 18:50:38'),
(1375, 'pl', 'directory', 'categorynote', 'Kategorie, oddziel je przecinkiem według priorytetu. Zacznij od Kategorii o najwyższym priorytecie.', '2014-01-17 18:50:38'),
(1376, 'pl', 'directory', 'Check Directory Status', 'Sprawdź status Katalogu', '2014-01-17 18:50:38'),
(1377, 'pl', 'directory', 'Check Directory Submission Status', 'Sprawdź status submisji do Katalogu', '2014-01-17 18:50:38'),
(1378, 'pl', 'directory', 'clicktoproceeddirsts', 'Kliknij <b>Proceed</b> aby sprawdzić status Katalogu', '2014-01-17 18:50:38'),
(1379, 'pl', 'directory', 'Confirmation', 'Potwierdzenie', '2014-01-17 18:50:38'),
(1380, 'pl', 'directory', 'desnote', 'Niektóre katalogi wymagają minimum 150 znaków w opisie Strony', '2014-01-17 18:50:38'),
(1381, 'pl', 'directory', 'Directories with out captcha', 'Katalogi bez Captcha', '2014-01-17 18:50:38'),
(1382, 'pl', 'directory', 'Directory Submission Reports', 'Raport submisji do Katalogów', '2014-01-17 18:50:38'),
(1383, 'pl', 'directory', 'Enter the code shown', 'Wprowadź kod', '2014-01-17 18:50:38'),
(1384, 'pl', 'directory', 'nocatnote', 'Kategoria submisji nie została znaleziona na stronie submisji. Kliknij na <b>Przeładuj</b> lub <b>Pomiń</b>', '2014-01-17 18:50:38'),
(1385, 'pl', 'directory', 'nodirnote', 'Nie znaleziono <b>Aktywnych</b> Katalogów', '2014-01-17 18:50:38'),
(1386, 'pl', 'directory', 'nosuccessnote', 'Nie otrzymano potwierdzenia. Proszę sprawdzić twój email by znaleźć wiadomość potwierdzającą.', '2014-01-17 18:50:38'),
(1387, 'pl', 'directory', 'optionalnote', 'Opcjonalne tytuły i opisy aby submitować Stronę z róźnymi tytułami i opisami do Katalogów aby uzyskać lepsze rezultaty.', '2014-01-17 18:50:38'),
(1388, 'pl', 'directory', 'Owner Email', 'Email właściciela', '2014-01-17 18:50:38'),
(1389, 'pl', 'directory', 'Owner Name', 'Imię właściciela', '2014-01-17 18:50:38'),
(1390, 'pl', 'directory', 'Pending', 'Oczekuje', '2014-01-17 18:50:38'),
(1391, 'pl', 'directory', 'Please select a website to proceed', 'Proszę wybrać Stronę aby kontynuować', '2014-01-17 18:50:38'),
(1392, 'pl', 'directory', 'selectwebsiteproceed', 'Wybierz <b>Stronę</b> aby <b>Kontunuować</b> submitowanie. <br>Zaznacz <b>Katalogi bez Captcha</b> aby submitować do Katalogów nie wymagających Captcha w trakcie submisji.', '2014-01-17 18:50:38'),
(1393, 'pl', 'directory', 'selectwebsiteschecksub', 'Wybierz  <b>Stronę</b> aby <b>Kontynuować</b> sprawdzanie statusu submisji do Katalogów.', '2014-01-17 18:50:38'),
(1394, 'pl', 'directory', 'Semi Automatic Directory Submission Tool', 'Narzędzie do półautomatycznej submisji Strony do Katalogów', '2014-01-17 18:50:38'),
(1395, 'pl', 'directory', 'spamemailnote', 'Niektóre Katalogi mogą wysyłać spam, zalecamy nie używać swojego głównego adresu email.', '2014-01-17 18:50:38'),
(1396, 'pl', 'directory', 'Submission Details', 'Detale Submisji', '2014-01-17 18:50:38'),
(1397, 'pl', 'directory', 'Submit Description', 'Submituj Opis', '2014-01-17 18:50:38'),
(1398, 'pl', 'directory', 'Submit Keywords', 'Submituj Keyword\'y', '2014-01-17 18:50:38'),
(1399, 'pl', 'directory', 'Submit Title', 'Submituj Tytuł', '2014-01-17 18:50:38'),
(1400, 'pl', 'directory', 'Website Category', 'Kategoria Strony', '2014-01-17 18:50:38'),
(1401, 'pl', 'directory', 'Website Url', 'Url Strony', '2014-01-17 18:50:38'),
(1402, 'pl', 'home', 'Account Summary', 'Informacja o Koncie', '2014-01-17 19:53:11'),
(1403, 'pl', 'home', 'Backlinks', 'Backlinki', '2014-01-17 19:53:11'),
(1404, 'pl', 'home', 'Directory Submission', 'Submisja do Katalogu', '2014-01-17 19:53:11'),
(1405, 'pl', 'home', 'home_cont1', '<h1 style=\"text-align: center;margin-bottom: 30px;font-size: 19px;\">Witamy w Seo Panel - pierwszym na świecie panelu kontrolnym dla wielu Stron</h1> \r\n        <p> \r\n           Kompletne źródło <b> Seo Panel</b> do zarządzania <b>Optymalizacją dla Wyszukiwarek (Search Engine Optimization)</b> twoich Stron.  \r\n            Seo Panel jest to zbiór <b>Narzędzi Seo</b> włączając najnowsze narzędzia aby <b>zwiększyć kontrolę i wydajność</b> twoich Stron. \r\n            Jest to <b>darmowe narzędzie</b> rozpowszechniane na licencji <b>GNU GENERAL PUBLIC LICENSE</b>. \r\n            Główną funkcją Seo Panel jest <b>rozszerzalność</b> o nowe <a href=\"<?=SP_PLUGINSITE?>\"\r\ntarget=\"_blank\">pluginy Seo</a>. \r\n            Każdy może łatwo <b>tworzyć i instalować</b> pluginy do swojego Seo Panel.  \r\n        </p> \r\n        <p></p> \r\n        <p> \r\n            Jest to Open source\'owe oprogramowanie <b>wydane w Styczniu 2010</b>. \r\n            W tym <b>krótkim okresie</b> czasu <b>tysiąc</b> of <b>web masterów</b> używają ten software do <b>optymalizowania</b> swoich Stron. \r\n            Uzyj Seo Panel dzisiaj i <b>ciesz</b> się pełną kontrolą Seo w jednym narzędziu</b>. \r\n        </p>', '2014-01-17 19:53:11'),
(1406, 'pl', 'home', 'home_cont2', '<fieldset> \r\n<legend>Główne fukcje Seo Panel <?=SP_INSTALLED?></legend> \r\n<ul class=\"infobox\"> \r\n    <li>         \r\n        <h1>Narzędzie to automatycznej submisji Stron do Katalogów</h1> \r\n        <p> \r\n            Narzędzie to automatycznej submisji Stron do Katalogów pomaga nam <b>submitować Strony</b> do największych<b> darmowych i płatnych Katalogów</b>. \r\n            Możemy również <b>śledzić status</b> każdej submisji przez <b>okresowe sprawdzania statusów</b>. \r\n            <b>Manadżer Katalogów</b> pomoże nam sprawdzić czy dany <b>katalog jest aktywny</b> czy nie. \r\n        </p> \r\n    </li> \r\n    <li>         \r\n        <h1>Sprawdzenie pozycji słów kluczowych</h1> \r\n        <p> \r\n            Sprawdzenie pozycji keyword\'ów  pozwoli znaleźć <b>pozycję w wyszukiwarkach</b> dla <b>zdefiniowanych Keyword\'ów</b> dla twojej Strony. \r\n           W raportach możemy zobaczyć <b>dzienne pozycje</b> Keyword\'ów w różnych wyszukiwarkach, <b>piękne wykresy</b> i <b> szczegółowe raporty</b>. \r\n        </p> \r\n    </li> \r\n    <li>         \r\n        <h1>Audytor Strony</h1> \r\n        <p>Audytor Strony sprawdzi <b>wszystkie składniki SEO</b> każdje strony i wygeneruje <b>dokładny raport</b> o każdje stronie. Pomoże nam również wygenerować mapy Strony <b>XML,HTML,TEXT</b> w formie plików gotowe do <b>submitowania</b> do wyszukiwarek.</p> \r\n    </li> \r\n    <li>         \r\n        <h1>Sprawdzanie Google Rank i Alexa Rank</h1> \r\n        <p> \r\n            Sprawdzacz Google Rank i Alexa Rank znajdzie <b>google pagerank</b> i <b>alexa rank</b> naszych stron i <b>zapisze</b> je w systemie. \r\n            W sekcji <b>Raport rankingów</b>, możemy zobaczyć <b>dzienne</b> rankingi google i alexa rank każdej Strony w <b>szczegółowym raporcie</b>. \r\n        </p> \r\n    </li> \r\n    <li>         \r\n        <h1>Sprawdzanie linków zwrotnych</h1> \r\n        <p> \r\n            Sprawdzanie backlinków znajdzie <b>liczbę backlinków</b> w różnych wyszukiwarkach <b>(google,yahoo,msn itd.)</b> i <b>zapisuje</b> je w systemie. \r\n            <br>W sekcji <b>Sprawdzanie backlinków</b>, możemy zobaczyć <b>dzienne raporty</b> ze sprawdzania backlinkow każdej Strony <b>ze szczegółami</b>.\r\n        </p> \r\n    </li>     \r\n    <li>         \r\n        <h1>Sprawdzanie Nasycenia w Wyszukiwarkach</h1> \r\n        <p> \r\n            Sprawdzanie Nasycenia w Wyszukiwarkach znajdzie <b>liczbę zaindexowanych podstron</b> naszych Stron w różnych wyszukiwarkach <b>(google,yahoo,msn etc)</b> i <b>zapisze</b> je w systemie. \r\n            W sekcji <b>raport nasycenia w wyszukiwarkach</b> możemy zobaczyć <b>dzienną liczbę zaindeksowanych podstron</b> i <b>szczegółowy raport</b> o każdej Stronie. \r\n        </p> \r\n    </li> \r\n    <li>         \r\n        <h1>Pluginy Seo Panel</h1> \r\n        <p> \r\n            <b>Główną funkcjonalnością</b> Seo Panel jest <b>rozszerzalność</b>. \r\n            Dodaj <b>pluginy Seo</b> do twojego Seo Panel aby <b>rozszerzyć funkcjonalność</b> według twoich potrzeb.\r\n            <a href=\"<?=SP_PLUGINSITE?>\" target=\"_blank\">Pluginy Seo Panel</a> są dostarczane przez Seo Panel oraz źródła zewnętrzne. \r\n            Możesz łatwo <b>tworzyć</b> pluginy Seo dla swojego Seo Panel. \r\n            możesz <a href=\"<?=SP_PLUGINSITE?>\" target=\"_blank\">submitować</a> twoje pluginy do Seo Panel a my je <b>opublikujemy</b> na naszej stronie po uprzednim <b>sprawdzeniu</b>. \r\n        </p> \r\n    </li> \r\n    <li>         \r\n        <h1>Generator tagów Meta</h1> \r\n        <p> \r\n            Generator tagów Meta jest także <b>pluginem Seo</b> do generowania <b>własnych tagów Metas</b> na naszą Stronę. \r\n           Pomoże nam to dać <b>więcej informacji</b> o naszej Stronie dla <b>robotów wyszukiwarek</b>\r\npodczas indeksowanie Strony. \r\n        </p> \r\n    </li> \r\n</ul> \r\n</fieldset>', '2014-01-17 19:53:11'),
(1407, 'pl', 'home', 'home_cont3', '<fieldset> \r\n<legend>Zasoby online dla Seo Panel</legend>     \r\n<ul class=\"infobox\"> \r\n\r\n    <li> \r\n        <h1>Zasoby online dla Seo Panel dla szybkiej referencji</h1>                 \r\n         \r\n         \r\n        <p> \r\n            <a href=\"http://www.seopanel.in\" target=\"_blank\">Oficjalna strona Seo Panel</a> \r\n        </p> \r\n        <p> \r\n            <a href=\"<?=SP_DOWNLOAD_LINK?>\" target=\"_blank\">Sciągnij Seo Panel</a> \r\n        </p> \r\n         \r\n        <p> \r\n            <a href=\"<?=SP_DEMO_LINK?>\" target=\"_blank\">Demo Seo Panel</a> \r\n        </p> \r\n         \r\n        <p> \r\n            <a href=\"<?=SP_CONTACT_LINK?>\" target=\"_blank\">Skontaktuj się z Seo Panel</a> \r\n        </p> \r\n         \r\n        <p> \r\n            <a href=\"<?=SP_HELP_LINK?>\" target=\"_blank\">Pomoc Użytkownika Seo Panel</a> \r\n        </p> \r\n         \r\n        <p> \r\n            <a href=\"<?=SP_FORUM_LINK?>\" target=\"_blank\">Forum Seo Panel</a> \r\n        </p> \r\n         \r\n        <p> \r\n            <a href=\"<?=SP_SUPPORT_LINK?>\" target=\"_blank\">System Wsparcia Seo Panel</a> \r\n        </p> \r\n         \r\n        <p> \r\n            <a href=\"<?=SP_DONATE_LINK?>\" target=\"_blank\">Złóż donację dla Seo Panel</a> \r\n        </p> \r\n    </li> \r\n     \r\n</ul> \r\n</fieldset>', '2014-01-17 19:53:11'),
(1408, 'pl', 'home', 'Pages Indexed', 'Zaindexowane Strony', '2014-01-17 19:53:11'),
(1409, 'pl', 'home', 'Ranks', 'Ranking', '2014-01-17 19:53:11'),
(1410, 'pl', 'home', 'SiteNameUrl', 'Nazwa Strony/Url', '2014-01-17 19:53:11'),
(1411, 'pl', 'home', 'Website Statistics', 'Statystyki Strony', '2014-01-17 19:53:11'),
(1412, 'pl', 'keyword', 'Crawling keyword', 'Indeksowanie Keyword\'u', '2014-01-17 18:54:55'),
(1413, 'pl', 'keyword', 'Detailed Keyword Position Reports', 'Szczegółowy Raport o Pozycji Keyword\'u', '2014-01-17 18:54:55'),
(1414, 'pl', 'keyword', 'Edit Keyword', 'Edytuj Keyword', '2014-01-17 18:54:55'),
(1415, 'pl', 'keyword', 'Graphical Keyword Position Reports', 'Wykres Pozycji Keyword\'u', '2014-01-17 18:54:55'),
(1416, 'pl', 'keyword', 'Import Keywords', 'Importuj Keyword\'y', '2014-01-17 18:54:55'),
(1417, 'pl', 'keyword', 'Keyword already exist', 'Keyword już istnieje', '2014-01-17 18:54:55'),
(1418, 'pl', 'keyword', 'Keyword Position Report', 'Raport o Pozycji Keyword\'u', '2014-01-17 18:54:55'),
(1419, 'pl', 'keyword', 'New Keyword', 'Nowy Keyword', '2014-01-17 18:54:55'),
(1420, 'pl', 'keyword', 'not assigned to required search engines', 'nie przypisane do wymaganych wyszukiwarek', '2014-01-17 18:54:55'),
(1421, 'pl', 'keyword', 'pleaseselecttool', 'Proszę wybrać co najmniej jedno Narzędzie Seo', '2014-01-17 18:54:55'),
(1422, 'pl', 'keyword', 'Quick Keyword Position Checker', 'Szybkie Sprawdzenie Pozycji Keyword\'u', '2014-01-17 18:54:55'),
(1423, 'pl', 'keyword', 'results from ', 'rezultaty z', '2014-01-17 18:54:55'),
(1424, 'pl', 'keyword', 'Show All results', 'Pokaż wszystkie rezultaty', '2014-01-17 18:54:55'),
(1425, 'pl', 'keyword', 'Successfully crawled keyword', 'Keyword zaindeksowany pomyślnie', '2014-01-17 18:54:55'),
(1426, 'pl', 'keyword', 'to create new keywords', 'aby utworzyć nowe Keyword\'y', '2014-01-17 18:54:55'),
(1427, 'pl', 'panel', 'About Us', 'O Nas', '2014-05-11 19:55:16'),
(1428, 'pl', 'panel', 'Add following command to your cron tab', 'Dodaj Komendę to zakładki Cron', '2014-05-11 19:55:16'),
(1429, 'pl', 'panel', 'alsocheckfollowlink', 'Sprawdź link jeśli chcesz więcej szczegółów', '2014-05-11 19:55:16'),
(1430, 'pl', 'panel', 'Check Directory', 'Sprawdź Katalog', '2014-05-11 19:55:16'),
(1431, 'pl', 'panel', 'Cron Command', 'Komenda Cron', '2014-05-11 19:55:16'),
(1432, 'pl', 'panel', 'Directory Manager', 'Manadżer Katalogów', '2014-05-11 19:55:16'),
(1433, 'pl', 'panel', 'Edit My Profile', 'Edytuj Profil', '2014-05-11 19:55:16'),
(1434, 'pl', 'panel', 'My Profile', 'Mój Profil', '2014-05-11 19:55:16'),
(1435, 'pl', 'panel', 'New Proxy', 'Nowe Proxy', '2014-05-11 19:55:16'),
(1436, 'pl', 'panel', 'New User', 'Nowy Użytkownik', '2014-05-11 19:55:16'),
(1437, 'pl', 'panel', 'New Website', 'Nowa Strona', '2014-05-11 19:55:16'),
(1438, 'pl', 'panel', 'Proxy Manager', 'Manadżer Proxy', '2014-05-11 19:55:16'),
(1439, 'pl', 'panel', 'Report Generation Manager', 'Manadżer Generowania Raportów', '2014-05-11 19:55:16'),
(1440, 'pl', 'panel', 'Reports Manager', 'Manadżer Raportów', '2014-05-11 19:55:16'),
(1441, 'pl', 'panel', 'Seo Plugins Manager', 'Manadżer Pluginów Seo', '2014-05-11 19:55:16'),
(1442, 'pl', 'panel', 'Seo Tools Manager', 'Manadżer Narzędzi Seo', '2014-05-11 19:55:16'),
(1443, 'pl', 'panel', 'System Settings', 'Ustawienia Systemu', '2014-05-11 19:55:16'),
(1444, 'pl', 'panel', 'User Manager', 'Manadżer Użytkowników', '2014-05-11 19:55:16'),
(1445, 'pl', 'panel', 'Website Manager', 'Manadżer Stron', '2014-05-11 19:55:16'),
(1446, 'pl', 'plugin', 'Edit Seo Plugin', 'Edytuj Plugin Seo', '2014-01-17 19:06:52'),
(1447, 'pl', 'plugin', 'Plugin Name', 'Nazwa Pluginu', '2014-01-17 19:06:52'),
(1448, 'pl', 'plugin', 'Seo Plugin Details', 'Szczegóły Pluginu Seo', '2014-01-17 19:06:52'),
(1449, 'pl', 'proxy', 'Edit Proxy', 'Edytuj Proxy', '2014-05-11 19:50:59'),
(1450, 'pl', 'proxy', 'Proxy Password', 'Hasło Proxy', '2014-05-11 19:50:59'),
(1451, 'pl', 'proxy', 'Proxy Username', 'Nazwa Użytkownika Proxy', '2014-05-11 19:50:59'),
(1452, 'pl', 'proxy', 'Proxyalreadyexist', 'Takie Proxy już istnieje', '2014-05-11 19:50:59'),
(1453, 'pl', 'rank', 'enterurlproceed', 'Wprowadź adresy Url <b>Jeden adres na linię</b> Kliknij <b>Kontynuuj</b> by sprawdzić Google Rank i Alexa Rank', '2010-10-09 07:33:20'),
(1454, 'pl', 'rank', 'Google and Alexa Rank Reports', 'raporty Google Rank i Alexa Rank', '2010-10-09 07:33:20'),
(1455, 'pl', 'rank', 'Saved rank results of', 'Zapisane rezultaty', '2010-10-09 07:33:20'),
(1456, 'pl', 'saturation', 'clickproceedsaturation', 'Wprowadź adresy Url <b>Jeden adres na linię</b> Kliknij <b>Kontynuuj</b> by sprawdzić Nasycenie w Wyszukiwarkach (Search Engine Saturation Results)', '2010-10-09 07:36:19');
INSERT INTO `texts` (`id`, `lang_code`, `category`, `label`, `content`, `changed`) VALUES
(1457, 'pl', 'saturation', 'GenerateSaturationReports', 'Generuj raport Nasycenia w Wyszukiwarkach', '2010-10-09 07:36:19'),
(1458, 'pl', 'saturation', 'Quick Search Engine Saturation Checker', 'Szybkie Sprawdzenie Nasycenia w Wyszukiwarkach', '2010-10-09 07:36:19'),
(1459, 'pl', 'saturation', 'Saved Search Engine Saturation results of', 'Zapisane stany Nasycenia w Wyszukiwarkach', '2010-10-09 07:36:19'),
(1460, 'pl', 'saturation', 'Search Engine Saturation Reports', 'Raporty Nasycenia w Wyszukiwarkach', '2010-10-09 07:36:19'),
(1461, 'pl', 'seotools', 'Automatic Submission', 'Automatyczna submisja', '2014-01-17 19:15:54'),
(1462, 'pl', 'seotools', 'backlink-checker', 'Sprawdzanie backlinków', '2014-01-17 19:15:54'),
(1463, 'pl', 'seotools', 'Backlinks Reports', 'Raporty backlinków', '2014-01-17 19:15:54'),
(1464, 'pl', 'seotools', 'Check Submission Status', 'Sprawdź status submisji', '2014-01-17 19:15:54'),
(1465, 'pl', 'seotools', 'clickgeneratereports', 'Kliknij <b>Kontynuuj</b> aby wygenerować raport', '2014-01-17 19:15:54'),
(1466, 'pl', 'seotools', 'Detailed Position Reports', 'Szczegółowy raport o pozycji', '2014-01-17 19:15:54'),
(1467, 'pl', 'seotools', 'directory-submission', 'Submisja do katalogów', '2014-01-17 19:15:54'),
(1468, 'pl', 'seotools', 'Featured Submission', 'Zintegrowana submisja', '2014-01-17 19:15:54'),
(1469, 'pl', 'seotools', 'Generate Backlinks Reports', 'Generuj raport o backlink\'ach', '2014-01-17 19:15:54'),
(1470, 'pl', 'seotools', 'Generate Keyword Reports', 'Generuj raport o keyword\'ach', '2014-01-17 19:15:54'),
(1471, 'pl', 'seotools', 'Generate Rank Reports', 'Generuj raport o pozycjach w rankingach', '2014-01-17 19:15:54'),
(1472, 'pl', 'seotools', 'Generate Saturation Reports', 'Generuj raport o nasyceniu w Wyszukiwarkach', '2014-01-17 19:15:54'),
(1473, 'pl', 'seotools', 'Google Sitemap Generator', 'Generator Google map Strony ', '2014-01-17 19:15:54'),
(1474, 'pl', 'seotools', 'Graphical Position Reports', 'Wykres pozycji w rankingach', '2014-01-17 19:15:54'),
(1475, 'pl', 'seotools', 'Keyword Position Summary', 'Podsumowanie pozycji keyword\'ów', '2014-01-17 19:15:54'),
(1476, 'pl', 'seotools', 'keyword-position-checker', 'Sprawdzenie pozycji keyword\'ów', '2014-01-17 19:15:54'),
(1477, 'pl', 'seotools', 'Keywords Manager', 'Manadżer keyword\'ów', '2014-01-17 19:15:54'),
(1478, 'pl', 'seotools', 'Quick Backlinks Checker', 'Szybkie sprawdzenie backlink\'ów', '2014-01-17 19:15:54'),
(1479, 'pl', 'seotools', 'Quick Position Checker', 'Szybkie sprawdzenie pozycji ', '2014-01-17 19:15:54'),
(1480, 'pl', 'seotools', 'Quick Rank Checker', 'Szybkie sprawdzenie rankingów', '2014-01-17 19:15:54'),
(1481, 'pl', 'seotools', 'Quick Saturation Checker', 'Szybkie sprawdzenie nasycenia w wyszukiwarkach', '2014-01-17 19:15:54'),
(1482, 'pl', 'seotools', 'Rank Reports', 'Raport rankingów', '2014-01-17 19:15:54'),
(1483, 'pl', 'seotools', 'rank-checker', 'Sprawdzenie rankingów', '2014-01-17 19:15:54'),
(1484, 'pl', 'seotools', 'Saturation Reports', 'Raport nasycenia w wyszukiwarkach', '2014-01-17 19:15:54'),
(1485, 'pl', 'seotools', 'saturation-checker', 'Nasycenie w wyszukiwarkach', '2014-01-17 19:15:54'),
(1486, 'pl', 'seotools', 'sitemap-generator', 'Generator mapy Strony', '2014-01-17 19:15:54'),
(1487, 'pl', 'seotools', 'Skipped Directories', 'Pominięte katalogi', '2014-01-17 19:15:54'),
(1488, 'pl', 'seotools', 'Submission Reports', 'Raporty submisji', '2014-01-17 19:15:54'),
(1489, 'pl', 'seotools', 'User Access', 'Dostęp użytkowników', '2014-01-17 19:15:54'),
(1490, 'pl', 'settings', 'Click here to become a sponsor for Seo Panel', '<b>Złóż donację $100</b> i zostań <b>sponsorem</b> Seo Panel.', '2014-05-11 19:49:58'),
(1491, 'pl', 'settings', 'seopanel_description', 'Darmowy kompletny panel do zarządzania Optymalizacją Stron. Zawiera mnóstwo nowych Narzędzi Seo aby kontrolować wydajność twoich Stron. Jest to open source\'owy software do którego łatwo możesz pisać własne pluginy Seo.', '2014-05-11 19:49:58'),
(1492, 'pl', 'settings', 'seopanel_title', 'Seo Panel: Pierwszy na świecie open source\'owy panel do zarządzania wieloma Stronami', '2014-05-11 19:49:58'),
(1493, 'pl', 'settings', 'SP_CRAWL_DELAY', 'Opóźnienie między każdym indexowaniem robota (w sekundach)', '2014-05-11 19:49:58'),
(1494, 'pl', 'settings', 'SP_DEFAULTLANG', 'Domyślny język', '2014-05-11 19:49:58'),
(1495, 'pl', 'settings', 'SP_DESCRIPTION', 'Opis Seo Panel', '2014-05-11 19:49:58'),
(1496, 'pl', 'settings', 'SP_ENABLE_PROXY', 'Włącz Proxy', '2014-05-11 19:49:58'),
(1497, 'pl', 'settings', 'SP_HOTLINKING', 'Zabezpieczenie hotlinkowania obrazków włączone', '2014-05-11 19:49:58'),
(1498, 'pl', 'settings', 'SP_KEYWORDS', 'Słowa kluczowe Seo Panel', '2014-05-11 19:49:58'),
(1499, 'pl', 'settings', 'SP_PAGINGNO', 'Numer rekordów na stronie', '2014-05-11 19:49:58'),
(1500, 'pl', 'settings', 'SP_TITLE', 'Tytuł Seo Panel', '2014-05-11 19:49:58'),
(1501, 'pl', 'settings', 'SP_USER_GEN_REPORT', 'Pozwól użytkownikowi generować raporty', '2014-05-11 19:49:58'),
(1502, 'pl', 'settings', 'SP_USER_REGISTRATION', 'Interfejs rejestracji użytkownika', '2014-05-11 19:49:58'),
(1503, 'pl', 'settings', 'syssettingssaved', 'Ustawienia Systemu zapisane!', '2014-05-11 19:49:58'),
(1504, 'pl', 'backlink', 'clickproceedbacklink', 'Wprowadź adresy URL <b>każdy w osobnej linii</b>. Kliknij <b>Kontynuuj</b> by sprawdzić Backlinki.', '2014-01-17 18:40:05'),
(1505, 'pl', 'backlink', 'Saved backlink results of', 'Zapisane rezultaty backlink', '2014-01-17 18:40:05'),
(1506, 'hu', 'backlink', 'clickproceedbacklink', 'Soronként <b>Egy</b> weboldal címét írd be. Kattints az <b>Elküldésre</b> a Backlinkek ellenőrzéséhez.  	 ', '2010-10-10 23:45:36'),
(1507, 'hu', 'backlink', 'Saved backlink results of', 'Elmentett Backlinkek:', '2010-10-10 23:45:36'),
(1508, 'hu', 'button', 'Cancel', 'Vissza', '2014-01-08 19:27:48'),
(1509, 'hu', 'button', 'Check Status', 'Állapot ellenőrzése', '2014-01-08 19:27:48'),
(1510, 'hu', 'button', 'Proceed', 'Elküld', '2014-01-08 19:27:48'),
(1511, 'hu', 'button', 'Reload', 'Újra', '2014-01-08 19:27:48'),
(1512, 'hu', 'button', 'Show Details', 'Részletek mutatása', '2014-01-08 19:27:48'),
(1513, 'hu', 'button', 'Show Records', 'Mutasd', '2014-01-08 19:27:48'),
(1514, 'hu', 'button', 'Skip', 'Kihagyás', '2014-01-08 19:27:48'),
(1515, 'hu', 'button', 'Submit', 'Elküld', '2014-01-08 19:27:48'),
(1516, 'hu', 'common', 'Action', 'Művelet', '2019-05-25 18:15:43'),
(1517, 'hu', 'common', 'Activate', 'Aktivál', '2019-05-25 18:15:43'),
(1518, 'hu', 'common', 'Active', 'Aktív', '2019-05-25 18:15:43'),
(1519, 'hu', 'common', 'Admin Panel', 'Admin felület', '2019-05-25 18:15:43'),
(1520, 'hu', 'common', 'Alexa Rank', 'Alexa Rang', '2019-05-25 18:15:43'),
(1521, 'hu', 'common', 'All', 'Összes', '2019-05-25 18:15:43'),
(1522, 'hu', 'common', 'Category', 'Kategória', '2019-05-25 18:15:43'),
(1523, 'hu', 'common', 'contact', 'Kapcsolat', '2019-05-25 18:15:43'),
(1524, 'hu', 'common', 'copyright', 'Copyright © [year] www.seopanel.in Minden jog fenntartva!', '2019-05-25 18:15:43'),
(1525, 'hu', 'common', 'Country', 'Ország', '2019-05-25 18:15:43'),
(1526, 'hu', 'common', 'Crawl Meta Data', 'Meta Adatok Kiolvasása', '2019-05-25 18:15:43'),
(1527, 'hu', 'common', 'Date', 'Dátum', '2019-05-25 18:15:43'),
(1528, 'hu', 'common', 'Delete', 'Törlés', '2019-05-25 18:15:43'),
(1529, 'hu', 'common', 'Details', 'Részletek', '2019-05-25 18:15:43'),
(1530, 'hu', 'common', 'Directory', 'Katalógus', '2019-05-25 18:15:43'),
(1531, 'hu', 'common', 'Donate', 'Seo Panel Támogatása', '2019-05-25 18:15:43'),
(1532, 'hu', 'common', 'Edit', 'Szerkesztés', '2019-05-25 18:15:43'),
(1533, 'hu', 'common', 'Entry cannot be blank', 'Ez a mező nem maradhat üresen!', '2019-05-25 18:15:43'),
(1534, 'hu', 'common', 'entrynotvalid', 'A beírt adatok nem tűnnek valódinak', '2019-05-25 18:15:43'),
(1535, 'hu', 'common', 'failed', 'hiba', '2019-05-25 18:15:43'),
(1536, 'hu', 'common', 'forum', 'Fórum', '2019-05-25 18:15:43'),
(1537, 'hu', 'common', 'Found', 'Találat', '2019-05-25 18:15:43'),
(1538, 'hu', 'common', 'Google Pagerank', 'Google Pagerank', '2019-05-25 18:15:43'),
(1539, 'hu', 'common', 'help', 'Segítség', '2019-05-25 18:15:43'),
(1540, 'hu', 'common', 'hidenews', 'Seo Panel Hírek Elrejtése', '2019-05-25 18:15:43'),
(1541, 'hu', 'common', 'Id', 'Sorszám', '2019-05-25 18:15:43'),
(1542, 'hu', 'common', 'Inactivate', 'Inaktiválás', '2019-05-25 18:15:43'),
(1543, 'hu', 'common', 'Inactive', 'Inaktív', '2019-05-25 18:15:43'),
(1544, 'hu', 'common', 'Invalid characters', 'Érvénytelen Karakterek', '2019-05-25 18:15:43'),
(1545, 'hu', 'common', 'Invalid code entered', 'Hibás kódot írtál be', '2019-05-25 18:15:43'),
(1546, 'hu', 'common', 'Invalid email address entered', 'Hibás e-mail cím', '2019-05-25 18:15:43'),
(1547, 'hu', 'common', 'Invalid value', 'Érvénytelen érték', '2019-05-25 18:15:43'),
(1548, 'hu', 'common', 'Keyword', 'Kulcsszó', '2019-05-25 18:15:43'),
(1549, 'hu', 'common', 'Keywords', 'Kulcsszavak', '2019-05-25 18:15:43'),
(1550, 'hu', 'common', 'lang', 'Nyelv', '2019-05-25 18:15:43'),
(1551, 'hu', 'common', 'My Account', 'Fiókom', '2019-05-25 18:15:43'),
(1552, 'hu', 'common', 'Name', 'Név', '2019-05-25 18:15:43'),
(1553, 'hu', 'common', 'No', 'Nem', '2019-05-25 18:15:43'),
(1554, 'hu', 'common', 'No Keywords Found', 'Nem Találtunk Kulcsszót', '2019-05-25 18:15:43'),
(1555, 'hu', 'common', 'No Records Found', 'Nincs Találat', '2019-05-25 18:15:43'),
(1556, 'hu', 'common', 'noactivetools', 'Nem találtunk Aktív Seo eszközt!', '2019-05-25 18:15:43'),
(1557, 'hu', 'common', 'nowebsites', 'Nem Találtunk Weboldalt', '2019-05-25 18:15:43'),
(1558, 'hu', 'common', 'password632', 'A jelszónak minimum 6, maximum 32 karakteresnek kell lennie', '2019-05-25 18:15:43'),
(1559, 'hu', 'common', 'passwordnotmatch', 'A jelszavak nem egyeznek', '2019-05-25 18:15:43'),
(1560, 'hu', 'common', 'Period', 'Időszak', '2019-05-25 18:15:43'),
(1561, 'hu', 'common', 'Priority', 'Prioritás', '2019-05-25 18:15:43'),
(1562, 'hu', 'common', 'Rank', 'Rang', '2019-05-25 18:15:43'),
(1563, 'hu', 'common', 'Reports', 'Jelentések', '2019-05-25 18:15:43'),
(1564, 'hu', 'common', 'Results', 'Eredmények', '2019-05-25 18:15:43'),
(1565, 'hu', 'common', 'Search Engine', 'Keresőmotor', '2019-05-25 18:15:43'),
(1566, 'hu', 'common', 'Select', 'Választ', '2019-05-25 18:15:43'),
(1567, 'hu', 'common', 'Seo Plugins', 'Seo Beépülők', '2019-05-25 18:15:43'),
(1568, 'hu', 'common', 'Seo Tools', 'Seo Eszközök', '2019-05-25 18:15:43'),
(1569, 'hu', 'common', 'Sign out', 'Kilépés', '2019-05-25 18:15:43'),
(1570, 'hu', 'common', 'Sign Up', 'Regisztráció', '2019-05-25 18:15:43'),
(1571, 'hu', 'common', 'signin', 'Bejelentkezés', '2019-05-25 18:15:43'),
(1572, 'hu', 'common', 'Status', 'Állapot', '2019-05-25 18:15:43'),
(1573, 'hu', 'common', 'Support', 'Támogatás', '2019-05-25 18:15:43'),
(1574, 'hu', 'common', 'Total', 'Összesen', '2019-05-25 18:15:43'),
(1575, 'hu', 'common', 'Url', 'Url', '2019-05-25 18:15:43'),
(1576, 'hu', 'common', 'User', 'Felhasználó', '2019-05-25 18:15:43'),
(1577, 'hu', 'common', 'User Panel', 'Felhasználói Felület', '2019-05-25 18:15:43'),
(1578, 'hu', 'common', 'Website', 'Weboldal', '2019-05-25 18:15:43'),
(1579, 'hu', 'common', 'Yes', 'Igen', '2019-05-25 18:15:43'),
(1580, 'hu', 'directory', 'Add back to directory list', 'Visszahelyezés a katalóguslistába', '2013-02-05 19:23:52'),
(1581, 'hu', 'directory', 'Approved', 'Elfogadva', '2013-02-05 19:23:52'),
(1582, 'hu', 'directory', 'Captcha', 'Captcha', '2013-02-05 19:23:52'),
(1583, 'hu', 'directory', 'categorynote', 'Kategóriák, vesszővel elválasztva, fontossági sorrendbe. A legfontosabban kezd.', '2013-02-05 19:23:52'),
(1584, 'hu', 'directory', 'Check Directory Status', 'Katalógus Állapotának Ellenőrzése', '2013-02-05 19:23:52'),
(1585, 'hu', 'directory', 'Check Directory Submission Status', 'Katalógus Linkek állapota', '2013-02-05 19:23:52'),
(1586, 'hu', 'directory', 'clicktoproceeddirsts', 'Kattints az <b>Elküldésre</b> ahhoz, hogy ellenőrizd a katalógus állapotát.', '2013-02-05 19:23:52'),
(1587, 'hu', 'directory', 'Confirmation', 'Megerősítés', '2013-02-05 19:23:52'),
(1588, 'hu', 'directory', 'desnote', 'Néhány katalógusba minimum 150 karakteresnek kell lennie a leírásnak. ', '2013-02-05 19:23:52'),
(1589, 'hu', 'directory', 'Directories with out captcha', 'Katalógusok captcha nélkül', '2013-02-05 19:23:52'),
(1590, 'hu', 'directory', 'Directory Submission Reports', 'Jelentés a Linkbeküldésekről', '2013-02-05 19:23:52'),
(1591, 'hu', 'directory', 'Enter the code shown', 'Írd be az alábbi kódot', '2013-02-05 19:23:52'),
(1592, 'hu', 'directory', 'nocatnote', 'Az általad megadott kategóriát nem találtuk a katalógusba. Kérlek kattints az <b>Újra</b> vagy a <b>Tovább</b> feliratra  	 ', '2013-02-05 19:23:52'),
(1593, 'hu', 'directory', 'nodirnote', 'Nem találtunk <b>Aktív</b> katalógust', '2013-02-05 19:23:52'),
(1594, 'hu', 'directory', 'nosuccessnote', 'Ha nem jelenik meg a \\\"sikeres beküldés\\\" az ajánlás után, akkor ellenőrizd az e-mailjeidet, hogy nem kell-e aktiválni a linket.', '2013-02-05 19:23:52'),
(1595, 'hu', 'directory', 'optionalnote', 'További Cím és leírások melyek automatikusan cserélődni fognak minden linkbeküldésnél.', '2013-02-05 19:23:52'),
(1596, 'hu', 'directory', 'Owner Email', 'Kapcsolattartó E-mail címe', '2013-02-05 19:23:52'),
(1597, 'hu', 'directory', 'Owner Name', 'Kapcsolattartó Neve', '2013-02-05 19:23:52'),
(1598, 'hu', 'directory', 'Pending', 'Függőben', '2013-02-05 19:23:52'),
(1599, 'hu', 'directory', 'Please select a website to proceed', 'Kérlek válassz egy weboldalt elküldésre', '2013-02-05 19:23:52'),
(1600, 'hu', 'directory', 'selectwebsiteproceed', 'Válassz ki egy <b>Weboldalt</b> és kattints az <b>Elküldésre</b>.<br>Válaszd ki a  \\\"<b>Katalógusok captcha nélkül</b>\\\" opciót, hogy meggyorsítsd a linkbeküldést.', '2013-02-05 19:23:52'),
(1601, 'hu', 'directory', 'selectwebsiteschecksub', 'Válassz ki egy <b>Weboldalt</b> és kattints az <b>Elküldésre</b>.', '2013-02-05 19:23:52'),
(1602, 'hu', 'directory', 'Semi Automatic Directory Submission Tool', 'Félautomata Linkbeküldés', '2013-02-05 19:23:52'),
(1603, 'hu', 'directory', 'spamemailnote', 'Néhány katalógus küldhet spam leveleket, ezért ne a fő e-mail címünket használjuk. ', '2013-02-05 19:23:52'),
(1604, 'hu', 'directory', 'Submission Details', 'Linkbeküldése adatai', '2013-02-05 19:23:52'),
(1605, 'hu', 'directory', 'Submit Description', 'Leírás', '2013-02-05 19:23:52'),
(1606, 'hu', 'directory', 'Submit Keywords', 'Kulcsszavak', '2013-02-05 19:23:52'),
(1607, 'hu', 'directory', 'Submit Title', 'Cím', '2013-02-05 19:23:52'),
(1608, 'hu', 'directory', 'Website Category', 'Kategória', '2013-02-05 19:23:52'),
(1609, 'hu', 'directory', 'Website Url', 'URL', '2013-02-05 19:23:52'),
(1610, 'hu', 'home', 'Account Summary', 'Felhasználói Fiók', '2011-07-11 06:51:07'),
(1611, 'hu', 'home', 'Backlinks', 'Backlinkek', '2011-07-11 06:51:07'),
(1612, 'hu', 'home', 'Directory Submission', 'Linkbeküldés', '2011-07-11 06:51:07'),
(1613, 'hu', 'home', 'home_cont1', '<h1 style=\\\"text-align: center;margin-bottom: 30px;font-size: 19px;\\\">Üdvözöllek a Seo Panelben - A világ első nyílt forráskódú Seo Segédjében</h1> \r\n<p> \r\nEz egy teljesen <b>ingyenes</b> eszköz, mely nagy mértékben megkönnyíti a <b>keresőoptimalizálást</b>. Egyszerre több népszerű Seo eszközt foglal magában, hogy weblapjából a maximumot hozhassa ki. Nyílt forráskódú (GNU GENERAL PUBLIC LICENSE) ezért Ön is fejleszthet hozzá különböző kiegészítőket.\r\nLegfőbb tulajdonsága a <b>bővíthetőség</b>, mivel könnyedén bővíteni lehet <a href=\\\"<?=SP_PLUGINSITE?>\\\"\r\ntarget=\\\"_blank\\\">seo kiegészítőkkel</a>. \r\n</p>\r\n <p></p>\r\n <p> Ez az ingyenes software <b>2010 Januárjában</b> lett közzétéve. Azóta több <b>ezer</b> <b>webmester</b> használja világszerte.\r\n</p>', '2011-07-11 06:51:07'),
(1614, 'hu', 'home', 'home_cont2', '<fieldset>\r\n<legend>A Seo Panel legfőbb Tulajdonságai <?=SP_INSTALLED?></legend>\r\n<ul class=\\\"infobox\\\">\r\n    <li>        \r\n        <h1>Automatikus linkbeküldés katalógusokba</h1>\r\n        <p>\r\n            Az automatikus linkbeküldő eszköz segít Önnek, hogy <b>weboldalai</b> bekerüljenek a legnagyobb <b>ingyenes és fizetős katalógusokba.</b>\r\n            A beküldés után az <b>állapotellenőrző scripttel</b> <b>ellenőrizheti</b> minden egyes katalógusban <b>linkjei állapotát</b>.\r\n          Ezen felül a <b>Katalógusrendező</b> segít Önnek, hogy mely <b> katalógusok működnek</b> és melyek azok amik már nem.\r\n        </p>\r\n    </li>\r\n    <li>        \r\n        <h1>Kulcsszó helyezés Viszgáló</h1>\r\n        <p>\r\n            A <b>kulcsszó helyezés</b> vizsgáló segítségével ellenőrizheti, hogy az Ön által <b>választott kulcsszavak</b> milyen helyen szerepelnek a keresők <b>találati listáján</b>.\r\n            A Helyezésekről <b>részletes</b>, grafikus jelentéseket készíthet, ahol megtekintheti kulcsszavainak <b>napi pozícióját</b> a különböző keresők találati listáján.\r\n        </p>\r\n    </li>\r\n    <li>        \r\n        <h1>Site Auditor</h1>\r\n        <p>Site Auditor will <b>audit all SEO factors</b> of each pages of a site and will give a <b>detailed report</b> about each page. A Seo Panel segítségével különböző formátumú(<b>XML,HTML,TEXT</b>) oldaltérképet készíthet, amit később <b>beküldhet</b> a keresőknek.</p>\r\n    </li>\r\n    <li>        \r\n        <h1>Google and Alexa Rang Ellenőrző</h1>\r\n        <p>\r\n            A Google és Alexa rang ellenőrző segítségével megtudhatja oldalának <b>Pagerank</b>-ját, valamint az <b>Alexa pozícióját</b>. A kapott adatokat <b>eltárolhatja</b>.\r\n          A tárolt adatokról <b>jelentéseket</b> készíthet, amiben weboldalainak napi Pagerankja és Alexa pozíciója lesz látható.\r\n        </p>\r\n    </li>\r\n    <li>        \r\n        <h1>Backlink Ellenőrző</h1>\r\n        <p>\r\n            A Backlink ellenőrzővel megtudhatja, hogy a különböző keresők<b>(google,yahoo,msn etc)</b> <b>mennyi linket</b> látnak amik az Ön oldalára mutatnak. A kapott adatokat <b>eltárolhatja</b>.\r\n                      <br> A tárolt adatokról <b>jelentéseket</b> készíthet, amiben weboldalainak backlinjeinek számát láthatja napi lebontásban.\r\n        </p>\r\n    </li>    \r\n    <li>        \r\n        <h1>Indexelt oldalak</h1>\r\n        <p>\r\n            Az Indexelt oldalak vizsgálatával kiderül, hogy a különböző keresőkben<b>(google,yahoo,msn stb..)</b> mennyi <br>indexelt oldala</br> van a weblapjának. A kapott adatokat <b>eltárolhatja</b>.\r\n\r\n              A tárolt adatokról <b>jelentéseket</b> készíthet, amiben az <br>indexelt oldalak</br> számát napi nézetben láthatja.\r\n        </p>\r\n    </li>\r\n    <li>        \r\n        <h1>Seo Panel Kiegészítők</h1>\r\n        <p>\r\n            A legfőbb <b>tulajdonsága</b>  a Seo Panel-nek a <b>bővíthetőség</b>. További kiegészítőket itt tud letölteni: <a href=\\\"<?=SP_PLUGINSITE?>\\\" target=\\\"_blank\\\">Seo panel kiegészítők</a>.\r\n           \r\n            \r\n            Könnyedén <b>fejleszthet</b> Ön is Seo Kiegészítőket a Seo Panelhez.\r\n            Az Ön által fejlesztett kiegészítőket <a href=\\\"<?=SP_PLUGINSITE?>\\\" target=\\\"_blank\\\">beküldheti</a> a Seo Panel oldalára, ahol egy rövid áttekintés után <b>megjelenik</b> a többi kiegészítő között.\r\n        </p>\r\n    </li>\r\n    <li>        \r\n        <h1>Meta Tag Generátor</h1>\r\n        <p>\r\n            A meta tag generátor egy <b>Seo panel kiegészítő</b> amivel <b>egyedi meta tagokat</b> készíthet weboldalai számára.\r\n        \r\n        </p>\r\n    </li>\r\n</ul>\r\n</fieldset>', '2011-07-11 06:51:07'),
(1615, 'hu', 'home', 'home_cont3', '<fieldset>\r\n<legend>További információk a Seo Panelről</legend>    \r\n<ul class=\\\"infobox\\\">\r\n\r\n    <li>\r\n        <h1>Seo Panel a neten</h1>                \r\n        \r\n        \r\n        <p>\r\n            <a href=\\\"http://www.seopanel.in\\\" target=\\\"_blank\\\">Seo Panel Hivatalos Oldala</a>\r\n        </p>\r\n        <p>\r\n            <a href=\\\"<?=SP_DOWNLOAD_LINK?>\\\" target=\\\"_blank\\\">Seo Panel Letöltése</a>\r\n        </p>\r\n        \r\n        <p>\r\n            <a href=\\\"<?=SP_DEMO_LINK?>\\\" target=\\\"_blank\\\">Seo Panel Demó</a>\r\n        </p>\r\n        \r\n        <p>\r\n            <a href=\\\"<?=SP_CONTACT_LINK?>\\\" target=\\\"_blank\\\">Kapcsolat</a>\r\n        </p>\r\n        \r\n        <p>\r\n            <a href=\\\"<?=SP_HELP_LINK?>\\\" target=\\\"_blank\\\">Seo Panel Kézikönyv</a>\r\n        </p>\r\n        \r\n        <p>\r\n            <a href=\\\"<?=SP_FORUM_LINK?>\\\" target=\\\"_blank\\\">Seo Panel Fórum</a>\r\n        </p>\r\n        \r\n        <p>\r\n            <a href=\\\"<?=SP_SUPPORT_LINK?>\\\" target=\\\"_blank\\\">Seo Panel Segítségnyújtás</a>\r\n        </p>\r\n        \r\n        <p>\r\n            <a href=\\\"<?=SP_DONATE_LINK?>\\\" target=\\\"_blank\\\">Seo Panel Támogatása</a>\r\n        </p>\r\n    </li>\r\n    \r\n</ul>\r\n</fieldset>', '2011-07-11 06:51:07'),
(1616, 'hu', 'home', 'Pages Indexed', 'Indexelt oldalak', '2011-07-11 06:51:07'),
(1617, 'hu', 'home', 'Ranks', 'Rang', '2011-07-11 06:51:07'),
(1618, 'hu', 'home', 'SiteNameUrl', 'Oldal Neve/Url', '2011-07-11 06:51:07'),
(1619, 'hu', 'home', 'Website Statistics', 'Weboldal statisztika', '2011-07-11 06:51:07'),
(1620, 'hu', 'keyword', 'Crawling keyword', 'Kulcsszó ellenőrzése', '2011-07-11 06:53:54'),
(1621, 'hu', 'keyword', 'Detailed Keyword Position Reports', 'Részletes Kulcsszó Beszámoló', '2011-07-11 06:53:54'),
(1622, 'hu', 'keyword', 'Edit Keyword', 'Kulcsszó Szerkesztése', '2011-07-11 06:53:54'),
(1623, 'hu', 'keyword', 'Graphical Keyword Position Reports', 'Grafikus Kulcsszó Beszámoló', '2011-07-11 06:53:54'),
(1624, 'hu', 'keyword', 'Import Keywords', 'Kulcsszó importálása', '2011-07-11 06:53:54'),
(1625, 'hu', 'keyword', 'Keyword already exist', 'Ez a Kulcsszó már létezik', '2011-07-11 06:53:54'),
(1626, 'hu', 'keyword', 'Keyword Position Report', 'Beszámoló a Helyezésekről', '2011-07-11 06:53:54'),
(1627, 'hu', 'keyword', 'New Keyword', 'Új Kulcsszó', '2011-07-11 06:53:54'),
(1628, 'hu', 'keyword', 'not assigned to required search engines', 'not assigned to required search engines', '2011-07-11 06:53:54'),
(1629, 'hu', 'keyword', 'pleaseselecttool', 'Kérlek válassz minimum egy Seo eszközt', '2011-07-11 06:53:54'),
(1630, 'hu', 'keyword', 'Quick Keyword Position Checker', 'Gyors Helyezés vizsgáló', '2011-07-11 06:53:54'),
(1631, 'hu', 'keyword', 'results from ', 'eredmények', '2011-07-11 06:53:54'),
(1632, 'hu', 'keyword', 'Show All results', 'Összes eredmény mutatása', '2011-07-11 06:53:54'),
(1633, 'hu', 'keyword', 'Successfully crawled keyword', 'Sikeresen leellenőrzött kulcsszó', '2011-07-11 06:53:54'),
(1634, 'hu', 'keyword', 'to create new keywords', 'egy új kulcsszó hozzáadása', '2011-07-11 06:53:54'),
(1635, 'hu', 'label', 'already exist', 'már létezik', '2013-02-05 19:24:43'),
(1636, 'hu', 'label', 'Authentication', 'Hitelesítés', '2013-02-05 19:24:43'),
(1637, 'hu', 'label', 'Author', 'Szerző', '2013-02-05 19:24:43'),
(1638, 'hu', 'label', 'Click Here', 'Kattints Ide', '2013-02-05 19:24:43'),
(1639, 'hu', 'label', 'Cron', 'Cron', '2013-02-05 19:24:43'),
(1640, 'hu', 'label', 'Description', 'Leírás', '2013-02-05 19:24:43'),
(1641, 'hu', 'label', 'Developers', 'Fejlesztők', '2013-02-05 19:24:43'),
(1642, 'hu', 'label', 'Download', 'Letöltés', '2013-02-05 19:24:43'),
(1643, 'hu', 'label', 'Installation', 'Telepítés', '2013-02-05 19:24:43'),
(1644, 'hu', 'label', 'Keywords', 'Kulcsszavak', '2013-02-05 19:24:43'),
(1645, 'hu', 'label', 'noactiveplugins', 'Nem találtunk aktív Seo beépülőket!', '2013-02-05 19:24:43'),
(1646, 'hu', 'label', 'Plugin', 'Beépülő', '2013-02-05 19:24:43'),
(1647, 'hu', 'label', 'Port', 'Port', '2013-02-05 19:24:43'),
(1648, 'hu', 'label', 'Proxy', 'Proxy', '2013-02-05 19:24:43'),
(1649, 'hu', 'label', 'Re-install', 'Újrainstallálom', '2013-02-05 19:24:43'),
(1650, 'hu', 'label', 'Sponsors', 'Támogatók', '2013-02-05 19:24:43'),
(1651, 'hu', 'label', 'Title', 'Cím', '2013-02-05 19:24:43'),
(1652, 'hu', 'label', 'translation by', 'fordította:', '2013-02-05 19:24:43'),
(1653, 'hu', 'label', 'Translators', 'Fordítók', '2013-02-05 19:24:43'),
(1654, 'hu', 'label', 'Upgrade', 'Frissítés', '2013-02-05 19:24:43'),
(1655, 'hu', 'label', 'Version', 'Verzió', '2013-02-05 19:24:43'),
(1656, 'hu', 'label', 'wantproceed', 'Biztos vagy benne?', '2013-02-05 19:24:43'),
(1657, 'hu', 'login', 'Confirm Password', 'Jelszó megerősítése', '2010-10-10 22:33:10'),
(1658, 'hu', 'login', 'Create my account', 'Felhasználói fiók létrehozása', '2010-10-10 22:33:11'),
(1659, 'hu', 'login', 'Create New Account', 'Új Felhasználói Fiók', '2010-10-10 22:33:11'),
(1660, 'hu', 'login', 'Email', 'E-mail', '2010-10-10 22:33:11'),
(1661, 'hu', 'login', 'emailexist', 'Ez az E-mail cím már létezik!', '2010-10-10 22:33:11'),
(1662, 'hu', 'login', 'Enter the code as it is shown', 'Írd be az alábbi kódot', '2010-10-10 22:33:11'),
(1663, 'hu', 'login', 'First Name', 'Vezetéknév', '2010-10-10 22:33:11'),
(1664, 'hu', 'login', 'Last Name', 'Keresztnév', '2010-10-10 22:33:11'),
(1665, 'hu', 'login', 'Login', 'Bejelentkezés', '2010-10-10 22:33:11'),
(1666, 'hu', 'login', 'Login incorrect', 'Nem sikerült bejelentkezned', '2010-10-10 22:33:11'),
(1667, 'hu', 'login', 'newaccountsuccess', 'Az új felhasználói fiók sikeresen elkészült!', '2010-10-10 22:33:11'),
(1668, 'hu', 'login', 'Password', 'Jelszó', '2010-10-10 22:33:11'),
(1669, 'hu', 'login', 'Password incorrect', 'A Jelszó hibás', '2010-10-10 22:33:11'),
(1670, 'hu', 'login', 'Register', 'Regisztráció', '2010-10-10 22:33:11'),
(1671, 'hu', 'login', 'Sign in to your account', 'Jelentkezz be', '2010-10-10 22:33:11'),
(1672, 'hu', 'login', 'User inactive', 'Inaktív felhasználó', '2010-10-10 22:33:11'),
(1673, 'hu', 'login', 'Username', 'Felhasználónév', '2010-10-10 22:33:11'),
(1674, 'hu', 'login', 'usernameexist', 'Ilyen felhasználónévvel már regisztráltak!', '2010-10-10 22:33:11'),
(1675, 'hu', 'panel', 'About Us', 'A Készítőkről', '2013-02-05 19:25:03'),
(1676, 'hu', 'panel', 'Add following command to your cron tab', 'Add hozzá az alábbi utasítást a cron tabodhoz', '2013-02-05 19:25:03'),
(1677, 'hu', 'panel', 'alsocheckfollowlink', 'Nézd meg az alábbi linket ha szükséged van további részletekre.', '2013-02-05 19:25:03'),
(1678, 'hu', 'panel', 'Check Directory', 'Katalógus ellenőrzése', '2013-02-05 19:25:03'),
(1679, 'hu', 'panel', 'Cron Command', 'Cron Parancs', '2013-02-05 19:25:03'),
(1680, 'hu', 'panel', 'Directory Manager', 'Katalógus Kezelő', '2013-02-05 19:25:03'),
(1681, 'hu', 'panel', 'Edit My Profile', 'profilom Szerkesztése', '2013-02-05 19:25:03'),
(1682, 'hu', 'panel', 'My Profile', 'Profilom', '2013-02-05 19:25:03'),
(1683, 'hu', 'panel', 'New Proxy', 'Új Proxy', '2013-02-05 19:25:03'),
(1684, 'hu', 'panel', 'New User', 'Új Felhasználó', '2013-02-05 19:25:03'),
(1685, 'hu', 'panel', 'New Website', 'Új Weboldal', '2013-02-05 19:25:03'),
(1686, 'hu', 'panel', 'Proxy Manager', 'Proxy Kezelő', '2013-02-05 19:25:03'),
(1687, 'hu', 'panel', 'Report Generation Manager', 'Jelentéskészítő Beállításai', '2013-02-05 19:25:03'),
(1688, 'hu', 'panel', 'Reports Manager', 'Jelentések Kezelése', '2013-02-05 19:25:03'),
(1689, 'hu', 'panel', 'Seo Plugins Manager', 'Seo Beépülők Kezelése', '2013-02-05 19:25:03'),
(1690, 'hu', 'panel', 'Seo Tools Manager', 'Seo kiegészítések kezelése', '2013-02-05 19:25:03'),
(1691, 'hu', 'panel', 'System Settings', 'Rendszerbeállítások', '2013-02-05 19:25:03'),
(1692, 'hu', 'panel', 'User Manager', 'Felhasználókezelő', '2013-02-05 19:25:03'),
(1693, 'hu', 'panel', 'Website Manager', 'Weboldalkezelő', '2013-02-05 19:25:03'),
(1694, 'hu', 'plugin', 'Edit Seo Plugin', 'Seo Beépülő Szerkesztése', '2012-05-22 22:30:42'),
(1695, 'hu', 'plugin', 'Plugin Name', 'Beépülő Neve', '2012-05-22 22:30:42'),
(1696, 'hu', 'plugin', 'Seo Plugin Details', 'Seo Beépülő Leírása', '2012-05-22 22:30:42'),
(1697, 'hu', 'proxy', 'Edit Proxy', 'Proxy Szerkesztése', '2010-10-10 22:42:13'),
(1698, 'hu', 'proxy', 'Proxy Password', 'Proxy Jelszó', '2010-10-10 22:42:14'),
(1699, 'hu', 'proxy', 'Proxy Username', 'Proxy Felhasználónév', '2010-10-10 22:42:14'),
(1700, 'hu', 'proxy', 'Proxyalreadyexist', 'Ez a Proxy már létezik!', '2010-10-10 22:42:14'),
(1701, 'hu', 'rank', 'enterurlproceed', 'Írd be a weboldalak Url-jét <b>egyesével soronként</b>. Kattints az  <b>Elküldése</b> feliratra a Google és Alexa rank ellenőrzéséhez.', '2010-10-10 22:45:42'),
(1702, 'hu', 'rank', 'Google and Alexa Rank Reports', 'Google és Alexa Rank Jelentések', '2010-10-10 22:45:42'),
(1703, 'hu', 'rank', 'Saved rank results of', 'Elmentett eredmények:', '2010-10-10 22:45:42'),
(1704, 'hu', 'saturation', 'clickproceedsaturation', 'Írd be az ellenőrizendő weboldalak Url-jét(<b>soronként egyet</b>). Kattints az  <b>Elküldés</b> feliratra, hogy ellenőrizd az indexelt oldalak számát.', '2010-10-10 22:52:43'),
(1705, 'hu', 'saturation', 'GenerateSaturationReports', 'Jelentés készítése a keresők által indexelt oldalak számából', '2010-10-10 22:52:43'),
(1706, 'hu', 'saturation', 'Quick Search Engine Saturation Checker', 'Gyors ellenőrzése az indexelt oldalak számának', '2010-10-10 22:52:43'),
(1707, 'hu', 'saturation', 'Saved Search Engine Saturation results of', 'Indexelt oldalak száma elmentve:', '2010-10-10 22:52:43'),
(1708, 'hu', 'saturation', 'Search Engine Saturation Reports', 'Indexelt Oldalak Számának Jelentése', '2010-10-10 22:52:43'),
(1709, 'hu', 'seotools', 'Automatic Submission', 'Automata Linkbeküldés', '2011-07-11 07:00:18'),
(1710, 'hu', 'seotools', 'backlink-checker', 'Backlink Ellenőrző', '2011-07-11 07:00:18'),
(1711, 'hu', 'seotools', 'Backlinks Reports', 'Backlink Jelentések', '2011-07-11 07:00:18'),
(1712, 'hu', 'seotools', 'Check Submission Status', 'Beküldés állapotának ellenőrzése', '2011-07-11 07:00:18'),
(1713, 'hu', 'seotools', 'clickgeneratereports', 'Kattints az <b>Elküldés</b> feliratra, hogy elkészüljön a jelentés\r\n', '2011-07-11 07:00:18'),
(1714, 'hu', 'seotools', 'Detailed Position Reports', 'Részletes Jelentés a Helyezésekről', '2011-07-11 07:00:18'),
(1715, 'hu', 'seotools', 'directory-submission', 'Linkbeküldés', '2011-07-11 07:00:18'),
(1716, 'hu', 'seotools', 'Featured Submission', 'Kiemelt Linkbeküldés', '2011-07-11 07:00:18'),
(1717, 'hu', 'seotools', 'Generate Backlinks Reports', 'Backlink jelentés készítése', '2011-07-11 07:00:18'),
(1718, 'hu', 'seotools', 'Generate Keyword Reports', 'Kulcsszó Jelentés Készítése', '2011-07-11 07:00:18'),
(1719, 'hu', 'seotools', 'Generate Rank Reports', 'Google és Alexa Rank Jelentés', '2011-07-11 07:00:18'),
(1720, 'hu', 'seotools', 'Generate Saturation Reports', 'jelentés az Indexelt Oldalakról', '2011-07-11 07:00:18'),
(1721, 'hu', 'seotools', 'Google Sitemap Generator', 'Google Oldaltérkép Készítése', '2011-07-11 07:00:18'),
(1722, 'hu', 'seotools', 'Graphical Position Reports', 'Grafikus Helyezés Jelentés', '2011-07-11 07:00:18'),
(1723, 'hu', 'seotools', 'Keyword Position Summary', 'Kulcsszavak Pozíciójának Összefoglalója', '2011-07-11 07:00:18'),
(1724, 'hu', 'seotools', 'keyword-position-checker', 'Helyezés Vizsgáló', '2011-07-11 07:00:18'),
(1725, 'hu', 'seotools', 'Keywords Manager', 'Kulcsszókezelő', '2011-07-11 07:00:18'),
(1726, 'hu', 'seotools', 'Quick Backlinks Checker', 'Gyors Backlink Ellenőrző', '2011-07-11 07:00:18'),
(1727, 'hu', 'seotools', 'Quick Position Checker', 'Gyors Helyezés Vizsgáló', '2011-07-11 07:00:18'),
(1728, 'hu', 'seotools', 'Quick Rank Checker', 'Gyors \\\"Rang\\\" Vizsgáló', '2011-07-11 07:00:18'),
(1729, 'hu', 'seotools', 'Quick Saturation Checker', 'Gyors Indexelés Vizsgáló', '2011-07-11 07:00:18'),
(1730, 'hu', 'seotools', 'Rank Reports', '\\\"Rang\\\" Jelentések', '2011-07-11 07:00:18'),
(1731, 'hu', 'seotools', 'rank-checker', 'Alexa és Pagerank', '2011-07-11 07:00:18'),
(1732, 'hu', 'seotools', 'Saturation Reports', 'Indexelésről Jelentések', '2011-07-11 07:00:18'),
(1733, 'hu', 'seotools', 'saturation-checker', 'Indexelt Oldalak ', '2011-07-11 07:00:18'),
(1734, 'hu', 'seotools', 'sitemap-generator', 'Oldaltérkép Készítése', '2011-07-11 07:00:18'),
(1735, 'hu', 'seotools', 'Skipped Directories', 'Kihagyott Katalógusok', '2011-07-11 07:00:18'),
(1736, 'hu', 'seotools', 'Submission Reports', 'Jelentés a Linkbeküldésekről', '2011-07-11 07:00:18'),
(1737, 'hu', 'seotools', 'User Access', 'Hozzáférés', '2011-07-11 07:00:18'),
(1738, 'hu', 'settings', 'Click here to become a sponsor for Seo Panel', '<b>Támogasd $100-al</b> a Seo Panlelt és válj <b>Támogatóvá</b>.', '2013-02-05 19:25:44'),
(1739, 'hu', 'settings', 'seopanel_description', 'Egy teljesen ingyenes eszköz mely nagy mértékben megkönnyíti a keresőoptimalizálást. Egyszerre több népszerű Seo eszközt foglal magában, hogy Weblapjából a maximumot hozhassa ki. Nyílt forráskódú ezért Ön is fejleszthet hozzá különböző Seo Kiegészítőket.', '2013-02-05 19:25:44'),
(1740, 'hu', 'settings', 'seopanel_title', 'Seo Panel: A világ első nyílt forráskódú Keresőoptimalizáló \\\"Panel\\\"-je. ', '2013-02-05 19:25:44'),
(1741, 'hu', 'settings', 'SP_CRAWL_DELAY', 'Várakozás a lekérdezések között(másodperc)', '2013-02-05 19:25:44'),
(1742, 'hu', 'settings', 'SP_DEFAULTLANG', 'Alapértelmezett Nyelv', '2013-02-05 19:25:44'),
(1743, 'hu', 'settings', 'SP_DESCRIPTION', 'Seo Panel Leírás', '2013-02-05 19:25:44'),
(1744, 'hu', 'settings', 'SP_ENABLE_PROXY', 'Proxy Engedélyezése', '2013-02-05 19:25:44'),
(1745, 'hu', 'settings', 'SP_HOTLINKING', 'Képek \\\"hotlink\\\" védelmének engedélyezése', '2013-02-05 19:25:44'),
(1746, 'hu', 'settings', 'SP_KEYWORDS', 'Seo Panel Kulcsszavak', '2013-02-05 19:25:44'),
(1747, 'hu', 'settings', 'SP_PAGINGNO', 'Bejegyzések száma oldalanként', '2013-02-05 19:25:44'),
(1748, 'hu', 'settings', 'SP_TITLE', 'Seo Panel Cím', '2013-02-05 19:25:44'),
(1749, 'hu', 'settings', 'SP_USER_GEN_REPORT', 'Felhasználók készíthetnek-e jelentéseket', '2013-02-05 19:25:44'),
(1750, 'hu', 'settings', 'SP_USER_REGISTRATION', 'Regisztráció engedélyezése', '2013-02-05 19:25:44'),
(1751, 'hu', 'settings', 'syssettingssaved', 'A Beállításokat sikeresen elmentettük!', '2013-02-05 19:25:44'),
(1752, 'hu', 'sitemap', 'Change frequency', 'Frissítés gyakorisága', '2010-10-10 23:31:58'),
(1753, 'hu', 'sitemap', 'clickproceedsitemap', 'Kattints az <b>Elküldés</b> feliratra, hogy az oldaltérképed elkészüljön', '2010-10-10 23:31:58'),
(1754, 'hu', 'sitemap', 'Download sitemap file from', 'Oldaltérkép letöltése', '2010-10-10 23:31:58'),
(1755, 'hu', 'sitemap', 'Exclude Url', 'Kihagyandó URL-ek', '2010-10-10 23:31:58'),
(1756, 'hu', 'sitemap', 'processtaketime', 'Az oldaltérkép elkészítése eltarthat egy ideig, attól függően, hogy az oldalán mennyi link található. Kérem várjon...', '2010-10-10 23:31:58'),
(1757, 'hu', 'sitemap', 'Sitemap Type', 'Oldaltérkép típusa', '2010-10-10 23:31:58'),
(1758, 'hu', 'user', 'Edit User', 'Felhasználó szerkesztése', '2010-10-10 23:35:28'),
(1759, 'hu', 'user', 'Saved My Profile Details', 'A változtatásokat elmentettük', '2010-10-10 23:35:28'),
(1760, 'hu', 'website', 'Edit Website', 'Weboldal Szerkesztése', '2010-10-11 22:15:03'),
(1761, 'hu', 'website', 'plscrtwebsite', 'Kérem először adjon meg egy weboldalt mielőtt elkezdi használni a Seo eszközöket és beépülőket.', '2010-10-11 22:15:03'),
(1762, 'hu', 'website', 'Website already exist', 'Ez a Weboldal már megtalálható az adatbázisunkban.', '2010-10-11 22:15:03'),
(1763, 'hu', 'website', 'yourwebalreday', 'Weboldalad, ha már legalább egyet megadtál.', '2010-10-11 22:15:03'),
(1764, 'it', 'website', 'Edit Website', 'Modifica sito web', '2018-08-21 07:27:14'),
(1765, 'it', 'website', 'plscrtwebsite', 'Per cortesia crea il sito web proma di utilizzareo gli strumenti seo e i plugin seo.', '2018-08-21 07:27:14'),
(1766, 'it', 'website', 'Website already exist', 'Sito web già esistente', '2018-08-21 07:27:14'),
(1767, 'it', 'website', 'yourwebalreday', 'il tuo sito web se ne hai già creato uno.', '2018-08-21 07:27:14'),
(1768, 'it', 'user', 'Edit User', 'Modifica utente', '2018-08-21 07:25:45'),
(1769, 'it', 'user', 'Saved My Profile Details', 'Salva i miei dettagli del profilo', '2018-08-21 07:25:45'),
(1770, 'it', 'sitemap', 'Change frequency', 'Frequenza di aggiornamento', '2010-10-11 03:23:32'),
(1771, 'it', 'sitemap', 'clickproceedsitemap', 'Clicca su <b>Procedi</b> per creare il file sitemap', '2010-10-11 03:23:32'),
(1772, 'it', 'sitemap', 'Download sitemap file from', 'Scarica file sitemap da', '2010-10-11 03:23:32'),
(1773, 'it', 'sitemap', 'Exclude Url', 'Url da escludere', '2010-10-11 03:23:32'),
(1774, 'it', 'sitemap', 'processtaketime', 'Questo processo durerà in base al numero di link presenti nel tuo sito. Per cortesia aspetta per la sitemap.', '2010-10-11 03:23:32'),
(1775, 'it', 'sitemap', 'Sitemap Type', 'Tipo sitemap', '2010-10-11 03:23:32'),
(1776, 'it', 'login', 'Confirm Password', 'Conferma password', '2018-08-21 07:07:40'),
(1777, 'it', 'login', 'Create my account', 'Crea il mio account', '2018-08-21 07:07:40'),
(1778, 'it', 'login', 'Create New Account', 'Crea nuovo account', '2018-08-21 07:07:40'),
(1779, 'it', 'login', 'Email', 'Email', '2018-08-21 07:07:40'),
(1780, 'it', 'login', 'emailexist', 'La mail esiste già!', '2018-08-21 07:07:40'),
(1781, 'it', 'login', 'Enter the code as it is shown', 'Inserisci il codice mostrato', '2018-08-21 07:07:40'),
(1782, 'it', 'login', 'First Name', 'Nome', '2018-08-21 07:07:40'),
(1783, 'it', 'login', 'Last Name', 'Cognome', '2018-08-21 07:07:40'),
(1784, 'it', 'login', 'Login', 'Login', '2018-08-21 07:07:40'),
(1785, 'it', 'login', 'Login incorrect', 'Login errato', '2018-08-21 07:07:40'),
(1786, 'it', 'login', 'newaccountsuccess', 'Nuovo account creato con successo!', '2018-08-21 07:07:40'),
(1787, 'it', 'login', 'Password', 'Password', '2018-08-21 07:07:40'),
(1788, 'it', 'login', 'Password incorrect', 'Password non corretta', '2018-08-21 07:07:40'),
(1789, 'it', 'login', 'Register', 'Registrati', '2018-08-21 07:07:40'),
(1790, 'it', 'login', 'Sign in to your account', 'Collegati con il tuo account', '2018-08-21 07:07:40'),
(1791, 'it', 'login', 'User inactive', 'Utente inattivo', '2018-08-21 07:07:40'),
(1792, 'it', 'login', 'Username', 'Nome utente', '2018-08-21 07:07:40'),
(1793, 'it', 'login', 'usernameexist', 'Nome utente già esistente!', '2018-08-21 07:07:40'),
(1846, 'nl', 'common', 'Name', 'Naam', '2019-05-25 18:06:08'),
(1847, 'nl', 'common', 'No Keywords Found', 'Geen Zoekwoorden gevonden', '2019-05-25 18:06:08'),
(1848, 'nl', 'common', 'No Records Found', 'Geen Rapporten Gevonden', '2019-05-25 18:06:08'),
(1849, 'nl', 'common', 'noactivetools', 'Geen actieve Seo Tools gevonden!', '2019-05-25 18:06:08'),
(1850, 'nl', 'common', 'nowebsites', 'Geen Websites gevonden', '2019-05-25 18:06:08'),
(1851, 'nl', 'common', 'password632', 'Het wachtwoord moet 6 tot 32 tekens lang zijn', '2019-05-25 18:06:08'),
(1852, 'nl', 'common', 'passwordnotmatch', 'De opgegeven wachtwoorden komen niet overeen', '2019-05-25 18:06:08'),
(1853, 'nl', 'common', 'Period', 'Periode', '2019-05-25 18:06:08'),
(1854, 'nl', 'common', 'Priority', 'Prioriteit', '2019-05-25 18:06:08'),
(1855, 'nl', 'common', 'Reports', 'Rapporten', '2019-05-25 18:06:08'),
(1856, 'nl', 'common', 'Results', 'Resultaten', '2019-05-25 18:06:08'),
(1857, 'nl', 'common', 'Search Engine', 'Zoekmachine', '2019-05-25 18:06:08'),
(1858, 'nl', 'common', 'Seo Plugins', 'Seo Plugins', '2019-05-25 18:06:08'),
(1859, 'nl', 'common', 'Seo Tools', 'Seo Tools', '2019-05-25 18:06:08'),
(1860, 'nl', 'common', 'Sign out', 'Uitloggen', '2019-05-25 18:06:08'),
(1861, 'nl', 'common', 'Sign Up', 'Registreren', '2019-05-25 18:06:08'),
(1862, 'nl', 'common', 'signin', 'Inloggen', '2019-05-25 18:06:08'),
(1863, 'nl', 'common', 'Status', 'Status', '2019-05-25 18:06:08'),
(1864, 'nl', 'common', 'Support', 'Support', '2019-05-25 18:06:08'),
(1865, 'nl', 'common', 'Url', 'URL', '2019-05-25 18:06:08'),
(1866, 'nl', 'common', 'User', 'Gebruiker', '2019-05-25 18:06:08'),
(1867, 'nl', 'common', 'User Panel', 'Gebruiker Instellingen', '2019-05-25 18:06:08'),
(1868, 'nl', 'common', 'Website', 'Website', '2019-05-25 18:06:08'),
(1869, 'nl', 'directory', 'Add back to directory list', 'Toevoegen aan de directory lijst', '2014-01-07 21:36:56'),
(1870, 'nl', 'directory', 'Approved', 'Goedgekeurd', '2014-01-07 21:36:56'),
(1871, 'nl', 'directory', 'Captcha', 'Captcha', '2014-01-07 21:36:56'),
(1872, 'nl', 'directory', 'categorynote', 'Categorieën, gescheiden door komma\'s in volgorde van belangrijkheid. Start met de meest relevante categorie.', '2014-01-07 21:36:56'),
(1873, 'nl', 'directory', 'Check Directory Status', 'Controleer Directory Status', '2014-01-07 21:36:56'),
(1874, 'nl', 'directory', 'Check Directory Submission Status', 'Controleer Directory Inschrijving Status', '2014-01-07 21:36:56'),
(1875, 'nl', 'directory', 'clicktoproceeddirsts', 'Klik op <b>ga verder</b> om de directory status te controleren.', '2014-01-07 21:36:56'),
(1876, 'nl', 'directory', 'Confirmation', 'Bevestiging', '2014-01-07 21:36:56'),
(1877, 'nl', 'directory', 'desnote', 'Sommige directory\'s vereisen ten minste 150 karakters als beschrijving.', '2014-01-07 21:36:56'),
(1878, 'nl', 'directory', 'Directories with out captcha', 'Directory\'s zonder captcha', '2014-01-07 21:36:56'),
(1879, 'nl', 'directory', 'Directory Submission Reports', 'Directory Inschrijving Rapporten', '2014-01-07 21:36:56'),
(1880, 'nl', 'directory', 'Enter the code shown', 'Voer de getoonde code in', '2014-01-07 21:36:56'),
(1881, 'nl', 'directory', 'nocatnote', 'De gevraagde categorie bestaat niet in deze map. Klik <b>Vernieuwen</b> of <b>Overslaan</b>.', '2014-01-07 21:36:56'),
(1882, 'nl', 'directory', 'nodirnote', 'Geen <b>actieve</b> directory\'s gevonden.', '2014-01-07 21:36:56'),
(1883, 'nl', 'directory', 'nosuccessnote', 'Geen bevestiging ontvangen - Controleer uw e-mail voor een bevestigingsmail.', '2014-01-07 21:36:56'),
(1884, 'nl', 'directory', 'optionalnote', 'Optioneel kunt u verschillende beschrijvingen en titels toevoegen voor wisselende beschrijvingen en titels in de directory\'s. Dit om betere resultaten te krijgen.', '2014-01-07 21:36:56'),
(1885, 'nl', 'directory', 'Owner Email', 'Eigenaar E-mail', '2014-01-07 21:36:56'),
(1886, 'nl', 'directory', 'Owner Name', 'Eigenaar Naam', '2014-01-07 21:36:56'),
(1887, 'nl', 'directory', 'Pending', 'In afwachting', '2014-01-07 21:36:56'),
(1888, 'nl', 'directory', 'Please select a website to proceed', 'Selecteer een website om verder te gaan', '2014-01-07 21:36:56'),
(1889, 'nl', 'directory', 'selectwebsiteproceed', 'Selecteer een <b>Website</b> om te <b>starten</b> met de directory inschrijvingen.<br>Zet een vinkje bij <b>Directory\'s zonder captcha</b> om directory\'s met Captcha over te slaan.', '2014-01-07 21:36:56'),
(1890, 'nl', 'directory', 'selectwebsiteschecksub', 'Selecteer een <b>Website</b> om te <b>starten</b> met de controle van de directory inschrijvingen', '2014-01-07 21:36:56'),
(1891, 'nl', 'directory', 'Semi Automatic Directory Submission Tool', 'Semi-Automatische Directory Inschrijf Tool', '2014-01-07 21:36:56'),
(1892, 'nl', 'directory', 'spamemailnote', 'Sommige directory\'s versturen SPAM, wij raden aan niet uw primaire e-mail adres te gebruiken, maar een apart e-mail adres.', '2014-01-07 21:36:56'),
(1893, 'nl', 'directory', 'Submission Details', 'Registratie details', '2014-01-07 21:36:56'),
(1894, 'nl', 'directory', 'Submit Description', 'Omschrijving website ', '2014-01-07 21:36:56'),
(1895, 'nl', 'directory', 'Submit Keywords', 'Zoekwoorden  ', '2014-01-07 21:36:56'),
(1896, 'nl', 'directory', 'Submit Title', 'Titel ', '2014-01-07 21:36:56'),
(1897, 'nl', 'directory', 'Website Category', 'Website Categorie', '2014-01-07 21:36:56'),
(1898, 'nl', 'directory', 'Website Url', 'Website URL', '2014-01-07 21:36:56'),
(1899, 'nl', 'home', 'Account Summary', 'Overzicht accounts', '2011-07-05 21:52:28'),
(1900, 'nl', 'home', 'Backlinks', 'Backlinks', '2011-07-05 21:52:28'),
(1901, 'nl', 'home', 'Directory Submission', 'Directory Inschrijving', '2011-07-05 21:52:28'),
(1902, 'nl', 'home', 'home_cont1', '<h1 style=\\\"text-align: center;margin-bottom: 30px;font-size: 19px;\\\">Welkom bij Seo Panel - \\\'s Werelds eerste Seo bedieningspaneel voor meerdere Websites</h1>\r\n        <p>\r\n            Een compleet <b>Open Source Seo bedieningspaneel</b> voor <b>zoekmachine optimalisering</b> van uw websites.\r\n           Seo Panel is in feite een <b>Seo Tool Kit</b> met de belangrijkste functies om de <b>zoekmachine optimalisering</b> van uw websites te\r\n<b>observeren en te verbeteren</b>.\r\n            Dit is <b>Gratis Software</b> vrijgegeven onder de <b>GNU GENERAL PUBLIC LICENSE</b>.\r\n            De kracht van Seo Panel ligt in de <b>uitbreidingsmogelijkheden</b>; door gebruik te maken van de <a href=\\\"<?=SP_PLUGINSITE?>\\\"\r\ntarget=\\\"_blank\\\">Seo Plugins</a>.\r\n            Iedereen kan eenvoudig nieuwe <b>plugins ontwikkelen en installeren</b> voor Seo Panel.\r\n        </p>\r\n        <p></p>\r\n        <p>\r\n            Deze Open Source software werd <b>januari 2010 uitgegeven</b>.\r\n			In een <b>korte periode</b> zijn er <b>duizenden webmasters</b> die deze software gebruiken om hun websites te <b>optimaliseren</b>. \r\n			Probeer Seo Panel zelf en <b>maak kennis</b> met het platform en alle seo gerelateerde functionaliteit.\r\n        </p>', '2011-07-05 21:52:28'),
(1903, 'nl', 'home', 'home_cont2', '<fieldset>\r\n<legend>Hoofd functionaliteiten van Seo Panel <?=SP_INSTALLED?></legend>\r\n<ul class=\\\"infobox\\\">\r\n    <li>        \r\n        <h1>Automatische Directory Inschrijving Tool</h1>\r\n		<p>\r\n			De automatische directory inschrijving tool geeft <b>toegang naar veel gratis en betaalde web-directories</b>. Daarnaast kan de <b>status van elke inschrijving periodiek worden gecontroleerd</b>; met behulp van het <b>Controleer Status Inschrijving script</b>. De <b>Directory Manager</b> helpt aan te tonen in<b>welke directory uw domein actief is en welke niet</b>.\r\n			\r\n		</p>\r\n    </li>\r\n    <li>        \r\n        <h1>Posities van Zoekwoorden</h1>\r\n		<p>\r\n			U kunt de <b>zoekmachine posities</b> van <b>de betreffende zoekwoorden</b> die u heeft toegewezen aan de websites <b>opslaan</b> in het systeem.\r\n			Zo kunt u de <b>dagelijkse posities</b> van zoekwoorden van verschillende zoekmachines <b>gedetailleerd</b> en in <b>grafieken</b> weergeven.			\r\n		</p>\r\n    </li>\r\n    <li>         \r\n        <h1>Site Auditor</h1> \r\n        <p>Site Auditor zal <b>alle SEO factoren controleren</b> van iedere pagina van een site en geeft een \r\n<b>gedetailleerd rapport</b> over iedere pagina. Dit helpt ons om <b>XML,HTML,TEXT</b> sitemap bestanden van de website om <b>toe te voegen</b> aan zoekmachines.</p> \r\n    </li> \r\n    <li>        \r\n    <li>        \r\n        <h1>Sitemap Generator</h1>\r\n		<p>Genereert <b>XML,HTML,TEXT</b> sitemap bestanden voor alle websites. Vervolgens kunt u de bestanden aanbieden aan de zoekmachines.\r\n    </li>\r\n    <li>        \r\n        <h1>Google en Alexa Rank Controle</h1>\r\n		<p>\r\n		Met deze functionaliteit controleert u de <b>Google Pagerank</b> en <b>Alexa Rank</b> van de websites en slaat de gegevens op in het systeem.\r\n		In de <b>Rank Controle</b> sectie, kunnen we dagelijks de <b>Google en Alexa Rank</b> van elke website zien met <b>gedetailleerde informatie</b>.\r\n		</p>\r\n    </li>\r\n    <li>        \r\n        <h1>Backlink Controle</h1>\r\n		<p>\r\n		De Backlink Controle vindt het <b>aantal Backlinks</b> naar de website in de verschillende zoekmachines <b>(google,yahoo,msn etc)</b> en slaat de gegevens op in het systeem.\r\n			<br>\r\n			In de <b>backlink Rapporten</b> sectie, kunnen we de <b>dagelijkse</b> backlink tellingen zien van elke website met <b>gedetailleerde informatie</b>.\r\n		</p>\r\n    </li>    \r\n    <li>        \r\n        <h1>Zoekmachine Verzadiging Controle</h1>\r\n		<p>\r\n		Zoekmachine Verzadiging Controle vindt het <b>aantal geïndexeerde pagina\\\'s</b> van de websites in de verschillende zoekmachines <b>(Google, Yahoo, MSN enz)</b> en slaat deze op in het systeem. In de <b>Zoekmachine Verzadiging Controle rapporten</b> sectie, kunnen we de <b>dagelijks</b> geïndexeerde pagina tellingen terugvinden van elke website met <b>gedetailleerde informatie</b>.\r\n			</p>\r\n    </li>\r\n    <li>        \r\n        <h1>Seo Panel Plugins</h1>\r\n        <p>\r\n		Het <b>belangrijkste kenmerk</b> van Seo Panel is de <b>uitbreidingsmogelijkheid</b>. Voeg <b>Seo plugins</b> toe om uw Seo panel <b>functies uit te breiden</b> volgens uw behoefte. <a href=\\\"<?=SP_PLUGINSITE?>\\\" target=\\\"_blank\\\">Seo panel plugins</a> worden geleverd door zowel Seo panel en sites van derden. U kunt zelf ook makkelijk Seo plugins <b>ontwikkelen</b> voor Seo Panel. U kunt uw Seo plugin <a href=\\\"<?=SP_PLUGINSITE?>\\\" target=\\\"_blank\\\">doorsturen naar Seo Panel</a>. Na deze <b>getest</b> te hebben zullen wij deze vervolgens op de Seo Panel website plubliceren!\r\n        </p>\r\n    </li>\r\n    <li>        \r\n        <h1>Meta Tag Generator</h1>\r\n		<p>\r\n		Meta Tag generator is een <b>Seo Panel Plugin</b> voor het maken van aangepaste <b>Meta Tags</b> voor uw websites. Het helpt u om <b>meer informatie</b> over uw website te geven aan de <b>spiderbots van de zoekmachines</b> terwijl zij de website doorlopen.\r\n		\r\n		</p>\r\n    </li>\r\n</ul>\r\n</fieldset>', '2011-07-05 21:52:28');
INSERT INTO `texts` (`id`, `lang_code`, `category`, `label`, `content`, `changed`) VALUES
(1904, 'nl', 'home', 'home_cont3', '<fieldset>\r\n<legend>Seo Panel Online Hulpbronnen</legend>    \r\n<ul class=\\\"infobox\\\">\r\n\r\n    <li>\r\n        <h1>Seo Panel Online Hulpbronnen ter Referentie</h1>                \r\n        \r\n        \r\n        <p>\r\n            <a href=\\\"http://www.seopanel.in\\\" target=\\\"_blank\\\">Officiële Seo Panel Website</a>\r\n        </p>\r\n        <p>\r\n            <a href=\\\"<?=SP_DOWNLOAD_LINK?>\\\" target=\\\"_blank\\\">Seo Panel Downloaden</a>\r\n        </p>\r\n        \r\n        <p>\r\n            <a href=\\\"<?=SP_DEMO_LINK?>\\\" target=\\\"_blank\\\">Seo Panel Demo</a>\r\n        </p>\r\n        \r\n        <p>\r\n            <a href=\\\"<?=SP_CONTACT_LINK?>\\\" target=\\\"_blank\\\">Seo Panel Contact</a>\r\n        </p>\r\n        \r\n        <p>\r\n            <a href=\\\"<?=SP_HELP_LINK?>\\\" target=\\\"_blank\\\">Seo Panel Helpdesk</a>\r\n        </p>\r\n        \r\n        <p>\r\n            <a href=\\\"<?=SP_FORUM_LINK?>\\\" target=\\\"_blank\\\">Seo Panel Forum</a>\r\n        </p>\r\n        \r\n        <p>\r\n            <a href=\\\"<?=SP_SUPPORT_LINK?>\\\" target=\\\"_blank\\\">Seo Panel Support Systeem</a>\r\n        </p>\r\n        \r\n        <p>\r\n            <a href=\\\"<?=SP_DONATE_LINK?>\\\" target=\\\"_blank\\\">Seo Panel Donatie</a>\r\n        </p>\r\n    </li>\r\n    \r\n</ul>\r\n</fieldset>', '2011-07-05 21:52:28'),
(1905, 'nl', 'home', 'Pages Indexed', 'Geïndexeerde pagina\\\'s', '2011-07-05 21:52:28'),
(1906, 'nl', 'home', 'Ranks', 'Ranks', '2011-07-05 21:52:28'),
(1907, 'nl', 'home', 'SiteNameUrl', 'Website Naam / URL', '2011-07-05 21:52:28'),
(1908, 'nl', 'home', 'Website Statistics', 'Website Statistieken', '2011-07-05 21:52:28'),
(1909, 'nl', 'keyword', 'Crawling keyword', 'Zoekwoord aan het controleren', '2011-07-05 21:54:33'),
(1910, 'nl', 'keyword', 'Detailed Keyword Position Reports', 'Gedetailleerd Zoekwoord Positie Rapporten', '2011-07-05 21:54:33'),
(1911, 'nl', 'keyword', 'Edit Keyword', 'Wijzig Zoekwoord', '2011-07-05 21:54:33'),
(1912, 'nl', 'keyword', 'Graphical Keyword Position Reports', 'Grafische Zoekwoord Positie Rapporten ', '2011-07-05 21:54:33'),
(1913, 'nl', 'keyword', 'Import Keywords', 'Zoekwoorden importeren', '2011-07-05 21:54:33'),
(1914, 'nl', 'keyword', 'Keyword already exist', 'Zoekwoord bestaat al', '2011-07-05 21:54:33'),
(1915, 'nl', 'keyword', 'Keyword Position Report', 'Zoekwoord Positie Rapport', '2011-07-05 21:54:33'),
(1916, 'nl', 'keyword', 'New Keyword', 'Nieuw Zoekwoord', '2011-07-05 21:54:33'),
(1917, 'nl', 'keyword', 'not assigned to required search engines', 'niet vertegenwoordigd in relevante zoekmachines', '2011-07-05 21:54:33'),
(1918, 'nl', 'keyword', 'pleaseselecttool', 'Selecteer minstens één Seo Tool', '2011-07-05 21:54:33'),
(1919, 'nl', 'keyword', 'Quick Keyword Position Checker', 'Snelle Zoekwoord Positie controle', '2011-07-05 21:54:33'),
(1920, 'nl', 'keyword', 'results from ', 'Resultaten van', '2011-07-05 21:54:33'),
(1921, 'nl', 'keyword', 'Show All results', 'Alle resultaten weergeven', '2011-07-05 21:54:33'),
(1922, 'nl', 'keyword', 'Successfully crawled keyword', 'Zoekwoord succesvol getest', '2011-07-05 21:54:33'),
(1923, 'nl', 'keyword', 'to create new keywords', 'om nieuwe zoekwoorden te maken', '2011-07-05 21:54:33'),
(1924, 'nl', 'label', 'already exist', 'bestaat al', '2014-01-07 21:37:43'),
(1925, 'nl', 'label', 'Authentication', 'Authenticatie', '2014-01-07 21:37:43'),
(1926, 'nl', 'label', 'Author', 'Auteur', '2014-01-07 21:37:43'),
(1927, 'nl', 'label', 'Click Here', 'Hier klikken', '2014-01-07 21:37:43'),
(1928, 'nl', 'label', 'Cron', 'Cronjob', '2014-01-07 21:37:43'),
(1929, 'nl', 'label', 'Description', 'Beschrijving', '2014-01-07 21:37:43'),
(1930, 'nl', 'label', 'Developers', 'Ontwikkelaars', '2014-01-07 21:37:43'),
(1931, 'nl', 'label', 'Download', 'Download', '2014-01-07 21:37:43'),
(1932, 'nl', 'label', 'Installation', 'Installatie', '2014-01-07 21:37:43'),
(1933, 'nl', 'label', 'Keywords', 'Zoekwoorden', '2014-01-07 21:37:43'),
(1934, 'nl', 'label', 'noactiveplugins', 'Geen actieve Seo plugins gevonden!', '2014-01-07 21:37:43'),
(1935, 'nl', 'label', 'Plugin', 'Plugin', '2014-01-07 21:37:43'),
(1936, 'nl', 'label', 'Port', 'Poort', '2014-01-07 21:37:43'),
(1937, 'nl', 'label', 'Proxy', 'Proxy', '2014-01-07 21:37:43'),
(1938, 'nl', 'label', 'Re-install', 'Opnieuw installeren', '2014-01-07 21:37:43'),
(1939, 'nl', 'label', 'Sponsors', 'Sponsors', '2014-01-07 21:37:43'),
(1940, 'nl', 'label', 'Title', 'Titel', '2014-01-07 21:37:43'),
(1941, 'nl', 'label', 'translation by', 'vertaald door', '2014-01-07 21:37:43'),
(1942, 'nl', 'label', 'Translators', 'Vertalers', '2014-01-07 21:37:43'),
(1943, 'nl', 'label', 'Upgrade', 'Updaten', '2014-01-07 21:37:43'),
(1944, 'nl', 'label', 'Version', 'Versie', '2014-01-07 21:37:43'),
(1945, 'nl', 'login', 'Confirm Password', 'Bevestig wachtwoord', '2014-01-07 21:45:36'),
(1946, 'nl', 'login', 'Create my account', 'Maak mijn account', '2014-01-07 21:45:36'),
(1947, 'nl', 'login', 'Create New Account', 'Maak nieuwe account', '2014-01-07 21:45:36'),
(1948, 'nl', 'login', 'Email', 'E-mail', '2014-01-07 21:45:36'),
(1949, 'nl', 'login', 'emailexist', 'E-mail bestaat al!', '2014-01-07 21:45:36'),
(1950, 'nl', 'login', 'Enter the code as it is shown', 'Vul de afgebeelde code in', '2014-01-07 21:45:36'),
(1951, 'nl', 'login', 'First Name', 'Voornaam', '2014-01-07 21:45:36'),
(1952, 'nl', 'login', 'Last Name', 'Achternaam', '2014-01-07 21:45:36'),
(1953, 'nl', 'login', 'Login', 'Inloggen', '2014-01-07 21:45:36'),
(1954, 'nl', 'login', 'Login incorrect', 'Onjuiste inlog gegevens', '2014-01-07 21:45:36'),
(1955, 'nl', 'login', 'newaccountsuccess', 'Account succesvol geregistreerd!', '2014-01-07 21:45:36'),
(1956, 'nl', 'login', 'Password', 'Wachtwoord', '2014-01-07 21:45:36'),
(1957, 'nl', 'login', 'Password incorrect', 'Onjuist wachtwoord', '2014-01-07 21:45:36'),
(1958, 'nl', 'login', 'Register', 'Registreren', '2014-01-07 21:45:36'),
(1959, 'nl', 'login', 'Sign in to your account', 'Meld u aan bij uw account', '2014-01-07 21:45:36'),
(1960, 'nl', 'login', 'User inactive', 'Gebruiker inactief', '2014-01-07 21:45:36'),
(1961, 'nl', 'login', 'Username', 'Gebruikersnaam', '2014-01-07 21:45:36'),
(1962, 'nl', 'login', 'usernameexist', 'Gebruikersnaam bestaat al!', '2014-01-07 21:45:36'),
(1963, 'nl', 'panel', 'About Us', 'Over ons', '2014-01-07 21:46:33'),
(1964, 'nl', 'panel', 'Add following command to your cron tab', 'Voeg het volgende commando toe aan uw cronjob', '2014-01-07 21:46:33'),
(1965, 'nl', 'panel', 'alsocheckfollowlink', 'Klik op de onderstaande link, voor meer informatie. ', '2014-01-07 21:46:33'),
(1966, 'nl', 'panel', 'Check Directory', 'Controleer directory', '2014-01-07 21:46:33'),
(1967, 'nl', 'panel', 'Cron Command', 'Cronjob commando', '2014-01-07 21:46:33'),
(1968, 'nl', 'panel', 'Directory Manager', 'Directory Manager', '2014-01-07 21:46:33'),
(1969, 'nl', 'panel', 'Edit My Profile', 'Wijzig mijn profiel', '2014-01-07 21:46:33'),
(1970, 'nl', 'panel', 'My Profile', 'Mijn profiel', '2014-01-07 21:46:33'),
(1971, 'nl', 'panel', 'New Proxy', 'Nieuwe Proxy', '2014-01-07 21:46:33'),
(1972, 'nl', 'panel', 'New User', 'Nieuwe gebruiker', '2014-01-07 21:46:33'),
(1973, 'nl', 'panel', 'New Website', 'Nieuwe Website', '2014-01-07 21:46:33'),
(1974, 'nl', 'panel', 'Proxy Manager', 'Proxy Manager', '2014-01-07 21:46:33'),
(1975, 'nl', 'panel', 'Report Generation Manager', 'Rapporten Generatie Manager', '2014-01-07 21:46:33'),
(1976, 'nl', 'panel', 'Reports Manager', 'Rapporten Manager', '2014-01-07 21:46:33'),
(1977, 'nl', 'panel', 'Seo Plugins Manager', 'Seo Plugins Manager', '2014-01-07 21:46:33'),
(1978, 'nl', 'panel', 'Seo Tools Manager', 'Seo Tools Manager', '2014-01-07 21:46:33'),
(1979, 'nl', 'panel', 'System Settings', 'Systeem instellingen', '2014-01-07 21:46:33'),
(1980, 'nl', 'panel', 'User Manager', 'Gebuiker Manager', '2014-01-07 21:46:33'),
(1981, 'nl', 'panel', 'Website Manager', 'Website Manager', '2014-01-07 21:46:33'),
(1982, 'nl', 'plugin', 'Edit Seo Plugin', 'Wijzig Seo Plugin', '2012-05-19 08:28:08'),
(1983, 'nl', 'plugin', 'Plugin Name', 'Plugin Naam', '2012-05-19 08:28:08'),
(1984, 'nl', 'plugin', 'Seo Plugin Details', 'Seo Plugin Details', '2012-05-19 08:28:08'),
(1985, 'nl', 'proxy', 'Edit Proxy', 'Proxy wijzigen', '2014-01-07 21:48:32'),
(1986, 'nl', 'proxy', 'Proxy Password', 'Proxy wachtwoord', '2014-01-07 21:48:32'),
(1987, 'nl', 'proxy', 'Proxy Username', 'Proxy gebruikersnaam', '2014-01-07 21:48:32'),
(1988, 'nl', 'proxy', 'Proxyalreadyexist', 'Proxy bestaat al!', '2014-01-07 21:48:32'),
(1989, 'nl', 'rank', 'enterurlproceed', 'Geef één URL op <b>per regel</b>. Klik op <b>ga verder</b> om de Google en Alexa Rank te controleren.', '2010-10-27 04:25:36'),
(1990, 'nl', 'rank', 'Google and Alexa Rank Reports', 'Google en Alexa Positie rapporten', '2010-10-27 04:25:36'),
(1991, 'nl', 'rank', 'Saved rank results of', 'Rank resultaten opgeslagen voor', '2010-10-27 04:25:36'),
(1992, 'nl', 'saturation', 'clickproceedsaturation', 'Geef één URL op <b>per regel</b>. Klik op <b>ga verder</b> om Zoekmachine Verzadiging te controleren.', '2010-10-27 04:26:25'),
(1993, 'nl', 'saturation', 'GenerateSaturationReports', 'Genereer Zoekmachine Verzadiging Rapporten', '2010-10-27 04:26:25'),
(1994, 'nl', 'saturation', 'Quick Search Engine Saturation Checker', 'Snelle Zoekmachine Verzadiging Controle', '2010-10-27 04:26:25'),
(1995, 'nl', 'saturation', 'Saved Search Engine Saturation results of', 'Resultaten van zoekmachine verzadiging opgeslagen voor', '2010-10-27 04:26:25'),
(1996, 'nl', 'saturation', 'Search Engine Saturation Reports', 'Zoekmachine Verzadiging Rapporten', '2010-10-27 04:26:25'),
(1997, 'nl', 'seotools', 'Automatic Submission', 'Automatische Inschrijving', '2011-07-05 22:20:43'),
(1998, 'nl', 'seotools', 'backlink-checker', 'Backlink Controle', '2011-07-05 22:20:43'),
(1999, 'nl', 'seotools', 'Backlinks Reports', 'Backlink Rapporten', '2011-07-05 22:20:43'),
(2000, 'nl', 'seotools', 'Check Submission Status', 'Controleer Inschrijving Status', '2011-07-05 22:20:43'),
(2001, 'nl', 'seotools', 'clickgeneratereports', 'Klik op <b>ga verder</b> om rapporten te genereren.', '2011-07-05 22:20:43'),
(2002, 'nl', 'seotools', 'Detailed Position Reports', 'Zoekwoord Positie Rapporten', '2011-07-05 22:20:43'),
(2003, 'nl', 'seotools', 'directory-submission', 'Directory Inschrijving', '2011-07-05 22:20:43'),
(2004, 'nl', 'seotools', 'Featured Submission', 'Aanbevolen Inschrijving', '2011-07-05 22:20:43'),
(2005, 'nl', 'seotools', 'Generate Backlinks Reports', 'Genereer Backlink Rapporten', '2011-07-05 22:20:43'),
(2006, 'nl', 'seotools', 'Generate Keyword Reports', 'Genereer Zoekwoord Rapporten', '2011-07-05 22:20:43'),
(2007, 'nl', 'seotools', 'Generate Rank Reports', 'Genereer Rank Rapporten', '2011-07-05 22:20:43'),
(2008, 'nl', 'seotools', 'Generate Saturation Reports', 'Genereer Zoekmachine Verzadiging Rapporten', '2011-07-05 22:20:43'),
(2009, 'nl', 'seotools', 'Google Sitemap Generator', 'Google Sitemap Generator', '2011-07-05 22:20:43'),
(2010, 'nl', 'seotools', 'Graphical Position Reports', 'Grafische Positie Rapporten', '2011-07-05 22:20:43'),
(2011, 'nl', 'seotools', 'Keyword Position Summary', 'Overzicht Zoekwoord Posities', '2011-07-05 22:20:43'),
(2012, 'nl', 'seotools', 'keyword-position-checker', 'Posities van Zoekwoorden', '2011-07-05 22:20:43'),
(2013, 'nl', 'seotools', 'Keywords Manager', 'Zoekwoorden Manager', '2011-07-05 22:20:43'),
(2014, 'nl', 'seotools', 'Quick Backlinks Checker', 'Snelle Backlink Controle', '2011-07-05 22:20:43'),
(2015, 'nl', 'seotools', 'Quick Position Checker', 'Snelle Positie Controle', '2011-07-05 22:20:43'),
(2016, 'nl', 'seotools', 'Quick Rank Checker', 'Snelle Rank Controle', '2011-07-05 22:20:43'),
(2017, 'nl', 'seotools', 'Quick Saturation Checker', 'Snelle Zoekmachine Verzadiging Controle', '2011-07-05 22:20:43'),
(2018, 'nl', 'seotools', 'Rank Reports', 'Rank Rapporten', '2011-07-05 22:20:43'),
(2019, 'nl', 'seotools', 'rank-checker', 'Rank Controle', '2011-07-05 22:20:43'),
(2020, 'nl', 'seotools', 'Saturation Reports', 'Zoekmachine Verzadiging Rapporten', '2011-07-05 22:20:43'),
(2021, 'nl', 'seotools', 'saturation-checker', 'Zoekmachine Verzadiging', '2011-07-05 22:20:43'),
(2022, 'nl', 'seotools', 'sitemap-generator', 'Sitemap Generator', '2011-07-05 22:20:43'),
(2023, 'nl', 'seotools', 'Skipped Directories', 'Overgeslagen Directories', '2011-07-05 22:20:43'),
(2024, 'nl', 'seotools', 'Submission Reports', 'Inschrijving Rapporten', '2011-07-05 22:20:43'),
(2025, 'nl', 'seotools', 'User Access', 'Gebruikers toegang', '2011-07-05 22:20:43'),
(2026, 'nl', 'settings', 'Click here to become a sponsor for Seo Panel', '<b>Doneer $100</b> en wordt Seo Panel <b>Sponsor</b>.', '2014-01-07 21:51:05'),
(2027, 'nl', 'settings', 'SP_CRAWL_DELAY', 'Pauze tussen Crawl queries (in seconden)', '2014-01-07 21:51:05'),
(2028, 'nl', 'settings', 'SP_DEFAULTLANG', 'Standaard taal', '2014-01-07 21:51:05'),
(2029, 'nl', 'settings', 'SP_DESCRIPTION', 'Seo Panel Beschrijving', '2014-01-07 21:51:05'),
(2030, 'nl', 'settings', 'SP_ENABLE_PROXY', 'Proxy activeren', '2014-01-07 21:51:05'),
(2031, 'nl', 'settings', 'SP_HOTLINKING', 'Hotlink beveiliging voor grafieken', '2014-01-07 21:51:05'),
(2032, 'nl', 'settings', 'SP_KEYWORDS', 'Seo Panel Zoekwoorden', '2014-01-07 21:51:05'),
(2033, 'nl', 'settings', 'SP_PAGINGNO', 'Aantal records per pagina', '2014-01-07 21:51:05'),
(2034, 'nl', 'settings', 'SP_TITLE', 'Seo Panel Titel', '2014-01-07 21:51:05'),
(2035, 'nl', 'settings', 'SP_USER_GEN_REPORT', 'Gebruikers toestaan rapporten te genereren', '2014-01-07 21:51:05'),
(2036, 'nl', 'settings', 'SP_USER_REGISTRATION', 'Gebruiker registratie scherm', '2014-01-07 21:51:05'),
(2037, 'nl', 'settings', 'syssettingssaved', 'Systeemvoorkeuren succesvol opgeslagen!', '2014-01-07 21:51:05'),
(2038, 'nl', 'sitemap', 'Change frequency', 'Wijzigingsfrequentie', '2010-10-22 13:27:53'),
(2039, 'nl', 'sitemap', 'clickproceedsitemap', 'Klik op <b>ga verder</b> om een sitemap te maken.', '2010-10-22 13:27:53'),
(2040, 'nl', 'sitemap', 'Download sitemap file from', 'Download sitemap bestand van', '2010-10-22 13:27:53'),
(2041, 'nl', 'sitemap', 'Exclude Url', 'URL uitsluiten', '2010-10-22 13:27:53'),
(2042, 'nl', 'sitemap', 'processtaketime', 'Dit proces kan enige minuten duren afhankelijk van het aantal pagina\\\'s op de website. Een moment geduld a.u.b. ', '2010-10-22 13:27:53'),
(2043, 'nl', 'sitemap', 'Sitemap Type', 'Sitemap Type', '2010-10-22 13:27:53'),
(2044, 'nl', 'user', 'Edit User', 'Wijzig gebruiker', '2010-10-16 00:42:51'),
(2045, 'nl', 'user', 'Saved My Profile Details', 'Uw profiel gegevens zijn opgeslaan!', '2010-10-16 00:42:51'),
(2046, 'nl', 'website', 'Edit Website', 'Wijzig website', '2014-01-07 21:53:10'),
(2047, 'nl', 'website', 'plscrtwebsite', 'Voeg eerst een website toe om gebruik te maken van de Seo Tools en Seo Plugins.', '2014-01-07 21:53:10'),
(2048, 'nl', 'website', 'Website already exist', 'Website bestaat al', '2014-01-07 21:53:10'),
(2049, 'nl', 'website', 'yourwebalreday', 'uw website, indien u er al een gemaakt heeft.', '2014-01-07 21:53:10'),
(2050, 'nl', 'support', 'support_cont1', '<fieldset>\r\n<legend>Seo Panel Support Systeem</legend>\r\n<ul class=\\\"infobox\\\">\r\n	<li>\r\n		<h1>1000 Directories Pakket</h1> \r\n		<p>\r\n			Wij bieden een pakket aan met <b>1000 gratis, actieve en gecontroleerde </b> Directories, ter integratie in uw <b>Directory Inschrijving Tool</b>.\r\n			Dit zal helpen het aantal <b>backlinks</b> van uw eigen websites <b>aanzienlijk te verhogen</b>.\r\n			Wij bieden deze lijst momenteel aan om geld in te zamelen voor <b>de toekomstige ontwikkelingen</b> van Seo panel. \r\n			<a href=\\\"<?=SP_DONATE_LINK?>\\\" target=\\\"_blank\\\">Doneer</a> $10 of meer om Seo Panel verder te helpen ontwikkelen en verbeteren.\r\n			Als u vragen hebt over het 1000 directories pakket, neem dan gerust<a href=\\\"<?=SP_CONTACT_LINK?>\\\" target=\\\"_blank\\\">contact</a> op of open een ticket in het <a href=\\\"<?=SP_SUPPORT_LINK?>\\\" target=\\\"_blank\\\">support</a> systeem.\r\n		</p>		\r\n		<p>\r\n			<a href=\\\"<?=SP_DONATE_LINK?>\\\" target=\\\"_blank\\\">Klik hier om een donatie aan Seo Panel te doen.</a>\r\n		</p>\r\n		<br>\r\n	</li>\r\n	\r\n	<li>\r\n		<h1>Het Lokale Zoekmachine Pakket</h1> \r\n		<p>\r\n			Voeg <b>lokale zoekmachines</b> toe van google,yahoo en msn (<b>Bv.: www.google.nl, www.google.fr etc</b>) aan Seo Panel <b>Posities en Zoekwoorden</b>, om uw site performance lokaal te kunnen controleren. \r\n			Om het lokale zoekmachines pakket (op basis van uw behoefte) te ontvangen <a href=\\\"<?=SP_DONATE_LINK?>\\\" target=\\\"_blank\\\">doneert u</a> $10 of meer om de functies van SEO panel te verbeteren.\r\n			Neemt u voordat u doneert  <a href=\\\"<?=SP_CONTACT_LINK?>\\\" target=\\\"_blank\\\">contact</a> met ons op met een lijst van de gewenste lokale zoekmachine toevoegingen.\r\n			<br><br>			  \r\n			Om <b>nieuwe zoekmachines (bijvoorbeeld: baidu.com)</b> toe te voegen, neemt u <a href=\\\"<?=SP_CONTACT_LINK?>\\\" target=\\\"_blank\\\">contact</a> met ons op of opent u een ticket in het <a href=\\\"<?=SP_SUPPORT_LINK?>\\\" target=\\\"_blank\\\">Support System</a>. \r\n		</p>		\r\n		<p class=\\\"visit\\\">\r\n			<a href=\\\"<?=SP_CONTACT_LINK?>\\\" target=\\\"_blank\\\">Klik hier om contact op te nemen.</a>\r\n		</p>\r\n		<br>\r\n	</li>\r\n	\r\n	<li>\r\n		<h1>Seo Panel Plugins</h1> \r\n		<p>\r\n			Voeg <b>Seo plugins</b> toe om uw Seo panel <b>functies uit te breiden</b> volgens uw behoefte. <a href=\\\"<?=SP_PLUGINSITE?>\\\" target=\\\"_blank\\\">Seo panel plugins</a> worden geleverd door zowel Seo panel als sites van derden. U kunt zelf ook makkelijk Seo plugins <b>ontwikkelen</b> voor Seo Panel. U kunt uw Seo plugin <a href=\\\"<?=SP_PLUGINSITE?>\\\" target=\\\"_blank\\\">opsturen naar Seo Panel</a> en wij zullen deze vervolgens publiceren op onze website nadat wij deze <b>getest</b> hebben.\r\n			\r\n		</p>		\r\n		<p>\r\n			<a href=\\\"<?=SP_PLUGINSITE?>\\\" target=\\\"_blank\\\">Klik hier voor Seo Panel Plugins</a>\r\n		</p>\r\n		<br>\r\n	</li>	\r\n	<li>\r\n		<h1>Contact</h1> \r\n		<p>\r\n			Neem contact met ons op voor eventuele vragen over <b>Seo Panel Tools, Plugins, Functies, etc..</b> met behulp van de onderstaande link.\r\n		</p>		\r\n		<p>\r\n			<a href=\\\"<?=SP_CONTACT_LINK?>\\\" target=\\\"_blank\\\">Klik hier om contact op te nemen.</a>\r\n		</p>\r\n		<br>\r\n	</li>	\r\n	<li>\r\n		<h1>Support Tickets</h1> \r\n		<p>\r\n			Voor <b>technische Ondersteuning</b> van het Seo Panel Team voor het instellen van <b>Seo Panel tools, plugins en andere functies</b>. Bijvoorbeeld voor het instellen van een Cronjob.\r\n		</p>		\r\n		<p>\r\n			<a href=\\\"<?=SP_SUPPORT_LINK?>\\\" target=\\\"_blank\\\">Klik hier om een support ticket aan te maken.</a>\r\n		</p>\r\n		<br>\r\n	</li>	\r\n	<li>\r\n		<h1>Bugs rapporteren.</h1> \r\n		<p>\r\n		Help ons door <b>bugs</b> te rapporteren van <b>Seo Panel Tools, Plugins en Functies</b> met behulp van onderstaande link. \r\n		\r\n		</p>		\r\n		<p>\r\n			<a href=\\\"<?=SP_SUPPORT_LINK?>\\\" target=\\\"_blank\\\">Klik hier om bugs te rapporteren.</a>\r\n		</p>\r\n		<br>\r\n	</li>	\r\n</ul>\r\n</fieldset>\r\n', '2010-10-27 04:56:53'),
(2051, 'nl', 'support', 'support_cont2', '<fieldset>\r\n<legend>Seo Panel Online Naslag</legend>\r\n<ul class=\\\"infobox\\\">\r\n		\r\n	<li>\r\n		<h1>Seo Panel Hulp</h1> \r\n		<p>\r\n		U kunt de <a href=\\\"<?=SP_HELP_LINK?>\\\" target=\\\"_blank\\\">Seo panel documentatie</a> in de <b>hulp gids</b> vinden, het bevat de <b>documentatie</b> voor de Seo panel tools, plugins en aanverwante functies.\r\n		<br>Het is de beste plek op internet om <b>hulp</b> te krijgen voor Seo panel. We hopen dat u bijdraagt aan de SEO Panel \\\"hulp gids\\\", indien u fouten vindt of als er zaken ontbreken.\r\n		</p>\r\n		<p>\r\n			<a href=\\\"<?=SP_HELP_LINK?>\\\" target=\\\"_blank\\\">Klik hier om de hulp gids te bekijken.</a>\r\n		</p>\r\n		<br>\r\n	</li>	\r\n	<li>\r\n		<h1>Seo Panel Forum</h1> \r\n		<p>\r\n		De plek om te discussiëren over \\\'s werelds eerste open source <b>Seo bedieningspaneel</b>. Het is de beste plek om <b>antwoorden</b> te vinden op uw vragen over Seo Panel.\r\n		<br>Ook kunt u uw <b>ervaringen uitwisselen</b> tijdens het gebruik van Seo Panel voor het optimaliseren van uw websites.	          \r\n		</p>		\r\n		<p>\r\n			<a href=\\\"<?=SP_FORUM_LINK?>\\\" target=\\\"_blank\\\">Klik hier om naar het Seo Panel Forum te gaan.</a>\r\n		</p>\r\n		<br>\r\n	</li>\r\n</ul>	\r\n</fieldset>', '2010-10-27 04:56:53'),
(2052, 'nl', 'support', 'support_cont3', '<fieldset>\r\n<legend>Doneren voor Seo Panel</legend>\r\n<ul class=\\\"infobox\\\">		\r\n	<li>\r\n		<h1>Geef een donatie voor de verbetering van - \\\'s werelds eerste Open Source Seo Bedieningspaneel.</h1> \r\n		<p>\r\n			<b>Doneer</b> aan Seo Panel om de \\\'s werelds eerste Open Source Seo Software te ondersteunen.\r\n			\r\n			We zijn van plan om in de toekomst <b>nieuwe functies</b> toe te voegen en Seo Panel te <b>verbeteren</b>.<br>Alleen met uw steun kunnen we onze doelstellingen bereiken. Indien u vindt dat Seo panel voor u de moeite waard is, draag dan a.u.b. een steentje bij.\r\n			Zodra wij uw donatie hebben ontavngen zullen wij uw naam en website vernoemen op onze <a href=\\\"<?=SP_DONATE_LINK?>\\\" target=\\\"_blank\\\">donatie pagina</a>.\r\n			\r\n		</p>\r\n		<p>\r\n			<a href=\\\"<?=SP_DONATE_LINK?>\\\" target=\\\"_blank\\\">Klik hier om te doneren aan Seo Panel.</a>\r\n		</p>\r\n		<br>\r\n	</li>\r\n</ul>\r\n</fieldset>', '2010-10-27 04:56:53'),
(2054, 'nl', 'settings', 'seopanel_title', 'Seo Panel: \'s Werelds eerste open source Seo bedieningspaneel voor meerdere websites', '2014-01-07 21:51:05'),
(2055, 'it', 'keyword', 'Crawling keyword', 'Scansiona parole chiave', '2016-12-09 09:18:13'),
(2056, 'it', 'keyword', 'Detailed Keyword Position Reports', 'Dettagli report posizione keywords', '2016-12-09 09:18:13'),
(2057, 'it', 'keyword', 'Edit Keyword', 'Modifica keyword', '2016-12-09 09:18:13'),
(2058, 'it', 'keyword', 'Graphical Keyword Position Reports', 'Report grafico posizione keyword', '2016-12-09 09:18:13'),
(2059, 'it', 'keyword', 'Import Keywords', 'Importa keywords', '2016-12-09 09:18:13'),
(2060, 'it', 'keyword', 'Keyword already exist', 'Keyword già esistente', '2016-12-09 09:18:13'),
(2061, 'it', 'keyword', 'Keyword Position Report', 'Report posizione keyword', '2016-12-09 09:18:13'),
(2062, 'it', 'keyword', 'New Keyword', 'Nuova keyword', '2016-12-09 09:18:13'),
(2063, 'it', 'keyword', 'not assigned to required search engines', 'non assegnato ai motori di ricerca richiesti', '2016-12-09 09:18:13'),
(2064, 'it', 'keyword', 'pleaseselecttool', 'Per cortesia seleziona almeno uno strumento seo', '2016-12-09 09:18:13'),
(2065, 'it', 'keyword', 'Quick Keyword Position Checker', 'Verifica rapida posizione keyword', '2016-12-09 09:18:13'),
(2066, 'it', 'keyword', 'results from ', 'risultati da', '2016-12-09 09:18:13'),
(2067, 'it', 'keyword', 'Show All results', 'Mostra tutti i risultati', '2016-12-09 09:18:13'),
(2068, 'it', 'keyword', 'Successfully crawled keyword', 'Scansione keyword eseguita con successo', '2016-12-09 09:18:13'),
(2069, 'it', 'keyword', 'to create new keywords', 'per creare nuove keyword', '2016-12-09 09:18:13'),
(2070, 'it', 'label', 'already exist', 'già esiste', '2022-07-11 11:17:58'),
(2071, 'it', 'label', 'Authentication', 'Autenticazione', '2022-07-11 11:17:58'),
(2072, 'it', 'label', 'Author', 'Autore', '2022-07-11 11:17:58'),
(2073, 'it', 'label', 'Click Here', 'Clicca quì', '2022-07-11 11:17:58'),
(2074, 'it', 'label', 'Cron', 'Cron', '2022-07-11 11:17:58'),
(2075, 'it', 'label', 'Description', 'Descrizione', '2022-07-11 11:17:58'),
(2076, 'it', 'label', 'Developers', 'Sviluppatori', '2022-07-11 11:17:58'),
(2077, 'it', 'label', 'Download', 'Download', '2022-07-11 11:17:58'),
(2078, 'it', 'label', 'Installation', 'Installazione', '2022-07-11 11:17:58'),
(2079, 'it', 'label', 'Keywords', 'Keyword', '2022-07-11 11:17:58'),
(2080, 'it', 'label', 'noactiveplugins', 'Non è stato trovato alcun Plugin Seo attivo!', '2022-07-11 11:17:58'),
(2081, 'it', 'label', 'Plugin', 'Plugin', '2022-07-11 11:17:58'),
(2082, 'it', 'label', 'Port', 'Porta', '2022-07-11 11:17:58'),
(2083, 'it', 'label', 'Proxy', 'Proxy', '2022-07-11 11:17:58'),
(2084, 'it', 'label', 'Re-install', 'Re-installa', '2022-07-11 11:17:58'),
(2085, 'it', 'label', 'Sponsors', 'Sponsor', '2022-07-11 11:17:58'),
(2086, 'it', 'label', 'Title', 'Titolo', '2022-07-11 11:17:58'),
(2087, 'it', 'label', 'translation by', 'Tradotto da', '2022-07-11 11:17:58'),
(2088, 'it', 'label', 'Translators', 'Traduttori', '2022-07-11 11:17:58'),
(2089, 'it', 'label', 'Upgrade', 'Aggiornamento', '2022-07-11 11:17:58'),
(2090, 'it', 'label', 'Version', 'Versione', '2022-07-11 11:17:58'),
(2091, 'it', 'label', 'wantproceed', 'Vuoi procedere veramente?', '2022-07-11 11:17:58'),
(2092, 'it', 'panel', 'About Us', 'Su di noi', '2022-07-11 11:20:07'),
(2093, 'it', 'panel', 'Add following command to your cron tab', 'Aggiungi i seguenti comandi alle tue azioni pianificate', '2022-07-11 11:20:07'),
(2094, 'it', 'panel', 'alsocheckfollowlink', 'Verificare anche se i seguenti link necessitano di maggiori dettagli.', '2022-07-11 11:20:07'),
(2095, 'it', 'panel', 'Check Directory', 'Verifica directory', '2022-07-11 11:20:07'),
(2096, 'it', 'panel', 'Cron Command', 'Comando azione pianificata', '2022-07-11 11:20:07'),
(2097, 'it', 'panel', 'Directory Manager', 'Gestione directory', '2022-07-11 11:20:07'),
(2098, 'it', 'panel', 'Edit My Profile', 'Modifica il mio profilo', '2022-07-11 11:20:07'),
(2099, 'it', 'panel', 'My Profile', 'Mio profilo', '2022-07-11 11:20:07'),
(2100, 'it', 'panel', 'New Proxy', 'Nuovo proxy', '2022-07-11 11:20:07'),
(2101, 'it', 'panel', 'New User', 'Nuovo utente', '2022-07-11 11:20:07'),
(2102, 'it', 'panel', 'New Website', 'Nuovo sito web', '2022-07-11 11:20:07'),
(2103, 'it', 'panel', 'Proxy Manager', 'Gestione proxy', '2022-07-11 11:20:07'),
(2104, 'it', 'panel', 'Report Generation Manager', 'Gestione generazione report', '2022-07-11 11:20:07'),
(2105, 'it', 'panel', 'Reports Manager', 'Gestione report', '2022-07-11 11:20:07'),
(2106, 'it', 'panel', 'Seo Plugins Manager', 'Gestione plugin seo', '2022-07-11 11:20:07'),
(2107, 'it', 'panel', 'Seo Tools Manager', 'Gestione strumenti seo', '2022-07-11 11:20:07'),
(2108, 'it', 'panel', 'System Settings', 'Impostazioni di sistema', '2022-07-11 11:20:07'),
(2109, 'it', 'panel', 'User Manager', 'Gestione utente', '2022-07-11 11:20:07'),
(2110, 'it', 'panel', 'Website Manager', 'Gestione sito web', '2022-07-11 11:20:07'),
(2111, 'it', 'plugin', 'Edit Seo Plugin', 'Modifica plugin seo', '2012-05-12 10:38:03'),
(2112, 'it', 'plugin', 'Plugin Name', 'Nome plugin', '2012-05-12 10:38:03'),
(2113, 'it', 'plugin', 'Seo Plugin Details', 'Dettagli plugin seo', '2012-05-12 10:38:03'),
(2114, 'it', 'proxy', 'Edit Proxy', 'Modifica proxy', '2016-12-09 09:20:46'),
(2115, 'it', 'proxy', 'Proxy Password', 'Password proxy', '2016-12-09 09:20:46'),
(2116, 'it', 'proxy', 'Proxy Username', 'Nome utente proxy', '2016-12-09 09:20:46'),
(2117, 'it', 'proxy', 'Proxyalreadyexist', 'Il proxy già esiste!', '2016-12-09 09:20:46'),
(2118, 'it', 'rank', 'enterurlproceed', 'Inserisci le URL <b>una per riga</b>. Clicca su <b>Procedi</b> per verificare il rank di Google e Alexa. ', '2010-10-15 20:50:06'),
(2119, 'it', 'rank', 'Google and Alexa Rank Reports', 'Report rank di Google e Alexs', '2010-10-15 20:50:06'),
(2120, 'it', 'rank', 'Saved rank results of', 'Salva i risultati del rank per', '2010-10-15 20:50:06'),
(2121, 'it', 'saturation', 'clickproceedsaturation', 'Inserisci le URL <b>Una per riga</b>. Clicca su <b>Procedi</b> per salvare i risultati di saturazione dei motori di ricerca.', '2010-10-15 20:52:19'),
(2122, 'it', 'saturation', 'GenerateSaturationReports', 'Genera report sulla saturazione dei motori di ricerca', '2010-10-15 20:52:19'),
(2123, 'it', 'saturation', 'Quick Search Engine Saturation Checker', 'Verifica rapida saturazione motori di ricerca', '2010-10-15 20:52:19'),
(2124, 'it', 'saturation', 'Saved Search Engine Saturation results of', 'Salva i risultati della saturazione dei motori di ricerca per', '2010-10-15 20:52:19'),
(2125, 'it', 'saturation', 'Search Engine Saturation Reports', 'Report saturazione motori di ricerca', '2010-10-15 20:52:19'),
(2126, 'it', 'seotools', 'Automatic Submission', 'Invio automatico', '2018-08-21 07:13:41'),
(2127, 'it', 'seotools', 'backlink-checker', 'Verifica backlink', '2018-08-21 07:13:41'),
(2128, 'it', 'seotools', 'Backlinks Reports', 'Report backlink', '2018-08-21 07:13:41'),
(2129, 'it', 'seotools', 'Check Submission Status', 'Verifica stato invio', '2018-08-21 07:13:41'),
(2130, 'it', 'seotools', 'clickgeneratereports', 'Clicca su <b>Procedi</b> per generare il report', '2018-08-21 07:13:41'),
(2131, 'it', 'seotools', 'Detailed Position Reports', 'Dettagli report posizione', '2018-08-21 07:13:41'),
(2132, 'it', 'seotools', 'directory-submission', 'Invio directory', '2018-08-21 07:13:41'),
(2133, 'it', 'seotools', 'Featured Submission', 'Caratteristiche invio', '2018-08-21 07:13:41'),
(2134, 'it', 'seotools', 'Generate Backlinks Reports', 'Genera report dei backlink', '2018-08-21 07:13:41'),
(2135, 'it', 'seotools', 'Generate Keyword Reports', 'Genera report delle keyword', '2018-08-21 07:13:41'),
(2136, 'it', 'seotools', 'Generate Rank Reports', 'Genera raport del rank', '2018-08-21 07:13:41'),
(2137, 'it', 'seotools', 'Generate Saturation Reports', 'Genera report della saturazione', '2018-08-21 07:13:41'),
(2138, 'it', 'seotools', 'Google Sitemap Generator', 'Genera sitemap google', '2018-08-21 07:13:41'),
(2139, 'it', 'seotools', 'Graphical Position Reports', 'Report grafico di posizionamento', '2018-08-21 07:13:41'),
(2140, 'it', 'seotools', 'Keyword Position Summary', 'Sommario posizionamento keyword', '2018-08-21 07:13:41'),
(2141, 'it', 'seotools', 'keyword-position-checker', 'Verifica posizionamento keyword', '2018-08-21 07:13:41'),
(2142, 'it', 'seotools', 'Keywords Manager', 'Gestione keyword', '2018-08-21 07:13:41'),
(2143, 'it', 'seotools', 'Quick Backlinks Checker', 'Verifica rapida backlink', '2018-08-21 07:13:41'),
(2144, 'it', 'seotools', 'Quick Position Checker', 'Verifica rapida posizionamento', '2018-08-21 07:13:41'),
(2145, 'it', 'seotools', 'Quick Rank Checker', 'Verifica rapida rank', '2018-08-21 07:13:41'),
(2146, 'it', 'seotools', 'Quick Saturation Checker', 'Verifica rapida saturazione', '2018-08-21 07:13:41'),
(2147, 'it', 'seotools', 'Rank Reports', 'Report rank', '2018-08-21 07:13:41'),
(2148, 'it', 'seotools', 'rank-checker', 'Verifica rank', '2018-08-21 07:13:41'),
(2149, 'it', 'seotools', 'Saturation Reports', 'Report saturazione', '2018-08-21 07:13:41'),
(2150, 'it', 'seotools', 'saturation-checker', 'Saturazione motori di ricerca', '2018-08-21 07:13:41'),
(2151, 'it', 'seotools', 'sitemap-generator', 'Generatore sitemap', '2018-08-21 07:13:41'),
(2152, 'it', 'seotools', 'Skipped Directories', 'Directory saltate', '2018-08-21 07:13:41'),
(2153, 'it', 'seotools', 'Submission Reports', 'Report di invio', '2018-08-21 07:13:41'),
(2154, 'it', 'seotools', 'User Access', 'Accesso utente', '2018-08-21 07:13:41'),
(2155, 'it', 'settings', 'Click here to become a sponsor for Seo Panel', '<b>Dona $100</b> e diventa <b>sponsor</b> del pannello seo.', '2018-08-21 07:16:32'),
(2156, 'it', 'settings', 'seopanel_description', 'Un pannello di controllo gratuito per gestire l\'ottimizzazione dei tuoi siti web. Contiene molti tool seo che potranno esserti utili per incrementare e verificare le performance dei tuoi siti web. Si tratta di un progetto open source e puoi sviluppare i tuoi stessi plugin seo per il pannello seo.', '2018-08-21 07:16:32'),
(2157, 'it', 'settings', 'seopanel_title', 'Pannello seo: Il primo pannello di controllo open source per la gestione di più siti web.', '2018-08-21 07:16:32'),
(2158, 'it', 'settings', 'SP_CRAWL_DELAY', 'Ritardo tra ogni scansione degli spider (secondi)', '2018-08-21 07:16:32'),
(2159, 'it', 'settings', 'SP_DEFAULTLANG', 'Lingua di default', '2018-08-21 07:16:32'),
(2160, 'it', 'settings', 'SP_DESCRIPTION', 'Descrizione pannello seo', '2018-08-21 07:16:32'),
(2161, 'it', 'settings', 'SP_ENABLE_PROXY', 'Abilita proxy', '2018-08-21 07:16:32'),
(2162, 'it', 'settings', 'SP_HOTLINKING', 'Protezione immagine hotlink attiva', '2018-08-21 07:16:32'),
(2163, 'it', 'settings', 'SP_KEYWORDS', 'Keyword pannello seo', '2018-08-21 07:16:32'),
(2164, 'it', 'settings', 'SP_PAGINGNO', 'Numero di risultati per pagina', '2018-08-21 07:16:32'),
(2165, 'it', 'settings', 'SP_TITLE', 'Titolo pannello seo', '2018-08-21 07:16:32'),
(2166, 'it', 'settings', 'SP_USER_GEN_REPORT', 'Permetti a tutti gli utenti di generare report', '2018-08-21 07:16:32'),
(2167, 'it', 'settings', 'SP_USER_REGISTRATION', 'Interfaccia registrazione utente', '2018-08-21 07:16:32'),
(2168, 'it', 'settings', 'syssettingssaved', 'Impostazioni di sistema salvate con successo!', '2018-08-21 07:16:32'),
(2169, 'zh', 'backlink', 'clickproceedbacklink', '输入URL，<b>每行一条</b>。单击<b>处理</b>开始检测反向链接', '2011-05-06 08:30:24'),
(2170, 'zh', 'backlink', 'Saved backlink results of', '保存反向链接结果', '2011-05-06 08:30:24'),
(2171, 'zh', 'button', 'Cancel', '取消', '2014-01-08 19:21:34'),
(2172, 'zh', 'button', 'Check Status', '检测状态', '2014-01-08 19:21:34'),
(2173, 'zh', 'button', 'Proceed', '处理', '2014-01-08 19:21:34'),
(2174, 'zh', 'button', 'Reload', '重新载入', '2014-01-08 19:21:34'),
(2175, 'zh', 'button', 'Show Details', '显示细节', '2014-01-08 19:21:34'),
(2176, 'zh', 'button', 'Show Records', '显示记录', '2014-01-08 19:21:34'),
(2177, 'zh', 'button', 'Skip', '跳过', '2014-01-08 19:21:34'),
(2178, 'zh', 'button', 'Submit', '提交', '2014-01-08 19:21:34'),
(2179, 'zh', 'common', 'Action', '执行', '2019-05-25 18:01:23'),
(2180, 'zh', 'common', 'Activate', '激活', '2019-05-25 18:01:23'),
(2181, 'zh', 'common', 'Active', '已激活', '2019-05-25 18:01:23'),
(2182, 'zh', 'common', 'Admin Panel', '管理面板', '2019-05-25 18:01:23'),
(2183, 'zh', 'common', 'Alexa Rank', 'Alexa 排名', '2019-05-25 18:01:23'),
(2184, 'zh', 'common', 'All', '所有', '2019-05-25 18:01:23'),
(2185, 'zh', 'common', 'Category', '类别', '2019-05-25 18:01:23'),
(2186, 'zh', 'common', 'contact', '联系', '2019-05-25 18:01:23'),
(2187, 'zh', 'common', 'copyright', '版权所有 © 【2010】www.seopanel.in 保留所有权利', '2019-05-25 18:01:23'),
(2188, 'zh', 'common', 'Country', '国家', '2019-05-25 18:01:23'),
(2189, 'zh', 'common', 'Crawl Meta Data', '爬取meta信息', '2019-05-25 18:01:23'),
(2190, 'zh', 'common', 'Date', '日期', '2019-05-25 18:01:23'),
(2191, 'zh', 'common', 'Delete', '删除', '2019-05-25 18:01:23'),
(2192, 'zh', 'common', 'Details', '细节', '2019-05-25 18:01:23'),
(2193, 'zh', 'common', 'Directory', '目录', '2019-05-25 18:01:23'),
(2194, 'zh', 'common', 'Donate', '捐赠', '2019-05-25 18:01:23'),
(2195, 'zh', 'common', 'Edit', '编辑', '2019-05-25 18:01:23'),
(2196, 'zh', 'common', 'Entry cannot be blank', '不能输入空值', '2019-05-25 18:01:23'),
(2197, 'zh', 'common', 'entrynotvalid', '输入不合法', '2019-05-25 18:01:23'),
(2198, 'zh', 'common', 'failed', '失败', '2019-05-25 18:01:23'),
(2199, 'zh', 'common', 'forum', '论坛', '2019-05-25 18:01:23'),
(2200, 'zh', 'common', 'Found', '资助', '2019-05-25 18:01:23'),
(2201, 'zh', 'common', 'Google Pagerank', '谷歌 Page Rank', '2019-05-25 18:01:23'),
(2202, 'zh', 'common', 'help', '帮助', '2019-05-25 18:01:23'),
(2203, 'zh', 'common', 'hidenews', '隐藏seopanel新闻', '2019-05-25 18:01:23'),
(2204, 'zh', 'common', 'Id', 'Id', '2019-05-25 18:01:23'),
(2205, 'zh', 'common', 'Inactivate', '关闭', '2019-05-25 18:01:23'),
(2206, 'zh', 'common', 'Inactive', '未激活的', '2019-05-25 18:01:23'),
(2207, 'zh', 'common', 'Invalid characters', '非法字符', '2019-05-25 18:01:23'),
(2208, 'zh', 'common', 'Invalid code entered', '输入的代码不合法', '2019-05-25 18:01:23'),
(2209, 'zh', 'common', 'Invalid email address entered', 'Email 地址不合法', '2019-05-25 18:01:23'),
(2210, 'zh', 'common', 'Invalid value', '无效数值', '2019-05-25 18:01:23'),
(2211, 'zh', 'common', 'Keyword', '关键字', '2019-05-25 18:01:23'),
(2212, 'zh', 'common', 'Keywords', '全部关键字', '2019-05-25 18:01:23'),
(2213, 'zh', 'common', 'lang', '语言', '2019-05-25 18:01:23'),
(2214, 'zh', 'common', 'My Account', '我的账户', '2019-05-25 18:01:23'),
(2215, 'zh', 'common', 'Name', '名字', '2019-05-25 18:01:23'),
(2216, 'zh', 'common', 'No', '没有', '2019-05-25 18:01:23'),
(2217, 'zh', 'common', 'No Keywords Found', '未找到关键字', '2019-05-25 18:01:23'),
(2218, 'zh', 'common', 'No Records Found', '未找到相关记录', '2019-05-25 18:01:23'),
(2219, 'zh', 'common', 'noactivetools', '没有可用的seo工具', '2019-05-25 18:01:23'),
(2220, 'zh', 'common', 'nowebsites', '未发现站点', '2019-05-25 18:01:23'),
(2221, 'zh', 'common', 'password632', '密码长度必须为6-32位', '2019-05-25 18:01:23'),
(2222, 'zh', 'common', 'passwordnotmatch', '密码不匹配', '2019-05-25 18:01:23'),
(2223, 'zh', 'common', 'Period', '一段时间', '2019-05-25 18:01:23'),
(2224, 'zh', 'common', 'Priority', '优先级', '2019-05-25 18:01:23'),
(2225, 'zh', 'common', 'Rank', 'PR/排名', '2019-05-25 18:01:23'),
(2226, 'zh', 'common', 'Reports', '报告', '2019-05-25 18:01:23'),
(2227, 'zh', 'common', 'Results', '结果', '2019-05-25 18:01:23'),
(2228, 'zh', 'common', 'Search Engine', '搜索引擎', '2019-05-25 18:01:23'),
(2229, 'zh', 'common', 'Select', '选择', '2019-05-25 18:01:23'),
(2230, 'zh', 'common', 'Seo Plugins', 'seo插件', '2019-05-25 18:01:23'),
(2231, 'zh', 'common', 'Seo Tools', 'seo工具', '2019-05-25 18:01:23'),
(2232, 'zh', 'common', 'Sign out', '登出', '2019-05-25 18:01:23'),
(2233, 'zh', 'common', 'Sign Up', '注册', '2019-05-25 18:01:23'),
(2234, 'zh', 'common', 'signin', '登录', '2019-05-25 18:01:23'),
(2235, 'zh', 'common', 'Status', '状态', '2019-05-25 18:01:23'),
(2236, 'zh', 'common', 'Support', '支持', '2019-05-25 18:01:23'),
(2237, 'zh', 'common', 'Total', '所有', '2019-05-25 18:01:23'),
(2238, 'zh', 'common', 'Url', 'URL', '2019-05-25 18:01:23'),
(2239, 'zh', 'common', 'User', '用户', '2019-05-25 18:01:23'),
(2240, 'zh', 'common', 'User Panel', '用户面板', '2019-05-25 18:01:23'),
(2241, 'zh', 'common', 'Website', '站点', '2019-05-25 18:01:23'),
(2242, 'zh', 'common', 'Yes', '是', '2019-05-25 18:01:23'),
(2243, 'zh', 'directory', 'Add back to directory list', '增加到目录列表', '2014-01-09 15:03:35'),
(2244, 'zh', 'directory', 'Approved', '通过的', '2014-01-09 15:03:35'),
(2245, 'zh', 'directory', 'Captcha', '验证码', '2014-01-09 15:03:35'),
(2246, 'zh', 'directory', 'categorynote', '根据优先级用逗号隔开的提交的具体目录分类。从优先级最高提交的具体目录分类开始', '2014-01-09 15:03:35'),
(2247, 'zh', 'directory', 'Check Directory Status', '检查目录状态', '2014-01-09 15:03:35'),
(2248, 'zh', 'directory', 'Check Directory Submission Status', '检查目录提交状态', '2014-01-09 15:03:35'),
(2249, 'zh', 'directory', 'clicktoproceeddirsts', '点击<b>处理</b> 以检查目录状态', '2014-01-09 15:03:35'),
(2250, 'zh', 'directory', 'Confirmation', '确认', '2014-01-09 15:03:35'),
(2251, 'zh', 'directory', 'desnote', '有些目录最少需要150字符描述信息', '2014-01-09 15:03:35'),
(2252, 'zh', 'directory', 'Directories with out captcha', '没有验证码的目录', '2014-01-09 15:03:35'),
(2253, 'zh', 'directory', 'Directory Submission Reports', '目录提交报告', '2014-01-09 15:03:35'),
(2254, 'zh', 'directory', 'Enter the code shown', '输入显示的字符', '2014-01-09 15:03:35'),
(2255, 'zh', 'directory', 'nocatnote', '在提交页面未找到提交类别。请点击<b>重载</b>或者<b>跳过</b>', '2014-01-09 15:03:35'),
(2256, 'zh', 'directory', 'nodirnote', '未发现<b>已激活的</b>目录', '2014-01-09 15:03:35'),
(2257, 'zh', 'directory', 'nosuccessnote', '如果没得到成功的信息，请检查邮件中的确认信息', '2014-01-09 15:03:35'),
(2258, 'zh', 'directory', 'optionalnote', '提交标题和描述信息比提交随机信息会获得更好的结果', '2014-01-09 15:03:35'),
(2259, 'zh', 'directory', 'Owner Email', '用户邮件', '2014-01-09 15:03:35'),
(2260, 'zh', 'directory', 'Owner Name', '用户名字', '2014-01-09 15:03:35'),
(2261, 'zh', 'directory', 'Pending', '待定', '2014-01-09 15:03:35'),
(2262, 'zh', 'directory', 'Please select a website to proceed', '请选择一个站点来处理', '2014-01-09 15:03:35'),
(2263, 'zh', 'directory', 'selectwebsiteproceed', '选择一个 <b>站点</b> 来 <b>处理</b> 目录提交。<br>检查 <b>没有验证码的目录</b> 来提交没有验证码的目录', '2014-01-09 15:03:35'),
(2264, 'zh', 'directory', 'selectwebsiteschecksub', '选择一个<b>站点</b> 来 <b>处理</b> 检查目录提交信息', '2014-01-09 15:03:35'),
(2265, 'zh', 'directory', 'Semi Automatic Directory Submission Tool', '半自动目录提交工具', '2014-01-09 15:03:35'),
(2266, 'zh', 'directory', 'spamemailnote', '一些目录可能会发送垃圾邮件，我们建议不要不要使用你常用的邮箱地址', '2014-01-09 15:03:35'),
(2267, 'zh', 'directory', 'Submission Details', '提交细节', '2014-01-09 15:03:35'),
(2268, 'zh', 'directory', 'Submit Description', '提交描述信息', '2014-01-09 15:03:35'),
(2269, 'zh', 'directory', 'Submit Keywords', '提交关键字', '2014-01-09 15:03:35'),
(2270, 'zh', 'directory', 'Submit Title', '提交标题', '2014-01-09 15:03:35'),
(2271, 'zh', 'directory', 'Website Category', '网站目录', '2014-01-09 15:03:35'),
(2272, 'zh', 'directory', 'Website Url', '网站地址', '2014-01-09 15:03:35'),
(2273, 'zh', 'keyword', 'Crawling keyword', '爬取关键字', '2011-07-06 06:03:07'),
(2274, 'zh', 'keyword', 'Detailed Keyword Position Reports', '显示关键字排名报告', '2011-07-06 06:03:07'),
(2275, 'zh', 'keyword', 'Edit Keyword', '编辑关键字', '2011-07-06 06:03:07'),
(2276, 'zh', 'keyword', 'Graphical Keyword Position Reports', '关键字位置图形报表', '2011-07-06 06:03:07'),
(2277, 'zh', 'keyword', 'Import Keywords', '导入关键字', '2011-07-06 06:03:07'),
(2278, 'zh', 'keyword', 'Keyword already exist', '关键字已存在', '2011-07-06 06:03:07'),
(2279, 'zh', 'keyword', 'Keyword Position Report', '关键字位置报告', '2011-07-06 06:03:07'),
(2280, 'zh', 'keyword', 'New Keyword', '新的关键字', '2011-07-06 06:03:07'),
(2281, 'zh', 'keyword', 'not assigned to required search engines', '未设置请求的搜索引擎', '2011-07-06 06:03:07'),
(2282, 'zh', 'keyword', 'pleaseselecttool', '请至少选择一个seo工具', '2011-07-06 06:03:07'),
(2283, 'zh', 'keyword', 'Quick Keyword Position Checker', '快速关键字查询', '2011-07-06 06:03:07'),
(2284, 'zh', 'keyword', 'results from ', '结果来自', '2011-07-06 06:03:07'),
(2285, 'zh', 'keyword', 'Show All results', '显示所有结果', '2011-07-06 06:03:07'),
(2286, 'zh', 'keyword', 'Successfully crawled keyword', '成功爬取关键字', '2011-07-06 06:03:07'),
(2287, 'zh', 'keyword', 'to create new keywords', '创建新关键字', '2011-07-06 06:03:07'),
(2288, 'zh', 'login', 'Confirm Password', '确认密码', '2014-01-09 15:07:15'),
(2289, 'zh', 'login', 'Create my account', '创建我的账户', '2014-01-09 15:07:15'),
(2290, 'zh', 'login', 'Create New Account', '创建一个新账户', '2014-01-09 15:07:15'),
(2291, 'zh', 'login', 'Email', '邮箱', '2014-01-09 15:07:15'),
(2292, 'zh', 'login', 'emailexist', '邮箱已存在', '2014-01-09 15:07:15'),
(2293, 'zh', 'login', 'Enter the code as it is shown', '输入显示的字符', '2014-01-09 15:07:15'),
(2294, 'zh', 'login', 'First Name', '名字', '2014-01-09 15:07:15'),
(2295, 'zh', 'login', 'Last Name', '姓', '2014-01-09 15:07:15'),
(2296, 'zh', 'login', 'Login', '登录', '2014-01-09 15:07:15'),
(2297, 'zh', 'login', 'Login incorrect', '登录信息不正确', '2014-01-09 15:07:15'),
(2298, 'zh', 'login', 'newaccountsuccess', '创建新账户成功', '2014-01-09 15:07:15'),
(2299, 'zh', 'login', 'Password', '密码', '2014-01-09 15:07:15'),
(2300, 'zh', 'login', 'Password incorrect', '密码不正确', '2014-01-09 15:07:15'),
(2301, 'zh', 'login', 'Register', '注册', '2014-01-09 15:07:15'),
(2302, 'zh', 'login', 'Sign in to your account', '登录你的账户', '2014-01-09 15:07:15'),
(2303, 'zh', 'login', 'User inactive', '用户无效', '2014-01-09 15:07:15'),
(2304, 'zh', 'login', 'Username', '用户名', '2014-01-09 15:07:15'),
(2305, 'zh', 'login', 'usernameexist', '用户名已存在', '2014-01-09 15:07:15'),
(2306, 'zh', 'panel', 'About Us', '关于我们', '2014-05-15 17:48:57'),
(2307, 'zh', 'panel', 'Add following command to your cron tab', '加入以下命令到CRON列表', '2014-05-15 17:48:57'),
(2308, 'zh', 'panel', 'alsocheckfollowlink', '如果需要更多细节，请检查一下链接', '2014-05-15 17:48:57'),
(2309, 'zh', 'panel', 'Check Directory', '检查目录', '2014-05-15 17:48:57'),
(2310, 'zh', 'panel', 'Cron Command', 'cron命令', '2014-05-15 17:48:57'),
(2311, 'zh', 'panel', 'Directory Manager', '目录管理', '2014-05-15 17:48:57'),
(2312, 'zh', 'panel', 'Edit My Profile', '编辑我的资料', '2014-05-15 17:48:57'),
(2313, 'zh', 'panel', 'My Profile', '我的资料', '2014-05-15 17:48:57'),
(2314, 'zh', 'panel', 'New Proxy', '新建代理', '2014-05-15 17:48:57'),
(2315, 'zh', 'panel', 'New User', '新建用户', '2014-05-15 17:48:57'),
(2316, 'zh', 'panel', 'New Website', '新的站点', '2014-05-15 17:48:57'),
(2317, 'zh', 'panel', 'Proxy Manager', '代理管理器', '2014-05-15 17:48:57'),
(2318, 'zh', 'panel', 'Report Generation Manager', '报告生成管理', '2014-05-15 17:48:57'),
(2319, 'zh', 'panel', 'Reports Manager', '报告管理', '2014-05-15 17:48:57'),
(2320, 'zh', 'panel', 'Seo Plugins Manager', 'seo插件管理', '2014-05-15 17:48:57'),
(2321, 'zh', 'panel', 'Seo Tools Manager', 'seo工具管理', '2014-05-15 17:48:57'),
(2322, 'zh', 'panel', 'System Settings', '系统设置', '2014-05-15 17:48:57'),
(2323, 'zh', 'panel', 'User Manager', '用户管理', '2014-05-15 17:48:57'),
(2324, 'zh', 'panel', 'Website Manager', '站点管理', '2014-05-15 17:48:57'),
(2325, 'ru', 'backlink', 'clickproceedbacklink', 'Введите URL <b>по одному в каждой строке</b>. Нажмите <b>продолжить</b> для проверки обратных ссылок.', '2012-12-05 19:31:54'),
(2326, 'ru', 'backlink', 'Saved backlink results of', 'Сохранение результатов обратных ссылок', '2012-12-05 19:31:54'),
(2327, 'ru', 'button', 'Cancel', 'Отмена', '2014-01-08 19:33:07'),
(2328, 'ru', 'button', 'Check Status', 'Проверить статус', '2014-01-08 19:33:07'),
(2329, 'ru', 'button', 'Proceed', 'Продолжить', '2014-01-08 19:33:07'),
(2330, 'ru', 'button', 'Reload', 'Перезагрузить', '2014-01-08 19:33:07'),
(2331, 'ru', 'button', 'Show Details', 'Показать детали', '2014-01-08 19:33:07'),
(2332, 'ru', 'button', 'Show Records', 'Показать записи', '2014-01-08 19:33:07'),
(2333, 'ru', 'button', 'Skip', 'Пропустить', '2014-01-08 19:33:07'),
(2334, 'ru', 'button', 'Submit', 'Отправить', '2014-01-08 19:33:07'),
(2335, 'ru', 'common', 'Action', 'Действие', '2024-07-17 11:16:33'),
(2336, 'ru', 'common', 'Activate', 'Включить', '2024-07-17 11:16:33'),
(2337, 'ru', 'common', 'Active', 'Активный', '2024-07-17 11:16:33'),
(2338, 'ru', 'common', 'Admin Panel', 'Панель администратора', '2024-07-17 11:16:33'),
(2339, 'ru', 'common', 'Alexa Rank', 'Alexa Rank', '2024-07-17 11:16:33'),
(2340, 'ru', 'common', 'All', 'Все', '2024-07-17 11:16:33'),
(2341, 'ru', 'common', 'Category', 'Категория', '2024-07-17 11:16:33'),
(2342, 'ru', 'common', 'contact', 'Контакты', '2024-07-17 11:16:33'),
(2343, 'ru', 'common', 'copyright', 'Авторские права © [year] www.seopanel.in. Все права защищены', '2024-07-17 11:16:33'),
(2344, 'ru', 'common', 'Country', 'Страна', '2024-07-17 11:16:33'),
(2345, 'ru', 'common', 'Crawl Meta Data', 'Сканирование метаданных', '2024-07-17 11:16:33'),
(2346, 'ru', 'common', 'Date', 'Дата', '2024-07-17 11:16:33'),
(2347, 'ru', 'common', 'Delete', 'Удалить', '2024-07-17 11:16:33'),
(2348, 'ru', 'common', 'Details', 'Детали', '2024-07-17 11:16:33'),
(2349, 'ru', 'common', 'Directory', 'Каталог', '2024-07-17 11:16:33'),
(2350, 'ru', 'common', 'Donate', 'Пожертвовать', '2024-07-17 11:16:33'),
(2351, 'ru', 'common', 'Edit', 'Редактировать', '2024-07-17 11:16:33'),
(2352, 'ru', 'common', 'Entry cannot be blank', 'Поле не может быть пустым', '2024-07-17 11:16:33'),
(2353, 'ru', 'common', 'entrynotvalid', 'Введена не правильная запись', '2024-07-17 11:16:33'),
(2354, 'ru', 'common', 'failed', 'неудачно', '2024-07-17 11:16:33'),
(2355, 'ru', 'common', 'forum', 'Форум', '2024-07-17 11:16:33'),
(2356, 'ru', 'common', 'Found', 'Найдено', '2024-07-17 11:16:33'),
(2357, 'ru', 'common', 'Google Pagerank', 'Google Pagerank', '2024-07-17 11:16:33'),
(2358, 'ru', 'common', 'help', 'Помощь', '2024-07-17 11:16:33'),
(2359, 'ru', 'common', 'hidenews', 'Скрыть новости Seo panel', '2024-07-17 11:16:33'),
(2360, 'ru', 'common', 'Id', 'Id', '2024-07-17 11:16:33'),
(2361, 'ru', 'common', 'Inactivate', 'Отключить', '2024-07-17 11:16:33'),
(2362, 'ru', 'common', 'Inactive', 'Неактивный', '2024-07-17 11:16:33'),
(2363, 'ru', 'common', 'Invalid characters', 'Недопустимые символы', '2024-07-17 11:16:33'),
(2364, 'ru', 'common', 'Invalid code entered', 'Введен неправильный код', '2024-07-17 11:16:33'),
(2365, 'ru', 'common', 'Invalid email address entered', 'Введен неправильный email', '2024-07-17 11:16:33'),
(2366, 'ru', 'common', 'Invalid value', 'Неправильное значение', '2024-07-17 11:16:33'),
(2367, 'ru', 'common', 'Keyword', 'Ключевое слово', '2024-07-17 11:16:33'),
(2368, 'ru', 'common', 'Keywords', 'Ключевые слова', '2024-07-17 11:16:33'),
(2369, 'ru', 'common', 'lang', 'Язык', '2024-07-17 11:16:33'),
(2370, 'ru', 'common', 'My Account', 'Мой аккаунт', '2024-07-17 11:16:33'),
(2371, 'ru', 'common', 'Name', 'Название', '2024-07-17 11:16:33'),
(2372, 'ru', 'common', 'No', 'Нет', '2024-07-17 11:16:33'),
(2373, 'ru', 'common', 'No Keywords Found', 'Ключевые слова не найдены', '2024-07-17 11:16:33'),
(2374, 'ru', 'common', 'No Records Found', 'Записей не найдено', '2024-07-17 11:16:33'),
(2375, 'ru', 'common', 'noactivetools', 'Нет активных сео-инструментов!', '2024-07-17 11:16:33'),
(2376, 'ru', 'common', 'nowebsites', 'Сайты не найдены!', '2024-07-17 11:16:33'),
(2377, 'ru', 'common', 'password632', 'Длина пароля должна быть от 6 до 32 символов', '2024-07-17 11:16:33'),
(2378, 'ru', 'common', 'passwordnotmatch', 'Пароли не совпадают', '2024-07-17 11:16:33'),
(2379, 'ru', 'common', 'Period', 'Период', '2024-07-17 11:16:33'),
(2380, 'ru', 'common', 'Priority', 'Приоритет', '2024-07-17 11:16:33'),
(2381, 'ru', 'common', 'Rank', 'Rank', '2024-07-17 11:16:33'),
(2382, 'ru', 'common', 'Reports', 'Отчеты', '2024-07-17 11:16:33'),
(2383, 'ru', 'common', 'Results', 'Результаты', '2024-07-17 11:16:33'),
(2384, 'ru', 'common', 'Search Engine', 'Поисковые системы', '2024-07-17 11:16:33'),
(2385, 'ru', 'common', 'Select', 'Выбор', '2024-07-17 11:16:33'),
(2386, 'ru', 'common', 'Seo Plugins', 'Сео-плагины', '2024-07-17 11:16:33'),
(2387, 'ru', 'common', 'Seo Tools', 'Сео-инструменты', '2024-07-17 11:16:33'),
(2388, 'ru', 'common', 'Sign out', 'Выход', '2024-07-17 11:16:33'),
(2389, 'ru', 'common', 'Sign Up', 'Зарегистрироваться', '2024-07-17 11:16:33'),
(2390, 'ru', 'common', 'signin', 'Вход', '2024-07-17 11:16:33'),
(2391, 'ru', 'common', 'Status', 'Статус', '2024-07-17 11:16:33'),
(2392, 'ru', 'common', 'Support', 'Поддержка', '2024-07-17 11:16:33'),
(2393, 'ru', 'common', 'Total', 'Всего', '2024-07-17 11:16:33'),
(2394, 'ru', 'common', 'Url', 'Url', '2024-07-17 11:16:33'),
(2395, 'ru', 'common', 'User', 'Пользователь', '2024-07-17 11:16:33'),
(2396, 'ru', 'common', 'User Panel', 'Панель пользователя', '2024-07-17 11:16:33'),
(2397, 'ru', 'common', 'Website', 'Сайт', '2024-07-17 11:16:33'),
(2398, 'ru', 'common', 'Yes', 'Да', '2024-07-17 11:16:33');
INSERT INTO `texts` (`id`, `lang_code`, `category`, `label`, `content`, `changed`) VALUES
(2399, 'ru', 'directory', 'Add back to directory list', 'Вернуться к добавлению в список каталогов', '2012-11-09 06:03:15'),
(2400, 'ru', 'directory', 'Approved', 'Утвержденный', '2012-11-09 06:03:15'),
(2401, 'ru', 'directory', 'Captcha', 'Проверочный код', '2012-11-09 06:03:15'),
(2402, 'ru', 'directory', 'categorynote', 'Категории разделите запятой в соответствии с приоритетом. Начните с верхней категории наиболее приоритетной.', '2012-11-09 06:03:15'),
(2403, 'ru', 'directory', 'Check Directory Status', 'Проверить состояния регистра', '2012-11-09 06:03:15'),
(2404, 'ru', 'directory', 'Check Directory Submission Status', 'Проверить статус рассылки в каталоги', '2012-11-09 06:03:15'),
(2405, 'ru', 'directory', 'clicktoproceeddirsts', 'Нажмите <b>продолжить</b> для проверки статуса каталогов.', '2012-11-09 06:03:15'),
(2406, 'ru', 'directory', 'Confirmation', 'Подтверждение', '2012-11-09 06:03:15'),
(2407, 'ru', 'directory', 'desnote', 'Некоторые каталоги требуют минимум 150 символов для ввода в поле описание.', '2012-11-09 06:03:15'),
(2408, 'ru', 'directory', 'Directories with out captcha', 'Каталоги сайтов с каптчей', '2012-11-09 06:03:15'),
(2409, 'ru', 'directory', 'Directory Submission Reports', 'Отчеты по рассылке в каталоги', '2012-11-09 06:03:15'),
(2410, 'ru', 'directory', 'Enter the code shown', 'Введите код из изображения', '2012-11-09 06:03:15'),
(2411, 'ru', 'directory', 'nocatnote', 'Введенная категория не найдена в отправленной странице. Пожалуйста нажмите <b>перезагрузить</b> или <b>пропустить</b>  	 ', '2012-11-09 06:03:15'),
(2412, 'ru', 'directory', 'nodirnote', 'Нет <b>активных</b> каталогов', '2012-11-09 06:03:15'),
(2413, 'ru', 'directory', 'nosuccessnote', 'Не получено сообщение об успешном добавлении! Пожалуйста проверьте свою почту, возможно сообщение о подтверждении пришло к вам на почту', '2012-11-09 06:03:15'),
(2414, 'ru', 'directory', 'optionalnote', 'Дополнительные заголовки и описания представляются как случайные названия и описания в каталогах для лучшего результата.', '2012-11-09 06:03:15'),
(2415, 'ru', 'directory', 'Owner Email', 'Email владельца', '2012-11-09 06:03:15'),
(2416, 'ru', 'directory', 'Owner Name', 'Имя владельца', '2012-11-09 06:03:15'),
(2417, 'ru', 'directory', 'Pending', 'В ожидании', '2012-11-09 06:03:15'),
(2418, 'ru', 'directory', 'Please select a website to proceed', 'Для продолжения выберите сайт', '2012-11-09 06:03:15'),
(2419, 'ru', 'directory', 'selectwebsiteproceed', 'Выберите <b>сайт</b> для <b>продолжения</b> рассылки в каталоги.<br>Выберите <b>каталоги с капчей</b> для рассылки в каталоги.', '2012-11-09 06:03:15'),
(2420, 'ru', 'directory', 'selectwebsiteschecksub', 'Выберите <b>сайт</b> для <b>продолжения</b> выбора каталогов.', '2012-11-09 06:03:15'),
(2421, 'ru', 'directory', 'Semi Automatic Directory Submission Tool', 'Полуавтоматический инструмент рассылки в каталоги', '2012-11-09 06:03:15'),
(2422, 'ru', 'directory', 'spamemailnote', 'Некоторые каталоги могут рассылать спам, мы не рекомендуем использовать Ваш основной email почты.', '2012-11-09 06:03:15'),
(2423, 'ru', 'directory', 'Submission Details', 'Детали рассылки', '2012-11-09 06:03:15'),
(2424, 'ru', 'directory', 'Submit Description', 'Описание рассылки', '2012-11-09 06:03:15'),
(2425, 'ru', 'directory', 'Submit Keywords', 'Отправить ключевые слова', '2012-11-09 06:03:15'),
(2426, 'ru', 'directory', 'Submit Title', 'Отправить заголовок', '2012-11-09 06:03:15'),
(2427, 'ru', 'directory', 'Website Category', 'Категория сайта', '2012-11-09 06:03:15'),
(2428, 'ru', 'directory', 'Website Url', 'Url сайта', '2012-11-09 06:03:15'),
(2429, 'zh', 'plugin', 'Edit Seo Plugin', '编辑SEO插件', '2014-01-09 15:08:57'),
(2430, 'zh', 'plugin', 'Plugin Name', '插件名字', '2014-01-09 15:08:57'),
(2431, 'zh', 'plugin', 'Seo Plugin Details', 'SEO插件细节', '2014-01-09 15:08:57'),
(2432, 'zh', 'proxy', 'Edit Proxy', '编辑代理', '2014-05-15 17:51:10'),
(2433, 'zh', 'proxy', 'Proxy Password', '代理密码', '2014-05-15 17:51:10'),
(2434, 'zh', 'proxy', 'Proxy Username', '代理用户名', '2014-05-15 17:51:10'),
(2435, 'zh', 'proxy', 'Proxyalreadyexist', '代理已经存在', '2014-05-15 17:51:10'),
(2436, 'zh', 'rank', 'enterurlproceed', '输入URL，<b>每行一条</b>。点击<b>处理</b>开始检查Google PR和 Alexa 排名', '2011-05-04 08:41:24'),
(2437, 'zh', 'rank', 'Google and Alexa Rank Reports', 'Google PR和 Alexa 排名报告', '2011-05-04 08:41:25'),
(2438, 'zh', 'rank', 'Saved rank results of', '保存排名结果', '2011-05-04 08:41:25'),
(2439, 'zh', 'saturation', 'clickproceedsaturation', '输入URL，<b>每行一条</b>。点击<b>处理</b>开始检查搜索引擎搜录报告', '2011-05-04 09:45:58'),
(2440, 'zh', 'saturation', 'GenerateSaturationReports', '生成搜索引擎搜录报告', '2011-05-04 09:45:58'),
(2441, 'zh', 'saturation', 'Quick Search Engine Saturation Checker', '快速搜索引擎搜录检查', '2011-05-04 09:45:58'),
(2442, 'zh', 'saturation', 'Saved Search Engine Saturation results of', '保存搜索引擎搜录结果\r\n', '2011-05-04 09:45:58'),
(2443, 'zh', 'saturation', 'Search Engine Saturation Reports', '搜索引擎搜录报告', '2011-05-04 09:45:58'),
(2444, 'zh', 'seotools', 'Automatic Submission', '自动提交', '2011-07-06 06:05:37'),
(2445, 'zh', 'seotools', 'backlink-checker', '反向链接检查', '2011-07-06 06:05:37'),
(2446, 'zh', 'seotools', 'Backlinks Reports', '反向链接报告', '2011-07-06 06:05:37'),
(2447, 'zh', 'seotools', 'Check Submission Status', '检查提交状态', '2011-07-06 06:05:37'),
(2448, 'zh', 'seotools', 'clickgeneratereports', '点击<b>处理</b>开始生成报告 ', '2011-07-06 06:05:37'),
(2449, 'zh', 'seotools', 'Detailed Position Reports', '详细的位置报告', '2011-07-06 06:05:37'),
(2450, 'zh', 'seotools', 'directory-submission', '目录提交', '2011-07-06 06:05:37'),
(2451, 'zh', 'seotools', 'Featured Submission', '筛选提交', '2011-07-06 06:05:37'),
(2452, 'zh', 'seotools', 'Generate Backlinks Reports', '生成反向链接报告', '2011-07-06 06:05:37'),
(2453, 'zh', 'seotools', 'Generate Keyword Reports', '生成关键字报告', '2011-07-06 06:05:37'),
(2454, 'zh', 'seotools', 'Generate Rank Reports', '生成排名报告', '2011-07-06 06:05:37'),
(2455, 'zh', 'seotools', 'Generate Saturation Reports', '生成收录量报告', '2011-07-06 06:05:37'),
(2456, 'zh', 'seotools', 'Google Sitemap Generator', 'Google网站地图报告', '2011-07-06 06:05:37'),
(2457, 'zh', 'seotools', 'Graphical Position Reports', '图形位置报告', '2011-07-06 06:05:37'),
(2458, 'zh', 'seotools', 'Keyword Position Summary', '关键字概述', '2011-07-06 06:05:37'),
(2459, 'zh', 'seotools', 'keyword-position-checker', '关键字检查', '2011-07-06 06:05:37'),
(2460, 'zh', 'seotools', 'Keywords Manager', '关键字管理', '2011-07-06 06:05:37'),
(2461, 'zh', 'seotools', 'Quick Backlinks Checker', '快速反向链接检查', '2011-07-06 06:05:37'),
(2462, 'zh', 'seotools', 'Quick Position Checker', '快速位置检查', '2011-07-06 06:05:37'),
(2463, 'zh', 'seotools', 'Quick Rank Checker', '快速排名检查', '2011-07-06 06:05:37'),
(2464, 'zh', 'seotools', 'Quick Saturation Checker', '快速收录量检查', '2011-07-06 06:05:37'),
(2465, 'zh', 'seotools', 'Rank Reports', '排名报告', '2011-07-06 06:05:37'),
(2466, 'zh', 'seotools', 'rank-checker', '排名检查', '2011-07-06 06:05:37'),
(2467, 'zh', 'seotools', 'Saturation Reports', '收录量报告', '2011-07-06 06:05:37'),
(2468, 'zh', 'seotools', 'saturation-checker', '搜索引擎收录量', '2011-07-06 06:05:37'),
(2469, 'zh', 'seotools', 'sitemap-generator', '站点地图生成器', '2011-07-06 06:05:37'),
(2470, 'zh', 'seotools', 'Skipped Directories', '跳过的目录', '2011-07-06 06:05:37'),
(2471, 'zh', 'seotools', 'Submission Reports', '提交报告', '2011-07-06 06:05:37'),
(2472, 'zh', 'seotools', 'User Access', '用户访问', '2011-07-06 06:05:37'),
(2473, 'zh', 'settings', 'Click here to become a sponsor for Seo Panel', '<b>捐赠 $100</b> 成为Seo Panel的一个<b>赞助人</b>.', '2014-05-15 17:56:30'),
(2474, 'zh', 'settings', 'seopanel_description', 'Seo panel是一个完整的免费的能对你的站点进行搜索引擎优化的控制面板。它拥有很多热门的seo工具来追踪你的站点情况。它是一个开源软件，而且你可以开发自己的seopanel。', '2014-05-15 17:56:30'),
(2475, 'zh', 'settings', 'seopanel_title', 'Seo Panel：全球第一款多站点seo处理开源软件', '2014-05-15 17:56:30'),
(2476, 'zh', 'settings', 'SP_CRAWL_DELAY', '每次爬去间隔时间(秒)', '2014-05-15 17:56:30'),
(2477, 'zh', 'settings', 'SP_DEFAULTLANG', '默认语言', '2014-05-15 17:56:30'),
(2478, 'zh', 'settings', 'SP_DESCRIPTION', 'Seo Panel 描述', '2014-05-15 17:56:30'),
(2479, 'zh', 'settings', 'SP_ENABLE_PROXY', '使用代理', '2014-05-15 17:56:30'),
(2480, 'zh', 'settings', 'SP_HOTLINKING', '使用图片盗链保护', '2014-05-15 17:56:30'),
(2481, 'zh', 'settings', 'SP_KEYWORDS', 'Seo Panel 关键字', '2014-05-15 17:56:30'),
(2482, 'zh', 'settings', 'SP_PAGINGNO', '每页条目数量', '2014-05-15 17:56:30'),
(2483, 'zh', 'settings', 'SP_TITLE', 'Seo Panel 标题', '2014-05-15 17:56:30'),
(2484, 'zh', 'settings', 'SP_USER_GEN_REPORT', '允许用户生成报告', '2014-05-15 17:56:30'),
(2485, 'zh', 'settings', 'SP_USER_REGISTRATION', '用户注册接口', '2014-05-15 17:56:30'),
(2486, 'zh', 'settings', 'syssettingssaved', '系统设置保存成功', '2014-05-15 17:56:30'),
(2487, 'zh', 'sitemap', 'Change frequency', '改变频率', '2010-10-17 21:33:58'),
(2488, 'zh', 'sitemap', 'clickproceedsitemap', '点击<b>处理</b>创建站点地图文件', '2010-10-17 21:33:58'),
(2489, 'zh', 'sitemap', 'Download sitemap file from', '下载站点地图文件', '2010-10-17 21:33:58'),
(2490, 'zh', 'sitemap', 'Exclude Url', '不包括的URL', '2010-10-17 21:33:58'),
(2491, 'zh', 'sitemap', 'processtaketime', '本次处理需要一段时间根据你的站点连接数。请等待，稍后将获取站点地图文件', '2010-10-17 21:33:58'),
(2492, 'zh', 'sitemap', 'Sitemap Type', '站点地图类型', '2010-10-17 21:33:58'),
(2493, 'zh', 'user', 'Edit User', '编辑用户信息', '2010-10-17 21:35:39'),
(2494, 'zh', 'user', 'Saved My Profile Details', '保存我的详细资料', '2010-10-17 21:35:39'),
(2495, 'zh', 'website', 'Edit Website', '编辑站点', '2010-10-17 21:37:23'),
(2496, 'zh', 'website', 'plscrtwebsite', '使用seo工具和插件前，请先创建一个站点', '2010-10-17 21:37:23'),
(2497, 'zh', 'website', 'Website already exist', '站点已经存在', '2010-10-17 21:37:23'),
(2498, 'zh', 'website', 'yourwebalreday', '你的站点，如果你已经创建了一个', '2010-10-17 21:37:23'),
(2499, 'zh', 'label', 'already exist', '已经存在', '2014-05-15 17:47:51'),
(2500, 'zh', 'label', 'Authentication', '认证', '2014-05-15 17:47:51'),
(2501, 'zh', 'label', 'Author', '作者', '2014-05-15 17:47:51'),
(2502, 'zh', 'label', 'Click Here', '点击这里', '2014-05-15 17:47:51'),
(2503, 'zh', 'label', 'Cron', 'Cron', '2014-05-15 17:47:51'),
(2504, 'zh', 'label', 'Description', '描述', '2014-05-15 17:47:51'),
(2505, 'zh', 'label', 'Developers', '开发人员', '2014-05-15 17:47:51'),
(2506, 'zh', 'label', 'Download', '下载', '2014-05-15 17:47:51'),
(2507, 'zh', 'label', 'Installation', '安装', '2014-05-15 17:47:51'),
(2508, 'zh', 'label', 'Keywords', '关键字', '2014-05-15 17:47:51'),
(2509, 'zh', 'label', 'noactiveplugins', '未找到可用的seo插件', '2014-05-15 17:47:51'),
(2510, 'zh', 'label', 'Plugin', '插件', '2014-05-15 17:47:51'),
(2511, 'zh', 'label', 'Port', '端口', '2014-05-15 17:47:51'),
(2512, 'zh', 'label', 'Proxy', '代理', '2014-05-15 17:47:51'),
(2513, 'zh', 'label', 'Re-install', '重新安装', '2014-05-15 17:47:51'),
(2514, 'zh', 'label', 'Sponsors', '赞助商', '2014-05-15 17:47:51'),
(2515, 'zh', 'label', 'Title', '标题', '2014-05-15 17:47:51'),
(2516, 'zh', 'label', 'translation by', '译者：', '2014-05-15 17:47:51'),
(2517, 'zh', 'label', 'Translators', '所有译者：', '2014-05-15 17:47:51'),
(2518, 'zh', 'label', 'Upgrade', '升级', '2014-05-15 17:47:51'),
(2519, 'zh', 'label', 'Version', '版本', '2014-05-15 17:47:51'),
(2520, 'zh', 'label', 'wantproceed', '你确实要开始处理了吗？', '2014-05-15 17:47:51'),
(2521, 'ru', 'home', 'Account Summary', 'Резюме аккаунта', '2019-11-28 13:27:27'),
(2522, 'ru', 'home', 'Backlinks', 'Обратные ссылки', '2019-11-28 13:27:27'),
(2523, 'ru', 'home', 'Directory Submission', 'Рассылка в каталоги', '2019-11-28 13:27:27'),
(2524, 'ru', 'home', 'home_cont1', '<h1 style=\"text-align: center;margin-bottom: 30px;font-size: 19px;\">Добро пожаловать на сайт Seo Panel - первый в мире бесплатный инструмент для продвижения сайтов</h1>\r\n        <p>\r\n            Seo panel - <b>скрипт с открытым исходным кодом</b>, для управления <b>оптимизацией сайтов</b> для поисковых систем. \r\n            Seo Panel это <b>набор инструментов для сео,</b> включающий в себя инструменты для \r\n<b>отслеживания и увеличения</b> <b>позиций</b> ваших сайтов в поисковых системах.\r\n            Seo panel <b>бесплатное программное обеспечение,</b> выпущенное под лицензией <b>GNU GENERAL PUBLIC LICENSE</b>.\r\n            Главной особенностью Seo panel, является ее <b>настраиваемость</b>, с помощью <a href=\"<?=SP_PLUGINSITE?>\" target=\"_blank\">сео плагинов</a>.\r\n            Любой разработчик может легко <b>разработать и установить</b> необходимые плагины для Seo panel.\r\n        </p>\r\n        <p></p>\r\n        <p>\r\n            Seo panel - открытое программное обеспечение, <b>выпущено в январе 2010 года</b>.\r\n            За этот <b>короткий период</b> времени, <b>тысячи</b> <b>веб-мастеров</b> начали использовать программу для <b>оптимизации</b> своих сайтов.\r\n            Используйте Seo panel сегодня вместе с нами, для <b>успешного</b> <b>продвижения сайтов в поисковых системах, применяя единую платформу</b>.\r\n        </p>', '2019-11-28 13:27:27'),
(2525, 'ru', 'home', 'home_cont2', '<fieldset>\r\n<legend>Основные характеристики Seo Panel <?=SP_INSTALLED?></legend>\r\n<ul class=\"infobox\">\r\n    <li>        \r\n        <h1>Инструмент автоматический рассылки в каталоги</h1>\r\n        <p>\r\n            Инструмент автоматический рассылки в каталоги поможет вам <b>рассылать ваши сайты</b> во многие <b>бесплатные\r\nи платные каталоги</b>.\r\n            А так же скрипт рассылки <b>отслеживает состояние</b> каждой отправленной ссылки <b>через периодические проверки</b> с помощью\r\n  программы <b>проверки статуса отправки</b>.\r\n            <b>Менеджер каталогов</b> поможет вам узнать, <b>активный каталог</b> или нет.\r\n        </p>\r\n    </li>\r\n    <li>        \r\n        <h1>Проверка позиции ключевых слов</h1>\r\n        <p>\r\n            Поиск позиции ключевых слов в <b>поисковых системах</b> по <b>целевым ключевым словам</b>\r\nсайта и <b>сохранение их в</b> системе.\r\n            В разделе отчетов о положении ключевых слов, вы можете увидеть <b>ежедневные позиции</b> ключевых слов в \r\nразличных поисковых системах в виде <b>красивой графики</b> и <b>подробных отчетов</b>.\r\n        </p>\r\n    </li>\r\n    <li>        \r\n        <h1>Аудит сайта</h1>\r\n        <p>Аудитор сайта будет проводить <b> сео-проверку всех факторов</b> каждой страницы сайта и предоставит\r\n<b>подробный отчет</b> о каждой странице. Это поможет вам создавать <b>XML,HTML,TEXT</b> файлы карты сайта\r\n с для <b>отправки</b> в поисковые системы.</p>\r\n    </li>\r\n    <li>        \r\n        <h1>Проверка рейтинга Google и Alexa Rank</h1>\r\n        <p>\r\n            Отслеживание Google и Alexa Rank, <b>google pagerank</b> и <b>alexa rank</b> ваших\r\nсайтов и <b>сохранение</b> их в системе.\r\n            В разделе <b>отчеты по рейтингу</b>, вы увидите <b>ежедневные детальные отчеты</b> google и alexa rank каждого добавленного вами сайта.\r\n        </p>\r\n    </li>\r\n    <li>        \r\n        <h1>Проверка обратных ссылок</h1>\r\n        <p>\r\n            Проверка обратных ссылок даст <b>количество отчет о количестве ссылок</b> на ваши сайты в различных поисковых\r\nсистемах<b> (yandex, google, yahoo, msn и т.д.)</b>, сохранит отчет в системе.\r\n            <br>В <b>ежедневных отчетах</b> вы увидите подробно статистику <b>о обратных ссылках</b> на ваши сайты.\r\n        </p>\r\n    </li>    \r\n    <li>        \r\n        <h1>Проверка поисковой насыщенности</h1>\r\n        <p>\r\n            Проверка поисковой насыщенности покажет <b>количество проиндексированных страниц</b> вашего сайта или магазина в\r\nразличных поисковых системах<b> (yandex, google, yahoo, msn и т.д.)</b>.\r\n            В разделе <b>отчеты о проверке поисковой насыщенности</b>, вы можете увидеть <b>подсчет ежедневно проиндексированных\r\nстраниц</b> каждого добавленного сайта <b>в виде детального отчета</b>.\r\n        </p>\r\n    </li>\r\n    <li>        \r\n        <h1>Плагины Seo Panel</h1>\r\n        <p>\r\n           Главной особенностью <b>Seo Panel</b> является его <b>расширяемость</b>.\r\n            Добавьте <b>seo плагины</b> в вашу Seo panel для <b>расширения ее возможностей</b> в соответствии с вашим\r\nтребованиями.\r\n            <a href=\"<?=SP_PLUGINSITE?>\" target=\"_blank\">Плагины Seo panel</a>, предоставляются как разработчиками системы\r\nтак и сторонними разработчиками.\r\n            И вы можно легко <b>разрабатывать</b> сео плагины для Seo panel.\r\n            Вы можете <a href=\"<?=SP_PLUGINSITE?>\" target=\"_blank\">отпрваить</a> ваши seo плагины для Seo panel нам, \r\nмы обязательно <b>опубликуем</b> после рассмотрения на нашем сайте ваши <b>плагины</b>.\r\n        </p>\r\n    </li>\r\n    <li>        \r\n        <h1>Генератор мета-тегов</h1>\r\n        <p>\r\n            Генератор мета-тегов это <b>плагин Seo panel</b> для создания <b>мета-тегов сайта</b> пользователей.\r\n            Генератор мета-тегов позволит вам дать <b>более подробную информацию</b> о вашем сайте <b>ботам поисковых систем</b>\r\nво время индексации вашего сайта.\r\n        </p>\r\n    </li>\r\n</ul>\r\n</fieldset>', '2019-11-28 13:27:27'),
(5116, 'ru', 'home', 'Indexed', 'Проиндексировано', '2019-11-28 13:27:27'),
(5117, 'ru', 'keyword', 'Insert keywords separated with comma', 'Вставьте ключевые слова разделенные запятыми', '2016-01-12 21:28:48'),
(5118, 'ru', 'label', 'Brocken', 'Сломанный', '2024-07-17 11:17:22'),
(5119, 'ru', 'label', 'Comments', 'Комментарии', '2024-07-17 11:17:22'),
(5120, 'ru', 'label', 'Count', 'Подсчет', '2024-07-17 11:17:22'),
(5121, 'ru', 'label', 'Exclude', 'Исключить', '2024-07-17 11:17:22'),
(5122, 'ru', 'label', 'Include', 'Включить', '2024-07-17 11:17:22'),
(5123, 'ru', 'label', 'Project', 'Проект', '2024-07-17 11:17:22'),
(5124, 'ru', 'label', 'Report Type', 'Тип отчета', '2024-07-17 11:17:22'),
(5125, 'ru', 'label', 'Score', 'Оценка', '2024-07-17 11:17:22'),
(5126, 'ru', 'label', 'Total Results', 'Всего результатов', '2024-07-17 11:17:22'),
(2526, 'ru', 'home', 'home_cont3', '<fieldset> \r\n<legend>Онлайн ресурсы Seo Panel</legend>     \r\n<ul class=\"infobox\"> \r\n    <li> \r\n        <h1>Онлайн справочник Seo Panel</h1>                 \r\n        <p> \r\n            <a href=\"http://www.seopanel.in\" target=\"_blank\" title=\"SEO Panel Software Website\">SEO Panel\r\nSoftware</a> \r\n        </p> \r\n        <p> \r\n            <a href=\"<?=SP_HOSTED_LINK?>\" target=\"_blank\">Хостинг от Seo Panel</a> \r\n        </p> \r\n        <p> \r\n            <a href=\"<?=SP_HELP_LINK?>\" target=\"_blank\">SEO справочник </a> \r\n        </p> \r\n        <p> \r\n            <a href=\"<?=SP_FORUM_LINK?>\" target=\"_blank\">SEO форум</a> \r\n        </p> \r\n        <p> \r\n            <a href=\"<?=SP_SUPPORT_LINK?>\" target=\"_blank\">SEO поддержка</a> \r\n        </p> \r\n    </li> \r\n</ul> \r\n</fieldset>', '2019-11-28 13:27:27'),
(13976, 'ru', 'home', 'Overall Report Summary', 'Общее резюме доклада', '2019-11-28 13:27:27'),
(13977, 'ru', 'panel', 'Report Generation Logs', 'Отправить сгенерированные логи', '2024-07-17 11:19:14'),
(13978, 'ru', 'panel', 'Sitemaps', 'Карты сайта', '2024-07-17 11:19:14'),
(13979, 'ru', 'panel', 'Submit Sitemap', 'Добавить карту сайта', '2024-07-17 11:19:14'),
(6550, 'fa', 'support', 'support_cont1', '<fieldset> \r\n<legend>Seo Panel Support System</legend> \r\n<ul class=\\\"infobox\\\"> \r\n    <li> \r\n        <h1>1000 Directory Package</h1>  \r\n        <p> \r\n            We are providing <b>1000 free active and verified</b> internet directory package, to add into\r\nyour seo panel <b>directory submission tool</b>. \r\n            It will help you to <b>increase the backlinks</b> of your websites. \r\n            Actually 1000 directory list is <b>introduced</b> to collect some money for <b>future\r\ndevelopment</b> of seo panel. \r\n            To get the 1000 directory list please <a href=\\\"<?=SP_DONATE_LINK?>\\\" target=\\\"_blank\\\">donate</a>\r\n$10 or more to improve the features of seo panel. \r\n            If you have any questions about 1000 directory package, please <a href=\\\"<?=SP_CONTACT_LINK?>\\\"\r\ntarget=\\\"_blank\\\">contact us</a> or open a ticket in <a href=\\\"<?=SP_SUPPORT_LINK?>\\\"\r\ntarget=\\\"_blank\\\">support system</a>.    \r\n        </p>         \r\n        <p> \r\n            <a href=\\\"<?=SP_DONATE_LINK?>\\\" target=\\\"_blank\\\">Visit this link to donate to seo panel</a> \r\n        </p> \r\n        <br> \r\n    </li> \r\n     \r\n    <li> \r\n        <h1>Local Search Engines Package</h1>  \r\n        <p> \r\n            Add <b>local search engine domains</b> of google,yahoo,msn(<b>eg: www.google.de,www.google.fr\r\netc</b>) to seo panel <b>keyword position checker</b>, to track your site perfomance locally. \r\n            To get local search engines package(according to your requirement) please <a\r\nhref=\\\"<?=SP_DONATE_LINK?>\\\" target=\\\"_blank\\\">donate</a> $10 or more to improve the features of seo\r\npanel. \r\n            Before sending donation, please <a href=\\\"<?=SP_CONTACT_LINK?>\\\" target=\\\"_blank\\\">contact us</a> to\r\nprovide us required search engine domain list. \r\n            <br><br>               \r\n            Also to add <b>new search engines(eg:baidu.com)</b> to your seo panel keyword position checker,\r\nplease <a href=\\\"<?=SP_CONTACT_LINK?>\\\" target=\\\"_blank\\\">contact us</a> or open a ticket in <a\r\nhref=\\\"<?=SP_SUPPORT_LINK?>\\\" target=\\\"_blank\\\">support system</a>.  \r\n        </p>         \r\n        <p class=\\\"visit\\\"> \r\n            <a href=\\\"<?=SP_CONTACT_LINK?>\\\" target=\\\"_blank\\\">Visit this link to contact us</a> \r\n        </p> \r\n        <br> \r\n    </li> \r\n     \r\n    <li> \r\n        <h1>Seo Panel Plugins</h1>  \r\n        <p> \r\n            Add <b>seo plugins</b> to your seo panel to <b>extend the features</b> according to your\r\nrequirement. \r\n            <a href=\\\"<?=SP_PLUGINSITE?>\\\" target=\\\"_blank\\\">Seo panel plugins</a> are provided by both seo panel\r\nand third party sites. \r\n            You can also easily <b>develop</b> seo plugins for your seo panel. \r\n            You can <a href=\\\"<?=SP_PLUGINSITE?>\\\" target=\\\"_blank\\\">submit</a> your seo plugin to seo panel and\r\nwe will <b>publish</b> it in our website after our <b>review</b> process.         \r\n        </p>         \r\n        <p> \r\n            <a href=\\\"<?=SP_PLUGINSITE?>\\\" target=\\\"_blank\\\">Visit this link to get seo panel plugins</a> \r\n        </p> \r\n        <br> \r\n    </li>     \r\n    <li> \r\n        <h1>Contact Us</h1>  \r\n        <p> \r\n            Contact us for any questions about <b>seo panel tools,plugins and features etc</b> by using below\r\nlink.         \r\n        </p>         \r\n        <p> \r\n            <a href=\\\"<?=SP_CONTACT_LINK?>\\\" target=\\\"_blank\\\">Visit this link to contact us</a> \r\n        </p> \r\n        <br> \r\n    </li>     \r\n    <li> \r\n        <h1>Support Tickets</h1>  \r\n        <p> \r\n            To get <b>technical support</b> from seo panel team to setup the <b>seo panel tools,plugins and\r\nfeatures</b>. Eg: To set up cron for keyword position checker. \r\n        </p>         \r\n        <p> \r\n            <a href=\\\"<?=SP_SUPPORT_LINK?>\\\" target=\\\"_blank\\\">Visit this link to create a support ticket</a> \r\n        </p> \r\n        <br> \r\n    </li>     \r\n    <li> \r\n        <h1>Report Bugs</h1>  \r\n        <p> \r\n            Report <b>bugs</b> about <b>seo panel tools,plugins and features etc</b> by using below link.  \r\n            please help us to improve the features in next versions.           \r\n        </p>         \r\n        <p> \r\n            <a href=\\\"<?=SP_SUPPORT_LINK?>\\\" target=\\\"_blank\\\">Visit this link to report bugs</a> \r\n        </p> \r\n        <br> \r\n    </li>     \r\n</ul> \r\n</fieldset>', '2012-04-30 04:02:02'),
(2527, 'ru', 'home', 'Pages Indexed', 'Проиндексированные страницы', '2019-11-28 13:27:27'),
(2528, 'ru', 'home', 'Ranks', 'Rank', '2019-11-28 13:27:27'),
(2529, 'ru', 'home', 'SiteNameUrl', 'Название сайта/Url', '2019-11-28 13:27:27'),
(2530, 'ru', 'home', 'Website Statistics', 'Статистика сайта', '2019-11-28 13:27:27'),
(2531, 'zh', 'home', 'Account Summary', '账户概览', '2011-07-06 06:02:25'),
(2532, 'zh', 'home', 'Backlinks', '反向链接', '2011-07-06 06:02:25'),
(2533, 'zh', 'home', 'Directory Submission', '目录提交', '2011-07-06 06:02:25'),
(2534, 'zh', 'home', 'home_cont1', '<h1 style=\\\"text-align: center;margin-bottom: 30px;font-size: 19px;\\\">欢迎来到 Seo Panel - 全球第一款支\r\n\r\n持多站点的开源SEO工具</h1> \r\n        <p> \r\n            一个完整的 <b>开源seo 控制面板</b> 来控制你的站点<b>操作</b> .  \r\n            Seo Panel 是一个拥有最前沿热门的seo工具 <b>增加和追踪</b> 你的站点表现的\r\n<b>SEO工具包</b>. \r\n            它是一个<b>免费的软件</b> 在遵循<b>GNU GENERAL PUBLIC LICENSE</b>协议下发布. \r\n            seopanel主要的功能是 <b>扩展性</b> 通过使用 <a href=\\\"<?=SP_PLUGINSITE?>\\\"\r\ntarget=\\\"_blank\\\">seo 插件</a>. \r\n            任何人都可以简单 <b>开发和安装</b> 各自需要的插件.  \r\n        </p> \r\n        <p></p> \r\n        <p> \r\n            这款开源软件发布自<b>2010年1月</b>. \r\n            在这么<b>少的</b>时间 <b>上千</b><b>站长</b> 在用此软件 <b>操作</b> 他们的站点. \r\n            现在您可以在<b>同一个平台下</b>使用和<b>享受</b> seo的任何东西. \r\n        </p>\r\n', '2011-07-06 06:02:25'),
(2535, 'zh', 'home', 'home_cont2', '<fieldset> \r\n<legend> Seo Panel主要功能 <?=SP_INSTALLED?></legend> \r\n<ul class=\\\"infobox\\\"> \r\n    <li>         \r\n        <h1>自动目录提交工具</h1> \r\n        <p> \r\n            自动目录提交工具帮助我们<b>提交我们的站点</b>进入主要<b>免费和付费internet目录</b>. \r\n            我们也可以每次使用<b>状态检查脚本</b>提交<b>定期检查</b><b>追踪状态</b>. \r\n            <b>目录管理器</b>会帮助我们找出<b>目录是否激活</b>. \r\n        </p> \r\n    </li> \r\n    <li>         \r\n        <h1>关键字位置查询器</h1> \r\n        <p> \r\n           关键字位置查询器会系统中找出你的站点的<b>目标关键字</b>在<b>搜索引擎的排名位置</b> \r\n并且 <b>存储排名数据</b> . \r\n            在关键字报告区域, 我们可以通过<b>简洁的图表</b>和<b>详细报告</b>看到<b>每日</b>关键字在不\r\n\r\n同的搜索引擎排名的报告. \r\n        </p> \r\n    </li> \r\n    <li>         \r\n        <h1>站点审计器</h1> \r\n        <p>站点审计器可以 <b>审计所有的SEO要素</b> 在一个网站上的所有页面并且生成\r\n<b>详细报告t</b> 定位每一张网页. 这将会有助于创建我们的 <b>XML,HTML,TEXT</b>站点地图文件来<b>提交</b> 给\r\n\r\n搜索引擎.</p> \r\n    </li> \r\n    <li>         \r\n        <h1>Google和Alexa排名查询器</h1> \r\n        <p> \r\n            Google和Alexa排名查询器 会查询<b>Google PageRank</b> 和 <b>Alexa排名</b> 我们的站点并 <b>\r\n\r\n存储</b>在系统中. \r\n            在<b>排名报告</b> 中, 我们可以看到<b>每天</b>每个Google PR和 Alexa排名<b>详细报告</b>. \r\n        </p> \r\n    </li> \r\n    <li>         \r\n        <h1>反向链接查询器</h1> \r\n        <p> \r\n            反向链接查询器会在不同的搜索引擎中<b>(google,yahoo,msn 等)</b>找出>我们的站点的<b>反向链\r\n\r\n接数量</b>并<b>存储</b>到系统中. \r\n            <br>在<b>反向链接报告</b> 中, 我们可以通过<b>详细报告</b>看到每个站点的<b>每天反向链接数\r\n\r\n量</b>. \r\n        </p> \r\n    </li>     \r\n    <li>         \r\n        <h1>搜索引擎收录量查询器</h1> \r\n        <p> \r\n            搜索引擎收录量查询器会查询>我们的站点在不同的搜索引擎<b>(google,yahoo,msn 等)的<b>数量页\r\n\r\n面排名</b</b>并<b>存储</b>到系统中. \r\n            在 <b>搜索引擎收录量查询报告</b> 中, 我们可以通过<b>详细报告</b>看到每个站点的<b>每天的页\r\n\r\n面收录数量\r\n</b>. \r\n        </p> \r\n    </li> \r\n    <li>         \r\n        <h1>Seo Panel 插件</h1> \r\n        <p> \r\n            SEO控制面板的<b>主要功能</b>是它的<b>扩展性</b>. \r\n            根据你的需求增到<b>seo插件</b>到你的seo panel<b>扩展功能</b>. \r\n            <a href=\\\"<?=SP_插件ITE?>\\\" target=\\\"_blank\\\">Seo panel 插件</a>由seopanel\r\n和第三方站点提供. \r\n            你可以为你的seo panel简单<b>开发</b> seo插件. \r\n            你可以在<a href=\\\"<?=SP_PLUGINSITE?>\\\" target=\\\"_blank\\\">submit</a>发布你的seo插件seo panel，\r\n\r\n在我们通过 <b>审查</b> 处理之后就会<b>公布</b> 在我们的站点. \r\n        </p> \r\n    </li> \r\n    <li>         \r\n        <h1>Meta标签生成器</h1> \r\n        <p> \r\n            Meta标签生成器是一个为我们的站点创建 <b>自定义Mta标签</b>的<b>seo panel 插件</b>. \r\n            它帮助<b>搜索引擎机器人</b>\r\n爬行我们站点的时候获得关于我们的站点<b>更多信息</b>  . \r\n        </p> \r\n    </li> \r\n</ul> \r\n</fieldset>', '2011-07-06 06:02:25'),
(2536, 'zh', 'home', 'home_cont3', '<fieldset> \r\n<legend>Seo Panel 在线资源</legend>     \r\n<ul class=\\\"infobox\\\"> \r\n\r\n    <li> \r\n        <h1>Seo Panel 在线资源信息</h1>                 \r\n         \r\n         \r\n        <p> \r\n            <a href=\\\"http://www.seopanel.in\\\" target=\\\"_blank\\\">Seo Panel 官方站点</a> \r\n        </p> \r\n        <p> \r\n            <a href=\\\"<?=SP_DOWNLOAD_LINK?>\\\" target=\\\"_blank\\\">下载Seo Panel</a> \r\n        </p> \r\n         \r\n        <p> \r\n            <a href=\\\"<?=SP_DEMO_LINK?>\\\" target=\\\"_blank\\\">Seo Panel 例子</a> \r\n        </p> \r\n         \r\n        <p> \r\n            <a href=\\\"<?=SP_CONTACT_LINK?>\\\" target=\\\"_blank\\\">联系Seo Panel</a> \r\n        </p> \r\n         \r\n        <p> \r\n            <a href=\\\"<?=SP_HELP_LINK?>\\\" target=\\\"_blank\\\">Seo Panel 帮助向导</a> \r\n        </p> \r\n         \r\n        <p> \r\n            <a href=\\\"<?=SP_FORUM_LINK?>\\\" target=\\\"_blank\\\">Seo Panel 论坛</a> \r\n        </p> \r\n         \r\n        <p> \r\n            <a href=\\\"<?=SP_SUPPORT_LINK?>\\\" target=\\\"_blank\\\">Seo Panel 支持系统</a> \r\n        </p> \r\n         \r\n        <p> \r\n            <a href=\\\"<?=SP_DONATE_LINK?>\\\" target=\\\"_blank\\\">捐赠 Seo Panel</a> \r\n        </p> \r\n    </li> \r\n     \r\n</ul> \r\n</fieldset>', '2011-07-06 06:02:25'),
(2537, 'zh', 'home', 'Pages Indexed', '页面检索', '2011-07-06 06:02:25'),
(2538, 'zh', 'home', 'Ranks', '排名', '2011-07-06 06:02:25'),
(2539, 'zh', 'home', 'SiteNameUrl', '站点 名字/URL', '2011-07-06 06:02:25'),
(2540, 'zh', 'home', 'Website Statistics', '站点统计', '2011-07-06 06:02:25'),
(2541, 'ru', 'website', 'Edit Website', 'Редактировать сайт', '2019-08-28 09:09:29'),
(2542, 'ru', 'website', 'plscrtwebsite', 'Создайте веб-сайт до начала использования SEO инструментов и SEO плагинов.', '2019-08-28 09:09:29'),
(2543, 'ru', 'website', 'Website already exist', 'Сайт уже существует', '2019-08-28 09:09:29'),
(2544, 'ru', 'website', 'yourwebalreday', 'ваш сайт, если вы его создали.', '2019-08-28 09:09:29'),
(2545, 'ru', 'user', 'Edit User', 'Редактировать пользователя', '2016-01-12 21:39:26'),
(2546, 'ru', 'user', 'Saved My Profile Details', 'Сохранить профиль', '2016-01-12 21:39:26'),
(2547, 'ru', 'sitemap', 'Change frequency', 'Выберите частоту', '2019-01-25 11:00:48'),
(2548, 'ru', 'sitemap', 'clickproceedsitemap', 'Нажмите <b>продолжить</b> для создания карты сайта', '2019-01-25 11:00:48'),
(2549, 'ru', 'sitemap', 'Download sitemap file from', 'Скачать файл Sitemap из', '2019-01-25 11:00:48'),
(2550, 'ru', 'sitemap', 'Exclude Url', 'Исключить Url', '2019-01-25 11:00:48'),
(2551, 'ru', 'sitemap', 'processtaketime', 'Этот процесс займет некоторое время в зависимости от количества ссылок на сайте. Пожалуйста, подождите, через некоторое время вы получите файл Sitemap', '2019-01-25 11:00:48'),
(2552, 'ru', 'sitemap', 'Sitemap Type', 'Тип карты сайтов', '2019-01-25 11:00:48'),
(2701, 'bg', 'button', 'Check Status', 'Провери статуса', '2014-01-08 19:20:35'),
(2702, 'bg', 'button', 'Proceed', 'Продължи', '2014-01-08 19:20:35'),
(2703, 'bg', 'button', 'Reload', 'Презареди', '2014-01-08 19:20:35'),
(2704, 'bg', 'button', 'Show Details', 'Покажи детайли', '2014-01-08 19:20:35'),
(2705, 'bg', 'button', 'Show Records', 'Покажи записите', '2014-01-08 19:20:35'),
(2706, 'bg', 'button', 'Skip', 'Пропусни', '2014-01-08 19:20:35'),
(2707, 'bg', 'button', 'Submit', 'Изпрати', '2014-01-08 19:20:35'),
(2708, 'bg', 'backlink', 'clickproceedbacklink', 'Въведете <b>по един</b> URL адрес на ред. Натиснете върху <b>Продължи</b> за да проверите беклинковете', '2010-11-14 18:52:58'),
(2709, 'bg', 'backlink', 'Saved backlink results of', 'Запазени беклинк резултати за', '2010-11-14 18:52:58'),
(2710, 'bg', 'common', 'Action', 'Действие', '2019-05-25 18:00:14'),
(2711, 'bg', 'common', 'Activate', 'Активирай', '2019-05-25 18:00:14'),
(2712, 'bg', 'common', 'Active', 'Активен', '2019-05-25 18:00:14'),
(2713, 'bg', 'common', 'Admin Panel', 'Админ Панел', '2019-05-25 18:00:14'),
(2553, 'ru', 'keyword', 'Crawling keyword', 'Сканирование ключевых слов', '2016-01-12 21:28:48'),
(2554, 'ru', 'keyword', 'Detailed Keyword Position Reports', 'Детальные отчеты по позициям ключевых слов', '2016-01-12 21:28:48'),
(2555, 'ru', 'keyword', 'Edit Keyword', 'Редактировать ключевое слово', '2016-01-12 21:28:48'),
(2556, 'ru', 'keyword', 'Graphical Keyword Position Reports', 'Графический отчет по позициям ключевых слов', '2016-01-12 21:28:48'),
(2557, 'ru', 'keyword', 'Import Keywords', 'Импорт ключевых слов', '2016-01-12 21:28:48'),
(2558, 'ru', 'keyword', 'Keyword already exist', 'Ключевое слово уже существует', '2016-01-12 21:28:48'),
(2559, 'ru', 'keyword', 'Keyword Position Report', 'Отчет о позиции ключевого слова', '2016-01-12 21:28:48'),
(2560, 'ru', 'keyword', 'New Keyword', 'Новое ключевое слово', '2016-01-12 21:28:48'),
(2561, 'ru', 'keyword', 'not assigned to required search engines', 'не выбраны необходимые поисковые системы', '2016-01-12 21:28:48'),
(2562, 'ru', 'keyword', 'pleaseselecttool', 'Пожалуйста, выберите хотя бы один сео-инструмент', '2016-01-12 21:28:48'),
(2563, 'ru', 'keyword', 'Quick Keyword Position Checker', 'Быстрая проверка позиций ключевых слов', '2016-01-12 21:28:48'),
(2564, 'ru', 'keyword', 'results from ', 'Результаты', '2016-01-12 21:28:48'),
(2565, 'ru', 'keyword', 'Show All results', 'Показать все результаты', '2016-01-12 21:28:48'),
(2566, 'ru', 'keyword', 'Successfully crawled keyword', 'Ключевое слово успешно просканировано', '2016-01-12 21:28:48'),
(2567, 'ru', 'keyword', 'to create new keywords', 'создать новые ключевые слова', '2016-01-12 21:28:48'),
(2568, 'ru', 'label', 'already exist', 'уже существует', '2024-07-17 11:17:22'),
(2569, 'ru', 'label', 'Authentication', 'Аутентификация', '2024-07-17 11:17:22'),
(2570, 'ru', 'label', 'Author', 'Автор', '2024-07-17 11:17:22'),
(2571, 'ru', 'label', 'Click Here', 'Нажмите сюда', '2024-07-17 11:17:22'),
(2572, 'ru', 'label', 'Cron', 'Cron', '2024-07-17 11:17:22'),
(2573, 'ru', 'label', 'Description', 'Описание', '2024-07-17 11:17:22'),
(2574, 'ru', 'label', 'Developers', 'Разработчики', '2024-07-17 11:17:22'),
(2575, 'ru', 'label', 'Download', 'Скачать', '2024-07-17 11:17:22'),
(2576, 'ru', 'label', 'Installation', 'Установка', '2024-07-17 11:17:22'),
(2577, 'ru', 'label', 'Keywords', 'Ключевые слова', '2024-07-17 11:17:22'),
(2578, 'ru', 'label', 'noactiveplugins', 'Нет активных дополнений для Seo panel!', '2024-07-17 11:17:22'),
(2579, 'ru', 'label', 'Plugin', 'Плагины', '2024-07-17 11:17:22'),
(2580, 'ru', 'label', 'Port', 'Порт', '2024-07-17 11:17:22'),
(2581, 'ru', 'label', 'Proxy', 'Прокси', '2024-07-17 11:17:22'),
(2582, 'ru', 'label', 'Re-install', 'Переустановить', '2024-07-17 11:17:22'),
(2583, 'ru', 'label', 'Sponsors', 'Спонсоры', '2024-07-17 11:17:22'),
(2584, 'ru', 'label', 'Title', 'Заголовок', '2024-07-17 11:17:22'),
(2585, 'ru', 'label', 'translation by', 'переведен', '2024-07-17 11:17:22'),
(2586, 'ru', 'label', 'Translators', 'Переводчики', '2024-07-17 11:17:22'),
(2587, 'ru', 'label', 'Upgrade', 'Обновление', '2024-07-17 11:17:22'),
(2588, 'ru', 'label', 'Version', 'Версия', '2024-07-17 11:17:22'),
(2589, 'ru', 'label', 'wantproceed', 'Вы действительно хотите продолжить?', '2024-07-17 11:17:22'),
(2590, 'ru', 'login', 'Confirm Password', 'Повторите пароль', '2018-08-21 17:07:34'),
(2591, 'ru', 'login', 'Create my account', 'Создать аккаунт', '2018-08-21 17:07:34'),
(2592, 'ru', 'login', 'Create New Account', 'Создать новый аккаунт', '2018-08-21 17:07:34'),
(2593, 'ru', 'login', 'Email', 'Email', '2018-08-21 17:07:34'),
(2594, 'ru', 'login', 'emailexist', 'Email уже существует', '2018-08-21 17:07:34'),
(2595, 'ru', 'login', 'Enter the code as it is shown', 'Введите код с картинки', '2018-08-21 17:07:34'),
(2596, 'ru', 'login', 'First Name', 'Имя', '2018-08-21 17:07:34'),
(2597, 'ru', 'login', 'Last Name', 'Фамилия', '2018-08-21 17:07:34'),
(2598, 'ru', 'login', 'Login', 'Логин', '2018-08-21 17:07:34'),
(2599, 'ru', 'login', 'Login incorrect', 'Неправильный логин', '2018-08-21 17:07:34'),
(2600, 'ru', 'login', 'newaccountsuccess', 'Новый аккаунт успешно создан!', '2018-08-21 17:07:34'),
(2601, 'ru', 'login', 'Password', 'Пароль', '2018-08-21 17:07:34'),
(2602, 'ru', 'login', 'Password incorrect', 'Неправильный пароль', '2018-08-21 17:07:34'),
(2603, 'ru', 'login', 'Register', 'Регистрация', '2018-08-21 17:07:34'),
(2604, 'ru', 'login', 'Sign in to your account', 'Войдите в свой аккаунт', '2018-08-21 17:07:34'),
(2605, 'ru', 'login', 'User inactive', 'Неактивный пользователь', '2018-08-21 17:07:34'),
(2606, 'ru', 'login', 'Username', 'Имя пользователя', '2018-08-21 17:07:34'),
(2607, 'ru', 'login', 'usernameexist', 'Имя пользователя уже существует!', '2018-08-21 17:07:34'),
(2608, 'ru', 'panel', 'About Us', 'О нас', '2024-07-17 11:19:14'),
(2609, 'ru', 'panel', 'Add following command to your cron tab', 'Добавить следующую команду в вкладку Cron', '2024-07-17 11:19:14'),
(2610, 'ru', 'panel', 'alsocheckfollowlink', 'Также просмотрите следующую ссылку, если вам нужны больше подробностей.', '2024-07-17 11:19:14'),
(2611, 'ru', 'panel', 'Check Directory', 'Выбор каталогов', '2024-07-17 11:19:14'),
(2612, 'ru', 'panel', 'Cron Command', 'Команда Cron', '2024-07-17 11:19:14'),
(2613, 'ru', 'panel', 'Directory Manager', 'Менеджер каталогов', '2024-07-17 11:19:14'),
(2614, 'ru', 'panel', 'Edit My Profile', 'Редактировать профиль', '2024-07-17 11:19:14'),
(2615, 'ru', 'panel', 'My Profile', 'Мой профиль', '2024-07-17 11:19:14'),
(2616, 'ru', 'panel', 'New Proxy', 'Новый прокси', '2024-07-17 11:19:14'),
(2617, 'ru', 'panel', 'New User', 'Новый пользователь', '2024-07-17 11:19:14'),
(2618, 'ru', 'panel', 'New Website', 'Новый сайт', '2024-07-17 11:19:14'),
(2619, 'ru', 'panel', 'Proxy Manager', 'Менеджер прокси', '2024-07-17 11:19:14'),
(2620, 'ru', 'panel', 'Report Generation Manager', 'Менеджер формирования отчетов', '2024-07-17 11:19:14'),
(2621, 'ru', 'panel', 'Reports Manager', 'Менеджер отчетов', '2024-07-17 11:19:14'),
(2622, 'ru', 'panel', 'Seo Plugins Manager', 'Менеджер сео-плагинов', '2024-07-17 11:19:14'),
(2623, 'ru', 'panel', 'Seo Tools Manager', 'Менеджер сео-инструментов', '2024-07-17 11:19:14'),
(2624, 'ru', 'panel', 'System Settings', 'Системные настройки', '2024-07-17 11:19:14'),
(2625, 'ru', 'panel', 'User Manager', 'Менеджер пользователей', '2024-07-17 11:19:14'),
(2626, 'ru', 'panel', 'Website Manager', 'Менеджер сайтов', '2024-07-17 11:19:14'),
(2627, 'ru', 'plugin', 'Edit Seo Plugin', 'Редактировать сео-плагин', '2012-05-13 03:10:56'),
(2628, 'ru', 'plugin', 'Plugin Name', 'Название плагина', '2012-05-13 03:10:56'),
(2629, 'ru', 'plugin', 'Seo Plugin Details', 'Детали сео-плагина', '2012-05-13 03:10:56'),
(2630, 'ru', 'proxy', 'Edit Proxy', 'Редактировать прокси', '2016-12-09 16:23:58'),
(2631, 'ru', 'proxy', 'Proxy Password', 'Пароль прокси', '2016-12-09 16:23:58'),
(2632, 'ru', 'proxy', 'Proxy Username', 'Имя пользователя прокси', '2016-12-09 16:23:58'),
(2633, 'ru', 'proxy', 'Proxyalreadyexist', 'Прокси уже существует!', '2016-12-09 16:23:58'),
(2634, 'ru', 'rank', 'enterurlproceed', 'Введите URL, <b>по одному в каждой строке</b>. Нажмите <b>продолжить</b>, для проверки Google и Alexa Rank.', '2010-10-26 09:52:58'),
(2635, 'ru', 'rank', 'Google and Alexa Rank Reports', 'Отчеты Google и Alexa Rank', '2010-10-26 09:52:58'),
(2636, 'ru', 'rank', 'Saved rank results of', 'Сохраненные результаты', '2010-10-26 09:52:58'),
(2637, 'ru', 'saturation', 'clickproceedsaturation', 'Введите URL, <b>по одному в каждой строке </b>. Нажмите <b>продолжить</b>, для проверки результатов насыщенности в поисковых системах', '2010-10-21 09:16:23'),
(2638, 'ru', 'saturation', 'GenerateSaturationReports', 'Создание отчетов по поисковой насыщенности', '2010-10-21 09:16:23'),
(2639, 'ru', 'saturation', 'Quick Search Engine Saturation Checker', 'Быстрая проверка поисковой насыщенности', '2010-10-21 09:16:23'),
(2640, 'ru', 'saturation', 'Saved Search Engine Saturation results of', 'Сохраненные результаты поисковой насыщенности', '2010-10-21 09:16:23'),
(2641, 'ru', 'saturation', 'Search Engine Saturation Reports', 'Отчеты по поисковой насыщенности', '2010-10-21 09:16:23'),
(2642, 'ru', 'seotools', 'Automatic Submission', 'Автоматическая рассылка', '2024-07-17 11:26:22'),
(2643, 'ru', 'seotools', 'backlink-checker', 'Проверка обратных ссылок', '2024-07-17 11:26:22'),
(2644, 'ru', 'seotools', 'Backlinks Reports', 'Отчеты обратных ссылок', '2024-07-17 11:26:22'),
(2645, 'ru', 'seotools', 'Check Submission Status', 'Проверить статус рассылки', '2024-07-17 11:26:22'),
(2646, 'ru', 'seotools', 'clickgeneratereports', 'Нажмите <b>продолжить</b> для генерации отчета', '2024-07-17 11:26:22'),
(2647, 'ru', 'seotools', 'Detailed Position Reports', 'Детальный отчет о позициях', '2024-07-17 11:26:22'),
(2648, 'ru', 'seotools', 'directory-submission', 'Рассылка в каталоги', '2024-07-17 11:26:22'),
(2649, 'ru', 'seotools', 'Featured Submission', 'Рекомендуемые рассылки', '2024-07-17 11:26:22'),
(2650, 'ru', 'seotools', 'Generate Backlinks Reports', 'Создать отчет по обратным ссылкам', '2024-07-17 11:26:22'),
(2651, 'ru', 'seotools', 'Generate Keyword Reports', 'Создать отчет по ключевым словам', '2024-07-17 11:26:22'),
(2652, 'ru', 'seotools', 'Generate Rank Reports', 'Создать отчет по рейтингу', '2024-07-17 11:26:22'),
(2653, 'ru', 'seotools', 'Generate Saturation Reports', 'Создать отчет по насыщенности', '2024-07-17 11:26:22'),
(2654, 'ru', 'seotools', 'Google Sitemap Generator', 'Генератор карты сайтов Google', '2024-07-17 11:26:22'),
(2655, 'ru', 'seotools', 'Graphical Position Reports', 'Графический отчет о позициях', '2024-07-17 11:26:22'),
(2656, 'ru', 'seotools', 'Keyword Position Summary', 'Отчет по позициям ключевых слов', '2024-07-17 11:26:22'),
(2657, 'ru', 'seotools', 'keyword-position-checker', 'Проверка позиций ключевых слов', '2024-07-17 11:26:22'),
(2658, 'ru', 'seotools', 'Keywords Manager', 'Менеджер ключевых слов', '2024-07-17 11:26:22'),
(2659, 'ru', 'seotools', 'Quick Backlinks Checker', 'Быстрая проверка обратных ссылок', '2024-07-17 11:26:22'),
(2660, 'ru', 'seotools', 'Quick Position Checker', 'Быстрая проверка ключевых слов', '2024-07-17 11:26:22'),
(2661, 'ru', 'seotools', 'Quick Rank Checker', 'Быстрая проверка рейтинга', '2024-07-17 11:26:22'),
(2662, 'ru', 'seotools', 'Quick Saturation Checker', 'Быстрая проверка насыщенности', '2024-07-17 11:26:22'),
(2663, 'ru', 'seotools', 'Rank Reports', 'Отчет по рейтингу', '2024-07-17 11:26:22'),
(2664, 'ru', 'seotools', 'rank-checker', 'Проверка рейтинга', '2024-07-17 11:26:22'),
(2665, 'ru', 'seotools', 'Saturation Reports', 'Проверка насыщенности', '2024-07-17 11:26:22'),
(2666, 'ru', 'seotools', 'saturation-checker', 'Насыщенность в поисковых системах', '2024-07-17 11:26:22'),
(2667, 'ru', 'seotools', 'sitemap-generator', 'Генератор карты сайтов', '2024-07-17 11:26:22'),
(2668, 'ru', 'seotools', 'Skipped Directories', 'Пропущенные каталоги', '2024-07-17 11:26:22'),
(2669, 'ru', 'seotools', 'Submission Reports', 'Отчет по рассылкам', '2024-07-17 11:26:22'),
(2670, 'ru', 'seotools', 'User Access', 'Доступ пользователей', '2024-07-17 11:26:22'),
(2671, 'ru', 'settings', 'Click here to become a sponsor for Seo Panel', '<b>Пожертвовать $100</b> и стать <b>спонсором</b> Seo Panel. ', '2024-07-17 11:22:42'),
(2672, 'ru', 'settings', 'seopanel_description', 'Панель управления поисковой оптимизации сайтов. Содержащего большое количество инструментов для увеличения и отслеживания посещения ваших сайтов. Seo panel инструмент с открытым исходным кодом. Вы можете принять участие в разработке своих собственных плагинов для Seo panel.', '2024-07-17 11:22:42'),
(2673, 'ru', 'settings', 'seopanel_title', 'Seo panel: первый в мире продукт с открытым исходным кодом для управления несколькими сайтами.', '2024-07-17 11:22:42'),
(2674, 'ru', 'settings', 'SP_CRAWL_DELAY', 'Задержка между сканированием паука (в секундах)', '2024-07-17 11:22:42'),
(2675, 'ru', 'settings', 'SP_DEFAULTLANG', 'Язык по умолчанию', '2024-07-17 11:22:42'),
(2676, 'ru', 'settings', 'SP_DESCRIPTION', 'Описание сео-панели', '2024-07-17 11:22:42'),
(2677, 'ru', 'settings', 'SP_ENABLE_PROXY', 'Включить прокси', '2024-07-17 11:22:42'),
(2678, 'ru', 'settings', 'SP_HOTLINKING', 'Проверочное изображение включено', '2024-07-17 11:22:42'),
(2679, 'ru', 'settings', 'SP_KEYWORDS', 'Ключевые слова сео-панели', '2024-07-17 11:22:42'),
(2680, 'ru', 'settings', 'SP_PAGINGNO', 'Количество записей на странице', '2024-07-17 11:22:42'),
(2681, 'ru', 'settings', 'SP_TITLE', 'Заголовок сео-панели', '2024-07-17 11:22:42'),
(2682, 'ru', 'settings', 'SP_USER_GEN_REPORT', 'Разрешить пользователю создавать отчеты', '2024-07-17 11:22:42'),
(2683, 'ru', 'settings', 'SP_USER_REGISTRATION', 'Интерфейс регистрации пользователя', '2024-07-17 11:22:42'),
(2684, 'ru', 'settings', 'syssettingssaved', 'Системные настройки успешно сохранены!', '2024-07-17 11:22:42'),
(2685, 'ru', 'support', 'support_cont1', '<fieldset>\r\n<legend>Служба поддержки Seo Panel</legend>\r\n<ul class=\"infobox\">\r\n    <li>\r\n        <h1>Пакет из 1000 каталогов.</h1> \r\n        <p>\r\n            Мы представляем пакет из <b>1000 качественных бесплатных и проверенных</b> интернет-каталогов, для добавления\r\nв вашу seo panel.\r\n            Рассылка поможет вам <b>увеличить количество обратных ссылок</b> на ваш сайт.\r\n            На самом деле список из 1000 каталогов <b>введен</b> для сбора денег на <b>будущее\r\nразвитие</b> seo panel.\r\n            Чтобы получить список из 1000 каталогов, пожалуйста <a href=\"<?=SP_DONATE_LINK?>\" target=\"_blank\">пожертвуйте</a>\r\n$10 или больше, для улучшения Seo panel.\r\n            Если у вас возникли вопросы связанные с пакетом из 1000 каталогов, пожалуйста,<a href=\"<?=SP_CONTACT_LINK?>\"\r\ntarget=\"_blank\">свяжитесь с нами</a> или откройте запрос в <a href=\"<?=SP_SUPPORT_LINK?>\"\r\ntarget=\"_blank\">службе поддержки</a>.   \r\n        </p>        \r\n        <p>\r\n            <a href=\"<?=SP_DONATE_LINK?>\" target=\"_blank\">Нажмите на ссылку для пожертвования на развитие</a>\r\n        </p>\r\n        <br>\r\n    </li>\r\n    \r\n    <li>\r\n        <h1>Локальный пакет поисковых систем</h1> \r\n        <p>\r\n            Добавить <b>домены локальных поисковых систем</b> google,yahoo,msn(<b>например: www.google.de,www.google.fr\r\nи т.д.</b>) в seo panel, <b>для проверки позиций в поисковых системах</b>, отслеживания производительности вашего сайта \r\nв вашей стране или регионе.\r\n            Для того чтобы получить информацию о добавлении локальных поисковых системах (согласно вашему требованию), пожалуйста, <a\r\nhref=\"<?=SP_DONATE_LINK?>\" target=\"_blank\">пожертвуйте</a> $10 или больше, для улучшения сео-панели.\r\n            Перед отправкой пожертвования, пожалуйста, <a href=\"<?=SP_CONTACT_LINK?>\" target=\"_blank\">свяжитесь с нами,</a> мы отправим\r\nвам список необходимых доменов поисковых систем.\r\n            <br><br>              \r\n            Кроме того, чтобы добавить <b>новые поисковые системы (например:yandex.ru)</b> в вашу Seo panel для проверки ключевых слов,\r\nпожалуйста <a href=\"<?=SP_CONTACT_LINK?>\" target=\"_blank\">свяжитесь с нами</a> или откройте запрос <a\r\nhref=\"<?=SP_SUPPORT_LINK?>\" target=\"_blank\">в службе поддержки</a>. \r\n        </p>        \r\n        <p class=\"visit\">\r\n            <a href=\"<?=SP_CONTACT_LINK?>\" target=\"_blank\">Пройдите по ссылке, чтобы связаться с нами</a>\r\n        </p>\r\n        <br>\r\n    </li>\r\n    \r\n    <li>\r\n        <h1>Плагины Seo Panel</h1> \r\n        <p>\r\n            Добавить <b>сео-плагины</b> в вашу seo panel для <b>расширения возможностей</b> по вашему требованию.\r\n            <a href=\"<?=SP_PLUGINSITE?>\" target=\"_blank\">Плагины Seo panel</a> предоставляются разработчиками Seo panel\r\nи сторонними разработчиками.\r\n            Вы также можете легко <b>разработать</b> сео-плагин для вашего seo panel.\r\n            Вы можете <a href=\"<?=SP_PLUGINSITE?>\" target=\"_blank\">отправить</a> ваш SEO плагин для Seo panel, \r\nмы <b>опубликуем</b> его на нашем сайте после <b>предварительной</b> проверки.        \r\n        </p>        \r\n        <p>\r\n            <a href=\"<?=SP_PLUGINSITE?>\" target=\"_blank\">Пройдите по ссылке, для получения сео-плагинов</a>\r\n        </p>\r\n        <br>\r\n    </li>    \r\n    <li>\r\n        <h1>Связаться с нами</h1> \r\n        <p>\r\n            Обращайтесь к нам по любым возникшим вопросам по работе с <b>инструментами, плагинами и расширениями seo panel,</b> для\r\nперехода нажмите на ссылку.\r\n        </p>        \r\n        <p>\r\n            <a href=\"<?=SP_CONTACT_LINK?>\" target=\"_blank\">Пройдите по ссылке для связи с нами.</a>\r\n        </p>\r\n        <br>\r\n    </li>    \r\n    <li>\r\n        <h1>Запросы в поддержку</h1> \r\n        <p>\r\n            Для того чтобы получить <b>техническую поддержку</b> по установке seo panel <b>инструментов, плагинов и\r\nрасширений</b>. Например: Настроить крон для проверки позиций ключевых слов.\r\n        </p>        \r\n        <p>\r\n            <a href=\"<?=SP_SUPPORT_LINK?>\" target=\"_blank\">Пройдите по ссылке в службу технической поддержки</a>\r\n        </p>\r\n        <br>\r\n    </li>    \r\n    <li>\r\n        <h1>Отчеты по ошибкам</h1> \r\n        <p>\r\n            Для отправки отчетов по <b>ошибкам</b> в <b>инструментах seo panel, плагинах и расширениях</b> нажмите на ссылку.\r\nПожалуйста, помогите нам улучшить возможности в следующей версии.\r\n        </p>        \r\n        <p>\r\n            <a href=\"<?=SP_SUPPORT_LINK?>\" target=\"_blank\">Пройдите по ссылке для сообщения об ошибке.</a>\r\n        </p>\r\n        <br>\r\n    </li>    \r\n</ul>\r\n</fieldset>', '2019-08-28 09:08:54'),
(14731, 'ru', 'website', 'Click here to get Google Analytics View Id', 'Нажмите для получения Google Analytics View Id', '2019-08-28 09:09:29');
INSERT INTO `texts` (`id`, `lang_code`, `category`, `label`, `content`, `changed`) VALUES
(2686, 'ru', 'support', 'support_cont2', '<fieldset>\r\n<legend>Онлайн ресурсы Seo Panel</legend>\r\n<ul class=\"infobox\">\r\n        \r\n    <li>\r\n        <h1>Руководство Seo Panel</h1> \r\n        <p>\r\n            Вы можете посмотреть <a href=\"<?=SP_HELP_LINK?>\" target=\"_blank\">документацию seo panel</a> в разделе\r\n<b>руководство</b>, которая содержит <b>документацию</b> по использованию инструментов seo panel, плагинов и расширений.\r\n			<br>Это лучшее место в интернете для получения <br>справки</br> о SEO панели. Мы надеемся, что вы\r\n<b>поможете</b> seo panel в совершенствовании разработки первого бесплатного инструмента для продвижения сайтов!\r\n        </p>\r\n        <p>\r\n            <a href=\"<?=SP_HELP_LINK?>\" target=\"_blank\">Перейти в раздел помощь</a>\r\n        </p>\r\n        <br>\r\n    </li>    \r\n    <li>\r\n        <h1>Форум Seo Panel</h1> \r\n        <p>\r\n            <b>Форум Seo panel</b>, место для обсуждения первого открытого программного продукта для продвижения сайтов. \r\n            Это лучшее место для поиска <b>ответов</b> на <b>ваши вопросы</b> о seo panel. \r\n            <br>Также вы можете <b>внести</b> долю вашего <b>опыта</b> При использовании Seo panel для оптимизации\r\nсайтов.\r\n        </p>        \r\n        <p>\r\n            <a href=\"<?=SP_FORUM_LINK?>\" target=\"_blank\">Перейти на форум Seo panel</a>\r\n        </p>\r\n        <br>\r\n    </li>\r\n</ul>    \r\n</fieldset>', '2019-08-28 09:08:54'),
(2687, 'ru', 'support', 'support_cont3', '<fieldset>\r\n<legend>Пожертвования на развитие Seo Panel</legend>\r\n<ul class=\"infobox\">        \r\n    <li>\r\n        <h1>Пожертвования на развитие Seo Panel - первой в мире программы для оптимизации сайтов с открытым исходным кодом.</h1> \r\n        <p>\r\n            <b>Поддержите</b> первый в мире скрипт для создания сервиса по продвижению сайтов в интернете.\r\n            Мы планируем в будущем развивать <b>и улучшать </b> программное обеспечение.\r\n            <br>По всем вопросам <b>поддержки</b>, только мы сможем дать правильные <b>ответы</b>.\r\n            Если вы понимаете, что Seo panel <b>стоит</b> вашего внимания, пожалуйста пожертвуйте команде разработчиков.\r\n            <br>Мы <b>опубликуем</b> ваше имя на нашем сайте и ссылку на ваши ресурсы <a href=\"<?=SP_DONATE_LINK?>\"\r\ntarget=\"_blank\">на странице пожертований</a>, после получения пожертвования.\r\n        </p>\r\n        <p>\r\n            <a href=\"<?=SP_DONATE_LINK?>\" target=\"_blank\">Перейти на страницу пожертвования seo panel</a>\r\n        </p>\r\n        <br>\r\n    </li>\r\n</ul>\r\n</fieldset>\r\n', '2019-08-28 09:08:54'),
(2688, 'en', 'common', 'Profile', 'Profile', '2019-08-06 06:09:56'),
(2689, 'de', 'common', 'Profile', 'Profil', '2021-06-14 21:46:19'),
(2690, 'zh', 'common', 'Profile', '簡介', '2019-05-25 18:01:23'),
(2691, 'nl', 'common', 'Profile', 'Profiel', '2019-05-25 18:06:08'),
(2692, 'fr', 'common', 'Profile', 'Profil', '2020-02-14 11:05:11'),
(2693, 'hu', 'common', 'Profile', 'Profil', '2019-05-25 18:15:43'),
(2694, 'it', 'common', 'Profile', 'Profilo', '2022-07-11 11:16:48'),
(2695, 'pl', 'common', 'Profile', 'Profil', '2019-05-25 18:43:11'),
(2696, 'ru', 'common', 'Profile', 'Профиль', '2024-07-17 11:16:33'),
(2697, 'es', 'common', 'Profile', 'Perfil', '2019-05-25 18:49:48'),
(2698, 'bg', 'user', 'Edit User', 'Промени', '2016-12-18 17:18:03'),
(2699, 'bg', 'user', 'Saved My Profile Details', 'Детайлите на профила са запазени', '2016-12-18 17:18:03'),
(2700, 'bg', 'button', 'Cancel', 'Откажи', '2014-01-08 19:20:35'),
(2714, 'bg', 'common', 'Alexa Rank', 'Alexa Rank', '2019-05-25 18:00:14'),
(2715, 'bg', 'common', 'All', 'Всичко', '2019-05-25 18:00:14'),
(2716, 'bg', 'common', 'Category', 'Категория', '2019-05-25 18:00:14'),
(2717, 'bg', 'common', 'contact', 'Контакт', '2019-05-25 18:00:14'),
(2718, 'bg', 'common', 'copyright', 'Всички права запазени www.seopanel.in © [year]', '2019-05-25 18:00:14'),
(2719, 'bg', 'common', 'Country', 'Страна', '2019-05-25 18:00:14'),
(2720, 'bg', 'common', 'Crawl Meta Data', 'Обери Мета данни', '2019-05-25 18:00:14'),
(2721, 'bg', 'common', 'Date', 'Дата', '2019-05-25 18:00:14'),
(2722, 'bg', 'common', 'Delete', 'Изтрий', '2019-05-25 18:00:14'),
(2723, 'bg', 'common', 'Details', 'Детайли', '2019-05-25 18:00:14'),
(2724, 'bg', 'common', 'Directory', 'Директория', '2019-05-25 18:00:14'),
(2725, 'bg', 'common', 'Donate', 'Дарение', '2019-05-25 18:00:14'),
(2726, 'bg', 'common', 'Edit', 'Промени', '2019-05-25 18:00:14'),
(2727, 'bg', 'common', 'Entry cannot be blank', 'Не можете да оставите празно', '2019-05-25 18:00:14'),
(2728, 'bg', 'common', 'entrynotvalid', 'Въведените данни са невалидни', '2019-05-25 18:00:14'),
(2729, 'bg', 'common', 'failed', 'неуспешно', '2019-05-25 18:00:14'),
(2730, 'bg', 'common', 'forum', 'Форум', '2019-05-25 18:00:14'),
(2731, 'bg', 'common', 'Found', 'Намерени', '2019-05-25 18:00:14'),
(2732, 'bg', 'common', 'Google Pagerank', 'Google Пейдж Ранк ', '2019-05-25 18:00:14'),
(2733, 'bg', 'common', 'help', 'Помощ', '2019-05-25 18:00:14'),
(2734, 'bg', 'common', 'hidenews', 'Скрий новините', '2019-05-25 18:00:14'),
(2735, 'bg', 'common', 'Id', 'Id', '2019-05-25 18:00:14'),
(2736, 'bg', 'common', 'Inactivate', 'Деактивирай', '2019-05-25 18:00:14'),
(2737, 'bg', 'common', 'Inactive', 'Неактивен', '2019-05-25 18:00:14'),
(2738, 'bg', 'common', 'Invalid characters', 'Невалидни символи', '2019-05-25 18:00:14'),
(2739, 'bg', 'common', 'Invalid code entered', 'Невалиден код', '2019-05-25 18:00:14'),
(2740, 'bg', 'common', 'Invalid email address entered', 'Невалиден email адрес', '2019-05-25 18:00:14'),
(2741, 'bg', 'common', 'Invalid value', 'Невалидна стойност', '2019-05-25 18:00:14'),
(2742, 'bg', 'common', 'Keyword', 'Ключова дума', '2019-05-25 18:00:14'),
(2743, 'bg', 'common', 'Keywords', 'Ключови думи', '2019-05-25 18:00:14'),
(2744, 'bg', 'common', 'lang', 'Език', '2019-05-25 18:00:14'),
(2745, 'bg', 'common', 'My Account', 'Моят профил', '2019-05-25 18:00:14'),
(2746, 'bg', 'common', 'Name', 'Име', '2019-05-25 18:00:14'),
(2747, 'bg', 'common', 'No', 'Не', '2019-05-25 18:00:14'),
(2748, 'bg', 'common', 'No Keywords Found', 'Не са намерени ключови думи', '2019-05-25 18:00:14'),
(2749, 'bg', 'common', 'No Records Found', 'Не са намерени записи', '2019-05-25 18:00:14'),
(2750, 'bg', 'common', 'noactivetools', 'Не са намерени активни SEO инструменти', '2019-05-25 18:00:14'),
(2751, 'bg', 'common', 'nowebsites', 'Не са открити сайтове', '2019-05-25 18:00:14'),
(2752, 'bg', 'common', 'password632', 'Паролата трябва да е с дължина от 6 до 32 символа', '2019-05-25 18:00:14'),
(2753, 'bg', 'common', 'passwordnotmatch', 'Паролите не съвпадат', '2019-05-25 18:00:14'),
(2754, 'bg', 'common', 'Period', 'Период', '2019-05-25 18:00:14'),
(2755, 'bg', 'common', 'Priority', 'Приоритет', '2019-05-25 18:00:14'),
(2756, 'bg', 'common', 'Profile', 'Профил', '2019-05-25 18:00:14'),
(2757, 'bg', 'common', 'Rank', 'Ранк', '2019-05-25 18:00:14'),
(2758, 'bg', 'common', 'Reports', 'Доклади', '2019-05-25 18:00:14'),
(2759, 'bg', 'common', 'Results', 'Резултати', '2019-05-25 18:00:14'),
(2760, 'bg', 'common', 'Search Engine', 'Търсачка', '2019-05-25 18:00:14'),
(2761, 'bg', 'common', 'Select', 'Избери', '2019-05-25 18:00:14'),
(2762, 'bg', 'common', 'Seo Plugins', 'Seo Модули', '2019-05-25 18:00:14'),
(2763, 'bg', 'common', 'Seo Tools', 'Seo Инструменти', '2019-05-25 18:00:14'),
(2764, 'bg', 'common', 'Sign out', 'Изход', '2019-05-25 18:00:14'),
(2765, 'bg', 'common', 'Sign Up', 'Регистрация', '2019-05-25 18:00:14'),
(2766, 'bg', 'common', 'signin', 'Вход', '2019-05-25 18:00:14'),
(2767, 'bg', 'common', 'Status', 'Статус', '2019-05-25 18:00:14'),
(2768, 'bg', 'common', 'Support', 'Поддръжка', '2019-05-25 18:00:14'),
(2769, 'bg', 'common', 'Total', 'Общо', '2019-05-25 18:00:14'),
(2770, 'bg', 'common', 'Url', 'Url', '2019-05-25 18:00:14'),
(2771, 'bg', 'common', 'User', 'Потребител', '2019-05-25 18:00:14'),
(2772, 'bg', 'common', 'User Panel', 'Потребителски панел', '2019-05-25 18:00:14'),
(2773, 'bg', 'common', 'Website', 'Сайт', '2019-05-25 18:00:14'),
(2774, 'bg', 'common', 'Yes', 'Да', '2019-05-25 18:00:14'),
(2775, 'pt', 'backlink', 'clickproceedbacklink', 'Introduza o URL <b>Um por linha</b>. Pressione on <b>Proceda</b> para verificar os Backlinks ', '2010-10-27 03:30:04'),
(2776, 'pt', 'backlink', 'Saved backlink results of', 'Resultados guardados do Checklink de', '2010-10-27 03:30:04'),
(2777, 'pt', 'button', 'Cancel', 'Cancelar', '2014-01-08 19:31:51'),
(2778, 'pt', 'button', 'Check Status', 'Verificar Status', '2014-01-08 19:31:51'),
(2779, 'pt', 'button', 'Proceed', 'Prosseguir', '2014-01-08 19:31:51'),
(2780, 'pt', 'button', 'Reload', 'Carregar', '2014-01-08 19:31:51'),
(2781, 'pt', 'button', 'Show Details', 'Ver detalhes', '2014-01-08 19:31:51'),
(2782, 'pt', 'button', 'Show Records', 'Ver Registos', '2014-01-08 19:31:51'),
(2783, 'pt', 'button', 'Skip', 'Passar', '2014-01-08 19:31:51'),
(2784, 'pt', 'button', 'Submit', 'Submeter', '2014-01-08 19:31:51'),
(2785, 'ro', 'backlink', 'clickproceedbacklink', 'Introduceti URL-urile <b> Cate unul pe rand <b>. Apasa pe <b>Continua<b> pentru a verifica Backlink-urile', '2010-10-27 01:19:53'),
(2786, 'ro', 'backlink', 'Saved backlink results of', 'Backlink-uri salvate rezultat al', '2010-10-27 01:19:53'),
(2787, 'ro', 'button', 'Cancel', 'Anuleaza', '2014-01-08 19:32:28'),
(2788, 'ro', 'button', 'Check Status', 'Verifica statusul', '2014-01-08 19:32:28'),
(2789, 'ro', 'button', 'Proceed', 'Continua', '2014-01-08 19:32:28'),
(2790, 'ro', 'button', 'Reload', 'Reincarca', '2014-01-08 19:32:28'),
(2791, 'ro', 'button', 'Show Details', 'Arata detalii', '2014-01-08 19:32:28'),
(2792, 'ro', 'button', 'Show Records', 'Arata inregistrari', '2014-01-08 19:32:28'),
(2793, 'ro', 'button', 'Skip', 'Sari', '2014-01-08 19:32:28'),
(2794, 'ro', 'button', 'Submit', 'Executa', '2014-01-08 19:32:28'),
(2795, 'ro', 'common', 'Action', 'Actiune', '2019-05-25 18:44:58'),
(2796, 'ro', 'common', 'Activate', 'Activeaza', '2019-05-25 18:44:58'),
(2797, 'ro', 'common', 'Active', 'Activ', '2019-05-25 18:44:58'),
(2798, 'ro', 'common', 'Admin Panel', 'Panoul de comanda', '2019-05-25 18:44:58'),
(2799, 'ro', 'common', 'Alexa Rank', 'Rank Alexa', '2019-05-25 18:44:58'),
(2800, 'ro', 'common', 'All', 'Toate', '2019-05-25 18:44:58'),
(2801, 'ro', 'common', 'Category', 'Categorie', '2019-05-25 18:44:58'),
(2802, 'ro', 'common', 'contact', 'Contact', '2019-05-25 18:44:58'),
(2803, 'ro', 'common', 'copyright', 'Copyright © [year] www.seopanel.in Toate drepturile rezervate', '2019-05-25 18:44:58'),
(2804, 'ro', 'common', 'Country', 'Tara', '2019-05-25 18:44:58'),
(2805, 'ro', 'common', 'Crawl Meta Data', 'Crawl Meta Data', '2019-05-25 18:44:58'),
(2806, 'ro', 'common', 'Date', 'Data', '2019-05-25 18:44:58'),
(2807, 'ro', 'common', 'Delete', 'Sterge', '2019-05-25 18:44:58'),
(2808, 'ro', 'common', 'Details', 'Detalii', '2019-05-25 18:44:58'),
(2809, 'ro', 'common', 'Directory', 'Director', '2019-05-25 18:44:58'),
(2810, 'ro', 'common', 'Donate', 'Doneaza', '2019-05-25 18:44:58'),
(2811, 'ro', 'common', 'Edit', 'Editeaza', '2019-05-25 18:44:58'),
(2812, 'ro', 'common', 'Entry cannot be blank', 'Campul nu poate fi gol', '2019-05-25 18:44:58'),
(2813, 'ro', 'common', 'entrynotvalid', 'Datele din camp nu sunt valide', '2019-05-25 18:44:58'),
(2814, 'ro', 'common', 'failed', 'esuat', '2019-05-25 18:44:58'),
(2815, 'ro', 'common', 'forum', 'Forum', '2019-05-25 18:44:58'),
(2816, 'ro', 'common', 'Found', 'Gasit', '2019-05-25 18:44:58'),
(2817, 'ro', 'common', 'Google Pagerank', 'Google Pagerank', '2019-05-25 18:44:58'),
(2818, 'ro', 'common', 'help', 'Ajutor', '2019-05-25 18:44:58'),
(2819, 'ro', 'common', 'hidenews', 'Ascunde Noutatile Seo Panel', '2019-05-25 18:44:58'),
(2820, 'ro', 'common', 'Id', 'Id', '2019-05-25 18:44:58'),
(2821, 'ro', 'common', 'Inactivate', 'Inactiva', '2019-05-25 18:44:58'),
(2822, 'ro', 'common', 'Inactive', 'Inactiv', '2019-05-25 18:44:58'),
(2823, 'ro', 'common', 'Invalid characters', 'Caractere invalide', '2019-05-25 18:44:58'),
(2824, 'ro', 'common', 'Invalid code entered', 'Cod introdus invalid', '2019-05-25 18:44:58'),
(2825, 'ro', 'common', 'Invalid email address entered', 'Adresa de e-mail introdusa invalida', '2019-05-25 18:44:58'),
(2826, 'ro', 'common', 'Invalid value', 'Valoare invalida', '2019-05-25 18:44:58'),
(2827, 'ro', 'common', 'Keyword', 'Cuvant cheie', '2019-05-25 18:44:58'),
(2828, 'ro', 'common', 'Keywords', 'Cuvinte cheie', '2019-05-25 18:44:58'),
(2829, 'ro', 'common', 'lang', 'Limba', '2019-05-25 18:44:58'),
(2830, 'ro', 'common', 'My Account', 'Contul Meu', '2019-05-25 18:44:58'),
(2831, 'ro', 'common', 'Name', 'Nume', '2019-05-25 18:44:58'),
(2832, 'ro', 'common', 'No', 'Nu', '2019-05-25 18:44:58'),
(2833, 'ro', 'common', 'No Keywords Found', 'Niciun cuvant cheie gasit', '2019-05-25 18:44:58'),
(2834, 'ro', 'common', 'No Records Found', 'Nicio inregistrare gasita', '2019-05-25 18:44:58'),
(2835, 'ro', 'common', 'noactivetools', 'Nicio unealta Seo gasita', '2019-05-25 18:44:58'),
(2836, 'ro', 'common', 'nowebsites', 'Niciun website gasit', '2019-05-25 18:44:58'),
(2837, 'ro', 'common', 'password632', 'Parola trebuie sa aibe intre 6 si 32 de caractere', '2019-05-25 18:44:58'),
(2838, 'ro', 'common', 'passwordnotmatch', 'Parola nu se potriveste', '2019-05-25 18:44:58'),
(2839, 'ro', 'common', 'Period', 'Perioada', '2019-05-25 18:44:58'),
(2840, 'ro', 'common', 'Priority', 'Prioritate', '2019-05-25 18:44:58'),
(2841, 'ro', 'common', 'Profile', 'Profil', '2019-05-25 18:44:58'),
(2842, 'ro', 'common', 'Rank', 'Rank', '2019-05-25 18:44:58'),
(2843, 'ro', 'common', 'Reports', 'Rapoarte', '2019-05-25 18:44:58'),
(2844, 'ro', 'common', 'Results', 'Rezultate', '2019-05-25 18:44:58'),
(2845, 'ro', 'common', 'Search Engine', 'Motor de cautare', '2019-05-25 18:44:58'),
(2846, 'ro', 'common', 'Select', 'Selecteaza', '2019-05-25 18:44:58'),
(2847, 'ro', 'common', 'Seo Plugins', 'Plugin-uri seo', '2019-05-25 18:44:58'),
(2848, 'ro', 'common', 'Seo Tools', 'Unelte Seo', '2019-05-25 18:44:58'),
(2849, 'ro', 'common', 'Sign out', 'Iesire', '2019-05-25 18:44:58'),
(2850, 'ro', 'common', 'Sign Up', 'Inregistrare', '2019-05-25 18:44:58'),
(2851, 'ro', 'common', 'signin', 'Autentificare', '2019-05-25 18:44:58'),
(2852, 'ro', 'common', 'Status', 'Status', '2019-05-25 18:44:58'),
(2853, 'ro', 'common', 'Support', 'Suport', '2019-05-25 18:44:58'),
(2854, 'ro', 'common', 'Total', 'Total', '2019-05-25 18:44:58'),
(2855, 'ro', 'common', 'Url', 'Url', '2019-05-25 18:44:58'),
(2856, 'ro', 'common', 'User', 'Utilizator', '2019-05-25 18:44:58'),
(2857, 'ro', 'common', 'User Panel', 'Panoul utilizatorului', '2019-05-25 18:44:58'),
(2858, 'ro', 'common', 'Website', 'Site web', '2019-05-25 18:44:58'),
(2859, 'ro', 'common', 'Yes', 'Da', '2019-05-25 18:44:58'),
(2860, 'it', 'support', 'support_cont1', '<fieldset>\r\n<legend>Sistema supporto pannello seo</legend>\r\n<ul class=\\\"infobox\\\">\r\n    <li>\r\n        <h1>Pacchetto 1000 Directory</h1> \r\n        <p>\r\n            Forniamo un pacchetto di <b>1000 directory gratuite verificate e attive</b>, puoi inserirlo nel tuo pannello seo tramite lo <b>strumento di invio directory</b>.Ti aiuterà ad  <b>incrementare i backlink</b> verso il tuo sito web.\r\n        Attualmente l\\\'elenco di <span id=\\\"result_box\\\" lang=\\\"it\\\"><span title=\\\"\\\"> 1000  directory viene utilizzato per raccogliere fondi per il <strong>futuro sviluppo</strong> del pannello di seo</span></span>.\r\n        Per avere la lista delle 1000 directory è sufficiente  <a href=\\\"<?=SP_DONATE_LINK?>\\\" target=\\\"_blank\\\">fare una donazione di </a> $10 o più per migliorare le caratteristiche del pannello seo.\r\n        Per qualsiasi informazione sulle 1000 directory non esitare a  <a href=\\\"<?=SP_CONTACT_LINK?>\\\"\r\ntarget=\\\"_blank\\\">contattarci</a> o ad aprire un ticket sul  <a href=\\\"<?=SP_SUPPORT_LINK?>\\\"\r\ntarget=\\\"_blank\\\">forum di supporto</a>.        </p>\r\n    </li>\r\n    \r\n    <li>\r\n      <p>\r\n      <a href=\\\"<?=SP_DONATE_LINK?>\\\" target=\\\"_blank\\\">Visita questo link per effettuare una donazione per il pannello seo</a></p>\r\n      <br>\r\n    </li>\r\n    <li>\r\n        <h1>Pacchetti modori di ricerca in locale</h1> \r\n        <p>\r\n            Aggiungi i  <b>domini dei motori di ricerca in locale</b> di google,yahoo,msn(<b>es: www.google.de,www.google.fr ecc\r\n</b>) al pannello seo per la  <b>verifica della posizione delle keyword</b>, per tracciare le performance del tuo sito in locale.\r\n            Per ottenere il pacchetto dei motori di ricerca in locale(in base alle tue esigenze) per cortesia <a\r\nhref=\\\"<?=SP_DONATE_LINK?>\\\" target=\\\"_blank\\\">donae</a> $10 o di più per migliorare le caratteristiche del pannello seo. Prima di inviare una donazione, per cortesia <a href=\\\"<?=SP_CONTACT_LINK?>\\\" target=\\\"_blank\\\">contattaci</a> per fornirci l\\\'elenco dei domini che vuoi richiedere.<br>\r\n<br>              \r\n            Puoi anche aggiungere  <b>nuovi motori di ricerca (es:baidu.com)</b> al tuo pannello seo per la verifica della posizione delle keyword. Per fare questo puoi <a href=\\\"<?=SP_CONTACT_LINK?>\\\" target=\\\"_blank\\\">contattarci</a> o aprire un ticket nel <a\r\nhref=\\\"<?=SP_SUPPORT_LINK?>\\\" target=\\\"_blank\\\">sistema di supporto</a>.        </p>        \r\n<p class=\\\"visit\\\">\r\n            <a href=\\\"<?=SP_CONTACT_LINK?>\\\" target=\\\"_blank\\\">Visita questo link per contattarci</a></p>\r\n      <br>\r\n    </li>\r\n    \r\n    <li>\r\n        <h1>Plugin pannello seo</h1> \r\n  <p>\r\n            Aggiungi <b>plugin seo </b>al tuo pannello seo per  <b>estendere le caratteristiche</b> in base alle tue esigenze.\r\n      <a href=\\\"<?=SP_PLUGINSITE?>\\\" target=\\\"_blank\\\">I plugin del pannello seo </a>sono realizzati dallo stesso SeoPanel che da terze parti. Puoi anche semplicemente <b>sviluppare</b> i plugin seo per il tuo stesso pannello.Puoi  <a href=\\\"<?=SP_PLUGINSITE?>\\\" target=\\\"_blank\\\">inviare</a> il tuo plugin seo e noi e provvederemo a  <b>pubblicarlo </b>nel nostro sito web dopo il nostro processo di  <b>verifica</b>.    </p>\r\n    </li>    \r\n    <li>\r\n      <p>\r\n    <a href=\\\"<?=SP_PLUGINSITE?>\\\" target=\\\"_blank\\\">Visita questo link per prelevare plugin del pannello seo</a></p>\r\n  <br>\r\n    </li>\r\n    <li>\r\n        <h1>Contattaci</h1> \r\n        <p>\r\n      Contattaci per qualsiasi questione riguardante il <b>pannello seo, plugin e caratteristiche ecc</b> utilizzando il link che si presenta di seguito.        </p>        \r\n        <p>\r\n            <a href=\\\"<?=SP_CONTACT_LINK?>\\\" target=\\\"_blank\\\">Visita questo link per contattarci.</a></p>\r\n        <br>\r\n    </li>    \r\n    <li>\r\n        <h1>Ticket di supporto</h1> \r\n        <p>\r\n      Per avere  <b>supporto tecnico </b>dal team del pannello seo per installare gli <b>strumenti del pannello seo, plugin e altre caratteristiche.</b> Es: per configurare la cronologia per la verifica delle posizioni per le keyword.        </p>\r\n    </li>    \r\n    <li>\r\n      <p>\r\n        <a href=\\\"<?=SP_SUPPORT_LINK?>\\\" target=\\\"_blank\\\">Visita questo link per creare un ticket di supporto</a></p>\r\n      <br>\r\n    </li>\r\n    <li>\r\n        <h1>Segnala bug</h1> \r\n        <p>\r\n            Riporta i  <b>bug</b> relativi gli <b>strumenti del pannello seo,plugin, caratteristiche ecc</b> utilizzando il seguente link. Per cortesia aiutaci a migliorare tutte le caratteristiche per la prossima versione.        </p>        \r\n        <p>\r\n            <a href=\\\"<?=SP_SUPPORT_LINK?>\\\" target=\\\"_blank\\\">Visita questo link per segnalare bug</a></p>\r\n        <br>\r\n    </li>    \r\n</ul>\r\n</fieldset>', '2010-10-27 02:36:28'),
(2861, 'it', 'support', 'support_cont2', '<fieldset>\r\n<legend>Risorse online pannello seo</legend>\r\n<ul class=\\\"infobox\\\">\r\n        \r\n    <li>\r\n      <h1>Guida di aiuto del pannello seo</h1> \r\n      <p>\r\n            Puoi visualizzare la  <a href=\\\"<?=SP_HELP_LINK?>\\\" target=\\\"_blank\\\">documentazione del pannello seo </a> nella<b> guida di aiuto</b>, che contiene la<b> documentazione</b> per gli strumenti del pannello seo, plugin e relative caratteristiche.<br>\r\n          Questo è il miglior posto su internet per  <b>ricevere aiuto</b> circa il pannello seo. Speriamo che tu possa \r\n<b>contribuire</b> per la guida del pannello seo se sono errori o dimenticanze.</p>\r\n        <p>\r\n        <a href=\\\"<?=SP_HELP_LINK?>\\\" target=\\\"_blank\\\">Visita la guida di aiuto del pannello seo</a></p>\r\n        <br>\r\n    </li>    \r\n    <li>\r\n        <h1>Forum Pannello Seo</h1> \r\n        <p>\r\n            Un posto dove discutere del primo <b>pannello di controllo seo </b>open source al mondo.          Questo è il posto migliore dove trovare le <b>risposte</b> alle <b>tue domande</b> circa il pannello seo. \r\n            <br>\r\n      Puoi anche <b>condividere</b> la tua  <b>esperienza</b> nell\\\'utilizzo del pannello seo per ottimizzare il tuo sito web.      </p>        \r\n        <p>\r\n        <a href=\\\"<?=SP_FORUM_LINK?>\\\" target=\\\"_blank\\\">Visita il forum del pannello seo</a></p>\r\n        <br>\r\n  </li>\r\n</ul>    \r\n</fieldset>', '2010-10-27 02:36:28'),
(2862, 'it', 'support', 'support_cont3', '<fieldset>\r\n<legend>Dona al pannello seo</legend>\r\n<ul class=\\\"infobox\\\">        \r\n  <li>\r\n      <h1>Dona al Pannello Seo - Il primo pannello di controllo seo Open Source al mondo</h1> \r\n        <p>\r\n            <b>Dona</b> al pannello seo per supportare il primo pannello di controllo seo open source al mondo.Abbiamo programmato di  <b>aggiungere e migliorare</b> molte caratteristiche del pannello seo in futuro. \r\n            <br>\r\n            Con il vostro <b>supporto</b> possiamo raggiungere i nostri  <b>obiettivi</b>. <span id=\\\"result_box\\\" lang=\\\"it\\\" xml:lang=\\\"it\\\"><span title=\\\"\\\">Se ritieni che il pannello seo è fatto<strong> per voi,</strong> fate una donazione al team del pannello seo.<br />\r\n            </span><span title=\\\"\\\">Noi <strong>pubblicheremo</strong> il vostro nome e informazioni sul sito nella <a href=\\\"<?=SP_DONATE_LINK?>\\\"\r\ntarget=\\\"_blank\\\">pagina di donazione</a>, una volta ottenuta.</span></span><br>\r\n        </p>\r\n        <p>\r\n            <a href=\\\"<?=SP_DONATE_LINK?>\\\" target=\\\"_blank\\\">Visita questo link per donare al pannello seo</a></p>\r\n        <br>\r\n  </li>\r\n</ul>\r\n</fieldset>', '2010-10-27 02:36:28'),
(2863, 'ro', 'website', 'Edit Website', 'Editare Site Web', '2010-10-27 02:48:10'),
(2864, 'ro', 'website', 'plscrtwebsite', 'Va rugam creati un Site Web inainte sa folositi Unelte Seo si Plugin-uri Seo', '2010-10-27 02:48:10'),
(2865, 'ro', 'website', 'Website already exist', 'Site Web deja existent', '2010-10-27 02:48:10'),
(2866, 'ro', 'website', 'yourwebalreday', 'Site-ul Web al dvs. daca deja ati creat unul.', '2010-10-27 02:48:10'),
(2867, 'ro', 'user', 'Edit User', 'Editare utilizator', '2010-10-27 02:48:37'),
(2868, 'ro', 'user', 'Saved My Profile Details', 'Salvati detaliile profilului meu.', '2010-10-27 02:48:37'),
(2869, 'ro', 'sitemap', 'Change frequency', 'Schimba frecventa', '2010-10-29 01:26:49'),
(2870, 'ro', 'sitemap', 'clickproceedsitemap', 'Apasa pe <b>Continua</b> pentru a creea un fisier sitemap', '2010-10-29 01:26:49'),
(2871, 'ro', 'sitemap', 'Download sitemap file from', 'Descarca fisierul sitemap de la', '2010-10-29 01:26:49'),
(2872, 'ro', 'sitemap', 'Exclude Url', 'Exclude Url', '2010-10-29 01:26:49'),
(2873, 'ro', 'sitemap', 'processtaketime', 'Acest proces va dura ceva timp in functie de numarul link-urilor din site. Va rugam asteptati sa luati fisierele sitemap', '2010-10-29 01:26:49'),
(2874, 'ro', 'sitemap', 'Sitemap Type', 'Tip Sitemap', '2010-10-29 01:26:49'),
(2875, 'ro', 'rank', 'enterurlproceed', 'Introduceti adresele Url <b>Una pe linie</b>. Apasa pe <b>Continua</b> pentru a verifica Google si Alexa Rank', '2010-10-27 02:53:36'),
(2876, 'ro', 'rank', 'Google and Alexa Rank Reports', 'Rapoarte Google si Alexa Rank ', '2010-10-27 02:53:36'),
(2877, 'ro', 'rank', 'Saved rank results of', 'Salveaza rezultatele de rank pentru', '2010-10-27 02:53:36'),
(2878, 'ro', 'proxy', 'Edit Proxy', 'Editeaza Proxy', '2010-10-27 02:54:27'),
(2879, 'ro', 'proxy', 'Proxy Password', 'Parola Proxy', '2010-10-27 02:54:27'),
(2880, 'ro', 'proxy', 'Proxy Username', 'Utilizator Proxy', '2010-10-27 02:54:27'),
(2881, 'ro', 'proxy', 'Proxyalreadyexist', 'Proxy deja existent!', '2010-10-27 02:54:27'),
(2882, 'ro', 'plugin', 'Edit Seo Plugin', 'Editeaza Plugin Seo', '2012-05-18 21:05:13'),
(2883, 'ro', 'plugin', 'Plugin Name', 'Nume PLugin', '2012-05-18 21:05:13'),
(2884, 'ro', 'plugin', 'Seo Plugin Details', 'Detalii Plugin Seo', '2012-05-18 21:05:13'),
(2887, 'ro', 'panel', 'alsocheckfollowlink', 'Deasemenea verificati urmatorul link daca doriti mai multe detalii.', '2012-05-18 21:04:43'),
(2888, 'ro', 'panel', 'Check Directory', 'Verifica Director', '2012-05-18 21:04:43'),
(2889, 'ro', 'panel', 'Cron Command', 'Comanda Cron', '2012-05-18 21:04:43'),
(2890, 'ro', 'panel', 'Directory Manager', 'Manager Directoare', '2012-05-18 21:04:43'),
(2891, 'ro', 'panel', 'Edit My Profile', 'Editeaza Profilul Meu', '2012-05-18 21:04:43'),
(2892, 'ro', 'panel', 'My Profile', 'Profilul Meu', '2012-05-18 21:04:43'),
(2893, 'ro', 'panel', 'New Proxy', 'Proxy Nou', '2012-05-18 21:04:43'),
(2894, 'ro', 'panel', 'New User', 'Utilizator Nou', '2012-05-18 21:04:43'),
(2895, 'ro', 'panel', 'New Website', 'Site Web Nou', '2012-05-18 21:04:43'),
(2896, 'ro', 'panel', 'Proxy Manager', 'Manager Proxy', '2012-05-18 21:04:43'),
(2897, 'ro', 'panel', 'Report Generation Manager', 'Manager generare rapoarte', '2012-05-18 21:04:43'),
(2898, 'ro', 'panel', 'Reports Manager', 'Manager Rapoarte', '2012-05-18 21:04:43'),
(2899, 'ro', 'panel', 'Seo Plugins Manager', 'Manager Plugin Seo', '2012-05-18 21:04:43'),
(2900, 'ro', 'panel', 'Seo Tools Manager', 'Manager Unelte Seo', '2012-05-18 21:04:43'),
(2901, 'ro', 'panel', 'System Settings', 'Setari Sistem', '2012-05-18 21:04:43'),
(2902, 'ro', 'panel', 'User Manager', 'Manager utilizator', '2012-05-18 21:04:43'),
(2903, 'ro', 'panel', 'Website Manager', 'Manager Site Web', '2012-05-18 21:04:43'),
(2904, 'pt', 'common', 'Action', 'Acção ', '2019-05-25 18:43:55'),
(2905, 'pt', 'common', 'Activate', 'Activar ', '2019-05-25 18:43:55'),
(2906, 'pt', 'common', 'Active', 'Activo', '2019-05-25 18:43:55'),
(2907, 'pt', 'common', 'Admin Panel', 'Painel de Administração ', '2019-05-25 18:43:55'),
(2908, 'pt', 'common', 'Alexa Rank', 'Classificação na Alexa', '2019-05-25 18:43:55'),
(2909, 'pt', 'common', 'All', 'Categoria ', '2019-05-25 18:43:55'),
(2910, 'pt', 'common', 'Category', 'Categoria ', '2019-05-25 18:43:55'),
(2911, 'pt', 'common', 'contact', 'Contacto ', '2019-05-25 18:43:55'),
(2912, 'pt', 'common', 'copyright', 'Copyright © [year] www.seopanel.in Todos os direitos reservados ', '2019-05-25 18:43:55'),
(2913, 'pt', 'common', 'Country', 'País ', '2019-05-25 18:43:55'),
(2914, 'pt', 'common', 'Crawl Meta Data', 'Meta dados de pesquisa', '2019-05-25 18:43:55'),
(2915, 'pt', 'common', 'Date', 'Data ', '2019-05-25 18:43:55'),
(2916, 'pt', 'common', 'Delete', 'Excluir ', '2019-05-25 18:43:55'),
(2917, 'pt', 'common', 'Details', 'Detalhes ', '2019-05-25 18:43:55'),
(2918, 'pt', 'common', 'Directory', 'Directório', '2019-05-25 18:43:55'),
(2919, 'pt', 'common', 'Donate', 'Doar ', '2019-05-25 18:43:55'),
(2920, 'pt', 'common', 'Edit', 'Editar ', '2019-05-25 18:43:55'),
(2921, 'pt', 'common', 'Entry cannot be blank', 'Entrada não pode estar em branco', '2019-05-25 18:43:55'),
(2922, 'pt', 'common', 'entrynotvalid', 'A entrada digitada não parece ser válido ', '2019-05-25 18:43:55'),
(2923, 'pt', 'common', 'failed', 'falhado', '2019-05-25 18:43:55'),
(2924, 'pt', 'common', 'forum', 'Fórum ', '2019-05-25 18:43:55'),
(2925, 'pt', 'common', 'Found', 'Encontrados ', '2019-05-25 18:43:55'),
(2926, 'pt', 'common', 'Google Pagerank', 'Google Pagerank ', '2019-05-25 18:43:55'),
(2927, 'pt', 'common', 'help', 'Ajuda ', '2019-05-25 18:43:55'),
(2928, 'pt', 'common', 'hidenews', 'Ocultar Noticias do Painel Seo ', '2019-05-25 18:43:55'),
(2929, 'pt', 'common', 'Id', 'ID ', '2019-05-25 18:43:55'),
(2930, 'pt', 'common', 'Inactivate', 'Desactivar', '2019-05-25 18:43:55'),
(2931, 'pt', 'common', 'Inactive', 'Inactivo ', '2019-05-25 18:43:55'),
(2932, 'pt', 'common', 'Invalid characters', 'caracteres inválidos ', '2019-05-25 18:43:55'),
(2933, 'pt', 'common', 'Invalid code entered', 'Código inválido entrou ', '2019-05-25 18:43:55'),
(2934, 'pt', 'common', 'Invalid email address entered', 'Endereço de email inválido entrou ', '2019-05-25 18:43:55'),
(2935, 'pt', 'common', 'Invalid value', 'Valor inválido ', '2019-05-25 18:43:55'),
(2936, 'pt', 'common', 'Keyword', 'Palavra ', '2019-05-25 18:43:55'),
(2937, 'pt', 'common', 'Keywords', 'Palavras-chave ', '2019-05-25 18:43:55'),
(2938, 'pt', 'common', 'lang', 'Idioma ', '2019-05-25 18:43:55'),
(2939, 'pt', 'common', 'My Account', 'Minha Conta ', '2019-05-25 18:43:55'),
(2940, 'pt', 'common', 'Name', 'Nome ', '2019-05-25 18:43:55'),
(2941, 'pt', 'common', 'No', 'Não ', '2019-05-25 18:43:55'),
(2942, 'pt', 'common', 'No Keywords Found', 'Nenhuma palavra-chave encontrados ', '2019-05-25 18:43:55'),
(2943, 'pt', 'common', 'No Records Found', 'Nenhum Registo Encontrado ', '2019-05-25 18:43:55'),
(2944, 'pt', 'common', 'noactivetools', 'Não Seo Tools activo encontrado! ', '2019-05-25 18:43:55'),
(2945, 'pt', 'common', 'nowebsites', 'Nenhum dos sites encontrados ', '2019-05-25 18:43:55'),
(2946, 'pt', 'common', 'password632', 'A sequência de senha deve ter um comprimento entre 6 e 32 ', '2019-05-25 18:43:55'),
(2947, 'pt', 'common', 'passwordnotmatch', 'As senhas não coincidem ', '2019-05-25 18:43:55'),
(2948, 'pt', 'common', 'Period', 'Período ', '2019-05-25 18:43:55'),
(2949, 'pt', 'common', 'Priority', 'Prioridade ', '2019-05-25 18:43:55'),
(2950, 'pt', 'common', 'Profile', 'Perfil ', '2019-05-25 18:43:55'),
(2951, 'pt', 'common', 'Rank', 'Classificar ', '2019-05-25 18:43:55'),
(2952, 'pt', 'common', 'Reports', 'Relatórios ', '2019-05-25 18:43:55'),
(2953, 'pt', 'common', 'Results', 'Resultados', '2019-05-25 18:43:55'),
(2954, 'pt', 'common', 'Search Engine', 'Motor de pesquisa', '2019-05-25 18:43:55'),
(2955, 'pt', 'common', 'Select', 'Seleccione ', '2019-05-25 18:43:55'),
(2956, 'pt', 'common', 'Seo Plugins', 'Seo Plugins ', '2019-05-25 18:43:55'),
(2957, 'pt', 'common', 'Seo Tools', 'Seo Tools ', '2019-05-25 18:43:55'),
(2958, 'pt', 'common', 'Sign out', 'Sair', '2019-05-25 18:43:55'),
(2959, 'pt', 'common', 'Sign Up', 'Inscreva-se', '2019-05-25 18:43:55'),
(2960, 'pt', 'common', 'signin', 'Entrar', '2019-05-25 18:43:55'),
(2961, 'pt', 'common', 'Status', 'Status ', '2019-05-25 18:43:55'),
(2962, 'pt', 'common', 'Support', 'Suporte ', '2019-05-25 18:43:55'),
(2963, 'pt', 'common', 'Total', 'Total ', '2019-05-25 18:43:55'),
(2964, 'pt', 'common', 'Url', 'Url ', '2019-05-25 18:43:55'),
(2965, 'pt', 'common', 'User', 'Utilizador', '2019-05-25 18:43:55'),
(2966, 'pt', 'common', 'User Panel', 'Painel de Utilizador', '2019-05-25 18:43:55'),
(2967, 'pt', 'common', 'Website', 'Web-site ', '2019-05-25 18:43:55'),
(2968, 'pt', 'common', 'Yes', 'Sim ', '2019-05-25 18:43:55'),
(2969, 'pt', 'website', 'Edit Website', 'Editar site ', '2016-01-17 19:19:53'),
(2970, 'pt', 'website', 'plscrtwebsite', 'Crie um site antes de começar a usar ferramentas e plugins seo. ', '2016-01-17 19:19:53'),
(2971, 'pt', 'website', 'Website already exist', 'Web-site já existe ', '2016-01-17 19:19:53'),
(2972, 'pt', 'website', 'yourwebalreday', 'seu site se você já tiver criado um. ', '2016-01-17 19:19:53'),
(2973, 'pt', 'user', 'Edit User', 'Editar Utilizador', '2016-01-17 19:20:08'),
(2974, 'pt', 'user', 'Saved My Profile Details', 'Salvar os meus detalhes do perfil ', '2016-01-17 19:20:08'),
(2975, 'pt', 'sitemap', 'Change frequency', 'Mudar a frequência ', '2010-10-27 04:57:13'),
(2976, 'pt', 'sitemap', 'clickproceedsitemap', 'Clique em <b>Continuar</b> para criar o arquivo sitemap ', '2010-10-27 04:57:13'),
(2977, 'pt', 'sitemap', 'Download sitemap file from', 'Baixar o arquivo de sitemap ', '2010-10-27 04:57:13'),
(2978, 'pt', 'sitemap', 'Exclude Url', 'Excluir Url ', '2010-10-27 04:57:13'),
(2979, 'pt', 'sitemap', 'processtaketime', 'Este processo levará tempo, de acordo com o número de links em seu site. Por favor, aguarde para obter sitemap\r\narquivos ', '2010-10-27 04:57:13'),
(2980, 'pt', 'sitemap', 'Sitemap Type', 'Tipo Sitemap ', '2010-10-27 04:57:13'),
(2981, 'pt', 'settings', 'Click here to become a sponsor for Seo Panel', '<b>Doar $100<b/> e se tornar um <b>patrocinador<b/> de Seo Panel. ', '2018-01-25 19:23:30'),
(2982, 'pt', 'settings', 'seopanel_description', 'Um painel de controle livre completo para a gestão do motor de pesquisa e optimização de seus websites. Este Seo contem muitas ferramentas de SEO para aumentar e controlar a sua performance superior do site. É um software open source e você também pode desenvolver seus próprios plugins seo para o painel seo.', '2018-01-25 19:23:30'),
(2983, 'pt', 'settings', 'seopanel_title', 'Seo Painel: É o primeiro painel de controle seo open Source do mundo para geriro seo vários sites ', '2018-01-25 19:23:30'),
(2984, 'pt', 'settings', 'SP_CRAWL_DELAY', 'Atraso entre cada spider crawl (segundos) ', '2018-01-25 19:23:30'),
(2985, 'pt', 'settings', 'SP_DEFAULTLANG', 'Idioma padrão ', '2018-01-25 19:23:30'),
(2986, 'pt', 'settings', 'SP_DESCRIPTION', 'Seo Descrição Painel ', '2018-01-25 19:23:30'),
(2987, 'pt', 'settings', 'SP_ENABLE_PROXY', 'Activar Proxy ', '2018-01-25 19:23:30'),
(2988, 'pt', 'settings', 'SP_HOTLINKING', 'Imagem de  hotlink com protecção activada', '2018-01-25 19:23:30'),
(2989, 'pt', 'settings', 'SP_KEYWORDS', 'Palavras-chave Painel Seo ', '2018-01-25 19:23:30'),
(2990, 'pt', 'settings', 'SP_PAGINGNO', 'Número de entradas por página ', '2018-01-25 19:23:30'),
(2991, 'pt', 'settings', 'SP_TITLE', 'Seo título do painel ', '2018-01-25 19:23:30'),
(2992, 'pt', 'settings', 'SP_USER_GEN_REPORT', 'Permitir ao usuário gerar relatórios ', '2018-01-25 19:23:30'),
(2993, 'pt', 'settings', 'SP_USER_REGISTRATION', 'Interface de registo de utilizador', '2018-01-25 19:23:30'),
(2994, 'pt', 'settings', 'syssettingssaved', 'As definições do sistema salvas com sucesso! ', '2018-01-25 19:23:30'),
(2995, 'pt', 'seotools', 'Automatic Submission', 'Envio automático ', '2018-01-25 19:25:11'),
(2996, 'pt', 'seotools', 'backlink-checker', 'Backlinks Checker ', '2018-01-25 19:25:11'),
(2997, 'pt', 'seotools', 'Backlinks Reports', 'Backlinks Relatórios ', '2018-01-25 19:25:11'),
(2998, 'pt', 'seotools', 'Check Submission Status', 'Verificar status da submissão ', '2018-01-25 19:25:11'),
(2999, 'pt', 'seotools', 'clickgeneratereports', 'Clique em <b>proseguir<b/> para gerar relatórios ', '2018-01-25 19:25:11'),
(3000, 'pt', 'seotools', 'Detailed Position Reports', 'Relatórios detalhados da posição ', '2018-01-25 19:25:11'),
(3001, 'pt', 'seotools', 'directory-submission', 'A submissão do directório ', '2018-01-25 19:25:11'),
(3002, 'pt', 'seotools', 'Featured Submission', 'Submissão destacada', '2018-01-25 19:25:11'),
(3003, 'pt', 'seotools', 'Generate Backlinks Reports', 'Gerar relatórios Backlinks ', '2018-01-25 19:25:11'),
(3004, 'pt', 'seotools', 'Generate Keyword Reports', 'Palavra Gerar relatórios ', '2018-01-25 19:25:11'),
(3005, 'pt', 'seotools', 'Generate Rank Reports', 'Gerar relatórios da Classificação', '2018-01-25 19:25:11'),
(3006, 'pt', 'seotools', 'Generate Saturation Reports', 'Gerar relatórios de Saturação ', '2018-01-25 19:25:11'),
(3007, 'pt', 'seotools', 'Google Sitemap Generator', 'Google Sitemap Generator ', '2018-01-25 19:25:11'),
(3008, 'pt', 'seotools', 'Graphical Position Reports', 'Posição Relatórios Gráficos ', '2018-01-25 19:25:11'),
(3009, 'pt', 'seotools', 'Keyword Position Summary', 'Palavra Resumo posição ', '2018-01-25 19:25:11'),
(3010, 'pt', 'seotools', 'keyword-position-checker', 'Verificador de palavras-chave posição ', '2018-01-25 19:25:11'),
(3011, 'pt', 'seotools', 'Keywords Manager', 'Palavras-chave Manager ', '2018-01-25 19:25:11'),
(3012, 'pt', 'seotools', 'Quick Backlinks Checker', 'Verificação rápida do Backlinks ', '2018-01-25 19:25:11'),
(3013, 'pt', 'seotools', 'Quick Position Checker', 'Verificação rápida da posição ', '2018-01-25 19:25:11'),
(3014, 'pt', 'seotools', 'Quick Rank Checker', 'Verificação rápida da Classificação', '2018-01-25 19:25:11'),
(3015, 'pt', 'seotools', 'Quick Saturation Checker', 'Verificação rápida da Saturação ', '2018-01-25 19:25:11'),
(3016, 'pt', 'seotools', 'Rank Reports', 'Relatórios da Classificação ', '2018-01-25 19:25:11'),
(3017, 'pt', 'seotools', 'rank-checker', 'Verificação da Classificação', '2018-01-25 19:25:11'),
(3018, 'pt', 'seotools', 'Saturation Reports', 'Saturação Relatórios ', '2018-01-25 19:25:11'),
(3019, 'pt', 'seotools', 'saturation-checker', 'Saturação do Motor de busca', '2018-01-25 19:25:11'),
(3020, 'pt', 'seotools', 'sitemap-generator', 'Gerar Sitemap ', '2018-01-25 19:25:11'),
(3021, 'pt', 'seotools', 'Skipped Directories', 'Directórios não introduzidos ', '2018-01-25 19:25:11'),
(3022, 'pt', 'seotools', 'Submission Reports', 'Apresentação Relatórios ', '2018-01-25 19:25:11'),
(3023, 'pt', 'seotools', 'User Access', 'Acesso do Usuário ', '2018-01-25 19:25:11'),
(3024, 'pt', 'rank', 'enterurlproceed', 'Digite um URL <b>por linha<b/>. Clique em <b>Continuar<b/> para verificar a classificação no Google e Alexa.', '2010-10-27 05:33:40'),
(3025, 'pt', 'rank', 'Google and Alexa Rank Reports', 'Relatórios de classificação em Alexa e Google', '2010-10-27 05:33:40'),
(3026, 'pt', 'rank', 'Saved rank results of', 'resultados de classificação dos salvos ', '2010-10-27 05:33:40'),
(3027, 'pt', 'saturation', 'clickproceedsaturation', 'Digite um URL <b>por linha<b/>.Clique em <b>Continuar<b/> para verificar os Relatórios da Saturação do Motor de Busca', '2010-10-27 05:39:07'),
(3028, 'pt', 'saturation', 'GenerateSaturationReports', 'Gerar Relatórios da Saturação do Motor de Busca ', '2010-10-27 05:39:07'),
(3029, 'pt', 'saturation', 'Quick Search Engine Saturation Checker', 'Pesquisa Rápida Saturação do Motor de Busca', '2010-10-27 05:39:07'),
(3030, 'pt', 'saturation', 'Saved Search Engine Saturation results of', 'guardar os resultados da Saturação do Motor de Busca', '2010-10-27 05:39:07'),
(3031, 'pt', 'saturation', 'Search Engine Saturation Reports', 'Relatórios Saturação do Motor de Busca', '2010-10-27 05:39:07'),
(3032, 'pt', 'proxy', 'Edit Proxy', 'Editar Proxy ', '2018-01-25 19:17:58'),
(3033, 'pt', 'proxy', 'Proxy Password', 'password do Proxy ', '2018-01-25 19:17:58'),
(3034, 'pt', 'proxy', 'Proxy Username', 'Nome de utilizador Proxy ', '2018-01-25 19:17:58'),
(3035, 'pt', 'proxy', 'Proxyalreadyexist', 'A Proxy já existe! ', '2018-01-25 19:17:58'),
(3036, 'pt', 'plugin', 'Edit Seo Plugin', 'Editar Seo Plugin ', '2012-06-01 19:11:02'),
(3037, 'pt', 'plugin', 'Plugin Name', 'Nome do Plugin ', '2012-06-01 19:11:02'),
(3038, 'pt', 'plugin', 'Seo Plugin Details', 'Detalhes do Plugin Seo  ', '2012-06-01 19:11:02'),
(3039, 'pt', 'directory', 'Add back to directory list', 'Adicionar de volta à lista de directórios ', '2012-11-10 20:59:13'),
(3040, 'pt', 'directory', 'Approved', 'Aprovado ', '2012-11-10 20:59:13'),
(3041, 'pt', 'directory', 'Captcha', 'Captcha ', '2012-11-10 20:59:13'),
(3042, 'pt', 'directory', 'categorynote', 'Categorias, separe-os com vírgula de acordo com a prioridade. Comece com a categoria com mais prioridade. ', '2012-11-10 20:59:13'),
(3043, 'pt', 'directory', 'Check Directory Status', 'Verificar status Directório ', '2012-11-10 20:59:13'),
(3044, 'pt', 'directory', 'Check Directory Submission Status', 'Verifique o Estado da submissão do directório ', '2012-11-10 20:59:13'),
(3045, 'pt', 'directory', 'clicktoproceeddirsts', 'Clique em <b>Continuar<b/> para verificar o status do Directório. ', '2012-11-10 20:59:13'),
(3046, 'pt', 'directory', 'Confirmation', 'Confirmação ', '2012-11-10 20:59:13'),
(3047, 'pt', 'directory', 'desnote', 'Alguns directórios requerem mínima de 150 caracteres para o campo de descrição. ', '2012-11-10 20:59:13'),
(3048, 'pt', 'directory', 'Directories with out captcha', 'Directórios sem captcha ', '2012-11-10 20:59:13'),
(3049, 'pt', 'directory', 'Directory Submission Reports', 'Relatórios de inserção no Directório ', '2012-11-10 20:59:13'),
(3050, 'pt', 'directory', 'Enter the code shown', 'Digite o código mostrado ', '2012-11-10 20:59:13'),
(3051, 'pt', 'directory', 'nocatnote', 'A categoria de inserção não foi encontrado na página de inserção. Por favor, clique em <b>Actualizar<b/> ou <b>passar<b/> ', '2012-11-10 20:59:13'),
(3052, 'pt', 'directory', 'nodirnote', 'Nenhum directório <b>activo<b/> encontrado ', '2012-11-10 20:59:13'),
(3053, 'pt', 'directory', 'nosuccessnote', 'Não recebi mensagem de sucesso, por favor, verifique seu e-mail para encontrar a mensagem de confirmação ', '2012-11-10 20:59:13'),
(3054, 'pt', 'directory', 'optionalnote', 'Opcional títulos e descrições apresentar título aleatório e descrição de directórios para melhor os resultados. ', '2012-11-10 20:59:13'),
(3055, 'pt', 'directory', 'Owner Email', 'E-mail do proprietário ', '2012-11-10 20:59:13'),
(3056, 'pt', 'directory', 'Owner Name', 'Nome do proprietário ', '2012-11-10 20:59:13'),
(3057, 'pt', 'directory', 'Pending', 'Pendente', '2012-11-10 20:59:13'),
(3058, 'pt', 'directory', 'Please select a website to proceed', 'Por favor, seleccione um site para continuar ', '2012-11-10 20:59:13'),
(3059, 'pt', 'directory', 'selectwebsiteproceed', 'Seleccione um  <b>web-site</b> para <b> Continuar </b> submissão do directório. <br> Directórios Verifique <b> com a captcha </b> para enviar aos directórios com captcha fora ', '2012-11-10 20:59:13'),
(3060, 'pt', 'directory', 'selectwebsiteschecksub', 'Seleccione um <b>web-site<b/> para <b>Continuar<b/> a verificar o directório de inserção. ', '2012-11-10 20:59:13'),
(3061, 'pt', 'directory', 'Semi Automatic Directory Submission Tool', 'Ferramenta semi-automática da submissão do Directório ', '2012-11-10 20:59:13'),
(3062, 'pt', 'directory', 'spamemailnote', 'Alguns directórios podem enviar spam, nós não recomendamos usar seu endereço de e-mail principal. ', '2012-11-10 20:59:13'),
(3063, 'pt', 'directory', 'Submission Details', 'Detalhes da apresentação ', '2012-11-10 20:59:13'),
(3064, 'pt', 'directory', 'Submit Description', 'Submeter Descrição ', '2012-11-10 20:59:13'),
(3065, 'pt', 'directory', 'Submit Keywords', 'Submeter Envie-chave ', '2012-11-10 20:59:13'),
(3066, 'pt', 'directory', 'Submit Title', 'Envie título ', '2012-11-10 20:59:13'),
(3067, 'pt', 'directory', 'Website Category', 'Website Categoria ', '2012-11-10 20:59:13'),
(3068, 'pt', 'directory', 'Website Url', 'Website URL ', '2012-11-10 20:59:13'),
(3069, 'pt', 'keyword', 'Crawling keyword', 'Procura da palavra-chave', '2016-01-17 19:11:49'),
(3070, 'pt', 'keyword', 'Detailed Keyword Position Reports', 'Relatórios detalhados da posição da palavra-chave', '2016-01-17 19:11:49'),
(3071, 'pt', 'keyword', 'Edit Keyword', 'Editar palavras-chave ', '2016-01-17 19:11:49'),
(3072, 'pt', 'keyword', 'Graphical Keyword Position Reports', 'Relatórios Gráficos da posição da palavra-chave ', '2016-01-17 19:11:49'),
(3073, 'pt', 'keyword', 'Import Keywords', 'Importar palavra-chave ', '2016-01-17 19:11:49'),
(3074, 'pt', 'keyword', 'Keyword already exist', 'Palavra-chave já existe', '2016-01-17 19:11:49'),
(3075, 'pt', 'keyword', 'Keyword Position Report', 'Relatório da posição da palavra-chave', '2016-01-17 19:11:49'),
(3076, 'pt', 'keyword', 'New Keyword', 'Nova palavra-chave ', '2016-01-17 19:11:49'),
(3077, 'pt', 'keyword', 'not assigned to required search engines', 'não atribuídos aos motores de busca necessária ', '2016-01-17 19:11:49'),
(3078, 'pt', 'keyword', 'pleaseselecttool', 'Por favor, seleccione pelo menos uma da ferramentas Seo ', '2016-01-17 19:11:49'),
(3079, 'pt', 'keyword', 'Quick Keyword Position Checker', 'Busca rápida da posição da palavra-chave ', '2016-01-17 19:11:49'),
(3080, 'pt', 'keyword', 'results from ', 'resultados de', '2016-01-17 19:11:49'),
(3081, 'pt', 'keyword', 'Show All results', 'Mostrar todos os resultados ', '2016-01-17 19:11:49'),
(3082, 'pt', 'keyword', 'Successfully crawled keyword', 'Rastreados com sucesso palavra-chave ', '2016-01-17 19:11:49'),
(3083, 'pt', 'keyword', 'to create new keywords', 'para criar novas palavras-chave ', '2016-01-17 19:11:49'),
(3084, 'pt', 'label', 'already exist', 'já existem ', '2018-01-25 19:11:22'),
(3085, 'pt', 'label', 'Authentication', 'Autenticação ', '2018-01-25 19:11:22'),
(3086, 'pt', 'label', 'Author', 'Autor ', '2018-01-25 19:11:22'),
(3087, 'pt', 'label', 'Click Here', 'Clique Aqui ', '2018-01-25 19:11:22'),
(3088, 'pt', 'label', 'Cron', 'Cron ', '2018-01-25 19:11:22'),
(3089, 'pt', 'label', 'Description', 'Descrição ', '2018-01-25 19:11:22'),
(3090, 'pt', 'label', 'Developers', 'Criadores', '2018-01-25 19:11:22'),
(3091, 'pt', 'label', 'Download', 'Download ', '2018-01-25 19:11:22'),
(3092, 'pt', 'label', 'Installation', 'Instalação ', '2018-01-25 19:11:22'),
(3093, 'pt', 'label', 'Keywords', 'Palavras-chave ', '2018-01-25 19:11:22'),
(3094, 'pt', 'label', 'noactiveplugins', 'Nenhum plugins SEO activos encontrados! ', '2018-01-25 19:11:22'),
(3095, 'pt', 'label', 'Plugin', 'Plugin ', '2018-01-25 19:11:22'),
(3096, 'pt', 'label', 'Port', 'Porto ', '2018-01-25 19:11:22'),
(3097, 'pt', 'label', 'Proxy', 'Proxy ', '2018-01-25 19:11:22'),
(3098, 'pt', 'label', 'Re-install', 'Re-instalar ', '2018-01-25 19:11:22'),
(3099, 'pt', 'label', 'Sponsors', 'Patrocinadores ', '2018-01-25 19:11:22'),
(3100, 'pt', 'label', 'Title', 'Título ', '2018-01-25 19:11:22'),
(3101, 'pt', 'label', 'translation by', 'Tradução por ', '2018-01-25 19:11:22'),
(3102, 'pt', 'label', 'Translators', 'Tradutores ', '2018-01-25 19:11:22'),
(3103, 'pt', 'label', 'Upgrade', 'Upgrade ', '2018-01-25 19:11:22'),
(3104, 'pt', 'label', 'Version', 'Versão ', '2018-01-25 19:11:22'),
(3105, 'pt', 'label', 'wantproceed', 'Você realmente deseja continuar? ', '2018-01-25 19:11:22'),
(3106, 'pt', 'login', 'Confirm Password', 'Confirme a senha ', '2016-01-17 19:13:26'),
(3107, 'pt', 'login', 'Create my account', 'Criar a minha conta ', '2016-01-17 19:13:26'),
(3108, 'pt', 'login', 'Create New Account', 'Criar uma nova conta ', '2016-01-17 19:13:26'),
(3109, 'pt', 'login', 'Email', 'E-mail ', '2016-01-17 19:13:26'),
(3110, 'pt', 'login', 'emailexist', 'E-mail já existe! ', '2016-01-17 19:13:26'),
(3111, 'pt', 'login', 'Enter the code as it is shown', 'Digite o código como é mostrado ', '2016-01-17 19:13:26'),
(3112, 'pt', 'login', 'First Name', 'Nome ', '2016-01-17 19:13:26'),
(3113, 'pt', 'login', 'Last Name', 'Sobrenome ', '2016-01-17 19:13:26'),
(3114, 'pt', 'login', 'Login', 'Login ', '2016-01-17 19:13:26'),
(3115, 'pt', 'login', 'Login incorrect', 'Login incorrecto ', '2016-01-17 19:13:26'),
(3116, 'pt', 'login', 'newaccountsuccess', 'Nova conta criada com sucesso! ', '2016-01-17 19:13:26'),
(3117, 'pt', 'login', 'Password', 'Senha ', '2016-01-17 19:13:26'),
(3118, 'pt', 'login', 'Password incorrect', 'Senha incorrecta ', '2016-01-17 19:13:26'),
(3119, 'pt', 'login', 'Register', 'Registe-se ', '2016-01-17 19:13:26'),
(3120, 'pt', 'login', 'Sign in to your account', 'Inscreva-se na sua conta ', '2016-01-17 19:13:26'),
(3121, 'pt', 'login', 'User inactive', 'Utilizador inactivo ', '2016-01-17 19:13:26'),
(3122, 'pt', 'login', 'Username', 'Nome de Utilizador', '2016-01-17 19:13:26'),
(3123, 'pt', 'login', 'usernameexist', 'Nome do Utilizador já existe! ', '2016-01-17 19:13:26'),
(3124, 'pt', 'panel', 'About Us', 'Quem Somos ', '2018-01-25 19:18:33'),
(3125, 'pt', 'panel', 'Add following command to your cron tab', 'Adicionar seguinte comando para o seu cron tab ', '2018-01-25 19:18:33'),
(3126, 'pt', 'panel', 'alsocheckfollowlink', 'também seleccione o link a seguir se precisar de mais detalhes. ', '2018-01-25 19:18:33'),
(3127, 'pt', 'panel', 'Check Directory', 'Lista de Verificação ', '2018-01-25 19:18:33'),
(3128, 'pt', 'panel', 'Cron Command', 'Comando Cron ', '2018-01-25 19:18:33'),
(3129, 'pt', 'panel', 'Directory Manager', 'Administrador de directório', '2018-01-25 19:18:33'),
(3130, 'pt', 'panel', 'Edit My Profile', 'Editar meu perfil ', '2018-01-25 19:18:33'),
(3131, 'pt', 'panel', 'My Profile', 'Meu Perfil ', '2018-01-25 19:18:33'),
(3132, 'pt', 'panel', 'New Proxy', 'Proxy novo', '2018-01-25 19:18:33'),
(3133, 'pt', 'panel', 'New User', 'Novo Utilizador', '2018-01-25 19:18:33'),
(3134, 'pt', 'panel', 'New Website', 'Novo Website ', '2018-01-25 19:18:33'),
(3135, 'pt', 'panel', 'Proxy Manager', 'Administrador de proxy', '2018-01-25 19:18:33'),
(3136, 'pt', 'panel', 'Report Generation Manager', 'Administrador de Relatórios Geração ', '2018-01-25 19:18:33'),
(3137, 'pt', 'panel', 'Reports Manager', 'administrador de Relatórios ', '2018-01-25 19:18:33'),
(3138, 'pt', 'panel', 'Seo Plugins Manager', 'administrador de Seo Plugins ', '2018-01-25 19:18:33'),
(3139, 'pt', 'panel', 'Seo Tools Manager', 'administrador de ferramentas seo', '2018-01-25 19:18:33'),
(3140, 'pt', 'panel', 'System Settings', 'Configurações do Sistema ', '2018-01-25 19:18:33'),
(3141, 'pt', 'panel', 'User Manager', 'administrador de utilizadores', '2018-01-25 19:18:33'),
(3142, 'pt', 'panel', 'Website Manager', 'administrador de website', '2018-01-25 19:18:33'),
(3143, 'pt', 'home', 'Account Summary', 'Resumo da Conta ', '2011-07-10 09:41:24'),
(3144, 'pt', 'home', 'Backlinks', 'Backlinks ', '2011-07-10 09:41:24'),
(3145, 'pt', 'home', 'Directory Submission', 'A Submissão do Directório ', '2011-07-10 09:41:24');
INSERT INTO `texts` (`id`, `lang_code`, `category`, `label`, `content`, `changed`) VALUES
(3146, 'pt', 'home', 'home_cont1', '<h1 style=\\\"text-align: center;margin-bottom: 30px;font-size: 19px;\\\">Bem-vindo ao Seo Painel - ao primeiro painel de controle seo para vários sites do mundo</h1>\r\n<p>\r\nUm completo <b>  Seo Panel de controle, software livre </b> para gerenciar <b> a optimização do motor de busca </b> dos seus sites.\r\nSeo Panel é um <b> kit de ferramentas </b> que inclui as mais recentes ferramentas de SEO para <b> aumentar e controlar </b>\r\n<b> performace </B> dos seus sites.\r\nÉ um software livre <b> </b> lançado em <b>  GNU LICENÇA PÚBLICA GERAL </b>.\r\nA principal característica do painel de seo é a sua extensibilidade <b> </b> usando <a href = \\\"<?=SP_PLUGINSITE?>\\\" target = \\\"_blank\\\"> seo plugins </a>.\r\nQualquer um pode facilmente <b> desenvolver e instalar </b>  plugins necessários para seu painel de seo.\r\n</P>\r\n</p>\r\n<p>\r\nEste software de código aberto foi <b> lançado em janeiro de 2010 </b>.\r\nCom <b> neste curto período </b> de tempo milhares de <b> webmasters </b> estão usando este software para optimização dos seus sites.\r\nUtilize o painel de SEO hoje  <b>e desfrute </b> tudo relacionado ao seo sob uma única <b> plataforma </b>.\r\n</P> ', '2011-07-10 09:41:24'),
(3147, 'pt', 'home', 'home_cont2', '<fieldset>\r\n<legend> Principais Características do Seo Panel <?=SP_INSTALLED?> </legend>\r\n<ul class=\\\"infobox\\\">\r\n<li>\r\n<h1>Ferramenta de Envio automático Diretório </h1>\r\n<p>\r\nFerramenta automática da submissão do directório para nos ajudar<b> a apresentar os nossos sites </b> nos maiores <b> , grandes\r\ne pagos directórios da Internet </b>.\r\nNós também podemos <b> acompanhar o status </b> de cada submissão através <b> de uma verificação periódica </b> usando o \r\nstatus <b> submissão de script </b>.\r\n<b> gerenciando o Directório </b> irá nos ajudar a descobrir se está ativo diretório <b> </b> ou não.\r\n</P>\r\n</Li>\r\n<li>\r\n<h1> Posição Palavra Checker </h1>\r\n<p>\r\nPalavra verificador posição encontra-se o <b> posição do motor de pesquisa </b> de <b> palavras-chave específicas </b>\r\ndo seu site e lojas <b> </b>-lo no sistema.\r\nNa seção de palavra-chave relatórios de posição, podemos ver o <b> posições diárias </b> de palavras-chave\r\ndiferentes motores de busca, <b> belos gráficos </b> e <b> relatórios detalhados </b>.\r\n</P>\r\n</Li>\r\n<li>\r\n<h1> Site Auditor </h1>\r\n<p> Site Auditor will <b>audit all SEO factors</b> of each pages of a site and will give a <b>detailed report</b> about each page.  Isso ajudará a criar <b> XML, HTML, TEXTO </b> arquivos sitemap do nosso site para apresentar aos motores de busca. </p>\r\n</Li>\r\n<li>\r\n<h1> Google e Alexa Rank Checker </h1>\r\n<p>\r\nGoogle e verificador alexa rank vai encontrar <b> google pagerank </b>e <b> alexa rank </b> da nossos<b> sites e lojas </b> no sistema.\r\nEm <b> relatórios Rank </b>, podemos ver o <b> rank diário da </b> Google e Alexa rank de cada website por <b> relatórios detalhados </b>.\r\n</P>\r\n</Li>\r\n<li>\r\n<h1> Backlinks Checker </h1>\r\n<p>\r\nverificador Backlinks encontrará <b> número de backlinks </b> dos nossos sites em busca diferentes\r\nmotores <b>(Yahoo, google, msn, etc) </b> e lojas <b> </b>-lo no sistema.\r\n<br> Em <b> relatórios backlink </b>, podemos ver os backlinks <b> contagem diária </b> de cada\r\nsite por <b> relatórios detalhados </b>.\r\n</P>\r\n</Li>\r\n<li>\r\n<h1> Saturação Search Engine Checker </h1>\r\n<p>\r\nSearch Engine verificador Saturação encontrará <b> número de páginas indexadas </b> dos nossos sites em diferentes<b> motores de busca (google, yahoo, MSN etc) </b> e lojas <b> </b>-lo no sistema.\r\nEm <b> motor de busca de saturação verificador relatórios </b>, podemos ver a página <b> diários indexados\r\nContagem </b> de cada site por <b> relatórios detalhados </b>.\r\n</P>\r\n</Li>\r\n<li>\r\n<h1>Seo plugins </h1>\r\n<p>\r\nA característica principal <b> </b> do painel de controle é o seu seo extentability <b> </b>.\r\nAdicionar seo <b> plugins </b> ao seu painel de seo para <b> estender os recursos </b> De acordo com o seu\r\nexigência.\r\n<A href = \\\"<?=SP_PLUGINSITE?>\\\" Target = \\\"_blank\\\"> Painel Seo plugins </a> são fornecidos por ambas painel seo\r\ne terceiro locais do partido.\r\nVocê também pode facilmente desenvolver <b> </b> plugins de SEO para seu painel de seo.\r\nVocê pode <a href = \\\"<?=SP_PLUGINSITE?>\\\" Target = \\\"_blank\\\"> apresentar </a> o seu plugin para seo seo painel e\r\nvamos publicar <b> </B> em nosso site depois da nossa <revisão <b> processo </b>.\r\n</P>\r\n</Li>\r\n<li>\r\n<h1> Meta Tag Generator </h1>\r\n<p>\r\nMeta tag é um gerador de painel seo <b> plugin </b> para criar <b> personalizado meta tags </b> para o nosso\r\nsite.\r\nIsso nos ajudará a dar mais informações <b> </b> sobre o nosso site para <b> motor de busca robôs </b>\r\nenquanto que rastejam nosso site.\r\n</P>\r\n</Li>\r\n</Ul>\r\n</Fieldset> ', '2011-07-10 09:41:24'),
(3148, 'pt', 'home', 'home_cont3', '<fieldset>\r\n<legend> Recursos on-line do Seo Panel </legend>\r\n<ul class=\\\"infobox\\\">\r\n\r\n<li>\r\n<h1> Recursos Online de Referência do SEO Panel  </h1>\r\n\r\n\r\n<p>\r\n<a href=\\\"http://www.seopanel.in\\\" target=\\\"_blank\\\"> Site Oficial do Seo Panel </a>\r\n</P>\r\n<p>\r\n<A href = \\\"<?=SP_DOWNLOAD_LINK?>\\\" Target = \\\"_blank\\\"> Download Seo Panel </a>\r\n</P>\r\n\r\n<p>\r\n<A href = \\\"<?=SP_DEMO_LINK?>\\\" Target = \\\"_blank\\\"> Seo Panel Demo </a>\r\n</P>\r\n\r\n<p>\r\n<A href = \\\"<?=SP_CONTACT_LINK?>\\\" Target = \\\"_blank\\\"> contactar Seo Panel </a>\r\n</P>\r\n\r\n<p>\r\n<A href = \\\"<?=SP_HELP_LINK?>\\\" Target = \\\"_blank\\\"> Guia de Ajuda do Seo Panel  </a>\r\n</P>\r\n\r\n<p>\r\n<A href = \\\"<?=SP_FORUM_LINK?>\\\" Target = \\\"_blank\\\"> Fórum do Seo Panel </a></P>\r\n\r\n<p>\r\n<A href = \\\"<?=SP_SUPPORT_LINK?>\\\" Target = \\\"_blank\\\"> Seo panel sistema de suporte </a>\r\n</P>\r\n\r\n<p>\r\n<A href = \\\"<?=SP_DONATE_LINK?>\\\" Target = \\\"_blank\\\"> Doar para Seo Panel </a>\r\n</P>\r\n</Li>\r\n\r\n</Ul>\r\n</Fieldset> ', '2011-07-10 09:41:24'),
(3149, 'pt', 'home', 'Pages Indexed', 'Páginas cadastradas ', '2011-07-10 09:41:24'),
(3150, 'pt', 'home', 'Ranks', 'Posições ', '2011-07-10 09:41:24'),
(3151, 'pt', 'home', 'SiteNameUrl', 'Nome do URL do site / ', '2011-07-10 09:41:24'),
(3152, 'pt', 'home', 'Website Statistics', 'Estatísticas do site ', '2011-07-10 09:41:24'),
(3153, 'ro', 'directory', 'Add back to directory list', 'Adauga la sfarsitul listei de directoare', '2012-05-18 20:52:34'),
(3154, 'ro', 'directory', 'Approved', 'Aprobat', '2012-05-18 20:52:34'),
(3155, 'ro', 'directory', 'Captcha', 'Captcha', '2012-05-18 20:52:34'),
(3156, 'ro', 'directory', 'categorynote', 'Categoriile, separatile prin virgula in functie de prioritate. Incepeti cu categoria de top prioritara.', '2012-05-18 20:52:34'),
(3157, 'ro', 'directory', 'Check Directory Status', 'Verificati Statusul Directorului', '2012-05-18 20:52:34'),
(3158, 'ro', 'directory', 'Check Directory Submission Status', 'Verificati Statusul Directorului Inscris', '2012-05-18 20:52:34'),
(3159, 'ro', 'directory', 'clicktoproceeddirsts', 'Apasa pe <b>Continua</b> pentru a verifica statusul directorului.', '2012-05-18 20:52:34'),
(3160, 'ro', 'directory', 'Confirmation', 'Confirmare', '2012-05-18 20:52:34'),
(3161, 'ro', 'directory', 'desnote', 'Unele directoare au nevoie de minim 150 caractere pentru campul descriere.', '2012-05-18 20:52:34'),
(3162, 'ro', 'directory', 'Directories with out captcha', 'Directoare fara captcha', '2012-05-18 20:52:34'),
(3163, 'ro', 'directory', 'Directory Submission Reports', 'Rapoarte Directoare Inscrise', '2012-05-18 20:52:34'),
(3164, 'ro', 'directory', 'Enter the code shown', 'Introduceti codul din imagine', '2012-05-18 20:52:34'),
(3165, 'ro', 'directory', 'nocatnote', 'Categoria inscrisa nu a fost gasita in pagina trimise. Va rugam apasati pe <b>Reincarca</b> sau <b>Sari peste</b>', '2012-05-18 20:52:34'),
(3166, 'ro', 'directory', 'nodirnote', 'Nu s-a gasit niciun director <b>Activ</b> ', '2012-05-18 20:52:34'),
(3167, 'ro', 'directory', 'nosuccessnote', 'Nu ati primit mesajul de confirmare, va rugam verificati-va e-mailul pentru a gasi mesajul de confirmare.', '2012-05-18 20:52:34'),
(3168, 'ro', 'directory', 'optionalnote', 'Titluri si descrieri optionale sunt trimise aleator la directoare pentru un rezultat mai bun.', '2012-05-18 20:52:34'),
(3169, 'ro', 'directory', 'Owner Email', 'E-mail detinator', '2012-05-18 20:52:34'),
(3170, 'ro', 'directory', 'Owner Name', 'Nume detinator', '2012-05-18 20:52:34'),
(3171, 'ro', 'directory', 'Pending', 'In asteptare', '2012-05-18 20:52:34'),
(3172, 'ro', 'directory', 'Please select a website to proceed', 'Va rugam selectati un site web pentru a Continua', '2012-05-18 20:52:34'),
(3173, 'ro', 'directory', 'selectwebsiteproceed', 'Selectati un <b>Site Web<b/> pentru a <b>Continua</b> inscrierea in directoare. <br> Verifica <b>Directoarele fara captcha</b> pentru a inscrie in directoarele fara captcha', '2012-05-18 20:52:34'),
(3174, 'ro', 'directory', 'selectwebsiteschecksub', 'Selectati un <b>Director</b> pentru a <b>Continua</b> verificarea directoarelor inscrise.', '2012-05-18 20:52:34'),
(3175, 'ro', 'directory', 'Semi Automatic Directory Submission Tool', 'Unealta de inscriere Directoare Semi Automata', '2012-05-18 20:52:34'),
(3176, 'ro', 'directory', 'spamemailnote', 'Unele directoare pot trimite spam, nu recomandam sa folositi adresa dvs. de e-mail primara.', '2012-05-18 20:52:34'),
(3177, 'ro', 'directory', 'Submission Details', 'Detalii Inscriere', '2012-05-18 20:52:34'),
(3178, 'ro', 'directory', 'Submit Description', 'Descriere Inscriere', '2012-05-18 20:52:34'),
(3179, 'ro', 'directory', 'Submit Keywords', 'Inscriere cuvinte cheie', '2012-05-18 20:52:34'),
(3180, 'ro', 'directory', 'Submit Title', 'Inscriere Titlu', '2012-05-18 20:52:34'),
(3181, 'ro', 'directory', 'Website Category', 'Categorie Site Web', '2012-05-18 20:52:34'),
(3182, 'ro', 'directory', 'Website Url', 'Url site web', '2012-05-18 20:52:34'),
(3183, 'zh', 'support', 'support_cont1', '<fieldset> \r\n<legend>Seo Panel 帮助系统</legend> \r\n<ul class=\\\"infobox\\\"> \r\n    <li> \r\n        <h1>1000 目录包</h1>  \r\n        <p> \r\n            我们提供<b>超过1000个可用的</b>网络目录包,加到\r\n你的seo panel <b>目录提交工具</b>. \r\n            它会帮助你<b>增加反向链接</b>你的站点. \r\n            在我们获得捐赠后为seo panel<b>以为未来发展</b>,您将获得<b>推荐</b>的1000目录列表，. \r\n            想要获得1000目录列表请<a href=\\\"<?=SP_DONATE_LINK?>\\\" target=\\\"_blank\\\">捐赠</a>\r\n$10 或者更多 来改善 seo panel 的功能 . \r\n            如果你有任何问题关于1000目录包,请<a href=\\\"<?=SP_CONTACT_LINK?>\\\"\r\ntarget=\\\"_blank\\\">联系我们</a>或者打开一个页面 <a href=\\\"<?=SP_SUPPORT_LINK?>\\\"\r\ntarget=\\\"_blank\\\">帮助系统</a>.    \r\n        </p>         \r\n        <p> \r\n            <a href=\\\"<?=SP_DONATE_LINK?>\\\" target=\\\"_blank\\\">访问这个链接捐赠seo panel</a> \r\n        </p> \r\n        <br> \r\n    </li> \r\n     \r\n    <li> \r\n        <h1>本地搜索引擎包</h1>  \r\n        <p> \r\n            增加<b>本地 搜索引擎 域</b>google,yahoo,msn(<b>例如: www.google.de,www.google.fr\r\netc</b>) seo panel <b>关键字position checker</b>, 追踪你的站点行为本地. \r\n            为了获得本地搜索引擎包(根据你的需求) 请<a\r\nhref=\\\"<?=SP_DONATE_LINK?>\\\" target=\\\"_blank\\\">捐赠</a> $10或者更多来改善功能seo\r\npanel. \r\n            捐赠之前, 请 <a href=\\\"<?=SP_CONTACT_LINK?>\\\" target=\\\"_blank\\\">联系我们</a> to\r\n提供给我们需要的搜索引擎域名列表. \r\n            <br><br>               \r\n             增加<b>新的搜索引擎(例如:baidu.com)</b>你的 seo panel关键字position checker,\r\n请 <a href=\\\"<?=SP_CONTACT_LINK?>\\\" target=\\\"_blank\\\">联系我们</a>或者打开一个页面在<a\r\nhref=\\\"<?=SP_SUPPORT_LINK?>\\\" target=\\\"_blank\\\">帮助系统</a>.  \r\n        </p>         \r\n        <p class=\\\"visit\\\"> \r\n            <a href=\\\"<?=SP_CONTACT_LINK?>\\\" target=\\\"_blank\\\">访问这个链接联系我们</a> \r\n        </p> \r\n        <br> \r\n    </li> \r\n     \r\n    <li> \r\n        <h1>Seo Panel插件</h1>  \r\n        <p> \r\n            增加<b>seo插件</b> 你的seo panel <b>扩展功能</b>根据你的\r\n需求. \r\n            <a href=\\\"<?=SP_PLUGINSITE?>\\\" target=\\\"_blank\\\">Seo panel插件</a>由seo panel\r\n和第三方站点提供. \r\n            你可以 easily <b>develop</b> seo插件来你的seo panel. \r\n            你可以<a href=\\\"<?=SP_PLUGINSITE?>\\\" target=\\\"_blank\\\">提交</a>你的seo plugin seo panel 并且\r\n我们会<b>发布</b>到我们的站点在<b>审查</b>之后.         \r\n        </p>         \r\n        <p> \r\n            <a href=\\\"<?=SP_PLUGINSITE?>\\\" target=\\\"_blank\\\">访问这个链接为了获得seo panel插件</a> \r\n        </p> \r\n        <br> \r\n    </li>     \r\n    <li> \r\n        <h1>联系我们</h1>  \r\n        <p> \r\n            联系我们来 任何问题 关于 <b>seo panel 工具,插件和功能等等</b> 通过以下链接.         \r\n        </p>         \r\n        <p> \r\n            <a href=\\\"<?=SP_CONTACT_LINK?>\\\" target=\\\"_blank\\\">访问这个链接 联系我们</a> \r\n        </p> \r\n        <br> \r\n    </li>     \r\n    <li> \r\n        <h1>技术支持</h1>  \r\n        <p> \r\n            为了获得 <b>技术支持</b>从seo panel团队设置<b>seo panel工具,插件和\r\n功能</b>. 例如: 设置cron来关键字位置checker. \r\n        </p>         \r\n        <p> \r\n            <a href=\\\"<?=SP_SUPPORT_LINK?>\\\" target=\\\"_blank\\\">访问这个链接创建一个支持ticket</a> \r\n        </p> \r\n        <br> \r\n    </li>     \r\n    <li> \r\n        <h1>报告Bugs</h1>  \r\n        <p> \r\n            报告<b>bugs</b> 关于 <b>seo panel 工具,插件和功能等等</b> 通过以下链接.  \r\n            请 帮助我们在下个版本来改善功能.           \r\n        </p>         \r\n        <p> \r\n            <a href=\\\"<?=SP_SUPPORT_LINK?>\\\" target=\\\"_blank\\\">访问这个链接 报告bugs</a> \r\n        </p> \r\n        <br> \r\n    </li>     \r\n</ul> \r\n</fieldset>', '2011-05-04 08:56:00'),
(3184, 'zh', 'support', 'support_cont2', '<fieldset> \r\n<legend>Seo Panel 在线资源</legend> \r\n<ul class=\\\"infobox\\\"> \r\n         \r\n    <li> \r\n        <h1>Seo Panel 帮助向导</h1>  \r\n        <p> \r\n            你可以看 <a href=\\\"<?=SP_HELP_LINK?>\\\" target=\\\"_blank\\\">seo panel文档</a>在 \r\n<b>帮助向导</b>, 它包括<b>文档</b>来  seo panel 工具,插件和相关的\r\n功能. \r\n            <br>这是在因特网获得关于seo panel帮助的<b>最好的地方</b>.如果你发现错误或者缺少东西,我们希望你seo panel 帮助向导<b>报告</b>.                 \r\n        </p> \r\n        <p> \r\n            <a href=\\\"<?=SP_HELP_LINK?>\\\" target=\\\"_blank\\\">访问seo panel 帮助向导</a> \r\n        </p> \r\n        <br> \r\n    </li>     \r\n    <li> \r\n        <h1>Seo Panel论坛</h1>  \r\n        <p> \r\n            一个地方讨论关于世界上第一款开源的<b>seo control panel</b>.  \r\n            这是最好的地方找到<b>答案</b> <b>你的问题</b> 关于 seo panel.  \r\n            <br> 你可以<b>分享</b>你的<b>经验</b> 在使用seo panel来操作你的\r\n站点.                                \r\n        </p>         \r\n        <p> \r\n            <a href=\\\"<?=SP_FORUM_LINK?>\\\" target=\\\"_blank\\\">访问seo panel论坛</a> \r\n        </p> \r\n        <br> \r\n    </li> \r\n</ul>     \r\n</fieldset>', '2011-05-04 08:56:00'),
(3185, 'zh', 'support', 'support_cont3', '<fieldset> \r\n<legend>捐赠 Seo Panel</legend> \r\n<ul class=\\\"infobox\\\">         \r\n    <li> \r\n        <h1>捐赠 Seo Panel - 世界上第一款开源的seo control panel</h1>  \r\n        <p> \r\n            <b>捐赠</b> seo panel支持第一款开源的seo control panel世界上. \r\n            我们计划<b>增加和提高</b> 功能 seo panel 的在未来.  \r\n            <br>有了你的<b>支持</b>我们才能达到我们的<b>目标</b>. \r\n            如果你觉得seo panel是<b>值得</b>你拥有, 请捐赠支持seo panel 团队. \r\n            <br>我们<b>会公布</b> 你的名字和站点信息在<a href=\\\"<?=SP_DONATE_LINK?>\\\"\r\ntarget=\\\"_blank\\\">捐赠页面</a>, 一旦我们获得捐赠. \r\n        </p> \r\n        <p> \r\n            <a href=\\\"<?=SP_DONATE_LINK?>\\\" target=\\\"_blank\\\">访问这个链接捐赠 seo panel</a> \r\n        </p> \r\n        <br> \r\n    </li> \r\n</ul> \r\n</fieldset>', '2011-05-04 08:56:00'),
(3186, 'ro', 'keyword', 'Crawling keyword', 'Cuvant cheie Crawling', '2012-05-18 20:57:55'),
(3187, 'ro', 'keyword', 'Detailed Keyword Position Reports', 'Raport detaliat pozitionare cuvinte cheie', '2012-05-18 20:57:55'),
(3188, 'ro', 'keyword', 'Edit Keyword', 'Editeaza cuvant cheie', '2012-05-18 20:57:55'),
(3189, 'ro', 'keyword', 'Graphical Keyword Position Reports', 'Raport grafic pozitionare cuvant cheie', '2012-05-18 20:57:55'),
(3190, 'ro', 'keyword', 'Import Keywords', 'Importa cuvant cheie', '2012-05-18 20:57:55'),
(3191, 'ro', 'keyword', 'Keyword already exist', 'Cuvantul cheie deja exista', '2012-05-18 20:57:55'),
(3192, 'ro', 'keyword', 'Keyword Position Report', 'Raport pozitionare cavant cheie', '2012-05-18 20:57:55'),
(3193, 'ro', 'keyword', 'New Keyword', 'Cuvant cheie nou', '2012-05-18 20:57:55'),
(3194, 'ro', 'keyword', 'not assigned to required search engines', 'neasignat la motoarele de cautare necesare', '2012-05-18 20:57:55'),
(3195, 'ro', 'keyword', 'pleaseselecttool', 'Va rugam selectati cel putin o unealta Seo', '2012-05-18 20:57:55'),
(3196, 'ro', 'keyword', 'Quick Keyword Position Checker', 'Verificare rapida pozitie cuvant cheie', '2012-05-18 20:57:55'),
(3197, 'ro', 'keyword', 'results from ', 'Rezultate din', '2012-05-18 20:57:55'),
(3198, 'ro', 'keyword', 'Show All results', 'Arata toate rezultatele', '2012-05-18 20:57:55'),
(3199, 'ro', 'keyword', 'Successfully crawled keyword', 'Cuvint cheie crawled cu succes', '2012-05-18 20:57:55'),
(3200, 'ro', 'keyword', 'to create new keywords', 'pentru a crea cuvinte cheie noi', '2012-05-18 20:57:55'),
(3201, 'ro', 'home', 'Account Summary', 'Sumar cont', '2012-05-18 20:57:04'),
(3202, 'ro', 'home', 'Backlinks', 'Backlinks', '2012-05-18 20:57:04'),
(3203, 'ro', 'home', 'Directory Submission', 'Inscriere directoare', '2012-05-18 20:57:04'),
(3204, 'ro', 'home', 'home_cont1', '<h1 style=\\\"text-align: center;margin-bottom: 30px;font-size: 19px;\\\">Bine ati venit la Seo Panel - Primul panou de control Seo din lume pentru mai multe site-uri web</h1> \r\n        <p> \r\n            Un panou de control seo <b>complet open source</b> pentru managementul <b>optimizarii motoarelor de cautare</b> pentru site-urile dvs..  \r\n            Seo Panel este <b>un kit de unelte seo</b> ce include ultimile unelete seo de pe piata pentru a <b>creste si verifica</b> \r\n<b>performantele</b> site-ului dvs.. \r\n            Este un <b>software gratis</b> lansat sub <b>GNU GENERAL PUBLIC LICENSE</b>. \r\n            Principalul atu al panoului ce control Seo este <b>expandabilitatea</b> prin utilizarea <a href=\\\"<?=SP_PLUGINSITE?>\\\"\r\ntarget=\\\"_blank\\\">plugin-urilor seo</a>. \r\n            Oricine poate foarte usor sa <b>dezvolte si sa instaleze</b> plugin-ul necesar nevoilor sale.  \r\n        </p> \r\n        <p></p> \r\n        <p> \r\n            Acest software open source a fost <b>lansat in Ianuarie 2010</b>. \r\n            Cu toate acestea si intr-o <b>periada scurta</b> de timp <b>mii</b> de <b>web masters</b> folosesc acest software\r\npentru <b>optimizarea</b> site-urilor lor. \r\n            Utilizati panoul de control chiar azi si <b>bucurativa</b> de tot ce tine de seo sub o  <b>singura platforma</b>. \r\n        </p>', '2012-05-18 20:57:04'),
(3205, 'ro', 'home', 'home_cont2', '<fieldset> \r\n<legend>Noutati majore ale Panoului de control Seo <?=SP_INSTALLED?></legend> \r\n<ul class=\\\"infobox\\\"> \r\n    <li>         \r\n        <h1>Unealta de inregistrare automata in directoare</h1> \r\n        <p> \r\n            Unealta de inregistrare automata in directoare ne ajuta sa  <b>inregistram site-urile noastre</b> in majoritatea <b>directoarelor gratis sau cu plata</b>. \r\n            Putem deasemenea sa <b>urmarim statusul</b> fiecarei inregistrari prin <b>verificare periodica</b> utilizand scriptul <b>verificare status</b>. \r\n            <b>Managerul directoare</b> ne va ajuta sa gasim daca <b>un director este activ sau</b> nu. \r\n        </p> \r\n    </li> \r\n    <li>         \r\n        <h1>Verificator pozitionare cuvant cheie</h1> \r\n        <p> \r\n            Verificatorul de cuvinte cheie va gasi  <b>pozitia in motoarele de cautare</b> pentru <b>cuvintele cheie alese</b>\r\npentru site-ul dvs. si le <b>salveaza</b> in sistem. \r\n            In sectiunea pozitionarii cuvintelor cheie, putem vedea <b>pozitionarea zilnica</b> a cuvintelor cheie in diferite motaore de cautare\r\nprin <b>grafice frumoase</b> si <b>rapoarte detaliate</b>. \r\n        </p> \r\n    </li> \r\n    <li>        \r\n        <h1>Evaluator Site</h1>\r\n        <p>Evaluator site va <b>evalua toti factori SEO</b> al fiecarei pagini dintr-un site si va da\r\n<b>raport detaliat</b> inlegatura cu fiecare pagina. Aceasta ne va ajuta sa creem fisiere sitemap <b>XML,HTML,TEXT</b> ale site-urilor noastre pentru a le trimite <b>submit</b> motoarelor de cautare.</p>\r\n    </li> \r\n    <li>         \r\n        <h1>Verificator rank Google si Alexa</h1> \r\n        <p> \r\n           Verificatorul Google si Alexa rank va gasi <b>google pagerank</b> si <b>alexa rank</b> al site-urilor noastre pe care le <b>salveaza</b> in sistem. \r\n            In sectiunea <b>rapoarte rank</b> , putem vedea <b>zilnic</b> google si alexa rank pentru fiecare site prin <b>rapoarte detaliate</b>. \r\n        </p> \r\n    </li> \r\n    <li>         \r\n        <h1>Verificator backlink-uri</h1> \r\n        <p> \r\n            Verifiatorul de backlink-uri va gasi un <b>numar de backlink-uri</b> al site-urilor noastre in diferite motoare de cautare\r\n<b>(google,yahoo,msn etc)</b> si le <b>salveaza</b> in sistem. \r\n            <br>In sectiunea <b>rapoartelor de backlink-uri</b>, putem vedea <b>numarul zilnic de backlink-uri</b> pentru fiecare site web prin <b>rapoarte detaliate</b>. \r\n        </p> \r\n    </li>     \r\n    <li>         \r\n        <h1>Verificator saturatie motoare de cautare</h1> \r\n        <p> \r\n            Verificatorul de saturatie al motoarelor de cutare va gasi <b>numarul paginilor indexate</b> al site-urilor dvs. in diferite motoare de cautare\r\n<b>(google,yahoo,msn etc)</b> si le va <b>salva</b> in sistemm. \r\n            In sectiunea <b>rapoarte verificatoar saturatie motoare de cautare</b> putem vedea <b>numarul paginilor indexate zilnic</b> pentru fiecare site web prin  <b>rapoarte detaliate</b>. \r\n        </p> \r\n    </li> \r\n    <li>         \r\n        <h1>Plugin-uri Panou de control Seo</h1> \r\n        <p> \r\n            Principala <b>caracteristica majora</b> a panoului de control seo este <b>expandabilitatea</b>. \r\n            Adauga <b>pluginuri seo</b> la panoul de control seo pentru a <b>extinde carcteristicile</b> dupa necesitatile dvs.. \r\n            <a href=\\\"<?=SP_PLUGINSITE?>\\\" target=\\\"_blank\\\">Plugin-urile panoului de control seo</a> Sunt dezvoltate atat de catre echipa seo Panel cat si de site-uri colaboratoare. \r\n            Puteti deasemenea foarte usor sa <b>dezvoltati</b> plugin-uri seo pentru panoul de control Seo al dvs.. \r\n            Puteti <a href=\\\"<?=SP_PLUGINSITE?>\\\" target=\\\"_blank\\\">trimite</a> pluginul dvs. la seo panel si noi il vom\r\n <b>publica</b> pe site-ul oficial dupa ce va trece printr-un proces de <b>verificare</b>. \r\n        </p> \r\n    </li> \r\n    <li>         \r\n        <h1>generator meta tagu-ri</h1> \r\n        <p> \r\n            Generatorul de meta tag-uri este <b>un plugin pentru</b> crearea<b> de mata tag-uri la comanda(custom)</b> pentru site-ul nostru. \r\n            Ne va ajuta sa dam <b>mai multe informatii</b> despre siteul nostru la <b>bots ale motoarelor de cautare</b>\r\nin timp ce ne urmaresc site-ul. \r\n        </p> \r\n    </li> \r\n</ul> \r\n</fieldset>', '2012-05-18 20:57:04'),
(3206, 'ro', 'home', 'home_cont3', '<fieldset> \r\n<legend>resusre online ale Panoului de control Seo</legend>     \r\n<ul class=\\\"infobox\\\"> \r\n\r\n    <li> \r\n        <h1>resurse ale panoului de control pentru  Reference</h1>                 \r\n         \r\n         \r\n        <p> \r\n            <a href=\\\"http://www.seopanel.in\\\" target=\\\"_blank\\\">Seo Panel Site oficial</a> \r\n        </p> \r\n        <p> \r\n            <a href=\\\"<?=SP_DOWNLOAD_LINK?>\\\" target=\\\"_blank\\\">Download Seo Panel</a> \r\n        </p> \r\n         \r\n        <p> \r\n            <a href=\\\"<?=SP_DEMO_LINK?>\\\" target=\\\"_blank\\\">Seo Panel Demo</a> \r\n        </p> \r\n         \r\n        <p> \r\n            <a href=\\\"<?=SP_CONTACT_LINK?>\\\" target=\\\"_blank\\\">Conatcteaza Seo Panel</a> \r\n        </p> \r\n         \r\n        <p> \r\n            <a href=\\\"<?=SP_HELP_LINK?>\\\" target=\\\"_blank\\\">Seo Panel Ghid ajutor</a> \r\n        </p> \r\n         \r\n        <p> \r\n            <a href=\\\"<?=SP_FORUM_LINK?>\\\" target=\\\"_blank\\\">Seo Panel Forum</a> \r\n        </p> \r\n         \r\n        <p> \r\n            <a href=\\\"<?=SP_SUPPORT_LINK?>\\\" target=\\\"_blank\\\">Seo Panel Suport de sitem</a> \r\n        </p> \r\n         \r\n        <p> \r\n            <a href=\\\"<?=SP_DONATE_LINK?>\\\" target=\\\"_blank\\\">Donati pentru Seo Panel</a> \r\n        </p> \r\n    </li> \r\n     \r\n</ul> \r\n</fieldset>', '2012-05-18 20:57:04'),
(3207, 'ro', 'home', 'Pages Indexed', 'Pagini Indexate', '2012-05-18 20:57:04'),
(3208, 'ro', 'home', 'Ranks', 'Ranks', '2012-05-18 20:57:04'),
(3209, 'ro', 'home', 'SiteNameUrl', 'Nume Site/Url', '2012-05-18 20:57:04'),
(3210, 'ro', 'home', 'Website Statistics', 'Statistici Site Web', '2012-05-18 20:57:04'),
(3211, 'ro', 'support', 'support_cont1', '<fieldset> \r\n<legend>Centrul de suport Seo Panel</legend> \r\n<ul class=\\\"infobox\\\"> \r\n    <li> \r\n        <h1>Pachet 1000 de directoare</h1>  \r\n        <p> \r\n            Va oferim <b>1000 de directoare active si pe deasupra gratis</b> un pachet pe care il puteti adauga in panoul SEO la\r\n <b>sectiunea inregistrare in directoare</b>. \r\n            Va vom ajuta sa <b>va cresteti backlink-urile</b> site-ului dvs. \r\n            Deocamdata lista cu 1000 de directoare <b>mai sus mentionata</b> este pentru colectarea de fonduri <b>pentru desvoltarea viitoare a</b> Seo Panel. \r\n            Pentru a lua lista cu 1000 de directoare va rugam <a href=\\\"<?=SP_DONATE_LINK?>\\\" target=\\\"_blank\\\">donati</a>\r\n$10 sau mai mult pentru a imbunatati caracteristicile pachetului Seo Panel. \r\n            Daca aveti intrebari asupra pachetului de 1000 de directoare, va rugam <a href=\\\"<?=SP_CONTACT_LINK?>\\\"\r\ntarget=\\\"_blank\\\">contactati-ne</a> sau deschideti un tiket la <a href=\\\"<?=SP_SUPPORT_LINK?>\\\"\r\ntarget=\\\"_blank\\\">centrul de suport</a>.    \r\n        </p>         \r\n        <p> \r\n            <a href=\\\"<?=SP_DONATE_LINK?>\\\" target=\\\"_blank\\\">Vizitati acest link pentru a dona pentru Seo Panel</a> \r\n        </p> \r\n        <br> \r\n    </li> \r\n     \r\n    <li> \r\n        <h1>Pachet motoare de cautare locale</h1>  \r\n        <p> \r\n            Adauga <b>domenii de motoare de cautare locale</b> pentru google,yahoo,msn(<b>eg: www.google.de,www.google.fr, www.google.ro\r\netc</b>) in panoul de control Seo <b>Verificare pozitie cuvinte cheie</b>, pentru a va urmari site-ul personal local. \r\n            Pentru a beneficia de pachetul motarelor de cautare local(in functie de nevoile dvs.) va rugam <a\r\nhref=\\\"<?=SP_DONATE_LINK?>\\\" target=\\\"_blank\\\">donati</a> $10 sau mai mult pentru a imbunatati caracteristicile pachetului Seo Panel. \r\n           Inainte de a trimite donatii va rugam, <a href=\\\"<?=SP_CONTACT_LINK?>\\\" target=\\\"_blank\\\">contactati-ne</a> pentru a ne da detalii despre motaorele de cautare locale ale dvs.. \r\n            <br><br>               \r\n            Deasemenea pentru a adauga <b>noi motoare de cautare(eg:baidu.com)</b> la verificare pozitionare cuvinte cheie al Panoului Seo al dvs.,\r\nva rugam <a href=\\\"<?=SP_CONTACT_LINK?>\\\" target=\\\"_blank\\\">contactati-ne</a> sau deschideti un tiket la <a\r\nhref=\\\"<?=SP_SUPPORT_LINK?>\\\" target=\\\"_blank\\\">centru de suport</a>.  \r\n        </p>         \r\n        <p class=\\\"visit\\\"> \r\n            <a href=\\\"<?=SP_CONTACT_LINK?>\\\" target=\\\"_blank\\\">Vizitati acest link pentru a ne contacta</a> \r\n        </p> \r\n        <br> \r\n    </li> \r\n     \r\n    <li> \r\n        <h1>Plugin-uri Seo Panel</h1>  \r\n        <p> \r\n            Adauga <b>plugin-uri Seo</b> in panoul de control Seo al dvs. <b>extindeti caracteristicile</b> in functie de necesitatile dvs.. \r\n            <a href=\\\"<?=SP_PLUGINSITE?>\\\" target=\\\"_blank\\\">Plugin-uri Seo Panel</a> sunt dezvoltate atat de Seo Panel cat si de alte site-uri afiliate. \r\n            Puteti deasemenea foarte usor <b>sa dezvoltati</b> plugin-uri seo pentru panoul de control al dvs.\r\n            Puteti <a href=\\\"<?=SP_PLUGINSITE?>\\\" target=\\\"_blank\\\">uploada</a> plugin-urile dvs in panoul de contro Seo si\r\nnoi le vom <b>publica</b> pe site-ul nostru dupa ce le vom  <b>verifica</b>.         \r\n        </p>         \r\n        <p> \r\n            <a href=\\\"<?=SP_PLUGINSITE?>\\\" target=\\\"_blank\\\">Vizitati acest link pentru a descarca plugin-uri Seo Panel</a> \r\n        </p> \r\n        <br> \r\n    </li>     \r\n    <li> \r\n        <h1>Contactati-ne</h1>  \r\n        <p> \r\n            Contactati-ne pentru orice intrebare despre <b>unelte seo panel,plugin-uri si caracteristici etc</b> utilizind link-ul de mai jos.         \r\n        </p>         \r\n        <p> \r\n            <a href=\\\"<?=SP_CONTACT_LINK?>\\\" target=\\\"_blank\\\">Vizitati acest link pentru a ne contacta</a> \r\n        </p> \r\n        <br> \r\n    </li>     \r\n    <li> \r\n        <h1>Suport Tickete</h1>  \r\n        <p> \r\n            Pentru a avea <b>suport tehnict</b> din partea echipei Seo Panel pentru a seta <b>uneltele Seo panel, plugin-urile si facilitati\r\n</b>. Ex: Pentru a seta un cron pentru verificare pozitionare cuvinte cheie. \r\n        </p>         \r\n        <p> \r\n            <a href=\\\"<?=SP_SUPPORT_LINK?>\\\" target=\\\"_blank\\\">Vizitati acest link pentru a creea un tiket de suport nou</a> \r\n        </p> \r\n        <br> \r\n    </li>     \r\n    <li> \r\n        <h1>Raportai bug-uri</h1>  \r\n        <p> \r\n            rapoortati <b>bug-uri</b> despre<b>unelte seo panel,plugin-uri si caracteristici etc</b> utilizand link-ul de mai jos.  \r\n            va rugam ajutati-ne sa imbunatatim facilitatile din noile versiuni.           \r\n        </p>         \r\n        <p> \r\n            <a href=\\\"<?=SP_SUPPORT_LINK?>\\\" target=\\\"_blank\\\">Vizitati acest link pentru raporta un bug nou </a> \r\n        </p> \r\n        <br> \r\n    </li>     \r\n</ul> \r\n</fieldset>', '2010-11-05 19:42:48'),
(3212, 'ro', 'support', 'support_cont2', '<fieldset> \r\n<legend>Panoul Seo resurse Online</legend> \r\n<ul class=\\\"infobox\\\"> \r\n         \r\n    <li> \r\n        <h1>Ghid ajutor Panoul Seo</h1>  \r\n        <p> \r\n            Puteti vedea <a href=\\\"<?=SP_HELP_LINK?>\\\" target=\\\"_blank\\\">documentatia panoului Seo</a> in\r\n<b>Ghidul de ajutor</b>, contine <b>documentatia</b> pentru uneltele panoului seo ,plugin-uri si caracteristici . \r\n            <br>Este cel mai bun loc de pe internet pentru a <b>primi ajutor</b> despre panoul Seo. Speram ca tu vei\r\n<b>contribui</b> la ghidul de ajutor al panoului Seo, daca gasiti erori sau ceva lipsuri.                 \r\n        </p> \r\n        <p> \r\n            <a href=\\\"<?=SP_HELP_LINK?>\\\" target=\\\"_blank\\\">Vizitati ghidul de ajutor al panoului Seo</a> \r\n        </p> \r\n        <br> \r\n    </li>     \r\n    <li> \r\n        <h1>Forum Seo Panel</h1>  \r\n        <p> \r\n            Un loc pentru discutii despre primul opensource <b>panou de control Seo</b>.  \r\n            Este cel mai bun loc pentru a gasi <b>raspunsuri</b> la <b>intrebarile tale</b> despre panoul Seo.  \r\n            <br>Deasemenea poti <b>imparti</b> <b>experienta</b> ta in timp de utilizezi panoul seo pentru site-urile tale.                                \r\n        </p>         \r\n        <p> \r\n            <a href=\\\"<?=SP_FORUM_LINK?>\\\" target=\\\"_blank\\\">Vizitati forumul panoului Seo</a> \r\n        </p> \r\n        <br> \r\n    </li> \r\n</ul>     \r\n</fieldset>', '2010-11-05 19:42:48'),
(3213, 'ro', 'support', 'support_cont3', '<fieldset> \r\n<legend>Donati panoului Seo</legend> \r\n<ul class=\\\"infobox\\\">         \r\n    <li> \r\n        <h1>Donati panoului seo - Primul Open Source panou de control Seo din lume</h1>  \r\n        <p> \r\n            <b>Donati</b> panoului Seo pentru sustinerea primului panou seo din lume. \r\n            Planuim sa  <b>adaugam si imbunatatim</b> caracteristici ale panoului seo pe viitor.  \r\n            <br>Cu ajutorul <b>suportului</b> dvs. ne putem atinge  <b>telul</b>. \r\n            Daca crezi ca panoul de control seo  <b>conteaza</b> pentru tine, va rugam donati cat vreti echipei Seo Panel. \r\n            <br>Va vom <b>publica</b> numele si informatii despre site-ul dvs in <a href=\\\"<?=SP_DONATE_LINK?>\\\"\r\ntarget=\\\"_blank\\\">pagina de donatii</a>, de indata ce primim donatia. \r\n        </p> \r\n        <p> \r\n            <a href=\\\"<?=SP_DONATE_LINK?>\\\" target=\\\"_blank\\\">Vizitati acest link pentru a dona Panoului Seo</a> \r\n        </p> \r\n        <br> \r\n    </li> \r\n</ul> \r\n</fieldset>', '2010-11-05 19:42:48'),
(3214, 'ro', 'settings', 'Click here to become a sponsor for Seo Panel', '<b>Donati $100</b> si deveniti <b>sponsor</b> al Seo Panel.', '2012-05-18 21:16:44'),
(3215, 'ro', 'settings', 'seopanel_description', 'Un panou de control complet gratis pentru a controla optimizarea site-urilor dvs. Contine o ultime de unelte noi pentru a creste si verifica performantele site-ului dvs. Este un software open source si deasemenea va puteti dezvolta singuri plugin-urile pentru panoul seo al dvs.', '2012-05-18 21:16:44'),
(3216, 'ro', 'settings', 'seopanel_title', 'Panoul Seo: Primul open source panou de control Seo din lume pentru managemenetul mai multor site-uri web.', '2012-05-18 21:16:44'),
(3217, 'ro', 'settings', 'SP_CRAWL_DELAY', 'Intarziere intre fiecare spider crawl (secunde)', '2012-05-18 21:16:44'),
(3218, 'ro', 'settings', 'SP_DEFAULTLANG', 'Limba de baza', '2012-05-18 21:16:44'),
(3219, 'ro', 'settings', 'SP_DESCRIPTION', 'Descriere Panou de control Seo', '2012-05-18 21:16:44'),
(3220, 'ro', 'settings', 'SP_ENABLE_PROXY', 'Activare Proxy', '2012-05-18 21:16:44'),
(3221, 'ro', 'settings', 'SP_HOTLINKING', 'Imagine protectie hotlink activata', '2012-05-18 21:16:44'),
(3222, 'ro', 'settings', 'SP_KEYWORDS', 'Cuvinte cheie panoul de control Seo', '2012-05-18 21:16:44'),
(3223, 'ro', 'settings', 'SP_PAGINGNO', 'Numar de intrari per pagina', '2012-05-18 21:16:44'),
(3224, 'ro', 'settings', 'SP_TITLE', 'Titlu panou de control seo', '2012-05-18 21:16:44'),
(3225, 'ro', 'settings', 'SP_USER_GEN_REPORT', 'Lasa utilizatorii sa genereze rapoarte', '2012-05-18 21:16:44'),
(3226, 'ro', 'settings', 'SP_USER_REGISTRATION', 'Interfata inregistrare utilizator', '2012-05-18 21:16:44'),
(3227, 'ro', 'settings', 'syssettingssaved', 'Setarea sistemului salvata cu succes!', '2012-05-18 21:16:44'),
(3228, 'ro', 'seotools', 'Automatic Submission', 'Inregistrare automata', '2011-07-13 02:03:17'),
(3229, 'ro', 'seotools', 'backlink-checker', 'Verificator backlink-uri', '2011-07-13 02:03:17'),
(3230, 'ro', 'seotools', 'Backlinks Reports', 'Rapoarte backlink-uri', '2011-07-13 02:03:17'),
(3231, 'ro', 'seotools', 'Check Submission Status', 'Verifica status inregistrari', '2011-07-13 02:03:17'),
(3232, 'ro', 'seotools', 'clickgeneratereports', 'Apasa pe <b>Continua</b> pentru a genera rapoarte', '2011-07-13 02:03:17'),
(3233, 'ro', 'seotools', 'Detailed Position Reports', 'Rapoarte pozitionare detaliate', '2011-07-13 02:03:17'),
(3234, 'ro', 'seotools', 'directory-submission', 'Inregistrare directoare', '2011-07-13 02:03:17'),
(3235, 'ro', 'seotools', 'Featured Submission', 'Inregistrare viitoare', '2011-07-13 02:03:17'),
(3236, 'ro', 'seotools', 'Generate Backlinks Reports', 'Genereaza rapoarte backlink-uri', '2011-07-13 02:03:17'),
(3237, 'ro', 'seotools', 'Generate Keyword Reports', 'Genereaza rapoarte cuvinte cheie', '2011-07-13 02:03:17'),
(3238, 'ro', 'seotools', 'Generate Rank Reports', 'Genereaza rapoarte de rank', '2011-07-13 02:03:17'),
(3239, 'ro', 'seotools', 'Generate Saturation Reports', 'Genereaza rapoarte de saturatie', '2011-07-13 02:03:17'),
(3240, 'ro', 'seotools', 'Google Sitemap Generator', 'Generator Google Sitemap', '2011-07-13 02:03:17'),
(3241, 'ro', 'seotools', 'Graphical Position Reports', 'Rapoarte pozitionale grafica', '2011-07-13 02:03:17'),
(3242, 'ro', 'seotools', 'Keyword Position Summary', 'Sumar pozitionare cuvinte cheie', '2011-07-13 02:03:17'),
(3243, 'ro', 'seotools', 'keyword-position-checker', 'Verificator pozitionare cuvinte cheie', '2011-07-13 02:03:17'),
(3244, 'ro', 'seotools', 'Keywords Manager', 'Manager cuvinte cheie', '2011-07-13 02:03:17'),
(3245, 'ro', 'seotools', 'Quick Backlinks Checker', 'Verificator rapid backlink-uri', '2011-07-13 02:03:17'),
(3246, 'ro', 'seotools', 'Quick Position Checker', 'Verificator rapid pozitionare', '2011-07-13 02:03:17'),
(3247, 'ro', 'seotools', 'Quick Rank Checker', 'Verificator rapid rank', '2011-07-13 02:03:17'),
(3248, 'ro', 'seotools', 'Quick Saturation Checker', 'Verificator rapid saturatie', '2011-07-13 02:03:17'),
(3249, 'ro', 'seotools', 'Rank Reports', 'Rapoarte Rank', '2011-07-13 02:03:17'),
(3250, 'ro', 'seotools', 'rank-checker', 'Verificator Rank', '2011-07-13 02:03:17'),
(3251, 'ro', 'seotools', 'Saturation Reports', 'Rapoarte Saturatie', '2011-07-13 02:03:17'),
(3252, 'ro', 'seotools', 'saturation-checker', 'Saturatie motoare de cautare', '2011-07-13 02:03:17'),
(3253, 'ro', 'seotools', 'sitemap-generator', 'Generator Sitemap', '2011-07-13 02:03:17'),
(3254, 'ro', 'seotools', 'Skipped Directories', 'Directoare neinscrise', '2011-07-13 02:03:17'),
(3255, 'ro', 'seotools', 'Submission Reports', 'Rapoarte inregistrare', '2011-07-13 02:03:17'),
(3256, 'ro', 'seotools', 'User Access', 'Acces utilizator', '2011-07-13 02:03:17'),
(3257, 'ro', 'saturation', 'clickproceedsaturation', 'Introduceti URL-urile <b>cate unul pe rand</b>. Apasa pe <b>Continua</b> pentru a verifica rezultatele saturatiei motoarelor de cautare', '2010-11-02 08:44:38'),
(3258, 'ro', 'saturation', 'GenerateSaturationReports', 'Genereaza rapoarte saturatie motoare de cautare', '2010-11-02 08:44:38'),
(3259, 'ro', 'saturation', 'Quick Search Engine Saturation Checker', 'Verificator rapid saturatie motoare de cautare', '2010-11-02 08:44:38'),
(3260, 'ro', 'saturation', 'Saved Search Engine Saturation results of', 'Saturatie motoare de cautare salvate rezultat din', '2010-11-02 08:44:38'),
(3261, 'ro', 'saturation', 'Search Engine Saturation Reports', 'rapoarte saturatie motoare de cuatare', '2010-11-02 08:44:38'),
(3262, 'ro', 'login', 'Confirm Password', 'Confirmare parola', '2012-05-18 21:02:44'),
(3263, 'ro', 'login', 'Create my account', 'Creaza contul', '2012-05-18 21:02:44'),
(3264, 'ro', 'login', 'Create New Account', 'Creaza cont nou', '2012-05-18 21:02:44'),
(3265, 'ro', 'login', 'Email', 'E-mail', '2012-05-18 21:02:44'),
(3266, 'ro', 'login', 'emailexist', 'Adresa de e-mail exista in baza de date!', '2012-05-18 21:02:44'),
(3267, 'ro', 'login', 'Enter the code as it is shown', 'Introduceti codul dupa cum este aratat', '2012-05-18 21:02:44'),
(3268, 'ro', 'login', 'First Name', 'Nume', '2012-05-18 21:02:44'),
(3269, 'ro', 'login', 'Last Name', 'Prenume', '2012-05-18 21:02:44'),
(3270, 'ro', 'login', 'Login', 'Autentificare', '2012-05-18 21:02:44'),
(3271, 'ro', 'login', 'Login incorrect', 'Autentificare incorecta', '2012-05-18 21:02:44'),
(3272, 'ro', 'login', 'newaccountsuccess', 'Cont nou creat cu succes!', '2012-05-18 21:02:44'),
(3273, 'ro', 'login', 'Password', 'Parola', '2012-05-18 21:02:44'),
(3274, 'ro', 'login', 'Password incorrect', 'Parola incorecta', '2012-05-18 21:02:44'),
(3275, 'ro', 'login', 'Register', 'Inregistrare', '2012-05-18 21:02:44'),
(3276, 'ro', 'login', 'Sign in to your account', 'Autentificare in contul dvs.', '2012-05-18 21:02:44'),
(3277, 'ro', 'login', 'User inactive', 'Utilizator inactiv', '2012-05-18 21:02:44'),
(3278, 'ro', 'login', 'Username', 'Nume utilizator', '2012-05-18 21:02:44'),
(3279, 'ro', 'login', 'usernameexist', 'Nume utilizator deja existenta', '2012-05-18 21:02:44'),
(3280, 'ro', 'label', 'already exist', 'deje exista', '2012-05-18 21:00:22'),
(3281, 'ro', 'label', 'Authentication', 'Autentificare', '2012-05-18 21:00:22'),
(3282, 'ro', 'label', 'Author', 'Autor', '2012-05-18 21:00:22'),
(3283, 'ro', 'label', 'Click Here', 'Apasa aici', '2012-05-18 21:00:22'),
(3284, 'ro', 'label', 'Cron', 'Cron', '2012-05-18 21:00:22'),
(3285, 'ro', 'label', 'Description', 'Descriere', '2012-05-18 21:00:22'),
(3286, 'ro', 'label', 'Developers', 'Dezvoltatori', '2012-05-18 21:00:22'),
(3287, 'ro', 'label', 'Download', 'Download', '2012-05-18 21:00:22'),
(3288, 'ro', 'label', 'Installation', 'Instalare', '2012-05-18 21:00:22'),
(3289, 'ro', 'label', 'Keywords', 'Cuvinte cheie', '2012-05-18 21:00:22'),
(3290, 'ro', 'label', 'noactiveplugins', 'Niciun plugin seo gasit!', '2012-05-18 21:00:22'),
(3291, 'ro', 'label', 'Plugin', 'Plugin', '2012-05-18 21:00:22'),
(3292, 'ro', 'label', 'Port', 'Port', '2012-05-18 21:00:22'),
(3293, 'ro', 'label', 'Proxy', 'Proxy', '2012-05-18 21:00:22'),
(3294, 'ro', 'label', 'Re-install', 'Re-instaleaza', '2012-05-18 21:00:22'),
(3295, 'ro', 'label', 'Sponsors', 'Sponsori', '2012-05-18 21:00:22'),
(3296, 'ro', 'label', 'Title', 'Titlu', '2012-05-18 21:00:22'),
(3297, 'ro', 'label', 'translation by', 'Tradus de', '2012-05-18 21:00:22'),
(3298, 'ro', 'label', 'Translators', 'Traducatori', '2012-05-18 21:00:22'),
(3299, 'ro', 'label', 'Upgrade', 'Upgrade', '2012-05-18 21:00:22'),
(3300, 'ro', 'label', 'Version', 'Versiune', '2012-05-18 21:00:22'),
(3301, 'ro', 'label', 'wantproceed', 'Chiar vrei sa continui?', '2012-05-18 21:00:22'),
(3302, 'hu', 'support', 'support_cont1', '<fieldset>\r\n<legend>Seo Panel Támogatói Rendszer</legend>\r\n<ul class=\\\"infobox\\\">\r\n    <li>\r\n        <h1>1000 darabos katalóguscsomag</h1> \r\n        <p>\r\n           Biztosítunk egy <b>1000 darabos ingyenes</b> katalóguscsomagot, melyekbe automatikusan tudja weboldalait beküldeni a <b>linkbeküldő eszközzel</b>.\r\n            Ezzel könnyedén növelheti oldalainak backlink számát <b>oldalainak backlink számát</b>.\r\n            A katalógusok megszerzéséhez kérlek <a href=\\\"<?=SP_DONATE_LINK?>\\\" target=\\\"_blank\\\">támogasd</a> minimum\r\n$10-al a Seo Panel fejlesztését.\r\n            Ha kérdésed van a csomaggal kapcsolatban kérlek lépj <a href=\\\"<?=SP_CONTACT_LINK?>\\\"\r\ntarget=\\\"_blank\\\">kapcsolatba velünk</a>, vagy kérjen egy jegyet az <a href=\\\"<?=SP_SUPPORT_LINK?>\\\"\r\ntarget=\\\"_blank\\\">ügyfélszolgálattól</a>.   \r\n        </p>        \r\n        <p>\r\n            <a href=\\\"<?=SP_DONATE_LINK?>\\\" target=\\\"_blank\\\">A Seo panel támogatáshoz látogassa meg ezt a linket.</a>\r\n        </p>\r\n        <br>\r\n    </li>\r\n    \r\n    <li>\r\n        <h1>Helyi keresőmotor csomag</h1> \r\n        <p>\r\n            Adjon <b>helyi keresést</b> a google-hoz,yahoo-hoz,msn-hez(például: <b>www.google.de,www.google.fr,www.google.hu\r\nstb..</b>). Így a <b>kulcsszóhelyezés vizsgálóval</b> a lokalizált eredményeket tudja megtekinteni. \r\n            A helyi keresőcsomag megszerzéséhez <a\r\nhref=\\\"<?=SP_DONATE_LINK?>\\\" target=\\\"_blank\\\">támogatnia</a> kell minimum $10-al a Seo Panelt.\r\n            Mielőtt elküldené a támogatást, kérem lépjen <a href=\\\"<?=SP_CONTACT_LINK?>\\\" target=\\\"_blank\\\">velünk kapcsolatba</a>, és küldje el nekünk az Ön által kívánt keresőmotor domain kiterjesztését(pl.: .hu, .fr stb..).\r\n            <br><br>              \r\n           Új <b>keresőmotor</b>(pl.:baidu.com) hozzáadásához,\r\nkérem lépjen <a href=\\\"<?=SP_CONTACT_LINK?>\\\"\r\ntarget=\\\"_blank\\\">kapcsolatba velünk</a>, vagy kérjen egy jegyet az <a href=\\\"<?=SP_SUPPORT_LINK?>\\\"\r\ntarget=\\\"_blank\\\">ügyfélszolgálattól</a>.  \r\n        </p>        \r\n        <p class=\\\"visit\\\">\r\n            <a href=\\\"<?=SP_CONTACT_LINK?>\\\" target=\\\"_blank\\\">Látogassa meg ezt a linket, hogy kapcsolatba léphessen velünk.</a>\r\n        </p>\r\n        <br>\r\n    </li>\r\n    \r\n    <li>\r\n        <h1>Seo Panel Kiegészítők</h1> \r\n        <p>\r\n            Adjon hozzá különböző <b>kiegészítőket</b> Seo paneljéhez, hogy <b>bővíthesse a funkcióit</b>.\r\n            <a href=\\\"<?=SP_PLUGINSITE?>\\\" target=\\\"_blank\\\">Seo panel kiegészítőket</a> a Seo panel hivatalos oldala mellett egyéb oldalakon is találhat.\r\n             Könnyedén <b>fejleszthet</b> Ön is Seo Kiegészítőket a Seo Panelhez.\r\n            Az ön által fejlesztett kiegészítőket <a href=\\\"<?=SP_PLUGINSITE?>\\\" target=\\\"_blank\\\">beküldheti</a> a Seo Panel oldalára ahol egy rövid áttekintés után <b>megjelenik</b> a többi kiegészítő között.       \r\n        </p>        \r\n        <p>\r\n            <a href=\\\"<?=SP_PLUGINSITE?>\\\" target=\\\"_blank\\\">Kiegészítők letöltéséhez látogassa meg ezt az oldalt.</a>\r\n        </p>\r\n        <br>\r\n    </li>    \r\n    <li>\r\n        <h1>Kapcsolat</h1> \r\n        <p>\r\n            Ha bármilyen kérdése van(<b>kiegészítők, fejlesztés, stb..</b>), akkor az alábbi linken lépjen velünk kapcsolatba.        \r\n        </p>        \r\n        <p>\r\n            <a href=\\\"<?=SP_CONTACT_LINK?>\\\" target=\\\"_blank\\\">Látogassa meg ezt az oldalt a kapcsolatfelvételhez.</a>\r\n        </p>\r\n        <br>\r\n    </li>    \r\n    <li>\r\n        <h1>Ügyfélszolgálati jegy</h1> \r\n        <p>\r\n          A Seo panel csapat <b>Technikai támogatásért</b>(kiegészítők telepítése, cron beállítása) lépjen kapcsolatba az ügyfélszolgálattal.\r\n        </p>        \r\n        <p>\r\n            <a href=\\\"<?=SP_SUPPORT_LINK?>\\\" target=\\\"_blank\\\">Látogassa meg ezt a linket, hogy kapcsolatba léphessen az ügyfélszolgálattal.</a>\r\n        </p>\r\n        <br>\r\n    </li>    \r\n    <li>\r\n        <h1>Hibák bejelentése</h1> \r\n        <p>\r\n            <b>Hibák</b> bejelentéséhez használja az alábbi linket. Ezzel nagymértékben hozzájárul a program fejlesztéséhez. \r\n                     \r\n        </p>        \r\n        <p>\r\n            <a href=\\\"<?=SP_SUPPORT_LINK?>\\\" target=\\\"_blank\\\">Hibabejelentéshez kérem látogassa meg az alábbi oldalt.</a>\r\n        </p>\r\n        <br>\r\n    </li>    \r\n</ul>\r\n</fieldset>', '2010-11-06 02:21:42'),
(3303, 'hu', 'support', 'support_cont2', '<fieldset>\r\n<legend>Seo Panel Online Források</legend>\r\n<ul class=\\\"infobox\\\">\r\n        \r\n    <li>\r\n        <h1>Seo Panel Útmutató</h1> \r\n        <p>\r\n            A <a href=\\\"<?=SP_HELP_LINK?>\\\" target=\\\"_blank\\\">Seo panel-hez tartozó dokumentációt</a> az\r\n<b>útmutatóban</b> találja, amely tartalmaz minden olyan információt amely segít a Seo panel használatában.\r\n            <br>Ez a legjobb hely az interneten, hogy <b>segítséget kapj</b> a Seo panellel kapcsolatban. Reméljük, hogy az esetleges elírásokat, hiányosságokat segít nekünk pótolni.               \r\n        </p>\r\n        <p>\r\n            <a href=\\\"<?=SP_HELP_LINK?>\\\" target=\\\"_blank\\\">Seo Panel útmutató megtekintése.</a>\r\n        </p>\r\n        <br>\r\n    </li>    \r\n    <li>\r\n        <h1>Seo Panel Fórum</h1> \r\n        <p>\r\n            Ez az a hely ahol szabadon megoszthatja <b>tapasztalatait</b> a <b>Seo panel</b>-el kapcsolatban. \r\n            Válaszokat találhat a megoldhatatlannak tűnő <b>kérdéseire</b>, továbbá <b>tapasztalatait</b> is megoszthatja másokkal. \r\n                             \r\n        </p>        \r\n        <p>\r\n            <a href=\\\"<?=SP_FORUM_LINK?>\\\" target=\\\"_blank\\\">Seo panel fórumának megtekintése</a>\r\n        </p>\r\n        <br>\r\n    </li>\r\n</ul>    \r\n</fieldset>', '2010-11-06 02:21:42'),
(3304, 'hu', 'support', 'support_cont3', '<fieldset>\r\n<legend>Seo panel támogatása</legend>\r\n<ul class=\\\"infobox\\\">        \r\n    <li>\r\n        <h1>Támogassa a Seo panelt - amely a világ első nyílt forráskódú Seo segédje.</h1> \r\n        <p>\r\n            <b>Támogassa</b> a Seo panelt - amely a világ első nyílt forráskódú Seo segédje.\r\n            Tervezzük, hogy a jövőben folyamatosan új <b>funkciókat</b> adunk a Seo panelhez, de ehhez az Ön segítségére is szükség van.\r\n           \r\n            Ha úgy érzed, hogy a Seo panel <b>hasznos</b> számodra, akkor kérlek támogasd a fejlesztők csapatát.\r\n            Miután támogattál minket, nevedet és oldalad linkjét <br><b>közzé</b> tesszük a <a href=\\\"<?=SP_DONATE_LINK?>\\\"\r\ntarget=\\\"_blank\\\">támogatói oldalon</a>.\r\n        </p>\r\n        <p>\r\n            <a href=\\\"<?=SP_DONATE_LINK?>\\\" target=\\\"_blank\\\">A seo panel támogatásához látogassa meg ezt az oldalt.</a>\r\n        </p>\r\n        <br>\r\n    </li>\r\n</ul>\r\n</fieldset>', '2010-11-06 02:21:42'),
(3305, 'bg', 'website', 'Edit Website', 'Редакция', '2016-12-18 17:19:36'),
(3306, 'bg', 'website', 'plscrtwebsite', 'Моля, добавете интернет сайт, преди да използвате SEO инструментите и SEO модулите.', '2016-12-18 17:19:36'),
(3307, 'bg', 'website', 'Website already exist', 'Сайтът вече съществува', '2016-12-18 17:19:36'),
(3308, 'bg', 'website', 'yourwebalreday', 'вашия сайт, ако вече сте създали такъв.', '2016-12-18 17:19:36'),
(3309, 'bg', 'sitemap', 'Change frequency', 'Честота на обхождане', '2011-07-13 01:14:40'),
(3310, 'bg', 'sitemap', 'clickproceedsitemap', 'Кликнете на <b>Продължи</b> за да създадете файл с карата на сайта ', '2011-07-13 01:14:41'),
(3311, 'bg', 'sitemap', 'Download sitemap file from', 'Изтегли карта на сайта от', '2011-07-13 01:14:41'),
(3312, 'bg', 'sitemap', 'Exclude Url', 'Изключи Url', '2011-07-13 01:14:41'),
(3313, 'bg', 'sitemap', 'processtaketime', 'Продължителността на процеса зависи от броя линкове в сайта Ви. Моля, изчакайте за да изтеглите картата на сайта ', '2011-07-13 01:14:41'),
(3314, 'bg', 'sitemap', 'Sitemap Type', 'Тип на картата', '2011-07-13 01:14:41'),
(3315, 'bg', 'label', 'already exist', 'вече съществува', '2018-08-21 07:09:26');
INSERT INTO `texts` (`id`, `lang_code`, `category`, `label`, `content`, `changed`) VALUES
(3316, 'bg', 'label', 'Authentication', 'Проверка', '2018-08-21 07:09:26'),
(3317, 'bg', 'label', 'Author', 'Автор', '2018-08-21 07:09:26'),
(3318, 'bg', 'label', 'Click Here', 'Кликнете тук', '2018-08-21 07:09:26'),
(3319, 'bg', 'label', 'Cron', 'Cron', '2018-08-21 07:09:26'),
(3320, 'bg', 'label', 'Description', 'Описание', '2018-08-21 07:09:26'),
(3321, 'bg', 'label', 'Developers', 'Разработчици', '2018-08-21 07:09:26'),
(3322, 'bg', 'label', 'Download', 'Изтегли', '2018-08-21 07:09:26'),
(3323, 'bg', 'label', 'Installation', 'Инсталация', '2018-08-21 07:09:26'),
(3324, 'bg', 'label', 'Keywords', 'Ключови думи', '2018-08-21 07:09:26'),
(3325, 'bg', 'label', 'noactiveplugins', 'Не са намерени активни SEO модули!', '2018-08-21 07:09:26'),
(3326, 'bg', 'label', 'Plugin', 'Модул', '2018-08-21 07:09:26'),
(3327, 'bg', 'label', 'Port', 'Порт', '2018-08-21 07:09:26'),
(3328, 'bg', 'label', 'Proxy', 'Прокси', '2018-08-21 07:09:26'),
(3329, 'bg', 'label', 'Re-install', 'Пре-инсталация', '2018-08-21 07:09:26'),
(3330, 'bg', 'label', 'Sponsors', 'Спонсори', '2018-08-21 07:09:26'),
(3331, 'bg', 'label', 'Title', 'Заглавие', '2018-08-21 07:09:26'),
(3332, 'bg', 'label', 'translation by', 'превод от', '2018-08-21 07:09:26'),
(3333, 'bg', 'label', 'Translators', 'Преводачи', '2018-08-21 07:09:26'),
(3334, 'bg', 'label', 'Upgrade', 'Обнови', '2018-08-21 07:09:26'),
(3335, 'bg', 'label', 'Version', 'Версия', '2018-08-21 07:09:26'),
(3336, 'bg', 'label', 'wantproceed', 'Наистина ли желаете да продължите?', '2018-08-21 07:09:26'),
(3337, 'bg', 'keyword', 'Crawling keyword', 'Обиране на ключова дума', '2016-12-18 17:06:16'),
(3338, 'bg', 'keyword', 'Detailed Keyword Position Reports', 'Детайлни доклади за позиция по ключова дума', '2016-12-18 17:06:16'),
(3339, 'bg', 'keyword', 'Edit Keyword', 'Редакция на ключова дума', '2016-12-18 17:06:16'),
(3340, 'bg', 'keyword', 'Graphical Keyword Position Reports', 'Графични доклади за позиция по ключова дума', '2016-12-18 17:06:16'),
(3341, 'bg', 'keyword', 'Import Keywords', 'Импортиране на ключови думи', '2016-12-18 17:06:16'),
(3342, 'bg', 'keyword', 'Keyword already exist', 'Ключовата дума вече съществува', '2016-12-18 17:06:16'),
(3343, 'bg', 'keyword', 'Keyword Position Report', 'Доклад за позиция по ключова дума', '2016-12-18 17:06:16'),
(3344, 'bg', 'keyword', 'New Keyword', 'Нова ключова дума', '2016-12-18 17:06:16'),
(3345, 'bg', 'keyword', 'not assigned to required search engines', 'не са избрани задължителните търсачки', '2016-12-18 17:06:16'),
(3346, 'bg', 'keyword', 'pleaseselecttool', 'Моля, изберете поне един SEO инструмент', '2016-12-18 17:06:16'),
(3347, 'bg', 'keyword', 'Quick Keyword Position Checker', 'Бърза проверка на позиция', '2016-12-18 17:06:16'),
(3348, 'bg', 'keyword', 'results from ', 'резултати от', '2016-12-18 17:06:16'),
(3349, 'bg', 'keyword', 'Show All results', 'Показване на всички резултати', '2016-12-18 17:06:16'),
(3350, 'bg', 'keyword', 'Successfully crawled keyword', 'Успешно обрана ключова дума', '2016-12-18 17:06:16'),
(3351, 'bg', 'keyword', 'to create new keywords', 'за да добавите нова ключова дума', '2016-12-18 17:06:16'),
(3352, 'bg', 'rank', 'enterurlproceed', 'Въведете <b>по един</b> URL адрес на ред. Кликнете на <b>Продължи</b> за да проверите ранга в Google и Alexa.', '2010-11-14 19:34:40'),
(3353, 'bg', 'rank', 'Google and Alexa Rank Reports', 'Доклади за ранга в Google и Alexa', '2010-11-14 19:34:40'),
(3354, 'bg', 'rank', 'Saved rank results of', 'Запазени ранг резултати за', '2010-11-14 19:34:40'),
(3355, 'bg', 'proxy', 'Edit Proxy', 'Редакция', '2016-12-18 17:08:18'),
(3356, 'bg', 'proxy', 'Proxy Password', 'Прокси парола', '2016-12-18 17:08:18'),
(3357, 'bg', 'proxy', 'Proxy Username', 'Прокси потребител', '2016-12-18 17:08:18'),
(3358, 'bg', 'proxy', 'Proxyalreadyexist', 'Вече съществува такова прокси!', '2016-12-18 17:08:18'),
(3359, 'bg', 'plugin', 'Edit Seo Plugin', 'Редакция', '2012-05-28 18:53:11'),
(3360, 'bg', 'plugin', 'Plugin Name', 'Име на модула', '2012-05-28 18:53:11'),
(3361, 'bg', 'plugin', 'Seo Plugin Details', 'Детайли на SEO модула', '2012-05-28 18:53:11'),
(3362, 'bg', 'login', 'Confirm Password', 'Потвърди парола', '2018-08-21 07:10:13'),
(3363, 'bg', 'login', 'Create my account', 'Създай профил', '2018-08-21 07:10:13'),
(3364, 'bg', 'login', 'Create New Account', 'Създаване на нов профил', '2018-08-21 07:10:13'),
(3365, 'bg', 'login', 'Email', 'Имейл', '2018-08-21 07:10:13'),
(3366, 'bg', 'login', 'emailexist', 'Имейлът вече съществува', '2018-08-21 07:10:13'),
(3367, 'bg', 'login', 'Enter the code as it is shown', 'Въведете кода от картинката', '2018-08-21 07:10:13'),
(3368, 'bg', 'login', 'First Name', 'Име', '2018-08-21 07:10:13'),
(3369, 'bg', 'login', 'Last Name', 'Фамилия', '2018-08-21 07:10:13'),
(3370, 'bg', 'login', 'Login', 'Вход', '2018-08-21 07:10:13'),
(3371, 'bg', 'login', 'Login incorrect', 'Грешен вход', '2018-08-21 07:10:13'),
(3372, 'bg', 'login', 'newaccountsuccess', 'Новият акаунт е създаден успешно!', '2018-08-21 07:10:13'),
(3373, 'bg', 'login', 'Password', 'Парола', '2018-08-21 07:10:13'),
(3374, 'bg', 'login', 'Password incorrect', 'Грешна парола', '2018-08-21 07:10:13'),
(3375, 'bg', 'login', 'Register', 'Регистрация', '2018-08-21 07:10:13'),
(3376, 'bg', 'login', 'Sign in to your account', 'Влез в профила си', '2018-08-21 07:10:13'),
(3377, 'bg', 'login', 'User inactive', 'Потребителят е неактивен', '2018-08-21 07:10:13'),
(3378, 'bg', 'login', 'Username', 'Потребителко име', '2018-08-21 07:10:13'),
(3379, 'bg', 'login', 'usernameexist', 'Потребителското име вече съществува!', '2018-08-21 07:10:13'),
(3380, 'bg', 'panel', 'About Us', 'За нас', '2018-08-21 07:14:04'),
(3381, 'bg', 'panel', 'Add following command to your cron tab', 'Въведете следната команда в вашият cron таб', '2018-08-21 07:14:04'),
(3382, 'bg', 'panel', 'alsocheckfollowlink', 'Проверете и следният линк ако имате нужда от повече детайли.', '2018-08-21 07:14:04'),
(3383, 'bg', 'panel', 'Check Directory', 'Проверка на директория', '2018-08-21 07:14:04'),
(3384, 'bg', 'panel', 'Cron Command', 'Cron Команда', '2018-08-21 07:14:04'),
(3385, 'bg', 'panel', 'Directory Manager', 'Управление на директории', '2018-08-21 07:14:04'),
(3386, 'bg', 'panel', 'Edit My Profile', 'Редакция', '2018-08-21 07:14:04'),
(3387, 'bg', 'panel', 'My Profile', 'Моят профил', '2018-08-21 07:14:04'),
(3388, 'bg', 'panel', 'New Proxy', 'Ново прокси', '2018-08-21 07:14:04'),
(3389, 'bg', 'panel', 'New User', 'Нов потребител', '2018-08-21 07:14:04'),
(3390, 'bg', 'panel', 'New Website', 'Добавяне на уеб сайт', '2018-08-21 07:14:04'),
(3391, 'bg', 'panel', 'Proxy Manager', 'Управление на прокси', '2018-08-21 07:14:04'),
(3392, 'bg', 'panel', 'Report Generation Manager', 'Генериране на доклади', '2018-08-21 07:14:04'),
(3393, 'bg', 'panel', 'Reports Manager', 'Управление на доклади', '2018-08-21 07:14:04'),
(3394, 'bg', 'panel', 'Seo Plugins Manager', 'Управление на SEO модули', '2018-08-21 07:14:04'),
(3395, 'bg', 'panel', 'Seo Tools Manager', 'Управление на SEO инструменти', '2018-08-21 07:14:04'),
(3396, 'bg', 'panel', 'System Settings', 'Системни настройки', '2018-08-21 07:14:04'),
(3397, 'bg', 'panel', 'User Manager', 'Управление на потребители', '2018-08-21 07:14:04'),
(3398, 'bg', 'panel', 'Website Manager', 'Управление на сайтове', '2018-08-21 07:14:04'),
(3399, 'bg', 'settings', 'Click here to become a sponsor for Seo Panel', '<b>Дарете 100 $</b> и станете <b>спонсор</b> на Seo Panel.', '2018-08-21 07:24:42'),
(3400, 'bg', 'settings', 'seopanel_description', 'Напълно безплатен контролен панел, за управление на оптимизацията за търсещи машини на вашият уеб сайт. Предоставящ много SEO инструменти за оптимизация, увеличаване и проследяване, представянето на вашите уеб сайтове. Софтуер с отворен код, предоставящ ви възможност да развиете собствени SEO модули за Seo Panel.\r\n', '2018-08-21 07:24:42'),
(3401, 'bg', 'settings', 'seopanel_title', 'Seo Panel: Първият в света SEO контролен панел с отворен код', '2018-08-21 07:24:42'),
(3402, 'bg', 'settings', 'SP_CRAWL_DELAY', 'Забавяне между всяко обхождане от \"паяка\" (секунди)\r\n', '2018-08-21 07:24:42'),
(3403, 'bg', 'settings', 'SP_DEFAULTLANG', 'Език по подразбиране', '2018-08-21 07:24:42'),
(3404, 'bg', 'settings', 'SP_DESCRIPTION', 'Описание на Seo Panel', '2018-08-21 07:24:42'),
(3405, 'bg', 'settings', 'SP_ENABLE_PROXY', 'Разрешаване на прокси', '2018-08-21 07:24:42'),
(3406, 'bg', 'settings', 'SP_HOTLINKING', 'Включване на защитата против хотлинкинг на снимки', '2018-08-21 07:24:42'),
(3407, 'bg', 'settings', 'SP_KEYWORDS', 'Seo Panel Ключови думи', '2018-08-21 07:24:42'),
(3408, 'bg', 'settings', 'SP_PAGINGNO', 'Резултати на страница', '2018-08-21 07:24:42'),
(3409, 'bg', 'settings', 'SP_TITLE', 'Seo Panel Заглавие', '2018-08-21 07:24:42'),
(3410, 'bg', 'settings', 'SP_USER_GEN_REPORT', 'Позволи на потребителите да генерират доклади', '2018-08-21 07:24:42'),
(3411, 'bg', 'settings', 'SP_USER_REGISTRATION', 'Интерфейс за потребителска регистрация', '2018-08-21 07:24:42'),
(3412, 'bg', 'settings', 'syssettingssaved', 'Настройките са запазени успешно', '2018-08-21 07:24:42'),
(3413, 'bg', 'home', 'Account Summary', 'Обобщена информация', '2011-07-07 01:34:27'),
(3414, 'bg', 'home', 'Backlinks', 'Беклинкове', '2011-07-07 01:34:28'),
(3415, 'bg', 'home', 'Directory Submission', 'Регистрация в Директории', '2011-07-07 01:34:28'),
(3416, 'bg', 'home', 'home_cont1', '<h1 style=\\\"text-align: center;margin-bottom: 30px;font-size: 19px;\\\">Добре дошли в Seo Panel - Първият в света SEO контролен панел</h1> \r\n        <p> \r\n            SEO контролен панел с <b>напълно отворен код</b>, за управление на <b>оптимизацията за търсещи машини</b> на вашите сайтове.  \r\n            Seo Panel е <b>комплект от SEO инструменти</b>, включващ последните и най-нови инструменти, необходими за <b>повишаване и следене</b> на <b>представянето</b> на вашите уеб сайтове. \r\n            Това е <b>безплатен софтуер</b> разпространяващ се под <b>GNU - GENERAL PUBLIC LICENSE</b>. \r\n            Основаната характеристика на SEO Panel е възможността за <b>разширение на функционалността</b>, чрез използването на <a href=\\\"<?=SP_PLUGINSITE?>\\\"\r\ntarget=\\\"_blank\\\">SEO модули</a>. \r\n            Всеки може лесно да <b>разработи и инсталира</b> необходимите му модули за неговият SEO panel.  \r\n        </p> \r\n        <p></p> \r\n        <p> \r\n            Този софтуер с отворен код, се разпространява от <b>Януари 2010</b>. \r\n            За този <b>кратък период</b> от време <b>хиляди уеб разработчици</b> използваха този софтуер, за да <b>оптимизират</b>  техните сайтове. \r\n            Изполвайте SEO panel сега и открийте <b>предимствата</b> на работа с много SEO инструменти под една <b>платформа</b>. \r\n        </p> ', '2011-07-07 01:34:28'),
(3417, 'bg', 'home', 'home_cont2', '<fieldset> \r\n<legend>Основни характеристики на Seo Panel <?=SP_INSTALLED?></legend> \r\n<ul class=\\\"infobox\\\"> \r\n    <li>         \r\n        <h1>Инструмент за Автоматично регистриране в Директории</h1> \r\n        <p> \r\n            Инструмента за автоматично регистриране в директории, помага да <b>регистрирате вашите сайтове</b> в голям брой <b>безплатни и платени интернет директории</b>. \r\n            Също така можете да <b>следите статуса</b> на всяка регистрация чрез <b>периодична проверка</b>, използвайки <b>скрипта за следене статуса</b> на регистрация. \r\n            <b>Управлението на директории</b> ви помога да установите дали дадена директория е <b>активна</b> или не. \r\n        </p> \r\n    </li> \r\n    <li>         \r\n        <h1>Инструмент за Проверка на позиция по ключова дума</h1> \r\n        <p> \r\n            Инструмента за проверка на позиция по ключова дума ще открие <b>позицията в търсачка</b> за <b>въведените ключови думи</b>\r\nкъм вашият сайт и ще <b>запази</b> резултата в системата. \r\n            В секцията с доклади за позиция по ключова дума, можете да видите <b>дневните позиции</b> на ключовите думи за различните търсачки чрез <b>графики</b> и <b>детайлни доклади</b>. \r\n        </p> \r\n    </li> \r\n    <li>         \r\n        <h1>Сайт Одитор</h1> \r\n        <p>Сайт Одитора <b>ще направи проверка на всички SEO фактори</b> за страниците на посоченият сайт и ще покаже <b>детайлен доклад</b> за всяка страница. Това ще помогне да се създаде <b>XML,HTML,TEXT</b> карта на сайта, която <b>да се използва</b> за търсещите машини.</p> \r\n    </li> \r\n    <li>         \r\n        <h1>Проверка на ранга в Google и Alexa</h1> \r\n        <p> \r\n            Инструмента за проверка на ранга в Google и Alexa, ще ви покаже <b>пейдж ранга в google</b> и <b>ранга в alexa</b> на вашите сайтове и ще го <b>запази</b> в системата. \r\n            В секцията <b>доклади за ранг</b>, можете да видите <b>дневния</b> google и alexa ранг за всеки от въведените сайтове, посредством <b>детайлни доклади</b>. \r\n        </p> \r\n    </li> \r\n    <li>         \r\n        <h1>Инструмент за проверка на беклинкове</h1> \r\n        <p> \r\n            Инструмента за проверка на беклинкове ще провери <b>броя на беклинковете</b> за въведените сайтове в различните търсачки <b>(google,yahoo,msn и т.н.)</b> и <b>ще го запази</b> в системата. \r\n            <br>В секцията <b>Доклади за беклинкове</b>, можете да видите <b>дневното преброяване на беклинковете</b> за всеки от въведените сайтове, посредством <b>детайлни доклади</b>. \r\n        </p> \r\n    </li>     \r\n    <li>         \r\n        <h1>Инструмент за проверка на наситеността в търсачка</h1> \r\n        <p> \r\n            Инструмента за проверка на наситеността, ще открие <b>броя индексирани страници</b> за въведените сайтове в различните търсачки <b>(google,yahoo,msn и т.н.)</b> и ще го <b>запази</b> в системата. \r\n            В секцията  <b>Доклади за наситеността</b>, можете да видите <b>броят индексирани страници по дни</b> за всеки от въведните сайтове, посредством <b>детайлни доклади</b>. \r\n        </p> \r\n    </li> \r\n    <li>         \r\n        <h1>Seo Panel Модули</h1> \r\n        <p> \r\n            <b>Основната харектиристика</b> и преимущество на SEO control panel е възможността за <b>разширяване на броя инструменти</b>. \r\n            Добавете <b>SEO модул</b> към вашият SEO panel за да <b>разширите функционалността</b> според вашите нужди. \r\n            <a href=\\\"<?=SP_PLUGINSITE?>\\\" target=\\\"_blank\\\">Seo panel модулите</a> се разработват от SEO panel, както и от външни разработчици. \r\n            Можете лесно да <b>разработите</b> SEO модули за вашият SEO panel и да <a href=\\\"<?=SP_PLUGINSITE?>\\\" target=\\\"_blank\\\">добавите</a> вашият SEO модул към SEO panel, ние ще го <b>публикуваме</b> на нашият сайт, след като го <b>прегледаме</b>. \r\n        </p> \r\n    </li> \r\n    <li>         \r\n        <h1>Генератор на мета тагове</h1> \r\n        <p> \r\n            Генераторът на мета тагове е <b>SEO panel модул</b> за създаване на <b>мета тагове</b> за вашият сайт. \r\n            Мета таговете помагат, да дадете <b>повече информация</b> относно сайта ви на <b>роботите на търсачката</b>, докато те обират информация от сайта ви. \r\n        </p> \r\n    </li> \r\n</ul> \r\n</fieldset> ', '2011-07-07 01:34:28'),
(3418, 'bg', 'home', 'home_cont3', '<fieldset> \r\n<legend>Seo Panel - Онлайн ресурси</legend>     \r\n<ul class=\\\"infobox\\\"> \r\n\r\n    <li> \r\n        <h1>Seo Panel - Онлайн ресурси</h1>                 \r\n         \r\n         \r\n        <p> \r\n            <a href=\\\"http://www.seopanel.in\\\" target=\\\"_blank\\\">Seo Panel - Официален сайт</a> \r\n        </p> \r\n        <p> \r\n            <a href=\\\"<?=SP_DOWNLOAD_LINK?>\\\" target=\\\"_blank\\\">Изтеглете Seo Panel</a> \r\n        </p> \r\n         \r\n        <p> \r\n            <a href=\\\"<?=SP_DEMO_LINK?>\\\" target=\\\"_blank\\\">Seo Panel Демо</a> \r\n        </p> \r\n         \r\n        <p> \r\n            <a href=\\\"<?=SP_CONTACT_LINK?>\\\" target=\\\"_blank\\\">Контакти</a> \r\n        </p> \r\n         \r\n        <p> \r\n            <a href=\\\"<?=SP_HELP_LINK?>\\\" target=\\\"_blank\\\">Помощна информация</a> \r\n        </p> \r\n         \r\n        <p> \r\n            <a href=\\\"<?=SP_FORUM_LINK?>\\\" target=\\\"_blank\\\">Seo Panel Форум</a> \r\n        </p> \r\n         \r\n        <p> \r\n            <a href=\\\"<?=SP_SUPPORT_LINK?>\\\" target=\\\"_blank\\\">Техническа поддръжка</a> \r\n        </p> \r\n         \r\n        <p> \r\n            <a href=\\\"<?=SP_DONATE_LINK?>\\\" target=\\\"_blank\\\">Направете дарение</a> \r\n        </p> \r\n    </li> \r\n     \r\n</ul> \r\n</fieldset>', '2011-07-07 01:34:28'),
(3419, 'bg', 'home', 'Pages Indexed', 'Индексирани страници', '2011-07-07 01:34:28'),
(3420, 'bg', 'home', 'Ranks', 'Ранг', '2011-07-07 01:34:28'),
(3421, 'bg', 'home', 'SiteNameUrl', 'Име/Адрес', '2011-07-07 01:34:28'),
(3422, 'bg', 'home', 'Website Statistics', 'Общи статистики', '2011-07-07 01:34:28'),
(3423, 'bg', 'support', 'support_cont1', '<fieldset> \r\n<legend>SEO Panel Техническа подръжка</legend> \r\n<ul class=\\\"infobox\\\"> \r\n    <li> \r\n        <h1>Пакет от 1000 Директории</h1>  \r\n        <p> \r\n            Осигуряваме <b>пакет от 1000 безплатни и потвърдени</b> интернет директории, които можете да добавите към вашият <b>инструмент за регистрация в директории</b> в seo panel. \r\n            Този пакет ще ви помогне <b>да увеличите беклинковете</b> към вашите сайтове. \r\n            Всъщност, списъка с 1000 директории се <b>представя</b> за да съберем средства за <b>бъдеща разработка</b> на seo panel. \r\n            За да получите списъка с 1000 директории, моля <a href=\\\"<?=SP_DONATE_LINK?>\\\" target=\\\"_blank\\\">направете дарение</a>\r\nот 10 $ или повече. Дарението ще се използва за подобряване на seo panel. \r\n            Ако имате въпроси относно списъка с 1000 директории, моля <a href=\\\"<?=SP_CONTACT_LINK?>\\\"\r\ntarget=\\\"_blank\\\">свържете се с нас</a> или създайте билет в <a href=\\\"<?=SP_SUPPORT_LINK?>\\\"\r\ntarget=\\\"_blank\\\">системата за техническа подръжка</a>.    \r\n        </p>         \r\n        <p> \r\n            <a href=\\\"<?=SP_DONATE_LINK?>\\\" target=\\\"_blank\\\">Посетете този линк за да направите дарение на seo panel</a> \r\n        </p> \r\n        <br> \r\n    </li> \r\n     \r\n    <li> \r\n        <h1>Пакет локални търсачки</h1>  \r\n        <p> \r\n            Добавяне <b>локализирани домейни на търсачка</b> - google,yahoo,msn(<b>например: www.google.de,www.google.fr\r\nи др.</b>) към SEO panel за <b>позиция по ключова дума</b>, за да следите локалните резултати за вашите сайтове. \r\n            За да добавим пакета за локални търсачки (според вашите изисквания), моля <a\r\nhref=\\\"<?=SP_DONATE_LINK?>\\\" target=\\\"_blank\\\">направете дарение</a> от 10 $ или повече. Дарението ще се използва за подобряване на seo panel. \r\n            Преди да изпратите даренията, моля <a href=\\\"<?=SP_CONTACT_LINK?>\\\" target=\\\"_blank\\\">свържете се с нас</a> за да ни предоставите списък с желаните домейни на търсачки за локално търсене. \r\n            <br><br>               \r\n            Също така, за да добавим <b>нови търсачки (напр.:baidu.com)</b> към проверката на позиция по ключова дума към вашият seo panel,\r\nмоля <a href=\\\"<?=SP_CONTACT_LINK?>\\\" target=\\\"_blank\\\">свържете се с нас</a> или създайте билет в <a\r\nhref=\\\"<?=SP_SUPPORT_LINK?>\\\" target=\\\"_blank\\\">системата за техническа подръжка</a>.  \r\n        </p>         \r\n        <p class=\\\"visit\\\"> \r\n            <a href=\\\"<?=SP_CONTACT_LINK?>\\\" target=\\\"_blank\\\">Посетете този линк за да се свържете с нас</a> \r\n        </p> \r\n        <br> \r\n    </li> \r\n     \r\n    <li> \r\n        <h1>Seo Panel Модули</h1>  \r\n        <p> \r\n            Добавете <b>seo модули</b> към вашият seo panel за да <b>разширите възможностите му</b>, според вашите нужди. \r\n            <a href=\\\"<?=SP_PLUGINSITE?>\\\" target=\\\"_blank\\\">Seo panel модулите</a> се разработват, както от екипа на seo panel, така и от други разработчици. \r\n            Можете лесно да <b>разработите</b> seo модули за вашият seo panel. \r\n            Можете да ни <a href=\\\"<?=SP_PLUGINSITE?>\\\" target=\\\"_blank\\\">изпратите</a> вашият seo модул за seo panel и ние ще го <b>публикуваме</b> на нашият сайт след като го <b>прегледаме</b>.         \r\n        </p>         \r\n        <p> \r\n            <a href=\\\"<?=SP_PLUGINSITE?>\\\" target=\\\"_blank\\\">Посетете този линк за да изтеглите последните seo panel модули</a> \r\n        </p> \r\n        <br> \r\n    </li>     \r\n    <li> \r\n        <h1>Връзка с нас</h1>  \r\n        <p> \r\n            Свържете се с нас за всякакви въпроси свързани с <b>инструментите, модулите, опциите и т.н. на seo panel </b> като използвате линка по-долу.         \r\n        </p>         \r\n        <p> \r\n            <a href=\\\"<?=SP_CONTACT_LINK?>\\\" target=\\\"_blank\\\">Посетете този линк за да се свържете с нас</a> \r\n        </p> \r\n        <br> \r\n    </li>     \r\n    <li> \r\n        <h1>Система за техническа подръжка</h1>  \r\n        <p> \r\n            За да получите <b>техническа подръжка</b> от екипа на seo panel относно <b>инсталирането, модулите, инструментите и опциите на seo panel</b>. Например: Да настройте cron за проверката на позиция по ключова дума. \r\n        </p>         \r\n        <p> \r\n            <a href=\\\"<?=SP_SUPPORT_LINK?>\\\" target=\\\"_blank\\\">Посетете този линк за да създадете билет в системата за техническа подръжка</a> \r\n        </p> \r\n        <br> \r\n    </li>     \r\n    <li> \r\n        <h1>Докладване на бъгове(грешки)</h1>  \r\n        <p> \r\n            Докладвайте за <b>бъгове</b> в <b>инсталирането, модулите, инструментите, опциите и т.н. на seo panel</b> използвайки линка по долу.  \r\n           По този начин, ни помогате да подобрим работата на следащите версии на seo panel.           \r\n        </p>         \r\n        <p> \r\n            <a href=\\\"<?=SP_SUPPORT_LINK?>\\\" target=\\\"_blank\\\">Посетете този линк за да докладвате за бъгове</a> \r\n        </p> \r\n        <br> \r\n    </li>     \r\n</ul> \r\n</fieldset>', '2010-11-14 19:47:30'),
(3424, 'bg', 'support', 'support_cont2', '<fieldset> \r\n<legend>SEO Panel - Онлайн ресурси</legend> \r\n<ul class=\\\"infobox\\\"> \r\n         \r\n    <li> \r\n        <h1>Seo Panel - Помощна информация</h1>  \r\n        <p> \r\n            Можете да разгледате <a href=\\\"<?=SP_HELP_LINK?>\\\" target=\\\"_blank\\\">документацията на SEO panel</a> в <b>помощната информация</b>. Съдържа <b>документация</b> за инструментите на SEO panel, модулите и различните функционалности. \r\n            <br>Най доброто място в интернет, където можете да <b>получите помощ</b> относно SEO panel. Надяваме се да\r\n<b>допълвате</b> помощната информация на seo panel, ако намерите някакви грешки или нещо липсва.                 \r\n        </p> \r\n        <p> \r\n            <a href=\\\"<?=SP_HELP_LINK?>\\\" target=\\\"_blank\\\">Посетете секцията Помощна информация</a> \r\n        </p> \r\n        <br> \r\n    </li>     \r\n    <li> \r\n        <h1>Форум Seo Panel</h1>  \r\n        <p> \r\n            Мястото за дискусии на първият в света <b>seo контролен панел</b> с отворен код.  \r\n            Най-доброто място да откриете <b>отговори</b> на вашите <b>въпроси</b> относно seo panel.  \r\n            <br>Също така можете да <b>споделите</b> вашият <b>опит</b> в използването на seo panel за оптимизиране на вашите уеб сайтове.                                \r\n        </p>         \r\n        <p> \r\n            <a href=\\\"<?=SP_FORUM_LINK?>\\\" target=\\\"_blank\\\">Посетете форума на seo panel</a> \r\n        </p> \r\n        <br> \r\n    </li> \r\n</ul>     \r\n</fieldset>', '2010-11-14 19:47:30'),
(3425, 'bg', 'support', 'support_cont3', '<fieldset> \r\n<legend>Направете дарение на SEO Panel</legend> \r\n<ul class=\\\"infobox\\\">         \r\n    <li> \r\n        <h1>Направете дарение на Seo Panel - Първият в света, SEO контролен панел с отворен код</h1>  \r\n        <p> \r\n            <b>Направете дарение</b> на SEO panel за да подкрепите първият SEO контролен панел с отворен код в света. \r\n            Планираме да <b>добавяме и подобряваме</b> функционалността на SEO panel в бъдеще.  \r\n            <br>Заедно, с <b>вашата подкрепа</b> можем да постигнем нашите <b>цели</b>. \r\n            Ако смятате, че SEO panel си <b>струва</b>, моля дарете някаква сума на екипа на SEO panel. \r\n            <br>Ще <b>публикуваме</b> вашето име и информация за вашият сайт на <a href=\\\"<?=SP_DONATE_LINK?>\\\"\r\ntarget=\\\"_blank\\\">страницата с дарители</a>, след като получим дарението ви. \r\n        </p> \r\n        <p> \r\n            <a href=\\\"<?=SP_DONATE_LINK?>\\\" target=\\\"_blank\\\">Посетете този линк за да направите дарение на SEO panel</a> \r\n        </p> \r\n        <br> \r\n    </li> \r\n</ul> \r\n</fieldset> ', '2010-11-14 19:47:30'),
(3426, 'bg', 'seotools', 'Automatic Submission', 'Автоматична регистрация', '2018-08-21 07:21:10'),
(3427, 'bg', 'seotools', 'backlink-checker', 'Проверка на беклинкове', '2018-08-21 07:21:10'),
(3428, 'bg', 'seotools', 'Backlinks Reports', 'Доклади за беклинкове', '2018-08-21 07:21:10'),
(3429, 'bg', 'seotools', 'Check Submission Status', 'Проверка на статуса на регистрация', '2018-08-21 07:21:10'),
(3430, 'bg', 'seotools', 'clickgeneratereports', 'Кликнете на <b>Продължи</b> за да генерирате доклади', '2018-08-21 07:21:10'),
(3431, 'bg', 'seotools', 'Detailed Position Reports', 'Детайлни доклади за позиция', '2018-08-21 07:21:10'),
(3432, 'bg', 'seotools', 'directory-submission', 'Регистриране в директории', '2018-08-21 07:21:10'),
(3433, 'bg', 'seotools', 'Featured Submission', 'Препоръчана регистрация', '2018-08-21 07:21:10'),
(3434, 'bg', 'seotools', 'Generate Backlinks Reports', 'Генериране на доклади за беклинкове', '2018-08-21 07:21:10'),
(3435, 'bg', 'seotools', 'Generate Keyword Reports', 'Генериране на доклади за ключови думи', '2018-08-21 07:21:10'),
(3436, 'bg', 'seotools', 'Generate Rank Reports', 'Генериране на доклади за ранг', '2018-08-21 07:21:10'),
(3437, 'bg', 'seotools', 'Generate Saturation Reports', 'Генериране на доклади за наситеността', '2018-08-21 07:21:10'),
(3438, 'bg', 'seotools', 'Google Sitemap Generator', 'Генериране на карта за Google', '2018-08-21 07:21:10'),
(3439, 'bg', 'seotools', 'Graphical Position Reports', 'Графични доклади за позиция', '2018-08-21 07:21:10'),
(3440, 'bg', 'seotools', 'Keyword Position Summary', 'Позиции по ключови думи', '2018-08-21 07:21:10'),
(3441, 'bg', 'seotools', 'keyword-position-checker', 'Позиция по ключова дума', '2018-08-21 07:21:10'),
(3442, 'bg', 'seotools', 'Keywords Manager', 'Управление на ключови думи', '2018-08-21 07:21:10'),
(3443, 'bg', 'seotools', 'Quick Backlinks Checker', 'Бърза проверка на беклинкове', '2018-08-21 07:21:10'),
(3444, 'bg', 'seotools', 'Quick Position Checker', 'Бърза проверка на позиция', '2018-08-21 07:21:10'),
(3445, 'bg', 'seotools', 'Quick Rank Checker', 'Бърза проверка на ранг', '2018-08-21 07:21:10'),
(3446, 'bg', 'seotools', 'Quick Saturation Checker', 'Бърза проверка на наситеността', '2018-08-21 07:21:10'),
(3447, 'bg', 'seotools', 'Rank Reports', 'Доклади за ранг', '2018-08-21 07:21:10'),
(3448, 'bg', 'seotools', 'rank-checker', 'Проверка на ранг', '2018-08-21 07:21:10'),
(3449, 'bg', 'seotools', 'Saturation Reports', 'Доклади за наситеността', '2018-08-21 07:21:10'),
(3450, 'bg', 'seotools', 'saturation-checker', 'Наситеност в търсачка', '2018-08-21 07:21:10'),
(3451, 'bg', 'seotools', 'sitemap-generator', 'Генератор на карта на сайта', '2018-08-21 07:21:10'),
(3452, 'bg', 'seotools', 'Skipped Directories', 'Прескочени директории', '2018-08-21 07:21:10'),
(3453, 'bg', 'seotools', 'Submission Reports', 'Доклади за добавени в директории', '2018-08-21 07:21:10'),
(3454, 'bg', 'seotools', 'User Access', 'Потребителски достъп', '2018-08-21 07:21:10'),
(3455, 'bg', 'saturation', 'clickproceedsaturation', 'Въведете <b>по един</b> URL адрес на ред. Кликнете на <b>Продължи</b> за да видите резултатите за наситеност в търсачка', '2010-11-14 19:40:27'),
(3456, 'bg', 'saturation', 'GenerateSaturationReports', 'Генериране на доклади за наситеността', '2010-11-14 19:40:27'),
(3457, 'bg', 'saturation', 'Quick Search Engine Saturation Checker', 'Бърза проверка за наситеността', '2010-11-14 19:40:27'),
(3458, 'bg', 'saturation', 'Saved Search Engine Saturation results of', 'Запазени доклади за наситеността за', '2010-11-14 19:40:27'),
(3459, 'bg', 'saturation', 'Search Engine Saturation Reports', 'Доклади за наситеността', '2010-11-14 19:40:27'),
(3460, 'bg', 'directory', 'Add back to directory list', 'Добави обратно към списъка с директории', '2012-11-09 21:03:43'),
(3461, 'bg', 'directory', 'Approved', 'Одобрено', '2012-11-09 21:03:43'),
(3462, 'bg', 'directory', 'Captcha', 'Картинен код', '2012-11-09 21:03:43'),
(3463, 'bg', 'directory', 'categorynote', 'Категории, разделете ги с запетая според приоритета. Започнете с категорията с най-висок приоритет.', '2012-11-09 21:03:43'),
(3464, 'bg', 'directory', 'Check Directory Status', 'Проверка на статуса на директория', '2012-11-09 21:03:43'),
(3465, 'bg', 'directory', 'Check Directory Submission Status', 'Проверете статуса на регистрация за директория', '2012-11-09 21:03:43'),
(3466, 'bg', 'directory', 'clicktoproceeddirsts', 'Кликнете на <b>Продължи</b> за да проверите статуса на директория.', '2012-11-09 21:03:43'),
(3467, 'bg', 'directory', 'Confirmation', 'Потвърждение', '2012-11-09 21:03:43'),
(3468, 'bg', 'directory', 'desnote', 'Някои директории изискват да въведете минимум 150 символа в полето за описание.', '2012-11-09 21:03:43'),
(3469, 'bg', 'directory', 'Directories with out captcha', 'Директории без картинен код', '2012-11-09 21:03:43'),
(3470, 'bg', 'directory', 'Directory Submission Reports', 'Доклади за регистрация в директория', '2012-11-09 21:03:43'),
(3471, 'bg', 'directory', 'Enter the code shown', 'Въведете кода от картинката', '2012-11-09 21:03:43'),
(3472, 'bg', 'directory', 'nocatnote', 'Категорията за регистрация не е намерена на страницата за регистрация. Моля кликнете на <b>Презареди</b> или <b>Пропусни</b>', '2012-11-09 21:03:43'),
(3473, 'bg', 'directory', 'nodirnote', 'Няма намерени <b>Активни</b> директории ', '2012-11-09 21:03:43'),
(3474, 'bg', 'directory', 'nosuccessnote', 'Не сте получили съобщение за потвърждаване, Моля проверете вашият имейл за съобщението за потвърждаване', '2012-11-09 21:03:43'),
(3475, 'bg', 'directory', 'optionalnote', 'Описанията и заглавията по-долу, не са задължителни! Използват се за добавяне на произволни заглавие и описание към директорията, за по добри резултати.', '2012-11-09 21:03:43'),
(3476, 'bg', 'directory', 'Owner Email', 'Имейл на собственика', '2012-11-09 21:03:43'),
(3477, 'bg', 'directory', 'Owner Name', 'Име на собственика', '2012-11-09 21:03:43'),
(3478, 'bg', 'directory', 'Pending', 'Изчакващ', '2012-11-09 21:03:43'),
(3479, 'bg', 'directory', 'Please select a website to proceed', 'Моля, изберете уеб сайт, за да продължите', '2012-11-09 21:03:43'),
(3480, 'bg', 'directory', 'selectwebsiteproceed', 'Изберете <b>Интернет сайт</b> за да <b>Продължите</b> с регистрацията в директория.<br /><br />Отбележете <b>Директории без картинен код</b> за да регистрирате в директории, в които не се изисква потвърждение чрез картинен код  ', '2012-11-09 21:03:43'),
(3481, 'bg', 'directory', 'selectwebsiteschecksub', 'Изберете <b>Интернет сайт</b> за да <b>Продължите</b> с проверка на регистрацията в директория. ', '2012-11-09 21:03:43'),
(3482, 'bg', 'directory', 'Semi Automatic Directory Submission Tool', 'Полу-автоматично регистриране в директории', '2012-11-09 21:03:43'),
(3483, 'bg', 'directory', 'spamemailnote', 'Някой директори може да изпращат SPAM съобщения, не ви препоръчваме да използвате главния си имейл адрес.', '2012-11-09 21:03:43'),
(3484, 'bg', 'directory', 'Submission Details', 'Детайли на регистрацията', '2012-11-09 21:03:43'),
(3485, 'bg', 'directory', 'Submit Description', 'Описание за регистрацията', '2012-11-09 21:03:43'),
(3486, 'bg', 'directory', 'Submit Keywords', 'Ключови думи за регистрацията', '2012-11-09 21:03:43'),
(3487, 'bg', 'directory', 'Submit Title', 'Заглавие за регистрацията', '2012-11-09 21:03:43'),
(3488, 'bg', 'directory', 'Website Category', 'Категория на сайта', '2012-11-09 21:03:43'),
(3489, 'bg', 'directory', 'Website Url', 'Адрес на сайта', '2012-11-09 21:03:43'),
(3490, 'pt', 'support', 'support_cont1', '<fieldset>\r\n<legend> Seo panel sistema de suporte </legend>\r\n<ul class=\\\"infobox\\\"> \r\n<li>\r\n<h1> Pacote de 1000 directórios </h1>\r\n<p>\r\nNós estamos fornecendo <b>um pacote de 1000 activos e verificados </b> inserções em directórios da internet, para adicionar no seu Seo panel <b> na ferramenta de submissão de directórios </b>.\r\nVai ajudar você a aumentar <b> backlinks </b> a visibilidade dos seus sites.\r\nActualmente estamos a angariar<b> uma doacção para futuros desenvolvimentos </b>\r\npara o Seo Panel.\r\nPara obter a lista 1000 directórios <a href = \\\"<?=SP_DONATE_LINK?>\\\" target = \\\"_blank\\\"> doe </a>\r\nUS $ 20 ou mais para melhorar as características do Seo Panel.\r\nSe você tiver alguma dúvida sobre pacote de 1000 do directórios, por favor <a href = \\\"<?=SP_CONTACT_LINK?>\\\"\r\ntarget =\"_blank\"> contato nos </a> ou submeta um ticket no <a href = \\\"<?=SP_SUPPORT_LINK?>\\\"\r\ntarget = \\\"_blank\\\"> Suporte Sistema </a>.\r\n</P>\r\n<p>\r\n<A href = \\\"<?=SP_DONATE_LINK?> \\\" Target =\"_blank\"> Visite este link para doar para seo panel </a>\r\n</P>\r\n<br>\r\n</Li>\r\n\r\n<li>\r\n<h1> Pacote de motores de busca Locais </h1>\r\n<p>\r\nAdicionar <b> motor de busca locais , domínios </b> do google, yahoo, msn (por exemplo, <b>: www.google.de, www.google.fr, etc </b>) para seo panel <b> palavra-chave verifica a posição </b>, para acompanhar a sua perfomance site localmente.\r\nPara obter pacotes de motores de busca locais (de acordo com sua exigência) <a\r\nhref = \\\"<?=SP_DONATE_LINK?>\\\" target =\\\"_blank \\\"> doar </a> US $ 20 ou mais para melhorar as características de seo panel.\r\nAntes de enviar doações, por favor <a href = \\\"<?=SP_CONTACT_LINK?>\\\" Target = \\\"_blank\\\"> Entre em contato </a> para fornecer-nos o domínio do motor de busca em questão.\r\n<br>\r\nTambém para adicionar <b> novos motores de pesquisa (por exemplo: baidu.com) </b> no seu seo panel e palavras-chave,\r\npor favor <a href = \\\"<?=SP_CONTACT_LINK?>\\\" target = \\\" _blank\\\">contato nos </a> ou abrir um ticket no <a\r\nhref = \\\"<?=SP_SUPPORT_LINK?>\\\" target = \\\"_blank\\\"> sistema de suporte </a>.\r\n</P>\r\n<p class=\\\"visit\\\"> \r\n<A href = \\\"<?=SP_CONTACT_LINK?>\\\" Target = \\\"_blank\\\"> Visite este link para entrar em contacto connosco </a>\r\n</P>\r\n<br>\r\n</Li>\r\n\r\n<li>\r\n<h1>Seo plugins </h1>\r\n<p>\r\nAdicionar <b> plugins </b> ao seu Seo Panel para <b> estender os recursos </b> de acordo com a sua exigência.\r\n<A href = \\\"<?=SP_PLUGINSITE?>\\\" Target = \\\"_blank\\\"> Seo Panel plugins </a> são fornecidos por Seo Panel e e por terceiros.\r\nVocê também pode facilmente desenvolver <b> </b> plugins de SEO para seu painel de seo.\r\nVocê pode <a href = \\\"<?=SP_PLUGINSITE?> \\\"Target =\\\" _blank \\\"> apresentar </a> o seu plugin para Seo, Seo Panel vai publicar <b> </b> no nosso site após testarmos o plugin.\r\n</P>\r\n<p>\r\n<A href = \\\"<?=SP_PLUGINSITE?>\\\" Target = \\\"_blank\\\"> Visite este link para obter os plugins para o Seo Panel </a>\r\n</P>\r\n<br>\r\n</Li>\r\n<li>\r\n<h1>Fale Connosco </h1>\r\n<p>\r\nEntre em contacto connosco para esclarecer qualquer dúvida sobre as ferramentas de  <b>Seo Panel, plugins e funcionalidades etc </b> usando o link abaixo.\r\n</P>\r\n<p>\r\n<A href = \\\"<?=SP_CONTACT_LINK?>\\\" Target = \\\"_blank\\\"> Visite este link para contacto connosco </a>\r\n</P>\r\n<br>\r\n</Li>\r\n<li>\r\n <h1>Tickets de Suporte </h1>\r\n<p>\r\nPara obter suporte técnico <b> </b> da equipe do Seo Panel para configurar as ferramentas do <b>Seo Panel, plugins e\r\nrecursos </b> Por exemplo:. Para configurar o cron para verificador de posição da palavra-chave.\r\n</P>\r\n<p>\r\n<A href = \\\"<?=SP_SUPPORT_LINK?>\\\" Target = \\\"_blank\\\"> Visite este link para criar um ticket de suporte </a>\r\n</P>\r\n<br>\r\n</Li>\r\n<li>\r\n<h1>Relatar bugs </h1> \r\n<p>\r\nRelatório de  <b> bugs </b> sobre ferramentas do <b> Seo painel, plugins e funcionalidades etc </b> usando o link abaixo.\r\npor favor, ajude-nos a melhorar as características das versões vindouras.\r\n</P>\r\n<p>\r\n<A href = \\\"<?=SP_SUPPORT_LINK?> \\\"Target =\\\"_blank\\\"> Visite este link para relatar bugs </a>\r\n</P>\r\n<br>\r\n</Li>\r\n</Ul>\r\n</Fieldset> ', '2010-11-18 02:21:31'),
(3491, 'pt', 'support', 'support_cont2', '<fieldset>\r\n<legend>  Recursos on-line do Seo Panel </legend>\r\n<ul class=\\\"infobox\\\"> \r\n\r\n<li>\r\n<h1>Guia de Ajuda do Seo Panel</h1>\r\n<p>\r\nVocê pode ver a <a href = \\\"<?=SP_HELP_LINK?>\\\" Target = \\\"_blank\\\"> documentação de ajuda</A> do Seo Panel , que contém documentos dos recursos para as ferramentas do SEO Panel, plugins e afins.\r\n<br> É o melhor lugar na internet para <b> obter ajuda </b> sobre SEO Panel. Esperamos que você<b> possa contribuir </b> para o guia de ajuda do Seo Panel , caso você encontre erros ou coisas que faltam.\r\n</P>\r\n<p>\r\n<A href = \\\"<?=SP_HELP_LINK?>\\\" Target = \\\"_blank\\\"> Visite o guia de ajuda do Seo Panel </A>\r\n</P>\r\n<br>\r\n</Li>\r\n<li>\r\n<h1> Fórum do Seo Panel </h1>\r\n<p>\r\nUm lugar para discutir sobre a primeiro software livre do mundo de <b> controle de Seo</b>.\r\nÉ o melhor local para encontrar as respostas para <b>as suas perguntas </b> sobre SEO Panel.\r\n<br> Também você pode <b> partilhar</b> a sua experiência <b></B>, enquanto usa o SEO Panel para optimizar os seus sites.\r\n</P>\r\n<p>\r\n<A href = \\\"<?=SP_FORUM_LINK?>\\\" Target = \\\"_blank\\\"> Visite Fórum do Seo Panel </a>\r\n</P>\r\n<br>\r\n</Li>\r\n</Ul>\r\n</Fieldset> ', '2010-11-18 02:21:31'),
(3492, 'pt', 'support', 'support_cont3', '<fieldset>\r\n<legend> Doações para Seo Panel </legend>\r\n<ul class=\\\"infobox\\\"> \r\n<li>\r\n<h1> Doações para Seo Panel - Primeiro software livre de controle Seo do mundo </h1>\r\n<p>\r\n<b> Doe </b> para o suporte do Seo Panel, o primeiro Seo de código aberto do mundo.\r\nEstamos planear <b> acrescentar e melhorar </b> características do Seo Panel no futuro.\r\n<br> Só com o seu apoio é nós podemos alcançar nossos objectivos.\r\nSe você acha que o Seo Panel preenche os <b>requisitos</b>, por favor doe alguma quantia para a equipa do Seo Panel.\r\n<br> Vamos <b> publicar </b> seu nome e informações do seu site <a href = \\\"<?=SP_DONATE_LINK?>\\\"\r\ntarget = \\\"_blank\\\"> página de doações </a>, quando recebermos a sua doação.\r\n</P>\r\n<p>\r\n<A href = \\\"<?=SP_DONATE_LINK?>\\\" Target = \\\"_blank\\\"> Visite este link para doar para seo painel </a>\r\n</P>\r\n<br>\r\n</Li>\r\n</Ul>\r\n</Fieldset> ', '2010-11-18 02:21:31'),
(3493, 'en', 'settings', 'SP_USER_AGENT', 'User agent', '2018-01-22 19:59:29'),
(3494, 'de', 'settings', 'SP_USER_AGENT', 'User-Agent', '2021-01-08 08:28:43'),
(3495, 'bg', 'settings', 'SP_USER_AGENT', 'Потребителски агент', '2018-08-21 07:24:42'),
(3496, 'zh', 'settings', 'SP_USER_AGENT', '用户代理', '2014-05-15 17:56:30'),
(3497, 'nl', 'settings', 'SP_USER_AGENT', 'User agent', '2014-01-07 21:51:05'),
(3498, 'fr', 'settings', 'SP_USER_AGENT', 'User agent', '2019-03-28 14:39:30'),
(3499, 'hu', 'settings', 'SP_USER_AGENT', 'User agent', '2013-02-05 19:25:44'),
(3500, 'it', 'settings', 'SP_USER_AGENT', 'User agent', '2018-08-21 07:16:32'),
(3501, 'pl', 'settings', 'SP_USER_AGENT', 'agent użytkownika', '2014-05-11 19:49:58'),
(3502, 'pt', 'settings', 'SP_USER_AGENT', 'User-agent', '2018-01-25 19:23:30'),
(3503, 'ro', 'settings', 'SP_USER_AGENT', 'Utilizator agent', '2012-05-18 21:16:44'),
(3504, 'ru', 'settings', 'SP_USER_AGENT', 'Пользователь агента', '2024-07-17 11:22:42'),
(3505, 'es', 'settings', 'SP_USER_AGENT', 'Agente de usuario', '2012-05-12 11:03:05'),
(3506, 'tr', 'website', 'Edit Website', 'Siteyi Düzenle', '2017-02-04 13:19:01'),
(3507, 'tr', 'website', 'plscrtwebsite', 'Lütfen Seo Araçları ve Seo Eklentilerini kullanmaya başlamadan önce bir site oluşturunuz.', '2017-02-04 13:19:01'),
(3508, 'tr', 'website', 'Website already exist', 'Web site zaten var.', '2017-02-04 13:19:01'),
(3509, 'tr', 'website', 'yourwebalreday', 'Web siteniz Zaten oluşturulmuş.', '2017-02-04 13:19:01'),
(3510, 'tr', 'user', 'Edit User', 'Üye Düzenle', '2017-02-04 13:22:48'),
(3511, 'tr', 'user', 'Saved My Profile Details', 'Profil detaylarınız kaydedildi.', '2017-02-04 13:22:48'),
(3512, 'tr', 'sitemap', 'Change frequency', 'Frekansı Değiştir', '2010-11-23 10:10:28'),
(3513, 'tr', 'sitemap', 'clickproceedsitemap', 'Site haritası dosyası oluşturmak için <b> devam </ b> tıklayın\r\n', '2010-11-23 10:10:28'),
(3514, 'tr', 'sitemap', 'Download sitemap file from', 'Site haritası dosyasından indir', '2010-11-23 10:10:28'),
(3515, 'tr', 'sitemap', 'Exclude Url', 'URL çıkar', '2010-11-23 10:10:28'),
(3516, 'tr', 'sitemap', 'processtaketime', 'Bu süreçte sitenize link sayısına göre zaman alacaktır. site haritası dosyaları almak için bekleyin', '2010-11-23 10:10:28'),
(3517, 'tr', 'sitemap', 'Sitemap Type', 'Site Haritası Tipi', '2010-11-23 10:10:28'),
(3518, 'tr', 'settings', 'Click here to become a sponsor for Seo Panel', '<b>$100 Bağış yap</b> ve <b>sponsor ol</b> Seo Panel\'e', '2017-02-04 13:45:16'),
(3519, 'tr', 'settings', 'seopanel_description', 'web sitelerinin arama motoru optimizasyonu yönetmek için tam bir ücretsiz kontrol paneli. O gelişmiş seo araçları içeren verimliliği arttırmak için web sitelerini izleyebilir. Onun açık kaynak yazılım ve ayrıca seo panel için kendi seo eklentileri gelişebilir.', '2017-02-04 13:45:16'),
(3520, 'tr', 'settings', 'seopanel_title', 'Seo Panel:birden çok web sitelerini yönetmek için dünyanın ilk açık kaynak seo kontrol paneli', '2017-02-04 13:45:16'),
(3521, 'tr', 'settings', 'SP_CRAWL_DELAY', 'Gecikme her tarama (saniye) arasında', '2017-02-04 13:45:16'),
(3522, 'tr', 'settings', 'SP_DEFAULTLANG', 'Varsayılan Dil', '2017-02-04 13:45:16'),
(3523, 'tr', 'settings', 'SP_DESCRIPTION', 'Seo Panel DAçıklama', '2017-02-04 13:45:16'),
(3524, 'tr', 'settings', 'SP_ENABLE_PROXY', 'Proxy Etkinleştir', '2017-02-04 13:45:16'),
(3525, 'tr', 'settings', 'SP_HOTLINKING', 'hotlink koruması etkin', '2017-02-04 13:45:16'),
(3526, 'tr', 'settings', 'SP_KEYWORDS', 'Seo Panel Kelimeleri', '2017-02-04 13:45:16'),
(3527, 'tr', 'settings', 'SP_PAGINGNO', 'sayfa başına girişlerin sayısı', '2017-02-04 13:45:16'),
(3528, 'tr', 'settings', 'SP_TITLE', 'Seo Panel Başlığı', '2017-02-04 13:45:16'),
(3529, 'tr', 'settings', 'SP_USER_AGENT', 'Kullanıcı Arayüzü', '2017-02-04 13:45:16'),
(3530, 'tr', 'settings', 'SP_USER_GEN_REPORT', 'rapor oluşturmak için üyeye izin verin', '2017-02-04 13:45:16'),
(3531, 'tr', 'settings', 'SP_USER_REGISTRATION', 'Kullanıcı kaydı arabirimi', '2017-02-04 13:45:16'),
(3532, 'tr', 'settings', 'syssettingssaved', 'Sistem ayarlarını başarıyla kaydedildi!', '2017-02-04 13:45:16'),
(3533, 'tr', 'seotools', 'Automatic Submission', 'Otomatik Gönderme', '2011-07-10 10:12:15'),
(3534, 'tr', 'seotools', 'backlink-checker', 'Backlink Denetleyicisi', '2011-07-10 10:12:15'),
(3535, 'tr', 'seotools', 'Backlinks Reports', 'Backlink Raporları', '2011-07-10 10:12:15'),
(3536, 'tr', 'seotools', 'Check Submission Status', 'Kontrol Gönderme Durumu', '2011-07-10 10:12:15'),
(3537, 'tr', 'seotools', 'clickgeneratereports', 'Raporları oluşturmak için <b>Devam</b> tıklayınız', '2011-07-10 10:12:15'),
(3538, 'tr', 'seotools', 'Detailed Position Reports', 'Ayrıntılı Pozisyon Raporları', '2011-07-10 10:12:15'),
(3539, 'tr', 'seotools', 'directory-submission', 'Dizin Gönderme', '2011-07-10 10:12:15'),
(3540, 'tr', 'seotools', 'Featured Submission', 'Özellikli Gönderme', '2011-07-10 10:12:15'),
(3541, 'tr', 'seotools', 'Generate Backlinks Reports', 'Geri raporları oluştur', '2011-07-10 10:12:15'),
(3542, 'tr', 'seotools', 'Generate Keyword Reports', 'Anhtar Kelime raporları oluştur', '2011-07-10 10:12:15'),
(3543, 'tr', 'seotools', 'Generate Rank Reports', 'Rütbe raporları oluştur', '2011-07-10 10:12:15'),
(3544, 'tr', 'seotools', 'Generate Saturation Reports', 'Doygunluk raporları oluştur', '2011-07-10 10:12:15'),
(3545, 'tr', 'seotools', 'Google Sitemap Generator', 'Google Site Haritası Raporu', '2011-07-10 10:12:15'),
(3546, 'tr', 'seotools', 'Graphical Position Reports', 'Grafik pozisyon raporları', '2011-07-10 10:12:15'),
(3547, 'tr', 'seotools', 'Keyword Position Summary', 'Anahtar Kelime Konumu Özeti', '2011-07-10 10:12:15'),
(3548, 'tr', 'seotools', 'keyword-position-checker', 'Anahtar Kelime Konumu Denetleme', '2011-07-10 10:12:15'),
(3549, 'tr', 'seotools', 'Keywords Manager', 'Anahtar Kelime yöneticisi', '2011-07-10 10:12:15'),
(3550, 'tr', 'seotools', 'Quick Backlinks Checker', 'Hızlı Backlink denetçisi', '2011-07-10 10:12:15'),
(3551, 'tr', 'seotools', 'Quick Position Checker', 'Hızlı Pozisyon denetçisi', '2011-07-10 10:12:15'),
(3552, 'tr', 'seotools', 'Quick Rank Checker', 'Hızlı rütbe denetçisi', '2011-07-10 10:12:15'),
(3553, 'tr', 'seotools', 'Quick Saturation Checker', 'Hızlı Doygunluk denetimi', '2011-07-10 10:12:15'),
(3554, 'tr', 'seotools', 'Rank Reports', 'Rütbe raporları', '2011-07-10 10:12:15'),
(3555, 'tr', 'seotools', 'rank-checker', 'rütbe denetçisi', '2011-07-10 10:12:15'),
(3556, 'tr', 'seotools', 'Saturation Reports', 'Doygunluk raporları', '2011-07-10 10:12:15'),
(3557, 'tr', 'seotools', 'saturation-checker', 'Doygunluk Araman motoru', '2011-07-10 10:12:15'),
(3558, 'tr', 'seotools', 'sitemap-generator', 'Site Haritası Oluşturucu', '2011-07-10 10:12:15'),
(3559, 'tr', 'seotools', 'Skipped Directories', 'Atlanan Dizinler', '2011-07-10 10:12:15'),
(3560, 'tr', 'seotools', 'Submission Reports', 'Hazırlanmış Raporlar', '2011-07-10 10:12:15'),
(3561, 'tr', 'seotools', 'User Access', 'Kullanıcı Erişimi', '2011-07-10 10:12:15'),
(3562, 'tr', 'backlink', 'clickproceedbacklink', 'Backlink sonuçlarını görmek istediğiniz sitelerin URL\' lerini alt alta yazarak <b>Devam</b> Tıklayınız.', '2017-02-04 13:05:06'),
(3563, 'tr', 'backlink', 'Saved backlink results of', 'Kaydedilen backlink sonuçları', '2017-02-04 13:05:06'),
(3564, 'tr', 'button', 'Cancel', 'Kapat', '2014-01-08 19:36:20'),
(3565, 'tr', 'button', 'Check Status', 'Kontrol Et', '2014-01-08 19:36:20'),
(3566, 'tr', 'button', 'Proceed', 'Devam', '2014-01-08 19:36:20'),
(3567, 'tr', 'button', 'Reload', 'Yeniden', '2014-01-08 19:36:20'),
(3568, 'tr', 'button', 'Show Details', 'Detayları Görüntüle', '2014-01-08 19:36:20'),
(3569, 'tr', 'button', 'Show Records', 'Kayıtları Göster', '2014-01-08 19:36:20'),
(3570, 'tr', 'button', 'Skip', 'Geç', '2014-01-08 19:36:20'),
(3571, 'tr', 'button', 'Submit', 'Onayla', '2014-01-08 19:36:20'),
(3572, 'tr', 'common', 'Action', 'Eylem', '2019-05-25 18:52:20'),
(3573, 'tr', 'common', 'Activate', 'Etkinlik', '2019-05-25 18:52:20'),
(3574, 'tr', 'common', 'Active', 'Aktif', '2019-05-25 18:52:20'),
(3575, 'tr', 'common', 'Admin Panel', 'Yönetici Paneli', '2019-05-25 18:52:20'),
(3576, 'tr', 'common', 'Alexa Rank', 'Alexa Rank', '2019-05-25 18:52:20'),
(3577, 'tr', 'common', 'All', 'Hepsi', '2019-05-25 18:52:20'),
(3578, 'tr', 'common', 'Category', 'Kategori', '2019-05-25 18:52:20'),
(3579, 'tr', 'common', 'contact', 'İletişim', '2019-05-25 18:52:20'),
(3580, 'tr', 'common', 'copyright', 'Copyright © [year] www.seopanel.in Tüm Hakları Saklıdır. Türkçeleştiren Innova Think', '2019-05-25 18:52:20'),
(3581, 'tr', 'common', 'Country', 'Ülke', '2019-05-25 18:52:20'),
(3582, 'tr', 'common', 'Crawl Meta Data', 'Meta Tarama Verisi', '2019-05-25 18:52:20'),
(3583, 'tr', 'common', 'Date', 'Tarih', '2019-05-25 18:52:20'),
(3584, 'tr', 'common', 'Delete', 'Sil', '2019-05-25 18:52:20'),
(3585, 'tr', 'common', 'Details', 'Detay', '2019-05-25 18:52:20'),
(3586, 'tr', 'common', 'Directory', 'Dizin', '2019-05-25 18:52:20'),
(3587, 'tr', 'common', 'Donate', 'Bağış', '2019-05-25 18:52:20'),
(3588, 'tr', 'common', 'Edit', 'Düzenle', '2019-05-25 18:52:20'),
(3589, 'tr', 'common', 'Entry cannot be blank', 'Giriş boş olamaz', '2019-05-25 18:52:20'),
(3590, 'tr', 'common', 'entrynotvalid', 'Geçerli Bir giriş görünmüyor', '2019-05-25 18:52:20'),
(3591, 'tr', 'common', 'failed', 'hatalı', '2019-05-25 18:52:20'),
(3592, 'tr', 'common', 'forum', 'Forum', '2019-05-25 18:52:20'),
(3593, 'tr', 'common', 'Found', 'Bulundu', '2019-05-25 18:52:20'),
(3594, 'tr', 'common', 'Google Pagerank', 'Google Pagerank', '2019-05-25 18:52:20'),
(3595, 'tr', 'common', 'help', 'Yardım', '2019-05-25 18:52:20'),
(3596, 'tr', 'common', 'hidenews', 'Seo Panel haberlerini sakla', '2019-05-25 18:52:20'),
(3597, 'tr', 'common', 'Id', 'İD', '2019-05-25 18:52:20'),
(3598, 'tr', 'common', 'Inactivate', 'Etkin değil', '2019-05-25 18:52:20'),
(3599, 'tr', 'common', 'Inactive', 'Pasif', '2019-05-25 18:52:20'),
(3600, 'tr', 'common', 'Invalid characters', 'hatalı karakter', '2019-05-25 18:52:20'),
(3601, 'tr', 'common', 'Invalid code entered', 'hatalı kod girdiniz', '2019-05-25 18:52:20'),
(3602, 'tr', 'common', 'Invalid email address entered', 'hatalı mail adresi girdiniz', '2019-05-25 18:52:20'),
(3603, 'tr', 'common', 'Invalid value', 'Geçersiz değer', '2019-05-25 18:52:20'),
(3604, 'tr', 'common', 'Keyword', 'Kelime', '2019-05-25 18:52:20'),
(3605, 'tr', 'common', 'Keywords', 'Kelimeler', '2019-05-25 18:52:20'),
(3606, 'tr', 'common', 'lang', 'Dil', '2019-05-25 18:52:20'),
(3607, 'tr', 'common', 'My Account', 'Hesabım', '2019-05-25 18:52:20'),
(3608, 'tr', 'common', 'Name', 'Ad', '2019-05-25 18:52:20'),
(3609, 'tr', 'common', 'No', 'Hayır', '2019-05-25 18:52:20'),
(3610, 'tr', 'common', 'No Keywords Found', 'Anahtar Kelimeler Bulunamadı', '2019-05-25 18:52:20'),
(3611, 'tr', 'common', 'No Records Found', 'Kayıt Bulunamadı', '2019-05-25 18:52:20'),
(3612, 'tr', 'common', 'noactivetools', 'Aktif Seo Araçları Bulunamadı!', '2019-05-25 18:52:20'),
(3613, 'tr', 'common', 'nowebsites', 'Web Site Bulunamadı', '2019-05-25 18:52:20');
INSERT INTO `texts` (`id`, `lang_code`, `category`, `label`, `content`, `changed`) VALUES
(3614, 'tr', 'common', 'password632', 'Şifreniz 6 - 32 arasında bir uzunlukta olmalıdır', '2019-05-25 18:52:20'),
(3615, 'tr', 'common', 'passwordnotmatch', 'Şifreler eşleşmiyor', '2019-05-25 18:52:20'),
(3616, 'tr', 'common', 'Period', 'Dönem', '2019-05-25 18:52:20'),
(3617, 'tr', 'common', 'Priority', 'Öncelik', '2019-05-25 18:52:20'),
(3618, 'tr', 'common', 'Profile', 'Profil', '2019-05-25 18:52:20'),
(3619, 'tr', 'common', 'Rank', 'Rank', '2019-05-25 18:52:20'),
(3620, 'tr', 'common', 'Reports', 'Raporlar', '2019-05-25 18:52:20'),
(3621, 'tr', 'common', 'Results', 'Sonuçlar', '2019-05-25 18:52:20'),
(3622, 'tr', 'common', 'Search Engine', 'Arama Motoru', '2019-05-25 18:52:20'),
(3623, 'tr', 'common', 'Select', 'Seçiniz', '2019-05-25 18:52:20'),
(3624, 'tr', 'common', 'Seo Plugins', 'Seo Eklentileri', '2019-05-25 18:52:20'),
(3625, 'tr', 'common', 'Seo Tools', 'Seo Ayarları', '2019-05-25 18:52:20'),
(3626, 'tr', 'common', 'Sign out', 'Çıkış Yap', '2019-05-25 18:52:20'),
(3627, 'tr', 'common', 'Sign Up', 'Kaydol', '2019-05-25 18:52:20'),
(3628, 'tr', 'common', 'signin', 'Giriş Yap', '2019-05-25 18:52:20'),
(3629, 'tr', 'common', 'Status', 'Durum', '2019-05-25 18:52:20'),
(3630, 'tr', 'common', 'Support', 'Destek', '2019-05-25 18:52:20'),
(3631, 'tr', 'common', 'Total', 'Toplam', '2019-05-25 18:52:20'),
(3632, 'tr', 'common', 'Url', 'Url', '2019-05-25 18:52:20'),
(3633, 'tr', 'common', 'User', 'Üye', '2019-05-25 18:52:20'),
(3634, 'tr', 'common', 'User Panel', 'Üye Paneli', '2019-05-25 18:52:20'),
(3635, 'tr', 'common', 'Website', 'Web site', '2019-05-25 18:52:20'),
(3636, 'tr', 'common', 'Yes', 'Evet', '2019-05-25 18:52:20'),
(3637, 'tr', 'home', 'Account Summary', 'Hesap Özeti', '2017-02-04 21:23:57'),
(3638, 'tr', 'home', 'Backlinks', 'Backlinkler', '2017-02-04 21:23:57'),
(3639, 'tr', 'home', 'Directory Submission', 'Dizin Gönderme', '2017-02-04 21:23:57'),
(3640, 'tr', 'home', 'home_cont1', '<h1 style=\"text-align: center;margin-bottom: 30px;font-size: 19px;\">Seo Panel\'e Hoşgeldiniz - En çok\r\ntercih edilen bir çok sitenin seo paneli</h1>\r\n        <p>\r\n            sitenizin <b>arama motoru optimizasyonu</b> kontrolu için tamamen <b>açık kaynak kodlu seo</b>\r\n<b>kontrol paneli</b>\r\n\r\n            Seo Panel bir <b>seo aracıdır</b> ve sitenizin <b>hitini ve performansını arttırmak</b> için en son\r\n araçlara sahip.\r\n            <b>Ücretsiz</b> bir software ve <b>GNU GENERAL PUBLIC LICENSE</b>\'a sahiptir.\r\n            Seo panelin ana özelliği <a href=\"<?=SP_PLUGINSITE?>\" target=\"_blank\">seo pluginler</a>\r\nkullanarak <b>genişletilebilirliği</b>\r\n.\r\n            Herkes kolayca kendi gerekli seo pluginleri <b>geliştirebilir ve yükleyebilir</b>. \r\n        </p>\r\n        <p></p>\r\n        <p>\r\n            Bu open source software <b>yayım tarihi Ocak 2010</b>.\r\n            Bu <b>kısa sürede binlerce webmaster</b> bu software\'i kullanarak sitelerini optimize ediyor.\r\n            Bugün <b>tek bir platform</b> altında seo paneli kullanın.\r\n        </p>', '2017-02-04 21:23:57'),
(3641, 'tr', 'home', 'home_cont2', '<fieldset>\r\n<legend>Seo Panel Ana Özellikleri<?=SP_INSTALLED?></legend>\r\n<ul class=\"infobox\">\r\n    <li>        \r\n        <h1>Automatik Directory Ekleme Aracı</h1>\r\n        <p>\r\n            Automatik directory ekleme aracı bize <b>sitelerimizi</b> ücretli ya da ücretsiz ana internet rehberlerine\r\neklememize yardımcı olur.\r\n            Hatta <b>statu kontrol script</b>i ile herbir rehbere ekli siteyi kontrol edebiliriz.\r\n            <b>Directory yöneticisi</b> aktif olsada olmasada bize bulmamızda yardımcı olur.\r\n        </p>\r\n    </li>\r\n    <li>        \r\n        <h1>Anahtar kelime (keyword) Pozisyon Kontrol</h1>\r\n        <p>\r\n            Anahtar kelime pozisyon kontrolu sayesinde sistemdeki sitenize ait <b>hedef kelimenin arama motorundaki pozisyonunu</b>\r\nkontrol edebilir ve kaydedebilirsiniz.\r\n            Anahtar kelime pozisyon bölümünde, ayrıntılı raporlar ile grafikli farklı arama motorlarındaki analizleri görebiliriz.\r\n        </p>\r\n    </li>\r\n    <li>        \r\n        <h1>Site Denetçisi</h1>\r\n        <p>Site Denetçisi bir siteye ait her bir sayfadaki <b>tüm seo faktörlerini denetlicek</b> ve hersayfa hakkında\r\n<b>detaylı rapor vericek</b>. Buda <b>XML,HTML,TEXT</b> arama motorlarına gönderilecek sitenizin sitemap dosyasını\r\noluşturmaya yardımcı olacak.</p>\r\n    </li>\r\n    <li>        \r\n        <h1>Google ve Alexa Rank Kontrol</h1>\r\n        <p>\r\n            Google ve alexa rank kontrolu websitenizin <b>google pagerank</b> ve <b>alexa rank</b>ini bulur\r\nve sistem içine <b>kayıt</b> eder.\r\n            <b>Rank raporları</b> bölümünde, <b>günlük</b> google ve alexa rank\'lerini <b>detaylı raporlarla</b> görebiliriz.\r\n        </p>\r\n    </li>\r\n    <li>        \r\n        <h1>Backlink Kontrol</h1>\r\n        <p>\r\n            Backlinks Kontrol arama mototlarında (<b>google,yahoo,msn</b> etc) <b>backlinklerin sayısını</b> bulur ve sisteme kayıt eder.\r\n            <br><b>Backlink raporları</b> bölümünde, detaylı raporları ile birlikte herbir siteye ait <b>günlük backlink sayıları</b> bulunur.\r\n        </p>\r\n    </li>    \r\n    <li>        \r\n        <h1>Arama Motoru İndex Kontrol</h1>\r\n        <p>\r\n            Arama Motoru İndex Kontrol farklı arama motorlarına (<b>google,yahoo,msn</b> etc) ait <b>indexlenmiş\r\nsayfaların sayısını</b> gösteririr ve sisteme kaydeder.\r\n            <b>Arama Motoru İndex Kontrol raporları</b> böşümünde, detaylı raporları ile herbir siteye ait\r\n<b>günlük indexli sayfa sayısını</b>gösterir.\r\n        </p>\r\n    </li>\r\n    <li>        \r\n        <h1>Seo Panel Pluginleri</h1>\r\n        <p>\r\n            Seo Panalin <b>ana özelliği</b> <b>genişletilebilirliği</b>.\r\n            <b>Seo pluginleri</b>size gerekli olanlar çercevesinde özelliklerinizi geliştirmek için kendi panelinize eleyin.\r\n            <a href=\"<?=SP_PLUGINSITE?>\" target=\"_blank\">Seo panel pluginler</a> seo panel ve\r\nüçüncü parti yazılımları destekler.\r\n            Seo pluginleri seo panel için kolayca <b>geliştirebilirsiniz</b>.\r\n            Seo pluginleri seo panelinize <a href=\"<?=SP_PLUGINSITE?>\" target=\"_blank\">ekleyebilirsiniz</a> ve\r\nBiz gözden geçirme prosesinden sonra kendi sitemizde <b>yayınlarız</b>.\r\n        </p>\r\n    </li>\r\n    <li>        \r\n        <h1>Meta Tag Oluşturucu</h1>\r\n        <p>\r\n            Meta tag Oluşturucu sitemize meta tagler oluşturmak için bir <b>seo panel pluginidir</b>.\r\n            Arama motorlar <b>botları</b> sitemizi listelerken daha fazla bilgi alabilmeri için yardımcı olur.\r\n        </p>\r\n    </li>\r\n</ul>\r\n</fieldset>', '2017-02-04 21:23:57'),
(3642, 'tr', 'home', 'home_cont3', '<fieldset>\r\n<legend>Seo Panel Online Kaynaklar</legend>    \r\n<ul class=\"infobox\">\r\n\r\n    <li>\r\n        <h1>Seo Panel Online Kaynaklar</h1>                \r\n        \r\n        \r\n        <p>\r\n            <a href=\"http://www.seopanel.in\" target=\"_blank\">Seo Panel Resmi Site</a>\r\n        </p>\r\n        <p>\r\n            <a href=\"<?=SP_DOWNLOAD_LINK?>\" target=\"_blank\">Seo Panel İndir</a>\r\n        </p>\r\n        \r\n        <p>\r\n            <a href=\"<?=SP_DEMO_LINK?>\" target=\"_blank\">Seo Panel Demo</a>\r\n        </p>\r\n        \r\n        <p>\r\n            <a href=\"<?=SP_CONTACT_LINK?>\" target=\"_blank\">Seo Panel İletişim</a>\r\n        </p>\r\n        \r\n        <p>\r\n            <a href=\"<?=SP_HELP_LINK?>\" target=\"_blank\">Seo Panel Yardım</a>\r\n        </p>\r\n        \r\n        <p>\r\n            <a href=\"<?=SP_FORUM_LINK?>\" target=\"_blank\">Seo Panel Forum</a>\r\n        </p>\r\n        \r\n        <p>\r\n            <a href=\"<?=SP_SUPPORT_LINK?>\" target=\"_blank\">Seo Panel Destek Sistemi</a>\r\n        </p>\r\n        \r\n        <p>\r\n            <a href=\"<?=SP_DONATE_LINK?>\" target=\"_blank\">Seo Panel\'e Bağış Yap</a>\r\n        </p>\r\n    </li>\r\n    \r\n</ul>\r\n</fieldset>', '2017-02-04 21:23:57'),
(3643, 'tr', 'home', 'Pages Indexed', 'Sayfaları İndeklendi', '2017-02-04 21:23:57'),
(3644, 'tr', 'home', 'Ranks', 'Ranklar', '2017-02-04 21:23:57'),
(3645, 'tr', 'home', 'SiteNameUrl', 'Site Adı/URL', '2017-02-04 21:23:57'),
(3646, 'tr', 'home', 'Website Statistics', 'Website İstatistikleri', '2017-02-04 21:23:57'),
(3647, 'tr', 'keyword', 'Crawling keyword', 'Kelimeler Taranıyor', '2017-02-04 20:48:33'),
(3648, 'tr', 'keyword', 'Detailed Keyword Position Reports', 'Ayrıntılı Anahtar Kelime Konumu Raporlar', '2017-02-04 20:48:33'),
(3649, 'tr', 'keyword', 'Edit Keyword', 'Anahtar kelime düzenle', '2017-02-04 20:48:33'),
(3650, 'tr', 'keyword', 'Graphical Keyword Position Reports', 'Grafik Anahtar Kelime Konumu Raporları', '2017-02-04 20:48:33'),
(3651, 'tr', 'keyword', 'Import Keywords', 'Anahtar Kelimeleri içe aktar', '2017-02-04 20:48:33'),
(3652, 'tr', 'keyword', 'Keyword already exist', 'Anahtar kelime zaten mevcut\r\n', '2017-02-04 20:48:33'),
(3653, 'tr', 'keyword', 'Keyword Position Report', 'Anahtar kelime pozisyon Raporu', '2017-02-04 20:48:33'),
(3654, 'tr', 'keyword', 'New Keyword', 'Yeni Kelimeler', '2017-02-04 20:48:33'),
(3655, 'tr', 'keyword', 'not assigned to required search engines', 'gerekli arama motorlarına atanmamış', '2017-02-04 20:48:33'),
(3656, 'tr', 'keyword', 'pleaseselecttool', 'en az bir Seo Araçları seçiniz\r\n', '2017-02-04 20:48:33'),
(3657, 'tr', 'keyword', 'Quick Keyword Position Checker', 'Hızlı Anahtar Kelime Konumu kontrolü', '2017-02-04 20:48:33'),
(3658, 'tr', 'keyword', 'results from ', 'sonuçlar', '2017-02-04 20:48:33'),
(3659, 'tr', 'keyword', 'Show All results', 'Tüm sonuçları göster\r\n', '2017-02-04 20:48:33'),
(3660, 'tr', 'keyword', 'Successfully crawled keyword', 'Başarılı bir anahtar kelime taraması', '2017-02-04 20:48:33'),
(3661, 'tr', 'keyword', 'to create new keywords', 'yeni anahtar kelimeler oluşturmak', '2017-02-04 20:48:33'),
(3662, 'tr', 'label', 'already exist', 'zaten var', '2012-11-11 08:14:34'),
(3663, 'tr', 'label', 'Authentication', 'Kimlik doğrulama', '2012-11-11 08:14:34'),
(3664, 'tr', 'label', 'Author', 'Yazar', '2012-11-11 08:14:34'),
(3665, 'tr', 'label', 'Click Here', 'Tıklayın', '2012-11-11 08:14:34'),
(3666, 'tr', 'label', 'Cron', 'Cron', '2012-11-11 08:14:34'),
(3667, 'tr', 'label', 'Description', 'Açıklama', '2012-11-11 08:14:34'),
(3668, 'tr', 'label', 'Developers', 'Geliştiriciler', '2012-11-11 08:14:34'),
(3669, 'tr', 'label', 'Download', 'İndir', '2012-11-11 08:14:34'),
(3670, 'tr', 'label', 'Installation', 'Yükleme', '2012-11-11 08:14:34'),
(3671, 'tr', 'label', 'Keywords', 'Anahtar kelimeler\r\n', '2012-11-11 08:14:34'),
(3672, 'tr', 'label', 'noactiveplugins', 'Hiçbir Aktif Seo Eklentiler Bulunamadı!', '2012-11-11 08:14:34'),
(3673, 'tr', 'label', 'Plugin', 'Eklenti', '2012-11-11 08:14:34'),
(3674, 'tr', 'label', 'Port', 'Port', '2012-11-11 08:14:34'),
(3675, 'tr', 'label', 'Proxy', 'Proxy', '2012-11-11 08:14:34'),
(3676, 'tr', 'label', 'Re-install', 'Yeniden yüklemek\r\n', '2012-11-11 08:14:34'),
(3677, 'tr', 'label', 'Sponsors', 'Sponsorlar', '2012-11-11 08:14:34'),
(3678, 'tr', 'label', 'Title', 'Başlık', '2012-11-11 08:14:34'),
(3679, 'tr', 'label', 'translation by', 'Çeviren', '2012-11-11 08:14:34'),
(3680, 'tr', 'label', 'Translators', 'Çevirmenler', '2012-11-11 08:14:34'),
(3681, 'tr', 'label', 'Upgrade', 'Yükselt', '2012-11-11 08:14:34'),
(3682, 'tr', 'label', 'Version', 'Versiyon', '2012-11-11 08:14:34'),
(3683, 'tr', 'label', 'wantproceed', 'Devam etmek istiyor musunuz?', '2012-11-11 08:14:34'),
(3684, 'tr', 'login', 'Confirm Password', 'Şifreyi Onayla', '2017-02-04 20:55:53'),
(3685, 'tr', 'login', 'Create my account', 'Hesabımı oluştur', '2017-02-04 20:55:53'),
(3686, 'tr', 'login', 'Create New Account', 'Yeni Hesap Oluştur', '2017-02-04 20:55:53'),
(3687, 'tr', 'login', 'Email', 'E-posta', '2017-02-04 20:55:53'),
(3688, 'tr', 'login', 'emailexist', 'E-posta zaten var!', '2017-02-04 20:55:53'),
(3689, 'tr', 'login', 'Enter the code as it is shown', 'Görünen kodu giriniz', '2017-02-04 20:55:53'),
(3690, 'tr', 'login', 'First Name', 'Ad', '2017-02-04 20:55:53'),
(3691, 'tr', 'login', 'Last Name', 'Soyad', '2017-02-04 20:55:53'),
(3692, 'tr', 'login', 'Login', 'Giriş', '2017-02-04 20:55:53'),
(3693, 'tr', 'login', 'Login incorrect', 'Giriş yanlış\r\n', '2017-02-04 20:55:53'),
(3694, 'tr', 'login', 'newaccountsuccess', 'Yeni hesap başarıyla oluşturuldu!\r\n', '2017-02-04 20:55:53'),
(3695, 'tr', 'login', 'Password', 'Şifre', '2017-02-04 20:55:53'),
(3696, 'tr', 'login', 'Password incorrect', 'Şifre yanlış', '2017-02-04 20:55:53'),
(3697, 'tr', 'login', 'Register', 'Kayıt ol', '2017-02-04 20:55:53'),
(3698, 'tr', 'login', 'Sign in to your account', 'Hesabınızda oturum açın', '2017-02-04 20:55:53'),
(3699, 'tr', 'login', 'User inactive', 'Kullanıcı inaktif', '2017-02-04 20:55:53'),
(3700, 'tr', 'login', 'Username', 'Kullanıcı adı', '2017-02-04 20:55:53'),
(3701, 'tr', 'login', 'usernameexist', 'Kullanıcı adı zaten var!', '2017-02-04 20:55:53'),
(3702, 'tr', 'panel', 'About Us', 'Hakkımızda', '2017-02-04 20:50:50'),
(3703, 'tr', 'panel', 'Add following command to your cron tab', 'cron sekmesine aşağıdaki komutu ekleyin', '2017-02-04 20:50:50'),
(3704, 'tr', 'panel', 'alsocheckfollowlink', 'Daha fazla bilgi gerekiyorsa aşağıdaki linki kontrol edin.', '2017-02-04 20:50:50'),
(3705, 'tr', 'panel', 'Check Directory', 'Dizin Kontrolü', '2017-02-04 20:50:50'),
(3706, 'tr', 'panel', 'Cron Command', 'Cron Komut', '2017-02-04 20:50:50'),
(3707, 'tr', 'panel', 'Directory Manager', 'Dizin Yöneticisi', '2017-02-04 20:50:50'),
(3708, 'tr', 'panel', 'Edit My Profile', 'Profilimi Düzenle', '2017-02-04 20:50:50'),
(3709, 'tr', 'panel', 'My Profile', 'Profilim', '2017-02-04 20:50:50'),
(3710, 'tr', 'panel', 'New Proxy', 'Yeni Proxy', '2017-02-04 20:50:50'),
(3711, 'tr', 'panel', 'New User', 'Yeni Üye', '2017-02-04 20:50:50'),
(3712, 'tr', 'panel', 'New Website', 'Yeni Web Site', '2017-02-04 20:50:50'),
(3713, 'tr', 'panel', 'Proxy Manager', 'Proxy Yöneticisi', '2017-02-04 20:50:50'),
(3714, 'tr', 'panel', 'Report Generation Manager', 'Rapor Üretim Yöneticisi', '2017-02-04 20:50:50'),
(3715, 'tr', 'panel', 'Reports Manager', 'Rapor Yöneticisi', '2017-02-04 20:50:50'),
(3716, 'tr', 'panel', 'Seo Plugins Manager', 'Seo Araçları Yöneticisi', '2017-02-04 20:50:50'),
(3717, 'tr', 'panel', 'Seo Tools Manager', 'Seo Araçlar Yöneticisi', '2017-02-04 20:50:50'),
(3718, 'tr', 'panel', 'System Settings', 'Sistem Ayarları', '2017-02-04 20:50:50'),
(3719, 'tr', 'panel', 'User Manager', 'Kullanıcı Yöneticisi', '2017-02-04 20:50:50'),
(3720, 'tr', 'panel', 'Website Manager', 'Web Site Yöneticisi', '2017-02-04 20:50:50'),
(3721, 'tr', 'plugin', 'Edit Seo Plugin', 'Seo Eklentisini Düzenle', '2012-11-11 08:16:59'),
(3722, 'tr', 'plugin', 'Plugin Name', 'Eklenti Adı', '2012-11-11 08:16:59'),
(3723, 'tr', 'plugin', 'Seo Plugin Details', 'Seo Eklenti Detayları', '2012-11-11 08:16:59'),
(3724, 'tr', 'proxy', 'Edit Proxy', 'Proxyi Düzenle', '2010-11-23 11:31:24'),
(3725, 'tr', 'proxy', 'Proxy Password', 'Proxy Şifresi', '2010-11-23 11:31:24'),
(3726, 'tr', 'proxy', 'Proxy Username', 'Proxy Kullanıcı adı', '2010-11-23 11:31:24'),
(3727, 'tr', 'proxy', 'Proxyalreadyexist', 'Proxy zaten mevcut!', '2010-11-23 11:31:24'),
(3728, 'tr', 'rank', 'enterurlproceed', 'Google ve Alexa rank sonuçlarını görmek için bir web sitesi seçin ve <b>Devam</b> tıklayınız.', '2010-11-24 04:38:45'),
(3729, 'tr', 'rank', 'Google and Alexa Rank Reports', 'Google and Alexa Rank Raporları', '2010-11-24 04:38:45'),
(3730, 'tr', 'rank', 'Saved rank results of', 'Rank Sonuçlaro Kaydedildi', '2010-11-24 04:38:45'),
(3731, 'tr', 'directory', 'Add back to directory list', 'dizin listesine geri ekle', '2012-11-11 08:13:26'),
(3732, 'tr', 'directory', 'Approved', 'Onaylı', '2012-11-11 08:13:26'),
(3733, 'tr', 'directory', 'Captcha', 'Resim', '2012-11-11 08:13:26'),
(3734, 'tr', 'directory', 'categorynote', 'Kategoriler, öncelik göre virgülle birbirinden ayırın. Öncelikli kategori ile başlayın.', '2012-11-11 08:13:26'),
(3735, 'tr', 'directory', 'Check Directory Status', 'Dizin Durumu kontrolü', '2012-11-11 08:13:26'),
(3736, 'tr', 'directory', 'Check Directory Submission Status', 'Dizin Gönderme Durumu Kontrolü', '2012-11-11 08:13:26'),
(3737, 'tr', 'directory', 'clicktoproceeddirsts', 'Dizin durum kontrol durumunu için  <b>Devam</b> Tıklayınız', '2012-11-11 08:13:26'),
(3738, 'tr', 'directory', 'Confirmation', 'Onay', '2012-11-11 08:13:26'),
(3739, 'tr', 'directory', 'desnote', 'Bazı dizinleri açıklama alanı için en az 150 karakter gerektirir.', '2012-11-11 08:13:26'),
(3740, 'tr', 'directory', 'Directories with out captcha', 'Dizinlerin resim çıkışı', '2012-11-11 08:13:26'),
(3741, 'tr', 'directory', 'Directory Submission Reports', 'Dizin Gönderme Raporları', '2012-11-11 08:13:26'),
(3742, 'tr', 'directory', 'Enter the code shown', 'Güvenlik kodunu giriniz', '2012-11-11 08:13:26'),
(3743, 'tr', 'directory', 'nocatnote', 'Lütfen <b>Yeniden Yükle</b> veya <b>Geç</b>', '2012-11-11 08:13:26'),
(3744, 'tr', 'directory', 'nodirnote', 'Hiçbir <b> Etkin </ b> Dizin Bulunamadı', '2012-11-11 08:13:26'),
(3745, 'tr', 'directory', 'nosuccessnote', 'Başarılı mesaj alamıyorsan, posta kutunuzu kontrol ediniz.', '2012-11-11 08:13:26'),
(3746, 'tr', 'directory', 'optionalnote', 'Isteğe bağlı başlıkları ve açıklamaları daha iyi sonuçlar için rasgele başlık ve dizinlere açıklama gönder.', '2012-11-11 08:13:26'),
(3747, 'tr', 'directory', 'Owner Email', 'E-posta sahibi', '2012-11-11 08:13:26'),
(3748, 'tr', 'directory', 'Owner Name', 'İsmin Sahibi', '2012-11-11 08:13:26'),
(3749, 'tr', 'directory', 'Pending', 'Beklemede', '2012-11-11 08:13:26'),
(3750, 'tr', 'directory', 'Please select a website to proceed', 'Devam etmek için bir web sitesi seçiniz', '2012-11-11 08:13:26'),
(3751, 'tr', 'directory', 'selectwebsiteproceed', 'Dizin onay kontrolü için Bir <b>Website</b seçin ve sonra <b>Devam</b> tıklayın.', '2012-11-11 08:13:26'),
(3752, 'tr', 'directory', 'selectwebsiteschecksub', '<b>Devam</b> Dizin listesi sunulması için bir <b>Website</b> seçin.', '2012-11-11 08:13:26'),
(3753, 'tr', 'directory', 'Semi Automatic Directory Submission Tool', 'Yarı Otomatik Dizin Gönderme Aracı', '2012-11-11 08:13:26'),
(3754, 'tr', 'directory', 'spamemailnote', 'Bazı dizinleri spam gönderebilir, biz birincil e-posta adresinizi kullanmanızı tavsiye etmiyoruz.', '2012-11-11 08:13:26'),
(3755, 'tr', 'directory', 'Submission Details', 'Teslim Detayları', '2012-11-11 08:13:26'),
(3756, 'tr', 'directory', 'Submit Description', 'Açıklamasını gönderin', '2012-11-11 08:13:26'),
(3757, 'tr', 'directory', 'Submit Keywords', 'Anahtar kelimeleri bul', '2012-11-11 08:13:26'),
(3758, 'tr', 'directory', 'Submit Title', 'Başlık Gönder', '2012-11-11 08:13:26'),
(3759, 'tr', 'directory', 'Website Category', 'Website Kategori', '2012-11-11 08:13:26'),
(3760, 'tr', 'directory', 'Website Url', 'Website Url ', '2012-11-11 08:13:26'),
(3761, 'tr', 'saturation', 'clickproceedsaturation', 'Arama motoru Doygunluk Sonuçları kontrol için bir URL gir ve <b>Devam</b> tıklyınız.', '2010-11-24 04:43:51'),
(3762, 'tr', 'saturation', 'GenerateSaturationReports', 'Arama Motoru Doygunluk Raporları üret', '2010-11-24 04:43:51'),
(3763, 'tr', 'saturation', 'Quick Search Engine Saturation Checker', 'Hızlı Arama Motoru Doygunluk Denetleyicisi', '2010-11-24 04:43:51'),
(3764, 'tr', 'saturation', 'Saved Search Engine Saturation results of', 'Kaydedilmiş Arama Motoru Doygunluk sonuçları', '2010-11-24 04:43:51'),
(3765, 'tr', 'saturation', 'Search Engine Saturation Reports', 'Arama motoru Doygunluk Raporları', '2010-11-24 04:43:51'),
(3766, 'fa', 'website', 'Edit Website', 'ویرایش سایت ', '2010-12-02 05:01:43'),
(3767, 'fa', 'website', 'plscrtwebsite', 'لطفا قبل از شروع استفاده از ابزار ها و افزونه های سئو یک وب سایت ایجاد کنید ', '2010-12-02 05:01:43'),
(3768, 'fa', 'website', 'Website already exist', 'هم اکنون وب سایت موجود است ', '2010-12-02 05:01:43'),
(3769, 'fa', 'website', 'yourwebalreday', 'وب سایت هایی که تا به حال ساخته ایید', '2010-12-02 05:01:43'),
(3770, 'fa', 'user', 'Edit User', 'ویرایش اطلاعات کاربر ', '2010-12-02 01:44:32'),
(3771, 'fa', 'user', 'Saved My Profile Details', 'جزیات نمایه من را ذخیره کن', '2010-12-02 01:44:32'),
(3772, 'fa', 'proxy', 'Edit Proxy', 'ویرایش پروکسی', '2010-12-02 02:34:16'),
(3773, 'fa', 'proxy', 'Proxy Password', 'رمز عبور پروکسی', '2010-12-02 02:34:17'),
(3774, 'fa', 'proxy', 'Proxy Username', 'نام کاربری پروکسی', '2010-12-02 02:34:17'),
(3775, 'fa', 'proxy', 'Proxyalreadyexist', 'هم اکنون پروکسی موجود است', '2010-12-02 02:34:17'),
(3776, 'fa', 'label', 'already exist', 'هم اکنون موجود است ', '2012-05-12 21:14:56'),
(3777, 'fa', 'label', 'Authentication', 'تصدیق نامه', '2012-05-12 21:14:56'),
(3778, 'fa', 'label', 'Author', 'نویسنده', '2012-05-12 21:14:56'),
(3779, 'fa', 'label', 'Click Here', 'اینجا را فشار دهید ', '2012-05-12 21:14:56'),
(3780, 'fa', 'label', 'Cron', 'کرون', '2012-05-12 21:14:56'),
(3781, 'fa', 'label', 'Description', 'توضیحات', '2012-05-12 21:14:56'),
(3782, 'fa', 'label', 'Developers', 'توسعه دهندگان ', '2012-05-12 21:14:56'),
(3783, 'fa', 'label', 'Download', 'بارگیری ها ', '2012-05-12 21:14:56'),
(3784, 'fa', 'label', 'Installation', 'نصب', '2012-05-12 21:14:56'),
(3785, 'fa', 'label', 'Keywords', 'کلمات کلیدی', '2012-05-12 21:14:56'),
(3786, 'fa', 'label', 'noactiveplugins', 'هیچ افزونه ی فعالی پیدانشد', '2012-05-12 21:14:56'),
(3787, 'fa', 'label', 'Plugin', 'افزونه', '2012-05-12 21:14:56'),
(3788, 'fa', 'label', 'Port', 'درگاه', '2012-05-12 21:14:56'),
(3789, 'fa', 'label', 'Proxy', 'پروکسی', '2012-05-12 21:14:56'),
(3790, 'fa', 'label', 'Re-install', 'نصب دوباره', '2012-05-12 21:14:56'),
(3791, 'fa', 'label', 'Sponsors', 'حامیان', '2012-05-12 21:14:56'),
(3792, 'fa', 'label', 'Title', 'عنوان', '2012-05-12 21:14:56'),
(3793, 'fa', 'label', 'translation by', 'ترجمه شده توسط', '2012-05-12 21:14:56'),
(3794, 'fa', 'label', 'Translators', 'مترجم', '2012-05-12 21:14:56'),
(3795, 'fa', 'label', 'Upgrade', 'ارتقا', '2012-05-12 21:14:56'),
(3796, 'fa', 'label', 'Version', 'نسخه', '2012-05-12 21:14:56'),
(3797, 'fa', 'label', 'wantproceed', 'آیا واقعا می خواهید ادامه بدهید؟', '2012-05-12 21:14:56'),
(3798, 'fa', 'login', 'Confirm Password', 'تکرار رمز عبور', '2018-01-24 12:15:55'),
(3799, 'fa', 'login', 'Create my account', 'حساب کاربری مرا بساز', '2018-01-24 12:15:55'),
(3800, 'fa', 'login', 'Create New Account', 'ایجاد حساب کاربری جدید', '2018-01-24 12:15:55'),
(3801, 'fa', 'login', 'Email', 'پست الکترونیک', '2018-01-24 12:15:55'),
(3802, 'fa', 'login', 'emailexist', 'این آدرس الکترونیک تکراری است', '2018-01-24 12:15:55'),
(3803, 'fa', 'login', 'Enter the code as it is shown', 'کد نمایش داده شده را وارد کنید ', '2018-01-24 12:15:55'),
(3804, 'fa', 'login', 'First Name', 'اسم کوجک', '2018-01-24 12:15:55'),
(3805, 'fa', 'login', 'Last Name', 'نام خانوادگی', '2018-01-24 12:15:55'),
(3806, 'fa', 'login', 'Login', 'ورود', '2018-01-24 12:15:55'),
(3807, 'fa', 'login', 'Login incorrect', 'ورود اشتباه', '2018-01-24 12:15:55'),
(3808, 'fa', 'login', 'newaccountsuccess', 'حساب کاربری جدید با موفقیت ساخته شد', '2018-01-24 12:15:55'),
(3809, 'fa', 'login', 'Password', 'رمز عبور', '2018-01-24 12:15:55'),
(3810, 'fa', 'login', 'Password incorrect', 'رمز عبور اشتباه است ', '2018-01-24 12:15:55'),
(3811, 'fa', 'login', 'Register', 'ثبت نام کردن', '2018-01-24 12:15:55'),
(3812, 'fa', 'login', 'Sign in to your account', 'ورود به حساب کاربری', '2018-01-24 12:15:55'),
(3813, 'fa', 'login', 'User inactive', 'کاربر غیر فعال', '2018-01-24 12:15:55'),
(3814, 'fa', 'login', 'Username', 'نام کاربری', '2018-01-24 12:15:55'),
(3815, 'fa', 'login', 'usernameexist', 'این نام کاربری تکراری است ', '2018-01-24 12:15:55'),
(3816, 'fa', 'panel', 'About Us', 'درباره ما ', '2012-05-16 19:23:21'),
(3817, 'fa', 'panel', 'Add following command to your cron tab', 'دستورات زیر را به تب کرون خود اضافه کنید ', '2012-05-16 19:23:21'),
(3818, 'fa', 'panel', 'alsocheckfollowlink', 'همچنین اگر شما به اطلاعات بیشتری نیاز دارید پیوندهای زیر را بررسی کنید ', '2012-05-16 19:23:21'),
(3819, 'fa', 'panel', 'Check Directory', 'بررسی دایرکتوری', '2012-05-16 19:23:21'),
(3820, 'fa', 'panel', 'Cron Command', 'دستورات کرون', '2012-05-16 19:23:21'),
(3821, 'fa', 'panel', 'Directory Manager', 'مدیریت فهرست ها ', '2012-05-16 19:23:21'),
(3822, 'fa', 'panel', 'Edit My Profile', 'ویرایش نمایه من', '2012-05-16 19:23:21'),
(3823, 'fa', 'panel', 'My Profile', 'نمایه من ', '2012-05-16 19:23:21'),
(3824, 'fa', 'panel', 'New Proxy', 'ایجاد پروکسی جدید', '2012-05-16 19:23:21'),
(3825, 'fa', 'panel', 'New User', ' ایجاد کابر جدید', '2012-05-16 19:23:21'),
(3826, 'fa', 'panel', 'New Website', 'ایجاد یک وب سایت جدید', '2012-05-16 19:23:21'),
(3827, 'fa', 'panel', 'Proxy Manager', 'مدیریت پروکسی', '2012-05-16 19:23:21'),
(3828, 'fa', 'panel', 'Report Generation Manager', 'مدیریت تولید گزارشات', '2012-05-16 19:23:21'),
(3829, 'fa', 'panel', 'Reports Manager', 'مدیریت گزارشات', '2012-05-16 19:23:21'),
(3830, 'fa', 'panel', 'Seo Plugins Manager', 'مدیریت افزونه های سئو', '2012-05-16 19:23:21'),
(3831, 'fa', 'panel', 'Seo Tools Manager', 'مدیریت ابزار سئو', '2012-05-16 19:23:21'),
(3832, 'fa', 'panel', 'System Settings', 'تنظیمات سیستم', '2012-05-16 19:23:21'),
(3833, 'fa', 'panel', 'User Manager', 'مدیریت کاربران ', '2012-05-16 19:23:21'),
(3834, 'fa', 'panel', 'Website Manager', 'مدیریت وب سایت ها ', '2012-05-16 19:23:21'),
(3835, 'fa', 'rank', 'enterurlproceed', '  کلیک کنید </b> ادامه <b> بر روی </b> در هر خط <b> برای دیدن رتبه در گوگل والکسا   \r\n ', '2010-12-03 03:30:18'),
(3836, 'fa', 'rank', 'Google and Alexa Rank Reports', 'گزارش رتبه های گوگل و الکسا', '2010-12-03 03:30:18'),
(3837, 'fa', 'rank', 'Saved rank results of', 'ذخیره کن رتبه های نتایج را ', '2010-12-03 03:30:18'),
(3838, 'fa', 'plugin', 'Edit Seo Plugin', 'ویرایش افزونه های سئو', '2012-03-08 09:22:34'),
(3839, 'fa', 'plugin', 'Plugin Name', 'نام افزونه ها', '2012-03-08 09:22:34'),
(3840, 'fa', 'plugin', 'Seo Plugin Details', 'جزیات افزونه سئو', '2012-03-08 09:22:34'),
(3841, 'fa', 'keyword', 'Crawling keyword', 'کلمان کلیدی خزنده', '2018-01-24 08:40:55'),
(3842, 'fa', 'keyword', 'Detailed Keyword Position Reports', 'جزیات گزارش وضعیت  کلمه کلیدی ', '2018-01-24 08:40:55'),
(3843, 'fa', 'keyword', 'Edit Keyword', 'ویرایش کلمات کلیدی', '2018-01-24 08:40:55'),
(3844, 'fa', 'keyword', 'Graphical Keyword Position Reports', 'گزارشات تصویری وضعیت کلمه کلیدی', '2018-01-24 08:40:55'),
(3845, 'fa', 'keyword', 'Import Keywords', 'وارد کردن کلمات کلیدی ', '2018-01-24 08:40:55'),
(3846, 'fa', 'keyword', 'Keyword already exist', 'کلمه کلیدی هم اکنون موجود است ', '2018-01-24 08:40:55'),
(3847, 'fa', 'keyword', 'Keyword Position Report', 'گزارش وضیعت کلمه کلیدی', '2018-01-24 08:40:55'),
(3848, 'fa', 'keyword', 'New Keyword', 'کلمه کلیدی جدید', '2018-01-24 08:40:55'),
(3849, 'fa', 'keyword', 'not assigned to required search engines', 'هیچ نیاز مندی به موتور جست و جو اختصاص داده نشده ', '2018-01-24 08:40:55'),
(3850, 'fa', 'keyword', 'pleaseselecttool', 'لطفا حداقل یک ابزار سئو را انتخاب کنید ', '2018-01-24 08:40:55'),
(3851, 'fa', 'keyword', 'Quick Keyword Position Checker', 'چک کردن سریع وضیعت کلمه کلیدی', '2018-01-24 08:40:55'),
(3852, 'fa', 'keyword', 'results from ', 'نتایج از ', '2018-01-24 08:40:55'),
(3853, 'fa', 'keyword', 'Show All results', 'نمایش تمام نتایج', '2018-01-24 08:40:55'),
(3854, 'fa', 'keyword', 'Successfully crawled keyword', 'کلمه کلیدی با موفقیت خزانده شد ', '2018-01-24 08:40:55'),
(3855, 'fa', 'keyword', 'to create new keywords', 'ایجاد کلمات کلیدی  جدید', '2018-01-24 08:40:55'),
(3856, 'fa', 'sitemap', 'Change frequency', 'عوض کردن تعداد تکرار', '2010-12-02 05:37:19'),
(3857, 'fa', 'sitemap', 'clickproceedsitemap', '<b> ادامه </b>روی گزینه \r\n کلیک کنید تا نقشه سایت ساخته شود', '2010-12-02 05:37:19'),
(3858, 'fa', 'sitemap', 'Download sitemap file from', 'بارگیری کن نقشه سایت را از ', '2010-12-02 05:37:19'),
(3859, 'fa', 'sitemap', 'Exclude Url', 'آدرس های مستثنی', '2010-12-02 05:37:19'),
(3860, 'fa', 'sitemap', 'processtaketime', 'این فرایند با توجه به تعداد لینک های درونی سایت شما طول حواهد کشید .\r\nلطفا صبر کنید تا نقشه سایت را دریافت کنید', '2010-12-02 05:37:19'),
(3861, 'fa', 'sitemap', 'Sitemap Type', 'نوع نقشه سایت ', '2010-12-02 05:37:19'),
(3862, 'fa', 'settings', 'Click here to become a sponsor for Seo Panel', '<b>صد دلار</b> پرداخت کنيد و <b>اسپانسر</b> سئوپنل شويد.', '2012-05-16 20:03:34'),
(3863, 'fa', 'settings', 'seopanel_description', 'یک کنترل پنل کاملا رایگان برای مدیریت بهینه سازی سایت هایتان در مورتورهای جستجو.این کنترل پنل شامل بسیاری از ابزارهای مفید سئو بریا عملکرد سایت شما می باشد.این برنامه متن باز می باد و شما می توانید افزونه های مورد نیاز خودتان برای سئوپنل را توسعه دهید.', '2012-05-16 20:03:34'),
(3864, 'fa', 'settings', 'seopanel_title', 'سئوپنل: اولین کنترل پنل سئو متن باز در جهان برای مدیریت چندین سایت', '2012-05-16 20:03:34'),
(3865, 'fa', 'settings', 'SP_CRAWL_DELAY', 'تاخیر بین هر خزیدن عنکبوت ( بر اساس ثانیه ) ', '2012-05-16 20:03:34'),
(3866, 'fa', 'settings', 'SP_DEFAULTLANG', 'زیان پیش فرض ', '2012-05-16 20:03:34'),
(3867, 'fa', 'settings', 'SP_DESCRIPTION', 'توضحات پنل سئو', '2012-05-16 20:03:34'),
(3868, 'fa', 'settings', 'SP_ENABLE_PROXY', 'فعال سازی پروکسی', '2012-05-16 20:03:34'),
(3869, 'fa', 'settings', 'SP_HOTLINKING', 'فعال سازی حفاطت از عکس های هات لینک', '2012-05-16 20:03:34'),
(3870, 'fa', 'settings', 'SP_KEYWORDS', 'کلید واژه های پنل سئو', '2012-05-16 20:03:34'),
(3871, 'fa', 'settings', 'SP_PAGINGNO', 'تعداد ورودی های هر صفحه ', '2012-05-16 20:03:34'),
(3872, 'fa', 'settings', 'SP_TITLE', 'عنوان پنل سئو ', '2012-05-16 20:03:34'),
(3873, 'fa', 'settings', 'SP_USER_AGENT', 'عامل کاربر', '2012-05-16 20:03:34'),
(3874, 'fa', 'settings', 'SP_USER_GEN_REPORT', 'اجازه دادن به کاربران برای تولید گزارشات ', '2012-05-16 20:03:34'),
(3875, 'fa', 'settings', 'SP_USER_REGISTRATION', 'رابط کاربری ثبت نام ', '2012-05-16 20:03:34'),
(3876, 'fa', 'settings', 'syssettingssaved', 'تنظیمات سیستم با موفقیت ذخیره شد', '2012-05-16 20:03:34'),
(3877, 'fa', 'seotools', 'Automatic Submission', 'توابع خودکار ', '2011-07-13 01:25:14'),
(3878, 'fa', 'seotools', 'backlink-checker', 'چک کننده لیتک دهنده ها ', '2011-07-13 01:25:14'),
(3879, 'fa', 'seotools', 'Backlinks Reports', 'گزارشات لینک دهنده ها ', '2011-07-13 01:25:14'),
(3880, 'fa', 'seotools', 'Check Submission Status', 'بررسی کن وضیعت تابع را', '2011-07-13 01:25:14'),
(3881, 'fa', 'seotools', 'clickgeneratereports', ' کلیک کنید </b> ادامه  <b>    برای تولید گزارشات بر روی ', '2011-07-13 01:25:14'),
(3882, 'fa', 'seotools', 'Detailed Position Reports', 'جزیات گزارشات وضعیت ', '2011-07-13 01:25:14'),
(3883, 'fa', 'seotools', 'directory-submission', 'مسیر های تابع ', '2011-07-13 01:25:14'),
(3884, 'fa', 'seotools', 'Featured Submission', 'ویژگی های تابع ', '2011-07-13 01:25:14'),
(3885, 'fa', 'seotools', 'Generate Backlinks Reports', 'گزارشات مولد لینک دهنده ها ', '2011-07-13 01:25:14'),
(3886, 'fa', 'seotools', 'Generate Keyword Reports', 'گزارشات مولد کلید واژه  ', '2011-07-13 01:25:14'),
(3887, 'fa', 'seotools', 'Generate Rank Reports', 'مولد گزارشات رتبه ', '2011-07-13 01:25:14'),
(3888, 'fa', 'seotools', 'Generate Saturation Reports', 'مولد گزارشات اشباع ', '2011-07-13 01:25:14'),
(3889, 'fa', 'seotools', 'Google Sitemap Generator', 'مولد نقشه سایت گوگل', '2011-07-13 01:25:14'),
(3890, 'fa', 'seotools', 'Graphical Position Reports', 'گزارشات تصویری وضعیت ', '2011-07-13 01:25:14'),
(3891, 'fa', 'seotools', 'Keyword Position Summary', 'خلاصه وضیعت کلید واژه ', '2011-07-13 01:25:14'),
(3892, 'fa', 'seotools', 'keyword-position-checker', 'چک کننده وضیعت کلید واژه ', '2011-07-13 01:25:14'),
(3893, 'fa', 'seotools', 'Keywords Manager', 'میدیریت کلید واژه ', '2011-07-13 01:25:14'),
(3894, 'fa', 'seotools', 'Quick Backlinks Checker', 'جک کننده سریع لینک دهنده ها ', '2011-07-13 01:25:14'),
(3895, 'fa', 'seotools', 'Quick Position Checker', 'جک کننده سریع وضیعت ', '2011-07-13 01:25:14'),
(3896, 'fa', 'seotools', 'Quick Rank Checker', 'جک کننده سریع رتبه ', '2011-07-13 01:25:14'),
(3897, 'fa', 'seotools', 'Quick Saturation Checker', 'جک کننده سریع اشباع ', '2011-07-13 01:25:14'),
(3898, 'fa', 'seotools', 'Rank Reports', 'گزارشات رتبه ', '2011-07-13 01:25:14'),
(3899, 'fa', 'seotools', 'rank-checker', 'چک کننده رتبه ', '2011-07-13 01:25:14'),
(3900, 'fa', 'seotools', 'Saturation Reports', 'گزارشات اشباع ', '2011-07-13 01:25:14'),
(3901, 'fa', 'seotools', 'saturation-checker', 'موتور جست و جو ی اشباع ', '2011-07-13 01:25:14'),
(3902, 'fa', 'seotools', 'sitemap-generator', 'مولد نقشه سایت', '2011-07-13 01:25:14'),
(3903, 'fa', 'seotools', 'Skipped Directories', 'مسیر های نادیده گرفته شده ', '2011-07-13 01:25:14'),
(3904, 'fa', 'seotools', 'Submission Reports', 'گزارشات تابع', '2011-07-13 01:25:14'),
(3905, 'fa', 'seotools', 'User Access', 'دسترسی کاربری', '2011-07-13 01:25:14'),
(3906, 'fa', 'common', 'Action', 'اقدام', '2018-01-24 08:39:35'),
(3907, 'fa', 'common', 'Activate', 'فعال سازی', '2018-01-24 08:39:35'),
(3908, 'fa', 'common', 'Active', 'فعال', '2018-01-24 08:39:35'),
(3909, 'fa', 'common', 'Admin Panel', 'پنل مدیریت', '2018-01-24 08:39:35'),
(3910, 'fa', 'common', 'Alexa Rank', 'رتبه در الکسا', '2018-01-24 08:39:35'),
(3911, 'fa', 'common', 'All', 'همه', '2018-01-24 08:39:35'),
(3912, 'fa', 'common', 'Category', 'طبقه بندی', '2018-01-24 08:39:35'),
(3913, 'fa', 'common', 'contact', 'تماس', '2018-01-24 08:39:35'),
(3914, 'fa', 'common', 'copyright', 'Copyright © [year] محفوظ است www.seopanel.in تمامی حقوق برای', '2018-01-24 08:39:35'),
(3915, 'fa', 'common', 'Country', 'کشور', '2018-01-24 08:39:35'),
(3916, 'fa', 'common', 'Crawl Meta Data', 'خزیدن متا داده ها ', '2018-01-24 08:39:35'),
(3917, 'fa', 'common', 'Date', 'تاریخ', '2018-01-24 08:39:35'),
(3918, 'fa', 'common', 'Delete', 'حذف', '2018-01-24 08:39:35'),
(3919, 'fa', 'common', 'Details', 'جزیات', '2018-01-24 08:39:35'),
(3920, 'fa', 'common', 'Directory', 'مسیر', '2018-01-24 08:39:35'),
(3921, 'fa', 'common', 'Donate', 'کمک مالی', '2018-01-24 08:39:35'),
(3922, 'fa', 'common', 'Edit', 'ویرایش', '2018-01-24 08:39:35'),
(3923, 'fa', 'common', 'Entry cannot be blank', 'ورودی نمی تواند خالی باشد ', '2018-01-24 08:39:35'),
(3924, 'fa', 'common', 'entrynotvalid', 'ورودی که وارد کرده ایدد به نطر قابل قبول نیست ', '2018-01-24 08:39:35'),
(3925, 'fa', 'common', 'failed', 'نا موفق', '2018-01-24 08:39:35'),
(3926, 'fa', 'common', 'forum', 'تالار گفت و گو', '2018-01-24 08:39:35'),
(3927, 'fa', 'common', 'Found', 'پیدا شده ها ', '2018-01-24 08:39:35'),
(3928, 'fa', 'common', 'Google Pagerank', 'رتبه در گوگل', '2018-01-24 08:39:35'),
(3929, 'fa', 'common', 'help', 'راهنما', '2018-01-24 08:39:35'),
(3930, 'fa', 'common', 'hidenews', 'پنهان سازی اخبار پنل سئو', '2018-01-24 08:39:35'),
(3931, 'fa', 'common', 'Id', 'شناسه', '2018-01-24 08:39:35'),
(3932, 'fa', 'common', 'Inactivate', 'غیر فعال کردن ', '2018-01-24 08:39:35'),
(3933, 'fa', 'common', 'Inactive', 'ف', '2018-01-24 08:39:35'),
(3934, 'fa', 'common', 'Invalid characters', 'کارکتر های غیر قابل قبول ', '2018-01-24 08:39:35'),
(3935, 'fa', 'common', 'Invalid code entered', 'کد های غیر قابل قبول وارد شده ', '2018-01-24 08:39:35'),
(3936, 'fa', 'common', 'Invalid email address entered', 'آدرس غیر قابل قبول وارد شده ', '2018-01-24 08:39:35'),
(3937, 'fa', 'common', 'Invalid value', 'مقدار غیر قابل قبول ', '2018-01-24 08:39:35'),
(3938, 'fa', 'common', 'Keyword', 'کلمه کلیدی', '2018-01-24 08:39:35'),
(3939, 'fa', 'common', 'Keywords', 'کلمات کلیدی', '2018-01-24 08:39:35'),
(3940, 'fa', 'common', 'lang', 'زبان', '2018-01-24 08:39:35'),
(3941, 'fa', 'common', 'My Account', 'حساب کاربری من ', '2018-01-24 08:39:35'),
(3942, 'fa', 'common', 'Name', 'نام ', '2018-01-24 08:39:35'),
(3943, 'fa', 'common', 'No', 'خیر', '2018-01-24 08:39:35'),
(3944, 'fa', 'common', 'No Keywords Found', 'هیچ کلمه کلیدی پیدا نشد ', '2018-01-24 08:39:35'),
(3945, 'fa', 'common', 'No Records Found', 'هیچ سابقه ایی پیدا نشد ', '2018-01-24 08:39:35'),
(3946, 'fa', 'common', 'noactivetools', 'هیچ ابزار فعال سئوی پیدا نشد ', '2018-01-24 08:39:35'),
(3947, 'fa', 'common', 'nowebsites', 'هیچ وب سایتی پیدا نشد ', '2018-01-24 08:39:35'),
(3948, 'fa', 'common', 'password632', 'طول رمز عبور باید بین 6 تا 32 کارکتر باشد ', '2018-01-24 08:39:35'),
(3949, 'fa', 'common', 'passwordnotmatch', 'رمز عبور صحیح نیست ', '2018-01-24 08:39:35'),
(3950, 'fa', 'common', 'Period', 'دوره ', '2018-01-24 08:39:35'),
(3951, 'fa', 'common', 'Priority', 'اولویت', '2018-01-24 08:39:35'),
(3952, 'fa', 'common', 'Profile', 'نمایه ', '2018-01-24 08:39:35'),
(3953, 'fa', 'common', 'Rank', 'رتبه ', '2018-01-24 08:39:35'),
(3954, 'fa', 'common', 'Reports', 'گزارش', '2018-01-24 08:39:35'),
(3955, 'fa', 'common', 'Results', 'نتایج ', '2018-01-24 08:39:35'),
(3956, 'fa', 'common', 'Search Engine', 'موتور جست و جو ', '2018-01-24 08:39:35'),
(3957, 'fa', 'common', 'Select', 'انتخاب', '2018-01-24 08:39:35'),
(3958, 'fa', 'common', 'Seo Plugins', 'افزونه های سئو', '2018-01-24 08:39:35'),
(3959, 'fa', 'common', 'Seo Tools', 'ابزار های سئو', '2018-01-24 08:39:35'),
(3960, 'fa', 'common', 'Sign out', 'خروج ', '2018-01-24 08:39:35'),
(3961, 'fa', 'common', 'Sign Up', 'ثبت نام ', '2018-01-24 08:39:35'),
(3962, 'fa', 'common', 'signin', 'ورود ', '2018-01-24 08:39:35'),
(3963, 'fa', 'common', 'Status', 'وضعیت', '2018-01-24 08:39:35'),
(3964, 'fa', 'common', 'Support', 'پشتیبانی', '2018-01-24 08:39:35'),
(3965, 'fa', 'common', 'Total', 'مجموع', '2018-01-24 08:39:35'),
(3966, 'fa', 'common', 'Url', 'آدرس', '2018-01-24 08:39:35'),
(3967, 'fa', 'common', 'User', 'کاربر', '2018-01-24 08:39:35'),
(3968, 'fa', 'common', 'User Panel', 'پنل کاربری', '2018-01-24 08:39:35'),
(3969, 'fa', 'common', 'Website', 'وب سایت ', '2018-01-24 08:39:35'),
(3970, 'fa', 'common', 'Yes', 'بله', '2018-01-24 08:39:35'),
(3971, 'fa', 'directory', 'Add back to directory list', 'اضافه کردن به لیست مسیر ', '2012-05-12 21:11:23'),
(3972, 'fa', 'directory', 'Approved', 'مصوب ', '2012-05-12 21:11:23'),
(3973, 'fa', 'directory', 'Captcha', 'Captcha', '2012-05-12 21:11:23'),
(3974, 'fa', 'directory', 'categorynote', 'بخش ها را با یک کاما از هم جدا کنید بر اساس اولویت آنها.\r\nبا آنهایی که دارای اولویت بالاتری هستند شروع کنید', '2012-05-12 21:11:23'),
(3975, 'fa', 'directory', 'Check Directory Status', 'برسی وضیعت مسیر ', '2012-05-12 21:11:23'),
(3976, 'fa', 'directory', 'Check Directory Submission Status', 'بررسی وضعیت مسیرهای توابع', '2012-05-12 21:11:23'),
(3977, 'fa', 'directory', 'clicktoproceeddirsts', 'کلیک کنید بر  <b>اقدام </b> برای برسی وضعیت مسیر', '2012-05-12 21:11:23'),
(3978, 'fa', 'directory', 'Confirmation', 'تایید', '2012-05-12 21:11:23'),
(3979, 'fa', 'directory', 'desnote', 'بعضی از مسیر هاحداقل 150 کارکتر برای قسمت توضیحات لازم است  ', '2012-05-12 21:11:24'),
(3980, 'fa', 'directory', 'Directories with out captcha', 'مسیر های با captcha خروجی', '2012-05-12 21:11:24'),
(3981, 'fa', 'directory', 'Directory Submission Reports', 'گزارشات مسیر توابع ', '2012-05-12 21:11:24'),
(3982, 'fa', 'directory', 'Enter the code shown', 'کد وارد نمایش داده شده را وارد کنید ', '2012-05-12 21:11:24'),
(3983, 'fa', 'directory', 'nocatnote', 'بخش توابع در صفحه توابع پیدا نشد .\r\nلطفا کلیک کنید بر <b> بار گذاری دوباره </b> یا <b> پرش </b>', '2012-05-12 21:11:24'),
(3984, 'fa', 'directory', 'nodirnote', 'هیچ <b> فعالی</b> مسیری پیدا نشد ', '2012-05-12 21:11:24'),
(3985, 'fa', 'directory', 'nosuccessnote', 'پیام به درستی دریافت نشد.\r\nلطفا ایمیل خود را  برای دیدن پیغام تایید بررسی کنید  ', '2012-05-12 21:11:24'),
(3986, 'fa', 'directory', 'optionalnote', 'عنوان و توضیحات اختیاری برای ارسال عنوان تصادفی و توضیحات به دایرکتوری ها برای نتایج بهتر\r\n', '2012-05-12 21:11:24'),
(3987, 'fa', 'directory', 'Owner Email', 'صاحب پست الکترونیک ', '2012-05-12 21:11:24'),
(3988, 'fa', 'directory', 'Owner Name', 'نام مالک', '2012-05-12 21:11:24'),
(3989, 'fa', 'directory', 'Pending', 'در انتظار', '2012-05-12 21:11:24'),
(3990, 'fa', 'directory', 'Please select a website to proceed', 'لطفا یک وب سابت را برای ادامه انتخاب کنید ', '2012-05-12 21:11:24'),
(3991, 'fa', 'directory', 'selectwebsiteproceed', 'سایت را برای ثبت در دایرکتوری انتخاب نمایید.برای ثبت در دایرکتوری هایی که نیاز به کد تشخیص انسان از روبوت ندارد، گزینه Directories with out\r\ncaptcha را انتخاب نمایید.', '2012-05-12 21:11:24'),
(3992, 'fa', 'directory', 'selectwebsiteschecksub', 'انتخاب کن <b> وب سایت </b>  برای <b> اقدام </b>  بررسی مسیر توابع را', '2012-05-12 21:11:24'),
(3993, 'fa', 'directory', 'Semi Automatic Directory Submission Tool', 'مسیر های نیمه اوتوماتیک ابزار توابع', '2012-05-12 21:11:24'),
(3994, 'fa', 'directory', 'spamemailnote', 'برخی از دایرکتوری ها ممکن است هرز نامه ارسال کنند ٰ.\r\nپیشنهاد نمی کنیم که از پست الکترونیک اصلی خود استفاده کنید ', '2012-05-12 21:11:24'),
(3995, 'fa', 'directory', 'Submission Details', 'جزیات تابع ', '2012-05-12 21:11:24'),
(3996, 'fa', 'directory', 'Submit Description', 'ثبت توضیحات ', '2012-05-12 21:11:24'),
(3997, 'fa', 'directory', 'Submit Keywords', 'ثبت کلمات کلیدی ', '2012-05-12 21:11:24'),
(3998, 'fa', 'directory', 'Submit Title', 'ثبت عنوان ', '2012-05-12 21:11:24'),
(3999, 'fa', 'directory', 'Website Category', 'طبقه بندی وب سایت ها ', '2012-05-12 21:11:24'),
(4000, 'fa', 'directory', 'Website Url', 'آدرس وب سایت ', '2012-05-12 21:11:24'),
(4001, 'fa', 'saturation', 'clickproceedsaturation', 'وترد کنید آدرس ها را <b> در هر خط یکی </b> . \r\nکلیک کنید بر روی <b> اقدام </b>  \r\nبرای بررسی موتور جست و جوی اشباع ', '2011-01-25 10:45:36'),
(4002, 'fa', 'saturation', 'GenerateSaturationReports', 'تولید موتور جستجو گزارش اشباع', '2011-01-25 10:45:36'),
(4003, 'fa', 'saturation', 'Quick Search Engine Saturation Checker', 'جستجوی سریع موتور جستجوگر اشباع', '2011-01-25 10:45:36'),
(4004, 'fa', 'saturation', 'Saved Search Engine Saturation results of', 'ذخیره نتایج اشباع موتور جست و جو ', '2011-01-25 10:45:36'),
(4005, 'fa', 'saturation', 'Search Engine Saturation Reports', 'گزارشات اشباع موتور های جست و جو ', '2011-01-25 10:45:36'),
(4006, 'fa', 'button', 'Cancel', 'انصراف ', '2014-01-08 19:25:49'),
(4007, 'fa', 'button', 'Check Status', 'بررسی وضیعت ', '2014-01-08 19:25:49'),
(4008, 'fa', 'button', 'Proceed', 'ادامه ', '2014-01-08 19:25:49'),
(4009, 'fa', 'button', 'Reload', 'بار گذاری دوباره ', '2014-01-08 19:25:49'),
(4010, 'fa', 'button', 'Show Details', 'نمابش چزیات ', '2014-01-08 19:25:49'),
(4011, 'fa', 'button', 'Show Records', 'نمایش سوابق ', '2014-01-08 19:25:49'),
(4012, 'fa', 'button', 'Skip', 'پرش ', '2014-01-08 19:25:49'),
(4013, 'fa', 'button', 'Submit', 'ثبت کردن ', '2014-01-08 19:25:49'),
(4014, 'fa', 'home', 'Account Summary', 'خلاصه حساب کاربری ', '2012-05-22 23:09:44'),
(4015, 'fa', 'home', 'Backlinks', 'لینک دهدنده ها ', '2012-05-22 23:09:44'),
(4016, 'fa', 'home', 'Directory Submission', 'مسیر توابع ', '2012-05-22 23:09:44'),
(4017, 'fa', 'home', 'home_cont1', '<h1 style=\\\"text-align: center;margin-bottom: 30px;font-size: 19px;\\\">به سئوپنل، اولین کنترل پنل در جهان برای بررسی سئو چندین سایت خوش آمدید</h1> \r\n        <p> \r\n            یک برنامه متن باز برای مدیریت بهینه سازی سایت های شما برایموتورهای جستجو  \r\n          سئوپنل یک ابزار سئو با بهترین امکانات برای بالا بردن و بررسی وضعیت سایت های شماست. \r\n           سئوپنل یک برنامه متن باز است.\r\n           بزرگترین خصیصه سئوپنل گسترش پذیری آن به کمک  <a href=\\\"<?=SP_PLUGINSITE?>\\\"\r\ntarget=\\\"_blank\\\">افزونه های سئوست</a>. \r\n          هر کسی می تواند افزونه مورد نیاز خود را انتشار دهد و یا اینکه بخرد و در پنل خود به راحتی نصب کند.  \r\n        </p> \r\n        <p></p> \r\n        <p> \r\n            این برنامه متن باز در سال 2010 انتشار یافت.</b>. \r\n           در همین دوره زمانی کوتاه بسیاری از وبمستران از این پنل برای کنترل وضعیت سئو سایت های خود استفاده می کنند\r\n           همین امروز از سئوپنل استفاده کنید و کنترل وضعیت سئو سایتتان را در دست بگیرید.\r\nسایت www.3eo.ir پشتیبان رسمی سئوپنل در کشورهای فارسی زبان\r\n        </p>', '2012-05-22 23:09:44'),
(4018, 'fa', 'home', 'home_cont2', '<fieldset>\r\n<legend>خصوصیات اصلی سئوپنل <?=SP_INSTALLED?></legend>\r\n<ul class=\\\"infobox\\\">\r\n    <li>        \r\n        <h1>ثبت اتوماتیک سایت در دایرکتوری ها</h1>\r\n </li>\r\n    <li>        \r\n        <h1>بررسی موقعیت کلمات کلیدی</h1> \r\n </li>\r\n    <li>        \r\n        <h1>نظارت بر سایت</h1> \r\n</li>\r\n    <li>        \r\n        <h1>بررسی وضعیت گوگل و الکسا</h1> \r\n</li>\r\n    <li>        \r\n        <h1>بررسی بک لینک ها</h1> \r\n   </li>    \r\n    <li>        \r\n        <h1>بررسی اشباع موتور جستجو</h1> \r\n </li>\r\n    <li>        \r\n        <h1>افزونه های سئوپنل</h1> \r\n </li>\r\n    <li>        \r\n        <h1>ساخت متا تگ ها</h1> \r\n </li>\r\n</ul>\r\n</fieldset>', '2012-05-22 23:09:44'),
(4019, 'fa', 'home', 'home_cont3', '<fieldset> \r\n<legend>منابع آنلاین سئو</legend>     \r\n<ul class=\\\"infobox\\\"> \r\n\r\n    <li> \r\n        <h1>منابع آنلاین سئو به عنوان مرجع </h1>                 \r\n         \r\n         \r\n        <p> \r\n            <a href=\\\"http://www.seopanel.in\\\" target=\\\"_blank\\\">سایت اختصاصی سئو پنل  </a> \r\n        </p> \r\n <p> \r\n            <a href=\\\"http://seopanel.3eo.ir\\\" target=\\\"_blank\\\">پشتیبانی فارسی سئوپنل  </a> \r\n        </p> \r\n        <p> \r\n            <a href=\\\"<?=SP_DOWNLOAD_LINK?>\\\" target=\\\"_blank\\\">بارگیری سئو پنل </a> \r\n        </p> \r\n         \r\n        <p> \r\n            <a href=\\\"<?=SP_DEMO_LINK?>\\\" target=\\\"_blank\\\">نمونه سئو پنل </a> \r\n        </p> \r\n         \r\n        <p> \r\n            <a href=\\\"<?=SP_CONTACT_LINK?>\\\" target=\\\"_blank\\\">تماس با سئو پنل </a> \r\n        </p> \r\n         \r\n        <p> \r\n            <a href=\\\"<?=SP_HELP_LINK?>\\\" target=\\\"_blank\\\">راهنمایی سئو پنل </a> \r\n        </p> \r\n         \r\n        <p> \r\n            <a href=\\\"<?=SP_FORUM_LINK?>\\\" target=\\\"_blank\\\">فرم سئو پنل </a> \r\n        </p> \r\n         \r\n        <p> \r\n            <a href=\\\"<?=SP_SUPPORT_LINK?>\\\" target=\\\"_blank\\\">سیستم پشتیبانیه سئوپنل  </a> \r\n        </p> \r\n         \r\n        <p> \r\n            <a href=\\\"<?=SP_DONATE_LINK?>\\\" target=\\\"_blank\\\">حمایت مالی از سئو پنل </a> \r\n        </p> \r\n    </li> \r\n     \r\n</ul> \r\n</fieldset>', '2012-05-22 23:09:44'),
(4020, 'fa', 'home', 'Pages Indexed', 'صفحات نمایه', '2012-05-22 23:09:44'),
(4021, 'fa', 'home', 'Ranks', 'رتبه ها', '2012-05-22 23:09:44'),
(4022, 'fa', 'home', 'SiteNameUrl', 'نام سایت / آدرس', '2012-05-22 23:09:44'),
(4023, 'fa', 'home', 'Website Statistics', 'آمار وب سایت', '2012-05-22 23:09:44'),
(4024, 'fa', 'backlink', 'clickproceedbacklink', '  <b> در هر خط یکی </b> برای چک کردن لینک دهنده ها آدرس ها راوارد کنید', '2010-12-03 04:50:08'),
(4025, 'fa', 'backlink', 'Saved backlink results of', 'ذخیره کن نتایج لینک دهنده ها را ', '2010-12-03 04:50:08'),
(4026, 'el', 'website', 'Edit Website', 'Επεξεργασία website', '2019-08-28 05:44:53'),
(4027, 'el', 'website', 'plscrtwebsite', 'Παρακαλώ καταχωρίστε ένα website, πριν αρχίσετε να χρησιμοποιείτε τα εργαλεία seo και τα seo plugins.', '2019-08-28 05:44:53'),
(4028, 'el', 'website', 'Website already exist', 'Το Website ήδη υπάρχει', '2019-08-28 05:44:53'),
(4029, 'el', 'website', 'yourwebalreday', 'Το website σας αν ήδη έχετε καταχωρίσει ένα.', '2019-08-28 05:44:53'),
(4030, 'el', 'user', 'Edit User', 'Επεξεργασία χρήστη', '2016-01-27 08:13:11'),
(4031, 'el', 'user', 'Saved My Profile Details', 'Οι Λεπτομέρειες Προφίλ αποθηκεύτηκαν', '2016-01-27 08:13:11'),
(4032, 'el', 'sitemap', 'Change frequency', 'Αλλαγή συχνότητας', '2019-01-29 06:40:48'),
(4033, 'el', 'sitemap', 'clickproceedsitemap', 'Κάντε κλικ στο <b>Ανάθεση</b> για να δημιουργήσετε ένα sitemap αρχείο', '2019-01-29 06:40:48'),
(4034, 'el', 'sitemap', 'Download sitemap file from', 'Κατεβάστε το αρχείο sitemap από', '2019-01-29 06:40:48'),
(4035, 'el', 'sitemap', 'Exclude Url', 'Απομονώστε Url', '2019-01-29 06:40:48'),
(4036, 'el', 'sitemap', 'processtaketime', 'Αυτή η διαδικασία θα κρατήσει τόση ώρα ανάλογα με τον αριθμό των link που υπάρχουν στο website. Παρακαλώ περιμένετε ώστε να λάβετε τα αρχεία sitemap', '2019-01-29 06:40:48'),
(4037, 'el', 'sitemap', 'Sitemap Type', 'Τύπος Sitemap', '2019-01-29 06:40:48'),
(4038, 'el', 'backlink', 'clickproceedbacklink', 'Πληκτρολογήστε τα URL\\\'s <b>ένα σε κάθε γραμμή</b>. Κάντε κλικ στο <b>Ανάθεση</b> για να εξετάσετε τα Backlinks. ', '2010-12-14 05:04:32'),
(4039, 'el', 'backlink', 'Saved backlink results of', 'Αποθηκεύτηκαν αποτελέσματα backlink για', '2010-12-14 05:04:32'),
(4040, 'el', 'button', 'Cancel', 'Ακύρωση', '2014-01-08 19:26:57'),
(4041, 'el', 'button', 'Check Status', 'Έλεγχος κατάστασης', '2014-01-08 19:26:57'),
(4042, 'el', 'button', 'Proceed', 'Εκκίνηση', '2014-01-08 19:26:57'),
(4043, 'el', 'button', 'Reload', 'Επαναφόρτωση', '2014-01-08 19:26:57'),
(4044, 'el', 'button', 'Show Details', 'Εμφάνιση λεπτομερειών', '2014-01-08 19:26:57'),
(4045, 'el', 'button', 'Show Records', 'Εμφάνιση εγγραφών', '2014-01-08 19:26:57'),
(4046, 'el', 'button', 'Skip', 'Παράβλεψη', '2014-01-08 19:26:57'),
(4047, 'el', 'button', 'Submit', 'Καταχώριση ', '2014-01-08 19:26:57'),
(4048, 'el', 'common', 'Action', 'Ενέργεια', '2019-08-28 05:40:52'),
(4049, 'el', 'common', 'Activate', 'Ενεργοποίηση', '2019-08-28 05:40:52'),
(4050, 'el', 'common', 'Active', 'Ενεργό', '2019-08-28 05:40:52'),
(4051, 'el', 'common', 'Admin Panel', 'Πίνακας διαχειριστή', '2019-08-28 05:40:52'),
(4052, 'el', 'common', 'Alexa Rank', 'Alexa Rank ', '2019-08-28 05:40:52'),
(4053, 'el', 'common', 'All', 'Όλα', '2019-08-28 05:40:52'),
(4054, 'el', 'common', 'Category', 'Κατηγορία', '2019-08-28 05:40:52'),
(4055, 'el', 'common', 'contact', 'Επικοινωνία', '2019-08-28 05:40:52'),
(4056, 'el', 'common', 'copyright', 'Copyright © [year] www.seopanel.in All rights reserved ', '2019-08-28 05:40:52'),
(4057, 'el', 'common', 'Country', 'Χώρα', '2019-08-28 05:40:52'),
(4058, 'el', 'common', 'Crawl Meta Data', 'Crawl Meta Data ', '2019-08-28 05:40:52'),
(4059, 'el', 'common', 'Date', 'Ημερομηνία', '2019-08-28 05:40:52'),
(4060, 'el', 'common', 'Delete', 'Διαγραφή', '2019-08-28 05:40:52'),
(4061, 'el', 'common', 'Details', 'Λεπτομέρειες', '2019-08-28 05:40:52'),
(4062, 'el', 'common', 'Directory', 'Κατάλογος', '2019-08-28 05:40:52'),
(4063, 'el', 'common', 'Donate', 'Ενίσχυση', '2019-08-28 05:40:52'),
(4064, 'el', 'common', 'Edit', 'Επεξεργασία', '2019-08-28 05:40:52'),
(4065, 'el', 'common', 'Entry cannot be blank', 'Η καταχώριση δεν μπορεί να είναι κενή', '2019-08-28 05:40:52'),
(4066, 'el', 'common', 'entrynotvalid', 'Η καταχώριση που εισάγατε δεν δείχνει να είναι σωστή', '2019-08-28 05:40:52');
INSERT INTO `texts` (`id`, `lang_code`, `category`, `label`, `content`, `changed`) VALUES
(4067, 'el', 'common', 'failed', 'Απέτυχε', '2019-08-28 05:40:52'),
(4068, 'el', 'common', 'forum', 'Συζητήστε', '2019-08-28 05:40:52'),
(4069, 'el', 'common', 'Found', 'Βρέθηκε', '2019-08-28 05:40:52'),
(4070, 'el', 'common', 'Google Pagerank', 'Google Pagerank ', '2019-08-28 05:40:52'),
(4071, 'el', 'common', 'help', 'Βοήθεια', '2019-08-28 05:40:52'),
(4072, 'el', 'common', 'hidenews', 'Απόκρυψη των ειδήσεων Seo Panel ', '2019-08-28 05:40:52'),
(4073, 'el', 'common', 'Id', 'Id', '2019-08-28 05:40:52'),
(4074, 'el', 'common', 'Inactivate', 'Απενεργοποίηση', '2019-08-28 05:40:52'),
(4075, 'el', 'common', 'Inactive', 'Απενεργοποιημένος', '2019-08-28 05:40:52'),
(4076, 'el', 'common', 'Invalid characters', 'Μη αποδεκτοί χαρακτήρες', '2019-08-28 05:40:52'),
(4077, 'el', 'common', 'Invalid code entered', 'Εισήχθη μη αποδεκτός κωδικός', '2019-08-28 05:40:52'),
(4078, 'el', 'common', 'Invalid email address entered', 'Εισήχθη μη αποδεκτή διεύθυνση email', '2019-08-28 05:40:52'),
(4079, 'el', 'common', 'Invalid value', 'Μη αποδεκτή τιμή', '2019-08-28 05:40:52'),
(4080, 'el', 'common', 'Keyword', 'Λέξη κλειδί', '2019-08-28 05:40:52'),
(4081, 'el', 'common', 'Keywords', 'Λέξεις κλειδιά', '2019-08-28 05:40:52'),
(4082, 'el', 'common', 'lang', 'Γλώσσα', '2019-08-28 05:40:52'),
(4083, 'el', 'common', 'My Account', 'Ο λογαριασμός μου', '2019-08-28 05:40:52'),
(4084, 'el', 'common', 'Name', 'Όνομα', '2019-08-28 05:40:52'),
(4085, 'el', 'common', 'No', 'Όχι', '2019-08-28 05:40:52'),
(4086, 'el', 'common', 'No Keywords Found', 'Δεν βρέθηκαν λέξεις κλειδιά', '2019-08-28 05:40:52'),
(4087, 'el', 'common', 'No Records Found', 'Δεν βρέθηκαν εγγραφές', '2019-08-28 05:40:52'),
(4088, 'el', 'common', 'noactivetools', 'Δεν βρέθηκαν ενεργά Seo Tools!', '2019-08-28 05:40:52'),
(4089, 'el', 'common', 'nowebsites', 'Δεν βρέθηκαν websites', '2019-08-28 05:40:52'),
(4090, 'el', 'common', 'password632', 'Το μέγεθος του κωδικού πρέπει να έχει μήκος από 6 ως 32 χαρακτήρες', '2019-08-28 05:40:52'),
(4091, 'el', 'common', 'passwordnotmatch', 'Ο κωδικός δεν ταιριάζει', '2019-08-28 05:40:52'),
(4092, 'el', 'common', 'Period', 'Περίοδος', '2019-08-28 05:40:52'),
(4093, 'el', 'common', 'Priority', 'Προτεραιότητα ', '2019-08-28 05:40:52'),
(4094, 'el', 'common', 'Profile', 'Προφίλ', '2019-08-28 05:40:52'),
(4095, 'el', 'common', 'Rank', 'Rank', '2019-08-28 05:40:52'),
(4096, 'el', 'common', 'Reports', 'Αναφορές', '2019-08-28 05:40:52'),
(4097, 'el', 'common', 'Results', 'Αποτελέσματα', '2019-08-28 05:40:52'),
(4098, 'el', 'common', 'Search Engine', 'Μηχανή Αναζήτησης', '2019-08-28 05:40:52'),
(4099, 'el', 'common', 'Select', 'Επιλογή', '2019-08-28 05:40:52'),
(4100, 'el', 'common', 'Seo Plugins', 'Seo Plugins', '2019-08-28 05:40:52'),
(4101, 'el', 'common', 'Seo Tools', 'Seo Εργαλεία', '2019-08-28 05:40:52'),
(4102, 'el', 'common', 'Sign out', 'Αποσύνδεση', '2019-08-28 05:40:52'),
(4103, 'el', 'common', 'Sign Up', 'Εγγραφή', '2019-08-28 05:40:52'),
(4104, 'el', 'common', 'signin', 'Σύνδεση', '2019-08-28 05:40:52'),
(4105, 'el', 'common', 'Status', 'Κατάσταση', '2019-08-28 05:40:52'),
(4106, 'el', 'common', 'Support', 'Υποστήριξη', '2019-08-28 05:40:52'),
(4107, 'el', 'common', 'Total', 'Σύνολο', '2019-08-28 05:40:52'),
(4108, 'el', 'common', 'Url', 'Url', '2019-08-28 05:40:52'),
(4109, 'el', 'common', 'User', 'Χρήστης', '2019-08-28 05:40:52'),
(4110, 'el', 'common', 'User Panel', 'Πίνακας ελέγχου χρήστη', '2019-08-28 05:40:52'),
(4111, 'el', 'common', 'Website', 'Website', '2019-08-28 05:40:52'),
(4112, 'el', 'common', 'Yes', 'Ναι', '2019-08-28 05:40:52'),
(4113, 'el', 'directory', 'Add back to directory list', 'Προσθέστε πίσω στην λίστα καταλόγου', '2014-01-20 11:07:08'),
(4114, 'el', 'directory', 'Approved', 'Ελέχθη ', '2014-01-20 11:07:08'),
(4115, 'el', 'directory', 'Captcha', 'Captcha ', '2014-01-20 11:07:08'),
(4116, 'el', 'directory', 'categorynote', 'Κατηγορίες, διαχωρισμένες με κόμμα σύμφωνα με την προτεραιότητα. Ξεκινήστε με την κατηγορία Πρώτης προτεραιότητας. ', '2014-01-20 11:07:08'),
(4117, 'el', 'directory', 'Check Directory Status', 'Έλεγχος κατάστασης καταλόγου', '2014-01-20 11:07:08'),
(4118, 'el', 'directory', 'Check Directory Submission Status', 'Έλεγχος κατάστασης καταχώρισης καταλόγου', '2014-01-20 11:07:08'),
(4119, 'el', 'directory', 'clicktoproceeddirsts', 'Επιλέξτε <b>Ανάθεση</b> για τον Έλεγχο Κατάστασης Καταλόγου. ', '2014-01-20 11:07:08'),
(4120, 'el', 'directory', 'Confirmation', 'Επιβεβαίωση', '2014-01-20 11:07:08'),
(4121, 'el', 'directory', 'desnote', 'Μερικοί κατάλογοι απαιτούν το ελάχιστο 150 χαρακτήρες για το πεδίο περιγραφής.', '2014-01-20 11:07:08'),
(4122, 'el', 'directory', 'Directories with out captcha', 'Κατάλογοι χωρίς captcha', '2014-01-20 11:07:08'),
(4123, 'el', 'directory', 'Directory Submission Reports', 'Αναφορά Καταχώρισης καταλόγου', '2014-01-20 11:07:08'),
(4124, 'el', 'directory', 'Enter the code shown', 'Πληκτρολογήστε τον προβαλλόμενο κωδικό', '2014-01-20 11:07:08'),
(4125, 'el', 'directory', 'nocatnote', 'Ο κατάλογος καταχωρίσεων δεν βρέθηκε στην σελίδα καταχώρισης. Παρακαλώ κάντε κλικ στην <b>Επαναφόρτωση</b> ή <b>Παράβλεψη</b> ', '2014-01-20 11:07:08'),
(4126, 'el', 'directory', 'nodirnote', 'Δεν βρέθηκε <b>Ενεργός</b> κατάλογος', '2014-01-20 11:07:08'),
(4127, 'el', 'directory', 'nosuccessnote', 'Δεν ελήφθη μήνυμα επιτυχίας, Παρακαλώ ελέγξτε το email σας για να βρείτε το μήνυμα επιβεβαίωσης.', '2014-01-20 11:07:08'),
(4128, 'el', 'directory', 'optionalnote', 'Εναλλακτικοί τίτλοι και κατηγορίες για την καταχώριση random τίτλου και περιγραφής σε καταλόγους για καλύτερα αποτελέσματα.', '2014-01-20 11:07:08'),
(4129, 'el', 'directory', 'Owner Email', 'Email ιδιοκτήτη', '2014-01-20 11:07:08'),
(4130, 'el', 'directory', 'Owner Name', 'Όνομα ιδιοκτήτη', '2014-01-20 11:07:08'),
(4131, 'el', 'directory', 'Pending', 'Εν αναμονή', '2014-01-20 11:07:08'),
(4132, 'el', 'directory', 'Please select a website to proceed', 'Παρακαλώ επιλέξτε ένα website για ανάθεση', '2014-01-20 11:07:08'),
(4133, 'el', 'directory', 'selectwebsiteproceed', 'Επιλέξτε ένα <b>Website</b> για <b>Ανάθεση</b> καταχώρισης καταλόγου.<br>Ελέγξτε <b> τον κατάλογο χωρίς captcha</b> για καταχώριση σε κατάλογο χωρίς captcha', '2014-01-20 11:07:08'),
(4134, 'el', 'directory', 'selectwebsiteschecksub', 'Επιλέξτε ένα <b>Website</b> για <b>Ανάθεση</b> ελέγχου καταχώρισης καταλόγου. ', '2014-01-20 11:07:08'),
(4135, 'el', 'directory', 'Semi Automatic Directory Submission Tool', 'Ημιαυτόματο Εργαλείο Καταχώρισης Καταλόγου', '2014-01-20 11:07:08'),
(4136, 'el', 'directory', 'spamemailnote', 'Μερικοί κατάλογοι μπορεί να στείλουν spam, δεν προτείνουμε να χρησιμοποιήσετε την κύρια διεύθυνση email σας.', '2014-01-20 11:07:08'),
(4137, 'el', 'directory', 'Submission Details', 'Λεπτομέρειες Καταχώρισης', '2014-01-20 11:07:08'),
(4138, 'el', 'directory', 'Submit Description', 'Περιγραφή Καταχώρισης', '2014-01-20 11:07:08'),
(4139, 'el', 'directory', 'Submit Keywords', 'Καταχώριση Λέξεων Κλειδιών', '2014-01-20 11:07:08'),
(4140, 'el', 'directory', 'Submit Title', 'Καταχώριση Τίτλου', '2014-01-20 11:07:08'),
(4141, 'el', 'directory', 'Website Category', 'Κατηγορία Website', '2014-01-20 11:07:08'),
(4142, 'el', 'directory', 'Website Url', 'Website Url ', '2014-01-20 11:07:08'),
(4143, 'el', 'plugin', 'Edit Seo Plugin', 'Επεξεργασία Seo Plugin', '2012-06-02 21:56:43'),
(4144, 'el', 'plugin', 'Plugin Name', 'Όνομα Plugin', '2012-06-02 21:56:43'),
(4145, 'el', 'plugin', 'Seo Plugin Details', 'Λεπτομέρειες Seo Plugin', '2012-06-02 21:56:43'),
(4146, 'el', 'support', 'support_cont1', '<fieldset> \r\n<legend>Seo Panel Σύστημα Υποστήριξης</legend> \r\n<ul class=\"infobox\"> \r\n    <li> \r\n        <h1>Πακέτο Καταλόγου 1000</h1>  \r\n        <p> \r\n            Σας παρέχουμε <b>1000 δωρεάν και ενεργά</b> πακέτα internet καταλόγων, ώστε να τα προσθέσετε \r\nστο seo panel σας με το<b>εργαλείο καταχώρισης καταλόγων</b>. \r\n            Αυτό θα σας βοηθήσει να <b>αυξήσετε τα backlinks</b> των websites σας. \r\n            Πρακτικά, η 1000 λίστα καταλόγου είναι <b>εισαγωγική</b> για να μαζευτούν χρήματα για τη <b>μελλοντική\r\n ανάπτυξη</b> του seo panel. \r\n            Για να παραλάβετε την λίστα καταλόγων 1000 παρακαλώ <a href=\"<?=SP_DONATE_LINK?>\" target=\"_blank\">δωρίστε</a>\r\n$10 ή λιγότερο για την βελτίωση των λειτουργιών και των εργαλείων του seo panel. \r\n            Αν έχετε ερωτήσεις για το πακέτο καταλόγων 1000, παρακαλώ <a href=\"<?=SP_CONTACT_LINK?>\"\r\ntarget=\"_blank\">επικοινωνήστε μαζί μας</a> ή ανοίξτε ένα ερώτημα στο<a href=\"<?=SP_SUPPORT_LINK?>\"\r\ntarget=\"_blank\">σύστημα υποστήριξης</a>.    \r\n        </p>         \r\n        <p> \r\n            <a href=\"<?=SP_DONATE_LINK?>\" target=\"_blank\">Επισκεφτείτε αυτόν το σύνδεσμο για να δωρίσετε στο seo panel</a> \r\n        </p> \r\n        <br> \r\n    </li> \r\n     \r\n    <li> \r\n        <h1>Πακέτο Τοπικών Μηχανών Αναζήτησης</h1>  \r\n        <p> \r\n            Προσθέστε<b> domains τοπικών μηχανών αναζήτησης</b> για το google,yahoo,msn(<b>eg: www.google.de,www.google.gr\r\nκλπ</b>) στο seo panel <b> έλεγχος κατάταξης keyword</b>, ώστε να παρακολουθηθεί η απόδοση του site σας τοπικά. \r\n            Για να λάβετε το πακέτο των τοπικών μηχανών αναζήτησης(σύμφωνα με τις απαιτήσεις σας) παρακαλώ <a\r\nhref=\"<?=SP_DONATE_LINK?>\" target=\"_blank\">δωρίστε</a> $10 ή περισσότερα για την βελτίωση των υπηρεσιών που προσφέρει το seo panel. \r\n            Πριν στείλετε την δωρεά, παρακαλώ <a href=\"<?=SP_CONTACT_LINK?>\" target=\"_blank\">επικοινωνήστε μαζί μας</a> για να \r\nσας παρέχουμε την απαιτούμενη λίστα των domain μηχανών αναζήτησης. \r\n            <br><br>               \r\n            Επίσης, για να προσθέσετε <b>νέες μηχανές αναζήτησης(eg:in.gr)</b> στο seo panel εργαλείο ελέγχου κατάταξης keyword,\r\nπαρακαλώ <a href=\"<?=SP_CONTACT_LINK?>\" target=\"_blank\">επικοινωνήστε μαζί μας</a> ή ανοίξτε ένα ερώτημα στο <a\r\nhref=\"<?=SP_SUPPORT_LINK?>\" target=\"_blank\">σύστημα υποστήριξης</a>.  \r\n        </p>         \r\n        <p class=\"visit\"> \r\n            <a href=\"<?=SP_CONTACT_LINK?>\" target=\"_blank\">Κάντε κλικ εδώ για να επικοινωνήσετε μαζί μας</a> \r\n        </p> \r\n        <br> \r\n    </li> \r\n     \r\n    <li> \r\n        <h1>Seo Panel Plugins</h1>  \r\n        <p> \r\n            Προσθέστε <b>seo plugins</b> στο seo panel σας για να <b>επεκτίνετε τις δυνατότητες</b> σύμφωνα με τις\r\nαπαιτήσεις σας. \r\n            Τα <a href=\"<?=SP_PLUGINSITE?>\" target=\"_blank\">Seo panel plugins</a> υποστηρίζονται από το seo panel\r\nαλλά και sites τρίτων. \r\n            Επίσης, μπορείτε εύκολα να <b>αναπτύξετε</b> seo plugins για το δικό σας seo panel. \r\n            Μπορείτε να <a href=\"<?=SP_PLUGINSITE?>\" target=\"_blank\">καταχωρίσετε</a> το seo plugin στο seo panel και\r\nεμείς θα το <b>δημοσιεύσουμε</b> στο website σας μετά από τον <b>επανέλεγχο</b> που κάνουμε.         \r\n        </p>         \r\n        <p> \r\n            <a href=\"<?=SP_PLUGINSITE?>\" target=\"_blank\">Κάντε κλικ εδώ για να κατεβάσετε seo panel plugins</a> \r\n        </p> \r\n        <br> \r\n    </li>     \r\n    <li> \r\n        <h1>Επικοινωνήστε μαζί μας</h1>  \r\n        <p> \r\n            Επικοινωνήστε μαζί μας για οποιεσδήποτε ερωτήσεις αφορούν τα <b>seo panel tools,plugins και δυνατότητες etc</b> χρησιμοποιώντας το ακόλουθο\r\nlink.         \r\n        </p>         \r\n        <p> \r\n            <a href=\"<?=SP_CONTACT_LINK?>\" target=\"_blank\">Κάντε κλικ εδώ για να επικοινωνήσετε μαζί μας</a> \r\n        </p> \r\n        <br> \r\n    </li>     \r\n    <li> \r\n        <h1>Ερωτήματα Υποστήριξης</h1>  \r\n        <p> \r\n            Για να έχετε <b>τεχνική υποστήριξη</b> από τη ομάδα του seo panel που αφοροούν την εγκατάσταση των <b>seo panel tools,plugins and\r\nδυνατοτήτων</b>. Π.χ.: Για εγκατάσταση cron για έλεγχο κατάταξης keyword. \r\n        </p>         \r\n        <p> \r\n            <a href=\"<?=SP_SUPPORT_LINK?>\" target=\"_blank\">Κάντε κλικ εδώ για να δημιουργήσετε ένα ερώτημα υποστήριξης</a> \r\n        </p> \r\n        <br> \r\n    </li>     \r\n    <li> \r\n        <h1>Αναφορά Bugs</h1>  \r\n        <p> \r\n            Αναφέρετε τα <b>bugs</b> για τα <b>seo panel tools,plugins των δυνατοτήτων κλπ</b> χρησιμοποιώντας το ακόλουθο link.  \r\n            Παρακαλώ βοηθήστε μας να βελτιώσουμε τις δυνατότητες στις επόμενες εκδόσεις.           \r\n        </p>         \r\n        <p> \r\n            <a href=\"<?=SP_SUPPORT_LINK?>\" target=\"_blank\">Κάντε κλικ εδώ για να αναφέρετε  bugs</a> \r\n        </p> \r\n        <br> \r\n    </li>     \r\n</ul> \r\n</fieldset>', '2019-08-28 05:44:16'),
(14713, 'el', 'website', 'Click here to get Google Analytics View Id', 'Κλικ εδώ για να πάρετε ένα Google Analytics View Id	', '2019-08-28 05:44:53'),
(4147, 'el', 'support', 'support_cont2', '<fieldset> \r\n<legend>Seo Panel Online Πόροι</legend> \r\n<ul class=\"infobox\"> \r\n         \r\n    <li> \r\n        <h1>Οδηγός Βοηθείας Seo Panel</h1>  \r\n        <p> \r\n            Μπορείτε να διαβάσετε την <a href=\"<?=SP_HELP_LINK?>\" target=\"_blank\">τεκμηρίωση του seo panel</a> στον <b>οδηγό βοηθείας</b>, ο οποίος περιλαμβάνει <b>τεκμηρίωση</b> για τα εργαλεία του seo panel, τα plugins και τα συναφή χαρακτηριστικά και δυνατότητες. \r\n            <br>Είναι το καλύτερο μέρος στο internet για <b>λήψη βοήθειας</b> στο seo panel. Ελπίζουμε ότι και εσείς θα <b>συμβάλλετε</b> στον οδηγό βοήθειας του seo panel, σε περίπτωση που βρείτε σφάλματα ή στοιχεία που λείπουν.\r\n        </p> \r\n        <p> \r\n            <a href=\"<?=SP_HELP_LINK?>\" target=\"_blank\">Επισκεφθείτε τον οδηγό βοηθείας του seo panel</a> \r\n        </p> \r\n        <br> \r\n    </li>     \r\n    <li> \r\n        <h1>Seo Panel Forum</h1>  \r\n        <p> \r\n            Ένα μέρος για να συζητήσετε το πρώτο παγκοσμίως open source <b>seo control panel</b>.  \r\n            Είναι το καλύτερο μέρος για να βρείτε <b>απαντήσεις</b> στις <b>ερωτήσεις σας</b> για το seo panel.  \r\n            <br>Επίσης μπορείτε να <b>μοιραστείτε</b> την <b>εμπειρία σας</b> όσο χρησιμοποιείτε το seo panel για την βελτιστοποίηση των websites σας.\r\n        </p>         \r\n        <p> \r\n            <a href=\"<?=SP_FORUM_LINK?>\" target=\"_blank\">Επισκεφθείτε το seo panel forum</a> \r\n        </p> \r\n        <br> \r\n    </li> \r\n</ul>     \r\n</fieldset>', '2019-08-28 05:44:16'),
(4148, 'el', 'support', 'support_cont3', '<fieldset> \r\n<legend> Δωρίστε στο Seo Panel</legend> \r\n<ul class=\"infobox\">         \r\n    <li> \r\n        <h1> Δωρίστε στο Seo Panel - Το πρώτο Open source seo control panel παγκοσμίως</h1>  \r\n        <p> \r\n            <b>Δωρίστε</b> στο seo panel για την υποστήριξη του πρώτου open source seo control panel παγκοσμίως. \r\n            Σχεδιάζουμε να <b>προσθέσουμε και βελτιώσουμε</b> τις δυνατότητες του seo panel στο μέλλον.  \r\n            <br>Μόνο με όλη την <b>υποστήριξη σας</b> μπορούμε να επιτύχουμε τους <b>στόχους</b>. \r\n            Αν πιστεύετε ότι το seo panel <b>αξίζει</b> για σας, παρακαλώ δωρίστε ένα μερικό ποσό στην ομάδα του  seo panel.\r\n            <br>Εμείς θα <b>δημοσιεύσουμε</b> το όνομα σας και τις πληροφορίες του site στην <a href=\"<?=SP_DONATE_LINK?>\" target=\"_blank\">σελίδα δωρεάς</a>, μόλις παραλάβουμε την δωρεά. \r\n        </p> \r\n        <p> \r\n            <a href=\"<?=SP_DONATE_LINK?>\" target=\"_blank\">Επισκεφθείτε αυτόν το σύνδεσμο για να δωρίσετε στο seo panel</a> \r\n        </p> \r\n        <br> \r\n    </li> \r\n</ul> \r\n</fieldset>', '2019-08-28 05:44:16'),
(4149, 'da', 'backlink', 'clickproceedbacklink', 'Indtast URL\'s <b> En per linie </b>. Klik på <b> Fortsæt </b> for at kontrollere backlinks.\r\n', '2014-01-17 19:42:13'),
(4150, 'da', 'backlink', 'Saved backlink results of', 'Gemte backlink resultater', '2014-01-17 19:42:13'),
(4151, 'da', 'button', 'Cancel', 'Annuller', '2014-01-08 19:24:44'),
(4152, 'da', 'button', 'Check Status', 'Kontroller Status\r\n', '2014-01-08 19:24:44'),
(4153, 'da', 'button', 'Proceed', 'Fortsæt', '2014-01-08 19:24:44'),
(4154, 'da', 'button', 'Reload', 'Opdater', '2014-01-08 19:24:44'),
(4155, 'da', 'button', 'Show Details', 'Vis Detaljer\r\n', '2014-01-08 19:24:44'),
(4156, 'da', 'button', 'Show Records', 'Vis Data', '2014-01-08 19:24:44'),
(4157, 'da', 'button', 'Skip', 'Spring Over', '2014-01-08 19:24:44'),
(4158, 'da', 'button', 'Submit', 'Indsend', '2014-01-08 19:24:44'),
(4159, 'da', 'common', 'Action', 'Handling', '2019-05-25 18:04:54'),
(4160, 'da', 'common', 'Activate', 'Aktiver', '2019-05-25 18:04:54'),
(4161, 'da', 'common', 'Active', 'Aktiv', '2019-05-25 18:04:54'),
(4162, 'da', 'common', 'Admin Panel', 'Admin Panel\r\n', '2019-05-25 18:04:54'),
(4163, 'da', 'common', 'Alexa Rank', 'Alexa Rank', '2019-05-25 18:04:54'),
(4164, 'da', 'common', 'All', 'Alle', '2019-05-25 18:04:54'),
(4165, 'da', 'common', 'Category', 'Kategori', '2019-05-25 18:04:54'),
(4166, 'da', 'common', 'contact', 'Kontakt', '2019-05-25 18:04:54'),
(4167, 'da', 'common', 'copyright', 'Copyright © [year] www.seopanel.in Alle rettigheder forbeholdes\r\n', '2019-05-25 18:04:54'),
(4168, 'da', 'common', 'Country', 'Land', '2019-05-25 18:04:54'),
(4169, 'da', 'common', 'Crawl Meta Data', 'Kravle Meta Data\r\n', '2019-05-25 18:04:54'),
(4170, 'da', 'common', 'Date', 'Dato', '2019-05-25 18:04:54'),
(4171, 'da', 'common', 'Delete', 'Slet', '2019-05-25 18:04:54'),
(4172, 'da', 'common', 'Details', 'Detaljer', '2019-05-25 18:04:54'),
(4173, 'da', 'common', 'Directory', 'Bibliotek', '2019-05-25 18:04:54'),
(4174, 'da', 'common', 'Donate', 'Donere\r\n', '2019-05-25 18:04:54'),
(4175, 'da', 'common', 'Edit', 'Rediger', '2019-05-25 18:04:54'),
(4176, 'da', 'common', 'Entry cannot be blank', 'Punktet må ikke være tom\r\n', '2019-05-25 18:04:54'),
(4177, 'da', 'common', 'entrynotvalid', 'De indtastede punkter synes ikke at være gyldig\r\n', '2019-05-25 18:04:54'),
(4178, 'da', 'common', 'failed', 'mislykkedes', '2019-05-25 18:04:54'),
(4179, 'da', 'common', 'forum', 'Forum', '2019-05-25 18:04:54'),
(4180, 'da', 'common', 'Found', 'Fundet', '2019-05-25 18:04:54'),
(4181, 'da', 'common', 'Google Pagerank', 'Google Pagerank', '2019-05-25 18:04:54'),
(4182, 'da', 'common', 'help', 'Hjælp', '2019-05-25 18:04:54'),
(4183, 'da', 'common', 'hidenews', 'Skjul Seo Panel Nyheder\r\n', '2019-05-25 18:04:54'),
(4184, 'da', 'common', 'Id', 'ID', '2019-05-25 18:04:54'),
(4185, 'da', 'common', 'Inactivate', 'Inaktivere', '2019-05-25 18:04:54'),
(4186, 'da', 'common', 'Inactive', 'Inaktive\r\n', '2019-05-25 18:04:54'),
(4187, 'da', 'common', 'Invalid characters', 'Ugyldige tegn', '2019-05-25 18:04:54'),
(4188, 'da', 'common', 'Invalid code entered', 'Ugyldig indtastning\r\n', '2019-05-25 18:04:54'),
(4189, 'da', 'common', 'Invalid email address entered', 'Ugyldig indtastet email adresse\r\n', '2019-05-25 18:04:54'),
(4190, 'da', 'common', 'Invalid value', 'Ugyldig værdi', '2019-05-25 18:04:54'),
(4191, 'da', 'common', 'Keyword', 'Søgeord', '2019-05-25 18:04:54'),
(4192, 'da', 'common', 'Keywords', 'Søgeord', '2019-05-25 18:04:54'),
(4193, 'da', 'common', 'lang', 'Sprog', '2019-05-25 18:04:54'),
(4194, 'da', 'common', 'My Account', 'Min Konto', '2019-05-25 18:04:54'),
(4195, 'da', 'common', 'Name', 'Navn', '2019-05-25 18:04:54'),
(4196, 'da', 'common', 'No', 'Nej', '2019-05-25 18:04:54'),
(4197, 'da', 'common', 'No Keywords Found', 'Søgeord', '2019-05-25 18:04:54'),
(4198, 'da', 'common', 'No Records Found', 'Ingen Poster Fundet\r\n', '2019-05-25 18:04:54'),
(4199, 'da', 'common', 'noactivetools', 'Intet aktivt Seo Tools fundet!\r\n', '2019-05-25 18:04:54'),
(4200, 'da', 'common', 'nowebsites', 'Ingen Hjemmeside Fundet', '2019-05-25 18:04:54'),
(4201, 'da', 'common', 'password632', 'Adgangskoden skal have en længde mellem 6 og 32\r\n', '2019-05-25 18:04:54'),
(4202, 'da', 'common', 'passwordnotmatch', 'Adgangskoden stemmer ikke overens\r\n', '2019-05-25 18:04:54'),
(4203, 'da', 'common', 'Period', 'Periode', '2019-05-25 18:04:54'),
(4204, 'da', 'common', 'Priority', 'Prioritet', '2019-05-25 18:04:54'),
(4205, 'da', 'common', 'Profile', 'Profil', '2019-05-25 18:04:54'),
(4206, 'da', 'common', 'Rank', 'Rank', '2019-05-25 18:04:54'),
(4207, 'da', 'common', 'Reports', 'Rapporter', '2019-05-25 18:04:54'),
(4208, 'da', 'common', 'Results', 'Resultater', '2019-05-25 18:04:54'),
(4209, 'da', 'common', 'Search Engine', 'Søgemaskine', '2019-05-25 18:04:54'),
(4210, 'da', 'common', 'Select', 'Vælg', '2019-05-25 18:04:54'),
(4211, 'da', 'common', 'Seo Plugins', 'Seo Plugins', '2019-05-25 18:04:54'),
(4212, 'da', 'common', 'Seo Tools', 'Seo Værktøjer', '2019-05-25 18:04:54'),
(4213, 'da', 'common', 'Sign out', 'Log ud', '2019-05-25 18:04:54'),
(4214, 'da', 'common', 'Sign Up', 'Tilmeld', '2019-05-25 18:04:54'),
(4215, 'da', 'common', 'signin', 'Log på', '2019-05-25 18:04:54'),
(4216, 'da', 'common', 'Status', 'Status', '2019-05-25 18:04:54'),
(4217, 'da', 'common', 'Support', 'Support', '2019-05-25 18:04:54'),
(4218, 'da', 'common', 'Total', 'Total', '2019-05-25 18:04:54'),
(4219, 'da', 'common', 'Url', 'Url', '2019-05-25 18:04:54'),
(4220, 'da', 'common', 'User', 'Bruger', '2019-05-25 18:04:54'),
(4221, 'da', 'common', 'User Panel', 'Bruger Panel', '2019-05-25 18:04:54'),
(4222, 'da', 'common', 'Website', 'Hjemmeside', '2019-05-25 18:04:54'),
(4223, 'da', 'common', 'Yes', 'Ja', '2019-05-25 18:04:54'),
(4224, 'da', 'rank', 'enterurlproceed', 'Indtast URL\\\'s <b> En per linie </b>. Klik på <b> Fortsæt </b> for at kontrollere Google og Alexa rang.\r\n', '2010-12-16 07:06:52'),
(4225, 'da', 'rank', 'Google and Alexa Rank Reports', 'Google og Alexa Rank Rapporter\r\n', '2010-12-16 07:06:52'),
(4226, 'da', 'rank', 'Saved rank results of', 'Gemte rank resultater\r\n', '2010-12-16 07:06:52'),
(4227, 'da', 'website', 'Edit Website', 'Rediger Hjemmesiden\r\n', '2010-12-16 07:44:33'),
(4228, 'da', 'website', 'plscrtwebsite', 'Før du starter at bruge seo værktøj og seo plugin, så opret venligst en hjemmeside.\r\n\r\n', '2010-12-16 07:44:33'),
(4229, 'da', 'website', 'Website already exist', 'hjemmesiden findes allerede\r\n', '2010-12-16 07:44:33'),
(4230, 'da', 'website', 'yourwebalreday', 'din hjemmeside, hvis du allerede har oprettet en.\r\n', '2010-12-16 07:44:33'),
(4231, 'da', 'user', 'Edit User', 'Rediger Bruger\r\n', '2010-12-16 07:45:31'),
(4232, 'da', 'user', 'Saved My Profile Details', 'Gem Min Profil Detaljer\r\n', '2010-12-16 07:45:31'),
(4233, 'da', 'label', 'already exist', 'findes allerede\r\n', '2014-01-17 19:52:14'),
(4234, 'da', 'label', 'Authentication', 'Autentificering', '2014-01-17 19:52:14'),
(4235, 'da', 'label', 'Author', 'Forfatter', '2014-01-17 19:52:14'),
(4236, 'da', 'label', 'Click Here', 'Klik her\r\n', '2014-01-17 19:52:14'),
(4237, 'da', 'label', 'Cron', 'Cron ', '2014-01-17 19:52:14'),
(4238, 'da', 'label', 'Description', 'Beskrivelse', '2014-01-17 19:52:14'),
(4239, 'da', 'label', 'Developers', 'Udviklere\r\n', '2014-01-17 19:52:14'),
(4240, 'da', 'label', 'Download', 'Download', '2014-01-17 19:52:14'),
(4241, 'da', 'label', 'Installation', 'Installation\r\n', '2014-01-17 19:52:14'),
(4242, 'da', 'label', 'Keywords', 'Søgeord', '2014-01-17 19:52:14'),
(4243, 'da', 'label', 'noactiveplugins', 'Intet aktivt Seo Plugin fundet!\r\n', '2014-01-17 19:52:14'),
(4244, 'da', 'label', 'Plugin', 'Plugin', '2014-01-17 19:52:14'),
(4245, 'da', 'label', 'Port', 'Port', '2014-01-17 19:52:14'),
(4246, 'da', 'label', 'Proxy', 'Proxy', '2014-01-17 19:52:14'),
(4247, 'da', 'label', 'Re-install', 'Geninstaller', '2014-01-17 19:52:14'),
(4248, 'da', 'label', 'Sponsors', 'Sponsorer', '2014-01-17 19:52:14'),
(4249, 'da', 'label', 'Title', 'Titel', '2014-01-17 19:52:14'),
(4250, 'da', 'label', 'translation by', 'oversat af\r\n', '2014-01-17 19:52:14'),
(4251, 'da', 'label', 'Translators', 'Oversættere', '2014-01-17 19:52:14'),
(4252, 'da', 'label', 'Upgrade', 'Opgrader', '2014-01-17 19:52:14'),
(4253, 'da', 'label', 'Version', 'Version', '2014-01-17 19:52:14'),
(4254, 'da', 'label', 'wantproceed', 'Vil du virkelig ønsker at fortsætte?', '2014-01-17 19:52:14'),
(4255, 'da', 'proxy', 'Edit Proxy', 'Rediger Proxy\r\n', '2014-01-20 09:44:35'),
(4256, 'da', 'proxy', 'Proxy Password', 'Proxy Kodeord\r\n', '2014-01-20 09:44:35'),
(4257, 'da', 'proxy', 'Proxy Username', 'Proxy Brugernavn\r\n', '2014-01-20 09:44:35'),
(4258, 'da', 'proxy', 'Proxyalreadyexist', 'Proxy findes allerede!\r\n', '2014-01-20 09:44:35'),
(4259, 'da', 'home', 'Account Summary', 'Konto resume', '2014-01-20 08:56:43'),
(4260, 'da', 'home', 'Backlinks', 'Backlinks', '2014-01-20 08:56:43'),
(4261, 'da', 'home', 'Directory Submission', 'Bibliotek tilmelding', '2014-01-20 08:56:43'),
(4262, 'da', 'home', 'home_cont1', '<h1 style=\"text-align: center;margin-bottom: 30px; font-size: 19px;\">Velkommen til Seo Panels - Verdens første seo kontrolpanel til websteder</h1>\r\n<p> \r\nEn komplet <b> open source seo kontrolpanel</b> for at redigere søgemaskine optimering </b> af dine websites.\r\nSeo Panel er et <b> seo værktøj</b> inkludere det nyeste seo værktøjer for at <b> forøge og spore </b> ydelsen af dine websteder.\r\ndet er <b> gratis software</b> udgivet under <b>GNU GENERAL PUBLIC LICENSE</b>\r\nhoved værktøjet i seo panel er <b>udvidelses</b> mulighederne ved at bruge <a href =\"<?=SP_PLUGINSITE?>\"target=\"_blank\">seo plugins</a>.\r\nMan kan nemt <b>udvikle og installere</b> de nødvendige plugins i ens seo panel\r\n</p>\r\n<p></p>\r\n<p>\r\nDet er et open-source software som er <b>udgivet i januar 2010</b>\r\nMed denne korte periode af tid, har tusinder af webmasters brugt denne software til at optimere deres hjemmeside. Brug seo panel i dag og <b> nyd</b> at alt seo er under <b>en platform</b>\r\n\r\n</p>\r\n\r\n ', '2014-01-20 08:56:43'),
(4263, 'da', 'home', 'home_cont2', '', '2014-01-20 08:56:43'),
(4264, 'da', 'home', 'home_cont3', '<fieldset> \r\n<legend>Seo Panel Online Resources</legend>     \r\n<ul class=\"infobox\"> \r\n\r\n    <li> \r\n        <h1>Seo Panel Online resurcer for referencer</h1>                 \r\n         \r\n         \r\n        <p> \r\n            <a href=\"http://www.seopanel.in\" target=\"_blank\">Seo Panel Officielle hjemmeside</a> \r\n        </p> \r\n        <p> \r\n            <a href=\"<?=SP_DOWNLOAD_LINK?>\" target=\"_blank\">Download Seo Panel</a> \r\n        </p> \r\n         \r\n        <p> \r\n            <a href=\"<?=SP_DEMO_LINK?>\" target=\"_blank\">Seo Panel Demo</a> \r\n        </p> \r\n         \r\n        <p> \r\n            <a href=\"<?=SP_CONTACT_LINK?>\" target=\"_blank\">Kontakt Seo Panel</a> \r\n        </p> \r\n         \r\n        <p> \r\n            <a href=\"<?=SP_HELP_LINK?>\" target=\"_blank\">Seo Panel hjælpe guide</a> \r\n        </p> \r\n         \r\n        <p> \r\n            <a href=\"<?=SP_FORUM_LINK?>\" target=\"_blank\">Seo Panel Forum</a> \r\n        </p> \r\n         \r\n        <p> \r\n            <a href=\"<?=SP_SUPPORT_LINK?>\" target=\"_blank\">Seo Panel Support system</a> \r\n        </p> \r\n         \r\n        <p> \r\n            <a href=\"<?=SP_DONATE_LINK?>\" target=\"_blank\">Donér til Seo Panel</a> \r\n        </p> \r\n    </li> \r\n     \r\n</ul> \r\n</fieldset>', '2014-01-20 08:56:43'),
(4265, 'da', 'home', 'Pages Indexed', 'Sider der er indekseret', '2014-01-20 08:56:43'),
(4266, 'da', 'home', 'Ranks', 'Ranks', '2014-01-20 08:56:43'),
(4267, 'da', 'home', 'SiteNameUrl', 'Hjemmeside Navn/Url\r\n', '2014-01-20 08:56:43'),
(4268, 'da', 'home', 'Website Statistics', 'Hjemmeside Statistik\r\n', '2014-01-20 08:56:43'),
(4269, 'el', 'keyword', 'Crawling keyword', 'Ανίχνευση λέξης κλειδί', '2016-01-27 08:02:49'),
(4270, 'el', 'keyword', 'Detailed Keyword Position Reports', 'Λεπτομερής αναφορά κατάταξης της λέξης κλειδί', '2016-01-27 08:02:49'),
(4271, 'el', 'keyword', 'Edit Keyword', 'Επεξεργασία λέξης κλειδί', '2016-01-27 08:02:49'),
(4272, 'el', 'keyword', 'Graphical Keyword Position Reports', 'Γραφικές αναφορές κατάταξης των λέξεων κλειδιών ', '2016-01-27 08:02:49'),
(4273, 'el', 'keyword', 'Import Keywords', 'Εισαγωγή λέξεων κλειδιών', '2016-01-27 08:02:49'),
(4274, 'el', 'keyword', 'Keyword already exist', 'Η λέξη κλειδί ήδη υπάρχει', '2016-01-27 08:02:49'),
(4275, 'el', 'keyword', 'Keyword Position Report', 'Αναφορά κατάταξης της λέξης κλειδί', '2016-01-27 08:02:49'),
(4276, 'el', 'keyword', 'New Keyword', 'Νέα λέξη κλειδί', '2016-01-27 08:02:49'),
(4277, 'el', 'keyword', 'not assigned to required search engines', 'δεν υπάγονται στις απαιτούμενες μηχανές αναζήτησης', '2016-01-27 08:02:49'),
(4278, 'el', 'keyword', 'pleaseselecttool', 'Παρακαλώ επιλέξτε τουλάχιστον ένα Seo Εργαλείο', '2016-01-27 08:02:49'),
(4279, 'el', 'keyword', 'Quick Keyword Position Checker', 'Γρήγορη αναζήτησης κατάταξης της λέξης κλειδί', '2016-01-27 08:02:49'),
(4280, 'el', 'keyword', 'results from ', 'αποτελέσματα από', '2016-01-27 08:02:49'),
(4281, 'el', 'keyword', 'Show All results', 'Προβολή όλων των αποτελεσμάτων', '2016-01-27 08:02:49'),
(4282, 'el', 'keyword', 'Successfully crawled keyword', 'Επιτυχής ανίχνευση της λέξη κλειδί', '2016-01-27 08:02:49'),
(4283, 'el', 'keyword', 'to create new keywords', 'για να δημιουργήσετε νέες λέξεις κλειδιά', '2016-01-27 08:02:49'),
(4284, 'el', 'rank', 'enterurlproceed', 'Εισάγετε τα URL\\\'s <b>ένα σε κάθε γραμμή</b>. Κάνετε κλικ στο <b>Ανάθεση</b> για τον έλεγχο του Google Rank και του Alexa rank. ', '2010-12-23 08:30:08'),
(4285, 'el', 'rank', 'Google and Alexa Rank Reports', 'Αναφορά Google Rank και Alexa Rank ', '2010-12-23 08:30:08'),
(4286, 'el', 'rank', 'Saved rank results of', 'Αποθήκευση αποτελεσμάτων Rank για ', '2010-12-23 08:30:08'),
(4287, 'el', 'panel', 'About Us', 'Για Εμάς', '2019-08-28 05:42:17'),
(4288, 'el', 'panel', 'Add following command to your cron tab', 'Προσθέστε ακόλουθη εντολή για στην καρτέλα cron', '2019-08-28 05:42:17'),
(4289, 'el', 'panel', 'alsocheckfollowlink', 'Επίσης ελέγξτε ακόλουθο link αν χρειάζεστε περισσότερες πληροφορίες', '2019-08-28 05:42:17'),
(4290, 'el', 'panel', 'Check Directory', 'Έλεγχος καταλόγου', '2019-08-28 05:42:17'),
(4291, 'el', 'panel', 'Cron Command', 'Εντολή Cron', '2019-08-28 05:42:17'),
(4292, 'el', 'panel', 'Directory Manager', 'Διαχείριση καταλόγου', '2019-08-28 05:42:17'),
(4293, 'el', 'panel', 'Edit My Profile', 'Επεξεργασία του Προφίλ μου', '2019-08-28 05:42:17'),
(4294, 'el', 'panel', 'My Profile', 'To Προφίλ μου', '2019-08-28 05:42:17'),
(4295, 'el', 'panel', 'New Proxy', 'Νέο Proxy', '2019-08-28 05:42:17'),
(4296, 'el', 'panel', 'New User', 'Νέος Χρήστης', '2019-08-28 05:42:17'),
(4297, 'el', 'panel', 'New Website', 'Νέο Website', '2019-08-28 05:42:17'),
(4298, 'el', 'panel', 'Proxy Manager', 'Διαχείριση Proxy', '2019-08-28 05:42:17'),
(4299, 'el', 'panel', 'Report Generation Manager', 'Διαχείριση Παραγωγής Αναφορών', '2019-08-28 05:42:17'),
(4300, 'el', 'panel', 'Reports Manager', 'Διαχείριση αναφορών', '2019-08-28 05:42:17'),
(4301, 'el', 'panel', 'Seo Plugins Manager', 'Διαχείριση Seo Plugins', '2019-08-28 05:42:17'),
(4302, 'el', 'panel', 'Seo Tools Manager', 'Διαχείριση Seo Εργαλεία', '2019-08-28 05:42:17'),
(4303, 'el', 'panel', 'System Settings', 'Ρυθμίσεις Συστήματος', '2019-08-28 05:42:17'),
(4304, 'el', 'panel', 'User Manager', 'Διαχείριση Χρηστών', '2019-08-28 05:42:17'),
(4305, 'el', 'panel', 'Website Manager', 'Διαχείριση Website', '2019-08-28 05:42:17'),
(4306, 'el', 'label', 'already exist', 'υπάρχει ήδη', '2019-11-28 18:22:10'),
(4307, 'el', 'label', 'Authentication', 'Πιστοποίηση', '2019-11-28 18:22:10'),
(4308, 'el', 'label', 'Author', 'Συγγραφέας', '2019-11-28 18:22:10'),
(4309, 'el', 'label', 'Click Here', 'Κλικ Εδώ', '2019-11-28 18:22:10'),
(4310, 'el', 'label', 'Cron', 'Cron', '2019-11-28 18:22:10'),
(4311, 'el', 'label', 'Description', 'Περιγραφή', '2019-11-28 18:22:10'),
(4312, 'el', 'label', 'Developers', 'Ανάπτυξη', '2019-11-28 18:22:10'),
(4313, 'el', 'label', 'Download', 'Λήψη', '2019-11-28 18:22:10'),
(4314, 'el', 'label', 'Installation', 'Εγκατάσταση', '2019-11-28 18:22:10'),
(4315, 'el', 'label', 'Keywords', 'Λέξεις κλειδιά', '2019-11-28 18:22:10'),
(4316, 'el', 'label', 'noactiveplugins', 'Δεν βρέθηκαν ενεργά Seo Plugin', '2019-11-28 18:22:10'),
(4317, 'el', 'label', 'Plugin', 'Pugin', '2019-11-28 18:22:10'),
(4318, 'el', 'label', 'Port', 'Port', '2019-11-28 18:22:10'),
(4319, 'el', 'label', 'Proxy', 'Proxy', '2019-11-28 18:22:10'),
(4320, 'el', 'label', 'Re-install', 'Επανεγκατάσταση ', '2019-11-28 18:22:10'),
(4321, 'el', 'label', 'Sponsors', 'Χορηγοί', '2019-11-28 18:22:10'),
(4322, 'el', 'label', 'Title', 'Τίτλος', '2019-11-28 18:22:10'),
(4323, 'el', 'label', 'translation by', 'μετάφραση από τον', '2019-11-28 18:22:10'),
(4324, 'el', 'label', 'Translators', 'Μεταφραστές', '2019-11-28 18:22:10'),
(4325, 'el', 'label', 'Upgrade', 'Αναβάθμιση', '2019-11-28 18:22:10'),
(4326, 'el', 'label', 'Version', 'Έκδοση', '2019-11-28 18:22:10'),
(4327, 'el', 'label', 'wantproceed', 'Θέλετε πραγματικά να προχωρήσει;', '2019-11-28 18:22:10'),
(4328, 'el', 'seotools', 'Automatic Submission', 'Αυτόματη Καταχώρηση ', '2019-11-28 18:13:05'),
(4329, 'el', 'seotools', 'backlink-checker', 'Ελεγκτής Backlink', '2019-11-28 18:13:05'),
(4330, 'el', 'seotools', 'Backlinks Reports', 'Αναφορές Backlink', '2019-11-28 18:13:05'),
(4331, 'el', 'seotools', 'Check Submission Status', 'Έλεγχος κατάστασης καταχώρησης', '2019-11-28 18:13:05'),
(4332, 'el', 'seotools', 'clickgeneratereports', 'Κάντε κλικ στο <b>Εκκίνηση</b> για την παραγωγή αναφορών', '2019-11-28 18:13:05'),
(4333, 'el', 'seotools', 'Detailed Position Reports', 'λεπτομερείς αναφορές κατάταξης', '2019-11-28 18:13:05'),
(4334, 'el', 'seotools', 'directory-submission', 'Καταχώρηση σε καταλόγους', '2019-11-28 18:13:05'),
(4335, 'el', 'seotools', 'Featured Submission', 'Προτεινόμενη Καταχώρηση', '2019-11-28 18:13:05'),
(4336, 'el', 'seotools', 'Generate Backlinks Reports', 'Παραγωγή Αναφορών Backlink', '2019-11-28 18:13:05'),
(4337, 'el', 'seotools', 'Generate Keyword Reports', 'Παραγωγή Αναφορών Λέξεων Κλειδιών', '2019-11-28 18:13:05'),
(4338, 'el', 'seotools', 'Generate Rank Reports', 'Παραγωγή Αναφορών Rank', '2019-11-28 18:13:05'),
(4339, 'el', 'seotools', 'Generate Saturation Reports', 'Παραγωγή Αναφορών Κορεσμού', '2019-11-28 18:13:05'),
(4340, 'el', 'seotools', 'Google Sitemap Generator', 'Παραγωγή Google Sitemap', '2019-11-28 18:13:05'),
(4341, 'el', 'seotools', 'Graphical Position Reports', 'Γραφικές Αναφορές Κατάταξης', '2019-11-28 18:13:05'),
(4342, 'el', 'seotools', 'Keyword Position Summary', 'Σύνοψη Κατάταξης Λέξεων Κλειδιών', '2019-11-28 18:13:05'),
(4343, 'el', 'seotools', 'keyword-position-checker', 'Έλεγχος Κατάταξης Λέξεων Κλειδιών', '2019-11-28 18:13:05'),
(4344, 'el', 'seotools', 'Keywords Manager', 'Διαχείριση Λέξεων Κλειδιών', '2019-11-28 18:13:05'),
(4345, 'el', 'seotools', 'Quick Backlinks Checker', 'Γρήγορος Έλεγχος Backlinks ', '2019-11-28 18:13:05'),
(4346, 'el', 'seotools', 'Quick Position Checker', 'Γρήγορος Έλεγχος Κατάταξης', '2019-11-28 18:13:05'),
(4347, 'el', 'seotools', 'Quick Rank Checker', 'Γρήγορος Έλεγχος Rank', '2019-11-28 18:13:05'),
(4348, 'el', 'seotools', 'Quick Saturation Checker', 'Γρήγορος Έλεγχος Κορεσμού', '2019-11-28 18:13:05'),
(4349, 'el', 'seotools', 'Rank Reports', 'Αναφορές Rank', '2019-11-28 18:13:05'),
(4350, 'el', 'seotools', 'rank-checker', 'Έλεγχος Rank', '2019-11-28 18:13:05'),
(4351, 'el', 'seotools', 'Saturation Reports', 'Αναφορές Κορεσμού', '2019-11-28 18:13:05'),
(4352, 'el', 'seotools', 'saturation-checker', 'Κορεσμός Μηχανής Αναζήτησης', '2019-11-28 18:13:05'),
(4353, 'el', 'seotools', 'sitemap-generator', 'Παραγωγή Sitemap', '2019-11-28 18:13:05'),
(4354, 'el', 'seotools', 'Skipped Directories', 'Κατάλογοι εν Αναμονή', '2019-11-28 18:13:05'),
(4355, 'el', 'seotools', 'Submission Reports', 'Αναφορές Καταχώρησης', '2019-11-28 18:13:05'),
(4356, 'el', 'seotools', 'User Access', 'Πρόσβαση Χρήστη', '2019-11-28 18:13:05'),
(4357, 'el', 'login', 'Confirm Password', 'Επιβεβαίωση κωδικού', '2018-08-23 06:13:36'),
(4358, 'el', 'login', 'Create my account', 'Δημιούργησε τον λογαριασμό μου', '2018-08-23 06:13:36'),
(4359, 'el', 'login', 'Create New Account', 'Δημιουργία λογαριασμού', '2018-08-23 06:13:36'),
(4360, 'el', 'login', 'Email', 'Email', '2018-08-23 06:13:36'),
(4361, 'el', 'login', 'emailexist', 'Το Email ήδη υπάρχει!', '2018-08-23 06:13:36'),
(4362, 'el', 'login', 'Enter the code as it is shown', 'Πληκτρολογήστε τον κωδικό όπως φαίνεται', '2018-08-23 06:13:36'),
(4363, 'el', 'login', 'First Name', 'Όνομα', '2018-08-23 06:13:36'),
(4364, 'el', 'login', 'Last Name', 'Επώνυμο', '2018-08-23 06:13:36'),
(4365, 'el', 'login', 'Login', 'Σύνδεση', '2018-08-23 06:13:36'),
(4366, 'el', 'login', 'Login incorrect', 'Αποτυχία σύνδεσης', '2018-08-23 06:13:36'),
(4367, 'el', 'login', 'newaccountsuccess', 'Ο νέος λογαριασμός δημιουργήθηκε με επιτυχία!', '2018-08-23 06:13:36'),
(4368, 'el', 'login', 'Password', 'Κωδικός', '2018-08-23 06:13:36'),
(4369, 'el', 'login', 'Password incorrect', 'Λάθος κωδικός', '2018-08-23 06:13:36'),
(4370, 'el', 'login', 'Register', 'Εγγραφή', '2018-08-23 06:13:36'),
(4371, 'el', 'login', 'Sign in to your account', 'Συνδεθείτε στον λογαριασμό σας', '2018-08-23 06:13:36'),
(4372, 'el', 'login', 'User inactive', 'Μη ενεργός χρήστης', '2018-08-23 06:13:36'),
(4373, 'el', 'login', 'Username', 'Όνομα χρήστη', '2018-08-23 06:13:36'),
(4374, 'el', 'login', 'usernameexist', 'Το όνομα χρήστη ήδη υπάρχει!', '2018-08-23 06:13:36'),
(4375, 'el', 'saturation', 'clickproceedsaturation', 'Πληκτρολογήστε τα URL\\\'s <b>Ένα σε κάθε γραμμή</b>. Κάντε κλικ στο <b>Ανάθεση</b> για να δείτε τα αποτελέσματα Κορεσμού της Μηχανής Αναζήτησης', '2010-12-23 09:01:23'),
(4376, 'el', 'saturation', 'GenerateSaturationReports', 'Παραγωγή Αναφορών Κορεσμού για την Μηχανή Αναζήτησης', '2010-12-23 09:01:23'),
(4377, 'el', 'saturation', 'Quick Search Engine Saturation Checker', 'Γρήγορος Έλεγχος Κορεσμού της Μηχανής Αναζήτησης', '2010-12-23 09:01:23'),
(4378, 'el', 'saturation', 'Saved Search Engine Saturation results of', 'Αποθήκευση των αποτελεσμάτων Κορεσμού της Μηχανής Αναζήτησης για', '2010-12-23 09:01:23'),
(4379, 'el', 'saturation', 'Search Engine Saturation Reports', 'Αναφορές Κορεσμού Μηχανής Αναζήτησης', '2010-12-23 09:01:23'),
(4380, 'ja', 'backlink', 'clickproceedbacklink', 'URLを<b>一行につき１つ</b>入力してください。バックリンクをチェックするには<b>開始</b>をクリックします。', '2011-01-07 14:13:00'),
(4381, 'ja', 'backlink', 'Saved backlink results of', 'バックリンク結果を保存しました', '2011-01-07 14:13:00'),
(4382, 'ja', 'button', 'Cancel', 'キャンセル', '2014-01-08 19:28:54'),
(4383, 'ja', 'button', 'Check Status', '状態をチェック', '2014-01-08 19:28:54'),
(4384, 'ja', 'button', 'Proceed', '開始', '2014-01-08 19:28:54'),
(4385, 'ja', 'button', 'Reload', 'リロード', '2014-01-08 19:28:54'),
(4386, 'ja', 'button', 'Show Details', '詳細を表示', '2014-01-08 19:28:54'),
(4387, 'ja', 'button', 'Show Records', '履歴を表示', '2014-01-08 19:28:54'),
(4388, 'ja', 'button', 'Skip', 'スキップ', '2014-01-08 19:28:54'),
(4389, 'ja', 'button', 'Submit', '送信', '2014-01-08 19:28:54'),
(4390, 'ja', 'common', 'Action', 'アクション', '2019-05-25 18:40:02'),
(4391, 'ja', 'common', 'Activate', '起動', '2019-05-25 18:40:02'),
(4392, 'ja', 'common', 'Active', 'アクティブ', '2019-05-25 18:40:02'),
(4393, 'ja', 'common', 'Admin Panel', '管理パネル', '2019-05-25 18:40:02'),
(4394, 'ja', 'common', 'Alexa Rank', 'Alexaランク', '2019-05-25 18:40:02'),
(4395, 'ja', 'common', 'All', 'すべて', '2019-05-25 18:40:02'),
(4396, 'ja', 'common', 'Category', 'カテゴリ', '2019-05-25 18:40:02'),
(4397, 'ja', 'common', 'contact', '問合せ', '2019-05-25 18:40:02'),
(4398, 'ja', 'common', 'copyright', '著作権 © [year] www.seopanel.in　無断での複写・転載禁止', '2019-05-25 18:40:02'),
(4399, 'ja', 'common', 'Country', '国', '2019-05-25 18:40:02'),
(4400, 'ja', 'common', 'Crawl Meta Data', 'メタデータをクロール', '2019-05-25 18:40:02'),
(4401, 'ja', 'common', 'Date', '日付', '2019-05-25 18:40:02'),
(4402, 'ja', 'common', 'Delete', '削除', '2019-05-25 18:40:02'),
(4403, 'ja', 'common', 'Details', '詳細', '2019-05-25 18:40:02'),
(4404, 'ja', 'common', 'Directory', 'ディレクトリ', '2019-05-25 18:40:02'),
(4405, 'ja', 'common', 'Donate', '寄付', '2019-05-25 18:40:02'),
(4406, 'ja', 'common', 'Edit', '編集', '2019-05-25 18:40:02'),
(4407, 'ja', 'common', 'Entry cannot be blank', '入力は必須です', '2019-05-25 18:40:02'),
(4408, 'ja', 'common', 'entrynotvalid', '入力したデータが無効のようです', '2019-05-25 18:40:02'),
(4409, 'ja', 'common', 'failed', '失敗', '2019-05-25 18:40:02'),
(4410, 'ja', 'common', 'forum', 'フォーラム', '2019-05-25 18:40:02'),
(4411, 'ja', 'common', 'Found', '検出', '2019-05-25 18:40:02'),
(4412, 'ja', 'common', 'Google Pagerank', 'Googleページランク', '2019-05-25 18:40:02'),
(4413, 'ja', 'common', 'help', 'ヘルプ', '2019-05-25 18:40:02'),
(4414, 'ja', 'common', 'hidenews', 'Seo Panelニュースを隠す', '2019-05-25 18:40:02'),
(4415, 'ja', 'common', 'Id', 'ID', '2019-05-25 18:40:02'),
(4416, 'ja', 'common', 'Inactivate', '終了', '2019-05-25 18:40:02'),
(4417, 'ja', 'common', 'Inactive', '非アクティブ', '2019-05-25 18:40:02'),
(4418, 'ja', 'common', 'Invalid characters', '無効な文字', '2019-05-25 18:40:02'),
(4419, 'ja', 'common', 'Invalid code entered', '無効なコードが入力されています', '2019-05-25 18:40:02'),
(4420, 'ja', 'common', 'Invalid email address entered', '無効なメールアドレスが入力されています', '2019-05-25 18:40:02'),
(4421, 'ja', 'common', 'Invalid value', '不正な値', '2019-05-25 18:40:02'),
(4422, 'ja', 'common', 'Keyword', 'キーワード', '2019-05-25 18:40:02'),
(4423, 'ja', 'common', 'Keywords', 'キーワード', '2019-05-25 18:40:02'),
(4424, 'ja', 'common', 'lang', '言語', '2019-05-25 18:40:02'),
(4425, 'ja', 'common', 'My Account', 'マイアカウント', '2019-05-25 18:40:02'),
(4426, 'ja', 'common', 'Name', '名前', '2019-05-25 18:40:02'),
(4427, 'ja', 'common', 'No', 'いいえ', '2019-05-25 18:40:02'),
(4428, 'ja', 'common', 'No Keywords Found', 'キーワードはありません', '2019-05-25 18:40:02'),
(4429, 'ja', 'common', 'No Records Found', '履歴はありません', '2019-05-25 18:40:02'),
(4430, 'ja', 'common', 'noactivetools', 'アクティブなSeoツールはありません！', '2019-05-25 18:40:02'),
(4431, 'ja', 'common', 'nowebsites', 'ウェブサイトはありません', '2019-05-25 18:40:02'),
(4432, 'ja', 'common', 'password632', 'パスワードは6～32文字です', '2019-05-25 18:40:02'),
(4433, 'ja', 'common', 'passwordnotmatch', 'パスワードが一致しません', '2019-05-25 18:40:02'),
(4434, 'ja', 'common', 'Period', '期間', '2019-05-25 18:40:02'),
(4435, 'ja', 'common', 'Priority', '優先度', '2019-05-25 18:40:02'),
(4436, 'ja', 'common', 'Profile', 'プロフィール', '2019-05-25 18:40:02'),
(4437, 'ja', 'common', 'Rank', 'ランク', '2019-05-25 18:40:02'),
(4438, 'ja', 'common', 'Reports', 'レポート', '2019-05-25 18:40:02'),
(4439, 'ja', 'common', 'Results', '結果', '2019-05-25 18:40:02'),
(4440, 'ja', 'common', 'Search Engine', '検索エンジン', '2019-05-25 18:40:02'),
(4441, 'ja', 'common', 'Select', '選択', '2019-05-25 18:40:02'),
(4442, 'ja', 'common', 'Seo Plugins', 'Seoプラグイン', '2019-05-25 18:40:02'),
(4443, 'ja', 'common', 'Seo Tools', 'Seoツール', '2019-05-25 18:40:02'),
(4444, 'ja', 'common', 'Sign out', 'ログアウト', '2019-05-25 18:40:02'),
(4445, 'ja', 'common', 'Sign Up', '登録', '2019-05-25 18:40:02'),
(4446, 'ja', 'common', 'signin', 'ログイン', '2019-05-25 18:40:02'),
(4447, 'ja', 'common', 'Status', '状態', '2019-05-25 18:40:02'),
(4448, 'ja', 'common', 'Support', 'サポート', '2019-05-25 18:40:02'),
(4449, 'ja', 'common', 'Total', '合計', '2019-05-25 18:40:02'),
(4450, 'ja', 'common', 'Url', 'URL', '2019-05-25 18:40:02'),
(4451, 'ja', 'common', 'User', 'ユーザ', '2019-05-25 18:40:02'),
(4452, 'ja', 'common', 'User Panel', 'ユーザパネル', '2019-05-25 18:40:02'),
(4453, 'ja', 'common', 'Website', 'ウェブサイト', '2019-05-25 18:40:02'),
(4454, 'ja', 'common', 'Yes', 'はい', '2019-05-25 18:40:02'),
(4455, 'ja', 'directory', 'Add back to directory list', 'ディレクトリリストへ戻す', '2012-11-09 04:20:41'),
(4456, 'ja', 'directory', 'Approved', '承認済', '2012-11-09 04:20:41'),
(4457, 'ja', 'directory', 'Captcha', 'キャプチャ', '2012-11-09 04:20:41'),
(4458, 'ja', 'directory', 'categorynote', 'カテゴリ、優先順にカンマで区切る。最優先カテゴリが一番目。', '2012-11-09 04:20:41'),
(4459, 'ja', 'directory', 'Check Directory Status', 'ディレクトリ状態をチェック', '2012-11-09 04:20:41'),
(4460, 'ja', 'directory', 'Check Directory Submission Status', 'ディレクトリサブミッション状態をチェック', '2012-11-09 04:20:41'),
(4461, 'ja', 'directory', 'clicktoproceeddirsts', 'ディレクトリ状態をチェックするには<b>開始</b>をクリック', '2012-11-09 04:20:41'),
(4462, 'ja', 'directory', 'Confirmation', '確認', '2012-11-09 04:20:41'),
(4463, 'ja', 'directory', 'desnote', 'ディレクトリによっては、ディスクリプション欄に最低150文字必要です。', '2012-11-09 04:20:41'),
(4464, 'ja', 'directory', 'Directories with out captcha', 'キャプチャなしのディレクトリ', '2012-11-09 04:20:41'),
(4465, 'ja', 'directory', 'Directory Submission Reports', 'ディレクトリサブミッションレポート', '2012-11-09 04:20:41'),
(4466, 'ja', 'directory', 'Enter the code shown', '表示されているコードを入力', '2012-11-09 04:20:41'),
(4467, 'ja', 'directory', 'nocatnote', 'サブミッションページに送信カテゴリはありません。<b>リロード</b>もしくは<b>スキップ</b>をクリックしてください', '2012-11-09 04:20:41'),
(4468, 'ja', 'directory', 'nodirnote', '<b>アクティブ</b>なディレクトリはありません', '2012-11-09 04:20:41'),
(4469, 'ja', 'directory', 'nosuccessnote', '成功メッセージを取得できませんでした、メールをチェックして確認メッセージをご確認ください', '2012-11-09 04:20:41'),
(4470, 'ja', 'directory', 'optionalnote', 'より良い結果を得る目的で、タイトルとディスクリプションをランダムにディレクトリへ送信するための任意のタイトル及びディスクリプション。', '2012-11-09 04:20:41'),
(4471, 'ja', 'directory', 'Owner Email', '所有者メールアドレス', '2012-11-09 04:20:41'),
(4472, 'ja', 'directory', 'Owner Name', '所有者名', '2012-11-09 04:20:41'),
(4473, 'ja', 'directory', 'Pending', '保留', '2012-11-09 04:20:41'),
(4474, 'ja', 'directory', 'Please select a website to proceed', '実行するウェブサイトを選択してください', '2012-11-09 04:20:41'),
(4475, 'ja', 'directory', 'selectwebsiteproceed', 'ディレクトリサブミッションを<b>実行</b>する<b>ウェブサイト</b>を選択してください。<br>キャプチャなしでディレクトリへ送信するには<b>キャプチャなしのディレクトリ</b>をチェックしてください', '2012-11-09 04:20:41'),
(4476, 'ja', 'directory', 'selectwebsiteschecksub', 'ディレクトリサブミッションチェックを<b>実行</b>する<b>ウェブサイト</b>を選択してください', '2012-11-09 04:20:41'),
(4477, 'ja', 'directory', 'Semi Automatic Directory Submission Tool', '半自動ディレクトリサブミッションツール', '2012-11-09 04:20:41'),
(4478, 'ja', 'directory', 'spamemailnote', 'ディレクトリがスパムを送信する可能性もありますので、大切なメールアドレスの使用はお控えください。', '2012-11-09 04:20:41'),
(4479, 'ja', 'directory', 'Submission Details', 'サブミッション詳細', '2012-11-09 04:20:41'),
(4480, 'ja', 'directory', 'Submit Description', '送信ディスクリプション', '2012-11-09 04:20:41'),
(4481, 'ja', 'directory', 'Submit Keywords', '送信キーワード', '2012-11-09 04:20:41'),
(4482, 'ja', 'directory', 'Submit Title', '送信タイトル', '2012-11-09 04:20:41'),
(4483, 'ja', 'directory', 'Website Category', 'ウェブサイトカテゴリ', '2012-11-09 04:20:41'),
(4484, 'ja', 'directory', 'Website Url', 'ウェブサイトURL', '2012-11-09 04:20:41'),
(4485, 'ja', 'home', 'Account Summary', 'アカウントサマリ', '2019-04-01 09:45:19'),
(4486, 'ja', 'home', 'Backlinks', 'バックリンク', '2019-04-01 09:45:19'),
(4487, 'ja', 'home', 'Directory Submission', 'ディレクトリサブミッション', '2019-04-01 09:45:19'),
(4488, 'ja', 'home', 'home_cont1', '<h1 style=\"text-align: center;margin-bottom: 30px;font-size: 19px;\">ようこそSeo Panelへ - 世界初の\r\n複数ウェブサイト対応SEOコントロールパネル</h1>\r\n        <p>\r\n            ウェブサイトの<b>検索エンジン最適化</b>を管理するための完全な<b>オープンソースSEOコントロールパネル</b>。 \r\n            Seo Panelは、ウェブサイト<b>パフォーマンス</b>の<b>向上および追跡</b>に特化した魅力的な最新SEOツールを備えた<b>SEOツールキット</b>です。\r\n            <b>GNU GENERAL PUBLIC LICENSE</b>に基づいてリリースされる<b>フリーソフトウェア</b>です。\r\n            seo panelの主な特徴は、その<b>拡張性</b>にあり、<a href=\"<?=SP_PLUGINSITE?>\"\r\ntarget=\"_blank\">seoプラグイン</a>を使って実現されます。\r\n            誰でも簡単に、それぞれのseo panelに必要なプラグインを<b>開発しインストール</b>することができます。 \r\n        </p>\r\n        <p></p>\r\n        <p>\r\n            このオープンソースソフトウェアは、<b>2010年1月にリリースされました</b>。\r\n            この<b>短期間</b>の内に、実に<b>数千</b>に上る<b>ウェブマスター達</b>が、ウェブサイトの<b>最適化</b>にこのソフトウェアを使用しているのです。\r\n            さっそく今日からseo panelを使って、SEOに関連するすべてを<b>単一プラットフォーム</b>下で<b>活用しましょう</b>。\r\n        </p>', '2019-04-01 09:45:19'),
(4489, 'ja', 'home', 'home_cont2', '<fieldset>\r\n<legend>Seo Panelの主な特徴 <?=SP_INSTALLED?></legend>\r\n<ul class=\"infobox\">\r\n    <li>        \r\n        <h1>自動ディレクトリサブミッションツール</h1>\r\n        <p>\r\n            自動ディレクトリサブミッションツールは、主要な<b>無料および有料のインターネットディレクトリ</b>へ<b>ウェブサイトを送信</b>するのに役立ちます。\r\n            また、サブミッション<b>ステータスチェッカースクリプト</b>を使うことで、<b>定期チェック</b>を通じて各サブミッションの<b>状態を追跡</b>することもできます。\r\n            <b>ディレクトリマネージャー</b>を使うと、<b>ディレクトリがアクティブ</b>か非アクティブかを容易に判断することができます。\r\n        </p>\r\n    </li>\r\n    <li>        \r\n        <h1>キーワード順位チェッカー</h1>\r\n        <p>\r\n            キーワード順位チェッカーは、ウェブサイトの<b>対象キーワード</b>の<b>検索エンジン順位</b>を検出し、システムに<b>保存</b>します。\r\n            キーワード順位レポートセクションでは、 各検索エンジンにおけるキーワードの<b>日毎の順位</b>を<b>綺麗なグラフ</b>と<b>詳細なレポート</b>にて確認することができます。\r\n        </p>\r\n    </li>\r\n    <li>        \r\n        <h1>サイト監査</h1>\r\n        <p>サイト監査は、サイトの各ページの<b>SEOファクターをすべて監査し</b>、それぞれにページに対し<b>詳細なレポート</b>を提供します。これは、検索エンジンへの<b>サブミット</b>向けに、 <b>XML,HTML,TEXT</b>サイトマップファイルを作成するのに役立ちます。</p>\r\n    </li> \r\n    <li>        \r\n        <h1>GoogleおよびAlexaランクチェッカー</h1>\r\n        <p>\r\n            GoogleおよびAlexaランクチェッカーは、ウェブサイトの<b>googleページランク</b>と<b>Alexa ランク</b>を検出し、システムに<b>保存</b>します。\r\n            <b>ランクレポート</b>セクションでは、各ウェブサイトの<b>日毎の</b>googleおよびAlexaランキングを<b>詳細レポート</b>にて確認できます。\r\n        </p>\r\n    </li>\r\n    <li>        \r\n        <h1>バックリンクチェッカー</h1>\r\n        <p>\r\n            バックリンクチェッカーは、各検索エンジン<b>(google,yahoo,msn etc)</b>におけるウェブサイトのバックリンク数を検出し、それをシステムに<b>保存</b>します。\r\n            <br><b>バックリンクレポート</b>セクションでは、各ウェブサイトの<b>日毎のバックリンク数</b>を<b>詳細レポート</b>にて確認することができます。\r\n        </p>\r\n    </li>    \r\n    <li>        \r\n        <h1>検索エンジンサチュレーションチェッカー</h1>\r\n        <p>\r\n            検索エンジンサチュレーションチェッカーは、各検索エンジン<b>(google,yahoo,msn etc)</b>におけるウェブサイトの<b>インデックスされたページ数</b>を検出し、システムに<b>保存</b>します。\r\n            <b>検索エンジンサチュレーションチェッカーレポート</b>セクションでは、各ウェブサイトの<b>日毎のインデックスされたページ数</b>を<b>詳細レポート</b>にて確認することができます。\r\n        </p>\r\n    </li>\r\n    <li>        \r\n        <h1>Seo Panelプラグイン</h1>\r\n        <p>\r\n            Seoコントロールパネルの<b>主な特徴</b>は、その<b>拡張性</b>です。\r\n            各自の要件に応じて、seo panelに<b>seoプラグイン</b>を追加し、<b>機能を拡張</b>することができます。\r\n            <a href=\"<?=SP_PLUGINSITE?>\" target=\"_blank\">Seo panel プラグイン</a>は、seo panelおよびサードパーティサイトの両方によって提供されます。\r\n            各自のseo panel向けにseoプラグインを<b>開発</b>することも簡単に可能です。\r\n            seo panelに各自のseoプラグインを<a href=\"<?=SP_PLUGINSITE?>\" target=\"_blank\">送信</a>して頂くと、こちらで<b>審査</b>をした後<b>公開</b>いたします。\r\n        </p>\r\n    </li>\r\n    <li>        \r\n        <h1>メタタグジェネレータ</h1>\r\n        <p>\r\n            メタタグジェネレータは、<b>カスタムメタタグ</b>を作成するための<b>seo panelプラグイン</b>です。\r\n            これにより、検索エンジンボットがウェブサイトをクロールする際、<b>より多くの情報</b>を提供することが可能になります。\r\n        </p>\r\n    </li>\r\n</ul>\r\n</fieldset>', '2019-04-01 09:45:19');
INSERT INTO `texts` (`id`, `lang_code`, `category`, `label`, `content`, `changed`) VALUES
(4490, 'ja', 'home', 'home_cont3', '<fieldset> \r\n	<legend>Seo Panel オンラインリソース</legend>     \r\n	<ul class=\"infobox\"> \r\n		\r\n		<li> \r\n		<h1>Seo Panel オンライン参照リソース</h1>                 \r\n		\r\n		\r\n		<p> \r\n			<a href=\"http://www.seopanel.in\" target=\"_blank\" title=\"SEO Panel ソフトウェアウェブサイト\">SEO Panel\r\n			ソフトウェア</a> \r\n		</p> \r\n		<p> \r\n			<a href=\"<?=SP_HOSTED_LINK?>\" target=\"_blank\">Cloud版 Seo Panel</a> \r\n		</p> \r\n		\r\n		<p> \r\n			<a href=\"<?=SP_HELP_LINK?>\" target=\"_blank\">SEO ヘルプガイド</a> \r\n		</p> \r\n		\r\n		<p> \r\n			<a href=\"<?=SP_FORUM_LINK?>\" target=\"_blank\">SEO フォーラム</a> \r\n		</p> \r\n		\r\n		<p> \r\n			<a href=\"<?=SP_SUPPORT_LINK?>\" target=\"_blank\">SEO サポート</a> \r\n		</p> \r\n		</li> \r\n		\r\n	</ul> \r\n</fieldset>', '2019-04-01 09:45:19'),
(14147, 'ja', 'home', 'Overall Report Summary', '全体レポートサマリー', '2019-04-01 09:45:19'),
(14148, 'ja', 'label', 'Followers', 'フォロワー', '2019-04-01 09:45:51'),
(14149, 'ja', 'label', 'Likes', 'いいね', '2019-04-01 09:45:51'),
(14150, 'ja', 'panel', 'Report Generation Logs', 'レポート生成ログ', '2019-04-01 09:46:57'),
(14151, 'ja', 'panel', 'Sitemaps', 'サイトマップ', '2019-04-01 09:46:57'),
(14152, 'ja', 'panel', 'Submit Sitemap', 'サイトマップ送信', '2019-04-01 09:46:57'),
(4491, 'ja', 'home', 'Pages Indexed', 'インデックスされたページ', '2019-04-01 09:45:19'),
(4492, 'ja', 'home', 'Ranks', 'ランク', '2019-04-01 09:45:19'),
(4493, 'ja', 'home', 'SiteNameUrl', 'サイト名/URL', '2019-04-01 09:45:19'),
(4494, 'ja', 'home', 'Website Statistics', 'ウェブサイト統計', '2019-04-01 09:45:19'),
(4495, 'ja', 'keyword', 'Crawling keyword', 'キーワードのクローリング中', '2016-01-04 06:34:06'),
(4496, 'ja', 'keyword', 'Detailed Keyword Position Reports', 'キーワード順位詳細レポート', '2016-01-04 06:34:06'),
(4497, 'ja', 'keyword', 'Edit Keyword', 'キーワード編集', '2016-01-04 06:34:06'),
(4498, 'ja', 'keyword', 'Graphical Keyword Position Reports', 'キーワード順位グラフレポート', '2016-01-04 06:34:06'),
(4499, 'ja', 'keyword', 'Import Keywords', 'キーワードのインポート', '2016-01-04 06:34:06'),
(4500, 'ja', 'keyword', 'Keyword already exist', 'キーワードは既に存在します', '2016-01-04 06:34:06'),
(4501, 'ja', 'keyword', 'Keyword Position Report', 'キーワード順位レポート', '2016-01-04 06:34:06'),
(4502, 'ja', 'keyword', 'New Keyword', '新しいキーワード', '2016-01-04 06:34:06'),
(4503, 'ja', 'keyword', 'not assigned to required search engines', '要求された検索エンジンに割り当てされていません', '2016-01-04 06:34:06'),
(4504, 'ja', 'keyword', 'pleaseselecttool', 'Seoツールを最低でも１つ選んでください', '2016-01-04 06:34:06'),
(4505, 'ja', 'keyword', 'Quick Keyword Position Checker', 'キーワード順位クイックチェッカー', '2016-01-04 06:34:06'),
(4506, 'ja', 'keyword', 'results from ', '結果元', '2016-01-04 06:34:06'),
(4507, 'ja', 'keyword', 'Show All results', 'すべての結果を表示', '2016-01-04 06:34:06'),
(4508, 'ja', 'keyword', 'Successfully crawled keyword', 'クロールに成功したキーワード', '2016-01-04 06:34:06'),
(4509, 'ja', 'keyword', 'to create new keywords', '新しいキーワードを作成', '2016-01-04 06:34:06'),
(4510, 'ja', 'label', 'already exist', '既に存在します', '2019-04-01 09:45:51'),
(4511, 'ja', 'label', 'Authentication', '認証', '2019-04-01 09:45:51'),
(4512, 'ja', 'label', 'Author', '作者', '2019-04-01 09:45:51'),
(4513, 'ja', 'label', 'Click Here', 'ここをクリック', '2019-04-01 09:45:51'),
(4514, 'ja', 'label', 'Cron', 'Cron', '2019-04-01 09:45:51'),
(4515, 'ja', 'label', 'Description', 'ディスクリプション', '2019-04-01 09:45:51'),
(4516, 'ja', 'label', 'Developers', '開発者', '2019-04-01 09:45:51'),
(4517, 'ja', 'label', 'Download', 'ダウンロード', '2019-04-01 09:45:51'),
(4518, 'ja', 'label', 'Installation', 'インストール', '2019-04-01 09:45:51'),
(4519, 'ja', 'label', 'Keywords', 'キーワード', '2019-04-01 09:45:51'),
(4520, 'ja', 'label', 'noactiveplugins', 'アクティブなSeoプラグインがありません！', '2019-04-01 09:45:51'),
(4521, 'ja', 'label', 'Plugin', 'プラグイン', '2019-04-01 09:45:51'),
(4522, 'ja', 'label', 'Port', 'ポート', '2019-04-01 09:45:51'),
(4523, 'ja', 'label', 'Proxy', 'プロキシ', '2019-04-01 09:45:51'),
(4524, 'ja', 'label', 'Re-install', '再インストール', '2019-04-01 09:45:51'),
(4525, 'ja', 'label', 'Sponsors', 'スポンサー', '2019-04-01 09:45:51'),
(4526, 'ja', 'label', 'Title', 'タイトル', '2019-04-01 09:45:51'),
(4527, 'ja', 'label', 'translation by', '翻訳', '2019-04-01 09:45:51'),
(4528, 'ja', 'label', 'Translators', '翻訳者', '2019-04-01 09:45:51'),
(4529, 'ja', 'label', 'Upgrade', 'アップグレード', '2019-04-01 09:45:51'),
(4530, 'ja', 'label', 'Version', 'バージョン', '2019-04-01 09:45:51'),
(4531, 'ja', 'label', 'wantproceed', '本当に処理を続行してよろしいですか？', '2019-04-01 09:45:51'),
(4532, 'ja', 'login', 'Confirm Password', 'パスワードの確認', '2018-08-21 06:29:48'),
(4533, 'ja', 'login', 'Create my account', 'マイアカウントの作成', '2018-08-21 06:29:48'),
(4534, 'ja', 'login', 'Create New Account', '新規アカウントの作成', '2018-08-21 06:29:48'),
(4535, 'ja', 'login', 'Email', 'メールアドレス', '2018-08-21 06:29:48'),
(4536, 'ja', 'login', 'emailexist', 'メールアドレスは既に存在します', '2018-08-21 06:29:48'),
(4537, 'ja', 'login', 'Enter the code as it is shown', 'コードを表示通りに入力してください', '2018-08-21 06:29:48'),
(4538, 'ja', 'login', 'First Name', '名前', '2018-08-21 06:29:48'),
(4539, 'ja', 'login', 'Last Name', '姓', '2018-08-21 06:29:48'),
(4540, 'ja', 'login', 'Login', 'ログイン', '2018-08-21 06:29:48'),
(4541, 'ja', 'login', 'Login incorrect', 'ログインが不正です', '2018-08-21 06:29:48'),
(4542, 'ja', 'login', 'newaccountsuccess', '新規アカウントの作成に成功しました！', '2018-08-21 06:29:48'),
(4543, 'ja', 'login', 'Password', 'パスワード', '2018-08-21 06:29:48'),
(4544, 'ja', 'login', 'Password incorrect', 'パスワードが不正です', '2018-08-21 06:29:48'),
(4545, 'ja', 'login', 'Register', '登録', '2018-08-21 06:29:48'),
(4546, 'ja', 'login', 'Sign in to your account', 'あなたのアカウントにログイン', '2018-08-21 06:29:48'),
(4547, 'ja', 'login', 'User inactive', 'ユーザが非アクティブです', '2018-08-21 06:29:48'),
(4548, 'ja', 'login', 'Username', 'ユーザ名', '2018-08-21 06:29:48'),
(4549, 'ja', 'login', 'usernameexist', 'ユーザ名は既に存在します！', '2018-08-21 06:29:48'),
(4550, 'ja', 'panel', 'About Us', 'Seo Panelについて', '2019-04-01 09:46:57'),
(4551, 'ja', 'panel', 'Add following command to your cron tab', '以下のコマンドをあなたのcronタブに追加してください', '2019-04-01 09:46:57'),
(4552, 'ja', 'panel', 'alsocheckfollowlink', 'さらに詳細が必要なら下記リンクもチェックしてください', '2019-04-01 09:46:57'),
(4553, 'ja', 'panel', 'Check Directory', 'ディレクトリをチェック', '2019-04-01 09:46:57'),
(4554, 'ja', 'panel', 'Cron Command', 'cronコマンド', '2019-04-01 09:46:57'),
(4555, 'ja', 'panel', 'Directory Manager', 'ディレクトリマネージャー', '2019-04-01 09:46:57'),
(4556, 'ja', 'panel', 'Edit My Profile', 'マイプロフィールの編集', '2019-04-01 09:46:57'),
(4557, 'ja', 'panel', 'My Profile', 'マイプロフィール', '2019-04-01 09:46:57'),
(4558, 'ja', 'panel', 'New Proxy', '新規プロキシ', '2019-04-01 09:46:57'),
(4559, 'ja', 'panel', 'New User', '新規ユーザ', '2019-04-01 09:46:57'),
(4560, 'ja', 'panel', 'New Website', '新規ウェブサイト', '2019-04-01 09:46:57'),
(4561, 'ja', 'panel', 'Proxy Manager', 'プロキシマネージャー', '2019-04-01 09:46:57'),
(4562, 'ja', 'panel', 'Report Generation Manager', 'レポート生成マネージャー', '2019-04-01 09:46:57'),
(4563, 'ja', 'panel', 'Reports Manager', 'レポートマネージャー', '2019-04-01 09:46:57'),
(4564, 'ja', 'panel', 'Seo Plugins Manager', 'Seoプラグインマネージャー', '2019-04-01 09:46:57'),
(4565, 'ja', 'panel', 'Seo Tools Manager', 'Seoツールマネージャー', '2019-04-01 09:46:57'),
(4566, 'ja', 'panel', 'System Settings', 'システム設定', '2019-04-01 09:46:57'),
(4567, 'ja', 'panel', 'User Manager', 'ユーザマネージャー', '2019-04-01 09:46:57'),
(4568, 'ja', 'panel', 'Website Manager', 'ウェブサイトマネージャー', '2019-04-01 09:46:57'),
(4569, 'ja', 'plugin', 'Edit Seo Plugin', 'Seoプラグインの編集', '2012-05-14 13:00:09'),
(4570, 'ja', 'plugin', 'Plugin Name', 'プラグイン名', '2012-05-14 13:00:09'),
(4571, 'ja', 'plugin', 'Seo Plugin Details', 'Seoプラグイン詳細', '2012-05-14 13:00:09'),
(4572, 'ja', 'proxy', 'Edit Proxy', 'プロキシの編集', '2016-12-12 01:08:13'),
(4573, 'ja', 'proxy', 'Proxy Password', 'プロキシパスワード', '2016-12-12 01:08:13'),
(4574, 'ja', 'proxy', 'Proxy Username', 'プロキシユーザ名', '2016-12-12 01:08:13'),
(4575, 'ja', 'proxy', 'Proxyalreadyexist', 'プロキシは既に存在します！', '2016-12-12 01:08:13'),
(4576, 'ja', 'rank', 'enterurlproceed', 'URLを<b>一行につき１つ</b>入力してください。GoogleおよびAlexaランキングをチェックするには<b>開始</b>をクリックします。', '2011-01-07 18:34:13'),
(4577, 'ja', 'rank', 'Google and Alexa Rank Reports', 'GoogleおよびAlexaランクレポート', '2011-01-07 18:34:13'),
(4578, 'ja', 'rank', 'Saved rank results of', 'ランキング結果を保存しました', '2011-01-07 18:34:13'),
(4579, 'ja', 'saturation', 'clickproceedsaturation', 'URLを<b>一行につき１つ</b>入力してください。検索エンジンサチュレーション結果を確認するには<b>開始</b>をクリックします。', '2011-01-07 18:36:27'),
(4580, 'ja', 'saturation', 'GenerateSaturationReports', '検索エンジンサチュレーション結果を生成', '2011-01-07 18:36:27'),
(4581, 'ja', 'saturation', 'Quick Search Engine Saturation Checker', '検索エンジンサチュレーション・クイックチェッカー', '2011-01-07 18:36:27'),
(4582, 'ja', 'saturation', 'Saved Search Engine Saturation results of', '検索エンジンサチュレーション結果を保存しました', '2011-01-07 18:36:27'),
(4583, 'ja', 'saturation', 'Search Engine Saturation Reports', '検索エンジンサチュレーションレポート', '2011-01-07 18:36:27'),
(4584, 'ja', 'seotools', 'Automatic Submission', '自動サブミッション', '2019-04-01 09:49:13'),
(4585, 'ja', 'seotools', 'backlink-checker', 'バックリンクチェッカー', '2019-04-01 09:49:13'),
(4586, 'ja', 'seotools', 'Backlinks Reports', 'バックリンクレポート', '2019-04-01 09:49:13'),
(4587, 'ja', 'seotools', 'Check Submission Status', 'サブミッション状態をチェック', '2019-04-01 09:49:13'),
(4588, 'ja', 'seotools', 'clickgeneratereports', 'レポートを生成するには<b>開始</b>をクリック', '2019-04-01 09:49:13'),
(4589, 'ja', 'seotools', 'Detailed Position Reports', '順位詳細レポート', '2019-04-01 09:49:13'),
(4590, 'ja', 'seotools', 'directory-submission', 'ディレクトリサブミッション', '2019-04-01 09:49:13'),
(4591, 'ja', 'seotools', 'Featured Submission', '主要サブミッション', '2019-04-01 09:49:13'),
(4592, 'ja', 'seotools', 'Generate Backlinks Reports', 'バックリンクレポートを生成', '2019-04-01 09:49:13'),
(4593, 'ja', 'seotools', 'Generate Keyword Reports', 'キーワードレポートを生成', '2019-04-01 09:49:13'),
(4594, 'ja', 'seotools', 'Generate Rank Reports', 'ランキングレポートを生成', '2019-04-01 09:49:13'),
(4595, 'ja', 'seotools', 'Generate Saturation Reports', 'サチュレーションレポートを生成', '2019-04-01 09:49:13'),
(4596, 'ja', 'seotools', 'Google Sitemap Generator', 'Googleサイトマップジェネレータ', '2019-04-01 09:49:13'),
(4597, 'ja', 'seotools', 'Graphical Position Reports', '順位グラフレポート', '2019-04-01 09:49:13'),
(4598, 'ja', 'seotools', 'Keyword Position Summary', 'キーワード順位サマリ', '2019-04-01 09:49:13'),
(4599, 'ja', 'seotools', 'keyword-position-checker', 'キーワード順位チェッカー', '2019-04-01 09:49:13'),
(4600, 'ja', 'seotools', 'Keywords Manager', 'キーワードマネージャー', '2019-04-01 09:49:13'),
(4601, 'ja', 'seotools', 'Quick Backlinks Checker', 'クイック・バックリンクチェッカー', '2019-04-01 09:49:13'),
(4602, 'ja', 'seotools', 'Quick Position Checker', 'クイック順位チェッカー', '2019-04-01 09:49:13'),
(4603, 'ja', 'seotools', 'Quick Rank Checker', 'クイック・ランクチェッカー', '2019-04-01 09:49:13'),
(4604, 'ja', 'seotools', 'Quick Saturation Checker', 'クイック・サチュレーションチェッカー', '2019-04-01 09:49:13'),
(4605, 'ja', 'seotools', 'Rank Reports', 'ランキングレポート', '2019-04-01 09:49:13'),
(4606, 'ja', 'seotools', 'rank-checker', 'ランクチェッカー', '2019-04-01 09:49:13'),
(4607, 'ja', 'seotools', 'Saturation Reports', 'サチュレーションレポート', '2019-04-01 09:49:13'),
(4608, 'ja', 'seotools', 'saturation-checker', '検索エンジンサチュレーション', '2019-04-01 09:49:13'),
(4609, 'ja', 'seotools', 'sitemap-generator', 'サイトマップジェネレータ', '2019-04-01 09:49:13'),
(4610, 'ja', 'seotools', 'Skipped Directories', 'スキップされたディレクトリ', '2019-04-01 09:49:13'),
(4611, 'ja', 'seotools', 'Submission Reports', 'サブミッションレポート', '2019-04-01 09:49:13'),
(4612, 'ja', 'seotools', 'User Access', 'ユーザアクセス', '2019-04-01 09:49:13'),
(4613, 'ja', 'settings', 'Click here to become a sponsor for Seo Panel', '<b>100ドルを寄付</>してSeo Panelのスポンサーになる。', '2019-04-01 09:52:17'),
(4614, 'ja', 'settings', 'seopanel_description', 'ウェブサイトの検索エンジン最適化を管理するための完全フリーなコントロールパネル。サイトパフォーマンスの向上と追跡に特化した魅力的なSEOツールを多数備えています。オープンソースのソフトウェアで、seo panel用に独自のseoプラグインを開発することもできます。', '2019-04-01 09:52:17'),
(4615, 'ja', 'settings', 'seopanel_title', 'Seo Panel: 世界初の複数ウェブサイト対応オープンソースSEOコントロールパネル', '2019-04-01 09:52:17'),
(4616, 'ja', 'settings', 'SP_CRAWL_DELAY', '各スパイダーのクロール頻度（秒）', '2019-04-01 09:52:17'),
(4617, 'ja', 'settings', 'SP_DEFAULTLANG', 'デフォルト言語', '2019-04-01 09:52:17'),
(4618, 'ja', 'settings', 'SP_DESCRIPTION', 'Seo Panelディスクリプション', '2019-04-01 09:52:17'),
(4619, 'ja', 'settings', 'SP_ENABLE_PROXY', 'プロキシを有効化', '2019-04-01 09:52:17'),
(4620, 'ja', 'settings', 'SP_HOTLINKING', 'イメージホットリンクプロテクションが有効です', '2019-04-01 09:52:17'),
(4621, 'ja', 'settings', 'SP_KEYWORDS', 'Seo Panelキーワード', '2019-04-01 09:52:17'),
(4622, 'ja', 'settings', 'SP_PAGINGNO', 'ページ毎の入力数', '2019-04-01 09:52:17'),
(4623, 'ja', 'settings', 'SP_TITLE', 'Seo Panel タイトル', '2019-04-01 09:52:17'),
(4624, 'ja', 'settings', 'SP_USER_AGENT', 'ユーザエージェント', '2019-04-01 09:52:17'),
(4625, 'ja', 'settings', 'SP_USER_GEN_REPORT', 'ユーザのレポート生成を許可', '2019-04-01 09:52:17'),
(4626, 'ja', 'settings', 'SP_USER_REGISTRATION', 'ユーザ登録インターフェース', '2019-04-01 09:52:17'),
(4627, 'ja', 'settings', 'syssettingssaved', 'システム設定の保存に成功しました！', '2019-04-01 09:52:17'),
(4628, 'ja', 'sitemap', 'Change frequency', '頻度を変更', '2019-04-01 09:52:58'),
(4629, 'ja', 'sitemap', 'clickproceedsitemap', 'サイトマップファイルを作成するには<b>開始</b>をクリック', '2019-04-01 09:52:58'),
(4630, 'ja', 'sitemap', 'Download sitemap file from', 'サイトマップファイルをダウンロード', '2019-04-01 09:52:58'),
(4631, 'ja', 'sitemap', 'Exclude Url', 'URLを除外', '2019-04-01 09:52:58'),
(4632, 'ja', 'sitemap', 'processtaketime', 'サイトのリンク数によっては、この処理に時間が掛かります。サイトマップファイルを取得するまでお待ちください', '2019-04-01 09:52:58'),
(4633, 'ja', 'sitemap', 'Sitemap Type', 'サイトマップタイプ', '2019-04-01 09:52:58'),
(4634, 'ja', 'user', 'Edit User', 'ユーザの編集', '2016-01-04 06:41:28'),
(4635, 'ja', 'user', 'Saved My Profile Details', 'マイプロフィール詳細が保存されました', '2016-01-04 06:41:28'),
(4636, 'ja', 'website', 'Edit Website', 'ウェブサイトの編集', '2019-04-01 09:57:11'),
(4637, 'ja', 'website', 'plscrtwebsite', 'seoツールやseoプラグインを使用開始する前に、ウェブサイトを作成してください。', '2019-04-01 09:57:11'),
(4638, 'ja', 'website', 'Website already exist', 'ウェブサイトは既に存在します', '2019-04-01 09:57:11'),
(4639, 'ja', 'website', 'yourwebalreday', '既に作成済みの場合はご自身のウェブサイト', '2019-04-01 09:57:11'),
(4640, 'ja', 'support', 'support_cont1', '<fieldset>\r\n<legend>Seo Panel サポートシステム</legend>\r\n<ul class=\\\"infobox\\\">\r\n    <li>\r\n        <h1>1000 ディレクトリパッケージ</h1> \r\n        <p>\r\n            <b>アクティブで検証済みの</b>インターネットディレクトリパッケージを<b>1000</b>提供しており、各自のseo panel<b>ディレクトリサブミッションツール</b>に追加して頂くことが可能です。\r\n            お使いのウェブサイトの<b>バックリンク増加</b>に役立ちます。\r\n            実際、seo panelの将来開発に向け費用を集めるために1000のディレクトリリストが<b>紹介されています</b>。\r\n            1000ディレクトリリストを入手するには、seo panel機能向上のため10ドル以上を<a href=\\\"<?=SP_DONATE_LINK?>\\\" target=\\\"_blank\\\">寄付</a>してください。\r\n            1000ディレクトリパッケージについてご質問がありましたら、<a href=\\\"<?=SP_CONTACT_LINK?>\\\"\r\ntarget=\\\"_blank\\\">お問合せ</a>頂くか<a href=\\\"<?=SP_SUPPORT_LINK?>\\\"\r\ntarget=\\\"_blank\\\">サポートシステム</a>にてチケットを開いてください。.   \r\n        </p>        \r\n        <p>\r\n            <a href=\\\"<?=SP_DONATE_LINK?>\\\" target=\\\"_blank\\\">seo panelへの寄付はこちらから</a>\r\n        </p>\r\n        <br>\r\n    </li>\r\n    \r\n    <li>\r\n        <h1>ローカル検索エンジンパッケージ</h1> \r\n        <p>\r\n            googleやyahooおよびmsnの<b>ローカル検索エンジンドメイン</b><\r\nb>（例：www.google.de,www.google.fr\r\netc</b>）をseo panel<b>キーワード順位チェッカー</b>に追加すると、サイトのパフォーマンスを地域的に追跡することができます。\r\n            ローカル検索エンジンパッケージを取得するには（要件に応じて）、seo panel機能向上のため10ドル以上を<a　href=\\\"<?=SP_DONATE_LINK?>\\\" target=\\\"_blank\\\">寄付</a>してください。\r\n            寄付をお送り頂く前に、必要な検索エンジンドメインリストを提供していただくため、<a href=\\\"<?=SP_CONTACT_LINK?>\\\" target=\\\"_blank\\\">お問合せ</a>ください。\r\n            <br><br>              \r\n            また<b>新しい検索エンジン（例：baidu.com）</b>をseo panelキーワード順位チェッカーに追加するには、<a href=\\\"<?=SP_CONTACT_LINK?>\\\" target=\\\"_blank\\\">お問合せ</a>頂くか<a\r\nhref=\\\"<?=SP_SUPPORT_LINK?>\\\" target=\\\"_blank\\\">サポートシステム</a>にてチケットを開いてください。 \r\n        </p>        \r\n        <p class=\\\"visit\\\">\r\n            <a href=\\\"<?=SP_CONTACT_LINK?>\\\" target=\\\"_blank\\\">お問合せはこちらから</a>\r\n        </p>\r\n        <br>\r\n    </li>\r\n    \r\n    <li>\r\n        <h1>Seo Panel プラグイン</h1> \r\n        <p>\r\n            それぞれの要件に応じて<b>機能を拡張</b>するには<b>seoプラグイン</b>をseo panelに追加してくだださい。\r\n            <a href=\\\"<?=SP_PLUGINSITE?>\\\" target=\\\"_blank\\\">Seo panel プラグイン</a>は、seo panelおよびサードパーティサイトの両方より提供されています。\r\n            各自のseo panel用にseoプラグインを<b>開発</b>することも可能です。\r\n            ご自身のseoプラグインをseo panelに<a href=\\\"<?=SP_PLUGINSITE?>\\\" target=\\\"_blank\\\">送信</a>して頂くと、こちらで<b>審査</b>した後<b>公開</b>いたします。        \r\n        </p>        \r\n        <p>\r\n            <a href=\\\"<?=SP_PLUGINSITE?>\\\" target=\\\"_blank\\\">seo panelプラグインの入手はこちらから</a>\r\n        </p>\r\n        <br>\r\n    </li>    \r\n    <li>\r\n        <h1>お問合せ</h1> \r\n        <p>\r\n            <b>seo panel ツール、プラグイン、機能、etc</b>に関するご質問は、 以下のリンクよりお問合せください。        \r\n        </p>        \r\n        <p>\r\n            <a href=\\\"<?=SP_CONTACT_LINK?>\\\" target=\\\"_blank\\\">お問合せはこちらから</a>\r\n        </p>\r\n        <br>\r\n    </li>    \r\n    <li>\r\n        <h1>サポートチケット</h1> \r\n        <p>\r\n            <b>seo panelツール、プラグイン、機能</b>をセットアップするにあたり、seo panelチームより<b>テクニカルサポート</b>を受けるためのものです。例：キーワード順位チェッカーにcronをセットアップする。\r\n        </p>        \r\n        <p>\r\n            <a href=\\\"<?=SP_SUPPORT_LINK?>\\\" target=\\\"_blank\\\">サポートチケットの作成はこちらから</a>\r\n        </p>\r\n        <br>\r\n    </li>    \r\n    <li>\r\n        <h1>不具合レポート</h1> \r\n        <p>\r\n            <b>seo panelツール、プラグイン、機能、etc</b>に関する<b>不具合</b>を報告するには、以下のリンクを使用します。 \r\n            次のバージョンで機能を向上できるよう、どうぞご協力をお願いします。          \r\n        </p>        \r\n        <p>\r\n            <a href=\\\"<?=SP_SUPPORT_LINK?>\\\" target=\\\"_blank\\\">不具合報告はこちらから</a>\r\n        </p>\r\n        <br>\r\n    </li>    \r\n</ul>\r\n</fieldset>', '2011-01-07 20:37:35'),
(4641, 'ja', 'support', 'support_cont2', '<fieldset>\r\n<legend>Seo Panel オンラインリソース</legend>\r\n<ul class=\\\"infobox\\\">\r\n        \r\n    <li>\r\n        <h1>Seo Panel ヘルプガイド</h1> \r\n        <p>\r\n            <b>ヘルプガイド</b>では、<a href=\\\"<?=SP_HELP_LINK?>\\\" target=\\\"_blank\\\">seo panel ドキュメント</a>を閲覧することができ、seo panelツールやプラグイン、関連機能についての<b>ドキュメント</b>があります。 \r\n            <br>これは、seo panelについての<b>ヘルプを受けられる</b>インターネット上で一番の場所です。 間違いや抜けている箇所を発見された場合には、seo panelヘルプガイドに<b>貢献</b>して頂ければ幸いです。                \r\n        </p>\r\n        <p>\r\n            <a href=\\\"<?=SP_HELP_LINK?>\\\" target=\\\"_blank\\\">seo panelヘルプガイドはこちらから</a>\r\n        </p>\r\n        <br>\r\n    </li>    \r\n    <li>\r\n        <h1>Seo Panel フォーラム</h1> \r\n        <p>\r\n            世界初のオープンソース<b>seoコントロールパネル</b>についてディスカッションをする場です。 \r\n            seo panelについての<b>あなたの疑問</b>に対して<b>答え</b>を見つけるには最適な場所です。 \r\n            <br>また、seo panelを使って最適化を行ったあなたの<b>経験</b>を<b>共有</b>することもできます。                               \r\n        </p>        \r\n        <p>\r\n            <a href=\\\"<?=SP_FORUM_LINK?>\\\" target=\\\"_blank\\\">seo panelフォーラムはこちらから</a>\r\n        </p>\r\n        <br>\r\n    </li>\r\n</ul>    \r\n</fieldset>', '2011-01-07 20:37:35'),
(4642, 'ja', 'support', 'support_cont3', '<fieldset>\r\n<legend>Seo Panelへ寄付</legend>\r\n<ul class=\\\"infobox\\\">        \r\n    <li>\r\n        <h1>Seo Panelへ寄付 - 世界初のオープンソースseoコントロールパネル</h1> \r\n        <p>\r\n            seo panelへ<b>寄付</b>し、世界初のオープンソースseoコントロールパネルを支援します。 \r\n            将来、seo panel機能の<b>追加、向上</b>を予定しています。 \r\n            <br>あなたの<b>サポート</b>なしでは、その<b>ゴール</b>に到達できません。\r\n            seo panelがあなたにとって<b>価値のある</b>ものだと感じて頂けるなら、どうかseo panelチームへ寄付をお願いします。\r\n            <br>寄付して頂きましたら、あなたのお名前とサイト情報を<a href=\\\"<?=SP_DONATE_LINK?>\\\"\r\ntarget=\\\"_blank\\\">寄付ページ</a>にて<b>公開</b>します。\r\n        </p>\r\n        <p>\r\n            <a href=\\\"<?=SP_DONATE_LINK?>\\\" target=\\\"_blank\\\">seo panelへの寄付はこちらから</a>\r\n        </p>\r\n        <br>\r\n    </li>\r\n</ul>\r\n</fieldset>', '2011-01-07 20:37:35'),
(4643, 'el', 'home', 'Account Summary', 'Σύνοψη Λογαριασμού', '2019-11-28 18:25:11'),
(4644, 'el', 'home', 'Backlinks', 'Backlinks', '2019-11-28 18:25:11'),
(4645, 'el', 'home', 'Directory Submission', 'Καταχώρηση Καταλόγου', '2019-11-28 18:25:11'),
(4646, 'el', 'home', 'home_cont1', '<h1 style=\"text-align: center;margin-bottom: 30px;font-size: 19px;\"> Καλωσορίσατε στο  Seo Panel - το πρώτο παγκόσμιο control panel για πολλαπλά site</h1> \r\n        <p> \r\n            Ένα ολοκληρωμένο <b>seo control panel ανοικτού κώδικα</b> για την διαχείριση του <b>search engine optimization</b> των website σας.  \r\n            Το Seo Panel είναι μία <b>seo εργαλειοθήκη </b> η οποία περιλαμβάνει τα τελευταία hot seo εργαλεία για να <b>αυξήσετε και να παρακολουθήσετε</b> την\r\n<b>απόδοση</b> των website σας. \r\n            Είναι ένα <b>δωρεάν λογισμικό</b> δημοσιευμένο υπό την <b>GNU GENERAL PUBLIC LICENSE</b>. \r\n            Το κύριο χαρακτηριστικό του seo panel είναι η <b>επεκτασιμότητα</b> του με τη χρήση <a href=\"<?=SP_PLUGINSITE?>\" target=\"_blank\">seo plugins</a>. \r\n            Οποιοσδήποτε μπορεί εύκολα να  <b>αναπτύξει και να εγκαταστήσει</b> τα επιθυμητά  plugins για το δικό του seo panel.  \r\n        </p> \r\n        <p></p> \r\n        <p> \r\n            Αυτό το open source λογισμικό <b>δημοσιεύτηκε τον Ιανουάριο του 2010</b>. \r\n            Μέσα σε αυτή την <b>σύντομη περίοδο</b> ανάπτυξης, <b>χιλιάδες</b> από <b>web masters</b> χρησιμοποιούν αυτό το λογισμικό <b>βελτιστοποιώντας</b> τα website τους. \r\n            Χρησιμοποιήστε το seo panel σήμερα και <b>απολαύστε</b> τα πάντα σχετικά με το seo κάτω από μια  <b>απλή πλατφόρμα</b>. \r\n        </p>', '2019-11-28 18:25:11'),
(4647, 'el', 'home', 'home_cont2', '<fieldset> \r\n<legend>Μείζονα Χαρακτηριστικά του Seo Panel <?=SP_INSTALLED?></legend> \r\n<ul class=\"infobox\"> \r\n    <li>         \r\n        <h1>Εργαλείο Αυτόματης Καταχώρησης σε Καταλόγους</h1> \r\n        <p> \r\n            Το εργαλείο Αυτόματης Καταχώρησης μας βοηθάει να <b>καταχωρήσουμε τα websites μας</b> σε μείζονες <b>δωρεάν και επί πληρωμή καταλόγους στο internet</b>. \r\n            Επίσης μπορούμε <b>να παρακολουθήσουμε τη κατάσταση</b> κάθε καταχώρησης μέσω <b>περιοδικού ελέγχου</b> χρησιμοποιώντας το <b>script ελέγχου κατάστασης</b> της καταχώρησης. \r\n            Η <b>Διαχείριση Καταλόγων</b> θα μας βοηθήσει να βρούμε κατά πόσον <b>ένας κατάλογος είναι ενεργός</b> ή όχι. \r\n        </p> \r\n    </li> \r\n    <li>         \r\n        <h1>Ελεγκτής Κατάταξης Keyword</h1> \r\n        <p> \r\n            Ο Ελεγκτής Κατάταξης Keyword θα βρει την <b>κατάταξη στην μηχανή αναζήτησης</b> για <b>στοχευμένες λέξεις κλειδιά</b>\r\nγια το website σας και <b>τις αποθηκεύει </b> στο σύστημα. \r\n            Στον τομέα αναφοράς κατάταξης keyword, μπορούμε να δούμε τις <b>καθημερινές κατατάξεις</b> των λέξεων κλειδιών σε διαφορετικές μηχανές αναζήτησης με <b>όμορφα γραφήματα</b> και <b>λεπτομερείς αναφορές</b>. \r\n        </p> \r\n    </li> \r\n    <li>         \r\n        <h1>Site Auditor</h1> \r\n        <p>Site Auditor will <b>audit all SEO factors</b> of each pages of a site and will give a <b>detailed report</b> about each page. Αυτή θα μας βοηθήσει να δημιουργήσουμε <b>XML,HTML,TEXT</b> sitemap αρχεία για το website, ώστε να  <b>καταχωρηθούν</b> σε μηχανές αναζήτησης.</p> \r\n    </li> \r\n    <li>         \r\n        <h1>Ελεγκτής Google και Alexa Rank</h1> \r\n        <p> \r\n            Ο ελεγκτής Google και Alexa Rank θα βρει <b>την κατάταξη στο google</b> και την <b> κατάταξη alexa</b> στα websites και <b> αποθηκεύονται </b> στο σύστημα. \r\n            Στον τομέα <b>αναφορές κατάταξης</b>, μπορούμε να δούμε <b>καθημερινά</b> τις κατατάξεις στο google και alexa για κάθε website με <b>λεπτομερείς αναφορές</b>. \r\n        </p> \r\n    </li> \r\n    <li>         \r\n        <h1>Ελεγκτής Backlinks</h1> \r\n        <p> \r\n            Ο Ελεγκτής Backlinks - συνδέσμων επιστροφής θα βρει <b>τον αριθμό των backlinks</b> για τα websites σε διαφορετικές μηχανές αναζήτησης <b>(google,yahoo,msn etc)</b> και <b>αποθηκεύονται</b> στο σύστημα. \r\n            <br>Στον τομέα <b>αναφορές backlink</b>, μπορούμε να δούμε τις <b>καθημερινές μετρήσεις  backlinks</b> για κάθε website με <b>λεπτομερείς αναφορές</b>. \r\n        </p> \r\n    </li>     \r\n    <li>         \r\n        <h1>Έλεγχος Κορεσμού Μηχανής Αναζήτησης</h1> \r\n        <p> \r\n            Με τον έλεγχος Κορεσμού Μηχανής Αναζήτησης θα βρούμε <b>τον αριθμό των indexed σελίδων</b> στα websites μας σε διαφορετικές μηχανές αναζήτησης<b>(google,yahoo,msn etc)</b> και θα <b>αποθηκευτούν</b> στο σύστημα. \r\n            Στον τομέα <b>Αναφορές Ελέγχου Κορεσμού Μηχανής Αναζήτησης</b>, μπορούμε να δούμε <b>τις καθημερινές μετρήσεις indexed σελίδων </b> για κάθε website με <b>λεπτομερείς αναφορές</b>. \r\n        </p> \r\n    </li> \r\n    <li>         \r\n        <h1>Seo Panel Plugins</h1> \r\n        <p> \r\n            Τα <b> μείζονα χαρακτηριστικά </b> του seo control panel αφορούν την <b>επεκτασιμότητα του</b>. \r\n            Προσθέστε <b> μείζονα plugins</b> στο seo panel σας <b>για επέκταση των χαρακτηριστικών</b> σύμφωνα με τις ανάγκες σας. \r\n            <a href=\"<?=SP_PLUGINSITE?>\" target=\"_blank\">Seo panel plugins</a> παρέχονται από το seo panel και από sites τρίτων. \r\n            Μπορείτε και εσείς επίσης να <b>αναπτύξετε</b> seo plugins για το seo panel σας. \r\n            Μπορείτε να <a href=\"<?=SP_PLUGINSITE?>\" target=\"_blank\">καταχωρήσετε</a> τα seo plugin στο seo panel και να τα <b>δημοσιεύσετε</b> στο website σας μετά από την διαδικασία <b>επιθεώρησης</b> μας. \r\n        </p> \r\n    </li> \r\n    <li>         \r\n        <h1>Δημιουργία Meta Tag</h1> \r\n        <p> \r\n            Η Δημιουργία Meta tag είναι ένα <b>seo panel plugin</b> για την δημιουργία <b>custom meta tags</b> για τα website μας. \r\n            Αυτό θα μας βοηθήσει να αποκτήσουμε <b>περισσότερες πληροφορίες</b> για το website στα <b>bots των μηχανών αναζήτησης</b> όσο αυτά ανιχνεύουν τα website μας. \r\n        </p> \r\n    </li> \r\n</ul> \r\n</fieldset>', '2019-11-28 18:25:11'),
(4648, 'el', 'home', 'home_cont3', '<fieldset> \r\n<legend>Seo Panel Online Resources</legend>     \r\n<ul class=\"infobox\"> \r\n\r\n    <li> \r\n        <h1>Seo Panel Online Resources για Αναφορά</h1>                 \r\n         \r\n         \r\n        <p> \r\n            <a href=\"http://www.seopanel.in\" target=\"_blank\" title=\"SEO Panel Software Website\">SEO Panel\r\nSoftware</a> \r\n        </p> \r\n        <p> \r\n            <a href=\"<?=SP_HOSTED_LINK?>\" target=\"_blank\">Cloud Hosted Seo Panel</a> \r\n        </p> \r\n         \r\n        <p> \r\n            <a href=\"<?=SP_HELP_LINK?>\" target=\"_blank\">SEO Help Guide</a> \r\n        </p> \r\n         \r\n        <p> \r\n            <a href=\"<?=SP_FORUM_LINK?>\" target=\"_blank\">SEO Forum</a> \r\n        </p> \r\n         \r\n        <p> \r\n            <a href=\"<?=SP_SUPPORT_LINK?>\" target=\"_blank\">SEO Support</a> \r\n        </p> \r\n    </li> \r\n     \r\n</ul> \r\n</fieldset>', '2019-11-28 18:25:11'),
(13941, 'el', 'common', 'Pricing', 'Τιμές', '2019-08-28 05:40:52'),
(4649, 'el', 'home', 'Pages Indexed', 'Indexed σελίδες', '2019-11-28 18:25:11'),
(4650, 'el', 'home', 'Ranks', 'Ranks', '2019-11-28 18:25:11'),
(4651, 'el', 'home', 'SiteNameUrl', 'Όνομα Site/Url', '2019-11-28 18:25:11'),
(4652, 'el', 'home', 'Website Statistics', 'Στατιστικά του website', '2019-11-28 18:25:11'),
(4653, 'el', 'settings', 'Click here to become a sponsor for Seo Panel', '<b>Δωρίστε $100</b> και γίνετε <b>υποστηρικτής</b> του Seo Panel.	', '2019-08-28 05:43:40'),
(4654, 'el', 'settings', 'seopanel_description', 'Ένα ολοκληρωμένο και δωρεάν control panel για την διαχείριση της βελτιστοποίησης των ιστοτόπων σας για τις μηχανές αναζήτησης. Περιλαμβάνει πολλά από τα δυνατά seo εργαλεία για την αύξηση και παρακολούθηση της απόδοσης των website σας. Είναι open source λογισμικό και μπορείτε και εσείς επίσης να αναπτύξετε τα δικά σας seo plugins για το Seo Panel.', '2019-08-28 05:43:40'),
(4655, 'el', 'settings', 'seopanel_title', 'Seo Panel: Το πρώτο open source seo control panel παγκοσμίως, για την διαχείριση πολλαπλών sites.', '2019-08-28 05:43:40'),
(4656, 'el', 'settings', 'SP_CRAWL_DELAY', 'Καθυστέρηση μεταξύ των spider ανιχνευτών (δευτερόλεπτα)', '2019-08-28 05:43:40'),
(4657, 'el', 'settings', 'SP_DEFAULTLANG', 'Προκαθορισμένη Γλώσσα', '2019-08-28 05:43:40'),
(4658, 'el', 'settings', 'SP_DESCRIPTION', 'Περιγραφή του Seo Panel', '2019-08-28 05:43:40'),
(4659, 'el', 'settings', 'SP_ENABLE_PROXY', 'Ενεργοποίηση Proxy', '2019-08-28 05:43:40'),
(4660, 'el', 'settings', 'SP_HOTLINKING', 'Προστασία εικόνας από hotlink', '2019-08-28 05:43:40'),
(4661, 'el', 'settings', 'SP_KEYWORDS', 'Λέξεις Κλειδιά του Seo Panel', '2019-08-28 05:43:40'),
(4662, 'el', 'settings', 'SP_PAGINGNO', 'Αριθμός εγγραφών ανά σελίδα', '2019-08-28 05:43:40'),
(4663, 'el', 'settings', 'SP_TITLE', 'Τίτλος του Seo Panel', '2019-08-28 05:43:40'),
(4664, 'el', 'settings', 'SP_USER_AGENT', 'Πράκτορας χρήστη', '2019-08-28 05:43:40'),
(4665, 'el', 'settings', 'SP_USER_GEN_REPORT', 'Επιτρέπεται οι χρήστες να δημιουργήσουν αναφορές', '2019-08-28 05:43:40'),
(4666, 'el', 'settings', 'SP_USER_REGISTRATION', 'Περιβάλλον εγγραφής χρήστη', '2019-08-28 05:43:40'),
(4667, 'el', 'settings', 'syssettingssaved', 'Οι ρυθμίσεις του συστήματος αποθηκεύτηκαν με επιτυχία!', '2019-08-28 05:43:40'),
(4668, 'el', 'proxy', 'Edit Proxy', 'Επεξεργασία Proxy', '2016-12-29 13:06:18'),
(4669, 'el', 'proxy', 'Proxy Password', 'Κωδικός Proxy', '2016-12-29 13:06:18'),
(4670, 'el', 'proxy', 'Proxy Username', 'Όνομα χρήστη Proxy', '2016-12-29 13:06:18'),
(4671, 'el', 'proxy', 'Proxyalreadyexist', 'Ο Proxy ήδη υπάρχει!', '2016-12-29 13:06:18'),
(4676, 'cs', 'user', 'Edit User', 'Upravit uživatele', '2011-03-21 14:14:30'),
(4677, 'cs', 'user', 'Saved My Profile Details', 'Detaily v mém profilu byly uloženy', '2011-03-21 14:14:30'),
(4678, 'cs', 'support', 'support_cont1', '', '2011-03-23 08:41:17'),
(4679, 'cs', 'support', 'support_cont2', '<fieldset> \r\n<legend>Online zdroje SEO panelu</legend> \r\n<ul class=\\\"infobox\\\"> \r\n         \r\n    <li> \r\n        <h1>Nápověda SEO panelu</h1>  \r\n        <p> \r\n            Můžete se podívat do <a href=\\\"<?=SP_HELP_LINK?>\\\" target=\\\"_blank\\\">dokumentace SEO panelu</a> v\r\n<b>nápovědě</b>, která obsahuje <b>dokumentaci</b> k SEO panelu, nástrojům, pluginům a k příslušným vlastnostem. \r\n            <br>Je to to nejlepší místo na internetu, kde <b>získáte nápovědu</b> o SEO panelu. Doufáme, že <b>přispějete</b> do nápovědy SEO panelu v případě, že objevíte chyby nebo chybějící věci.   \r\n        </p> \r\n        <p> \r\n            <a href=\\\"<?=SP_HELP_LINK?>\\\" target=\\\"_blank\\\">Podívejte se do nápovědy SEO panelu</a> \r\n        </p> \r\n        <br> \r\n    </li>     \r\n    <li> \r\n        <h1>Forum SEO panelu</h1>  \r\n        <p> \r\n           Místo k diskuzi o prvním otevřeném <b>ovládacím panelu pro SEO</b> na světe.\r\nJe to nejlepší místo, kde najít <b>odpovědi</b> na vaše <b>otázky</b> o SEO panelu.\r\n            <br>Můžete také <b>sdílet</b> vaše <b>zkušenosti</b> z toho, jak pomocí SEO panelu optimalizujete vaše stránky.                                \r\n        </p>         \r\n        <p> \r\n            <a href=\\\"<?=SP_FORUM_LINK?>\\\" target=\\\"_blank\\\">Navštivte forum SEO panelu</a> \r\n        </p> \r\n        <br> \r\n    </li> \r\n</ul>     \r\n</fieldset>', '2011-03-23 08:41:17'),
(4680, 'cs', 'support', 'support_cont3', '<fieldset> \r\n<legend>Podpořte finančně SEO Panel</legend> \r\n<ul class=\\\"infobox\\\">         \r\n    <li> \r\n        <h1>Podpořte finančně SEO Panel - první open source ovládací panel pro SEO na světě</h1>  \r\n        <p> \r\n            <b>Podpořte finančně</b> Seo Panel - první open source ovládací panel pro SEO na světě \r\n            Chceme v budoucnu <b>přidávat a vylepšovat</b> funkce SEO panelu.  \r\n            <br>Pouze s vaší <b>podporou</b> můžeme dosáhnout našich <b>cílů</b>. \r\n            Pokud máte pocit, že SEO Panel je pro vás <b>přínosem</b>, prosíme podpořte finančně určitou částkou tým SEO Panelu. \r\n            <br>Jakmile obdržíme vaši finanční podporu, <b>zveřejníme</b> vaše jméno a informace o vašich stránkách na <a href=\\\"<?=SP_DONATE_LINK?>\\\"\r\ntarget=\\\"_blank\\\">stránce s dary</a>. \r\n        </p> \r\n        <p> \r\n            <a href=\\\"<?=SP_DONATE_LINK?>\\\" target=\\\"_blank\\\">Navštivte tento odkaz, abyste mohli finančně podpořit SEO Panel.</a> \r\n        </p> \r\n        <br> \r\n    </li> \r\n</ul> \r\n</fieldset>', '2011-03-23 08:41:17'),
(4681, 'cs', 'backlink', 'clickproceedbacklink', 'Vložte <b>po jednom URL na každou řádku</b>. Klikněte na <b>Provést</b>, aby byly zkontrolovány zpětné odkazy.', '2011-03-23 08:08:28'),
(4682, 'cs', 'backlink', 'Saved backlink results of', 'Uložené výsledky zpětných odkazů na', '2011-03-23 08:08:28'),
(4683, 'cs', 'button', 'Cancel', 'Zrušit', '2014-01-08 19:24:18'),
(4684, 'cs', 'button', 'Check Status', 'Zkontrolovat stav', '2014-01-08 19:24:18'),
(4685, 'cs', 'button', 'Proceed', 'Provést', '2014-01-08 19:24:18'),
(4686, 'cs', 'button', 'Reload', 'Znovu načíst', '2014-01-08 19:24:18'),
(4687, 'cs', 'button', 'Show Details', 'Ukázat detaily', '2014-01-08 19:24:18'),
(4688, 'cs', 'button', 'Show Records', 'Ukázat záznamy', '2014-01-08 19:24:18'),
(4689, 'cs', 'button', 'Skip', 'Přeskočit', '2014-01-08 19:24:18'),
(4690, 'cs', 'button', 'Submit', 'Odeslat', '2014-01-08 19:24:18'),
(4691, 'cs', 'common', 'Action', 'Akce', '2019-05-25 18:03:57'),
(4692, 'cs', 'common', 'Activate', 'Zapnout', '2019-05-25 18:03:57'),
(4693, 'cs', 'common', 'Active', 'Zapnuté', '2019-05-25 18:03:57'),
(4694, 'cs', 'common', 'Admin Panel', 'Administrační panel', '2019-05-25 18:03:57'),
(4695, 'cs', 'common', 'Alexa Rank', 'Alexa Rank', '2019-05-25 18:03:57'),
(4696, 'cs', 'common', 'All', 'Vše', '2019-05-25 18:03:57'),
(4697, 'cs', 'common', 'Category', 'Kategorie', '2019-05-25 18:03:57'),
(4698, 'cs', 'common', 'contact', 'Kontakt', '2019-05-25 18:03:57'),
(4699, 'cs', 'common', 'copyright', 'Copyright © [year] www.seopanel.in Všechna práva vyhrazena', '2019-05-25 18:03:57'),
(4700, 'cs', 'common', 'Country', 'Země', '2019-05-25 18:03:57'),
(4701, 'cs', 'common', 'Crawl Meta Data', 'Prohledat meta data', '2019-05-25 18:03:57'),
(4702, 'cs', 'common', 'Date', 'Datum', '2019-05-25 18:03:57'),
(4703, 'cs', 'common', 'Delete', 'Vymazat', '2019-05-25 18:03:57'),
(4704, 'cs', 'common', 'Details', 'Detaily', '2019-05-25 18:03:57'),
(4705, 'cs', 'common', 'Directory', 'Adresář', '2019-05-25 18:03:57'),
(4706, 'cs', 'common', 'Donate', 'Finančně podpořit', '2019-05-25 18:03:57'),
(4707, 'cs', 'common', 'Edit', 'Upravit', '2019-05-25 18:03:57'),
(4708, 'cs', 'common', 'Entry cannot be blank', 'Hodnota nemůže být prázdná', '2019-05-25 18:03:57'),
(4709, 'cs', 'common', 'entrynotvalid', 'Vložená hodnota zřejmě není platná', '2019-05-25 18:03:57'),
(4710, 'cs', 'common', 'failed', 'selhal', '2019-05-25 18:03:57'),
(4711, 'cs', 'common', 'forum', 'Forum', '2019-05-25 18:03:57'),
(4712, 'cs', 'common', 'Found', 'Nalezeno', '2019-05-25 18:03:57'),
(4713, 'cs', 'common', 'Google Pagerank', 'Google Pagerank', '2019-05-25 18:03:57'),
(4714, 'cs', 'common', 'help', 'Nápověda', '2019-05-25 18:03:57'),
(4715, 'cs', 'common', 'hidenews', 'Skrýt novinky SEO panelu', '2019-05-25 18:03:57'),
(4716, 'cs', 'common', 'Id', 'ID', '2019-05-25 18:03:57'),
(4717, 'cs', 'common', 'Inactivate', 'Vypnout', '2019-05-25 18:03:57'),
(4718, 'cs', 'common', 'Inactive', 'Vypnuté', '2019-05-25 18:03:57'),
(4719, 'cs', 'common', 'Invalid characters', 'Neplatné znaky', '2019-05-25 18:03:57'),
(4720, 'cs', 'common', 'Invalid code entered', 'Vložen neplatný kód', '2019-05-25 18:03:57'),
(4721, 'cs', 'common', 'Invalid email address entered', 'Vložena neplatná emailová adresa', '2019-05-25 18:03:57'),
(4722, 'cs', 'common', 'Invalid value', 'Neplatná hodnota', '2019-05-25 18:03:57'),
(4723, 'cs', 'common', 'Keyword', 'Klíčové slov', '2019-05-25 18:03:57'),
(4724, 'cs', 'common', 'Keywords', 'Klíčová slova', '2019-05-25 18:03:57'),
(4725, 'cs', 'common', 'lang', 'Jazyk', '2019-05-25 18:03:57'),
(4726, 'cs', 'common', 'My Account', 'Můj účet', '2019-05-25 18:03:57'),
(4727, 'cs', 'common', 'Name', 'Jméno', '2019-05-25 18:03:57'),
(4728, 'cs', 'common', 'No', 'Ne', '2019-05-25 18:03:57'),
(4729, 'cs', 'common', 'No Keywords Found', 'Nenalezena žádná klíčová slova', '2019-05-25 18:03:57'),
(4730, 'cs', 'common', 'No Records Found', 'Nenalezeny žádné záznamy', '2019-05-25 18:03:57'),
(4731, 'cs', 'common', 'noactivetools', 'Žádný SEO nástroj není aktivní!', '2019-05-25 18:03:57'),
(4732, 'cs', 'common', 'nowebsites', 'Nenalezeny žádné website', '2019-05-25 18:03:57'),
(4733, 'cs', 'common', 'password632', 'Délka hesla by měla být mezi 6 a 32 znaky', '2019-05-25 18:03:57'),
(4734, 'cs', 'common', 'passwordnotmatch', 'Hesla neodpovídají', '2019-05-25 18:03:57'),
(4735, 'cs', 'common', 'Period', 'Perioda', '2019-05-25 18:03:57'),
(4736, 'cs', 'common', 'Priority', 'Priorita', '2019-05-25 18:03:57'),
(4737, 'cs', 'common', 'Profile', 'Profil', '2019-05-25 18:03:57'),
(4738, 'cs', 'common', 'Rank', 'Rank', '2019-05-25 18:03:57'),
(4739, 'cs', 'common', 'Reports', 'Reporty', '2019-05-25 18:03:57'),
(4740, 'cs', 'common', 'Results', 'Výsledky', '2019-05-25 18:03:57'),
(4741, 'cs', 'common', 'Search Engine', 'Vyhledávač', '2019-05-25 18:03:57'),
(4742, 'cs', 'common', 'Select', 'Vybrat', '2019-05-25 18:03:57'),
(4743, 'cs', 'common', 'Seo Plugins', 'Pluginy SEO', '2019-05-25 18:03:57'),
(4744, 'cs', 'common', 'Seo Tools', 'Nástroje SEO', '2019-05-25 18:03:57'),
(4745, 'cs', 'common', 'Sign out', 'Odhlásit se', '2019-05-25 18:03:57'),
(4746, 'cs', 'common', 'Sign Up', 'Zaregistrovat se', '2019-05-25 18:03:57'),
(4747, 'cs', 'common', 'signin', 'Přihlásit se', '2019-05-25 18:03:57'),
(4748, 'cs', 'common', 'Status', 'Stav', '2019-05-25 18:03:57'),
(4749, 'cs', 'common', 'Support', 'Podpora', '2019-05-25 18:03:57'),
(4750, 'cs', 'common', 'Total', 'Celkem', '2019-05-25 18:03:57'),
(4751, 'cs', 'common', 'Url', 'URL', '2019-05-25 18:03:57'),
(4752, 'cs', 'common', 'User', 'Uživatel', '2019-05-25 18:03:57'),
(4753, 'cs', 'common', 'User Panel', 'Uživatelský panel', '2019-05-25 18:03:57'),
(4754, 'cs', 'common', 'Website', 'Website', '2019-05-25 18:03:57'),
(4755, 'cs', 'common', 'Yes', 'Ano', '2019-05-25 18:03:57'),
(4756, 'cn', 'backlink', 'clickproceedbacklink', '輸入URL，<b>每行一條</b>。單擊<b>處理</b>開始檢測反向鏈接', '2011-05-04 09:01:01'),
(4757, 'cn', 'backlink', 'Saved backlink results of', '保存反向鏈接結果', '2011-05-04 09:01:01'),
(4758, 'cn', 'button', 'Cancel', '取消', '2014-01-08 19:22:02'),
(4759, 'cn', 'button', 'Check Status', '檢測狀態', '2014-01-08 19:22:02'),
(4760, 'cn', 'button', 'Proceed', '處理', '2014-01-08 19:22:02'),
(4761, 'cn', 'button', 'Reload', '重新載入', '2014-01-08 19:22:02'),
(4762, 'cn', 'button', 'Show Details', '顯示細節', '2014-01-08 19:22:02'),
(4763, 'cn', 'button', 'Show Records', '顯示記錄', '2014-01-08 19:22:02'),
(4764, 'cn', 'button', 'Skip', '跳過', '2014-01-08 19:22:02'),
(4765, 'cn', 'button', 'Submit', '提交', '2014-01-08 19:22:02'),
(4766, 'cn', 'common', 'Action', '執行', '2019-05-25 18:02:13'),
(4767, 'cn', 'common', 'Activate', '激活', '2019-05-25 18:02:13'),
(4768, 'cn', 'common', 'Active', '已激活', '2019-05-25 18:02:13'),
(4769, 'cn', 'common', 'Admin Panel', '管理面板', '2019-05-25 18:02:13'),
(4770, 'cn', 'common', 'Alexa Rank', 'Alexa 排名', '2019-05-25 18:02:13'),
(4771, 'cn', 'common', 'All', '所有', '2019-05-25 18:02:13'),
(4772, 'cn', 'common', 'Category', '類別', '2019-05-25 18:02:13'),
(4773, 'cn', 'common', 'contact', '聯繫', '2019-05-25 18:02:13'),
(4774, 'cn', 'common', 'copyright', '版權所有© 【2010】www.seopanel.in 保留所有權利', '2019-05-25 18:02:13'),
(4775, 'cn', 'common', 'Country', '國家', '2019-05-25 18:02:13'),
(4776, 'cn', 'common', 'Crawl Meta Data', '爬取meta信息', '2019-05-25 18:02:13'),
(4777, 'cn', 'common', 'Date', '日期', '2019-05-25 18:02:13'),
(4778, 'cn', 'common', 'Delete', '刪除', '2019-05-25 18:02:13'),
(4779, 'cn', 'common', 'Details', '細節', '2019-05-25 18:02:13'),
(4780, 'cn', 'common', 'Directory', '目錄', '2019-05-25 18:02:13'),
(4781, 'cn', 'common', 'Donate', '捐贈', '2019-05-25 18:02:13'),
(4782, 'cn', 'common', 'Edit', '編輯', '2019-05-25 18:02:13'),
(4783, 'cn', 'common', 'Entry cannot be blank', '不能輸入空值', '2019-05-25 18:02:13'),
(4784, 'cn', 'common', 'entrynotvalid', '輸入不合法', '2019-05-25 18:02:13'),
(4785, 'cn', 'common', 'failed', '失敗', '2019-05-25 18:02:13'),
(4786, 'cn', 'common', 'forum', '論壇', '2019-05-25 18:02:13'),
(4787, 'cn', 'common', 'Found', '資助', '2019-05-25 18:02:13'),
(4788, 'cn', 'common', 'Google Pagerank', '谷歌 Page Rank', '2019-05-25 18:02:13'),
(4789, 'cn', 'common', 'help', '幫助', '2019-05-25 18:02:13'),
(4790, 'cn', 'common', 'hidenews', '隱藏seopanel新聞', '2019-05-25 18:02:13'),
(4791, 'cn', 'common', 'Id', 'Id', '2019-05-25 18:02:13'),
(4792, 'cn', 'common', 'Inactivate', '關閉', '2019-05-25 18:02:13'),
(4793, 'cn', 'common', 'Inactive', '未激活的', '2019-05-25 18:02:13'),
(4794, 'cn', 'common', 'Invalid characters', '非法字符', '2019-05-25 18:02:13'),
(4795, 'cn', 'common', 'Invalid code entered', '輸入的代碼不合法', '2019-05-25 18:02:13'),
(4796, 'cn', 'common', 'Invalid email address entered', 'Email 地址不合法', '2019-05-25 18:02:13'),
(4797, 'cn', 'common', 'Invalid value', '無效數值', '2019-05-25 18:02:13'),
(4798, 'cn', 'common', 'Keyword', '關鍵字', '2019-05-25 18:02:13'),
(4799, 'cn', 'common', 'Keywords', '全部關鍵字', '2019-05-25 18:02:13'),
(4800, 'cn', 'common', 'lang', '語言', '2019-05-25 18:02:13'),
(4801, 'cn', 'common', 'My Account', '我的賬戶', '2019-05-25 18:02:13'),
(4802, 'cn', 'common', 'Name', '名字', '2019-05-25 18:02:13'),
(4803, 'cn', 'common', 'No', '沒有', '2019-05-25 18:02:13'),
(4804, 'cn', 'common', 'No Keywords Found', '未找到關鍵字', '2019-05-25 18:02:13'),
(4805, 'cn', 'common', 'No Records Found', '未找到相關記錄', '2019-05-25 18:02:13'),
(4806, 'cn', 'common', 'noactivetools', '沒有可用的seo工具', '2019-05-25 18:02:13'),
(4807, 'cn', 'common', 'nowebsites', '未發現站點', '2019-05-25 18:02:13'),
(4808, 'cn', 'common', 'password632', '密碼長度必須為6-32位', '2019-05-25 18:02:13'),
(4809, 'cn', 'common', 'passwordnotmatch', '密碼不匹配', '2019-05-25 18:02:13'),
(4810, 'cn', 'common', 'Period', '一段時間', '2019-05-25 18:02:13'),
(4811, 'cn', 'common', 'Priority', '優先級', '2019-05-25 18:02:13'),
(4812, 'cn', 'common', 'Profile', '簡介', '2019-05-25 18:02:13'),
(4813, 'cn', 'common', 'Rank', 'PR/排名', '2019-05-25 18:02:13'),
(4814, 'cn', 'common', 'Reports', '報告', '2019-05-25 18:02:13'),
(4815, 'cn', 'common', 'Results', '結果', '2019-05-25 18:02:13'),
(4816, 'cn', 'common', 'Search Engine', '搜索引擎', '2019-05-25 18:02:13'),
(4817, 'cn', 'common', 'Select', '選擇', '2019-05-25 18:02:13'),
(4818, 'cn', 'common', 'Seo Plugins', 'seo插件', '2019-05-25 18:02:13'),
(4819, 'cn', 'common', 'Seo Tools', 'seo工具', '2019-05-25 18:02:13'),
(4820, 'cn', 'common', 'Sign out', '登出', '2019-05-25 18:02:13'),
(4821, 'cn', 'common', 'Sign Up', '註冊', '2019-05-25 18:02:13'),
(4822, 'cn', 'common', 'signin', '登錄', '2019-05-25 18:02:13'),
(4823, 'cn', 'common', 'Status', '狀態', '2019-05-25 18:02:13'),
(4824, 'cn', 'common', 'Support', '支持', '2019-05-25 18:02:13'),
(4825, 'cn', 'common', 'Total', '所有', '2019-05-25 18:02:13'),
(4826, 'cn', 'common', 'Url', 'URL', '2019-05-25 18:02:13'),
(4827, 'cn', 'common', 'User', '用户', '2019-05-25 18:02:13'),
(4828, 'cn', 'common', 'User Panel', '用戶面板', '2019-05-25 18:02:13'),
(4829, 'cn', 'common', 'Website', '站點', '2019-05-25 18:02:13'),
(4830, 'cn', 'common', 'Yes', '是', '2019-05-25 18:02:13'),
(4831, 'cn', 'directory', 'Add back to directory list', '增加到目錄列表', '2014-01-09 15:30:58'),
(4832, 'cn', 'directory', 'Approved', '通過的', '2014-01-09 15:30:58'),
(4833, 'cn', 'directory', 'Captcha', '驗證碼', '2014-01-09 15:30:58'),
(4834, 'cn', 'directory', 'categorynote', '根據優先級用逗號隔開的提交的具體目錄分類。從優先級最高提交的具體目錄分類開始', '2014-01-09 15:30:58'),
(4835, 'cn', 'directory', 'Check Directory Status', '檢查目錄狀態', '2014-01-09 15:30:58'),
(4836, 'cn', 'directory', 'Check Directory Submission Status', '檢查目錄提交狀態', '2014-01-09 15:30:58'),
(4837, 'cn', 'directory', 'clicktoproceeddirsts', '點擊<b>處理</b> 以檢查目錄狀態', '2014-01-09 15:30:58'),
(4838, 'cn', 'directory', 'Confirmation', '確認', '2014-01-09 15:30:58'),
(4839, 'cn', 'directory', 'desnote', '有些目錄最少需要150字符描述信息', '2014-01-09 15:30:58'),
(4840, 'cn', 'directory', 'Directories with out captcha', '沒有驗證碼的目錄', '2014-01-09 15:30:58'),
(4841, 'cn', 'directory', 'Directory Submission Reports', '目錄提交報告', '2014-01-09 15:30:58'),
(4842, 'cn', 'directory', 'Enter the code shown', '輸入顯示的字符', '2014-01-09 15:30:58'),
(4843, 'cn', 'directory', 'nocatnote', '在提交頁面未找到提交類別。請點擊<b>重載</b>或者<b>跳過</b>', '2014-01-09 15:30:58'),
(4844, 'cn', 'directory', 'nodirnote', '未發現<b>已激活的</b>目錄', '2014-01-09 15:30:58'),
(4845, 'cn', 'directory', 'nosuccessnote', '如果沒得到成功的信息，請檢查郵件中的確認信息', '2014-01-09 15:30:58'),
(4846, 'cn', 'directory', 'optionalnote', '提交標題和描述信息比提交隨機信息會獲得更好的結果', '2014-01-09 15:30:58'),
(4847, 'cn', 'directory', 'Owner Email', '用戶郵件', '2014-01-09 15:30:58'),
(4848, 'cn', 'directory', 'Owner Name', '用戶名字', '2014-01-09 15:30:58'),
(4849, 'cn', 'directory', 'Pending', '待定', '2014-01-09 15:30:58'),
(4850, 'cn', 'directory', 'Please select a website to proceed', '請選擇一個站點來處理', '2014-01-09 15:30:58'),
(4851, 'cn', 'directory', 'selectwebsiteproceed', '選擇一個<b>站點</b> 來<b>處理</b> 目錄提交。 <br>檢查<b>沒有驗證碼的目錄</b> 來提交沒有驗證碼的目錄', '2014-01-09 15:30:58'),
(4852, 'cn', 'directory', 'selectwebsiteschecksub', '選擇一個<b>站點</b> 來<b>處理</b> 檢查目錄提交信息', '2014-01-09 15:30:58'),
(4853, 'cn', 'directory', 'Semi Automatic Directory Submission Tool', '半自動目錄提交工具', '2014-01-09 15:30:58'),
(4854, 'cn', 'directory', 'spamemailnote', '一些目錄可能會發送垃圾郵件，我們建議不要不要使用你常用的郵箱地址', '2014-01-09 15:30:58'),
(4855, 'cn', 'directory', 'Submission Details', '提交細節', '2014-01-09 15:30:58'),
(4856, 'cn', 'directory', 'Submit Description', '提交描述信息', '2014-01-09 15:30:58'),
(4857, 'cn', 'directory', 'Submit Keywords', '提交關鍵字', '2014-01-09 15:30:58'),
(4858, 'cn', 'directory', 'Submit Title', '提交標題', '2014-01-09 15:30:58'),
(4859, 'cn', 'directory', 'Website Category', '網站目錄', '2014-01-09 15:30:58'),
(4860, 'cn', 'directory', 'Website Url', '網站地址', '2014-01-09 15:30:58'),
(4861, 'cn', 'home', 'Account Summary', '賬戶概覽', '2011-07-06 06:47:27'),
(4862, 'cn', 'home', 'Backlinks', '反向鏈接', '2011-07-06 06:47:27'),
(4863, 'cn', 'home', 'Directory Submission', '目錄提交', '2011-07-06 06:47:27'),
(4864, 'cn', 'home', 'home_cont1', '<h1 style=\\\"text-align: center;margin-bottom: 30px;font-size: 19px;\\\">歡迎來到Seo Panel - 全球第一款支 \r\n\r\n持多站點的開源SEO工具</h1> \r\n        <p> \r\n            一個完整的<b>開源seo 控制面板</b> 來控制你的站點<b>操作</b> . \r\n            Seo Panel 是一個擁有最前沿熱門的seo工具<b>增加和追踪</b> 你的站點表現的 \r\n<b>SEO工具包</b>. \r\n            它是一個<b>免費的軟件</b> 在遵循<b>GNU GENERAL PUBLIC LICENSE</b>協議下發布. \r\n            seopanel主要的功能是<b>擴展性</b> 通過使用<a href=\\\"<?=SP_PLUGINSITE?>\\\" \r\ntarget=\\\"_blank\\\">seo 插件</a>. \r\n            任何人都可以簡單<b>開發和安裝</b> 各自需要的插件. \r\n        </p> \r\n        <p></p> \r\n        <p> \r\n            這款開源軟件發布自<b>2010年1月</b>. \r\n            在這麼<b>少的</b>時間<b>上千</b><b>站長</b> 在用此軟件<b>操作</b> 他們的站點. \r\n            現在您可以在<b>同一個平台下</b>使用和<b>享受</b> seo的任何東西. \r\n        </p> ', '2011-07-06 06:47:27'),
(4865, 'cn', 'home', 'home_cont2', '<fieldset> \r\n<legend> Seo Panel主要功能<?=SP_INSTALLED?></legend> \r\n<ul class=\\\"infobox\\\"> \r\n    <li> \r\n        <h1>自動目錄提交工具</h1> \r\n        <p> \r\n            自動目錄提交工具幫助我們<b>提交我們的站點</b>進入主要<b>免費和付費internet目錄</b>. \r\n            我們也可以每次使用<b>狀態檢查腳本</b>提交<b>定期檢查</b><b>追踪狀態</b>. \r\n            <b>目錄管理器</b>會幫助我們找出<b>目錄是否激活</b>. \r\n        </p> \r\n    </li> \r\n    <li> \r\n        <h1>關鍵字位置查詢器</h1> \r\n        <p> \r\n           關鍵字位置查詢器會系統中找出你的站點的<b>目標關鍵字</b>在<b>搜索引擎的排名位置</b> \r\n並且 <b>存儲排名數據</b> . \r\n            在關鍵字報告區域, 我們可以通過<b>簡潔的圖表</b>和<b>詳細報告</b>看到<b>每日</b>關鍵字在不 \r\n\r\n同的搜索引擎排名的報告. \r\n        </p> \r\n    </li> \r\n    <li> \r\n        <h1>站點審計器</h1> \r\n        <p>站點審計器可以<b>審計所有的SEO要素</b> 在一個網站上的所有頁面並且生成 \r\n<b>詳細報告t</b> 定位每一張網頁. 這將會有助於創建我們的<b>XML,HTML,TEXT</b>站點地圖文件來<b>提交</b> 給 \r\n\r\n搜索引擎.</p> \r\n    </li> \r\n    <li> \r\n        <h1>Google和Alexa排名查詢器</h1> \r\n        <p> \r\n            Google和Alexa排名查詢器會查詢<b>Google PageRank</b> 和<b>Alexa排名</b> 我們的站點並<b> \r\n\r\n存儲</b>在系統中. \r\n            在<b>排名報告</b> 中, 我們可以看到<b>每天</b>每個Google PR和Alexa排名<b>詳細報告</b>. \r\n        </p> \r\n    </li> \r\n    <li> \r\n        <h1>反向鏈接查詢器</h1> \r\n        <p> \r\n            反向鏈接查詢器會在不同的搜索引擎中<b>(google,yahoo,msn 等)</b>找出>我們的站點的<b>反向鏈 \r\n\r\n接數量</b>並<b>存儲</b>到系統中. \r\n            <br>在<b>反向鏈接報告</b> 中, 我們可以通過<b>詳細報告</b>看到每個站點的<b>每天反向鏈接數 \r\n\r\n量</b>. \r\n        </p> \r\n    </li> \r\n    <li> \r\n        <h1>搜索引擎收錄量查詢器</h1> \r\n        <p> \r\n            搜索引擎收錄量查詢器會查詢>我們的站點在不同的搜索引擎<b>(google,yahoo,msn 等)的<b>數量頁 \r\n\r\n面排名</b</b>並<b>存儲</b>到系統中. \r\n            在<b>搜索引擎收錄量查詢報告</b> 中, 我們可以通過<b>詳細報告</b>看到每個站點的<b>每天的頁 \r\n\r\n面收錄數量 \r\n</b>. \r\n        </p> \r\n    </li> \r\n    <li> \r\n        <h1>Seo Panel 插件</h1> \r\n        <p> \r\n            SEO控制面板的<b>主要功能</b>是它的<b>擴展性</b>. \r\n            根據你的需求增到<b>seo插件</b>到你的seo panel<b>擴展功能</b>. \r\n            <a href=\\\"<?=SP_插件ITE?>\\\" target=\\\"_blank\\\">Seo panel 插件</a>由seopanel \r\n和第三方站點提供. \r\n            你可以為你的seo panel簡單<b>開發</b> seo插件. \r\n            你可以在<a href=\\\"<?=SP_PLUGINSITE?>\\\" target=\\\"_blank\\\">submit</a>發布你的seo插件seo panel， \r\n\r\n在我們通過<b>審查</b> 處理之後就會<b>公佈</b> 在我們的站點. \r\n        </p> \r\n    </li> \r\n    <li> \r\n        <h1>Meta標籤生成器</h1> \r\n        <p> \r\n            Meta標籤生成器是一個為我們的站點創建<b>自定義Mta標籤</b>的<b>seo panel 插件</b>. \r\n            它幫助<b>搜索引擎機器人</b> \r\n爬行我們站點的時候獲得關於我們的站點<b>更多信息</b> . \r\n        </p> \r\n    </li> \r\n</ul> \r\n</fieldset>', '2011-07-06 06:47:27');
INSERT INTO `texts` (`id`, `lang_code`, `category`, `label`, `content`, `changed`) VALUES
(4866, 'cn', 'home', 'home_cont3', '<fieldset>\r\n<legend>Seo Panel 在線資源</legend>\r\n<ul class=\\\"infobox\\\">\r\n\r\n    <li>\r\n        <h1>Seo Panel 在線資源信息</h1>\r\n         \r\n         \r\n        <p>\r\n            <a href=\\\"http://www.seopanel.in\\\" target=\\\"_blank\\\">Seo Panel 官方站點</a>\r\n        </p>\r\n        <p>\r\n            <a href=\\\"<?=SP_DOWNLOAD_LINK?>\\\" target=\\\"_blank\\\">下載Seo Panel</a>\r\n        </p>\r\n         \r\n        <p>\r\n            <a href=\\\"<?=SP_DEMO_LINK?>\\\" target=\\\"_blank\\\">Seo Panel 例子</a>\r\n        </p>\r\n         \r\n        <p>\r\n            <a href=\\\"<?=SP_CONTACT_LINK?>\\\" target=\\\"_blank\\\">聯繫Seo Panel</a>\r\n        </p>\r\n         \r\n        <p>\r\n            <a href=\\\"<?=SP_HELP_LINK?>\\\" target=\\\"_blank\\\">Seo Panel 幫助嚮導</a>\r\n        </p>\r\n         \r\n        <p>\r\n            <a href=\\\"<?=SP_FORUM_LINK?>\\\" target=\\\"_blank\\\">Seo Panel 論壇</a>\r\n        </p>\r\n         \r\n        <p>\r\n            <a href=\\\"<?=SP_SUPPORT_LINK?>\\\" target=\\\"_blank\\\">Seo Panel 支持系統</a>\r\n        </p>\r\n         \r\n        <p>\r\n            <a href=\\\"<?=SP_DONATE_LINK?>\\\" target=\\\"_blank\\\">捐贈Seo Panel</a>\r\n        </p>\r\n    </li>\r\n     \r\n</ul>\r\n</fieldset>\r\n', '2011-07-06 06:47:27'),
(4867, 'cn', 'home', 'Pages Indexed', '頁面檢索', '2011-07-06 06:47:27'),
(4868, 'cn', 'home', 'Ranks', '排名', '2011-07-06 06:47:27'),
(4869, 'cn', 'home', 'SiteNameUrl', '站點 名字/URL', '2011-07-06 06:47:27'),
(4870, 'cn', 'home', 'Website Statistics', '站點統計', '2011-07-06 06:47:27'),
(4871, 'cn', 'keyword', 'Crawling keyword', '爬取關鍵字', '2011-07-06 06:50:02'),
(4872, 'cn', 'keyword', 'Detailed Keyword Position Reports', '顯示關鍵字排名報告', '2011-07-06 06:50:02'),
(4873, 'cn', 'keyword', 'Edit Keyword', '編輯關鍵字', '2011-07-06 06:50:02'),
(4874, 'cn', 'keyword', 'Graphical Keyword Position Reports', '關鍵字位置圖形報表', '2011-07-06 06:50:02'),
(4875, 'cn', 'keyword', 'Import Keywords', '導入關鍵字', '2011-07-06 06:50:02'),
(4876, 'cn', 'keyword', 'Keyword already exist', '關鍵字已存在', '2011-07-06 06:50:02'),
(4877, 'cn', 'keyword', 'Keyword Position Report', '關鍵字位置報告', '2011-07-06 06:50:02'),
(4878, 'cn', 'keyword', 'New Keyword', '新的關鍵字', '2011-07-06 06:50:02'),
(4879, 'cn', 'keyword', 'not assigned to required search engines', '未設置請求的搜索引擎', '2011-07-06 06:50:02'),
(4880, 'cn', 'keyword', 'pleaseselecttool', '請至少選擇一個seo工具', '2011-07-06 06:50:02'),
(4881, 'cn', 'keyword', 'Quick Keyword Position Checker', '快速關鍵字查詢', '2011-07-06 06:50:02'),
(4882, 'cn', 'keyword', 'results from ', '結果來自', '2011-07-06 06:50:02'),
(4883, 'cn', 'keyword', 'Show All results', '顯示所有結果', '2011-07-06 06:50:02'),
(4884, 'cn', 'keyword', 'Successfully crawled keyword', '成功爬取關鍵字', '2011-07-06 06:50:02'),
(4885, 'cn', 'keyword', 'to create new keywords', '創建新關鍵字', '2011-07-06 06:50:02'),
(4886, 'cn', 'label', 'already exist', '已經存在', '2014-01-09 15:35:37'),
(4887, 'cn', 'label', 'Authentication', '認證', '2014-01-09 15:35:37'),
(4888, 'cn', 'label', 'Author', '作者', '2014-01-09 15:35:37'),
(4889, 'cn', 'label', 'Click Here', '點擊這裡', '2014-01-09 15:35:37'),
(4890, 'cn', 'label', 'Cron', 'Cron', '2014-01-09 15:35:37'),
(4891, 'cn', 'label', 'Description', '描述', '2014-01-09 15:35:37'),
(4892, 'cn', 'label', 'Developers', '開發人員', '2014-01-09 15:35:37'),
(4893, 'cn', 'label', 'Download', '下載', '2014-01-09 15:35:37'),
(4894, 'cn', 'label', 'Installation', '安裝', '2014-01-09 15:35:37'),
(4895, 'cn', 'label', 'Keywords', '關鍵字', '2014-01-09 15:35:37'),
(4896, 'cn', 'label', 'noactiveplugins', '未找到可用的seo插件', '2014-01-09 15:35:37'),
(4897, 'cn', 'label', 'Plugin', '插件', '2014-01-09 15:35:37'),
(4898, 'cn', 'label', 'Port', '端口', '2014-01-09 15:35:37'),
(4899, 'cn', 'label', 'Proxy', '代理', '2014-01-09 15:35:37'),
(4900, 'cn', 'label', 'Re-install', '重新安裝', '2014-01-09 15:35:37'),
(4901, 'cn', 'label', 'Sponsors', '贊助商', '2014-01-09 15:35:37'),
(4902, 'cn', 'label', 'Title', '標題', '2014-01-09 15:35:37'),
(4903, 'cn', 'label', 'translation by', '譯者：', '2014-01-09 15:35:37'),
(4904, 'cn', 'label', 'Translators', '所有譯者：', '2014-01-09 15:35:37'),
(4905, 'cn', 'label', 'Upgrade', '升級', '2014-01-09 15:35:37'),
(4906, 'cn', 'label', 'Version', '版本', '2014-01-09 15:35:37'),
(4907, 'cn', 'label', 'wantproceed', '你確實要開始處理了嗎？', '2014-01-09 15:35:37'),
(4908, 'cn', 'login', 'Confirm Password', '確認密碼', '2014-01-09 15:40:06'),
(4909, 'cn', 'login', 'Create my account', '創建我的賬戶', '2014-01-09 15:40:06'),
(4910, 'cn', 'login', 'Create New Account', '創建一個新賬戶', '2014-01-09 15:40:06'),
(4911, 'cn', 'login', 'Email', '郵箱', '2014-01-09 15:40:06'),
(4912, 'cn', 'login', 'emailexist', '郵箱已存在', '2014-01-09 15:40:06'),
(4913, 'cn', 'login', 'Enter the code as it is shown', '輸入顯示的字符', '2014-01-09 15:40:06'),
(4914, 'cn', 'login', 'First Name', '名字', '2014-01-09 15:40:06'),
(4915, 'cn', 'login', 'Last Name', '姓', '2014-01-09 15:40:06'),
(4916, 'cn', 'login', 'Login', '登錄', '2014-01-09 15:40:06'),
(4917, 'cn', 'login', 'Login incorrect', '登錄信息不正確', '2014-01-09 15:40:06'),
(4918, 'cn', 'login', 'newaccountsuccess', '創建新賬戶成功', '2014-01-09 15:40:06'),
(4919, 'cn', 'login', 'Password', '密碼', '2014-01-09 15:40:06'),
(4920, 'cn', 'login', 'Password incorrect', '密碼不正確', '2014-01-09 15:40:06'),
(4921, 'cn', 'login', 'Register', '註冊', '2014-01-09 15:40:06'),
(4922, 'cn', 'login', 'Sign in to your account', '登錄你的賬戶', '2014-01-09 15:40:06'),
(4923, 'cn', 'login', 'User inactive', '用戶無效', '2014-01-09 15:40:06'),
(4924, 'cn', 'login', 'Username', '用戶名', '2014-01-09 15:40:06'),
(4925, 'cn', 'login', 'usernameexist', '用戶名已存在', '2014-01-09 15:40:06'),
(4926, 'cn', 'panel', 'About Us', '關於我們', '2014-01-09 15:37:31'),
(4927, 'cn', 'panel', 'Add following command to your cron tab', '加入以下命令到CRON列表', '2014-01-09 15:37:31'),
(4928, 'cn', 'panel', 'alsocheckfollowlink', '如果需要更多細節，請檢查一下鏈接', '2014-01-09 15:37:31'),
(4929, 'cn', 'panel', 'Check Directory', '檢查目錄', '2014-01-09 15:37:31'),
(4930, 'cn', 'panel', 'Cron Command', 'cron命令', '2014-01-09 15:37:31'),
(4931, 'cn', 'panel', 'Directory Manager', '目錄管理', '2014-01-09 15:37:31'),
(4932, 'cn', 'panel', 'Edit My Profile', '編輯我的資料', '2014-01-09 15:37:31'),
(4933, 'cn', 'panel', 'My Profile', '我的資料', '2014-01-09 15:37:31'),
(4934, 'cn', 'panel', 'New Proxy', '新建代理', '2014-01-09 15:37:31'),
(4935, 'cn', 'panel', 'New User', '新建用戶', '2014-01-09 15:37:31'),
(4936, 'cn', 'panel', 'New Website', '新的站點', '2014-01-09 15:37:31'),
(4937, 'cn', 'panel', 'Proxy Manager', '代理管理器', '2014-01-09 15:37:31'),
(4938, 'cn', 'panel', 'Report Generation Manager', '報告生成管理', '2014-01-09 15:37:31'),
(4939, 'cn', 'panel', 'Reports Manager', '報告管理', '2014-01-09 15:37:31'),
(4940, 'cn', 'panel', 'Seo Plugins Manager', 'seo插件管理', '2014-01-09 15:37:31'),
(4941, 'cn', 'panel', 'Seo Tools Manager', 'seo工具管理', '2014-01-09 15:37:31'),
(4942, 'cn', 'panel', 'System Settings', '系統設置', '2014-01-09 15:37:31'),
(4943, 'cn', 'panel', 'User Manager', '用戶管理', '2014-01-09 15:37:31'),
(4944, 'cn', 'panel', 'Website Manager', '站點管理', '2014-01-09 15:37:31'),
(4945, 'cn', 'plugin', 'Edit Seo Plugin', '編輯SEO插件', '2014-01-09 15:43:38'),
(4946, 'cn', 'plugin', 'Plugin Name', '插件名字', '2014-01-09 15:43:38'),
(4947, 'cn', 'plugin', 'Seo Plugin Details', 'SEO插件細節', '2014-01-09 15:43:38'),
(4948, 'cn', 'proxy', 'Edit Proxy', '編輯代理', '2014-01-09 15:44:24'),
(4949, 'cn', 'proxy', 'Proxy Password', '代理密碼', '2014-01-09 15:44:24'),
(4950, 'cn', 'proxy', 'Proxy Username', '代理用戶名', '2014-01-09 15:44:24'),
(4951, 'cn', 'proxy', 'Proxyalreadyexist', '代理已經存在', '2014-01-09 15:44:24'),
(4952, 'cn', 'rank', 'enterurlproceed', '輸入URL，<b>每行一條</b>。點擊<b>處理</b>開始檢查Google PR和Alexa 排名', '2011-05-04 09:43:04'),
(4953, 'cn', 'rank', 'Google and Alexa Rank Reports', 'Google PR和 Alexa 排名報告', '2011-05-04 09:43:04'),
(4954, 'cn', 'rank', 'Saved rank results of', '保存排名結果', '2011-05-04 09:43:04'),
(4955, 'cn', 'saturation', 'clickproceedsaturation', '輸入URL，<b>每行一條</b>。點擊<b>處理</b>開始檢查搜索引擎搜錄報告', '2011-05-04 09:46:51'),
(4956, 'cn', 'saturation', 'GenerateSaturationReports', '生成搜索引擎搜錄報告', '2011-05-04 09:46:51'),
(4957, 'cn', 'saturation', 'Quick Search Engine Saturation Checker', '快速搜索引擎搜錄檢查', '2011-05-04 09:46:51'),
(4958, 'cn', 'saturation', 'Saved Search Engine Saturation results of', '保存搜索引擎搜錄結果', '2011-05-04 09:46:51'),
(4959, 'cn', 'saturation', 'Search Engine Saturation Reports', '搜索引擎搜錄報告', '2011-05-04 09:46:51'),
(4960, 'cn', 'seotools', 'Automatic Submission', '自動提交', '2011-07-06 06:55:41'),
(4961, 'cn', 'seotools', 'backlink-checker', '反向鏈接檢查', '2011-07-06 06:55:41'),
(4962, 'cn', 'seotools', 'Backlinks Reports', '反向鏈接報告', '2011-07-06 06:55:41'),
(4963, 'cn', 'seotools', 'Check Submission Status', '檢查提交狀態', '2011-07-06 06:55:41'),
(4964, 'cn', 'seotools', 'clickgeneratereports', '點擊<b>處理</b>開始生成報告', '2011-07-06 06:55:41'),
(4965, 'cn', 'seotools', 'Detailed Position Reports', '詳細的位置報告', '2011-07-06 06:55:41'),
(4966, 'cn', 'seotools', 'directory-submission', '目錄提交', '2011-07-06 06:55:41'),
(4967, 'cn', 'seotools', 'Featured Submission', '篩選提交', '2011-07-06 06:55:41'),
(4968, 'cn', 'seotools', 'Generate Backlinks Reports', '生成反向鏈接報告', '2011-07-06 06:55:41'),
(4969, 'cn', 'seotools', 'Generate Keyword Reports', '生成關鍵字報告', '2011-07-06 06:55:41'),
(4970, 'cn', 'seotools', 'Generate Rank Reports', '生成排名報告', '2011-07-06 06:55:41'),
(4971, 'cn', 'seotools', 'Generate Saturation Reports', '生成收錄量報告', '2011-07-06 06:55:41'),
(4972, 'cn', 'seotools', 'Google Sitemap Generator', 'Google網站地圖報告', '2011-07-06 06:55:41'),
(4973, 'cn', 'seotools', 'Graphical Position Reports', '圖形位置報告', '2011-07-06 06:55:41'),
(4974, 'cn', 'seotools', 'Keyword Position Summary', '關鍵字概述', '2011-07-06 06:55:41'),
(4975, 'cn', 'seotools', 'keyword-position-checker', '關鍵字檢查', '2011-07-06 06:55:41'),
(4976, 'cn', 'seotools', 'Keywords Manager', '關鍵字管理', '2011-07-06 06:55:41'),
(4977, 'cn', 'seotools', 'Quick Backlinks Checker', '快速反向鏈接檢查', '2011-07-06 06:55:41'),
(4978, 'cn', 'seotools', 'Quick Position Checker', '快速位置檢查', '2011-07-06 06:55:41'),
(4979, 'cn', 'seotools', 'Quick Rank Checker', '快速排名檢查', '2011-07-06 06:55:41'),
(4980, 'cn', 'seotools', 'Quick Saturation Checker', '快速收錄量檢查', '2011-07-06 06:55:41'),
(4981, 'cn', 'seotools', 'Rank Reports', '排名報告', '2011-07-06 06:55:41'),
(4982, 'cn', 'seotools', 'rank-checker', '排名檢查', '2011-07-06 06:55:41'),
(4983, 'cn', 'seotools', 'Saturation Reports', '收錄量報告', '2011-07-06 06:55:41'),
(4984, 'cn', 'seotools', 'saturation-checker', '搜索引擎收錄量', '2011-07-06 06:55:41'),
(4985, 'cn', 'seotools', 'sitemap-generator', '站點地圖生成器', '2011-07-06 06:55:41'),
(4986, 'cn', 'seotools', 'Skipped Directories', '跳過的目錄', '2011-07-06 06:55:41'),
(4987, 'cn', 'seotools', 'Submission Reports', '提交報告', '2011-07-06 06:55:41'),
(4988, 'cn', 'seotools', 'User Access', '用戶訪問', '2011-07-06 06:55:41'),
(4989, 'cn', 'settings', 'Click here to become a sponsor for Seo Panel', '<b>捐贈$100</b> 成為Seo Panel的一個<b>贊助人</b>.', '2014-01-09 16:04:14'),
(4990, 'cn', 'settings', 'seopanel_description', 'Seo panel是一個完整的免費的能對你的站點進行搜索引擎優化的控制面板。它擁有很多熱門的seo工具來追踪你的站點情況。它是一個開源軟件，而且你可以開發自己的seopanel。', '2014-01-09 16:04:14'),
(4991, 'cn', 'settings', 'seopanel_title', 'Seo Panel：全球第一款多​​站點seo處理開源軟件', '2014-01-09 16:04:14'),
(4992, 'cn', 'settings', 'SP_CRAWL_DELAY', '每次爬去间隔时间(秒)', '2014-01-09 16:04:14'),
(4993, 'cn', 'settings', 'SP_DEFAULTLANG', '默認語言', '2014-01-09 16:04:14'),
(4994, 'cn', 'settings', 'SP_DESCRIPTION', 'Seo Panel 描述', '2014-01-09 16:04:14'),
(4995, 'cn', 'settings', 'SP_ENABLE_PROXY', '使用代理', '2014-01-09 16:04:14'),
(4996, 'cn', 'settings', 'SP_HOTLINKING', '使用圖片盜鏈保護', '2014-01-09 16:04:14'),
(4997, 'cn', 'settings', 'SP_KEYWORDS', 'Seo Panel 關鍵字', '2014-01-09 16:04:14'),
(4998, 'cn', 'settings', 'SP_PAGINGNO', '每頁條目數量', '2014-01-09 16:04:14'),
(4999, 'cn', 'settings', 'SP_TITLE', 'Seo Panel 標題', '2014-01-09 16:04:14'),
(5000, 'cn', 'settings', 'SP_USER_AGENT', '用戶代理', '2014-01-09 16:04:14'),
(5001, 'cn', 'settings', 'SP_USER_GEN_REPORT', '允許用戶生成報告', '2014-01-09 16:04:14'),
(5002, 'cn', 'settings', 'SP_USER_REGISTRATION', '用戶註冊接口', '2014-01-09 16:04:14'),
(5003, 'cn', 'settings', 'syssettingssaved', '系統設置保存成功', '2014-01-09 16:04:14'),
(5004, 'cn', 'sitemap', 'Change frequency', '改變頻率', '2011-05-04 09:58:33'),
(5005, 'cn', 'sitemap', 'clickproceedsitemap', '點擊<b>處理</b>創建站點地圖文件', '2011-05-04 09:58:33'),
(5006, 'cn', 'sitemap', 'Download sitemap file from', '下載站點地圖文件', '2011-05-04 09:58:33'),
(5007, 'cn', 'sitemap', 'Exclude Url', '不包括的URL', '2011-05-04 09:58:33'),
(5008, 'cn', 'sitemap', 'processtaketime', '本次處理需要一段時間根據你的站點連接數。請等待，稍後將獲取站點地圖文件', '2011-05-04 09:58:33'),
(5009, 'cn', 'sitemap', 'Sitemap Type', '站點地圖類型', '2011-05-04 09:58:33'),
(5010, 'cn', 'support', 'support_cont1', '<fieldset>\r\n<legend>Seo Panel 幫助系統</legend>\r\n<ul class=\\\"infobox\\\">\r\n    <li>\r\n        <h1>1000 目錄包</h1>\r\n        <p>\r\n            我們提供<b>超過1000個可用的</b>網絡目錄包,加到\r\n你的seo panel <b>目錄提交工具</b>.\r\n            它會幫助你<b>增加反向鏈接</b>你的站點.\r\n            在我們獲得捐贈後為seo panel<b>以為未來發展</b>,您將獲得<b>推薦</b>的1000目錄列表，.\r\n            想要獲得1000目錄列表請<a href=\\\"<?=SP_DONATE_LINK?>\\\" target=\\\"_blank\\\">捐贈</a>\r\n$10 或者更多 來改善 seo panel 的功能 .\r\n            如果你有任何問題關於1000目錄包,請<a href=\\\"<?=SP_CONTACT_LINK?>\\\"\r\ntarget=\\\"_blank\\\">聯繫我們</a>或者打開一個頁面<a href=\\\"<?=SP_SUPPORT_LINK?>\\\"\r\ntarget=\\\"_blank\\\">幫助系統</a>.\r\n        </p>\r\n        <p>\r\n            <a href=\\\"<?=SP_DONATE_LINK?>\\\" target=\\\"_blank\\\">訪問這個鏈接捐贈seo panel</a>\r\n        </p>\r\n        <br>\r\n    </li>\r\n     \r\n    <li>\r\n        <h1>本地搜索引擎包</h1>\r\n        <p>\r\n            增加<b>本地搜索引擎域</b>google,yahoo,msn(<b>例如: www.google.de,www.google.fr\r\netc</b>) seo panel <b>關鍵字position checker</b>, 追踪你的站點行為本地.\r\n            為了獲得本地搜索引擎包(根據你的需求) 請<a\r\nhref=\\\"<?=SP_DONATE_LINK?>\\\" target=\\\"_blank\\\">捐贈</a> $10或者更多來改善功能seo\r\npanel.\r\n            捐贈之前, 請<a href=\\\"<?=SP_CONTACT_LINK?>\\\" target=\\\"_blank\\\">聯繫我們</a> to\r\n提供給我們需要的搜索引擎域名列表.\r\n            <br><br>\r\n             增加<b>新的搜索引擎(例如:baidu.com)</b>你的seo panel關鍵字position checker,\r\n請<a href=\\\"<?=SP_CONTACT_LINK?>\\\" target=\\\"_blank\\\">聯繫我們</a>或者打開一個頁面在<a\r\nhref=\\\"<?=SP_SUPPORT_LINK?>\\\" target=\\\"_blank\\\">幫助系統</a>.\r\n        </p>\r\n        <p class=\\\"visit\\\">\r\n            <a href=\\\"<?=SP_CONTACT_LINK?>\\\" target=\\\"_blank\\\">訪問這個鏈接聯繫我們</a>\r\n        </p>\r\n        <br>\r\n    </li>\r\n     \r\n    <li>\r\n        <h1>Seo Panel插件</h1>\r\n        <p>\r\n            增加<b>seo插件</b> 你的seo panel <b>擴展功能</b>根據你的\r\n需求.\r\n            <a href=\\\"<?=SP_PLUGINSITE?>\\\" target=\\\"_blank\\\">Seo panel插件</a>由seo panel\r\n和第三方站點提供.\r\n            你可以easily <b>develop</b> seo插件來你的seo panel.\r\n            你可以<a href=\\\"<?=SP_PLUGINSITE?>\\\" target=\\\"_blank\\\">提交</a>你的seo plugin seo panel 並且\r\n我們會<b>發布</b>到我們的站點在<b>審查</b>之後.\r\n        </p>\r\n        <p>\r\n            <a href=\\\"<?=SP_PLUGINSITE?>\\\" target=\\\"_blank\\\">訪問這個鏈接為了獲得seo panel插件</a>\r\n        </p>\r\n        <br>\r\n    </li>\r\n    <li>\r\n        <h1>聯繫我們</h1>\r\n        <p>\r\n            聯繫我們來任何問題關於<b>seo panel 工具,插件和功能等等</b> 通過以下鏈接.\r\n        </p>\r\n        <p>\r\n            <a href=\\\"<?=SP_CONTACT_LINK?>\\\" target=\\\"_blank\\\">訪問這個鏈接聯繫我們</a>\r\n        </p>\r\n        <br>\r\n    </li>\r\n    <li>\r\n        <h1>技術支持</h1>\r\n        <p>\r\n            為了獲得<b>技術支持</b>從seo panel團隊設置<b>seo panel工具,插件和\r\n功能</b>. 例如: 設置cron來關鍵字位置checker.\r\n        </p>\r\n        <p>\r\n            <a href=\\\"<?=SP_SUPPORT_LINK?>\\\" target=\\\"_blank\\\">訪問這個鏈接創建一個支持ticket</a>\r\n        </p>\r\n        <br>\r\n    </li>\r\n    <li>\r\n        <h1>報告Bugs</h1>\r\n        <p>\r\n            報告<b>bugs</b> 關於<b>seo panel 工具,插件和功能等等</b> 通過以下鏈接.\r\n            請幫助我們在下個版本來改善功能.\r\n        </p>\r\n        <p>\r\n            <a href=\\\"<?=SP_SUPPORT_LINK?>\\\" target=\\\"_blank\\\">訪問這個鏈接報告bugs</a>\r\n        </p>\r\n        <br>\r\n    </li>\r\n</ul>\r\n</fieldset>', '2011-05-04 09:59:39'),
(5011, 'cn', 'support', 'support_cont2', '<fieldset>\r\n<legend>Seo Panel 在線資源</legend>\r\n<ul class=\\\"infobox\\\">\r\n         \r\n    <li>\r\n        <h1>Seo Panel 幫助嚮導</h1>\r\n        <p>\r\n            你可以看<a href=\\\"<?=SP_HELP_LINK?>\\\" target=\\\"_blank\\\">seo panel文檔</a>在\r\n<b>幫助嚮導</b>, 它包括<b>文檔</b>來seo panel 工具,插件和相關的\r\n功能.\r\n            <br>這是在因特網獲得關於seo panel幫助的<b>最好的地方</b>.如果你發現錯誤或者缺少東西,我們希望你seo panel 幫助嚮導<b>報告</b>.\r\n        </p>\r\n        <p>\r\n            <a href=\\\"<?=SP_HELP_LINK?>\\\" target=\\\"_blank\\\">訪問seo panel 幫助嚮導</a>\r\n        </p>\r\n        <br>\r\n    </li>\r\n    <li>\r\n        <h1>Seo Panel論壇</h1>\r\n        <p>\r\n            一個地方討論關於世界上第一款開源的<b>seo control panel</b>.\r\n            這是最好的地方找到<b>答案</b> <b>你的問題</b> 關於seo panel.\r\n            <br> 你可以<b>分享</b>你的<b>經驗</b> 在使用seo panel來操作你的\r\n站點.\r\n        </p>\r\n        <p>\r\n            <a href=\\\"<?=SP_FORUM_LINK?>\\\" target=\\\"_blank\\\">訪問seo panel論壇</a>\r\n        </p>\r\n        <br>\r\n    </li>\r\n</ul>\r\n</fieldset>\r\n', '2011-05-04 09:59:39'),
(5012, 'cn', 'support', 'support_cont3', '<fieldset>\r\n<legend>捐贈 Seo Panel</legend>\r\n<ul class=\\\"infobox\\\">\r\n    <li>\r\n        <h1>捐贈Seo Panel - 世界上第一款開源的seo control panel</h1>\r\n        <p>\r\n            <b>捐贈</b> seo panel支持第一款開源的seo control panel世界上.\r\n            我們計劃<b>增加和提高</b> 功能seo panel 的在未來.\r\n            <br>有了你的<b>支持</b>我們才能達到我們的<b>目標</b>.\r\n            如果你覺得seo panel是<b>值得</b>你擁有, 請捐贈支持seo panel 團隊.\r\n            <br>我們<b>會公佈</b> 你的名字和站點信息在<a href=\\\"<?=SP_DONATE_LINK?>\\\"\r\ntarget=\\\"_blank\\\">捐贈頁面</a>, 一旦我們獲得捐贈.\r\n        </p>\r\n        <p>\r\n            <a href=\\\"<?=SP_DONATE_LINK?>\\\" target=\\\"_blank\\\">訪問這個鏈接捐贈seo panel</a>\r\n        </p>\r\n        <br>\r\n    </li>\r\n</ul>\r\n</fieldset>', '2011-05-04 09:59:39'),
(5013, 'cn', 'user', 'Edit User', '編輯用戶信息', '2011-05-04 10:00:10'),
(5014, 'cn', 'user', 'Saved My Profile Details', '保存我的詳細資料', '2011-05-04 10:00:10'),
(5015, 'cn', 'website', 'Edit Website', '編輯站點', '2011-05-04 10:00:54'),
(5016, 'cn', 'website', 'plscrtwebsite', '使用seo工具和插件前，請先創建一個站點', '2011-05-04 10:00:54'),
(5017, 'cn', 'website', 'Website already exist', '站點已經存在', '2011-05-04 10:00:54'),
(5018, 'cn', 'website', 'yourwebalreday', '你的站點，如果你已經創建了一個', '2011-05-04 10:00:54'),
(5019, 'en', 'settings', 'Check for Updates', 'Check for Updates', '2018-01-22 19:59:29'),
(5020, 'en', 'settings', 'Your Seo Panel installation is up to date', 'Your Seo Panel installation is up to date.', '2018-01-22 19:59:29'),
(5021, 'en', 'settings', 'versionnotuptodatemsg', 'Your Seo Panel installation is not up to date. <br>Please download new version', '2018-01-22 19:59:29'),
(5022, 'en', 'seotools', 'site-auditor', 'Site Auditor', '2011-06-14 07:46:30'),
(5023, 'en', 'seotools', 'Auditor Projects', 'Auditor Projects', '2011-06-15 01:20:18'),
(5024, 'en', 'seotools', 'Auditor Settings', 'Auditor Settings', '2011-06-15 01:21:50'),
(5025, 'en', 'seotools', 'Auditor Reports', 'Auditor Reports', '2011-06-15 01:21:50'),
(5026, 'en', 'panel', 'New Project', 'New Project', '2011-06-15 01:39:23'),
(5027, 'en', 'panel', 'Edit Project', 'Edit Project', '2011-06-15 06:24:40'),
(5028, 'es', 'panel', 'Edit Project', 'Editar proyecto', '2012-05-12 10:55:03'),
(5029, 'es', 'panel', 'New Project', 'Nuevo proyecto', '2012-05-12 10:55:03'),
(5030, 'es', 'settings', 'Check for Updates', 'Buscar actualizaciones', '2012-05-12 11:03:05'),
(5031, 'es', 'settings', 'versionnotuptodatemsg', 'Tu version de Seo Panle está desactualizada<br /> Descarga la nueva version.', '2012-05-12 11:03:05'),
(5032, 'es', 'settings', 'Your Seo Panel installation is up to date', 'Tu version de Seo Panel está actualizada.', '2012-05-12 11:03:05'),
(5033, 'es', 'seotools', 'Auditor Projects', 'Proyectos', '2011-07-13 19:32:41'),
(5034, 'es', 'seotools', 'Auditor Reports', 'Informes', '2011-07-13 19:32:41'),
(5035, 'es', 'seotools', 'Auditor Settings', 'Configuración', '2011-07-13 19:32:41'),
(5036, 'es', 'seotools', 'site-auditor', 'Informe del sitio', '2011-07-13 19:32:41'),
(5037, 'en', 'keyword', 'Insert keywords separated with comma', 'Insert keywords separated with comma', '2011-07-04 07:48:43'),
(5038, 'en', 'siteauditor', 'Maximum Pages', 'Maximum Pages', '2011-07-04 07:53:29'),
(5039, 'en', 'siteauditor', 'Pages Found', 'Pages Found', '2011-07-04 07:53:29'),
(5040, 'en', 'siteauditor', 'Crawled Pages', 'Crawled Pages', '2011-07-04 07:54:08'),
(5041, 'en', 'siteauditor', 'Recheck Pages', 'Recheck Pages', '2011-07-04 07:54:08'),
(5042, 'en', 'label', 'Score', 'Score', '2011-07-04 07:57:57'),
(5043, 'en', 'label', 'Updated', 'Updated', '2011-07-04 07:58:33'),
(5044, 'en', 'label', 'View Reports', 'View Reports', '2011-07-04 08:10:55'),
(5045, 'en', 'siteauditor', 'Run Project', 'Run Project', '2011-07-04 08:11:28'),
(5046, 'en', 'settings', 'SA_MAX_NO_PAGES', 'Maximum number of pages allowed per website', '2018-01-22 19:59:29'),
(5047, 'en', 'siteauditor', 'Site Auditor Settings', 'Site Auditor Settings', '2011-07-04 08:20:36'),
(5048, 'en', 'settings', 'SA_CRAWL_DELAY_TIME', 'Site auditor crawl delay between each pages', '2018-01-22 19:59:29'),
(5049, 'en', 'seotools', 'Import Project Links', 'Import Project Links', '2011-07-04 08:27:22'),
(5050, 'en', 'label', 'Project', 'Project', '2011-07-04 08:29:24'),
(5051, 'en', 'siteauditor', 'Maximum number of pages to be checked', 'Maximum number of pages to be checked', '2011-07-04 08:45:26'),
(5052, 'en', 'siteauditor', 'Exclude links', 'Exclude links', '2011-07-04 08:45:50'),
(5053, 'en', 'siteauditor', 'insertlinkssepcoma', 'Insert links separated with comma to exclude infinite links from the reports', '2011-07-04 08:49:43'),
(5054, 'en', 'siteauditor', 'anylinkcontainabovelinks', 'Any links contain above links will be excluded from reports', '2011-07-04 08:50:19'),
(5055, 'en', 'siteauditor', 'Check google pagerank of pages', 'Check google pagerank of pages', '2011-07-04 08:52:15'),
(5056, 'en', 'siteauditor', 'Check backlinks of pages', 'Check backlinks of pages', '2011-07-04 08:52:15'),
(5057, 'en', 'siteauditor', 'Check pages indexed or not', 'Check pages indexed or not', '2011-07-04 08:52:32'),
(5058, 'en', 'siteauditor', 'Store all links found in a page', 'Store all links found in a page', '2011-07-04 08:52:32'),
(5059, 'en', 'siteauditor', 'Check broken links in a page', 'Check broken links in a page', '2011-07-04 08:53:05'),
(5060, 'en', 'siteauditor', 'checkborckenlinkwait', 'Check broken links will increase the execution time of a project', '2011-07-04 08:53:05'),
(5061, 'en', 'siteauditor', 'Execute with cron', 'Execute with cron', '2011-07-04 08:53:21'),
(5062, 'en', 'siteauditor', 'Number of pages is greater than', 'Number of pages is greater than', '2011-07-04 09:03:18'),
(5063, 'en', 'siteauditor', 'Number of pages should be greater than', 'Number of pages should be greater than', '2011-07-04 09:05:57'),
(5064, 'en', 'siteauditor', 'projectalreadyexist', 'Project for this website already exist', '2011-07-04 09:07:07'),
(5065, 'en', 'label', 'Exclude', 'Exclude', '2011-07-04 09:10:34'),
(5066, 'en', 'label', 'Include', 'Include', '2011-07-04 09:10:34'),
(5067, 'en', 'siteauditor', 'should start with', 'should start with', '2011-07-04 09:12:04'),
(5068, 'en', 'siteauditor', 'Project Summary', 'Project Summary', '2011-07-04 09:36:28'),
(5069, 'en', 'siteauditor', 'Crawling Page', 'Crawling Page', '2011-07-04 09:36:28'),
(5070, 'en', 'siteauditor', 'pressescapetostopexecution', 'Press <b>escape</b> key to stop execution of script', '2011-07-04 09:37:42'),
(5071, 'en', 'siteauditor', 'to run project again if you stopped execution', 'to run project again if you stopped execution', '2011-07-04 09:39:32'),
(5072, 'en', 'siteauditor', 'crawledsuccesssfullywaitfornext', 'crawled successfully! Waiting for crawling next page for', '2011-07-04 09:40:57'),
(5073, 'en', 'siteauditor', 'Completed project execution', 'Completed project execution', '2011-07-04 09:42:06'),
(5074, 'en', 'siteauditor', 'to view the reports', 'to view the reports', '2011-07-04 09:42:06'),
(5075, 'en', 'siteauditor', 'Link Reports', 'Link Reports', '2011-07-05 07:03:09'),
(5076, 'en', 'siteauditor', 'Report Summary', 'Report Summary', '2011-07-05 07:03:09'),
(5077, 'en', 'siteauditor', 'Duplicate Title', 'Duplicate Title', '2011-07-05 07:03:27'),
(5078, 'en', 'siteauditor', 'Duplicate Description', 'Duplicate Description', '2011-07-05 07:03:27'),
(5079, 'en', 'siteauditor', 'Duplicate Keywords', 'Duplicate Keywords', '2011-07-05 07:03:36'),
(5080, 'en', 'siteauditor', 'No active projects found', 'No active projects found', '2011-07-05 07:04:13'),
(5081, 'en', 'label', 'Report Type', 'Report Type', '2011-07-05 07:07:46'),
(5082, 'en', 'siteauditor', 'Crawled', 'Crawled', '2011-07-05 07:08:35'),
(5083, 'en', 'siteauditor', 'Page Link', 'Page Link', '2011-07-05 07:10:01'),
(5084, 'en', 'label', 'Brocken', 'Broken', '2011-07-05 07:14:20'),
(5085, 'en', 'home', 'Indexed', 'Indexed', '2019-08-06 05:55:20'),
(5086, 'en', 'siteauditor', 'Total Links', 'Total Links', '2011-07-05 07:25:02'),
(5087, 'en', 'siteauditor', 'External Links', 'External Links', '2011-07-05 07:28:13'),
(5088, 'en', 'label', 'Comments', 'Comments', '2011-07-05 07:37:55'),
(5089, 'en', 'label', 'Total Results', 'Total Results', '2011-07-05 07:40:51'),
(5090, 'en', 'siteauditor', 'Project Url', 'Project Url', '2011-07-05 07:43:00'),
(5091, 'en', 'siteauditor', 'Page Details', 'Page Details', '2011-07-05 07:48:12'),
(5092, 'en', 'siteauditor', 'Check Score', 'Check Score', '2011-07-05 07:48:12'),
(5093, 'en', 'siteauditor', 'Import Project Links', 'Import Project Links', '2011-07-05 07:49:36'),
(5094, 'en', 'siteauditor', 'Page Links', 'Page Links', '2011-07-05 08:02:58'),
(5095, 'en', 'siteauditor', 'Anchor', 'Anchor', '2011-07-05 08:04:07'),
(5096, 'en', 'siteauditor', 'Link Title', 'Link Title', '2011-07-05 08:04:45'),
(5097, 'en', 'siteauditor', 'Nofollow', 'Nofollow', '2011-07-05 08:05:25'),
(5098, 'en', 'siteauditor', 'External', 'External', '2011-07-05 08:06:26'),
(5099, 'en', 'label', 'Count', 'Count', '2011-07-05 08:33:22'),
(5100, 'en', 'siteauditor', 'Insert links separated with comma', 'Insert links separated with comma', '2011-07-05 08:50:06'),
(5101, 'en', 'siteauditor', 'totallinksgreaterallowed', 'Total links will become greater than maximum links allowed to the project', '2011-07-05 08:53:12'),
(5102, 'en', 'siteauditor', 'anylinkcontainexcludesitemap', 'Any links contain above links will be excluded from sitemap', '2011-07-05 09:13:12'),
(5103, 'en', 'siteauditor', 'The page title length is not between', 'The page title length is not between', '2011-07-05 09:18:06'),
(5104, 'en', 'siteauditor', 'The page description length is not between', 'The page description length is not between', '2011-07-05 09:18:58'),
(5105, 'en', 'siteauditor', 'The page keywords length is not between', 'The page keywords length is not between', '2011-07-05 09:19:53'),
(5106, 'en', 'siteauditor', 'The page is brocken', 'The page is broken', '2011-07-05 09:23:30'),
(5107, 'en', 'siteauditor', 'The total number of links in page is greater than', 'The total number of links in page is greater than\r\n', '2011-07-05 09:23:30'),
(5108, 'en', 'siteauditor', 'The page is having exellent pagerank', 'The page has excellent pagerank', '2011-07-05 09:23:50'),
(5109, 'en', 'siteauditor', 'The page is having very good pagerank', 'The page has very good pagerank', '2011-07-05 09:23:50'),
(5110, 'en', 'siteauditor', 'The page is having good pagerank', 'The page has good pagerank', '2011-07-05 09:24:11'),
(5111, 'en', 'siteauditor', 'The page is having poor pagerank', 'The page has poor pagerank', '2011-07-05 09:24:11'),
(5112, 'en', 'siteauditor', 'The page is having exellent number of backlinks in', 'The page has excellent number of backlinks in', '2011-07-05 09:24:32'),
(5113, 'en', 'siteauditor', 'The page is having good number of backlinks in', 'The page has good number of backlinks in', '2011-07-05 09:24:32'),
(5114, 'en', 'siteauditor', 'The page is not having backlinks in', 'The page does not have backlinks in', '2011-07-05 09:24:51'),
(5115, 'en', 'siteauditor', 'The page is not indexed in', 'The page is not indexed in', '2011-07-05 09:24:51'),
(5127, 'ru', 'label', 'Updated', 'Обновлено', '2024-07-17 11:17:22'),
(5128, 'ru', 'label', 'View Reports', 'Просмотр отчетов', '2024-07-17 11:17:22'),
(5129, 'ru', 'panel', 'Edit Project', 'Редактировать проект', '2024-07-17 11:19:14'),
(5130, 'ru', 'panel', 'New Project', 'Новый проект', '2024-07-17 11:19:14'),
(5131, 'ru', 'seotools', 'Auditor Projects', 'Аудитор проектов', '2024-07-17 11:26:22'),
(5132, 'ru', 'seotools', 'Auditor Reports', 'Аудитор отчетов', '2024-07-17 11:26:22'),
(5133, 'ru', 'seotools', 'Auditor Settings', 'Настройки аудитора', '2024-07-17 11:26:22'),
(5134, 'ru', 'seotools', 'Import Project Links', 'Импорт ссылки проекта', '2024-07-17 11:26:22'),
(5135, 'ru', 'seotools', 'site-auditor', 'Аудитор сайта', '2024-07-17 11:26:22'),
(5136, 'ru', 'settings', 'Check for Updates', 'Проверить наличие обновлений', '2024-07-17 11:22:42'),
(5137, 'ru', 'settings', 'SA_CRAWL_DELAY_TIME', 'Задержка между обходом каждой страницы сайта при аудите', '2024-07-17 11:22:42'),
(5138, 'ru', 'settings', 'SA_MAX_NO_PAGES', 'Максимально разрешенное количество страниц на сайте', '2024-07-17 11:22:42'),
(5139, 'ru', 'settings', 'versionnotuptodatemsg', 'Ваша Seo Panel устарела. <br>Пожалуйста, скачайте новую версию', '2024-07-17 11:22:42'),
(5140, 'ru', 'settings', 'Your Seo Panel installation is up to date', 'Установленная Seo Panel в актуальном состоянии.', '2024-07-17 11:22:42'),
(5141, 'ja', 'home', 'Indexed', 'インデックス済', '2019-04-01 09:45:19'),
(5142, 'ja', 'keyword', 'Insert keywords separated with comma', 'キーワードをカンマ区切りで挿入', '2016-01-04 06:34:06'),
(5143, 'ja', 'label', 'Brocken', 'リンク切れ', '2019-04-01 09:45:51'),
(5144, 'ja', 'label', 'Comments', 'コメント', '2019-04-01 09:45:51'),
(5145, 'ja', 'label', 'Count', 'カウント', '2019-04-01 09:45:51'),
(5146, 'ja', 'label', 'Exclude', '除外する', '2019-04-01 09:45:51'),
(5147, 'ja', 'label', 'Include', '含める', '2019-04-01 09:45:51'),
(5148, 'ja', 'label', 'Project', 'プロジェクト', '2019-04-01 09:45:51'),
(5149, 'ja', 'label', 'Report Type', 'レポートタイプ', '2019-04-01 09:45:51'),
(5150, 'ja', 'label', 'Score', 'スコア', '2019-04-01 09:45:51'),
(5151, 'ja', 'label', 'Total Results', '総合結果', '2019-04-01 09:45:51'),
(5152, 'ja', 'label', 'Updated', '更新済', '2019-04-01 09:45:51'),
(5153, 'ja', 'label', 'View Reports', 'レポートを閲覧', '2019-04-01 09:45:51'),
(5154, 'ja', 'panel', 'Edit Project', 'プロジェクトの編集', '2019-04-01 09:46:57'),
(5155, 'ja', 'panel', 'New Project', '新規プロジェクト', '2019-04-01 09:46:57'),
(5156, 'ja', 'seotools', 'Auditor Projects', '監査プロジェクト', '2019-04-01 09:49:13'),
(5157, 'ja', 'seotools', 'Auditor Reports', '監査レポート', '2019-04-01 09:49:13'),
(5158, 'ja', 'seotools', 'Auditor Settings', '監査設定', '2019-04-01 09:49:13'),
(5159, 'ja', 'seotools', 'Import Project Links', 'プロジェクトリンクのインポート', '2019-04-01 09:49:13'),
(5160, 'ja', 'seotools', 'site-auditor', 'サイト監査', '2019-04-01 09:49:13'),
(5161, 'ja', 'settings', 'Check for Updates', '更新を確認', '2019-04-01 09:52:17'),
(5162, 'ja', 'settings', 'SA_CRAWL_DELAY_TIME', '各ページのサイト監査巡回頻度', '2019-04-01 09:52:17'),
(5163, 'ja', 'settings', 'SA_MAX_NO_PAGES', '１ウェブサイトに許可される最大ページ数', '2019-04-01 09:52:17'),
(5164, 'ja', 'settings', 'versionnotuptodatemsg', 'お使いのSeo Panelは最新版ではありません。　<br>新バージョンをダウンロードしてください。', '2019-04-01 09:52:17'),
(5165, 'ja', 'settings', 'Your Seo Panel installation is up to date', '最新版のSeo Panelがインストールされています。', '2019-04-01 09:52:17'),
(5166, 'ja', 'siteauditor', 'Anchor', 'アンカー', '2018-01-23 01:19:20'),
(5167, 'ja', 'siteauditor', 'anylinkcontainabovelinks', '上記リンクを含むリンクはレポートから除外されます', '2018-01-23 01:19:20'),
(5168, 'ja', 'siteauditor', 'anylinkcontainexcludesitemap', '上記リンクを含むリンクはサイトマップから除外されます', '2018-01-23 01:19:20'),
(5169, 'ja', 'siteauditor', 'Check backlinks of pages', 'ページのバックリンクを確認', '2018-01-23 01:19:20'),
(5170, 'ja', 'siteauditor', 'Check broken links in a page', 'ページ内のリンク切れを確認', '2018-01-23 01:19:20'),
(5171, 'ja', 'siteauditor', 'Check google pagerank of pages', 'ページのgoogleページランクを確認', '2018-01-23 01:19:20'),
(5172, 'ja', 'siteauditor', 'Check pages indexed or not', 'ページのインデックス状況を確認', '2018-01-23 01:19:20'),
(5173, 'ja', 'siteauditor', 'Check Score', 'スコアの確認', '2018-01-23 01:19:20'),
(5174, 'ja', 'siteauditor', 'checkborckenlinkwait', 'リンク切れ確認は、プロジェクトの実行時間を増加させます', '2018-01-23 01:19:20'),
(5175, 'ja', 'siteauditor', 'Completed project execution', 'プロジェクトの実行完了', '2018-01-23 01:19:20'),
(5176, 'ja', 'siteauditor', 'Crawled', 'クロール済', '2018-01-23 01:19:20'),
(5177, 'ja', 'siteauditor', 'Crawled Pages', 'クロール済ページ', '2018-01-23 01:19:20'),
(5178, 'ja', 'siteauditor', 'crawledsuccesssfullywaitfornext', 'クロールに成功！次ページのクロール待機中', '2018-01-23 01:19:20'),
(5179, 'ja', 'siteauditor', 'Crawling Page', 'クロール中のページ', '2018-01-23 01:19:20'),
(5180, 'ja', 'siteauditor', 'Duplicate Description', '重複ディスクリプション', '2018-01-23 01:19:20'),
(5181, 'ja', 'siteauditor', 'Duplicate Keywords', '重複キーワード', '2018-01-23 01:19:20'),
(5182, 'ja', 'siteauditor', 'Duplicate Title', '重複タイトル', '2018-01-23 01:19:20'),
(5183, 'ja', 'siteauditor', 'Exclude links', 'リンクを除外', '2018-01-23 01:19:20'),
(5184, 'ja', 'siteauditor', 'Execute with cron', 'クーロンで実行', '2018-01-23 01:19:20'),
(5185, 'ja', 'siteauditor', 'External', '外部', '2018-01-23 01:19:20'),
(5186, 'ja', 'siteauditor', 'External Links', '外部リンク', '2018-01-23 01:19:20'),
(5187, 'ja', 'siteauditor', 'Import Project Links', 'プロジェクトリンクのインポート', '2018-01-23 01:19:20'),
(5188, 'ja', 'siteauditor', 'Insert links separated with comma', 'リンクをカンマ区切りで挿入', '2018-01-23 01:19:20'),
(5189, 'ja', 'siteauditor', 'insertlinkssepcoma', '無限リンクをレポートから除外するには、カンマ区切りでリンクを挿入', '2018-01-23 01:19:20'),
(5190, 'ja', 'siteauditor', 'Link Reports', 'リンクレポート', '2018-01-23 01:19:20'),
(5191, 'ja', 'siteauditor', 'Link Title', 'リンクタイトル', '2018-01-23 01:19:20'),
(5192, 'ja', 'siteauditor', 'Maximum number of pages to be checked', 'チェックされるページの最大数', '2018-01-23 01:19:20'),
(5193, 'ja', 'siteauditor', 'Maximum Pages', '最大ページ数', '2018-01-23 01:19:20'),
(5194, 'ja', 'siteauditor', 'No active projects found', 'アクティブなプロジェクトはありません', '2018-01-23 01:19:20'),
(5195, 'ja', 'siteauditor', 'Nofollow', 'ノーフォロー', '2018-01-23 01:19:20'),
(5196, 'ja', 'siteauditor', 'Number of pages is greater than', 'ページ数が次を超えています：', '2018-01-23 01:19:20'),
(5197, 'ja', 'siteauditor', 'Number of pages should be greater than', 'ページ数が次を満たしていません：', '2018-01-23 01:19:20'),
(5198, 'ja', 'siteauditor', 'Page Details', 'ページ詳細', '2018-01-23 01:19:20'),
(5199, 'ja', 'siteauditor', 'Page Link', 'ページリンク', '2018-01-23 01:19:20'),
(5200, 'ja', 'siteauditor', 'Page Links', 'ページリンク', '2018-01-23 01:19:20'),
(5201, 'ja', 'siteauditor', 'Pages Found', '検出ページ', '2018-01-23 01:19:20'),
(5202, 'ja', 'siteauditor', 'pressescapetostopexecution', 'スクリプトの実行を停止するには<b>エスケープ</b>キーを押して下さい', '2018-01-23 01:19:20'),
(5203, 'ja', 'siteauditor', 'Project Summary', 'プロジェクトサマリ', '2018-01-23 01:19:20'),
(5204, 'ja', 'siteauditor', 'Project Url', 'プロジェクトURL', '2018-01-23 01:19:20'),
(5205, 'ja', 'siteauditor', 'projectalreadyexist', 'このウェブサイトのプロジェクトは既に存在します', '2018-01-23 01:19:20'),
(5206, 'ja', 'siteauditor', 'Recheck Pages', 'ページの再チェック', '2018-01-23 01:19:20'),
(5207, 'ja', 'siteauditor', 'Report Summary', 'レポートサマリ', '2018-01-23 01:19:20'),
(5208, 'ja', 'siteauditor', 'Run Project', 'プロジェクトの実行', '2018-01-23 01:19:20'),
(5209, 'ja', 'siteauditor', 'should start with', '次で始まるべきです：', '2018-01-23 01:19:20'),
(5210, 'ja', 'siteauditor', 'Site Auditor Settings', 'サイト監査設定', '2018-01-23 01:19:20'),
(5211, 'ja', 'siteauditor', 'Store all links found in a page', 'ページで検出されたリンクをすべて保存する', '2018-01-23 01:19:20'),
(5212, 'ja', 'siteauditor', 'The page description length is not between', 'ページディスクリプションの長さが次に当てはまりません：', '2018-01-23 01:19:20'),
(5213, 'ja', 'siteauditor', 'The page is brocken', 'ページは破損しています', '2018-01-23 01:19:20'),
(5214, 'ja', 'siteauditor', 'The page is having exellent number of backlinks in', 'ページのバックリンク数は極めて優秀です', '2018-01-23 01:19:20'),
(5215, 'ja', 'siteauditor', 'The page is having exellent pagerank', 'ページのページランクは極めて優秀です', '2018-01-23 01:19:20'),
(5216, 'ja', 'siteauditor', 'The page is having good number of backlinks in', 'ページのバックリンク数は良好です', '2018-01-23 01:19:20'),
(5217, 'ja', 'siteauditor', 'The page is having good pagerank', 'ページのページランクは良好です', '2018-01-23 01:19:20'),
(5218, 'ja', 'siteauditor', 'The page is having poor pagerank', 'ページのページランクは悪いです', '2018-01-23 01:19:20'),
(5219, 'ja', 'siteauditor', 'The page is having very good pagerank', 'ページのページランクはとても良いです', '2018-01-23 01:19:20'),
(5220, 'ja', 'siteauditor', 'The page is not having backlinks in', 'ページにはバックリンクがありません', '2018-01-23 01:19:20'),
(5221, 'ja', 'siteauditor', 'The page is not indexed in', 'ページはインデックスされていません', '2018-01-23 01:19:20'),
(5222, 'ja', 'siteauditor', 'The page keywords length is not between', 'ページキーワードの長さが次に当てはまりません：', '2018-01-23 01:19:20'),
(5223, 'ja', 'siteauditor', 'The page title length is not between', 'ページタイトルの長さが次に当てはまりません：', '2018-01-23 01:19:20'),
(5224, 'ja', 'siteauditor', 'The total number of links in page is greater than', 'ページ内のリンク合計数が次を超過しています：', '2018-01-23 01:19:20'),
(5225, 'ja', 'siteauditor', 'to run project again if you stopped execution', '実行を停止した場合に再度プロジェクトを実行するには', '2018-01-23 01:19:20'),
(5226, 'ja', 'siteauditor', 'to view the reports', 'レポートを見るには', '2018-01-23 01:19:20'),
(5227, 'ja', 'siteauditor', 'Total Links', '合計リンク数', '2018-01-23 01:19:20'),
(5228, 'ja', 'siteauditor', 'totallinksgreaterallowed', '合計リンク数が、プロジェクトに許可された合計リンク数を超過します', '2018-01-23 01:19:20'),
(5229, 'ru', 'siteauditor', 'Anchor', 'Якорь', '2017-07-13 16:51:34'),
(5230, 'ru', 'siteauditor', 'anylinkcontainabovelinks', 'Все ссылки уже присутствующие в проекте, будут исключены из отчетов', '2017-07-13 16:51:34'),
(5231, 'ru', 'siteauditor', 'anylinkcontainexcludesitemap', 'Все ссылки содержащие ссылки выше, будут исключены из карты сайта', '2017-07-13 16:51:34'),
(5232, 'ru', 'siteauditor', 'Check backlinks of pages', 'Проверка обратных ссылок страниц', '2017-07-13 16:51:34'),
(5233, 'ru', 'siteauditor', 'Check broken links in a page', 'Проверить нерабочие ссылки на страницы', '2017-07-13 16:51:34'),
(5234, 'ru', 'siteauditor', 'Check google pagerank of pages', 'Проверка Google PageRank страниц', '2017-07-13 16:51:34'),
(5235, 'ru', 'siteauditor', 'Check pages indexed or not', 'Проверка индексации страниц', '2017-07-13 16:51:34'),
(5236, 'ru', 'siteauditor', 'Check Score', 'Проверка оценки', '2017-07-13 16:51:34'),
(5237, 'ru', 'siteauditor', 'checkborckenlinkwait', 'Проверка битых ссылок, увеличит время выполнения проекта', '2017-07-13 16:51:34'),
(5238, 'ru', 'siteauditor', 'Completed project execution', 'Завершено выполненных проектов', '2017-07-13 16:51:34'),
(5239, 'ru', 'siteauditor', 'Crawled', 'Сканирование', '2017-07-13 16:51:34'),
(5240, 'ru', 'siteauditor', 'Crawled Pages', 'Просканированных страниц', '2017-07-13 16:51:34'),
(5241, 'ru', 'siteauditor', 'crawledsuccesssfullywaitfornext', 'сканирование выполнено успешно! Ожидание сканирования следующей страницы', '2017-07-13 16:51:34'),
(5242, 'ru', 'siteauditor', 'Crawling Page', 'Сканирование страницы', '2017-07-13 16:51:34'),
(5243, 'ru', 'siteauditor', 'Duplicate Description', 'Дубликат описания', '2017-07-13 16:51:34'),
(5244, 'ru', 'siteauditor', 'Duplicate Keywords', 'Повторяющиеся ключевые слова', '2017-07-13 16:51:34'),
(5245, 'ru', 'siteauditor', 'Duplicate Title', 'Дубликат заголовка', '2017-07-13 16:51:34'),
(5246, 'ru', 'siteauditor', 'Exclude links', 'Исключить ссылки', '2017-07-13 16:51:34'),
(5247, 'ru', 'siteauditor', 'Execute with cron', 'Выполнить cron', '2017-07-13 16:51:34'),
(5248, 'ru', 'siteauditor', 'External', 'Внешний', '2017-07-13 16:51:34'),
(5249, 'ru', 'siteauditor', 'External Links', 'Внешние ссылки', '2017-07-13 16:51:34'),
(5250, 'ru', 'siteauditor', 'Import Project Links', 'Импорт ссылки проекта', '2017-07-13 16:51:34'),
(5251, 'ru', 'siteauditor', 'Insert links separated with comma', 'Вставьте ссылки, разделенные запятыми', '2017-07-13 16:51:34'),
(5252, 'ru', 'siteauditor', 'insertlinkssepcoma', 'Вставка ссылок через запятую, для исключения бесконечных ссылок в отчетах', '2017-07-13 16:51:34'),
(5253, 'ru', 'siteauditor', 'Link Reports', 'Отчеты по ссылкам', '2017-07-13 16:51:34'),
(5254, 'ru', 'siteauditor', 'Link Title', 'Заголовок ссылки', '2017-07-13 16:51:34'),
(5255, 'ru', 'siteauditor', 'Maximum number of pages to be checked', 'Максимальное количество страниц для проверки', '2017-07-13 16:51:34'),
(5256, 'ru', 'siteauditor', 'Maximum Pages', 'Максимум страниц', '2017-07-13 16:51:34'),
(5257, 'ru', 'siteauditor', 'No active projects found', 'Не активных проектов не найдено', '2017-07-13 16:51:34'),
(5258, 'ru', 'siteauditor', 'Nofollow', 'Не следует', '2017-07-13 16:51:34'),
(5259, 'ru', 'siteauditor', 'Number of pages is greater than', 'Количество страниц больше', '2017-07-13 16:51:34'),
(5260, 'ru', 'siteauditor', 'Number of pages should be greater than', 'Количество страниц должно быть более', '2017-07-13 16:51:34'),
(5261, 'ru', 'siteauditor', 'Page Details', 'Детали страниц', '2017-07-13 16:51:34'),
(5262, 'ru', 'siteauditor', 'Page Link', 'Ссылка страницы', '2017-07-13 16:51:34'),
(5263, 'ru', 'siteauditor', 'Page Links', 'Ссылки страниц', '2017-07-13 16:51:34'),
(5264, 'ru', 'siteauditor', 'Pages Found', 'Страница не существует', '2017-07-13 16:51:34'),
(5265, 'ru', 'siteauditor', 'pressescapetostopexecution', 'Нажмите <b>пробел</b> для остановки работы скрипта', '2017-07-13 16:51:34'),
(5266, 'ru', 'siteauditor', 'Project Summary', 'Краткое описание проекта', '2017-07-13 16:51:34'),
(5267, 'ru', 'siteauditor', 'Project Url', 'URL проекта', '2017-07-13 16:51:34'),
(5268, 'ru', 'siteauditor', 'projectalreadyexist', 'Проект данного сайта уже существуют', '2017-07-13 16:51:34'),
(5269, 'ru', 'siteauditor', 'Recheck Pages', 'Повторная проверка страниц', '2017-07-13 16:51:34'),
(5270, 'ru', 'siteauditor', 'Report Summary', 'Краткий отчет', '2017-07-13 16:51:34'),
(5271, 'ru', 'siteauditor', 'Run Project', 'Выполнить проект', '2017-07-13 16:51:34'),
(5272, 'ru', 'siteauditor', 'should start with', 'должна начинаться с', '2017-07-13 16:51:34'),
(5273, 'ru', 'siteauditor', 'Site Auditor Settings', 'Настройки аудитора сайта', '2017-07-13 16:51:34'),
(5274, 'ru', 'siteauditor', 'Store all links found in a page', 'Сохранять все ссылки, найденные на страницах', '2017-07-13 16:51:34'),
(5275, 'ru', 'siteauditor', 'The page description length is not between', 'Длина описания страниц не в пределах', '2017-07-13 16:51:34'),
(5276, 'ru', 'siteauditor', 'The page is brocken', 'Битые страницы', '2017-07-13 16:51:34'),
(5277, 'ru', 'siteauditor', 'The page is having exellent number of backlinks in', 'Страница с хорошим количеством обратных ссылок в', '2017-07-13 16:51:34'),
(5278, 'ru', 'siteauditor', 'The page is having exellent pagerank', 'Страницы с хорошим PageRank', '2017-07-13 16:51:34'),
(5279, 'ru', 'siteauditor', 'The page is having good number of backlinks in', 'Страницы, имеющие большое количество обратных ссылок на', '2017-07-13 16:51:34'),
(5280, 'ru', 'siteauditor', 'The page is having good pagerank', 'Страницы имеющие хороший PageRank', '2017-07-13 16:51:34'),
(5281, 'ru', 'siteauditor', 'The page is having poor pagerank', 'Страницы с низким PageRank', '2017-07-13 16:51:34'),
(5282, 'ru', 'siteauditor', 'The page is having very good pagerank', 'Страницы с очень высоким PageRank', '2017-07-13 16:51:34'),
(5283, 'ru', 'siteauditor', 'The page is not having backlinks in', 'Страницы не имеющие обратных ссылок на', '2017-07-13 16:51:34'),
(5284, 'ru', 'siteauditor', 'The page is not indexed in', 'Не проиндексированные страницы в', '2017-07-13 16:51:34'),
(5285, 'ru', 'siteauditor', 'The page keywords length is not between', 'Длина страницы ключевых слов не между', '2017-07-13 16:51:34'),
(5286, 'ru', 'siteauditor', 'The page title length is not between', 'Длина заголовка страницы не между', '2017-07-13 16:51:34'),
(5287, 'ru', 'siteauditor', 'The total number of links in page is greater than', 'Общее количество ссылок на странице больше', '2017-07-13 16:51:34'),
(5288, 'ru', 'siteauditor', 'to run project again if you stopped execution', 'запустить проект снова, если вы остановили выполнение', '2017-07-13 16:51:34'),
(5289, 'ru', 'siteauditor', 'to view the reports', 'Для просмотра отчетов', '2017-07-13 16:51:34'),
(5290, 'ru', 'siteauditor', 'Total Links', 'Всего ссылок', '2017-07-13 16:51:34'),
(5291, 'ru', 'siteauditor', 'totallinksgreaterallowed', 'Количество ссылок станет больше максимально разрешенных ссылок для одного проекта', '2017-07-13 16:51:34'),
(5292, 'nl', 'home', 'Indexed', 'Geïndexeerd', '2011-07-05 21:52:28'),
(5293, 'nl', 'keyword', 'Insert keywords separated with comma', 'Voeg zoekwoorden toe net komma gescheiden ', '2011-07-05 21:54:33'),
(5294, 'nl', 'label', 'Brocken', 'Kapot', '2014-01-07 21:37:43'),
(5295, 'nl', 'label', 'Comments', 'Commentaar', '2014-01-07 21:37:43'),
(5296, 'nl', 'label', 'Count', 'Aantal', '2014-01-07 21:37:43'),
(5297, 'nl', 'label', 'Exclude', 'Uitsluiten', '2014-01-07 21:37:43'),
(5298, 'nl', 'label', 'Include', 'Insluiten', '2014-01-07 21:37:43'),
(5299, 'nl', 'label', 'Project', 'Project', '2014-01-07 21:37:43'),
(5300, 'nl', 'label', 'Report Type', 'Rapport type', '2014-01-07 21:37:43'),
(5301, 'nl', 'label', 'Score', 'Score', '2014-01-07 21:37:43'),
(5302, 'nl', 'label', 'Total Results', 'Totaal resultaten', '2014-01-07 21:37:43'),
(5303, 'nl', 'label', 'Updated', 'Ge-update', '2014-01-07 21:37:43'),
(5304, 'nl', 'label', 'View Reports', 'Bekijk rapporten', '2014-01-07 21:37:43'),
(5305, 'nl', 'panel', 'Edit Project', 'Bewerk project', '2014-01-07 21:46:33'),
(5306, 'nl', 'panel', 'New Project', 'Nieuw project', '2014-01-07 21:46:33'),
(5307, 'nl', 'seotools', 'Auditor Projects', 'Auditor Projecten', '2011-07-05 22:20:43'),
(5308, 'nl', 'seotools', 'Auditor Reports', 'Auditor Rapporten ', '2011-07-05 22:20:43'),
(5309, 'nl', 'seotools', 'Auditor Settings', 'Auditor Instellingen', '2011-07-05 22:20:43'),
(5310, 'nl', 'seotools', 'Import Project Links', 'Importeer Project Links', '2011-07-05 22:20:43'),
(5311, 'nl', 'seotools', 'site-auditor', 'Site Auditor', '2011-07-05 22:20:43'),
(5312, 'nl', 'settings', 'Check for Updates', 'Controleer voor updates', '2014-01-07 21:51:05'),
(5313, 'nl', 'settings', 'SA_CRAWL_DELAY_TIME', 'Site auditor pauze tussen pagina\'s', '2014-01-07 21:51:05'),
(5314, 'nl', 'settings', 'SA_MAX_NO_PAGES', 'Maximum aantal pagina\'s toegestaan per website', '2014-01-07 21:51:05'),
(5315, 'nl', 'settings', 'versionnotuptodatemsg', 'Uw Seo Panel installatie is niet up to date. <br>Download a.u.b. de nieuwste versie', '2014-01-07 21:51:05'),
(5316, 'nl', 'settings', 'Your Seo Panel installation is up to date', 'Uw Seo Panel installatie is up to date.', '2014-01-07 21:51:05'),
(5317, 'nl', 'siteauditor', 'Anchor', 'Anker', '2011-07-13 09:45:04'),
(5318, 'nl', 'siteauditor', 'anylinkcontainabovelinks', 'Alle links hierboven worden uitgesloten in de rapporten ', '2011-07-13 09:45:04'),
(5319, 'nl', 'siteauditor', 'anylinkcontainexcludesitemap', 'Alle links hierboven worden uitgesloten in de sitemap', '2011-07-13 09:45:04'),
(5320, 'nl', 'siteauditor', 'Check backlinks of pages', 'Controleer backlinks van de pagina\\\'s', '2011-07-13 09:45:04'),
(5321, 'nl', 'siteauditor', 'Check broken links in a page', 'Controleer defecte links in een pagina', '2011-07-13 09:45:04'),
(5322, 'nl', 'siteauditor', 'Check google pagerank of pages', 'Controleer google pagerank van de pagina\\\'s', '2011-07-13 09:45:04'),
(5323, 'nl', 'siteauditor', 'Check pages indexed or not', 'Controleer of de pagina\\\'s geïndexeerd zijn', '2011-07-13 09:45:04'),
(5324, 'nl', 'siteauditor', 'Check Score', 'Controleer score', '2011-07-13 09:45:04'),
(5325, 'nl', 'siteauditor', 'checkborckenlinkwait', 'Controleer defecte links zal de tijd van de uitvoering vergroten van een project.', '2011-07-13 09:45:04'),
(5326, 'nl', 'siteauditor', 'Completed project execution', 'Voltooide project uitvoering', '2011-07-13 09:45:04'),
(5327, 'nl', 'siteauditor', 'Crawled', 'Onderzocht', '2011-07-13 09:45:04'),
(5328, 'nl', 'siteauditor', 'Crawled Pages', 'Onderzochte pagina\\\'s', '2011-07-13 09:45:04'),
(5329, 'nl', 'siteauditor', 'crawledsuccesssfullywaitfornext', 'succesvol Onderzocht! Wacht voor het onderzoeken van de volgende pagina voor', '2011-07-13 09:45:04'),
(5330, 'nl', 'siteauditor', 'Crawling Page', 'Pagina aan het onderzoeken', '2011-07-13 09:45:04'),
(5331, 'nl', 'siteauditor', 'Duplicate Description', 'Dubbele omschrijving', '2011-07-13 09:45:04'),
(5332, 'nl', 'siteauditor', 'Duplicate Keywords', 'Dubbele zoekwoorden', '2011-07-13 09:45:04'),
(5333, 'nl', 'siteauditor', 'Duplicate Title', 'Dubbele titel', '2011-07-13 09:45:04'),
(5334, 'nl', 'siteauditor', 'Exclude links', 'Links uitsluiten', '2011-07-13 09:45:04'),
(5335, 'nl', 'siteauditor', 'Execute with cron', 'Voer uit met cron', '2011-07-13 09:45:04'),
(5336, 'nl', 'siteauditor', 'External', 'Extern', '2011-07-13 09:45:04'),
(5337, 'nl', 'siteauditor', 'External Links', 'Externe links', '2011-07-13 09:45:04'),
(5338, 'nl', 'siteauditor', 'Import Project Links', 'Importeer project links', '2011-07-13 09:45:04'),
(5339, 'nl', 'siteauditor', 'Insert links separated with comma', 'Voeg link toe, komma gescheiden', '2011-07-13 09:45:04'),
(5340, 'nl', 'siteauditor', 'insertlinkssepcoma', 'Voeg komma gescheiden links toe om oneindige links in rapporten uit te sluiten', '2011-07-13 09:45:04'),
(5341, 'nl', 'siteauditor', 'Link Reports', 'Link rapporten', '2011-07-13 09:45:04'),
(5342, 'nl', 'siteauditor', 'Link Title', 'Link titel', '2011-07-13 09:45:04'),
(5343, 'nl', 'siteauditor', 'Maximum number of pages to be checked', 'Maximaal aantal te controleren pagina\\\'s', '2011-07-13 09:45:04'),
(5344, 'nl', 'siteauditor', 'Maximum Pages', 'Maximale pagina\\\'s ', '2011-07-13 09:45:04'),
(5345, 'nl', 'siteauditor', 'No active projects found', 'Geen actieve projecten gevonden', '2011-07-13 09:45:04'),
(5346, 'nl', 'siteauditor', 'Nofollow', 'Niet volgen', '2011-07-13 09:45:04'),
(5347, 'nl', 'siteauditor', 'Number of pages is greater than', 'Aantal pagina\\\'s is groter dan', '2011-07-13 09:45:04'),
(5348, 'nl', 'siteauditor', 'Number of pages should be greater than', 'Aantal pagina\\\'s dient groter te zijn dan', '2011-07-13 09:45:04'),
(5349, 'nl', 'siteauditor', 'Page Details', 'Pagina details', '2011-07-13 09:45:04'),
(5350, 'nl', 'siteauditor', 'Page Link', 'Pagina link', '2011-07-13 09:45:04');
INSERT INTO `texts` (`id`, `lang_code`, `category`, `label`, `content`, `changed`) VALUES
(5351, 'nl', 'siteauditor', 'Page Links', 'Pagina links', '2011-07-13 09:45:04'),
(5352, 'nl', 'siteauditor', 'Pages Found', 'Gevonden pagina\\\'s', '2011-07-13 09:45:04'),
(5353, 'nl', 'siteauditor', 'pressescapetostopexecution', 'Druk op <b>escape</b> om de uitvoering te stoppen.', '2011-07-13 09:45:04'),
(5354, 'nl', 'siteauditor', 'Project Summary', 'Project overzicht', '2011-07-13 09:45:04'),
(5355, 'nl', 'siteauditor', 'Project Url', 'Project Url', '2011-07-13 09:45:04'),
(5356, 'nl', 'siteauditor', 'projectalreadyexist', 'Project voor deze website bestaat al', '2011-07-13 09:45:04'),
(5357, 'nl', 'siteauditor', 'Recheck Pages', 'Controleer pagina\\\'s opnieuw', '2011-07-13 09:45:04'),
(5358, 'nl', 'siteauditor', 'Report Summary', 'Rapport overzicht', '2011-07-13 09:45:04'),
(5359, 'nl', 'siteauditor', 'Run Project', 'Voer project uit', '2011-07-13 09:45:04'),
(5360, 'nl', 'siteauditor', 'should start with', 'moet beginnen met', '2011-07-13 09:45:04'),
(5361, 'nl', 'siteauditor', 'Site Auditor Settings', 'Site auditor instellingen', '2011-07-13 09:45:04'),
(5362, 'nl', 'siteauditor', 'Store all links found in a page', 'Sla alle links op in een pagina', '2011-07-13 09:45:04'),
(5363, 'nl', 'siteauditor', 'The page description length is not between', 'De pagina omschrijving lengte is niet tussen', '2011-07-13 09:45:04'),
(5364, 'nl', 'siteauditor', 'The page is brocken', 'De pagina is defect', '2011-07-13 09:45:04'),
(5365, 'nl', 'siteauditor', 'The page is having exellent number of backlinks in', 'De pagina heeft een perfecte hoeveelheid backlinks', '2011-07-13 09:45:04'),
(5366, 'nl', 'siteauditor', 'The page is having exellent pagerank', 'De pagina heeft een perfecte pagerank', '2011-07-13 09:45:04'),
(5367, 'nl', 'siteauditor', 'The page is having good number of backlinks in', 'De pagina heeft een goede hoeveelheid backlinks', '2011-07-13 09:45:04'),
(5368, 'nl', 'siteauditor', 'The page is having good pagerank', 'De pagina heeft een goede pagerank', '2011-07-13 09:45:04'),
(5369, 'nl', 'siteauditor', 'The page is having poor pagerank', 'De pagina heeft een matige hoeveelheid backlinks', '2011-07-13 09:45:04'),
(5370, 'nl', 'siteauditor', 'The page is having very good pagerank', 'De pagina heeft een erg goede pagerank', '2011-07-13 09:45:04'),
(5371, 'nl', 'siteauditor', 'The page is not having backlinks in', 'De pagina heeft een geen backlinks in', '2011-07-13 09:45:04'),
(5372, 'nl', 'siteauditor', 'The page is not indexed in', 'De pagina is niet geïndexeerd in', '2011-07-13 09:45:04'),
(5373, 'nl', 'siteauditor', 'The page keywords length is not between', 'De pagina zoekwoorden lengte is niet tussen', '2011-07-13 09:45:04'),
(5374, 'nl', 'siteauditor', 'The page title length is not between', 'De pagina titel lengte is niet tussen', '2011-07-13 09:45:04'),
(5375, 'nl', 'siteauditor', 'The total number of links in page is greater than', 'Het totaal aantal links op de pagina is groter dan', '2011-07-13 09:45:04'),
(5376, 'nl', 'siteauditor', 'to run project again if you stopped execution', 'om het project uit te voeren als u de uitvoering heeft gestopt', '2011-07-13 09:45:04'),
(5377, 'nl', 'siteauditor', 'to view the reports', 'om rapporten te bekijken', '2011-07-13 09:45:04'),
(5378, 'nl', 'siteauditor', 'Total Links', 'Totaal aantal links', '2011-07-13 09:45:04'),
(5379, 'nl', 'siteauditor', 'totallinksgreaterallowed', 'Totaal aantal links wordt groter dan de maximaal aantal links toegestaan voor het project', '2011-07-13 09:45:04'),
(5380, 'zh', 'home', 'Indexed', '索引', '2011-07-06 06:02:25'),
(5381, 'zh', 'keyword', 'Insert keywords separated with comma', '插入关键词(可逗号分隔多个)', '2011-07-06 06:03:07'),
(5382, 'zh', 'label', 'Brocken', '损坏', '2014-05-15 17:47:51'),
(5383, 'zh', 'label', 'Comments', '评论', '2014-05-15 17:47:51'),
(5384, 'zh', 'label', 'Count', '数量', '2014-05-15 17:47:51'),
(5385, 'zh', 'label', 'Exclude', '除去', '2014-05-15 17:47:51'),
(5386, 'zh', 'label', 'Include', '包括', '2014-05-15 17:47:51'),
(5387, 'zh', 'label', 'Project', '项目', '2014-05-15 17:47:51'),
(5388, 'zh', 'label', 'Report Type', '报告类型', '2014-05-15 17:47:51'),
(5389, 'zh', 'label', 'Score', '得分', '2014-05-15 17:47:51'),
(5390, 'zh', 'label', 'Total Results', '总结果', '2014-05-15 17:47:51'),
(5391, 'zh', 'label', 'Updated', '更新', '2014-05-15 17:47:51'),
(5392, 'zh', 'label', 'View Reports', '查看报告', '2014-05-15 17:47:51'),
(5393, 'zh', 'panel', 'Edit Project', '编辑项目', '2014-05-15 17:48:57'),
(5394, 'zh', 'panel', 'New Project', '新的项目', '2014-05-15 17:48:57'),
(5395, 'zh', 'seotools', 'Auditor Projects', '审计项目', '2011-07-06 06:05:37'),
(5396, 'zh', 'seotools', 'Auditor Reports', '审计报告', '2011-07-06 06:05:37'),
(5397, 'zh', 'seotools', 'Auditor Settings', '审计设置', '2011-07-06 06:05:37'),
(5398, 'zh', 'seotools', 'Import Project Links', '导入项目链接', '2011-07-06 06:05:37'),
(5399, 'zh', 'seotools', 'site-auditor', '站点审计器', '2011-07-06 06:05:37'),
(5400, 'zh', 'settings', 'Check for Updates', '检测更新', '2014-05-15 17:56:30'),
(5401, 'zh', 'settings', 'SA_CRAWL_DELAY_TIME', '站点审计器停留抓取每张网页', '2014-05-15 17:56:30'),
(5402, 'zh', 'settings', 'SA_MAX_NO_PAGES', '每个站点最大数量页面', '2014-05-15 17:56:30'),
(5403, 'zh', 'settings', 'versionnotuptodatemsg', '你的Seo Panel安装没有更新. <br>请下载新版本', '2014-05-15 17:56:30'),
(5404, 'zh', 'settings', 'Your Seo Panel installation is up to date', '你的Seo Panel安装没有更新.', '2014-05-15 17:56:30'),
(5405, 'zh', 'siteauditor', 'Anchor', '锚标记', '2011-07-06 06:45:08'),
(5406, 'zh', 'siteauditor', 'anylinkcontainabovelinks', '以上的链接均会被在报告中排除', '2011-07-06 06:45:08'),
(5407, 'zh', 'siteauditor', 'anylinkcontainexcludesitemap', '以上的链接均会被在站点地图中排除', '2011-07-06 06:45:08'),
(5408, 'zh', 'siteauditor', 'Check backlinks of pages', '检查页面的外部链接', '2011-07-06 06:45:08'),
(5409, 'zh', 'siteauditor', 'Check broken links in a page', '检查页面的错误连接', '2011-07-06 06:45:08'),
(5410, 'zh', 'siteauditor', 'Check google pagerank of pages', '检查页面的PR', '2011-07-06 06:45:08'),
(5411, 'zh', 'siteauditor', 'Check pages indexed or not', '检测页面索引状态', '2011-07-06 06:45:08'),
(5412, 'zh', 'siteauditor', 'Check Score', '检测得分', '2011-07-06 06:45:08'),
(5413, 'zh', 'siteauditor', 'checkborckenlinkwait', '检测页面的错误链接将增加一个项目的执行时间', '2011-07-06 06:45:08'),
(5414, 'zh', 'siteauditor', 'Completed project execution', '完成项目执行', '2011-07-06 06:45:08'),
(5415, 'zh', 'siteauditor', 'Crawled', '被抓取', '2011-07-06 06:45:08'),
(5416, 'zh', 'siteauditor', 'Crawled Pages', '被抓取的页面', '2011-07-06 06:45:08'),
(5417, 'zh', 'siteauditor', 'crawledsuccesssfullywaitfornext', '抓取成功！等待抓取下一页面', '2011-07-06 06:45:08'),
(5418, 'zh', 'siteauditor', 'Crawling Page', '抓取页面', '2011-07-06 06:45:08'),
(5419, 'zh', 'siteauditor', 'Duplicate Description', '重复的描述', '2011-07-06 06:45:08'),
(5420, 'zh', 'siteauditor', 'Duplicate Keywords', '重复的关键词', '2011-07-06 06:45:08'),
(5421, 'zh', 'siteauditor', 'Duplicate Title', '重复的标题', '2011-07-06 06:45:08'),
(5422, 'zh', 'siteauditor', 'Exclude links', '排除连接', '2011-07-06 06:45:08'),
(5423, 'zh', 'siteauditor', 'Execute with cron', 'Cron任务执行', '2011-07-06 06:45:08'),
(5424, 'zh', 'siteauditor', 'External', '外部的', '2011-07-06 06:45:08'),
(5425, 'zh', 'siteauditor', 'External Links', '外部的链接', '2011-07-06 06:45:08'),
(5426, 'zh', 'siteauditor', 'Import Project Links', '导入项目链接', '2011-07-06 06:45:08'),
(5427, 'zh', 'siteauditor', 'Insert links separated with comma', '插入链接（可逗号分隔多个链接）', '2011-07-06 06:45:08'),
(5428, 'zh', 'siteauditor', 'insertlinkssepcoma', '插入需要从报告中排除的链接', '2011-07-06 06:45:08'),
(5429, 'zh', 'siteauditor', 'Link Reports', '链接报告', '2011-07-06 06:45:08'),
(5430, 'zh', 'siteauditor', 'Link Title', '链接标题', '2011-07-06 06:45:08'),
(5431, 'zh', 'siteauditor', 'Maximum number of pages to be checked', '最大检测页面数量', '2011-07-06 06:45:08'),
(5432, 'zh', 'siteauditor', 'Maximum Pages', '最大数量页面', '2011-07-06 06:45:08'),
(5433, 'zh', 'siteauditor', 'No active projects found', '没有被激活的项目被发现', '2011-07-06 06:45:08'),
(5434, 'zh', 'siteauditor', 'Nofollow', 'Nofollow', '2011-07-06 06:45:08'),
(5435, 'zh', 'siteauditor', 'Number of pages is greater than', '页面数量更好优于', '2011-07-06 06:45:08'),
(5436, 'zh', 'siteauditor', 'Number of pages should be greater than', '页面数量应该更好优于', '2011-07-06 06:45:08'),
(5437, 'zh', 'siteauditor', 'Page Details', '页面详情', '2011-07-06 06:45:08'),
(5438, 'zh', 'siteauditor', 'Page Link', '页面链接', '2011-07-06 06:45:08'),
(5439, 'zh', 'siteauditor', 'Page Links', '页面链接', '2011-07-06 06:45:08'),
(5440, 'zh', 'siteauditor', 'Pages Found', '页面发现', '2011-07-06 06:45:08'),
(5441, 'zh', 'siteauditor', 'pressescapetostopexecution', '按ESC键来停止脚本执行', '2011-07-06 06:45:08'),
(5442, 'zh', 'siteauditor', 'Project Summary', '项目总汇', '2011-07-06 06:45:08'),
(5443, 'zh', 'siteauditor', 'Project Url', '项目URL', '2011-07-06 06:45:08'),
(5444, 'zh', 'siteauditor', 'projectalreadyexist', '该网站的项目已经存在', '2011-07-06 06:45:08'),
(5445, 'zh', 'siteauditor', 'Recheck Pages', '重新检测页面', '2011-07-06 06:45:08'),
(5446, 'zh', 'siteauditor', 'Report Summary', '报告总汇', '2011-07-06 06:45:08'),
(5447, 'zh', 'siteauditor', 'Run Project', '运行项目', '2011-07-06 06:45:08'),
(5448, 'zh', 'siteauditor', 'should start with', '应该开始于', '2011-07-06 06:45:08'),
(5449, 'zh', 'siteauditor', 'Site Auditor Settings', '站点审计设置', '2011-07-06 06:45:08'),
(5450, 'zh', 'siteauditor', 'Store all links found in a page', '存储页面的所有链接', '2011-07-06 06:45:08'),
(5451, 'zh', 'siteauditor', 'The page description length is not between', '该页面的描述长度没有位于', '2011-07-06 06:45:08'),
(5452, 'zh', 'siteauditor', 'The page is brocken', '该页面已经损坏', '2011-07-06 06:45:08'),
(5453, 'zh', 'siteauditor', 'The page is having exellent number of backlinks in', '该页面拥有高质量的数量反链在', '2011-07-06 06:45:08'),
(5454, 'zh', 'siteauditor', 'The page is having exellent pagerank', '该页面拥有高质量的PR', '2011-07-06 06:45:08'),
(5455, 'zh', 'siteauditor', 'The page is having good number of backlinks in', '该页面拥有不错的反链在', '2011-07-06 06:45:08'),
(5456, 'zh', 'siteauditor', 'The page is having good pagerank', '该页面拥有较好的PR', '2011-07-06 06:45:08'),
(5457, 'zh', 'siteauditor', 'The page is having poor pagerank', '该页面拥有较差的PR', '2011-07-06 06:45:08'),
(5458, 'zh', 'siteauditor', 'The page is having very good pagerank', '该页面拥有非常不错的PR', '2011-07-06 06:45:08'),
(5459, 'zh', 'siteauditor', 'The page is not having backlinks in', '该页面没有拥有反链在', '2011-07-06 06:45:08'),
(5460, 'zh', 'siteauditor', 'The page is not indexed in', '该页面没有被索引在', '2011-07-06 06:45:08'),
(5461, 'zh', 'siteauditor', 'The page keywords length is not between', '该页面的关键词长度没有位于', '2011-07-06 06:45:08'),
(5462, 'zh', 'siteauditor', 'The page title length is not between', '该页面的标题长度没有位于', '2011-07-06 06:45:08'),
(5463, 'zh', 'siteauditor', 'The total number of links in page is greater than', '所有页面链接数量优于', '2011-07-06 06:45:08'),
(5464, 'zh', 'siteauditor', 'to run project again if you stopped execution', '如果你停止项目，请重新运行项目', '2011-07-06 06:45:08'),
(5465, 'zh', 'siteauditor', 'to view the reports', '浏览报告', '2011-07-06 06:45:08'),
(5466, 'zh', 'siteauditor', 'Total Links', '全部链接', '2011-07-06 06:45:08'),
(5467, 'zh', 'siteauditor', 'totallinksgreaterallowed', '全部链接将优于可允许的项目最大链接', '2011-07-06 06:45:08'),
(5468, 'cn', 'home', 'Indexed', '索引', '2011-07-06 06:47:27'),
(5469, 'cn', 'keyword', 'Insert keywords separated with comma', '插入關鍵詞(可逗號分隔多個)', '2011-07-06 06:50:02'),
(5470, 'cn', 'label', 'Brocken', '損壞', '2014-01-09 15:35:37'),
(5471, 'cn', 'label', 'Comments', '評論', '2014-01-09 15:35:37'),
(5472, 'cn', 'label', 'Count', '數量', '2014-01-09 15:35:37'),
(5473, 'cn', 'label', 'Exclude', '排除', '2014-01-09 15:35:37'),
(5474, 'cn', 'label', 'Include', '包括', '2014-01-09 15:35:37'),
(5475, 'cn', 'label', 'Project', '項目', '2014-01-09 15:35:37'),
(5476, 'cn', 'label', 'Report Type', '報告類型', '2014-01-09 15:35:37'),
(5477, 'cn', 'label', 'Score', '得分', '2014-01-09 15:35:37'),
(5478, 'cn', 'label', 'Total Results', '總結果', '2014-01-09 15:35:37'),
(5479, 'cn', 'label', 'Updated', '更新', '2014-01-09 15:35:37'),
(5480, 'cn', 'label', 'View Reports', '查看報告', '2014-01-09 15:35:37'),
(5481, 'cn', 'panel', 'Edit Project', '編輯項目', '2014-01-09 15:37:31'),
(5482, 'cn', 'panel', 'New Project', '新的項目', '2014-01-09 15:37:31'),
(5483, 'cn', 'seotools', 'Auditor Projects', '審計項目', '2011-07-06 06:55:41'),
(5484, 'cn', 'seotools', 'Auditor Reports', '審計報告', '2011-07-06 06:55:41'),
(5485, 'cn', 'seotools', 'Auditor Settings', '審計設置', '2011-07-06 06:55:41'),
(5486, 'cn', 'seotools', 'Import Project Links', '導入項目鏈接', '2011-07-06 06:55:41'),
(5487, 'cn', 'seotools', 'site-auditor', '站點審計器', '2011-07-06 06:55:41'),
(5488, 'cn', 'settings', 'Check for Updates', '檢測更新', '2014-01-09 16:04:14'),
(5489, 'cn', 'settings', 'SA_CRAWL_DELAY_TIME', '站點審計器停留抓取每張網頁', '2014-01-09 16:04:14'),
(5490, 'cn', 'settings', 'SA_MAX_NO_PAGES', '每個站點最大數量頁面', '2014-01-09 16:04:14'),
(5491, 'cn', 'settings', 'versionnotuptodatemsg', '你的Seo Panel安裝沒有更新. <br>請下載新版本', '2014-01-09 16:04:14'),
(5492, 'cn', 'settings', 'Your Seo Panel installation is up to date', '你的Seo Panel安裝沒有更新.', '2014-01-09 16:04:14'),
(5493, 'cn', 'siteauditor', 'Anchor', '錨標記', '2011-07-06 07:09:13'),
(5494, 'cn', 'siteauditor', 'anylinkcontainabovelinks', '以上的鏈接均會被在報告中排除', '2011-07-06 07:09:13'),
(5495, 'cn', 'siteauditor', 'anylinkcontainexcludesitemap', '以上的鏈接均會被在站點地圖中排除', '2011-07-06 07:09:13'),
(5496, 'cn', 'siteauditor', 'Check backlinks of pages', '檢查頁面的外部鏈接', '2011-07-06 07:09:13'),
(5497, 'cn', 'siteauditor', 'Check broken links in a page', '檢查頁面的錯誤連接', '2011-07-06 07:09:13'),
(5498, 'cn', 'siteauditor', 'Check google pagerank of pages', '檢查頁面的PR', '2011-07-06 07:09:13'),
(5499, 'cn', 'siteauditor', 'Check pages indexed or not', '檢測頁面索引狀態', '2011-07-06 07:09:13'),
(5500, 'cn', 'siteauditor', 'Check Score', '檢測得分', '2011-07-06 07:09:13'),
(5501, 'cn', 'siteauditor', 'checkborckenlinkwait', '檢測頁面的錯誤鏈接將增加一個項目的執行時間', '2011-07-06 07:09:13'),
(5502, 'cn', 'siteauditor', 'Completed project execution', '完成項目執行', '2011-07-06 07:09:13'),
(5503, 'cn', 'siteauditor', 'Crawled', '被抓取', '2011-07-06 07:09:13'),
(5504, 'cn', 'siteauditor', 'Crawled Pages', '被抓取的頁面', '2011-07-06 07:09:13'),
(5505, 'cn', 'siteauditor', 'crawledsuccesssfullywaitfornext', '抓取成功！等待抓取下一頁面', '2011-07-06 07:09:13'),
(5506, 'cn', 'siteauditor', 'Crawling Page', '抓取頁面', '2011-07-06 07:09:13'),
(5507, 'cn', 'siteauditor', 'Duplicate Description', '重複的描述', '2011-07-06 07:09:13'),
(5508, 'cn', 'siteauditor', 'Duplicate Keywords', '重複的關鍵詞', '2011-07-06 07:09:13'),
(5509, 'cn', 'siteauditor', 'Duplicate Title', '重複的標題', '2011-07-06 07:09:13'),
(5510, 'cn', 'siteauditor', 'Exclude links', '排除連接', '2011-07-06 07:09:13'),
(5511, 'cn', 'siteauditor', 'Execute with cron', 'Cron任務執行', '2011-07-06 07:09:13'),
(5512, 'cn', 'siteauditor', 'External', '外部的', '2011-07-06 07:09:13'),
(5513, 'cn', 'siteauditor', 'External Links', '外部的鏈接', '2011-07-06 07:09:13'),
(5514, 'cn', 'siteauditor', 'Import Project Links', '導入項目鏈接', '2011-07-06 07:09:13'),
(5515, 'cn', 'siteauditor', 'Insert links separated with comma', '插入鏈接（可逗號分隔多個鏈接）', '2011-07-06 07:09:13'),
(5516, 'cn', 'siteauditor', 'insertlinkssepcoma', '插入需要從報告中排除的鏈接', '2011-07-06 07:09:13'),
(5517, 'cn', 'siteauditor', 'Link Reports', '鏈接報告', '2011-07-06 07:09:13'),
(5518, 'cn', 'siteauditor', 'Link Title', '鏈接標題', '2011-07-06 07:09:13'),
(5519, 'cn', 'siteauditor', 'Maximum number of pages to be checked', '最大檢測頁面數量', '2011-07-06 07:09:13'),
(5520, 'cn', 'siteauditor', 'Maximum Pages', '最大數量頁面', '2011-07-06 07:09:13'),
(5521, 'cn', 'siteauditor', 'No active projects found', '沒有被激活的項目被發現', '2011-07-06 07:09:13'),
(5522, 'cn', 'siteauditor', 'Nofollow', 'Nofollow', '2011-07-06 07:09:13'),
(5523, 'cn', 'siteauditor', 'Number of pages is greater than', '頁面數量更好優於', '2011-07-06 07:09:13'),
(5524, 'cn', 'siteauditor', 'Number of pages should be greater than', '頁面數量應該更好優於', '2011-07-06 07:09:13'),
(5525, 'cn', 'siteauditor', 'Page Details', '頁面詳情', '2011-07-06 07:09:13'),
(5526, 'cn', 'siteauditor', 'Page Link', '頁面鏈接', '2011-07-06 07:09:13'),
(5527, 'cn', 'siteauditor', 'Page Links', '頁面鏈接', '2011-07-06 07:09:13'),
(5528, 'cn', 'siteauditor', 'Pages Found', '頁面發現', '2011-07-06 07:09:13'),
(5529, 'cn', 'siteauditor', 'pressescapetostopexecution', '按ESC鍵來停止腳本執行', '2011-07-06 07:09:13'),
(5530, 'cn', 'siteauditor', 'Project Summary', '項目總匯', '2011-07-06 07:09:13'),
(5531, 'cn', 'siteauditor', 'Project Url', '項目URL', '2011-07-06 07:09:13'),
(5532, 'cn', 'siteauditor', 'projectalreadyexist', '該網站的項目已經存在', '2011-07-06 07:09:13'),
(5533, 'cn', 'siteauditor', 'Recheck Pages', '重新檢測頁面', '2011-07-06 07:09:13'),
(5534, 'cn', 'siteauditor', 'Report Summary', '報告總匯', '2011-07-06 07:09:13'),
(5535, 'cn', 'siteauditor', 'Run Project', '運行項目', '2011-07-06 07:09:13'),
(5536, 'cn', 'siteauditor', 'should start with', '應該開始於', '2011-07-06 07:09:13'),
(5537, 'cn', 'siteauditor', 'Site Auditor Settings', '站點審計設置', '2011-07-06 07:09:13'),
(5538, 'cn', 'siteauditor', 'Store all links found in a page', '存儲頁面的所有鏈接', '2011-07-06 07:09:13'),
(5539, 'cn', 'siteauditor', 'The page description length is not between', '該頁面的描述長度沒有位於', '2011-07-06 07:09:13'),
(5540, 'cn', 'siteauditor', 'The page is brocken', '該頁面已經損壞', '2011-07-06 07:09:13'),
(5541, 'cn', 'siteauditor', 'The page is having exellent number of backlinks in', '該頁面擁有高質量的數量反鏈在', '2011-07-06 07:09:13'),
(5542, 'cn', 'siteauditor', 'The page is having exellent pagerank', '該頁面擁有高質量的PR', '2011-07-06 07:09:13'),
(5543, 'cn', 'siteauditor', 'The page is having good number of backlinks in', '該頁面擁有不錯的反鏈在', '2011-07-06 07:09:13'),
(5544, 'cn', 'siteauditor', 'The page is having good pagerank', '該頁面擁有較好的PR', '2011-07-06 07:09:13'),
(5545, 'cn', 'siteauditor', 'The page is having poor pagerank', '該頁面擁有較差的PR', '2011-07-06 07:09:13'),
(5546, 'cn', 'siteauditor', 'The page is having very good pagerank', '該頁面擁有非常不錯的PR', '2011-07-06 07:09:13'),
(5547, 'cn', 'siteauditor', 'The page is not having backlinks in', '該頁面沒有擁有反鏈在', '2011-07-06 07:09:13'),
(5548, 'cn', 'siteauditor', 'The page is not indexed in', '該頁面沒有被索引在', '2011-07-06 07:09:13'),
(5549, 'cn', 'siteauditor', 'The page keywords length is not between', '該頁面的關鍵詞長度沒有位於', '2011-07-06 07:09:13'),
(5550, 'cn', 'siteauditor', 'The page title length is not between', '該頁面的標題長度沒有位於', '2011-07-06 07:09:13'),
(5551, 'cn', 'siteauditor', 'The total number of links in page is greater than', '所有頁面鏈接數量優於', '2011-07-06 07:09:13'),
(5552, 'cn', 'siteauditor', 'to run project again if you stopped execution', '如果你停止項目，請重新運行項目', '2011-07-06 07:09:13'),
(5553, 'cn', 'siteauditor', 'to view the reports', '瀏覽報告', '2011-07-06 07:09:13'),
(5554, 'cn', 'siteauditor', 'Total Links', '全部鏈接', '2011-07-06 07:09:13'),
(5555, 'cn', 'siteauditor', 'totallinksgreaterallowed', '全部鏈接將優於可允許的項目最大鏈接', '2011-07-06 07:09:13'),
(5556, 'da', 'directory', 'Add back to directory list', 'Tilføj tilbage til directory liste', '2013-01-14 22:40:16'),
(5557, 'da', 'directory', 'Approved', 'Godkendt', '2013-01-14 22:40:16'),
(5558, 'da', 'directory', 'Captcha', 'Captcha', '2013-01-14 22:40:16'),
(5559, 'da', 'directory', 'categorynote', 'Kategorier, skal du adskille dem med komma efter prioritet. Start med Top prioritet kategori.', '2013-01-14 22:40:16'),
(5560, 'da', 'directory', 'Check Directory Status', 'Tjek Bibliotek Status ', '2013-01-14 22:40:16'),
(5561, 'da', 'directory', 'Check Directory Submission Status', 'Tjek Bibliotek Indsendelse Status ', '2013-01-14 22:40:16'),
(5562, 'da', 'directory', 'clicktoproceeddirsts', 'Klik på <b> Fortsæt </ b> for at tjekke Bibliotek status.', '2013-01-14 22:40:16'),
(5563, 'da', 'directory', 'Confirmation', 'Bekræftelse', '2013-01-14 22:40:16'),
(5564, 'da', 'directory', 'desnote', 'Nogle biblioteker kræver dog minimum 150 tegn i feltet Beskrivelse.', '2013-01-14 22:40:16'),
(5565, 'da', 'directory', 'Directories with out captcha', 'Biblioteker uden Captcha', '2013-01-14 22:40:16'),
(5566, 'da', 'directory', 'Directory Submission Reports', 'Bibliotek Indsendelses Rapporter', '2013-01-14 22:40:16'),
(5567, 'da', 'directory', 'Enter the code shown', 'Indtast den viste kode', '2013-01-14 22:40:16'),
(5568, 'da', 'directory', 'nocatnote', 'De indsendte kategori ikke findes i indsendelse side. Klik på <b> Reload </ b> eller <b> Spring </ b>', '2013-01-14 22:40:16'),
(5569, 'da', 'directory', 'nodirnote', 'Ingen <b> Aktive</b> biblioteker er fundet', '2013-01-14 22:40:16'),
(5570, 'da', 'directory', 'nosuccessnote', 'Der blev ikke modtaget succes beskeden, Check venligst din mail for at bekræfte beskeden', '2013-01-14 22:40:16'),
(5571, 'da', 'directory', 'optionalnote', 'Mulige titler og beskrivelser af tilfældige titler og beskrivelser i biblioteket, for bedre resultater', '2013-01-14 22:40:16'),
(5572, 'da', 'directory', 'Owner Email', 'Ejerens email', '2013-01-14 22:40:16'),
(5573, 'da', 'directory', 'Owner Name', 'Ejerens navn', '2013-01-14 22:40:16'),
(5574, 'da', 'directory', 'Pending', 'Afventende', '2013-01-14 22:40:16'),
(5575, 'da', 'directory', 'Please select a website to proceed', 'Venligst vælg et websted for at forsætte', '2013-01-14 22:40:16'),
(5576, 'da', 'directory', 'selectwebsiteproceed', 'Vælg et <b>Websted</b> for <b>forsætte</b>  tilmeldingen i biblioteket. <br> tjek <b> biblioteker uden captcha </b> for at tilmelde biblioteker uden captcha', '2013-01-14 22:40:16'),
(5577, 'da', 'directory', 'selectwebsiteschecksub', 'Vælg et <b>Websted</b> for <b>Forsætte</b> check bibliotekets tilmelding', '2013-01-14 22:40:16'),
(5578, 'da', 'directory', 'Semi Automatic Directory Submission Tool', 'Semi automatisk bibliotek tilmeldings værktøj', '2013-01-14 22:40:16'),
(5579, 'da', 'directory', 'spamemailnote', 'Nogle biblioteker kan sende spam, vi anbefaler at man IKKE tilføjer sin primære email adresse', '2013-01-14 22:40:16'),
(5580, 'da', 'directory', 'Submission Details', 'Indsendelses detaljer', '2013-01-14 22:40:16'),
(5581, 'da', 'directory', 'Submit Description', 'tilmeld beskrivelse', '2013-01-14 22:40:16'),
(5582, 'da', 'directory', 'Submit Keywords', 'Tilmeld nøgleord', '2013-01-14 22:40:16'),
(5583, 'da', 'directory', 'Submit Title', 'Tilmeld titel', '2013-01-14 22:40:16'),
(5584, 'da', 'directory', 'Website Category', 'Webside kategori', '2013-01-14 22:40:16'),
(5585, 'da', 'directory', 'Website Url', 'Websted URL', '2013-01-14 22:40:16'),
(5586, 'bg', 'home', 'Indexed', 'Индексирани', '2011-07-07 01:34:28'),
(5587, 'bg', 'keyword', 'Insert keywords separated with comma', 'Въведете ключови думи разделени със запетайка', '2016-12-18 17:06:16'),
(5588, 'bg', 'label', 'Brocken', 'Повреден', '2018-08-21 07:09:26'),
(5589, 'bg', 'label', 'Comments', 'Коментари', '2018-08-21 07:09:26'),
(5590, 'bg', 'label', 'Count', 'Брой', '2018-08-21 07:09:26'),
(5591, 'bg', 'label', 'Exclude', 'Изключи', '2018-08-21 07:09:26'),
(5592, 'bg', 'label', 'Include', 'Включи', '2018-08-21 07:09:26'),
(5593, 'bg', 'label', 'Project', 'Проект', '2018-08-21 07:09:26'),
(5594, 'bg', 'label', 'Report Type', 'Тип доклад', '2018-08-21 07:09:26'),
(5595, 'bg', 'label', 'Score', 'Резултат', '2018-08-21 07:09:26'),
(5596, 'bg', 'label', 'Total Results', 'Общи резултати', '2018-08-21 07:09:26'),
(5597, 'bg', 'label', 'Updated', 'Обновен', '2018-08-21 07:09:26'),
(5598, 'bg', 'label', 'View Reports', 'Прегледай доклади', '2018-08-21 07:09:26'),
(5599, 'bg', 'panel', 'Edit Project', 'Редакция', '2018-08-21 07:14:04'),
(5600, 'bg', 'panel', 'New Project', 'Нов проект', '2018-08-21 07:14:04'),
(5601, 'bg', 'seotools', 'Auditor Projects', 'Одитор Проекти', '2018-08-21 07:21:10'),
(5602, 'bg', 'seotools', 'Auditor Reports', 'Одитор Доклади', '2018-08-21 07:21:10'),
(5603, 'bg', 'seotools', 'Auditor Settings', 'Настройки на Одитора', '2018-08-21 07:21:10'),
(5604, 'bg', 'seotools', 'Import Project Links', 'Импортиране линкове на проекта', '2018-08-21 07:21:10'),
(5605, 'bg', 'seotools', 'site-auditor', 'Сайт Одитор', '2018-08-21 07:21:10'),
(5606, 'bg', 'settings', 'Check for Updates', 'Проверка за обновления', '2018-08-21 07:24:42'),
(5607, 'bg', 'settings', 'SA_CRAWL_DELAY_TIME', 'Забавяне, при обхождане на страниците, от Сайт Одитора ', '2018-08-21 07:24:42'),
(5608, 'bg', 'settings', 'SA_MAX_NO_PAGES', 'Максимален позволен брой страници за уебсайт', '2018-08-21 07:24:42'),
(5609, 'bg', 'settings', 'versionnotuptodatemsg', 'Излязла е по-нова версия на Seo Panel.<br />Моля, изтеглете новата версия.', '2018-08-21 07:24:42'),
(5610, 'bg', 'settings', 'Your Seo Panel installation is up to date', 'Вашият Seo Panel e последна версия.', '2018-08-21 07:24:42'),
(5611, 'bg', 'siteauditor', 'Anchor', 'Връзка', '2018-08-21 07:25:49'),
(5612, 'bg', 'siteauditor', 'anylinkcontainabovelinks', 'Всички линкове, съдържащи горепосочените, ще бъдат изключени от докладите', '2018-08-21 07:25:49'),
(5613, 'bg', 'siteauditor', 'anylinkcontainexcludesitemap', 'Всички линкове, съдържащи горепосочените, ще бъдат изключени от картата на сайта', '2018-08-21 07:25:49'),
(5614, 'bg', 'siteauditor', 'Check backlinks of pages', 'Проверка на беклинковете на страниците', '2018-08-21 07:25:49'),
(5615, 'bg', 'siteauditor', 'Check broken links in a page', 'Проверка и на повредени линкове по страница', '2018-08-21 07:25:49'),
(5616, 'bg', 'siteauditor', 'Check google pagerank of pages', 'Проверка на гугъл пейдж ранг на страниците', '2018-08-21 07:25:49'),
(5617, 'bg', 'siteauditor', 'Check pages indexed or not', 'Проверка на страниците индексирани или не', '2018-08-21 07:25:49'),
(5618, 'bg', 'siteauditor', 'Check Score', 'Проверка', '2018-08-21 07:25:49'),
(5619, 'bg', 'siteauditor', 'checkborckenlinkwait', 'Проверката на повредени линкове, ще увеличи времето за изпълнение на проекта', '2018-08-21 07:25:49'),
(5620, 'bg', 'siteauditor', 'Completed project execution', 'Завършено изпълнение на проекта', '2018-08-21 07:25:49'),
(5621, 'bg', 'siteauditor', 'Crawled', 'Обходени', '2018-08-21 07:25:49'),
(5622, 'bg', 'siteauditor', 'Crawled Pages', 'Обходени страници', '2018-08-21 07:25:49'),
(5623, 'bg', 'siteauditor', 'crawledsuccesssfullywaitfornext', 'обходена успешно! Изчакване на обхождането на следващата страница за', '2018-08-21 07:25:49'),
(5624, 'bg', 'siteauditor', 'Crawling Page', 'Обхождане на страница', '2018-08-21 07:25:49'),
(5625, 'bg', 'siteauditor', 'Duplicate Description', 'Дубликирано Описание', '2018-08-21 07:25:49'),
(5626, 'bg', 'siteauditor', 'Duplicate Keywords', 'Дубликирани Ключови думи', '2018-08-21 07:25:49'),
(5627, 'bg', 'siteauditor', 'Duplicate Title', 'Дубликирано Заглавие', '2018-08-21 07:25:49'),
(5628, 'bg', 'siteauditor', 'Exclude links', 'Изключи линковете', '2018-08-21 07:25:49'),
(5629, 'bg', 'siteauditor', 'Execute with cron', 'Изпълни с CRON', '2018-08-21 07:25:49'),
(5630, 'bg', 'siteauditor', 'External', 'Външен', '2018-08-21 07:25:49'),
(5631, 'bg', 'siteauditor', 'External Links', 'Външни линкове', '2018-08-21 07:25:49'),
(5632, 'bg', 'siteauditor', 'Import Project Links', 'Импортиране на линкове', '2018-08-21 07:25:49'),
(5633, 'bg', 'siteauditor', 'Insert links separated with comma', 'Въведете линковете разделени със запетайка', '2018-08-21 07:25:49'),
(5634, 'bg', 'siteauditor', 'insertlinkssepcoma', 'Въведете линковете разделени със запетайка за да изключите безкрайните от докладите', '2018-08-21 07:25:49'),
(5635, 'bg', 'siteauditor', 'Link Reports', 'Доклади за линк', '2018-08-21 07:25:49'),
(5636, 'bg', 'siteauditor', 'Link Title', 'Заглавие на линка', '2018-08-21 07:25:49'),
(5637, 'bg', 'siteauditor', 'Maximum number of pages to be checked', 'Максимален брой страници, които да бъдат проверени', '2018-08-21 07:25:49'),
(5638, 'bg', 'siteauditor', 'Maximum Pages', 'Макс. бр. страници', '2018-08-21 07:25:49'),
(5639, 'bg', 'siteauditor', 'No active projects found', 'Няма намерени активни проекти', '2018-08-21 07:25:49'),
(5640, 'bg', 'siteauditor', 'Nofollow', 'Nofollow', '2018-08-21 07:25:49'),
(5641, 'bg', 'siteauditor', 'Number of pages is greater than', 'Броят страници е по-голям от', '2018-08-21 07:25:49'),
(5642, 'bg', 'siteauditor', 'Number of pages should be greater than', 'Броят на страниците, трябва да бъде по голям от', '2018-08-21 07:25:49'),
(5643, 'bg', 'siteauditor', 'Page Details', 'Детайли', '2018-08-21 07:25:49'),
(5644, 'bg', 'siteauditor', 'Page Link', 'Линк на страницата', '2018-08-21 07:25:49'),
(5645, 'bg', 'siteauditor', 'Page Links', 'Линкове на страницата', '2018-08-21 07:25:49'),
(5646, 'bg', 'siteauditor', 'Pages Found', 'Намерени страници', '2018-08-21 07:25:49'),
(5647, 'bg', 'siteauditor', 'pressescapetostopexecution', 'Натиснете клавиша <b>Escape</b> за да спрете изпълнението на скрипта', '2018-08-21 07:25:49'),
(5648, 'bg', 'siteauditor', 'Project Summary', 'Накратко за проекта', '2018-08-21 07:25:49'),
(5649, 'bg', 'siteauditor', 'Project Url', 'URL на проекта', '2018-08-21 07:25:49'),
(5650, 'bg', 'siteauditor', 'projectalreadyexist', 'Вече съществува проект за този уебсайт', '2018-08-21 07:25:49'),
(5651, 'bg', 'siteauditor', 'Recheck Pages', 'Препровери страниците', '2018-08-21 07:25:49'),
(5652, 'bg', 'siteauditor', 'Report Summary', 'Опростен доклад', '2018-08-21 07:25:49'),
(5653, 'bg', 'siteauditor', 'Run Project', 'Стартирай проекта', '2018-08-21 07:25:49'),
(5654, 'bg', 'siteauditor', 'should start with', 'трябва да започва с', '2018-08-21 07:25:49'),
(5655, 'bg', 'siteauditor', 'Site Auditor Settings', 'Настройки на Сайт Одитора', '2018-08-21 07:25:49'),
(5656, 'bg', 'siteauditor', 'Store all links found in a page', 'Запази всички линкове намерени на страницата', '2018-08-21 07:25:49'),
(5657, 'bg', 'siteauditor', 'The page description length is not between', 'Дължината на описанието на страница не е между', '2018-08-21 07:25:49'),
(5658, 'bg', 'siteauditor', 'The page is brocken', 'Страницата е повредена', '2018-08-21 07:25:49'),
(5659, 'bg', 'siteauditor', 'The page is having exellent number of backlinks in', 'Страницата има отличен брой беклинкове в', '2018-08-21 07:25:49'),
(5660, 'bg', 'siteauditor', 'The page is having exellent pagerank', 'Страницата има отличен пейдж ранк', '2018-08-21 07:25:49'),
(5661, 'bg', 'siteauditor', 'The page is having good number of backlinks in', 'Страницата има добър брой беклинкове в', '2018-08-21 07:25:49'),
(5662, 'bg', 'siteauditor', 'The page is having good pagerank', 'Страницата има добър пейдж ранк', '2018-08-21 07:25:49'),
(5663, 'bg', 'siteauditor', 'The page is having poor pagerank', 'Страницата има лош пейдж ранк', '2018-08-21 07:25:49'),
(5664, 'bg', 'siteauditor', 'The page is having very good pagerank', 'Страницата има много добър педйж ранк', '2018-08-21 07:25:49'),
(5665, 'bg', 'siteauditor', 'The page is not having backlinks in', 'Страницата няма беклинкове в', '2018-08-21 07:25:49'),
(5666, 'bg', 'siteauditor', 'The page is not indexed in', 'Страницата не е индексриана в', '2018-08-21 07:25:49'),
(5667, 'bg', 'siteauditor', 'The page keywords length is not between', 'Броят на ключовите думи на страницата не е между', '2018-08-21 07:25:49'),
(5668, 'bg', 'siteauditor', 'The page title length is not between', 'Дължината на залгавието на страницата не е между', '2018-08-21 07:25:49'),
(5669, 'bg', 'siteauditor', 'The total number of links in page is greater than', 'Общият брой на линковете по страницата е по-голям от', '2018-08-21 07:25:49'),
(5670, 'bg', 'siteauditor', 'to run project again if you stopped execution', 'за да стартирате проекта отново, ако сте спрели изпълнението', '2018-08-21 07:25:49'),
(5671, 'bg', 'siteauditor', 'to view the reports', 'за да видите докладите', '2018-08-21 07:25:49'),
(5672, 'bg', 'siteauditor', 'Total Links', 'Общо линкове', '2018-08-21 07:25:49'),
(5673, 'bg', 'siteauditor', 'totallinksgreaterallowed', 'Общият брой линкове, ще бъде по-голям от максимума, позволен за този проект ', '2018-08-21 07:25:49'),
(5674, 'en', 'settings', 'SP_API_KEY', 'Seo Panel API Key', '2018-01-22 19:59:29'),
(5675, 'ro', 'home', 'Indexed', 'Indexate', '2012-05-18 20:57:04'),
(5676, 'ro', 'keyword', 'Insert keywords separated with comma', 'Introduceti cuvintele cheie despartite prin virgula', '2012-05-18 20:57:55'),
(5677, 'ro', 'label', 'Brocken', 'Stricat', '2012-05-18 21:00:22'),
(5678, 'ro', 'label', 'Comments', 'Comentarii', '2012-05-18 21:00:22'),
(5679, 'ro', 'label', 'Count', 'Numara', '2012-05-18 21:00:22'),
(5680, 'ro', 'label', 'Exclude', 'Exclude', '2012-05-18 21:00:22'),
(5681, 'ro', 'label', 'Include', 'Include', '2012-05-18 21:00:22'),
(5682, 'ro', 'label', 'Project', 'Proiect', '2012-05-18 21:00:22'),
(5683, 'ro', 'label', 'Report Type', 'Tip Raport', '2012-05-18 21:00:22'),
(5684, 'ro', 'label', 'Score', 'Scor', '2012-05-18 21:00:22'),
(5685, 'ro', 'label', 'Total Results', 'Rezultate totale', '2012-05-18 21:00:22'),
(5686, 'ro', 'label', 'Updated', 'Updatat', '2012-05-18 21:00:22'),
(5687, 'ro', 'label', 'View Reports', 'Vezi rapoarte', '2012-05-18 21:00:22'),
(5688, 'ro', 'panel', 'Edit Project', 'Editeaza proiect', '2012-05-18 21:04:43'),
(5689, 'ro', 'panel', 'New Project', 'Proiect Nou', '2012-05-18 21:04:43'),
(5690, 'ro', 'seotools', 'Auditor Projects', 'Proiecte Auditor', '2011-07-13 02:03:17'),
(5691, 'ro', 'seotools', 'Auditor Reports', 'Rapoarte Auditor', '2011-07-13 02:03:17'),
(5692, 'ro', 'seotools', 'Auditor Settings', 'Setari Auditor', '2011-07-13 02:03:17'),
(5693, 'ro', 'seotools', 'Import Project Links', 'Importa link-uri proiect', '2011-07-13 02:03:17'),
(5694, 'ro', 'seotools', 'site-auditor', 'Auditor Site', '2011-07-13 02:03:17'),
(5695, 'ro', 'settings', 'Check for Updates', 'Cauta actualizari', '2012-05-18 21:16:44'),
(5696, 'ro', 'settings', 'SA_CRAWL_DELAY_TIME', 'Crawl Evaluator site intarziere intre pagini', '2012-05-18 21:16:44'),
(5697, 'ro', 'settings', 'SA_MAX_NO_PAGES', 'Numar maxim de pagini permise per site', '2012-05-18 21:16:44'),
(5698, 'ro', 'settings', 'SP_API_KEY', 'Seo Panel API Key', '2012-05-18 21:16:44'),
(5699, 'ro', 'settings', 'versionnotuptodatemsg', 'Kitul de instalare Seo Panel nu este la zi. <br> Va rugam descarcati versiunea noua', '2012-05-18 21:16:44'),
(5700, 'ro', 'settings', 'Your Seo Panel installation is up to date', 'Kitul de instalare Seo Panel este la zi', '2012-05-18 21:16:44'),
(5701, 'ro', 'siteauditor', 'Anchor', 'Ancora', '2011-07-13 02:12:41'),
(5702, 'ro', 'siteauditor', 'anylinkcontainabovelinks', 'Orice link continand linkurile alaturate vor fi excluse din raport', '2011-07-13 02:12:43'),
(5703, 'ro', 'siteauditor', 'anylinkcontainexcludesitemap', 'Orice link continand linkurile alaturate vor fi excluse din sitemap', '2011-07-13 02:12:43'),
(5704, 'ro', 'siteauditor', 'Check backlinks of pages', 'Verificati backlink-urile paginilor', '2011-07-13 02:12:43'),
(5705, 'ro', 'siteauditor', 'Check broken links in a page', 'Verificati linkurile intrerupte dintr-o pagina', '2011-07-13 02:12:43'),
(5706, 'ro', 'siteauditor', 'Check google pagerank of pages', 'Verificati pagerank-ul Google al paginilor', '2011-07-13 02:12:43'),
(5707, 'ro', 'siteauditor', 'Check pages indexed or not', 'Verificati paginile indexate sau nu', '2011-07-13 02:12:43'),
(5708, 'ro', 'siteauditor', 'Check Score', 'Verificati scor', '2011-07-13 02:12:43'),
(5709, 'ro', 'siteauditor', 'checkborckenlinkwait', 'Verificarea linkurile intrerupte va creste timpul de executie al proiectului', '2011-07-13 02:12:43'),
(5710, 'ro', 'siteauditor', 'Completed project execution', 'Execuatre proiect completata', '2011-07-13 02:12:43'),
(5711, 'ro', 'siteauditor', 'Crawled', 'Crawled', '2011-07-13 02:12:43'),
(5712, 'ro', 'siteauditor', 'Crawled Pages', 'Pagini Crawled', '2011-07-13 02:12:43'),
(5713, 'ro', 'siteauditor', 'crawledsuccesssfullywaitfornext', 'Crawled cu succes! In asteptarea crawlink pagina urmatoare', '2011-07-13 02:12:43'),
(5714, 'ro', 'siteauditor', 'Crawling Page', 'Crawling pagina', '2011-07-13 02:12:43'),
(5715, 'ro', 'siteauditor', 'Duplicate Description', 'Descrie duplicat', '2011-07-13 02:12:43'),
(5716, 'ro', 'siteauditor', 'Duplicate Keywords', 'Cuvinte cheie duplicate', '2011-07-13 02:12:43'),
(5717, 'ro', 'siteauditor', 'Duplicate Title', 'Titlu duplicat', '2011-07-13 02:12:43'),
(5718, 'ro', 'siteauditor', 'Exclude links', 'linkuri excluse', '2011-07-13 02:12:43'),
(5719, 'ro', 'siteauditor', 'Execute with cron', 'Executa cu cron', '2011-07-13 02:12:43'),
(5720, 'ro', 'siteauditor', 'External', 'Extern', '2011-07-13 02:12:43'),
(5721, 'ro', 'siteauditor', 'External Links', 'Linkuri externe', '2011-07-13 02:12:43'),
(5722, 'ro', 'siteauditor', 'Import Project Links', 'Importa linkuri proiect', '2011-07-13 02:12:43'),
(5723, 'ro', 'siteauditor', 'Insert links separated with comma', 'Insereaza linkuri separate cu virgula', '2011-07-13 02:12:43'),
(5724, 'ro', 'siteauditor', 'insertlinkssepcoma', 'Insereaza linkuri separate prin virgula pentru a exclude linkuri infinite din rapoarte', '2011-07-13 02:12:43'),
(5725, 'ro', 'siteauditor', 'Link Reports', 'Linkuri rapoarte', '2011-07-13 02:12:43'),
(5726, 'ro', 'siteauditor', 'Link Title', 'Titlu link', '2011-07-13 02:12:43'),
(5727, 'ro', 'siteauditor', 'Maximum number of pages to be checked', 'Numar maxim de pagini care trebuiesc verificate', '2011-07-13 02:12:43'),
(5728, 'ro', 'siteauditor', 'Maximum Pages', 'Pagini maxime', '2011-07-13 02:12:43'),
(5729, 'ro', 'siteauditor', 'No active projects found', 'Niciun proiect activ gasit', '2011-07-13 02:12:43'),
(5730, 'ro', 'siteauditor', 'Nofollow', 'Nofollow', '2011-07-13 02:12:43'),
(5731, 'ro', 'siteauditor', 'Number of pages is greater than', 'Numarul paginilor este mai mare de', '2011-07-13 02:12:43'),
(5732, 'ro', 'siteauditor', 'Number of pages should be greater than', 'Numarul paginilor ar trebui sa fie mai mare de', '2011-07-13 02:12:43'),
(5733, 'ro', 'siteauditor', 'Page Details', 'Detalii pagina', '2011-07-13 02:12:43'),
(5734, 'ro', 'siteauditor', 'Page Link', 'Link pagina', '2011-07-13 02:12:43'),
(5735, 'ro', 'siteauditor', 'Page Links', 'Linkuri pagina', '2011-07-13 02:12:43'),
(5736, 'ro', 'siteauditor', 'Pages Found', 'Pgini gasite', '2011-07-13 02:12:43'),
(5737, 'ro', 'siteauditor', 'pressescapetostopexecution', 'Apasa <b>anulare</b> pentru a opri executarea scriptului', '2011-07-13 02:12:43'),
(5738, 'ro', 'siteauditor', 'Project Summary', 'Sumar proiect', '2011-07-13 02:12:43'),
(5739, 'ro', 'siteauditor', 'Project Url', 'Url proiect', '2011-07-13 02:12:43'),
(5740, 'ro', 'siteauditor', 'projectalreadyexist', 'Proiect pentru acest site exista deja', '2011-07-13 02:12:43'),
(5741, 'ro', 'siteauditor', 'Recheck Pages', 'Reverifica paginile', '2011-07-13 02:12:43'),
(5742, 'ro', 'siteauditor', 'Report Summary', 'Sumar raport', '2011-07-13 02:12:43'),
(5743, 'ro', 'siteauditor', 'Run Project', 'Start proiect', '2011-07-13 02:12:43'),
(5744, 'ro', 'siteauditor', 'should start with', 'ar trebuie sa inceapa cu', '2011-07-13 02:12:43'),
(5745, 'ro', 'siteauditor', 'Site Auditor Settings', 'Setari Verificator site', '2011-07-13 02:12:43'),
(5746, 'ro', 'siteauditor', 'Store all links found in a page', 'Salveaza toate linkurile gasite intr-o pagina', '2011-07-13 02:12:43'),
(5747, 'ro', 'siteauditor', 'The page description length is not between', 'dimensiunea descrierii paginii nu este intre', '2011-07-13 02:12:43'),
(5748, 'ro', 'siteauditor', 'The page is brocken', 'Pagina este intrerupta', '2011-07-13 02:12:43'),
(5749, 'ro', 'siteauditor', 'The page is having exellent number of backlinks in', 'Pagina are un numar excelent de backlinkuri in', '2011-07-13 02:12:43'),
(5750, 'ro', 'siteauditor', 'The page is having exellent pagerank', 'Pagina are un pagerank excelent', '2011-07-13 02:12:43'),
(5751, 'ro', 'siteauditor', 'The page is having good number of backlinks in', 'Pagina are numere bune de backlinkuri in', '2011-07-13 02:12:43'),
(5752, 'ro', 'siteauditor', 'The page is having good pagerank', 'Pagina are pagerank bun', '2011-07-13 02:12:43'),
(5753, 'ro', 'siteauditor', 'The page is having poor pagerank', 'Pagina are pagerank slab', '2011-07-13 02:12:43'),
(5754, 'ro', 'siteauditor', 'The page is having very good pagerank', 'Pagina are un page rank foarte bun', '2011-07-13 02:12:43'),
(5755, 'ro', 'siteauditor', 'The page is not having backlinks in', 'Pagina nu are backlinkuri in', '2011-07-13 02:12:43'),
(5756, 'ro', 'siteauditor', 'The page is not indexed in', 'Pagina nu este indexata in', '2011-07-13 02:12:43'),
(5757, 'ro', 'siteauditor', 'The page keywords length is not between', 'Lungimea cuvintelor cheie din pagina nu este intre', '2011-07-13 02:12:43'),
(5758, 'ro', 'siteauditor', 'The page title length is not between', 'Lungimea titlului paginii nu este intre', '2011-07-13 02:12:43'),
(5759, 'ro', 'siteauditor', 'The total number of links in page is greater than', 'Numarul total de linkuri in pagina este mai mare de', '2011-07-13 02:12:43'),
(5760, 'ro', 'siteauditor', 'to run project again if you stopped execution', 'pentru a incepe proiectul dinou daca intrerupeti executarea', '2011-07-13 02:12:43'),
(5761, 'ro', 'siteauditor', 'to view the reports', 'pentru avedea rapoartele', '2011-07-13 02:12:43'),
(5762, 'ro', 'siteauditor', 'Total Links', 'Linkuri Totale', '2011-07-13 02:12:43'),
(5763, 'ro', 'siteauditor', 'totallinksgreaterallowed', 'Linkuri totale vor deveni mai mari decat maximul de linkuri permise in proiect', '2011-07-13 02:12:43'),
(5764, 'es', 'home', 'Indexed', 'Indexado', '2012-05-31 10:36:11'),
(5765, 'es', 'keyword', 'Insert keywords separated with comma', 'Inserta las palabras clave separadas por comas', '2011-07-07 10:24:15'),
(5766, 'es', 'label', 'Brocken', 'Roto', '2012-05-12 10:54:10'),
(5767, 'es', 'label', 'Comments', 'Comentarios', '2012-05-12 10:54:10'),
(5768, 'es', 'label', 'Count', 'Contador', '2012-05-12 10:54:10'),
(5769, 'es', 'label', 'Exclude', 'Excluir', '2012-05-12 10:54:10'),
(5770, 'es', 'label', 'Include', 'Incluir', '2012-05-12 10:54:10'),
(5771, 'es', 'label', 'Project', 'Proyecto', '2012-05-12 10:54:10'),
(5772, 'es', 'label', 'Report Type', 'Tipo de Informe', '2012-05-12 10:54:10'),
(5773, 'es', 'label', 'Score', 'Puntuación', '2012-05-12 10:54:10'),
(5774, 'es', 'label', 'Total Results', 'Resultado total', '2012-05-12 10:54:10'),
(5775, 'es', 'label', 'Updated', 'Actualizado', '2012-05-12 10:54:10'),
(5776, 'es', 'label', 'View Reports', 'Ver Informes', '2012-05-12 10:54:10'),
(5777, 'es', 'seotools', 'Import Project Links', 'Importar Proyecto links', '2011-07-13 19:32:41'),
(5778, 'es', 'settings', 'SA_CRAWL_DELAY_TIME', 'Tiempo de espera entre rastreo', '2012-05-12 11:03:05'),
(5779, 'es', 'settings', 'SA_MAX_NO_PAGES', 'Número máximo de páginas permitidas por sitio web', '2012-05-12 11:03:05'),
(5780, 'es', 'settings', 'SP_API_KEY', 'Llave API para el Seo Panel', '2012-05-12 11:03:05'),
(5781, 'es', 'siteauditor', 'Anchor', 'Ancla (Anchor)', '2011-07-13 19:09:35'),
(5782, 'es', 'siteauditor', 'anylinkcontainabovelinks', 'Todos los enlaces ubicados por encima de los enlaces serán excluidos de los informes', '2011-07-13 19:09:35'),
(5783, 'es', 'siteauditor', 'anylinkcontainexcludesitemap', 'Todos los enlaces ubicados por encima de los enlaces serán excluidos del sitemap', '2011-07-13 19:09:35'),
(5784, 'es', 'siteauditor', 'Check backlinks of pages', 'Comprobar los backlinks de las páginas', '2011-07-13 19:09:35'),
(5785, 'es', 'siteauditor', 'Check broken links in a page', 'Comprobar los links rotos en la página', '2011-07-13 19:09:35'),
(5786, 'es', 'siteauditor', 'Check google pagerank of pages', 'Comprobar el google page rank de las páginas', '2011-07-13 19:09:35'),
(5787, 'es', 'siteauditor', 'Check pages indexed or not', 'Comprobar las páginas indexadas', '2011-07-13 19:09:35'),
(5788, 'es', 'siteauditor', 'Check Score', 'Comprobar posición', '2011-07-13 19:09:35'),
(5789, 'es', 'siteauditor', 'checkborckenlinkwait', 'La comprobación de los links rotos incrementara el tiempo del proyecto', '2011-07-13 19:09:35'),
(5790, 'es', 'siteauditor', 'Completed project execution', 'Ejecución del proyecto completada', '2011-07-13 19:09:35'),
(5791, 'es', 'siteauditor', 'Crawled', 'Indexado', '2011-07-13 19:09:35'),
(5792, 'es', 'siteauditor', 'Crawled Pages', 'Páginas Indexadas', '2011-07-13 19:09:35'),
(5793, 'es', 'siteauditor', 'crawledsuccesssfullywaitfornext', 'Indexado completado! Esperando la próxima indexación de', '2011-07-13 19:09:35'),
(5794, 'es', 'siteauditor', 'Crawling Page', 'Página Indexando', '2011-07-13 19:09:35'),
(5795, 'es', 'siteauditor', 'Duplicate Description', 'Descripción duplicada', '2011-07-13 19:09:35'),
(5796, 'es', 'siteauditor', 'Duplicate Keywords', 'Palabra clave duplicada', '2011-07-13 19:09:35'),
(5797, 'es', 'siteauditor', 'Duplicate Title', 'Titulo duplicado', '2011-07-13 19:09:35'),
(5798, 'es', 'siteauditor', 'Exclude links', 'Links Excluidos', '2011-07-13 19:09:35'),
(5799, 'es', 'siteauditor', 'Execute with cron', 'Ejecución con CRON', '2011-07-13 19:09:35'),
(5800, 'es', 'siteauditor', 'External', 'Externo', '2011-07-13 19:09:35'),
(5801, 'es', 'siteauditor', 'External Links', 'Links externos', '2011-07-13 19:09:35'),
(5802, 'es', 'siteauditor', 'Import Project Links', 'Importar proyecto links', '2011-07-13 19:09:35'),
(5803, 'es', 'siteauditor', 'Insert links separated with comma', 'Inserta los links separados por una coma', '2011-07-13 19:09:35'),
(5804, 'es', 'siteauditor', 'insertlinkssepcoma', 'Inserta los links separados por una coma para excluir infinitamente los links de los informes', '2011-07-13 19:09:35'),
(5805, 'es', 'siteauditor', 'Link Reports', 'Informe de Links', '2011-07-13 19:09:35'),
(5806, 'es', 'siteauditor', 'Link Title', 'Titulo del Link', '2011-07-13 19:09:35'),
(5807, 'es', 'siteauditor', 'Maximum number of pages to be checked', 'Número máximo de páginas a ser comprobadas', '2011-07-13 19:09:35'),
(5808, 'es', 'siteauditor', 'Maximum Pages', 'Páginas máximas', '2011-07-13 19:09:35'),
(5809, 'es', 'siteauditor', 'No active projects found', 'No hay proyectos activos', '2011-07-13 19:09:35'),
(5810, 'es', 'siteauditor', 'Nofollow', 'Nofollow', '2011-07-13 19:09:35'),
(5811, 'es', 'siteauditor', 'Number of pages is greater than', 'El número de páginas es mayor de', '2011-07-13 19:09:35'),
(5812, 'es', 'siteauditor', 'Number of pages should be greater than', 'El número de páginas debería ser mayor de', '2011-07-13 19:09:35'),
(5813, 'es', 'siteauditor', 'Page Details', 'Detalles de la página', '2011-07-13 19:09:35'),
(5814, 'es', 'siteauditor', 'Page Link', 'Página del link', '2011-07-13 19:09:35'),
(5815, 'es', 'siteauditor', 'Page Links', 'Página de los links', '2011-07-13 19:09:35'),
(5816, 'es', 'siteauditor', 'Pages Found', 'Páginas encontradas', '2011-07-13 19:09:35'),
(5817, 'es', 'siteauditor', 'pressescapetostopexecution', 'Pulsa <b>Escape</b> para parar la ejecución', '2011-07-13 19:09:35'),
(5818, 'es', 'siteauditor', 'Project Summary', 'Resumen del proyecto', '2011-07-13 19:09:35'),
(5819, 'es', 'siteauditor', 'Project Url', 'URL del proyecto', '2011-07-13 19:09:35'),
(5820, 'es', 'siteauditor', 'projectalreadyexist', 'El proyecto para esta página web ya existe', '2011-07-13 19:09:35'),
(5821, 'es', 'siteauditor', 'Recheck Pages', 'Re-comprobar las páginas', '2011-07-13 19:09:35'),
(5822, 'es', 'siteauditor', 'Report Summary', 'Informe resumen', '2011-07-13 19:09:35'),
(5823, 'es', 'siteauditor', 'Run Project', 'Ejecutar proyecto', '2011-07-13 19:09:35'),
(5824, 'es', 'siteauditor', 'should start with', 'debería empezar con', '2011-07-13 19:09:35'),
(5825, 'es', 'siteauditor', 'Site Auditor Settings', 'Parámetros del Site Auditor', '2011-07-13 19:09:35'),
(5826, 'es', 'siteauditor', 'Store all links found in a page', 'Salvar todos los links encontrados en la página', '2011-07-13 19:09:35'),
(5827, 'es', 'siteauditor', 'The page description length is not between', 'La longitud de la descripción no esta entre', '2011-07-13 19:09:35'),
(5828, 'es', 'siteauditor', 'The page is brocken', 'La página no es correcta o contiene errores', '2011-07-13 19:09:35'),
(5829, 'es', 'siteauditor', 'The page is having exellent number of backlinks in', 'La página esta teniendo un excelente número de backlinks en', '2011-07-13 19:09:35'),
(5830, 'es', 'siteauditor', 'The page is having exellent pagerank', 'La página esta teniendo un excelente pagerank', '2011-07-13 19:09:35'),
(5831, 'es', 'siteauditor', 'The page is having good number of backlinks in', 'La página esta teniendo un buen número de backlinks en ', '2011-07-13 19:09:35'),
(5832, 'es', 'siteauditor', 'The page is having good pagerank', 'La página esta teniendo un buen pagerank', '2011-07-13 19:09:35'),
(5833, 'es', 'siteauditor', 'The page is having poor pagerank', 'La página esta teniendo un bajo pagerank', '2011-07-13 19:09:35'),
(5834, 'es', 'siteauditor', 'The page is having very good pagerank', 'La página esta teniendo un muy buen pagerank', '2011-07-13 19:09:35'),
(5835, 'es', 'siteauditor', 'The page is not having backlinks in', 'La página no esta teniendo backlinks en', '2011-07-13 19:09:35'),
(5836, 'es', 'siteauditor', 'The page is not indexed in', 'La página no esta siendo indexada en', '2011-07-13 19:09:35'),
(5837, 'es', 'siteauditor', 'The page keywords length is not between', 'La longitud de las palabran en página no esta entre', '2011-07-13 19:09:35'),
(5838, 'es', 'siteauditor', 'The page title length is not between', 'La longitud del título de la página no esta entre ', '2011-07-13 19:09:35'),
(5839, 'es', 'siteauditor', 'The total number of links in page is greater than', 'El número total de backlinks en la página es mayor de', '2011-07-13 19:09:35'),
(5840, 'es', 'siteauditor', 'to run project again if you stopped execution', 'para ejecutar el proyecto otra vez si se paró la ejecución anteriormente', '2011-07-13 19:09:35'),
(5841, 'es', 'siteauditor', 'to view the reports', 'para ver los informes', '2011-07-13 19:09:35'),
(5842, 'es', 'siteauditor', 'Total Links', 'Links totales', '2011-07-13 19:09:35'),
(5843, 'es', 'siteauditor', 'totallinksgreaterallowed', 'El número total de links será mayor que el número máximo de links permitidos en el proyecto', '2011-07-13 19:09:35'),
(5844, 'de', 'home', 'Indexed', 'Indiziert', '2021-06-14 21:27:27'),
(5845, 'de', 'keyword', 'Insert keywords separated with comma', 'Keywords durch Komma getrennt angeben.', '2021-06-14 21:48:29'),
(5846, 'de', 'label', 'Brocken', 'Fehlerhaft', '2021-01-06 10:13:08'),
(5847, 'de', 'label', 'Comments', 'Kommentare', '2021-01-06 10:13:08'),
(5848, 'de', 'label', 'Count', 'Anzahl', '2021-01-06 10:13:08'),
(5849, 'de', 'label', 'Exclude', 'ausschliessen', '2021-01-06 10:13:08'),
(5850, 'de', 'label', 'Include', 'einschliessen', '2021-01-06 10:13:08'),
(5851, 'de', 'label', 'Project', 'Projekt', '2021-01-06 10:13:08'),
(5852, 'de', 'label', 'Report Type', 'Art des Berichtes', '2021-01-06 10:13:08'),
(5853, 'de', 'label', 'Score', 'Wertung', '2021-01-06 10:13:08'),
(5854, 'de', 'label', 'Total Results', 'Gesamtergebnisse', '2021-01-06 10:13:08'),
(5855, 'de', 'label', 'Updated', 'Aktualisiert', '2021-01-06 10:13:08');
INSERT INTO `texts` (`id`, `lang_code`, `category`, `label`, `content`, `changed`) VALUES
(5856, 'de', 'label', 'View Reports', 'Berichte einsehen', '2021-01-06 10:13:08'),
(5857, 'de', 'panel', 'Edit Project', 'Projekt bearbeiten', '2023-01-03 14:44:32'),
(5858, 'de', 'panel', 'New Project', 'Neues Projekt', '2023-01-03 14:44:32'),
(5859, 'de', 'seotools', 'Auditor Projects', 'Website-Doktor Projekte', '2021-01-07 08:40:24'),
(5860, 'de', 'seotools', 'Auditor Reports', 'Website-Doktor Berichte', '2021-01-07 08:40:24'),
(5861, 'de', 'seotools', 'Auditor Settings', 'Website-Doktor Einstellungen', '2021-01-07 08:40:24'),
(5862, 'de', 'seotools', 'Import Project Links', 'Projekt-Links importieren', '2021-01-07 08:40:24'),
(5863, 'de', 'seotools', 'site-auditor', 'Website-Doktor', '2021-01-07 08:40:24'),
(5864, 'de', 'settings', 'Check for Updates', 'Nach Updates suchen', '2021-01-08 08:28:43'),
(5865, 'de', 'settings', 'SA_CRAWL_DELAY_TIME', 'Website-Auditor Pause zwischen Seitenpruefungen', '2021-01-08 08:28:43'),
(5866, 'de', 'settings', 'SA_MAX_NO_PAGES', 'Maximale Anzahl an Seiten pro Webseite', '2021-01-08 08:28:43'),
(5867, 'de', 'settings', 'SP_API_KEY', 'SEO Panel API Schluessel', '2021-01-08 08:28:43'),
(5868, 'de', 'settings', 'versionnotuptodatemsg', 'Ihre SEO Panel Installation ist nicht auf dem neusten Stand. <br>Bitte updaten / Neuste Version herunterladen.', '2021-01-08 08:28:43'),
(5869, 'de', 'settings', 'Your Seo Panel installation is up to date', 'Ihre SEO Panel Installation ist auf dem neusten Stand.', '2021-01-08 08:28:43'),
(5870, 'de', 'siteauditor', 'Anchor', 'Ankertext', '2021-01-06 10:26:09'),
(5871, 'de', 'siteauditor', 'anylinkcontainabovelinks', 'Alle oben aufgefuehrten Links werden vom Bericht ausgeschlossen', '2021-01-06 10:26:09'),
(5872, 'de', 'siteauditor', 'anylinkcontainexcludesitemap', 'Alle oben aufgefuehrten Links werden vom Sitemap ausgeschlossen', '2021-01-06 10:26:09'),
(5873, 'de', 'siteauditor', 'Check backlinks of pages', 'Backlinks der Seiten ueberpruefen', '2021-01-06 10:26:09'),
(5874, 'de', 'siteauditor', 'Check broken links in a page', 'Kaputte Links einer Seite ueberpruefen', '2021-01-06 10:26:09'),
(5875, 'de', 'siteauditor', 'Check google pagerank of pages', 'Google Pagerank der Seiten ueberpruefen', '2021-01-06 10:26:09'),
(5876, 'de', 'siteauditor', 'Check pages indexed or not', 'Ueberpruefen ob Seiten indiziert sind oder nicht.', '2021-01-06 10:26:09'),
(5877, 'de', 'siteauditor', 'Check Score', 'Gesamtwertung ermitteln', '2021-01-06 10:26:09'),
(5878, 'de', 'siteauditor', 'checkborckenlinkwait', 'Das Ueberpruefen von kaputten Links wird die Ausfuehrungsdauer eines Projektes verlaengern.', '2021-01-06 10:26:09'),
(5879, 'de', 'siteauditor', 'Completed project execution', 'Projekt ausgefuehrt.', '2021-01-06 10:26:09'),
(5880, 'de', 'siteauditor', 'Crawled', 'Seiten geprueft', '2021-01-06 10:26:09'),
(5881, 'de', 'siteauditor', 'Crawled Pages', 'Gepruefte Seiten', '2021-01-06 10:26:09'),
(5882, 'de', 'siteauditor', 'crawledsuccesssfullywaitfornext', 'Pruefung erfolgreich! Starte Pruefung der naechsten Seite fuer', '2021-01-06 10:26:09'),
(5883, 'de', 'siteauditor', 'Crawling Page', 'Ueberpruefe Seite', '2021-01-06 10:26:09'),
(5884, 'de', 'siteauditor', 'Duplicate Description', 'Doppelte Beschreibung', '2021-01-06 10:26:09'),
(5885, 'de', 'siteauditor', 'Duplicate Keywords', 'Doppelte Keywords', '2021-01-06 10:26:09'),
(5886, 'de', 'siteauditor', 'Duplicate Title', 'Doppelte Titel', '2021-01-06 10:26:09'),
(5887, 'de', 'siteauditor', 'Exclude links', 'Links ausschliessen', '2021-01-06 10:26:09'),
(5888, 'de', 'siteauditor', 'Execute with cron', 'Als Cronjob ausfuehren', '2021-01-06 10:26:09'),
(5889, 'de', 'siteauditor', 'External', 'Extern', '2021-01-06 10:26:09'),
(5890, 'de', 'siteauditor', 'External Links', 'Externe Links', '2021-01-06 10:26:09'),
(5891, 'de', 'siteauditor', 'Import Project Links', 'Projektlinks importieren', '2021-01-06 10:26:09'),
(5892, 'de', 'siteauditor', 'Insert links separated with comma', 'Links kommagetrennt angeben.', '2021-01-06 10:26:09'),
(5893, 'de', 'siteauditor', 'insertlinkssepcoma', 'Links kommagetrennt angeben um unendliche Links aus Berichten auszuschliessen', '2021-01-06 10:26:09'),
(5894, 'de', 'siteauditor', 'Link Reports', 'Link Bericht', '2021-01-06 10:26:09'),
(5895, 'de', 'siteauditor', 'Link Title', 'Link Titel', '2021-01-06 10:26:09'),
(5896, 'de', 'siteauditor', 'Maximum number of pages to be checked', 'Maximale Anzahl der zu ueberpruefenden Seiten', '2021-01-06 10:26:09'),
(5897, 'de', 'siteauditor', 'Maximum Pages', 'Maximale Seiten', '2021-01-06 10:26:09'),
(5898, 'de', 'siteauditor', 'No active projects found', 'Keine aktiven Projekte gefunden', '2021-01-06 10:26:09'),
(5899, 'de', 'siteauditor', 'Nofollow', 'NoFollow', '2021-01-06 10:26:09'),
(5900, 'de', 'siteauditor', 'Number of pages is greater than', 'Anzahl der Seiten ist hoeher als', '2021-01-06 10:26:09'),
(5901, 'de', 'siteauditor', 'Number of pages should be greater than', 'Anzahl der Seiten sollte hoeher sein als', '2021-01-06 10:26:09'),
(5902, 'de', 'siteauditor', 'Page Details', 'Seiten Details', '2021-01-06 10:26:09'),
(5903, 'de', 'siteauditor', 'Page Link', 'Seiten Link', '2021-01-06 10:26:09'),
(5904, 'de', 'siteauditor', 'Page Links', 'Seiten Links', '2021-01-06 10:26:09'),
(5905, 'de', 'siteauditor', 'Pages Found', 'Seiten gefunden', '2021-01-06 10:26:09'),
(5906, 'de', 'siteauditor', 'pressescapetostopexecution', '<b>ESC</b> druecken um abzubrechen', '2021-01-06 10:26:09'),
(5907, 'de', 'siteauditor', 'Project Summary', 'Projekt Zusammenfassung', '2021-01-06 10:26:09'),
(5908, 'de', 'siteauditor', 'Project Url', 'Projekt URL', '2021-01-06 10:26:09'),
(5909, 'de', 'siteauditor', 'projectalreadyexist', 'Projekt fuer diese Webseite ist bereits vorhanden', '2021-01-06 10:26:09'),
(5910, 'de', 'siteauditor', 'Recheck Pages', 'Seiten nochmals ueberpruefen', '2021-01-06 10:26:09'),
(5911, 'de', 'siteauditor', 'Report Summary', 'Bericht Zusammenfassung', '2021-01-06 10:26:09'),
(5912, 'de', 'siteauditor', 'Run Project', 'Projekt ausfuehren', '2021-01-06 10:26:09'),
(5913, 'de', 'siteauditor', 'should start with', 'sollte beginnen mit', '2021-01-06 10:26:09'),
(5914, 'de', 'siteauditor', 'Site Auditor Settings', 'Website-Doktor Einstellungen', '2021-01-06 10:26:09'),
(5915, 'de', 'siteauditor', 'Store all links found in a page', 'Alle gefundenen Links speichern', '2021-01-06 10:26:09'),
(5916, 'de', 'siteauditor', 'The page description length is not between', 'Die Laenge der Seiten-Beschreibung ist nicht zwischen', '2021-01-06 10:26:09'),
(5917, 'de', 'siteauditor', 'The page is brocken', 'Die Seite ist fehlerhaft', '2021-01-06 10:26:09'),
(5918, 'de', 'siteauditor', 'The page is having exellent number of backlinks in', 'Die Seite hat eine exzellente Anzahl an Links in', '2021-01-06 10:26:09'),
(5919, 'de', 'siteauditor', 'The page is having exellent pagerank', 'Die Seite hat einen exzellenten Pagerank', '2021-01-06 10:26:09'),
(5920, 'de', 'siteauditor', 'The page is having good number of backlinks in', 'Die Seite hat eine gute Anzahl an Backlinks in', '2021-01-06 10:26:09'),
(5921, 'de', 'siteauditor', 'The page is having good pagerank', 'Die Seite hat einen guten Pagerank', '2021-01-06 10:26:09'),
(5922, 'de', 'siteauditor', 'The page is having poor pagerank', 'Die Seite hat einen sehr niedrigen Pagerank', '2021-01-06 10:26:09'),
(5923, 'de', 'siteauditor', 'The page is having very good pagerank', 'Die Seite hat einen sehr guten Pagerank', '2021-01-06 10:26:09'),
(5924, 'de', 'siteauditor', 'The page is not having backlinks in', 'Die Seite hat keine Backlinks in', '2021-01-06 10:26:09'),
(5925, 'de', 'siteauditor', 'The page is not indexed in', 'Die Seite ist nicht indiziert in', '2021-01-06 10:26:09'),
(5926, 'de', 'siteauditor', 'The page keywords length is not between', 'Die Laenge der Keywords ist nicht zwischen', '2021-01-06 10:26:09'),
(5927, 'de', 'siteauditor', 'The page title length is not between', 'Die Laenge des Seiten-Titels ist nicht zwischen', '2021-01-06 10:26:09'),
(5928, 'de', 'siteauditor', 'The total number of links in page is greater than', 'Die Gesamtanzahl an Links ist hoeher als', '2021-01-06 10:26:09'),
(5929, 'de', 'siteauditor', 'to run project again if you stopped execution', 'um ein Projekt neu zu starten nach einem Abbruch', '2021-01-06 10:26:09'),
(5930, 'de', 'siteauditor', 'to view the reports', 'um die Berichte zu betrachten', '2021-01-06 10:26:09'),
(5931, 'de', 'siteauditor', 'Total Links', 'Links gesamt', '2021-01-06 10:26:09'),
(5932, 'de', 'siteauditor', 'totallinksgreaterallowed', 'Die Gesamtanzahl der Links ist hoeher als das erlaubte Maximum pro Projekt', '2021-01-06 10:26:09'),
(5933, 'el', 'home', 'Indexed', 'Καταχωρήθηκαν', '2019-11-28 18:25:11'),
(5934, 'el', 'keyword', 'Insert keywords separated with comma', 'Εισάγετε τις λέξεις κλειδιά, διαχωρισμένες με κόμμα.', '2016-01-27 08:02:49'),
(5935, 'el', 'label', 'Brocken', 'Σπασμένο', '2019-11-28 18:22:10'),
(5936, 'el', 'label', 'Comments', 'Σχόλια', '2019-11-28 18:22:10'),
(5937, 'el', 'label', 'Count', 'Καταμέτρηση', '2019-11-28 18:22:10'),
(5938, 'el', 'label', 'Exclude', 'Απόκλεισε', '2019-11-28 18:22:10'),
(5939, 'el', 'label', 'Include', 'Συμπερίλαβε', '2019-11-28 18:22:10'),
(5940, 'el', 'label', 'Project', 'Εργασία', '2019-11-28 18:22:10'),
(5941, 'el', 'label', 'Report Type', 'Τύπος αναφοράς', '2019-11-28 18:22:10'),
(5942, 'el', 'label', 'Score', 'Βαθμολογία', '2019-11-28 18:22:10'),
(5943, 'el', 'label', 'Total Results', 'Συνολικά αποτελέσματα', '2019-11-28 18:22:10'),
(5944, 'el', 'label', 'Updated', 'Αναβαθμίστηκε', '2019-11-28 18:22:10'),
(5945, 'el', 'label', 'View Reports', 'Προβολή αναφορών', '2019-11-28 18:22:10'),
(5946, 'el', 'panel', 'Edit Project', 'Επεξεργασία εργασίας', '2019-08-28 05:42:17'),
(5947, 'el', 'panel', 'New Project', 'Νέα εργασία', '2019-08-28 05:42:17'),
(5948, 'el', 'seotools', 'Auditor Projects', 'Εργασίες ελεγκτή ', '2019-11-28 18:13:05'),
(5949, 'el', 'seotools', 'Auditor Reports', 'Αναφορές ελεγκτή', '2019-11-28 18:13:05'),
(5950, 'el', 'seotools', 'Auditor Settings', 'Ρυθμίσεις ελεγκτή ', '2019-11-28 18:13:05'),
(5951, 'el', 'seotools', 'Import Project Links', 'Εισαγωγή συνδέσμων εργασίας', '2019-11-28 18:13:05'),
(5952, 'el', 'seotools', 'site-auditor', 'Ελεγκτής ιστοσελίδας', '2019-11-28 18:13:05'),
(5953, 'el', 'settings', 'Check for Updates', 'Έλεγχος για νέες εκδόσεις', '2019-08-28 05:43:40'),
(5954, 'el', 'settings', 'SA_CRAWL_DELAY_TIME', 'Καθυστέρηση ανιχνευτή ιστοτόπων, μεταξύ των σελίδων', '2019-08-28 05:43:40'),
(5955, 'el', 'settings', 'SA_MAX_NO_PAGES', 'Μέγιστος επιτρεπόμενος αριθμός σελίδων ανά ιστότοπο', '2019-08-28 05:43:40'),
(5956, 'el', 'settings', 'SP_API_KEY', 'Seo Panel API Key', '2019-08-28 05:43:40'),
(5957, 'el', 'settings', 'versionnotuptodatemsg', 'Η έκδοση του Seo Panel που χρησιμοποιείτε δεν είναι αναβαθμισμένη. <br>Παρακαλώ κατεβάστε την τελευταία έκδοση', '2019-08-28 05:43:40'),
(5958, 'el', 'settings', 'Your Seo Panel installation is up to date', 'Η έκδοση του Seo Panel είναι αναβαθμισμένη', '2019-08-28 05:43:40'),
(5959, 'el', 'siteauditor', 'Anchor', 'Σήμανση', '2017-07-18 06:05:38'),
(5960, 'el', 'siteauditor', 'anylinkcontainabovelinks', 'Όποιος από τους συνδέσμους περιλαμβάνει τους συνδέσμους από πάνω δεν θα περιλαμβάνεται στις αναφορές', '2017-07-18 06:05:38'),
(5961, 'el', 'siteauditor', 'anylinkcontainexcludesitemap', 'Όποιος από τους συνδέσμους περιλαμβάνει τους συνδέσμους από πάνω δεν θα περιλαμβάνεται στο sitemap', '2017-07-18 06:05:38'),
(5962, 'el', 'siteauditor', 'Check backlinks of pages', 'Ελέγξτε τα backlink των σελίδων', '2017-07-18 06:05:38'),
(5963, 'el', 'siteauditor', 'Check broken links in a page', 'Έλεγχος σπασμένων συνδέσμων σε σελίδα', '2017-07-18 06:05:38'),
(5964, 'el', 'siteauditor', 'Check google pagerank of pages', 'Έλεγχος Google pagerank των σελίδων', '2017-07-18 06:05:38'),
(5965, 'el', 'siteauditor', 'Check pages indexed or not', 'Έλεγχος καταχώρισης ή όχι των σελίδων', '2017-07-18 06:05:38'),
(5966, 'el', 'siteauditor', 'Check Score', 'Έλεγχος βαθμολογίας', '2017-07-18 06:05:38'),
(5967, 'el', 'siteauditor', 'checkborckenlinkwait', 'Ο έλεγχος των σπασμένων συνδέσμων θα αυξήσει τον χρόνο εκτέλεσης μιας εργασίας', '2017-07-18 06:05:38'),
(5968, 'el', 'siteauditor', 'Completed project execution', 'Ολοκληρωμένη εκτέλεση εργασίας', '2017-07-18 06:05:38'),
(5969, 'el', 'siteauditor', 'Crawled', 'Ανιχνεύθηκε', '2017-07-18 06:05:38'),
(5970, 'el', 'siteauditor', 'Crawled Pages', 'Σελίδες που ανιχνεύθηκαν', '2017-07-18 06:05:38'),
(5971, 'el', 'siteauditor', 'crawledsuccesssfullywaitfornext', 'Επιτυχής ανίχνευση! Περιμένετε για την ανίχνευση της επόμενης σελίδας για', '2017-07-18 06:05:38'),
(5972, 'el', 'siteauditor', 'Crawling Page', 'Ανίχνευση σελίδας', '2017-07-18 06:05:38'),
(5973, 'el', 'siteauditor', 'Duplicate Description', 'Διπλή περιγραφή', '2017-07-18 06:05:38'),
(5974, 'el', 'siteauditor', 'Duplicate Keywords', 'Διπλές λέξεις κλειδιά', '2017-07-18 06:05:38'),
(5975, 'el', 'siteauditor', 'Duplicate Title', 'Διπλός τίτλος', '2017-07-18 06:05:38'),
(5976, 'el', 'siteauditor', 'Exclude links', 'Μην συμπεριλάβετε τους συνδέσμους', '2017-07-18 06:05:38'),
(5977, 'el', 'siteauditor', 'Execute with cron', 'Εκτέλεση με cron', '2017-07-18 06:05:38'),
(5978, 'el', 'siteauditor', 'External', 'Εξωτερικά', '2017-07-18 06:05:38'),
(5979, 'el', 'siteauditor', 'External Links', 'Εξωτερικοί σύνδεσμοι', '2017-07-18 06:05:38'),
(5980, 'el', 'siteauditor', 'Import Project Links', 'Εισαγωγή συνδέσμων εργασίας', '2017-07-18 06:05:38'),
(5981, 'el', 'siteauditor', 'Insert links separated with comma', 'Εισαγωγή συνδέσμων διαχωρισμένοι με κόμμα', '2017-07-18 06:05:38'),
(5982, 'el', 'siteauditor', 'insertlinkssepcoma', 'Τοποθετήστε συνδέσμους διαχωρισμένους με κόμμα για να αποκλείσετε άπειρους συνδέσμους από τις αναφορές', '2017-07-18 06:05:38'),
(5983, 'el', 'siteauditor', 'Link Reports', 'Αναφορές συνδέσμων', '2017-07-18 06:05:38'),
(5984, 'el', 'siteauditor', 'Link Title', 'Τίτλος συνδέσμου', '2017-07-18 06:05:38'),
(5985, 'el', 'siteauditor', 'Maximum number of pages to be checked', 'Μέγιστος αριθμός σελίδων για έλεγχο', '2017-07-18 06:05:38'),
(5986, 'el', 'siteauditor', 'Maximum Pages', 'Μέγιστος αριθμός σελίδων', '2017-07-18 06:05:38'),
(5987, 'el', 'siteauditor', 'No active projects found', 'Δεν βρέθηκαν ενεργές εργασίες', '2017-07-18 06:05:38'),
(5988, 'el', 'siteauditor', 'Nofollow', 'Δεν ακολουθείται', '2017-07-18 06:05:38'),
(5989, 'el', 'siteauditor', 'Number of pages is greater than', 'Αριθμός των σελίδων μεγαλύτερες από', '2017-07-18 06:05:38'),
(5990, 'el', 'siteauditor', 'Number of pages should be greater than', 'Αριθμός των σελίδων που έπρεπε να είναι μεγαλύτερες από', '2017-07-18 06:05:38'),
(5991, 'el', 'siteauditor', 'Page Details', 'Λεπτομέρειες σελίδας', '2017-07-18 06:05:38'),
(5992, 'el', 'siteauditor', 'Page Link', 'Σύνδεσμος σελίδας', '2017-07-18 06:05:38'),
(5993, 'el', 'siteauditor', 'Page Links', 'Σύνδεσμοι σελίδας', '2017-07-18 06:05:38'),
(5994, 'el', 'siteauditor', 'Pages Found', 'Σελίδες που βρέθηκαν', '2017-07-18 06:05:38'),
(5995, 'el', 'siteauditor', 'pressescapetostopexecution', 'Πατήστε το πλήκτρο <b>escape</b> της εκτέλεσης της διεργασίας', '2017-07-18 06:05:38'),
(5996, 'el', 'siteauditor', 'Project Summary', 'Σύνοψη εργασίας', '2017-07-18 06:05:38'),
(5997, 'el', 'siteauditor', 'Project Url', 'URL εργασίας', '2017-07-18 06:05:38'),
(5998, 'el', 'siteauditor', 'projectalreadyexist', 'Η εργασία για αυτόν τον ιστότοπο ήδη υπάρχει', '2017-07-18 06:05:38'),
(5999, 'el', 'siteauditor', 'Recheck Pages', 'Επανέλεγχος σελίδων', '2017-07-18 06:05:38'),
(6000, 'el', 'siteauditor', 'Report Summary', 'Σύνοψη αναφοράς', '2017-07-18 06:05:38'),
(6001, 'el', 'siteauditor', 'Run Project', 'Εκτέλεση εργασίας', '2017-07-18 06:05:38'),
(6002, 'el', 'siteauditor', 'should start with', 'πρέπει να ξεκινάει με', '2017-07-18 06:05:38'),
(6003, 'el', 'siteauditor', 'Site Auditor Settings', 'Ρυθμίσεις του Ελεγκτή ιστοτόπου', '2017-07-18 06:05:38'),
(6004, 'el', 'siteauditor', 'Store all links found in a page', 'Αποθήκευση όλων των συνδέσμων που βρίσκονται σε μια σελίδα', '2017-07-18 06:05:38'),
(6005, 'el', 'siteauditor', 'The page description length is not between', 'Η περιγραφή της σελίδας δεν είναι ανάμεσα', '2017-07-18 06:05:38'),
(6006, 'el', 'siteauditor', 'The page is brocken', 'Η σελίδα είναι σπασμένη', '2017-07-18 06:05:38'),
(6007, 'el', 'siteauditor', 'The page is having exellent number of backlinks in', 'Η σελίδα έχει άριστο αριθμό backlink σε', '2017-07-18 06:05:38'),
(6008, 'el', 'siteauditor', 'The page is having exellent pagerank', 'Η σελίδα έχει άριστο pagerank', '2017-07-18 06:05:38'),
(6009, 'el', 'siteauditor', 'The page is having good number of backlinks in', 'Η σελίδα έχει καλό αριθμό backlinks σε', '2017-07-18 06:05:38'),
(6010, 'el', 'siteauditor', 'The page is having good pagerank', 'Η σελίδα έχει καλό pagerank', '2017-07-18 06:05:38'),
(6011, 'el', 'siteauditor', 'The page is having poor pagerank', 'Η σελίδα έχει χαμηλό pagerank', '2017-07-18 06:05:38'),
(6012, 'el', 'siteauditor', 'The page is having very good pagerank', 'Η σελίδα έχει πολύ καλό pagerank', '2017-07-18 06:05:38'),
(6013, 'el', 'siteauditor', 'The page is not having backlinks in', 'Η σελίδα δεν έχει backlinks σε', '2017-07-18 06:05:38'),
(6014, 'el', 'siteauditor', 'The page is not indexed in', 'H σελίδα δεν είναι καταχωρημένη σε', '2017-07-18 06:05:38'),
(6015, 'el', 'siteauditor', 'The page keywords length is not between', 'Το μήκος των λέξεων κλειδιών της σελίδα δεν είναι ανάμεσα σε', '2017-07-18 06:05:38'),
(6016, 'el', 'siteauditor', 'The page title length is not between', 'Το μήκος του τίτλου της σελίδας δεν είναι ανάμεσα σε', '2017-07-18 06:05:38'),
(6017, 'el', 'siteauditor', 'The total number of links in page is greater than', 'Ο συνολικός αριθμός των συνδέσμων στην σελίδα είναι μεγαλύτερος από', '2017-07-18 06:05:38'),
(6018, 'el', 'siteauditor', 'to run project again if you stopped execution', 'για να εκκινήσετε την εργασία ξανά αν σταματήσατε την εκτέλεση της', '2017-07-18 06:05:38'),
(6019, 'el', 'siteauditor', 'to view the reports', 'για να δείτε τις αναφορές', '2017-07-18 06:05:38'),
(6020, 'el', 'siteauditor', 'Total Links', 'Συνολικοί Σύνδεσμοι', '2017-07-18 06:05:38'),
(6021, 'el', 'siteauditor', 'totallinksgreaterallowed', 'Οι συνολικοί σύνδεσμοι θα είναι μεγαλύτεροι από το μέγιστο αριθμό συνδέσμων που επιτρέπονται στην εργασία', '2017-07-18 06:05:38'),
(6022, 'en', 'directory', 'Reciprocal Link', 'Reciprocal Link', '2011-07-08 08:09:43'),
(6023, 'el', 'directory', 'Reciprocal Link', 'Ανταποδοτικοί σύνδεσμοι', '2014-01-20 11:07:08'),
(6024, 'tr', 'directory', 'Reciprocal Link', 'Karşılıklı Link', '2012-11-11 08:13:26'),
(6025, 'tr', 'home', 'Indexed', 'İndexlendi', '2017-02-04 21:23:57'),
(6026, 'tr', 'keyword', 'Insert keywords separated with comma', 'Anahtar kelimeleri virgül ile ayırarak giriniz', '2017-02-04 20:48:33'),
(6027, 'tr', 'label', 'Brocken', 'Kırık', '2012-11-11 08:14:34'),
(6028, 'tr', 'label', 'Comments', 'Yorumlar', '2012-11-11 08:14:34'),
(6029, 'tr', 'label', 'Count', 'Sayı', '2012-11-11 08:14:34'),
(6030, 'tr', 'label', 'Exclude', 'Çıkar', '2012-11-11 08:14:34'),
(6031, 'tr', 'label', 'Include', 'İçer', '2012-11-11 08:14:34'),
(6032, 'tr', 'label', 'Project', 'Proje', '2012-11-11 08:14:34'),
(6033, 'tr', 'label', 'Report Type', 'Rapor Biçini', '2012-11-11 08:14:34'),
(6034, 'tr', 'label', 'Score', 'Skor', '2012-11-11 08:14:34'),
(6035, 'tr', 'label', 'Total Results', 'Toplam sonuç', '2012-11-11 08:14:34'),
(6036, 'tr', 'label', 'Updated', 'Güncelle', '2012-11-11 08:14:34'),
(6037, 'tr', 'label', 'View Reports', 'Raporları Görüntüle', '2012-11-11 08:14:34'),
(6038, 'pt', 'directory', 'Reciprocal Link', 'Link reciproco', '2012-11-10 20:59:13'),
(6039, 'pt', 'home', 'Indexed', 'Indexar', '2011-07-10 09:41:24'),
(6040, 'pt', 'keyword', 'Insert keywords separated with comma', 'Insira as palavras(keywords) entre virgulas', '2016-01-17 19:11:49'),
(6041, 'pt', 'label', 'Brocken', 'Partido', '2018-01-25 19:11:22'),
(6042, 'pt', 'label', 'Comments', 'Comentario', '2018-01-25 19:11:22'),
(6043, 'pt', 'label', 'Count', 'Contagem', '2018-01-25 19:11:22'),
(6044, 'pt', 'label', 'Exclude', 'Excluir', '2018-01-25 19:11:22'),
(6045, 'pt', 'label', 'Include', 'Incluir', '2018-01-25 19:11:22'),
(6046, 'pt', 'label', 'Project', 'Projecto', '2018-01-25 19:11:22'),
(6047, 'pt', 'label', 'Report Type', 'Reportar Tipo', '2018-01-25 19:11:22'),
(6048, 'pt', 'label', 'Score', 'Pontuação', '2018-01-25 19:11:22'),
(6049, 'pt', 'label', 'Total Results', 'Total de resultados', '2018-01-25 19:11:22'),
(6050, 'pt', 'label', 'Updated', 'Modificado', '2018-01-25 19:11:22'),
(6051, 'pt', 'label', 'View Reports', 'Ver Relatórios', '2018-01-25 19:11:22'),
(6052, 'pt', 'panel', 'Edit Project', 'Editar Projecto', '2018-01-25 19:18:33'),
(6053, 'pt', 'panel', 'New Project', 'Novo projecto', '2018-01-25 19:18:33'),
(6054, 'pt', 'seotools', 'Auditor Projects', 'Auditar Projectos', '2018-01-25 19:25:11'),
(6055, 'pt', 'seotools', 'Auditor Reports', 'Auditar Relatórios', '2018-01-25 19:25:11'),
(6056, 'pt', 'seotools', 'Auditor Settings', 'Auditar configurações', '2018-01-25 19:25:11'),
(6057, 'pt', 'seotools', 'Import Project Links', 'Importar Links de projectos', '2018-01-25 19:25:11'),
(6058, 'pt', 'seotools', 'site-auditor', 'Auditar Site', '2018-01-25 19:25:11'),
(6059, 'pt', 'settings', 'Check for Updates', 'Verificar Actualizações', '2018-01-25 19:23:30'),
(6060, 'pt', 'settings', 'SA_CRAWL_DELAY_TIME', 'Atraso entre páginas do auditar site', '2018-01-25 19:23:30'),
(6061, 'pt', 'settings', 'SA_MAX_NO_PAGES', 'Numero de paginas permitidas por sites', '2018-01-25 19:23:30'),
(6062, 'pt', 'settings', 'SP_API_KEY', 'API Key do Seo Panel', '2018-01-25 19:23:30'),
(6063, 'pt', 'settings', 'versionnotuptodatemsg', 'A instalação do seu Seo Panel não está actualizada. <br> faça o download da nova versão', '2018-01-25 19:23:30'),
(6064, 'pt', 'settings', 'Your Seo Panel installation is up to date', 'Tem o Seo Panel Actualizado', '2018-01-25 19:23:30'),
(6065, 'tr', 'panel', 'Edit Project', 'Projeyi Düzenle', '2017-02-04 20:50:50'),
(6066, 'tr', 'panel', 'New Project', 'Yeni Proje', '2017-02-04 20:50:50'),
(6067, 'fr', 'siteauditor', 'Anchor', 'Ancre', '2018-01-22 22:56:01'),
(6068, 'fr', 'siteauditor', 'anylinkcontainabovelinks', 'Tous les liens figurant ci-dessus seront exclus des rapports', '2018-01-22 22:56:01'),
(6069, 'fr', 'siteauditor', 'anylinkcontainexcludesitemap', 'Tous les liens figurant ci-dessus seront exclus du sitemap', '2018-01-22 22:56:01'),
(6070, 'fr', 'siteauditor', 'Check backlinks of pages', 'Vérifier les liens retour des pages', '2018-01-22 22:56:01'),
(6071, 'fr', 'siteauditor', 'Check broken links in a page', 'Vérifier les liens cassés d\'une page', '2018-01-22 22:56:01'),
(6072, 'fr', 'siteauditor', 'Check google pagerank of pages', 'Vérifier le pagerank Google des pages', '2018-01-22 22:56:01'),
(6073, 'fr', 'siteauditor', 'Check pages indexed or not', 'Vérifier si les pages sont indexées ou non', '2018-01-22 22:56:01'),
(6074, 'fr', 'siteauditor', 'Check Score', 'Vérifier le score', '2018-01-22 22:56:01'),
(6075, 'fr', 'siteauditor', 'checkborckenlinkwait', 'La vérification des liens cassés accroit le temps d\'exécution du projet', '2018-01-22 22:56:01'),
(6076, 'fr', 'siteauditor', 'Completed project execution', 'Projet terminé', '2018-01-22 22:56:01'),
(6077, 'fr', 'siteauditor', 'Crawled', 'Exploré', '2018-01-22 22:56:01'),
(6078, 'fr', 'siteauditor', 'Crawled Pages', 'Pages explorées', '2018-01-22 22:56:01'),
(6079, 'fr', 'siteauditor', 'crawledsuccesssfullywaitfornext', 'exploré avec succès ! En attente d\'exploration de la prochaine page de', '2018-01-22 22:56:01'),
(6080, 'fr', 'siteauditor', 'Crawling Page', 'Page en exploration', '2018-01-22 22:56:01'),
(6081, 'fr', 'siteauditor', 'Duplicate Description', 'Description redondante', '2018-01-22 22:56:01'),
(6082, 'fr', 'siteauditor', 'Duplicate Keywords', 'Mots clés redondants', '2018-01-22 22:56:01'),
(6083, 'fr', 'siteauditor', 'Duplicate Title', 'Titre redondant', '2018-01-22 22:56:01'),
(6084, 'fr', 'siteauditor', 'Exclude links', 'Liens à exclure', '2018-01-22 22:56:01'),
(6085, 'fr', 'siteauditor', 'Execute with cron', 'Exécuter avec cron', '2018-01-22 22:56:01'),
(6086, 'fr', 'siteauditor', 'External', 'Externe', '2018-01-22 22:56:01'),
(6087, 'fr', 'siteauditor', 'External Links', 'Liens externes', '2018-01-22 22:56:01'),
(6088, 'fr', 'siteauditor', 'Import Project Links', 'Importer les liens', '2018-01-22 22:56:01'),
(6089, 'fr', 'siteauditor', 'Insert links separated with comma', 'Entrez les liens en les séparant par des virgules', '2018-01-22 22:56:01'),
(6090, 'fr', 'siteauditor', 'insertlinkssepcoma', 'Entrez les liens (en les séparant par des virgules) pour éviter des liens sans fin dans les rapports', '2018-01-22 22:56:01'),
(6091, 'fr', 'siteauditor', 'Link Reports', 'Rapports sur les liens', '2018-01-22 22:56:01'),
(6092, 'fr', 'siteauditor', 'Link Title', 'Titre du lien', '2018-01-22 22:56:01'),
(6093, 'fr', 'siteauditor', 'Maximum number of pages to be checked', 'Nombre maximum de pages à traiter', '2018-01-22 22:56:01'),
(6094, 'fr', 'siteauditor', 'Maximum Pages', 'Pages maximum', '2018-01-22 22:56:01'),
(6095, 'fr', 'siteauditor', 'No active projects found', 'Aucun projet actif', '2018-01-22 22:56:01'),
(6096, 'fr', 'siteauditor', 'Nofollow', 'Nofollow', '2018-01-22 22:56:01'),
(6097, 'fr', 'siteauditor', 'Number of pages is greater than', 'Le nombre de pages est plus grand que ', '2018-01-22 22:56:01'),
(6098, 'fr', 'siteauditor', 'Number of pages should be greater than', 'Le nombre de pages devrait être supérieur à ', '2018-01-22 22:56:01'),
(6099, 'fr', 'siteauditor', 'Page Details', 'Détails de la page', '2018-01-22 22:56:01'),
(6100, 'fr', 'siteauditor', 'Page Link', 'Lien de la page', '2018-01-22 22:56:01'),
(6101, 'fr', 'siteauditor', 'Page Links', 'Liens de la page', '2018-01-22 22:56:01'),
(6102, 'fr', 'siteauditor', 'Pages Found', 'Pages trouvées', '2018-01-22 22:56:01'),
(6103, 'fr', 'siteauditor', 'pressescapetostopexecution', 'Appuyez sur la touche <b>Echap/Esc</b> pour arrêter l\'exécution du script', '2018-01-22 22:56:01'),
(6104, 'fr', 'siteauditor', 'Project Summary', 'Résumé du projet', '2018-01-22 22:56:01'),
(6105, 'fr', 'siteauditor', 'Project Url', 'URL du projet', '2018-01-22 22:56:01'),
(6106, 'fr', 'siteauditor', 'projectalreadyexist', 'Un projet existe déjà pour ce site web', '2018-01-22 22:56:01'),
(6107, 'fr', 'siteauditor', 'Recheck Pages', 'Revérifier les pages', '2018-01-22 22:56:01'),
(6108, 'fr', 'siteauditor', 'Report Summary', 'Rapport résumé', '2018-01-22 22:56:01'),
(6109, 'fr', 'siteauditor', 'Run Project', 'Lancer le projet', '2018-01-22 22:56:01'),
(6110, 'fr', 'siteauditor', 'should start with', 'devrait commencer par', '2018-01-22 22:56:01'),
(6111, 'fr', 'siteauditor', 'Site Auditor Settings', 'Paramètres du vérificateur de site', '2018-01-22 22:56:01'),
(6112, 'fr', 'siteauditor', 'Store all links found in a page', 'Enregistre tous les liens de la page', '2018-01-22 22:56:01'),
(6113, 'fr', 'siteauditor', 'The page description length is not between', 'La description de la page n\'est pas entre ', '2018-01-22 22:56:01'),
(6114, 'fr', 'siteauditor', 'The page is brocken', 'La page est cassée', '2018-01-22 22:56:01'),
(6115, 'fr', 'siteauditor', 'The page is having exellent number of backlinks in', 'La page a un très bon nombre de liens retour pour ', '2018-01-22 22:56:01'),
(6116, 'fr', 'siteauditor', 'The page is having exellent pagerank', 'La page a un rang excellent', '2018-01-22 22:56:01'),
(6117, 'fr', 'siteauditor', 'The page is having good number of backlinks in', 'La page a un bon nombre de liens retour pour ', '2018-01-22 22:56:01'),
(6118, 'fr', 'siteauditor', 'The page is having good pagerank', 'La page a un bon pagerank ', '2018-01-22 22:56:01'),
(6119, 'fr', 'siteauditor', 'The page is having poor pagerank', 'La page a un pagerank faible', '2018-01-22 22:56:01'),
(6120, 'fr', 'siteauditor', 'The page is having very good pagerank', 'La page a un très bon pagerank', '2018-01-22 22:56:01'),
(6121, 'fr', 'siteauditor', 'The page is not having backlinks in', 'La page n\'a pas de liens retour pour ', '2018-01-22 22:56:01'),
(6122, 'fr', 'siteauditor', 'The page is not indexed in', 'La page n\'est pas indexé dans ', '2018-01-22 22:56:01'),
(6123, 'fr', 'siteauditor', 'The page keywords length is not between', 'La longueur des mots clés de la page n\'est pas entre ', '2018-01-22 22:56:01'),
(6124, 'fr', 'siteauditor', 'The page title length is not between', 'La longueur du titre de la page n\'est pas entre ', '2018-01-22 22:56:01'),
(6125, 'fr', 'siteauditor', 'The total number of links in page is greater than', 'Le nombre total de liens dans la page est supérieur à ', '2018-01-22 22:56:01'),
(6126, 'fr', 'siteauditor', 'to run project again if you stopped execution', 'pour lancer le projet de nouveau si vous l\'avez arrêté', '2018-01-22 22:56:01'),
(6127, 'fr', 'siteauditor', 'to view the reports', 'pour voir les rapports', '2018-01-22 22:56:01'),
(6128, 'fr', 'siteauditor', 'Total Links', 'Total liens', '2018-01-22 22:56:01'),
(6129, 'fr', 'siteauditor', 'totallinksgreaterallowed', 'Le nombre de liens au total sera supérieur au maximum autorisé sur ce projet.', '2018-01-22 22:56:01'),
(6130, 'fr', 'directory', 'Reciprocal Link', 'Lien réciproque', '2012-11-10 20:37:55'),
(6131, 'tr', 'seotools', 'Auditor Projects', 'Denetçi Projeler', '2011-07-10 10:12:15'),
(6132, 'tr', 'seotools', 'Auditor Reports', 'Denetçi Raporlar', '2011-07-10 10:12:15'),
(6133, 'tr', 'seotools', 'Auditor Settings', 'Denetçi Ayarları', '2011-07-10 10:12:15'),
(6134, 'tr', 'seotools', 'Import Project Links', 'Proje linklerini İçe aktar (import)', '2011-07-10 10:12:15'),
(6135, 'tr', 'seotools', 'site-auditor', 'Site Denetçisi', '2011-07-10 10:12:15'),
(6136, 'fr', 'home', 'Indexed', 'Indexé', '2020-02-14 11:07:37'),
(6144, 'fr', 'label', 'Brocken', 'Cassé(s)', '2020-02-14 11:12:40'),
(6145, 'fr', 'label', 'Comments', 'Commentaires', '2020-02-14 11:12:40'),
(6146, 'fr', 'label', 'Count', 'Nombre', '2020-02-14 11:12:40'),
(6147, 'fr', 'label', 'Exclude', 'Exclure', '2020-02-14 11:12:40'),
(6148, 'fr', 'label', 'Include', 'Inclure', '2020-02-14 11:12:40'),
(6137, 'fr', 'keyword', 'Insert keywords separated with comma', 'Indiquer les mots-clés, séparés par des virgules', '2016-01-02 18:07:27'),
(6138, 'tr', 'settings', 'Check for Updates', 'Güncellemeleri Kontol Et', '2017-02-04 13:45:16'),
(6139, 'tr', 'settings', 'SA_CRAWL_DELAY_TIME', 'Her sayfa arasındaki site denetçisi yavaş ilerlemesi', '2017-02-04 13:45:16'),
(6140, 'tr', 'settings', 'SA_MAX_NO_PAGES', 'Bir site için maksimum izin verilen sayfa sayısı', '2017-02-04 13:45:16'),
(6141, 'tr', 'settings', 'SP_API_KEY', 'Seo Panel API Key', '2017-02-04 13:45:16'),
(6142, 'tr', 'settings', 'versionnotuptodatemsg', 'Seo Panel yüklemeniz güncel değil. <br>Lütfen, yeni versiyonu indiriniz', '2017-02-04 13:45:16'),
(6143, 'tr', 'settings', 'Your Seo Panel installation is up to date', 'Seo Panel yüklemeniz güncel.', '2017-02-04 13:45:16'),
(6149, 'fr', 'label', 'Project', 'Projet', '2020-02-14 11:12:40'),
(6150, 'fr', 'label', 'Report Type', 'Type de rapport', '2020-02-14 11:12:40'),
(6151, 'fr', 'label', 'Score', 'Score', '2020-02-14 11:12:40'),
(6152, 'fr', 'label', 'Total Results', 'Total', '2020-02-14 11:12:40'),
(6153, 'fr', 'label', 'Updated', 'Mis à jour', '2020-02-14 11:12:40'),
(6154, 'fr', 'label', 'View Reports', 'Voir les rapports', '2020-02-14 11:12:40'),
(6155, 'fr', 'panel', 'Edit Project', 'Editer le projet', '2020-02-14 11:14:52'),
(6156, 'fr', 'panel', 'New Project', 'Nouveau projet', '2020-02-14 11:14:52'),
(6157, 'fr', 'seotools', 'Auditor Projects', 'Projets du Vérificateur de site', '2019-03-28 14:37:48'),
(6158, 'fr', 'seotools', 'Auditor Reports', 'Rapports du Vérificateur de site', '2019-03-28 14:37:48'),
(6159, 'fr', 'seotools', 'Auditor Settings', 'Paramètres du Vérificateur de site', '2019-03-28 14:37:48'),
(6160, 'fr', 'seotools', 'Import Project Links', 'Importer les liens du projet', '2019-03-28 14:37:48'),
(6161, 'fr', 'seotools', 'site-auditor', 'Vérificateur de site', '2019-03-28 14:37:48'),
(6162, 'fr', 'settings', 'Check for Updates', 'Vérifier les mises à jour', '2019-03-28 14:39:30'),
(6163, 'fr', 'settings', 'SA_CRAWL_DELAY_TIME', 'Délai d\'exploration entre chaque page pour le Vérificateur de site', '2019-03-28 14:39:30'),
(6164, 'fr', 'settings', 'SA_MAX_NO_PAGES', 'Nombre maximum de pages autorisées par site web', '2019-03-28 14:39:30'),
(6165, 'fr', 'settings', 'SP_API_KEY', 'Clé API SeoPanel', '2019-03-28 14:39:30'),
(6166, 'fr', 'settings', 'versionnotuptodatemsg', 'Votre installation de Seo Panel n\'est plus à jour.<br/>Vous devriez télécharger la dernière version et effectuer la mise à jour.\r\n', '2019-03-28 14:39:30'),
(6167, 'fr', 'settings', 'Your Seo Panel installation is up to date', 'Votre installation Seo Panel est à jour.', '2019-03-28 14:39:30'),
(6168, 'it', 'directory', 'Reciprocal Link', 'Link reciproco', '2012-11-08 19:50:02'),
(6169, 'it', 'home', 'Indexed', 'Indicizzati', '2022-07-11 11:16:33'),
(6170, 'it', 'keyword', 'Insert keywords separated with comma', 'Inserisci le keywords separandole con una virgola', '2016-12-09 09:18:13'),
(6171, 'it', 'label', 'Brocken', 'Rotto', '2022-07-11 11:17:58'),
(6172, 'it', 'label', 'Comments', 'Commenti', '2022-07-11 11:17:58'),
(6173, 'it', 'label', 'Count', 'Conteggio', '2022-07-11 11:17:58'),
(6174, 'it', 'label', 'Exclude', 'Escludi', '2022-07-11 11:17:58'),
(6175, 'it', 'label', 'Include', 'Includi', '2022-07-11 11:17:58'),
(6176, 'it', 'label', 'Project', 'Progetto', '2022-07-11 11:17:58'),
(6177, 'it', 'label', 'Report Type', 'Riporta tipologia', '2022-07-11 11:17:58'),
(6178, 'it', 'label', 'Score', 'Punteggio', '2022-07-11 11:17:58'),
(6179, 'it', 'label', 'Total Results', 'Risultati totali', '2022-07-11 11:17:58'),
(6180, 'it', 'label', 'Updated', 'Aggiornato', '2022-07-11 11:17:58'),
(6181, 'it', 'label', 'View Reports', 'Visualizza report', '2022-07-11 11:17:58'),
(6182, 'it', 'panel', 'Edit Project', 'Modifica progetto', '2022-07-11 11:20:07'),
(6183, 'it', 'panel', 'New Project', 'Nuovo progetto', '2022-07-11 11:20:07'),
(6184, 'it', 'seotools', 'Auditor Projects', 'Revisore progetti', '2018-08-21 07:13:41'),
(6185, 'it', 'seotools', 'Auditor Reports', 'Revisore report', '2018-08-21 07:13:41'),
(6186, 'it', 'seotools', 'Auditor Settings', 'Revisore impostazioni', '2018-08-21 07:13:41'),
(6187, 'it', 'seotools', 'Import Project Links', 'Importa link progetto', '2018-08-21 07:13:41'),
(6188, 'it', 'seotools', 'site-auditor', 'Revisore sito', '2018-08-21 07:13:41'),
(6189, 'it', 'settings', 'Check for Updates', 'Controlla aggiornamenti.', '2018-08-21 07:16:32'),
(6190, 'it', 'settings', 'SA_CRAWL_DELAY_TIME', 'Ritardo controllo sito da parte del crawl tra ogni pagina.', '2018-08-21 07:16:32'),
(6191, 'it', 'settings', 'SA_MAX_NO_PAGES', 'Massimo numero di pagine permesse per sito.', '2018-08-21 07:16:32'),
(6192, 'it', 'settings', 'SP_API_KEY', 'API KEY del Seo Panel.', '2018-08-21 07:16:32'),
(6193, 'it', 'settings', 'versionnotuptodatemsg', 'La tua attuale versione del Seo Panel non risulta essere aggiornata. <br>Aggiornalo alla nuova versione.', '2018-08-21 07:16:32'),
(6194, 'it', 'settings', 'Your Seo Panel installation is up to date', 'Il tuo Seo Panel risulta attualmente aggiornato.', '2018-08-21 07:16:32'),
(6195, 'it', 'siteauditor', 'Anchor', 'Anchor', '2018-08-21 07:14:08'),
(6196, 'it', 'siteauditor', 'anylinkcontainabovelinks', 'Tutti i link contenuti nei link presenti sopra saranno esclusi dai reports', '2018-08-21 07:14:08'),
(6197, 'it', 'siteauditor', 'anylinkcontainexcludesitemap', 'Tutti i link contenuti nei link presenti sopra saranno esclusi dalla sitemap', '2018-08-21 07:14:08'),
(6198, 'it', 'siteauditor', 'Check backlinks of pages', 'Controlla backlinks delle pagine', '2018-08-21 07:14:08'),
(6199, 'it', 'siteauditor', 'Check broken links in a page', 'Controlla i link rotti nella pagina', '2018-08-21 07:14:08'),
(6200, 'it', 'siteauditor', 'Check google pagerank of pages', 'Controlla il page rank di google per la pagina', '2018-08-21 07:14:08'),
(6201, 'it', 'siteauditor', 'Check pages indexed or not', 'Controlla se la pagina è nell\'indice di ricerca o meno', '2018-08-21 07:14:08'),
(6202, 'it', 'siteauditor', 'Check Score', 'Verifica punteggio', '2018-08-21 07:14:08'),
(6203, 'it', 'siteauditor', 'checkborckenlinkwait', 'Verifica i link rotti che incrementano il tempo di esecuzione del progetto', '2018-08-21 07:14:08'),
(6204, 'it', 'siteauditor', 'Completed project execution', 'Esecuzione progetto completato', '2018-08-21 07:14:08'),
(6205, 'it', 'siteauditor', 'Crawled', 'Catturato', '2018-08-21 07:14:08'),
(6206, 'it', 'siteauditor', 'Crawled Pages', 'Pagine catturate', '2018-08-21 07:14:08'),
(6207, 'it', 'siteauditor', 'crawledsuccesssfullywaitfornext', 'Cattura effettuata con successo! Attendi perla cattura della prossima pagina.', '2018-08-21 07:14:08'),
(6208, 'it', 'siteauditor', 'Crawling Page', 'Cattura pagina', '2018-08-21 07:14:08'),
(6209, 'it', 'siteauditor', 'Duplicate Description', 'Descrizione duplicata', '2018-08-21 07:14:08'),
(6210, 'it', 'siteauditor', 'Duplicate Keywords', 'Keywords duplicate', '2018-08-21 07:14:08'),
(6211, 'it', 'siteauditor', 'Duplicate Title', 'Titoli duplicati', '2018-08-21 07:14:08'),
(6212, 'it', 'siteauditor', 'Exclude links', 'Escludi link', '2018-08-21 07:14:08'),
(6213, 'it', 'siteauditor', 'Execute with cron', 'Esegui con cron', '2018-08-21 07:14:08'),
(6214, 'it', 'siteauditor', 'External', 'Esterno', '2018-08-21 07:14:08'),
(6215, 'it', 'siteauditor', 'External Links', 'Link esterni', '2018-08-21 07:14:08'),
(6216, 'it', 'siteauditor', 'Import Project Links', 'Importa progetto link', '2018-08-21 07:14:08'),
(6217, 'it', 'siteauditor', 'Insert links separated with comma', 'Inserisci link separandoli con una virgola', '2018-08-21 07:14:08'),
(6218, 'it', 'siteauditor', 'insertlinkssepcoma', 'Inserisci link separandoli con una virgola per escludere link infiniti nei report', '2018-08-21 07:14:08'),
(6219, 'it', 'siteauditor', 'Link Reports', 'Report link', '2018-08-21 07:14:08'),
(6220, 'it', 'siteauditor', 'Link Title', 'Titolilink', '2018-08-21 07:14:08'),
(6221, 'it', 'siteauditor', 'Maximum number of pages to be checked', 'Massimo numero di pagine da controllare', '2018-08-21 07:14:08'),
(6222, 'it', 'siteauditor', 'Maximum Pages', 'Massimo pagine', '2018-08-21 07:14:08'),
(6223, 'it', 'siteauditor', 'No active projects found', 'Nessun progetto attivo trovato', '2018-08-21 07:14:08'),
(6224, 'it', 'siteauditor', 'Nofollow', 'Nofollow', '2018-08-21 07:14:08'),
(6225, 'it', 'siteauditor', 'Number of pages is greater than', 'Il numero di pagine è più grande di', '2018-08-21 07:14:08'),
(6226, 'it', 'siteauditor', 'Number of pages should be greater than', 'Il numero di pagine dovrebbe essere più grande di', '2018-08-21 07:14:08'),
(6227, 'it', 'siteauditor', 'Page Details', 'Dettagli pagina', '2018-08-21 07:14:08'),
(6228, 'it', 'siteauditor', 'Page Link', 'Link pagina', '2018-08-21 07:14:08'),
(6229, 'it', 'siteauditor', 'Page Links', 'Link pagina', '2018-08-21 07:14:08'),
(6230, 'it', 'siteauditor', 'Pages Found', 'Pagine trovate', '2018-08-21 07:14:08'),
(6231, 'it', 'siteauditor', 'pressescapetostopexecution', 'Premi<b>esc</b> per bloccare l\'esecuzione dello script', '2018-08-21 07:14:08'),
(6232, 'it', 'siteauditor', 'Project Summary', 'Sommario progetto', '2018-08-21 07:14:08'),
(6233, 'it', 'siteauditor', 'Project Url', 'Url progetto', '2018-08-21 07:14:08'),
(6234, 'it', 'siteauditor', 'projectalreadyexist', 'Il progetto per questo sito web esiste già', '2018-08-21 07:14:08'),
(6235, 'it', 'siteauditor', 'Recheck Pages', 'Ricontrolla pagine', '2018-08-21 07:14:08'),
(6236, 'it', 'siteauditor', 'Report Summary', 'Report sommario', '2018-08-21 07:14:08'),
(6237, 'it', 'siteauditor', 'Run Project', 'Avvia progetto', '2018-08-21 07:14:08'),
(6238, 'it', 'siteauditor', 'should start with', 'dovrebbe iniziare con', '2018-08-21 07:14:08'),
(6239, 'it', 'siteauditor', 'Site Auditor Settings', 'Impostazioni sito controllore', '2018-08-21 07:14:08'),
(6240, 'it', 'siteauditor', 'Store all links found in a page', 'Memorizza tutti i link presenti nella pagina', '2018-08-21 07:14:08'),
(6241, 'it', 'siteauditor', 'The page description length is not between', 'La lunghezza della descrizione della pagina non è tra', '2018-08-21 07:14:08'),
(6242, 'it', 'siteauditor', 'The page is brocken', 'La pagina è rotta', '2018-08-21 07:14:08'),
(6243, 'it', 'siteauditor', 'The page is having exellent number of backlinks in', 'La pagina ha un numero eccellente di backlink  da', '2018-08-21 07:14:08'),
(6244, 'it', 'siteauditor', 'The page is having exellent pagerank', 'La pagina ha un eccellente pagerank', '2018-08-21 07:14:08'),
(6245, 'it', 'siteauditor', 'The page is having good number of backlinks in', 'La pagina ha un buon numero di backlink da', '2018-08-21 07:14:08'),
(6246, 'it', 'siteauditor', 'The page is having good pagerank', 'La pagina ha un buon pagerank', '2018-08-21 07:14:08'),
(6247, 'it', 'siteauditor', 'The page is having poor pagerank', 'La pagina ha un basso pagerank', '2018-08-21 07:14:08'),
(6248, 'it', 'siteauditor', 'The page is having very good pagerank', 'La pagina ha un buonissimo pagerank', '2018-08-21 07:14:08'),
(6249, 'it', 'siteauditor', 'The page is not having backlinks in', 'La pagina non ha backlinks da', '2018-08-21 07:14:08'),
(6250, 'it', 'siteauditor', 'The page is not indexed in', 'La pagina non è nell\'index di', '2018-08-21 07:14:08'),
(6251, 'it', 'siteauditor', 'The page keywords length is not between', 'La lunghezza delle keywords non è tra', '2018-08-21 07:14:08'),
(6252, 'it', 'siteauditor', 'The page title length is not between', 'Il  titolo della pagina non è tra', '2018-08-21 07:14:08'),
(6253, 'it', 'siteauditor', 'The total number of links in page is greater than', 'Il numero totale di link nella pagine è più grande di ', '2018-08-21 07:14:08'),
(6254, 'it', 'siteauditor', 'to run project again if you stopped execution', 'per avviare il progetto nuovamente se hai fermato l\'esecuzione', '2018-08-21 07:14:08'),
(6255, 'it', 'siteauditor', 'to view the reports', 'per vedere i report', '2018-08-21 07:14:08'),
(6256, 'it', 'siteauditor', 'Total Links', 'Totale link', '2018-08-21 07:14:08'),
(6257, 'it', 'siteauditor', 'totallinksgreaterallowed', 'Il totale dei link diventerà più grande del massimo numero di link consentiti per il progetto', '2018-08-21 07:14:08'),
(6258, 'hu', 'home', 'Indexed', 'Indexelt', '2011-07-11 06:51:07'),
(6259, 'hu', 'directory', 'Reciprocal Link', 'Visszamutató link', '2013-02-05 19:23:52'),
(6260, 'hu', 'keyword', 'Insert keywords separated with comma', 'Add meg a kulcsszavakat vesszővel elválasztva', '2011-07-11 06:53:54'),
(6261, 'hu', 'label', 'Brocken', 'Törött', '2013-02-05 19:24:43'),
(6262, 'hu', 'label', 'Comments', 'Hozzászólások', '2013-02-05 19:24:43'),
(6263, 'hu', 'label', 'Count', 'Összeg', '2013-02-05 19:24:43'),
(6264, 'hu', 'label', 'Exclude', 'Kihagy', '2013-02-05 19:24:43'),
(6265, 'hu', 'label', 'Include', 'Belefoglal', '2013-02-05 19:24:43'),
(6266, 'hu', 'label', 'Project', 'Projekt', '2013-02-05 19:24:43'),
(6267, 'hu', 'label', 'Report Type', 'Jelentés Típusa', '2013-02-05 19:24:43'),
(6268, 'hu', 'label', 'Score', 'Pont', '2013-02-05 19:24:43'),
(6269, 'hu', 'label', 'Total Results', 'Végeredmény', '2013-02-05 19:24:43'),
(6270, 'hu', 'label', 'Updated', 'Frissítve', '2013-02-05 19:24:43'),
(6271, 'hu', 'label', 'View Reports', 'Jelentések Megtekintése', '2013-02-05 19:24:43'),
(6272, 'hu', 'panel', 'Edit Project', 'Projekt szerkesztése', '2013-02-05 19:25:03'),
(6273, 'hu', 'panel', 'New Project', 'Új Projekt', '2013-02-05 19:25:03'),
(6274, 'hu', 'seotools', 'Auditor Projects', 'Projektek', '2011-07-11 07:00:18'),
(6275, 'hu', 'seotools', 'Auditor Reports', 'Jelentések', '2011-07-11 07:00:18'),
(6276, 'hu', 'seotools', 'Auditor Settings', 'Beállítások', '2011-07-11 07:00:18'),
(6277, 'hu', 'seotools', 'Import Project Links', 'Linkek importálása', '2011-07-11 07:00:18'),
(6278, 'hu', 'seotools', 'site-auditor', 'Oldal Kezelője', '2011-07-11 07:00:18'),
(6279, 'hu', 'settings', 'Check for Updates', 'Frissítések Keresése', '2013-02-05 19:25:44'),
(6280, 'hu', 'settings', 'SA_CRAWL_DELAY_TIME', 'Késleltetés az oldalak feltérképezése között ', '2013-02-05 19:25:44'),
(6281, 'hu', 'settings', 'SA_MAX_NO_PAGES', 'Maximum oldalak száma weblaponként', '2013-02-05 19:25:44'),
(6282, 'hu', 'settings', 'SP_API_KEY', 'Seo Panel API Kulcs', '2013-02-05 19:25:44'),
(6283, 'hu', 'settings', 'versionnotuptodatemsg', 'Seo Paneled elavult. Kérlek töltsd le az új verziót.', '2013-02-05 19:25:44'),
(6284, 'hu', 'settings', 'Your Seo Panel installation is up to date', 'A legfrissebb Seo Panel van telepítve.', '2013-02-05 19:25:44'),
(6285, 'hu', 'siteauditor', 'Anchor', 'Anchor', '2011-07-11 08:52:14'),
(6286, 'hu', 'siteauditor', 'anylinkcontainabovelinks', 'Kihagyandó linkek a jelentésből', '2011-07-11 08:52:14'),
(6287, 'hu', 'siteauditor', 'anylinkcontainexcludesitemap', 'Kihagyandó linkek az oldaltérképből', '2011-07-11 08:52:14'),
(6288, 'hu', 'siteauditor', 'Check backlinks of pages', 'Backlinkek ellenőrzése', '2011-07-11 08:52:14'),
(6289, 'hu', 'siteauditor', 'Check broken links in a page', 'Törött linkek ellenőrzése', '2011-07-11 08:52:14'),
(6290, 'hu', 'siteauditor', 'Check google pagerank of pages', 'Pagerank ellenőrzése', '2011-07-11 08:52:14'),
(6291, 'hu', 'siteauditor', 'Check pages indexed or not', 'Indexelt-e az oldal', '2011-07-11 08:52:14'),
(6292, 'hu', 'siteauditor', 'Check Score', 'Pontszám Ellenőrzése', '2011-07-11 08:52:14'),
(6293, 'hu', 'siteauditor', 'checkborckenlinkwait', 'A törött linkek ellenőrzése megnöveli a jelentés készítésének az idejét.', '2011-07-11 08:52:14'),
(6294, 'hu', 'siteauditor', 'Completed project execution', 'Befejezett projectek', '2011-07-11 08:52:14'),
(6295, 'hu', 'siteauditor', 'Crawled', 'Feltérképezett', '2011-07-11 08:52:14'),
(6296, 'hu', 'siteauditor', 'Crawled Pages', 'Feltérképezett oldalak', '2011-07-11 08:52:14'),
(6297, 'hu', 'siteauditor', 'crawledsuccesssfullywaitfornext', 'feltérképezése sikeres! Új oldal feltérképezése:', '2011-07-11 08:52:14'),
(6298, 'hu', 'siteauditor', 'Crawling Page', 'Oldal Feltérképezése', '2011-07-11 08:52:14'),
(6299, 'hu', 'siteauditor', 'Duplicate Description', 'Leírás Duplikálása', '2011-07-11 08:52:14'),
(6300, 'hu', 'siteauditor', 'Duplicate Keywords', 'kulcsszavak Duplikálása', '2011-07-11 08:52:14'),
(6301, 'hu', 'siteauditor', 'Duplicate Title', 'Cím Duplikálása', '2011-07-11 08:52:14'),
(6302, 'hu', 'siteauditor', 'Exclude links', 'Kihagyandó Linkek', '2011-07-11 08:52:14'),
(6303, 'hu', 'siteauditor', 'Execute with cron', 'Execute with cron', '2011-07-11 08:52:14'),
(6304, 'hu', 'siteauditor', 'External', 'Kimenő', '2011-07-11 08:52:14'),
(6305, 'hu', 'siteauditor', 'External Links', 'Kimenő Linkek', '2011-07-11 08:52:14'),
(6306, 'hu', 'siteauditor', 'Import Project Links', 'Projekt Linkek Importálása', '2011-07-11 08:52:14'),
(6307, 'hu', 'siteauditor', 'Insert links separated with comma', 'Linkek megadása vesszővel elválasztva', '2011-07-11 08:52:14'),
(6308, 'hu', 'siteauditor', 'insertlinkssepcoma', 'Linkek megadása vesszővel elválasztva, amiket ki szeretnénk hagyni a jelentésből', '2011-07-11 08:52:14'),
(6309, 'hu', 'siteauditor', 'Link Reports', 'Jelentés a Linkekről', '2011-07-11 08:52:14'),
(6310, 'hu', 'siteauditor', 'Link Title', 'Link Címe', '2011-07-11 08:52:14'),
(6311, 'hu', 'siteauditor', 'Maximum number of pages to be checked', 'Leellenőrizendő oldalak száma', '2011-07-11 08:52:14'),
(6312, 'hu', 'siteauditor', 'Maximum Pages', 'Maximum Oldalak száma', '2011-07-11 08:52:14'),
(6313, 'hu', 'siteauditor', 'No active projects found', 'Nem található aktív projekt', '2011-07-11 08:52:14'),
(6314, 'hu', 'siteauditor', 'Nofollow', 'Nofollow', '2011-07-11 08:52:14'),
(6315, 'hu', 'siteauditor', 'Number of pages is greater than', 'Number of pages is greater than', '2011-07-11 08:52:14'),
(6316, 'hu', 'siteauditor', 'Number of pages should be greater than', 'Number of pages should be greater than', '2011-07-11 08:52:14'),
(6317, 'hu', 'siteauditor', 'Page Details', 'Oldal Részletei', '2011-07-11 08:52:14'),
(6318, 'hu', 'siteauditor', 'Page Link', 'Oldal Link', '2011-07-11 08:52:14'),
(6319, 'hu', 'siteauditor', 'Page Links', 'Oldal Link', '2011-07-11 08:52:14'),
(6320, 'hu', 'siteauditor', 'Pages Found', 'Az oldal nem található', '2011-07-11 08:52:14'),
(6321, 'hu', 'siteauditor', 'pressescapetostopexecution', 'Press <b>escape</b> key to stop execution of script', '2011-07-11 08:52:14'),
(6322, 'hu', 'siteauditor', 'Project Summary', 'Projekt Összegzés', '2011-07-11 08:52:14'),
(6323, 'hu', 'siteauditor', 'Project Url', 'Projekt Url', '2011-07-11 08:52:14'),
(6324, 'hu', 'siteauditor', 'projectalreadyexist', 'Ez a weboldal már szerepel egy projektben', '2011-07-11 08:52:14'),
(6325, 'hu', 'siteauditor', 'Recheck Pages', 'oldalak Újraellenőrzése', '2011-07-11 08:52:14'),
(6326, 'hu', 'siteauditor', 'Report Summary', 'Jelentés Összefoglaló', '2011-07-11 08:52:14'),
(6327, 'hu', 'siteauditor', 'Run Project', 'Projekt Futtatása', '2011-07-11 08:52:14'),
(6328, 'hu', 'siteauditor', 'should start with', 'should start with', '2011-07-11 08:52:14'),
(6329, 'hu', 'siteauditor', 'Site Auditor Settings', 'Oldal Kezelőjének Beállítása', '2011-07-11 08:52:14'),
(6330, 'hu', 'siteauditor', 'Store all links found in a page', 'Összes link tárolása', '2011-07-11 08:52:14'),
(6331, 'hu', 'siteauditor', 'The page description length is not between', 'The page description length is not between', '2011-07-11 08:52:14'),
(6332, 'hu', 'siteauditor', 'The page is brocken', 'Az oldal összeomlott', '2011-07-11 08:52:14'),
(6333, 'hu', 'siteauditor', 'The page is having exellent number of backlinks in', 'The page is having exellent number of backlinks in', '2011-07-11 08:52:14'),
(6334, 'hu', 'siteauditor', 'The page is having exellent pagerank', 'Az oldalnak magas a pagerankja', '2011-07-11 08:52:14'),
(6335, 'hu', 'siteauditor', 'The page is having good number of backlinks in', 'Az oldalnak sok backlinkje van', '2011-07-11 08:52:14'),
(6336, 'hu', 'siteauditor', 'The page is having good pagerank', 'Az oldalnak magas a pagerankja', '2011-07-11 08:52:14'),
(6337, 'hu', 'siteauditor', 'The page is having poor pagerank', 'Az oldalnak alacsony a pagerankja', '2011-07-11 08:52:14');
INSERT INTO `texts` (`id`, `lang_code`, `category`, `label`, `content`, `changed`) VALUES
(6338, 'hu', 'siteauditor', 'The page is having very good pagerank', 'Az oldalnak magas a pagerankja', '2011-07-11 08:52:14'),
(6339, 'hu', 'siteauditor', 'The page is not having backlinks in', 'Az oldalnak nincs backlinkje', '2011-07-11 08:52:14'),
(6340, 'hu', 'siteauditor', 'The page is not indexed in', 'Az oldal nincs indexelve', '2011-07-11 08:52:14'),
(6341, 'hu', 'siteauditor', 'The page keywords length is not between', 'The page keywords length is not between', '2011-07-11 08:52:14'),
(6342, 'hu', 'siteauditor', 'The page title length is not between', 'The page title length is not between', '2011-07-11 08:52:14'),
(6343, 'hu', 'siteauditor', 'The total number of links in page is greater than', 'The total number of links in page is greater than ', '2011-07-11 08:52:14'),
(6344, 'hu', 'siteauditor', 'to run project again if you stopped execution', 'to run project again if you stopped execution', '2011-07-11 08:52:14'),
(6345, 'hu', 'siteauditor', 'to view the reports', 'jelentés megtekintése', '2011-07-11 08:52:14'),
(6346, 'hu', 'siteauditor', 'Total Links', 'Összes Link', '2011-07-11 08:52:14'),
(6347, 'hu', 'siteauditor', 'totallinksgreaterallowed', 'Total links will become greater than maximum links allowed to the project', '2011-07-11 08:52:14'),
(6348, 'tr', 'siteauditor', 'Anchor', 'Sunucu', '2017-02-04 13:37:17'),
(6349, 'tr', 'siteauditor', 'anylinkcontainabovelinks', 'Yukarıdaki herhani bir link rapordan çıkarılacak', '2017-02-04 13:37:17'),
(6350, 'tr', 'siteauditor', 'anylinkcontainexcludesitemap', 'Yukarıdaki herhani bir link sitemap\'ten çıkarılacak', '2017-02-04 13:37:17'),
(6351, 'tr', 'siteauditor', 'Check backlinks of pages', 'Sayfa backlink\'lerini kontrol et', '2017-02-04 13:37:17'),
(6352, 'tr', 'siteauditor', 'Check broken links in a page', 'Sayfadaki kırık linkleri kontrol et', '2017-02-04 13:37:17'),
(6353, 'tr', 'siteauditor', 'Check google pagerank of pages', 'Sayfaların google page rank değerini kontrol et', '2017-02-04 13:37:17'),
(6354, 'tr', 'siteauditor', 'Check pages indexed or not', 'Sayfaların indexlenli olup olmadıklarını kontrol et', '2017-02-04 13:37:17'),
(6355, 'tr', 'siteauditor', 'Check Score', 'Skoru Kontrol et', '2017-02-04 13:37:17'),
(6356, 'tr', 'siteauditor', 'checkborckenlinkwait', 'Kırık linkleri kontrol etmek proje düzenleme zaman kaybınızı azaltır', '2017-02-04 13:37:17'),
(6357, 'tr', 'siteauditor', 'Completed project execution', 'Proje düzenlemesi tamamlandı', '2017-02-04 13:37:17'),
(6358, 'tr', 'siteauditor', 'Crawled', 'Tarandı', '2017-02-04 13:37:17'),
(6359, 'tr', 'siteauditor', 'Crawled Pages', 'Taranan Sayfalar', '2017-02-04 13:37:17'),
(6360, 'tr', 'siteauditor', 'crawledsuccesssfullywaitfornext', 'trama işlemi başarılı! sonraki sayfayı taramak için bekliyor', '2017-02-04 13:37:17'),
(6361, 'tr', 'siteauditor', 'Crawling Page', 'Sayfa taranıyor', '2017-02-04 13:37:17'),
(6362, 'tr', 'siteauditor', 'Duplicate Description', 'Açıklamayı Kopyala', '2017-02-04 13:37:17'),
(6363, 'tr', 'siteauditor', 'Duplicate Keywords', 'Anahtar kelimeleri Kopyala', '2017-02-04 13:37:17'),
(6364, 'tr', 'siteauditor', 'Duplicate Title', 'Başlığı Kopyala', '2017-02-04 13:37:17'),
(6365, 'tr', 'siteauditor', 'Exclude links', 'Linkleri çıkar', '2017-02-04 13:37:17'),
(6366, 'tr', 'siteauditor', 'Execute with cron', 'Cron ile çıkar', '2017-02-04 13:37:17'),
(6367, 'tr', 'siteauditor', 'External', 'Harici', '2017-02-04 13:37:17'),
(6368, 'tr', 'siteauditor', 'External Links', 'Harici Linkler', '2017-02-04 13:37:17'),
(6369, 'tr', 'siteauditor', 'Import Project Links', 'Proje linklerini içe aktar', '2017-02-04 13:37:17'),
(6370, 'tr', 'siteauditor', 'Insert links separated with comma', 'Linkleri virgül ile ayırarak giriniz', '2017-02-04 13:37:17'),
(6371, 'tr', 'siteauditor', 'insertlinkssepcoma', 'sonuz linkleri rapordan ayrı tutmak için linkleri virgül ile ayırarak giriniz', '2017-02-04 13:37:17'),
(6372, 'tr', 'siteauditor', 'Link Reports', 'Link raporu', '2017-02-04 13:37:17'),
(6373, 'tr', 'siteauditor', 'Link Title', 'Link Başlığı', '2017-02-04 13:37:17'),
(6374, 'tr', 'siteauditor', 'Maximum number of pages to be checked', 'Kontol edilen maksimum sayfa sayısı', '2017-02-04 13:37:17'),
(6375, 'tr', 'siteauditor', 'Maximum Pages', 'Maksimum Sayfa', '2017-02-04 13:37:17'),
(6376, 'tr', 'siteauditor', 'No active projects found', 'Aktif proje yok', '2017-02-04 13:37:17'),
(6377, 'tr', 'siteauditor', 'Nofollow', 'Takip etme (nofollow)', '2017-02-04 13:37:17'),
(6378, 'tr', 'siteauditor', 'Number of pages is greater than', 'Sayfa sayısı bundan daha büyük, ', '2017-02-04 13:37:17'),
(6379, 'tr', 'siteauditor', 'Number of pages should be greater than', 'Sayfa sayısı bundan fazla olmalı, ', '2017-02-04 13:37:17'),
(6380, 'tr', 'siteauditor', 'Page Details', 'Sayfa Detayları', '2017-02-04 13:37:17'),
(6381, 'tr', 'siteauditor', 'Page Link', 'Sayfa Linki', '2017-02-04 13:37:17'),
(6382, 'tr', 'siteauditor', 'Page Links', 'Sayfa Linkleri', '2017-02-04 13:37:17'),
(6383, 'tr', 'siteauditor', 'Pages Found', 'Sayfa Bulundu', '2017-02-04 13:37:17'),
(6384, 'tr', 'siteauditor', 'pressescapetostopexecution', 'script düzenlemesini durdurmak için <b>ESC escape</b> tuşuna basınız', '2017-02-04 13:37:17'),
(6385, 'tr', 'siteauditor', 'Project Summary', 'Proje Özeti', '2017-02-04 13:37:17'),
(6386, 'tr', 'siteauditor', 'Project Url', 'Proje Url', '2017-02-04 13:37:17'),
(6387, 'tr', 'siteauditor', 'projectalreadyexist', 'Bu site için proje daha önce oluşturuldu', '2017-02-04 13:37:17'),
(6388, 'tr', 'siteauditor', 'Recheck Pages', 'Sayfaları Tekrar Kontrol Et', '2017-02-04 13:37:17'),
(6389, 'tr', 'siteauditor', 'Report Summary', 'Rapor Özeti', '2017-02-04 13:37:17'),
(6390, 'tr', 'siteauditor', 'Run Project', 'Projeyi Çalıştır', '2017-02-04 13:37:17'),
(6391, 'tr', 'siteauditor', 'should start with', 'bunla başlamalı, ', '2017-02-04 13:37:17'),
(6392, 'tr', 'siteauditor', 'Site Auditor Settings', 'Site Denetçi Ayarları', '2017-02-04 13:37:17'),
(6393, 'tr', 'siteauditor', 'Store all links found in a page', 'Bir sayfada bulunan tüm linkleri depola', '2017-02-04 13:37:17'),
(6394, 'tr', 'siteauditor', 'The page description length is not between', 'Sayfa açıklaması uzunluğu şu aralıkta değil, ', '2017-02-04 13:37:17'),
(6395, 'tr', 'siteauditor', 'The page is brocken', 'Sayfa parça', '2017-02-04 13:37:17'),
(6396, 'tr', 'siteauditor', 'The page is having exellent number of backlinks in', 'Sayfa mükemmel sayıda backlink almaktadır. ', '2017-02-04 13:37:17'),
(6397, 'tr', 'siteauditor', 'The page is having exellent pagerank', 'Sayfa mükemmel pagerank almaktadır', '2017-02-04 13:37:17'),
(6398, 'tr', 'siteauditor', 'The page is having good number of backlinks in', 'Sayfa iyi sayıda backlink almaktadır. ', '2017-02-04 13:37:17'),
(6399, 'tr', 'siteauditor', 'The page is having good pagerank', 'Sayfa iyi pagerank almaktadır', '2017-02-04 13:37:17'),
(6400, 'tr', 'siteauditor', 'The page is having poor pagerank', 'Sayfa zayıf pagerank almaktadır', '2017-02-04 13:37:17'),
(6401, 'tr', 'siteauditor', 'The page is having very good pagerank', 'Sayfa çok iyi pagerank almaktadır', '2017-02-04 13:37:17'),
(6402, 'tr', 'siteauditor', 'The page is not having backlinks in', 'Sayfa backlink almamaktadır. ', '2017-02-04 13:37:17'),
(6403, 'tr', 'siteauditor', 'The page is not indexed in', 'Sayfa indexli değil', '2017-02-04 13:37:17'),
(6404, 'tr', 'siteauditor', 'The page keywords length is not between', 'Sayfa anahtar kelimeleri uzunluğu şu aralıkta değil, ', '2017-02-04 13:37:17'),
(6405, 'tr', 'siteauditor', 'The page title length is not between', 'Sayfa başlığı uzunluğu şu aralıkta değil, ', '2017-02-04 13:37:17'),
(6406, 'tr', 'siteauditor', 'The total number of links in page is greater than', 'Sayfadaki toplam link sayısı şundan büyük', '2017-02-04 13:37:17'),
(6407, 'tr', 'siteauditor', 'to run project again if you stopped execution', 'eğer uygulamayı durdursanız, projeyi yeniden çalıştırmak için', '2017-02-04 13:37:17'),
(6408, 'tr', 'siteauditor', 'to view the reports', 'raporları görüntülemek için ', '2017-02-04 13:37:17'),
(6409, 'tr', 'siteauditor', 'Total Links', 'Toplam Linkler', '2017-02-04 13:37:17'),
(6410, 'tr', 'siteauditor', 'totallinksgreaterallowed', 'Toplam linkler projede izin verilen maksimum link sayısından fazla olacak', '2017-02-04 13:37:17'),
(6411, 'ru', 'directory', 'Reciprocal Link', 'Взаимные ссылки', '2012-11-09 06:03:15'),
(6412, 'ru', 'settings', 'SP_API_KEY', 'API ключ Seo Panel', '2024-07-17 11:22:42'),
(6413, 'de', 'directory', 'Reciprocal Link', 'Gegenseitige Verlinkung', '2021-06-14 21:41:51'),
(6414, 'ro', 'directory', 'Reciprocal Link', 'Link Reciproc', '2012-05-18 20:52:34'),
(6415, 'bg', 'directory', 'Reciprocal Link', 'взаимна връзка', '2012-11-09 21:03:43'),
(6416, 'bg', 'settings', 'SP_API_KEY', 'Seo Panel API Key', '2018-08-21 07:24:42'),
(6417, 'cs', 'directory', 'Add back to directory list', 'Přidat zpět do adresáře', '2011-07-12 12:28:25'),
(6418, 'cs', 'directory', 'Approved', 'Schváleno', '2011-07-12 12:28:25'),
(6419, 'cs', 'directory', 'Captcha', 'Captcha', '2011-07-12 12:28:25'),
(6420, 'cs', 'directory', 'categorynote', 'Kategorie oddělené čárkou a seřazené dle priority od nejvyšší.', '2011-07-12 12:28:25'),
(6421, 'cs', 'directory', 'Check Directory Status', 'Zkontrolovat stav adresáře', '2011-07-12 12:28:25'),
(6422, 'cs', 'directory', 'Check Directory Submission Status', 'Zkontrolovat stav odeslání do adresáře', '2011-07-12 12:28:25'),
(6423, 'cs', 'directory', 'clicktoproceeddirsts', 'Pro kontrolu stavu adresáře klikněte na <b>Provést</b>.', '2011-07-12 12:28:25'),
(6424, 'cs', 'directory', 'Confirmation', 'Potvrzení', '2011-07-12 12:28:25'),
(6425, 'cs', 'directory', 'desnote', 'Některé adresáře vyžadují v poli popisu nejméně 150 znaků.', '2011-07-12 12:28:25'),
(6426, 'cs', 'directory', 'Directories with out captcha', 'Adresáře bez ověření captcha', '2011-07-12 12:28:25'),
(6427, 'cs', 'directory', 'Directory Submission Reports', 'Reporty odeslání do adresářů', '2011-07-12 12:28:25'),
(6428, 'cs', 'directory', 'Enter the code shown', 'Vlože zobrazený kód', '2011-07-12 12:28:25'),
(6429, 'cs', 'directory', 'nocatnote', 'Zadaná kategorie nebyla nalezena na vkládací stránce. Prosím kliněte na <b>Znovu načíst</b> nebo <b>Přeskočit</b>', '2011-07-12 12:28:25'),
(6430, 'cs', 'directory', 'nodirnote', 'Nebyly nalezeny žádné <b>Aktivní</b> adresáře', '2011-07-12 12:28:25'),
(6431, 'cs', 'directory', 'nosuccessnote', 'Nebylo získáno potvrzení o úspěchu. Prosím zkontrolujte svůj email, možná došlo tam.', '2011-07-12 12:28:25'),
(6432, 'cs', 'directory', 'optionalnote', 'Dodatečné titulky a popisy, které jsou využívány pro náhodné vkládáních dalších titulků a popisů pro získání lepších výsledků.', '2011-07-12 12:28:25'),
(6433, 'cs', 'directory', 'Owner Email', 'Email vlastníka', '2011-07-12 12:28:25'),
(6434, 'cs', 'directory', 'Owner Name', 'Jméno vlastníka.', '2011-07-12 12:28:25'),
(6435, 'cs', 'directory', 'Pending', 'Zprácováváno', '2011-07-12 12:28:25'),
(6436, 'cs', 'directory', 'Please select a website to proceed', 'Prosím vyberte website k provedení', '2011-07-12 12:28:25'),
(6437, 'cs', 'directory', 'Reciprocal Link', 'Reciproční odkaz', '2011-07-12 12:28:25'),
(6438, 'cs', 'directory', 'selectwebsiteproceed', 'Vyberte <b>Website</b> aby se vkládání do adresářů mohlo <b>Provést</b>.<br>Zkontrolujte <b>Adresáře bez ověření captcha</b> pro odeslání do adresářů bez captcha.', '2011-07-12 12:28:25'),
(6439, 'cs', 'directory', 'selectwebsiteschecksub', 'Vyberte <b>Website</b> aby se mohla <b>Provést</b> kontrola vložení do adresářů.', '2011-07-12 12:28:25'),
(6440, 'cs', 'directory', 'Semi Automatic Directory Submission Tool', 'Poloautomatický nástroj na vkládání do adresářů', '2011-07-12 12:28:25'),
(6441, 'cs', 'directory', 'spamemailnote', 'Některé adresáře mohou rozesílat spam, nedoporučujeme používat vaši primární emailovou adresu.', '2011-07-12 12:28:25'),
(6442, 'cs', 'directory', 'Submission Details', 'Detaily odeslání', '2011-07-12 12:28:25'),
(6443, 'cs', 'directory', 'Submit Description', 'Odeslat popis', '2011-07-12 12:28:25'),
(6444, 'cs', 'directory', 'Submit Keywords', 'Odeslat klíčová slova', '2011-07-12 12:28:25'),
(6445, 'cs', 'directory', 'Submit Title', 'Odeslat titulek', '2011-07-12 12:28:25'),
(6446, 'cs', 'directory', 'Website Category', 'Kategorie webu', '2011-07-12 12:28:25'),
(6447, 'cs', 'directory', 'Website Url', 'URL webu', '2011-07-12 12:28:25'),
(6448, 'cs', 'home', 'Account Summary', 'Shrnutí účtu', '2011-08-06 12:26:49'),
(6449, 'cs', 'home', 'Backlinks', 'Zpětné odkazy', '2011-08-06 12:26:49'),
(6450, 'cs', 'home', 'Directory Submission', 'Odeslání do adresářů', '2011-08-06 12:26:49'),
(6451, 'cs', 'home', 'home_cont1', '<h1 style=\\\"text-align: center;margin-bottom: 30px;font-size: 19px;\\\">Vítejte v SEO panelu - prvním ovládacím panelu pro SEO spravujícím více webů</h1> \r\n        <p> \r\n            Kompletní <b>ovládací panel pro SEO s otevřeným kódem</b> pro správu <b>SEO optimalizace</b> vašich webů.  \r\n            SEO panel je <b>nástroj pro SEO</b>, který zahrnuje nejnovější a špičkové nástroje pro SEO, jež <b>zvyšují a sledují výkon</b> vašeho webu. \r\n            Je to <b>volný software</b> zveřejněný pod <b>GNU GENERAL PUBLIC LICENSE</b>. \r\n            Hlavní vlastností SEO panelu je jeho <b>rozšířitelnost</b> prostřednictvím <a href=\\\"<?=SP_PLUGINSITE?>\\\" target=\\\"_blank\\\">SEO pluginů</a>. \r\n            Kdokoliv může snadno <b>vyvíjet a instalovat</b> požadované pluginy pro svůj SEO panel. \r\n        </p> \r\n        <p></p> \r\n        <p> \r\n            Tento volný software byl <b>uvolněn v lednu 2010</b>. \r\n            Během této <b>krátké doby</b> <b>tisíce správců webu</b> používají ten to softwarový nástroj k <b>optimalizaci</b> jejich webů. \r\n            Používejte SEO panel také a <b>užijte si</b> všeho co souvisí se SEO optimalizací pod <b>jedinou platformou</b>. \r\n        </p>', '2011-08-06 12:26:49'),
(6452, 'cs', 'home', 'home_cont2', '<fieldset> \r\n<legend>Hlavní vlastnosti aplikace SEO Panel<?=SP_INSTALLED?></legend> \r\n<ul class=\\\"infobox\\\"> \r\n    <li>         \r\n        <h1>Automatický nástroj pro zapisování do adresářů</h1> \r\n        <p> \r\n          Automatický nástroj pro zapisování do adresářů nám umožňuje <b>zapsat naše stránky</b> do hlavních <b>bezplatných i placených internetových adresářů</b>.\r\n           Můžeme také <b>zjišťovat průběh</b> každého zapsaní prostřednictvím <b>periodických kontrol</b> s použitím skriptu <b>kontroly stavu zápisů</b>.\r\n           <b>Manažer adresářů</b> nám pomůže zjistit, zda je <b>adresář aktivní</b> či nikoliv.\r\n        </p> \r\n    </li> \r\n    <li>         \r\n        <h1>Kontrola pozice klíčových slov</h1> \r\n        <p> \r\n            Kontrola pozice klíčových slov zjistí <b>pozice klíčových slov</b> vaší webové stránky v <b>internetových vyhledávačích</b> a <b>uloží je</b> do systému.\r\n         V reportech pozic klíčových slov můžeme vidět <b>denní pozice</b> klíčových slov v různých vyhledávačích prostřednictvím <b>pěkných grafů</b> a <b>detailních reportů</b>.\r\n        </p> \r\n    </li> \r\n    <li>         \r\n        <h1>Site Auditor</h1> \r\n        <p>Site Auditor will <b>audit all SEO factors</b> of each pages of a site and will give a\r\n<b>detailed report</b> about each page. This will help us to create <b>XML,HTML,TEXT</b> sitemap\r\nfiles of our website for <b>submit</b> to search engines.</p> \r\n    </li> \r\n    <li>         \r\n        <h1>Google and Alexa Rank Checker</h1> \r\n        <p> \r\n            Google and alexa rank checker will find <b>google pagerank</b> and <b>alexa rank</b> of our\r\nwebsites and <b>stores</b> it in the system. \r\n            In <b>rank reports</b> section, we can see the <b>daily</b> google and alexa rank of each website\r\nby <b>detailed reports</b>. \r\n        </p> \r\n    </li> \r\n    <li>         \r\n        <h1>Backlinks Checker</h1> \r\n        <p> \r\n            Backlinks checker will find <b>number of backlinks</b> of our websites in different search\r\nengines<b>(google,yahoo,msn etc)</b> and <b>stores</b> it in the system. \r\n            <br>In <b>backlink reports</b> section, we can see the <b>daily backlinks count</b> of each\r\nwebsite by <b>detailed reports</b>. \r\n        </p> \r\n    </li>     \r\n    <li>         \r\n        <h1>Search Engine Saturation Checker</h1> \r\n        <p> \r\n            Search Engine Saturation checker will find <b>number of indexed pages</b> of our websites in\r\ndifferent search engines<b>(google,yahoo,msn etc)</b> and <b>stores</b> it in the system. \r\n            In <b>search engine saturation checker reports</b> section, we can see the <b>daily indexed page\r\ncount</b> of each website by <b>detailed reports</b>. \r\n        </p> \r\n    </li> \r\n    <li>         \r\n        <h1>Seo Panel Plugins</h1> \r\n        <p> \r\n            The <b>major feature</b> of seo control panel is its <b>extentability</b>. \r\n            Add <b>seo plugins</b> to your seo panel to <b>extend the features</b> according to your\r\nrequirement. \r\n            <a href=\\\"<?=SP_PLUGINSITE?>\\\" target=\\\"_blank\\\">Seo panel plugins</a> are provided by both seo panel\r\nand third party sites. \r\n            You can also easily <b>develop</b> seo plugins for your seo panel. \r\n            You can <a href=\\\"<?=SP_PLUGINSITE?>\\\" target=\\\"_blank\\\">submit</a> your seo plugin to seo panel and\r\nwe will <b>publish</b> it in our website after our <b>review</b> process. \r\n        </p> \r\n    </li> \r\n    <li>         \r\n        <h1>Meta Tag Generator</h1> \r\n        <p> \r\n            Meta tag generator is a <b>seo panel plugin</b> for creating <b>custom meta tags</b> for our\r\nsite. \r\n            It will help us to give <b>more information</b> about our website to <b>search engine bots</b>\r\nwhile they crawl our website. \r\n        </p> \r\n    </li> \r\n</ul> \r\n</fieldset>', '2011-08-06 12:26:49'),
(6556, 'cs', 'keyword', 'Crawling keyword', 'Prozkoumávám klíčová slova', '2011-07-14 11:20:41'),
(6557, 'cs', 'keyword', 'Detailed Keyword Position Reports', 'Detailní reporty pozic klíčových slov', '2011-07-14 11:20:41'),
(6558, 'cs', 'keyword', 'Edit Keyword', 'Upravit klíčové slovo', '2011-07-14 11:20:41'),
(6559, 'cs', 'keyword', 'Graphical Keyword Position Reports', 'Grafické reporty pozic klíčových slov', '2011-07-14 11:20:41'),
(6560, 'cs', 'keyword', 'Import Keywords', 'Importovat klíčová slova', '2011-07-14 11:20:41'),
(6561, 'cs', 'keyword', 'Insert keywords separated with comma', 'Vložte klíčová slova oddělená čárkou', '2011-07-14 11:20:41'),
(6562, 'cs', 'keyword', 'Keyword already exist', 'Klíčové slovo již existuje', '2011-07-14 11:20:41'),
(6563, 'cs', 'keyword', 'Keyword Position Report', 'Report pozic klíčových slov', '2011-07-14 11:20:41'),
(6564, 'cs', 'keyword', 'New Keyword', 'Nové klíčové slovo', '2011-07-14 11:20:41'),
(6565, 'cs', 'keyword', 'not assigned to required search engines', 'není přiřazeno k požadovaným vyhledávačům', '2011-07-14 11:20:41'),
(6566, 'cs', 'keyword', 'pleaseselecttool', 'Prosím vyberte alespoň jeden nástroj pro SEO', '2011-07-14 11:20:41'),
(6567, 'cs', 'keyword', 'Quick Keyword Position Checker', 'Rychlá kontrola pozic klíčových slov', '2011-07-14 11:20:41'),
(6568, 'cs', 'keyword', 'results from ', 'výsledky z', '2011-07-14 11:20:41'),
(6569, 'cs', 'keyword', 'Show All results', 'Zobrazit všechny výsledky', '2011-07-14 11:20:41'),
(6570, 'cs', 'keyword', 'Successfully crawled keyword', 'Úspěšně prozkoumaná klíčová slova', '2011-07-14 11:20:41'),
(6571, 'cs', 'keyword', 'to create new keywords', 'k vytvoření nových klíčových slov', '2011-07-14 11:20:41'),
(6572, 'cs', 'label', 'already exist', 'již existují', '2011-07-14 11:25:05'),
(6573, 'cs', 'label', 'Authentication', 'Ověření', '2011-07-14 11:25:05'),
(6574, 'cs', 'label', 'Author', 'Autor', '2011-07-14 11:25:05'),
(6575, 'cs', 'label', 'Brocken', 'Poškozené', '2011-07-14 11:25:05'),
(6576, 'cs', 'label', 'Click Here', 'Klikněte zde', '2011-07-14 11:25:05'),
(6577, 'cs', 'label', 'Comments', 'Komentáře', '2011-07-14 11:25:05'),
(6578, 'cs', 'label', 'Count', 'Počet', '2011-07-14 11:25:05'),
(6579, 'cs', 'label', 'Cron', 'Cron', '2011-07-14 11:25:05'),
(6580, 'cs', 'label', 'Description', 'Popis', '2011-07-14 11:25:05'),
(6581, 'cs', 'label', 'Developers', 'Vývojáři', '2011-07-14 11:25:05'),
(6582, 'cs', 'label', 'Download', 'Stáhnout', '2011-07-14 11:25:05'),
(6583, 'cs', 'label', 'Exclude', 'Vyloučit', '2011-07-14 11:25:05'),
(6584, 'cs', 'label', 'Include', 'Zahrnout', '2011-07-14 11:25:05'),
(6585, 'cs', 'label', 'Installation', 'Instalace', '2011-07-14 11:25:05'),
(6586, 'cs', 'label', 'Keywords', 'Klíčová slova', '2011-07-14 11:25:05'),
(6587, 'cs', 'label', 'noactiveplugins', 'Nebyly nalezeny žádné aktivní SEO pluginy', '2011-07-14 11:25:05'),
(6588, 'cs', 'label', 'Plugin', 'Pluginy', '2011-07-14 11:25:05'),
(6589, 'cs', 'label', 'Port', 'Port', '2011-07-14 11:25:05'),
(6590, 'cs', 'label', 'Project', 'Projekt', '2011-07-14 11:25:05'),
(6591, 'cs', 'label', 'Proxy', 'Proxy', '2011-07-14 11:25:05'),
(6592, 'cs', 'label', 'Re-install', 'Znovu nainstalovat', '2011-07-14 11:25:05'),
(6593, 'cs', 'label', 'Report Type', 'Typ reportu', '2011-07-14 11:25:05'),
(6594, 'cs', 'label', 'Score', 'Skóre', '2011-07-14 11:25:05'),
(6595, 'cs', 'label', 'Sponsors', 'Sponzoři', '2011-07-14 11:25:05'),
(6596, 'cs', 'label', 'Title', 'Titule', '2011-07-14 11:25:05'),
(6597, 'cs', 'label', 'Total Results', 'Celkové výsledky', '2011-07-14 11:25:05'),
(6598, 'cs', 'label', 'translation by', 'přeložil', '2011-07-14 11:25:05'),
(6599, 'cs', 'label', 'Translators', 'Překladatelé', '2011-07-14 11:25:05'),
(6600, 'cs', 'label', 'Updated', 'Aktualizováno', '2011-07-14 11:25:05'),
(6601, 'cs', 'label', 'Upgrade', 'Aktualizace', '2011-07-14 11:25:05'),
(6453, 'cs', 'home', 'home_cont3', '', '2011-08-06 12:26:49'),
(6454, 'cs', 'home', 'Indexed', 'Indexován', '2011-08-06 12:26:49'),
(6455, 'cs', 'home', 'Pages Indexed', 'Indexovaných stránek', '2011-08-06 12:26:49'),
(6456, 'cs', 'home', 'Ranks', 'Ranky', '2011-08-06 12:26:49'),
(6457, 'cs', 'home', 'SiteNameUrl', 'Jméno webu/URL', '2011-08-06 12:26:49'),
(6458, 'cs', 'home', 'Website Statistics', 'Statistiky webu', '2011-08-06 12:26:49'),
(6459, 'pt', 'siteauditor', 'Anchor', 'Âncora ', '2011-07-12 16:11:46'),
(6460, 'pt', 'siteauditor', 'anylinkcontainabovelinks', 'Todos os links acima contêm links que serão excluídos a partir de relatórios ', '2011-07-12 16:11:46'),
(6461, 'pt', 'siteauditor', 'anylinkcontainexcludesitemap', 'Todos os links acima que contêm links serão excluídos sitemap ', '2011-07-12 16:11:46'),
(6462, 'pt', 'siteauditor', 'Check backlinks of pages', 'Verificar backlinks de páginas ', '2011-07-12 16:11:46'),
(6463, 'pt', 'siteauditor', 'Check broken links in a page', 'Verificar os links inválidos da página ', '2011-07-12 16:11:46'),
(6464, 'pt', 'siteauditor', 'Check google pagerank of pages', 'Verifique o Google PageRank de páginas ', '2011-07-12 16:11:46'),
(6465, 'pt', 'siteauditor', 'Check pages indexed or not', 'Verifique páginas indexadas ou não ', '2011-07-12 16:11:46'),
(6466, 'pt', 'siteauditor', 'Check Score', 'Verifique Pontuação ', '2011-07-12 16:11:46'),
(6467, 'pt', 'siteauditor', 'checkborckenlinkwait', 'Confira os links inválidos irá aumentar o tempo de execução do projecto ', '2011-07-12 16:11:46'),
(6468, 'pt', 'siteauditor', 'Completed project execution', 'Execução do projecto concluído ', '2011-07-12 16:11:46'),
(6469, 'pt', 'siteauditor', 'Crawled', 'Rastreado ', '2011-07-12 16:11:46'),
(6470, 'pt', 'siteauditor', 'Crawled Pages', 'Páginas rastreadas', '2011-07-12 16:11:46'),
(6471, 'pt', 'siteauditor', 'crawledsuccesssfullywaitfornext', 'rastreado com sucesso! Esperando o rastreamento da próxima página para ', '2011-07-12 16:11:46'),
(6472, 'pt', 'siteauditor', 'Crawling Page', 'Rastreando Página ', '2011-07-12 16:11:46'),
(6473, 'pt', 'siteauditor', 'Duplicate Description', 'Descrição Duplicada', '2011-07-12 16:11:46'),
(6474, 'pt', 'siteauditor', 'Duplicate Keywords', 'Palavras-chave duplicadas ', '2011-07-12 16:11:46'),
(6475, 'pt', 'siteauditor', 'Duplicate Title', 'título duplicado', '2011-07-12 16:11:46'),
(6476, 'pt', 'siteauditor', 'Exclude links', 'Exclui links', '2011-07-12 16:11:46'),
(6477, 'pt', 'siteauditor', 'Execute with cron', 'Executar com através da cron ', '2011-07-12 16:11:46'),
(6478, 'pt', 'siteauditor', 'External', 'Externo ', '2011-07-12 16:11:46'),
(6479, 'pt', 'siteauditor', 'External Links', 'Ligações externas ', '2011-07-12 16:11:46'),
(6480, 'pt', 'siteauditor', 'Import Project Links', 'importar os links do projecto', '2011-07-12 16:11:46'),
(6481, 'pt', 'siteauditor', 'Insert links separated with comma', 'Inserir os links separados por vírgula ', '2011-07-12 16:11:46'),
(6482, 'pt', 'siteauditor', 'insertlinkssepcoma', 'Inserir links separados por vírgula, para excluir ligações infinitas a partir dos relatórios ', '2011-07-12 16:11:46'),
(6483, 'pt', 'siteauditor', 'Link Reports', 'Relatórios apontam ', '2011-07-12 16:11:46'),
(6484, 'pt', 'siteauditor', 'Link Title', 'Título do Link ', '2011-07-12 16:11:46'),
(6485, 'pt', 'siteauditor', 'Maximum number of pages to be checked', 'Número máximo de páginas a serem verificados ', '2011-07-12 16:11:46'),
(6486, 'pt', 'siteauditor', 'Maximum Pages', 'Máximo de Páginas', '2011-07-12 16:11:46'),
(6487, 'pt', 'siteauditor', 'No active projects found', 'Nenhum projecto activo encontrado ', '2011-07-12 16:11:46'),
(6488, 'pt', 'siteauditor', 'Nofollow', 'Não siga em frente', '2011-07-12 16:11:46'),
(6489, 'pt', 'siteauditor', 'Number of pages is greater than', 'Número de páginas é maior que ', '2011-07-12 16:11:46'),
(6490, 'pt', 'siteauditor', 'Number of pages should be greater than', 'Número de páginas deve ser maior que ', '2011-07-12 16:11:46'),
(6491, 'pt', 'siteauditor', 'Page Details', 'Detalhes da Página ', '2011-07-12 16:11:46'),
(6492, 'pt', 'siteauditor', 'Page Link', 'Link da Página ', '2011-07-12 16:11:46'),
(6493, 'pt', 'siteauditor', 'Page Links', 'links da Página', '2011-07-12 16:11:46'),
(6494, 'pt', 'siteauditor', 'Pages Found', 'Páginas encontradas ', '2011-07-12 16:11:46'),
(6495, 'pt', 'siteauditor', 'pressescapetostopexecution', 'Pressione <b>Escape</b> para parar a execução do script ', '2011-07-12 16:11:46'),
(6496, 'pt', 'siteauditor', 'Project Summary', 'Resumo do Projecto ', '2011-07-12 16:11:46'),
(6497, 'pt', 'siteauditor', 'Project Url', 'Url do projecto ', '2011-07-12 16:11:46'),
(6498, 'pt', 'siteauditor', 'projectalreadyexist', 'Projecto para este site já existe ', '2011-07-12 16:11:46'),
(6499, 'pt', 'siteauditor', 'Recheck Pages', 'verifique novamente as Páginas ', '2011-07-12 16:11:46'),
(6500, 'pt', 'siteauditor', 'Report Summary', 'Resumo do relatório ', '2011-07-12 16:11:46'),
(6501, 'pt', 'siteauditor', 'Run Project', 'Executar projecto ', '2011-07-12 16:11:46'),
(6502, 'pt', 'siteauditor', 'should start with', 'deve começar com ', '2011-07-12 16:11:46'),
(6503, 'pt', 'siteauditor', 'Site Auditor Settings', 'Definições do Site Auditor ', '2011-07-12 16:11:46'),
(6504, 'pt', 'siteauditor', 'Store all links found in a page', 'Armazenar todos os links encontrados em uma página ', '2011-07-12 16:11:46'),
(6505, 'pt', 'siteauditor', 'The page description length is not between', 'O comprimento da descrição da página não é entre ', '2011-07-12 16:11:46'),
(6506, 'pt', 'siteauditor', 'The page is brocken', 'A página não está concluída', '2011-07-12 16:11:46'),
(6507, 'pt', 'siteauditor', 'The page is having exellent number of backlinks in', 'A página está com excelente número de backlinks em ', '2011-07-12 16:11:46'),
(6508, 'pt', 'siteauditor', 'The page is having exellent pagerank', 'A página está a ter um excelente pagerank ', '2011-07-12 16:11:46'),
(6509, 'pt', 'siteauditor', 'The page is having good number of backlinks in', 'A página está a ter bom número de backlinks em ', '2011-07-12 16:11:46'),
(6510, 'pt', 'siteauditor', 'The page is having good pagerank', 'A página está com bom pagerank  ', '2011-07-12 16:11:46'),
(6511, 'pt', 'siteauditor', 'The page is having poor pagerank', 'A página está a ter um mau pagerank', '2011-07-12 16:11:46'),
(6512, 'pt', 'siteauditor', 'The page is having very good pagerank', 'A página está a ter um muito bom pagerank ', '2011-07-12 16:11:46'),
(6513, 'pt', 'siteauditor', 'The page is not having backlinks in', 'A página não está a ter backlinks em ', '2011-07-12 16:11:46'),
(6514, 'pt', 'siteauditor', 'The page is not indexed in', 'A página não está indexada em ', '2011-07-12 16:11:46'),
(6515, 'pt', 'siteauditor', 'The page keywords length is not between', 'A página das palavras-chave não tem palavras entre ', '2011-07-12 16:11:46'),
(6516, 'pt', 'siteauditor', 'The page title length is not between', 'O comprimento título da página não está entre ', '2011-07-12 16:11:46'),
(6517, 'pt', 'siteauditor', 'The total number of links in page is greater than', 'O número total de links na página é maior do que ', '2011-07-12 16:11:46'),
(6518, 'pt', 'siteauditor', 'to run project again if you stopped execution', 'para executar o projecto novamente, se você parou de execução ', '2011-07-12 16:11:46'),
(6519, 'pt', 'siteauditor', 'to view the reports', 'para ver os relatórios ', '2011-07-12 16:11:46'),
(6520, 'pt', 'siteauditor', 'Total Links', 'Total de Links ', '2011-07-12 16:11:46'),
(6521, 'pt', 'siteauditor', 'totallinksgreaterallowed', 'o total de Links vai se tornar maior do que o máximo de ligações permitido para o projecto ', '2011-07-12 16:11:46'),
(6522, 'fa', 'directory', 'Reciprocal Link', 'لینک متقابل ', '2012-05-12 21:11:24'),
(6523, 'fa', 'keyword', 'Insert keywords separated with comma', 'کلید واژه ها را وارد کن و با کاما از هم جدا کن ', '2018-01-24 08:40:55'),
(6524, 'fa', 'label', 'Brocken', 'شکسته', '2012-05-12 21:14:56'),
(6525, 'fa', 'label', 'Comments', 'نظرات', '2012-05-12 21:14:56'),
(6526, 'fa', 'label', 'Count', 'تعداد', '2012-05-12 21:14:56'),
(6527, 'fa', 'label', 'Exclude', 'مستثنی کردن', '2012-05-12 21:14:56'),
(6528, 'fa', 'label', 'Include', 'شامل کردن', '2012-05-12 21:14:56'),
(6529, 'fa', 'label', 'Project', 'پروژه', '2012-05-12 21:14:56'),
(6530, 'fa', 'label', 'Report Type', 'نوع گزارش', '2012-05-12 21:14:56'),
(6531, 'fa', 'label', 'Score', 'امتیاز', '2012-05-12 21:14:56'),
(6532, 'fa', 'label', 'Total Results', 'نتایج نهایی', '2012-05-12 21:14:56'),
(6533, 'fa', 'label', 'Updated', 'به روز رسانی', '2012-05-12 21:14:56'),
(6534, 'fa', 'label', 'View Reports', 'نمایش گزارشات', '2012-05-12 21:14:56'),
(6535, 'fa', 'panel', 'Edit Project', 'ویرایش پروژه', '2012-05-16 19:23:21'),
(6536, 'fa', 'panel', 'New Project', 'پروژه جدید', '2012-05-16 19:23:21'),
(6537, 'fa', 'seotools', 'Auditor Projects', 'پروژه های ممیزی', '2011-07-13 01:25:12'),
(6538, 'fa', 'seotools', 'Auditor Reports', 'گزارشات ممیزی', '2011-07-13 01:25:14'),
(6539, 'fa', 'seotools', 'Auditor Settings', 'تنظیمات ممیزی', '2011-07-13 01:25:14'),
(6540, 'fa', 'seotools', 'Import Project Links', 'وارد کن لینکهای پروژه را ', '2011-07-13 01:25:14'),
(6541, 'fa', 'seotools', 'site-auditor', 'سایز ممیز', '2011-07-13 01:25:14'),
(6542, 'fa', 'settings', 'Check for Updates', 'برای به روز رسانی چک کنید ', '2012-05-16 20:03:34'),
(6543, 'fa', 'settings', 'SA_CRAWL_DELAY_TIME', 'تاخیر خزیدن چک کننده های سایت بین هر یک از صفحات', '2012-05-16 20:03:34'),
(6544, 'fa', 'settings', 'SA_MAX_NO_PAGES', 'بیشترین تعداد صفحات مجاز برای هر سایت', '2012-05-16 20:03:34'),
(6545, 'fa', 'settings', 'SP_API_KEY', 'کلید ای پی آی سئو پنل', '2012-05-16 20:03:34'),
(6546, 'fa', 'settings', 'versionnotuptodatemsg', 'سئو پنل شما به روز نیست . <br> لطفا ورژن جدید را دریافت کنید ', '2012-05-16 20:03:34'),
(6547, 'fa', 'settings', 'Your Seo Panel installation is up to date', ' سئو پنل شما به روز است ', '2012-05-16 20:03:34'),
(6549, 'nl', 'settings', 'SP_API_KEY', 'Seo Panel Api Sleutel', '2014-01-07 21:51:05'),
(6548, 'es', 'directory', 'Reciprocal Link', 'Enlace recíproco', '2012-05-31 10:35:43'),
(6551, 'fa', 'support', 'support_cont2', '<fieldset> \r\n<legend>منابع آنلاین سئو پنل</legend> \r\n<ul class=\\\"infobox\\\"> \r\n         \r\n    <li> \r\n        <h1>راهنمای سئو پنل </h1>  \r\n        <p> \r\n            شما می توانید ببینید  <a href=\\\"<?=SP_HELP_LINK?>\\\" target=\\\"_blank\\\">  را مدارک سئو پنل </a> در\r\n<b>راهنما </b>, این شمال میشه  <b>مدارک </b> ابزارات سئو پنل و ویژگی های  مربوط به آن \r\n. \r\n            <br>این بهترین مکان در اینترنت است که  <b>کمک کرده بشه </b> درباره سئو پنل \r\n<b>کمک می کنیم </b> که راهنمای سئو پنل ,اگر شما ایرادی پیدا کردید یا چیزی از دست رفت .                 \r\n        </p> \r\n        <p> \r\n            <a href=\\\"<?=SP_HELP_LINK?>\\\" target=\\\"_blank\\\">نگاه کن به راهنمای سئو پنل </a> \r\n        </p> \r\n        <br> \r\n    </li>     \r\n    <li> \r\n        <h1>فرم سئو پنل </h1>  \r\n        <p> \r\n            جایی برای بحث درباره اولین نرم افزار آزاد سئو در جهان  <b>سئو کنترل پنل </b>.  \r\n            بهترین جا برای پیدا کردن  <b>جواب </b> to <b>سوال هایتان </b> درباره پنل \r\n            <br>همچنین شما می توانید  <b>به اشتراک بگذارید </b>  <b>تجربیاتتان را </b> وقتی استفاده می کنید از سئو پنل برای بهبود سایتتان \r\n        </p>         \r\n        <p> \r\n            <a href=\\\"<?=SP_FORUM_LINK?>\\\" target=\\\"_blank\\\">مشاهده کنید فرم سئو پنل را </a> \r\n        </p> \r\n        <br> \r\n    </li> \r\n</ul>     \r\n</fieldset>', '2012-04-30 04:02:03'),
(6552, 'fa', 'support', 'support_cont3', '<fieldset> \r\n<legend>پشتیبانی مالی </legend> \r\n<ul class=\\\"infobox\\\">         \r\n    <li> \r\n        <h1> پشتیبانی کن از سئو پنل , اولین نرم افزار آزاد سئو در دنیا</h1>  \r\n        <p> \r\n            <b>پشتیبانی</b> کن از سئو پنل , اولین نرم افزار آزاد سئو در دنیا\r\n            ما برنامه داریم  <b>اضافه کنیم و بهبود ببخشیم </b> ویژگی های سئو پنل را در آینده \r\n            <br>با تمام  <b>پشتیبانی های شما </b> فقط ما میتوانیم دست پیدا کینم به <b>اهدافمان </b>. \r\n            اگر شما احساس می کنید که سئو پنل <b>ارزش </b> برای شما لطفا پشتیبانی کنید از تیم نرم افزاری آن \r\n            <br>ما  <b>انتشار خواهیم داد </b> اسم شما و اطلاعات شما را در  <a href=\\\"<?=SP_DONATE_LINK?>\\\"\r\ntarget=\\\"_blank\\\">صفحه پشتیبانی مالی </a>, اولین باری که ما دریافت کنیم کمک را . \r\n        </p> \r\n        <p> \r\n            <a href=\\\"<?=SP_DONATE_LINK?>\\\" target=\\\"_blank\\\">برای کمک مالی کردن روی این لینک کلیک کنید </a> \r\n        </p> \r\n        <br> \r\n    </li> \r\n</ul> \r\n</fieldset>', '2012-04-30 04:02:03'),
(6553, 'zh', 'directory', 'Reciprocal Link', '互惠链接', '2014-01-09 15:03:35'),
(6554, 'zh', 'settings', 'SP_API_KEY', 'SEO Panel API接口', '2014-05-15 17:56:30'),
(6555, 'fa', 'home', 'Indexed', 'نمایه ', '2012-05-22 23:09:44'),
(6602, 'cs', 'label', 'Version', 'Verze', '2011-07-14 11:25:05'),
(6603, 'cs', 'label', 'View Reports', 'Prohlédnout reporty', '2011-07-14 11:25:05'),
(6604, 'cs', 'label', 'wantproceed', 'Opravdu to chcete provést?', '2011-07-14 11:25:05'),
(6605, 'cs', 'login', 'Confirm Password', 'Potvrdit heslo', '2011-07-14 11:27:09'),
(6606, 'cs', 'login', 'Create my account', 'Vytvořit můj účet', '2011-07-14 11:27:11'),
(6607, 'cs', 'login', 'Create New Account', 'Vytvořit nový účet', '2011-07-14 11:27:11'),
(6608, 'cs', 'login', 'Email', 'Email', '2011-07-14 11:27:11'),
(6609, 'cs', 'login', 'emailexist', 'Email již existuje', '2011-07-14 11:27:11'),
(6610, 'cs', 'login', 'Enter the code as it is shown', 'Vložte kód přesně tak, jak je zobrazen', '2011-07-14 11:27:11'),
(6611, 'cs', 'login', 'First Name', 'Jméno (křestní)', '2011-07-14 11:27:11'),
(6612, 'cs', 'login', 'Last Name', 'Příjmení', '2011-07-14 11:27:11'),
(6613, 'cs', 'login', 'Login', 'Uživatelské jméno', '2011-07-14 11:27:11'),
(6614, 'cs', 'login', 'Login incorrect', 'Špatné uživatelské jméno', '2011-07-14 11:27:11'),
(6615, 'cs', 'login', 'newaccountsuccess', 'Nový účet byl úspěšně vytvořen!', '2011-07-14 11:27:11'),
(6616, 'cs', 'login', 'Password', 'Heslo', '2011-07-14 11:27:11'),
(6617, 'cs', 'login', 'Password incorrect', 'Špatné heslo', '2011-07-14 11:27:11'),
(6618, 'cs', 'login', 'Register', 'Registrovat', '2011-07-14 11:27:11'),
(6619, 'cs', 'login', 'Sign in to your account', 'Přihlásit se k vašemu účtu', '2011-07-14 11:27:11'),
(6620, 'cs', 'login', 'User inactive', 'Neaktivní uživatel', '2011-07-14 11:27:11'),
(6621, 'cs', 'login', 'Username', 'Uživatelské jméno', '2011-07-14 11:27:11'),
(6622, 'cs', 'login', 'usernameexist', 'Uživatelské jméno již existuje!', '2011-07-14 11:27:11'),
(6623, 'cs', 'panel', 'About Us', 'O nás', '2011-07-14 11:30:24'),
(6624, 'cs', 'panel', 'Add following command to your cron tab', 'Přidejte do tabulky Cronu následující příkaz', '2011-07-14 11:30:24'),
(6625, 'cs', 'panel', 'alsocheckfollowlink', 'Pokud potřebujete další detaily, podívejte se také na následující odkaz.', '2011-07-14 11:30:24'),
(6626, 'cs', 'panel', 'Check Directory', 'Zkontrolujte adresář', '2011-07-14 11:30:24'),
(6627, 'cs', 'panel', 'Cron Command', 'Příkaz Cronu', '2011-07-14 11:30:24'),
(6628, 'cs', 'panel', 'Directory Manager', 'Manažer adresářů', '2011-07-14 11:30:24'),
(6629, 'cs', 'panel', 'Edit My Profile', 'Upravit můj profil', '2011-07-14 11:30:24'),
(6630, 'cs', 'panel', 'Edit Project', 'Upravit projekt', '2011-07-14 11:30:24'),
(6631, 'cs', 'panel', 'My Profile', 'Můj profil', '2011-07-14 11:30:24'),
(6632, 'cs', 'panel', 'New Project', 'Nový projekt', '2011-07-14 11:30:24'),
(6633, 'cs', 'panel', 'New Proxy', 'Nová proxy', '2011-07-14 11:30:24'),
(6634, 'cs', 'panel', 'New User', 'Nový uživatel', '2011-07-14 11:30:24'),
(6635, 'cs', 'panel', 'New Website', 'Nový web', '2011-07-14 11:30:24'),
(6636, 'cs', 'panel', 'Proxy Manager', 'Manažer Proxy', '2011-07-14 11:30:24'),
(6637, 'cs', 'panel', 'Report Generation Manager', 'Manažer pro vytváření reportů', '2011-07-14 11:30:24'),
(6638, 'cs', 'panel', 'Reports Manager', 'Manažer reportů', '2011-07-14 11:30:24'),
(6639, 'cs', 'panel', 'Seo Plugins Manager', 'Manažer SEO pluginů', '2011-07-14 11:30:24'),
(6640, 'cs', 'panel', 'Seo Tools Manager', 'Manažer SEO nástrojů', '2011-07-14 11:30:24'),
(6641, 'cs', 'panel', 'System Settings', 'Systémová nastavení', '2011-07-14 11:30:24'),
(6642, 'cs', 'panel', 'User Manager', 'Manažer uživatelů', '2011-07-14 11:30:24'),
(6643, 'cs', 'panel', 'Website Manager', 'Manažer webů', '2011-07-14 11:30:24'),
(6644, 'cs', 'plugin', 'Edit Seo Plugin', 'Upravit SEO plugin', '2011-07-14 11:30:44'),
(6645, 'cs', 'plugin', 'Plugin Name', 'Jméno pluginu', '2011-07-14 11:30:44'),
(6646, 'cs', 'plugin', 'Seo Plugin Details', 'Detaily o SEO pluginu', '2011-07-14 11:30:44'),
(6647, 'cs', 'proxy', 'Edit Proxy', 'Upravit proxy', '2011-07-14 11:31:13'),
(6648, 'cs', 'proxy', 'Proxy Password', 'Heslo k proxy', '2011-07-14 11:31:13'),
(6649, 'cs', 'proxy', 'Proxy Username', 'Uživatelské jméno k proxy', '2011-07-14 11:31:13'),
(6650, 'cs', 'proxy', 'Proxyalreadyexist', 'Proxy již existuje!', '2011-07-14 11:31:13'),
(6651, 'cs', 'rank', 'enterurlproceed', 'Vložte URL, <b>každé na samostatnou řádku</b>. Klikněte na <b>Provést</b>, aby došlo ke kontrole ranku v Google a Alexa.', '2011-07-14 11:32:45'),
(6652, 'cs', 'rank', 'Google and Alexa Rank Reports', 'Reporty ranku v Google a Alexa', '2011-07-14 11:32:45'),
(6653, 'cs', 'rank', 'Saved rank results of', 'Uložené výsledky ranků webu', '2011-07-14 11:32:45'),
(6654, 'cs', 'saturation', 'clickproceedsaturation', 'Vložte URL <b>na každý řádek jedno</b>. Klikněte na <b>Provést</b> pro kontrolu nasycení výsledků vyhledávačů.', '2011-07-14 11:35:25'),
(6655, 'cs', 'saturation', 'GenerateSaturationReports', 'Vytvořit report nasycení vyhledávačů', '2011-07-14 11:35:25'),
(6656, 'cs', 'saturation', 'Quick Search Engine Saturation Checker', 'Rychlá kontrola nasycení vyhledávačů', '2011-07-14 11:35:25'),
(6657, 'cs', 'saturation', 'Saved Search Engine Saturation results of', 'Uložené výsledky nasycení vyhledávačů webu', '2011-07-14 11:35:25'),
(6658, 'cs', 'saturation', 'Search Engine Saturation Reports', 'Reporty nasycení vyhledávačů', '2011-07-14 11:35:25'),
(6659, 'cs', 'sitemap', 'Change frequency', 'Změnit frekvenci', '2011-07-14 11:38:47'),
(6660, 'cs', 'sitemap', 'clickproceedsitemap', 'Pro vytvoření sitemapy klikněte na <b>Provést</b>', '2011-07-14 11:38:47'),
(6661, 'cs', 'sitemap', 'Download sitemap file from', 'Stáhnout soubor sitemapy z', '2011-07-14 11:38:47'),
(6662, 'cs', 'sitemap', 'Exclude Url', 'Vyjmout URL', '2011-07-14 11:38:47'),
(6663, 'cs', 'sitemap', 'processtaketime', 'Tento proces může podle počtu odkazů na vašem webu zabrat nějaký čas. Prosím počkejte, dokud neobdržíte soubory sitemapy', '2011-07-14 11:38:47'),
(6664, 'cs', 'sitemap', 'Sitemap Type', 'Typ sitemapy', '2011-07-14 11:38:47'),
(6665, 'tr', 'support', 'support_cont1', '<fieldset>\r\n<legend>Seo Panel Destek Sistemi</legend>\r\n<ul class=\\\"infobox\\\">\r\n    <li>\r\n        <h1>1000 Directory (Link Listesi - Rehber) Paketi</h1> \r\n        <p>\r\n            Biz <b>1000 ücretsiz ve onaylı</b> link listesi paketi sağlıyoruz , seo panelinize\r\neklemek için <b>directory ekleme aracı</b>.\r\n            Bu websitenize ait <b>backlinklerinizi</b> arttıracak.\r\n            Aslında 1000 directory link listesi seo panel özelliklerini gelistirmek için gerekli tutarı\r\nkarşılayabilmek için <b>tanıtıldı</b>\r\n</b>.\r\n            1000 directory link listesini almak için lütfen seo paneli geliştirebilmemiz için<a href=\\\"<?=SP_DONATE_LINK?>\\\" target=\\\"_blank\\\">bağış\r\nyapınız</a>. $10 veya daha fazla.\r\n            Eğer 1000 directory paketi hakkında sorunuz varsa, lütfen <a href=\\\"<?=SP_CONTACT_LINK?>\\\"\r\ntarget=\\\"_blank\\\">bizimle irtibata geçiniz</a> ya da <a href=\\\"<?=SP_SUPPORT_LINK?>\\\"\r\ntarget=\\\"_blank\\\">destek sisteminden</a> bir konu açınız.   \r\n        </p>        \r\n        <p>\r\n            <a href=\\\"<?=SP_DONATE_LINK?>\\\" target=\\\"_blank\\\">Seo Panel\\\'e Bağış Yap Sayfası</a>\r\n        </p>\r\n        <br>\r\n    </li>\r\n    \r\n    <li>\r\n        <h1>Yerel Arama Motoru Paketi</h1> \r\n        <p>\r\n            Ülkenize ait<b>yerel arama motoru</b> linklerini seo panele giriniz örnek; google,yahoo,msn(<b>eg: www.google.de,www.google.fr\r\ngibi</b>) ve <b>Anahtar kelimeleri</b> yerel sitenizin performansını görmek için ekleyiniz.\r\n            İhtiyaçlarınıza bağlı seo paketi almak için lütfen seo paneli geliştirebilmemiz için<a\r\nhref=\\\"<?=SP_DONATE_LINK?>\\\" target=\\\"_blank\\\">bağış yapınız</a> $10 veya daha fazla.\r\n            Bağışı göndermeden önce, lütfen hangi domain için başvurduğunuzu bildirmek için\r\n<a href=\\\"<?=SP_CONTACT_LINK?>\\\" target=\\\"_blank\\\">bizimle iletişime geçin.</a>\r\n            <br><br>              \r\n            Ayrıca seo panelinize anahtar kelime kontrolu için <b>yeni bir arama motoru(eg:baidu.com)</b> eklemeden önce,\r\nlütfen <a href=\\\"<?=SP_CONTACT_LINK?>\\\" target=\\\"_blank\\\">bizimle iletişime</a> geçin ya da <a\r\nhref=\\\"<?=SP_SUPPORT_LINK?>\\\" target=\\\"_blank\\\">destek sisteminde</a> bir konu açın. \r\n        </p>        \r\n        <p class=\\\"visit\\\">\r\n            <a href=\\\"<?=SP_CONTACT_LINK?>\\\" target=\\\"_blank\\\">İletişim Sayfasını Ziyaret Edin</a>\r\n        </p>\r\n        <br>\r\n    </li>\r\n    \r\n    <li>\r\n        <h1>Seo Panel Pluginleri</h1> \r\n        <p>\r\n            İhtiyaçlarınıza göre seo panelinizi geliştirmek için <b>seo pluginler</b> ekleyin.\r\n            <a href=\\\"<?=SP_PLUGINSITE?>\\\" target=\\\"_blank\\\">Seo panel pluginler</a> hem seo panel hemde üçüncü parti\r\nsiteleri desteklemektedir.\r\n            Seo panel pluginleri kendi seo paneliniz için kolayca <b>geliştirebilirsiniz</b>.\r\n            Kendi pluginlerinizi seo panenle <a href=\\\"<?=SP_PLUGINSITE?>\\\" target=\\\"_blank\\\">gönderebilirsiniz</a> ve\r\nBiz <b>inceledikten</b> sonra <b>paylaşırız</b>.        \r\n        </p>        \r\n        <p>\r\n            <a href=\\\"<?=SP_PLUGINSITE?>\\\" target=\\\"_blank\\\">Seo Panel Plugin Edinmek İçin Tıklayınız</a>\r\n        </p>\r\n        <br>\r\n    </li>    \r\n    <li>\r\n        <h1>İletişim</h1> \r\n        <p>\r\n           <b>seo panel araçları, pluginleri veya herhangi bir konu hakkında bir sorunuz olduğunda aşağıdaki linkten\r\nbizimle iletişime geçebilirsiniz</b>\r\n        </p>        \r\n        <p>\r\n            <a href=\\\"<?=SP_CONTACT_LINK?>\\\" target=\\\"_blank\\\">İletişim Sayfası</a>\r\n        </p>\r\n        <br>\r\n    </li>    \r\n    <li>\r\n        <h1>Destek Konusu</h1> \r\n        <p>\r\n            seo panel araçları, pluginleri veya herhangi bir konu hakkında <b>teknik destek</b>\r\nalmak için konu açınız</b>. örnek: anahtar kelime kontrol ayarları hatası.\r\n        </p>        \r\n        <p>\r\n            <a href=\\\"<?=SP_SUPPORT_LINK?>\\\" target=\\\"_blank\\\">Destek Konusu Açmak için Tıklayınız</a>\r\n        </p>\r\n        <br>\r\n    </li>    \r\n    <li>\r\n        <h1>Bugları- Hataları Rapor Et</h1> \r\n        <p>\r\n           Lütfen bir sonraki versiyonda hataları düzelmek için bize destek olun ve\r\n           bugları-hataları bize bilidirin.          \r\n        </p>        \r\n        <p>\r\n            <a href=\\\"<?=SP_SUPPORT_LINK?>\\\" target=\\\"_blank\\\">Hata Bildirme Sayfası için Tıkla</a>\r\n        </p>\r\n        <br>\r\n    </li>    \r\n</ul>\r\n</fieldset>', '2011-07-15 15:03:36'),
(6666, 'tr', 'support', 'support_cont2', '<fieldset>\r\n<legend>Seo Panel Online Kaynakları</legend>\r\n<ul class=\\\"infobox\\\">\r\n        \r\n    <li>\r\n        <h1>Seo Panel Yardım Rehberi</h1> \r\n        <p>\r\n            Seo Panel kullanım <a href=\\\"<?=SP_HELP_LINK?>\\\" target=\\\"_blank\\\">dökümanı</a>,\r\niçerisinde seo panel için araçlar, pluginler ve ilişkili konular var.\r\n            <br><b>Yardım almak</b> için internettiki en iyi seo panel yardım rehberidir. Ümüd ederizki\r\nseo panel hakkında unuttuğumuz ya da kaçırdığımız bir konu hakkında katkıda bulunursunuz.                \r\n        </p>\r\n        <p>\r\n            <a href=\\\"<?=SP_HELP_LINK?>\\\" target=\\\"_blank\\\">Seo Panel Yardım Rehberi Ziyaret Edin</a>\r\n        </p>\r\n        <br>\r\n    </li>    \r\n    <li>\r\n        <h1>Seo Panel Forum</h1> \r\n        <p>\r\n            Dünyanın ilk open source </b>seo paneli</b> hakkında tartışmalar yardımlar. \r\n            Seo panel hakkında <b>sorularınıza</b> en iyi <b>cevapları</b> bulabileceğiniz tek yer. \r\n            <br>sitenize arama motoru optimizasyonu yaparken seo panel <b>tecrübelerinizide</b>\r\npaylaşabilirsiniz..                               \r\n        </p>        \r\n        <p>\r\n            <a href=\\\"<?=SP_FORUM_LINK?>\\\" target=\\\"_blank\\\">Seo panel forumu ziyaret edin</a>\r\n        </p>\r\n        <br>\r\n    </li>\r\n</ul>    \r\n</fieldset>', '2011-07-15 15:03:36'),
(6667, 'tr', 'support', 'support_cont3', '<fieldset>\r\n<legend>Seo Panel\\\'e Bağış</legend>\r\n<ul class=\\\"infobox\\\">        \r\n    <li>\r\n        <h1>Seo Panel\\\'e Bağış Yap - Dünyadaki ilk open source seo kontrol paneli</h1> \r\n        <p>\r\n            <b>Bağış yaparak</b>dünyadaki ilk open source seo kontrol paneline destek olun.\r\n            Seo panele yeni özellikler <b>eklemeyi ve geliştirmyi</b> planlıyoruz. \r\n            <br>Sadece sizin <b>desteğinizle</b> hedeflerimizi gerçekleştirebiliriz.\r\n            Eğer seo panel sizin için de <b>değer kazandırıcı</b> ise, lütfen seo panel için bağış yapın.\r\n            <br>İsminiz ve site bilgilerinizi bağışı aldıktan sonra <a href=\\\"<?=SP_DONATE_LINK?>\\\"\r\ntarget=\\\"_blank\\\">Bağış Sayfasında</a> <b>yayınlıyacağız</b>.\r\n        </p>\r\n        <p>\r\n            <a href=\\\"<?=SP_DONATE_LINK?>\\\" target=\\\"_blank\\\">Bağış Yapmak için Tıklayınız</a>\r\n        </p>\r\n        <br>\r\n    </li>\r\n</ul>\r\n</fieldset>', '2011-07-15 15:03:36'),
(6668, 'ar', 'backlink', 'clickproceedbacklink', 'اكتب رابط العناوين<b>كل في سطر</b>.إضغط على <b>لتفعيل</b>للتاكد من صحة الروابط المتصلة.', '2011-07-29 10:44:50'),
(6670, 'ar', 'button', 'Cancel', 'إلغاء', '2014-01-08 19:20:10'),
(6669, 'ar', 'backlink', 'Saved backlink results of', 'نتائج الروابط المتصلة من', '2011-07-29 10:44:50'),
(6671, 'ar', 'button', 'Check Status', 'تفقد الحالة', '2014-01-08 19:20:10'),
(6672, 'ar', 'button', 'Proceed', 'تفعيل', '2014-01-08 19:20:10'),
(6673, 'ar', 'button', 'Reload', 'إعادة تحميل', '2014-01-08 19:20:10'),
(6674, 'ar', 'button', 'Show Details', 'عرض التفاصيل', '2014-01-08 19:20:10'),
(6675, 'ar', 'button', 'Show Records', 'إعرض السجلات', '2014-01-08 19:20:10'),
(6676, 'ar', 'button', 'Skip', 'تخطى', '2014-01-08 19:20:10'),
(6677, 'ar', 'button', 'Submit', 'إضغط هنا', '2014-01-08 19:20:10'),
(6678, 'ar', 'common', 'Action', 'نشاط', '2019-05-25 17:59:04'),
(6679, 'ar', 'common', 'Activate', 'تفعيل', '2019-05-25 17:59:04'),
(6680, 'ar', 'common', 'Active', 'مفعل', '2019-05-25 17:59:04'),
(6681, 'ar', 'common', 'Admin Panel', 'لوحة اللإدارة', '2019-05-25 17:59:04'),
(6682, 'ar', 'common', 'Alexa Rank', 'ترتيب أليكسا', '2019-05-25 17:59:04'),
(6683, 'ar', 'common', 'All', 'الجميع', '2019-05-25 17:59:04'),
(6684, 'ar', 'common', 'Category', 'قسم', '2019-05-25 17:59:04'),
(6685, 'ar', 'common', 'contact', 'إتصل', '2019-05-25 17:59:04'),
(6686, 'ar', 'common', 'copyright', 'جميع الحقوق محفوظة www.seopanel.in [year] © حقوق النشر والإستخدام', '2019-05-25 17:59:04'),
(6687, 'ar', 'common', 'Country', 'المنطقة', '2019-05-25 17:59:04'),
(6688, 'ar', 'common', 'Crawl Meta Data', 'نمو بيانات الأوسمة', '2019-05-25 17:59:04'),
(6689, 'ar', 'common', 'Date', 'التاريخ', '2019-05-25 17:59:04'),
(6690, 'ar', 'common', 'Delete', 'حذف', '2019-05-25 17:59:04'),
(6691, 'ar', 'common', 'Details', 'التفاصيل', '2019-05-25 17:59:04'),
(6692, 'ar', 'common', 'Directory', 'القسم', '2019-05-25 17:59:04'),
(6693, 'ar', 'common', 'Donate', 'تبرع للبرنامج', '2019-05-25 17:59:04'),
(6694, 'ar', 'common', 'Edit', 'تعديل', '2019-05-25 17:59:04'),
(6695, 'ar', 'common', 'Entry cannot be blank', 'المدخلات لايمكن ان تكون خاليه', '2019-05-25 17:59:04'),
(6696, 'ar', 'common', 'entrynotvalid', 'المدخلات لايمكن ان تكون صحيحة', '2019-05-25 17:59:04'),
(6697, 'ar', 'common', 'failed', 'فشل', '2019-05-25 17:59:04'),
(6698, 'ar', 'common', 'forum', 'المنتدى', '2019-05-25 17:59:04');
INSERT INTO `texts` (`id`, `lang_code`, `category`, `label`, `content`, `changed`) VALUES
(6699, 'ar', 'common', 'Found', 'تم العثور عليه', '2019-05-25 17:59:04'),
(6700, 'ar', 'common', 'Google Pagerank', 'ترتيب بموقع جوجل', '2019-05-25 17:59:04'),
(6701, 'ar', 'common', 'help', 'مساعدة', '2019-05-25 17:59:04'),
(6702, 'ar', 'common', 'hidenews', 'إخفي أخبار لوحة تحكم البحث', '2019-05-25 17:59:04'),
(6703, 'ar', 'common', 'Id', 'رقم', '2019-05-25 17:59:04'),
(6704, 'ar', 'common', 'Inactivate', 'تعطيل', '2019-05-25 17:59:04'),
(6705, 'ar', 'common', 'Inactive', 'غير فعال', '2019-05-25 17:59:04'),
(6706, 'ar', 'common', 'Invalid characters', 'أحرف غير صالحة', '2019-05-25 17:59:04'),
(6707, 'ar', 'common', 'Invalid code entered', 'إدخال كود خاطئ', '2019-05-25 17:59:04'),
(6708, 'ar', 'common', 'Invalid email address entered', 'إدخال بريد خاطئ', '2019-05-25 17:59:04'),
(6709, 'ar', 'common', 'Invalid value', 'قيمة خاطئة', '2019-05-25 17:59:04'),
(6710, 'ar', 'common', 'Keyword', 'كلمة رئيسية للبحث', '2019-05-25 17:59:04'),
(6711, 'ar', 'common', 'Keywords', 'كلمات رئيسية للبحث', '2019-05-25 17:59:04'),
(6712, 'ar', 'common', 'lang', 'اللغة', '2019-05-25 17:59:04'),
(6713, 'ar', 'common', 'My Account', 'حسابي', '2019-05-25 17:59:04'),
(6714, 'ar', 'common', 'Name', 'الإسم', '2019-05-25 17:59:04'),
(6715, 'ar', 'common', 'No', 'لا', '2019-05-25 17:59:04'),
(6716, 'ar', 'common', 'No Keywords Found', 'لايوجد كلمات بحث عثر عليها', '2019-05-25 17:59:04'),
(6717, 'ar', 'common', 'No Records Found', 'لايوجد مدخلات', '2019-05-25 17:59:04'),
(6718, 'ar', 'common', 'noactivetools', 'لم يوجد ادوات فعاله للوحة تحكم البحث', '2019-05-25 17:59:04'),
(6719, 'ar', 'common', 'nowebsites', 'لايوجد مواقع بحث', '2019-05-25 17:59:04'),
(6720, 'ar', 'common', 'password632', 'كلمة المرور يجب ان تتكون من 6 الى 32 حرف و رقم', '2019-05-25 17:59:04'),
(6721, 'ar', 'common', 'passwordnotmatch', 'كلمة المرور لم تتطابق', '2019-05-25 17:59:04'),
(6722, 'ar', 'common', 'Period', 'حتى تاريخ', '2019-05-25 17:59:04'),
(6723, 'ar', 'common', 'Priority', 'الاهمية', '2019-05-25 17:59:04'),
(6724, 'ar', 'common', 'Profile', 'الملف الشخصي', '2019-05-25 17:59:04'),
(6725, 'ar', 'common', 'Rank', 'الترتيب', '2019-05-25 17:59:04'),
(6726, 'ar', 'common', 'Reports', 'التقارير', '2019-05-25 17:59:04'),
(6727, 'ar', 'common', 'Results', 'النتائج', '2019-05-25 17:59:04'),
(6728, 'ar', 'common', 'Search Engine', 'محرك البحث', '2019-05-25 17:59:04'),
(6729, 'ar', 'common', 'Select', 'إختر', '2019-05-25 17:59:04'),
(6730, 'ar', 'common', 'Seo Plugins', 'إضافات لوحة تحكم البحث', '2019-05-25 17:59:04'),
(6731, 'ar', 'common', 'Seo Tools', 'أدوات لوحة تحكم البحث', '2019-05-25 17:59:04'),
(6732, 'ar', 'common', 'Sign out', 'تسجيل خروج', '2019-05-25 17:59:04'),
(6733, 'ar', 'common', 'Sign Up', 'تسجيل جديد', '2019-05-25 17:59:04'),
(6734, 'ar', 'common', 'signin', 'تسجيل دخول', '2019-05-25 17:59:04'),
(6735, 'ar', 'common', 'Status', 'الحالة', '2019-05-25 17:59:04'),
(6736, 'ar', 'common', 'Support', 'الدعم الفني', '2019-05-25 17:59:04'),
(6737, 'ar', 'common', 'Total', 'المجموع', '2019-05-25 17:59:04'),
(6738, 'ar', 'common', 'Url', 'الرابط', '2019-05-25 17:59:04'),
(6739, 'ar', 'common', 'User', 'العضو', '2019-05-25 17:59:04'),
(6740, 'ar', 'common', 'User Panel', 'لوحة تحكم العضو', '2019-05-25 17:59:04'),
(6741, 'ar', 'common', 'Website', 'الموقع', '2019-05-25 17:59:04'),
(6742, 'ar', 'common', 'Yes', 'نعم', '2019-05-25 17:59:04'),
(6743, 'ar', 'website', 'Edit Website', 'تعديل الموقع', '2011-07-29 23:31:19'),
(6744, 'ar', 'website', 'plscrtwebsite', 'الرجاء إنشـاء الموقع قبل إستخدام إضافات محرك البحث او أدواته.', '2011-07-29 23:31:20'),
(6745, 'ar', 'website', 'Website already exist', 'الموقع مضاف مسبقا', '2011-07-29 23:31:20'),
(6746, 'ar', 'website', 'yourwebalreday', 'موقعك إن قمت بإنشـائه من قبل.', '2011-07-29 23:31:20'),
(6747, 'ar', 'user', 'Edit User', 'تعديل العضو', '2011-07-29 23:33:17'),
(6748, 'ar', 'user', 'Saved My Profile Details', 'إحفظ متفاصيل ملفي الشخصي', '2011-07-29 23:33:17'),
(6749, 'ar', 'sitemap', 'Change frequency', 'قم بتغيير التردد', '2011-07-29 23:36:19'),
(6750, 'ar', 'sitemap', 'clickproceedsitemap', 'إضغط على <b>تفعيل</b> لإنشاء خريطة الموقع.', '2011-07-29 23:36:19'),
(6751, 'ar', 'sitemap', 'Download sitemap file from', 'قم بتحميل ملف خريطة الموقع من', '2011-07-29 23:36:19'),
(6752, 'ar', 'sitemap', 'Exclude Url', 'أبعد الرابط', '2011-07-29 23:36:19'),
(6753, 'ar', 'sitemap', 'processtaketime', 'هذه العلمية ستتطلب وقتا إضافيا إذا كان لديك روابط كثيرة في موقعك. يرجى الإنتظار قليلا لتحميل ملف خريطة موقعك.', '2011-07-29 23:36:19'),
(6754, 'ar', 'sitemap', 'Sitemap Type', 'نوع خريطة الموقع', '2011-07-29 23:36:19'),
(6755, 'ar', 'siteauditor', 'Anchor', 'مثبت', '2011-07-30 00:53:00'),
(6756, 'ar', 'siteauditor', 'anylinkcontainabovelinks', 'سيتم إستبعاد أي روابط تحتوي على وصلات من التقارير', '2011-07-30 00:53:00'),
(6757, 'ar', 'siteauditor', 'anylinkcontainexcludesitemap', 'سيتم إستبعاد أي روابط تحتوي على وصلات من خريطة الموقع', '2011-07-30 00:53:00'),
(6758, 'ar', 'siteauditor', 'Check backlinks of pages', 'تفقد الروابط المتصلة في الصفحات', '2011-07-30 00:53:00'),
(6759, 'ar', 'siteauditor', 'Check broken links in a page', 'تفقد الروابط المعطوبة في الصفحة', '2011-07-30 00:53:00'),
(6760, 'ar', 'siteauditor', 'Check google pagerank of pages', 'تفقد ترتيب الصفحات لدى جوجل بيج رانك', '2011-07-30 00:53:00'),
(6761, 'ar', 'siteauditor', 'Check pages indexed or not', 'تفقد الصفحات المؤرشفة أو لا', '2011-07-30 00:53:00'),
(6762, 'ar', 'siteauditor', 'Check Score', 'تفقد مجموع النقاط', '2011-07-30 00:53:00'),
(6763, 'ar', 'siteauditor', 'checkborckenlinkwait', 'تفقد حالة الروابط المعطوبة سيؤدي إلى تمديد فترة إنتهاء المشروع', '2011-07-30 00:53:00'),
(6764, 'ar', 'siteauditor', 'Completed project execution', 'إكتمال تنفيذ المشروع', '2011-07-30 00:53:00'),
(6765, 'ar', 'siteauditor', 'Crawled', 'زحف', '2011-07-30 00:53:00'),
(6766, 'ar', 'siteauditor', 'Crawled Pages', 'زحف الصفحات', '2011-07-30 00:53:00'),
(6767, 'ar', 'siteauditor', 'crawledsuccesssfullywaitfornext', 'تمت عملية الزحف بنجاح! بإنتظار زحف الصفحة التالية إلى', '2011-07-30 00:53:00'),
(6768, 'ar', 'siteauditor', 'Crawling Page', 'زحف الصفحة', '2011-07-30 00:53:00'),
(6769, 'ar', 'siteauditor', 'Duplicate Description', 'وصف مكرر', '2011-07-30 00:53:00'),
(6770, 'ar', 'siteauditor', 'Duplicate Keywords', 'كلمات بحث مكررة', '2011-07-30 00:53:00'),
(6771, 'ar', 'siteauditor', 'Duplicate Title', 'عنوان مكرر', '2011-07-30 00:53:00'),
(6772, 'ar', 'siteauditor', 'Exclude links', 'إستبعاد الروابط', '2011-07-30 00:53:00'),
(6773, 'ar', 'siteauditor', 'Execute with cron', 'تفعيله مع كرون', '2011-07-30 00:53:00'),
(6774, 'ar', 'siteauditor', 'External', 'خارجي', '2011-07-30 00:53:00'),
(6775, 'ar', 'siteauditor', 'External Links', 'روابط خارجية', '2011-07-30 00:53:00'),
(6776, 'ar', 'siteauditor', 'Import Project Links', 'إدراج روابط المشاريع', '2011-07-30 00:53:00'),
(6777, 'ar', 'siteauditor', 'Insert links separated with comma', 'إدراج الروابط مفصولة بفاصله بينهما', '2011-07-30 00:53:00'),
(6778, 'ar', 'siteauditor', 'insertlinkssepcoma', 'إدراج الروابط مع فصل فاصلة لاستبعاد الروابط اللانهائية من التقارير', '2011-07-30 00:53:00'),
(6779, 'ar', 'siteauditor', 'Link Reports', 'رابط التقارير', '2011-07-30 00:53:00'),
(6780, 'ar', 'siteauditor', 'Link Title', 'عنوان الرابط', '2011-07-30 00:53:00'),
(6781, 'ar', 'siteauditor', 'Maximum number of pages to be checked', 'الحد الأقصى لعدد الصفحات التي سيتم فحصها', '2011-07-30 00:53:00'),
(6782, 'ar', 'siteauditor', 'Maximum Pages', 'الحد الأقصى للصفحة', '2011-07-30 00:53:00'),
(6783, 'ar', 'siteauditor', 'No active projects found', 'لم يتم العثور على مشاريع فعاله', '2011-07-30 00:53:00'),
(6784, 'ar', 'siteauditor', 'Nofollow', 'لا يتبع', '2011-07-30 00:53:00'),
(6785, 'ar', 'siteauditor', 'Number of pages is greater than', 'عدد الصفحات أكبر من', '2011-07-30 00:53:00'),
(6786, 'ar', 'siteauditor', 'Number of pages should be greater than', 'ينبغي ان تكون عدد الصفحات أكبر من', '2011-07-30 00:53:00'),
(6787, 'ar', 'siteauditor', 'Page Details', 'تفاصيل الصفحة', '2011-07-30 00:53:00'),
(6788, 'ar', 'siteauditor', 'Page Link', 'رابط الصفحة', '2011-07-30 00:53:00'),
(6789, 'ar', 'siteauditor', 'Page Links', 'روابط الصفحة', '2011-07-30 00:53:00'),
(6790, 'ar', 'siteauditor', 'Pages Found', 'صفحة تم العثور عليها', '2011-07-30 00:53:00'),
(6791, 'ar', 'siteauditor', 'pressescapetostopexecution', 'إضغط مفتاح <b>Escape</b> لإيقاف عمل السكربت.', '2011-07-30 00:53:00'),
(6792, 'ar', 'siteauditor', 'Project Summary', 'ملخص المشروع', '2011-07-30 00:53:00'),
(6793, 'ar', 'siteauditor', 'Project Url', 'رابط المشروع', '2011-07-30 00:53:00'),
(6794, 'ar', 'siteauditor', 'projectalreadyexist', 'مشروع هذا الموقع مضاف من قبل', '2011-07-30 00:53:00'),
(6795, 'ar', 'siteauditor', 'Recheck Pages', 'إعادة فحص الصفحات', '2011-07-30 00:53:00'),
(6796, 'ar', 'siteauditor', 'Report Summary', 'تقرير موجز', '2011-07-30 00:53:00'),
(6797, 'ar', 'siteauditor', 'Run Project', 'تفعيل المشروع', '2011-07-30 00:53:00'),
(6798, 'ar', 'siteauditor', 'should start with', 'يجب أن تبدأ', '2011-07-30 00:53:00'),
(6799, 'ar', 'siteauditor', 'Site Auditor Settings', 'إعدادات مدقق الموقع', '2011-07-30 00:53:00'),
(6800, 'ar', 'siteauditor', 'Store all links found in a page', 'حفظ جميع الروابط الموجودة في الصفحة', '2011-07-30 00:53:00'),
(6801, 'ar', 'siteauditor', 'The page description length is not between', 'طول وصف الصفحة ليس بين', '2011-07-30 00:53:00'),
(6802, 'ar', 'siteauditor', 'The page is brocken', 'هذه الصفحة مقسمة', '2011-07-30 00:53:00'),
(6803, 'ar', 'siteauditor', 'The page is having exellent number of backlinks in', 'يتوفر في هذه الصفحة عدد ممتاز من الروابط المتصلة في', '2011-07-30 00:53:00'),
(6804, 'ar', 'siteauditor', 'The page is having exellent pagerank', 'لدى الصفحة بيج رانك ممتاز', '2011-07-30 00:53:00'),
(6805, 'ar', 'siteauditor', 'The page is having good number of backlinks in', 'يتوفر في هذه الصفحة عدد جيد من الروابط المتصلة في', '2011-07-30 00:53:00'),
(6806, 'ar', 'siteauditor', 'The page is having good pagerank', 'لدى الصفحة بيج رانك جيد', '2011-07-30 00:53:00'),
(6807, 'ar', 'siteauditor', 'The page is having poor pagerank', 'لدى الصفحة بيج رانك ضعيف', '2011-07-30 00:53:00'),
(6808, 'ar', 'siteauditor', 'The page is having very good pagerank', 'لدى الصفحة بيج رانك جيد جدا', '2011-07-30 00:53:00'),
(6809, 'ar', 'siteauditor', 'The page is not having backlinks in', 'لايوجد روابط متصلة في هذه الصفحة في', '2011-07-30 00:53:00'),
(6810, 'ar', 'siteauditor', 'The page is not indexed in', 'الصفحة غير مؤرشفة بعد في', '2011-07-30 00:53:00'),
(6811, 'ar', 'siteauditor', 'The page keywords length is not between', 'طول عدد كلمات البحث ليس بين', '2011-07-30 00:53:00'),
(6812, 'ar', 'siteauditor', 'The page title length is not between', 'طول عنوان الصفحة ليس بين', '2011-07-30 00:53:00'),
(6813, 'ar', 'siteauditor', 'The total number of links in page is greater than', 'عدد الروابط في هذه الصفحة اكبر من', '2011-07-30 00:53:00'),
(6814, 'ar', 'siteauditor', 'to run project again if you stopped execution', 'لتشغيل المشروع مرة أخرى إذا قمت بإيقاف التنفيذ', '2011-07-30 00:53:00'),
(6815, 'ar', 'siteauditor', 'to view the reports', 'لعرض التقارير', '2011-07-30 00:53:00'),
(6816, 'ar', 'siteauditor', 'Total Links', 'مجموع الروابط', '2011-07-30 00:53:00'),
(6817, 'ar', 'siteauditor', 'totallinksgreaterallowed', 'مجموع الروابط ستصبح أكبر من الحد الأقصى المسموح به في المشروع', '2011-07-30 00:53:00'),
(6818, 'ar', 'settings', 'Check for Updates', 'تفقد إصدار جديد', '2011-07-30 01:16:11'),
(6819, 'ar', 'settings', 'Click here to become a sponsor for Seo Panel', '<b>تبرع ب100 دولار</b>حتى تصبح من<b>الرعايا</b>في لوحة تحكم محسن محرك البحث.', '2011-07-30 01:16:11'),
(6820, 'ar', 'settings', 'SA_CRAWL_DELAY_TIME', 'تأخر الزحف في موقع المدقق بين كل صفحة', '2011-07-30 01:16:11'),
(6821, 'ar', 'settings', 'SA_MAX_NO_PAGES', 'الحد الأقصى من الصفحات المسموحة لكل موقع', '2011-07-30 01:16:11'),
(6822, 'ar', 'settings', 'seopanel_description', 'لوحة تحكم متكاملة لتحسين محرك البحث لموقعك. وتحتوي اللوحة العديد من أدوات البحث الفعالة لتحسين وتسريع الأرشفة لدى موقعك. يعتبر هذه البرنامج من فئة المصادر المفتوحة حيث يمكنك من إنشاء وتكوين إضافات خاصة حسب طلبك للوحة تحسين محرك البحث.', '2011-07-30 01:16:11'),
(6823, 'ar', 'settings', 'seopanel_title', 'لوحة تحكم تحسين محرك البحث: الاولى في العالم من البرامج مفتوحة المصدر لتحسين محركات البحث للمواقع الإلكترونية في الشرق الأوسط.', '2011-07-30 01:16:11'),
(6824, 'ar', 'settings', 'SP_API_KEY', 'الكود الخاص لل<b>API</b>.', '2011-07-30 01:16:11'),
(6825, 'ar', 'settings', 'SP_CRAWL_DELAY', 'فترة التأخير بين كل عملية زحف عنكبوتية - بلثواني.', '2011-07-30 01:16:11'),
(6826, 'ar', 'settings', 'SP_DEFAULTLANG', 'اللغة الرئيسية', '2011-07-30 01:16:11'),
(6827, 'ar', 'settings', 'SP_DESCRIPTION', 'وصف لوحة التحكم لتحسين محرك البحث', '2011-07-30 01:16:11'),
(6828, 'ar', 'settings', 'SP_ENABLE_PROXY', 'تفعيل البروكسي', '2011-07-30 01:16:11'),
(6829, 'ar', 'settings', 'SP_HOTLINKING', 'تفعيل حماية الروابط الساخنة', '2011-07-30 01:16:11'),
(6830, 'ar', 'settings', 'SP_KEYWORDS', 'كلمات البحث للوحة تحسين محرك البحث', '2011-07-30 01:16:11'),
(6831, 'ar', 'settings', 'SP_PAGINGNO', 'عدد المدخلات لكل صفحة', '2011-07-30 01:16:11'),
(6832, 'ar', 'settings', 'SP_TITLE', 'عنوان لوحة تحسين محرك البحث', '2011-07-30 01:16:11'),
(6833, 'ar', 'settings', 'SP_USER_AGENT', 'عميل المستخدم', '2011-07-30 01:16:11'),
(6834, 'ar', 'settings', 'SP_USER_GEN_REPORT', 'تمكين الاعضاء من إنشاء تقارير', '2011-07-30 01:16:11'),
(6835, 'ar', 'settings', 'SP_USER_REGISTRATION', 'واجهة تسجيل المستخدم', '2011-07-30 01:16:11'),
(6836, 'ar', 'settings', 'syssettingssaved', 'تم حفظ إعدادات النظام بنجاح', '2011-07-30 01:16:11'),
(6837, 'ar', 'settings', 'versionnotuptodatemsg', 'لوحة تحسين محرك البحث بحاجة إلى ترقية أمنية الأن.<br>يرجى تحميل النسخة الجديدة من هنا.', '2011-07-30 01:16:11'),
(6838, 'ar', 'settings', 'Your Seo Panel installation is up to date', 'لايوجد إصدارات جديدة للوحة تنصيب محسن محرك البحث ', '2011-07-30 01:16:11'),
(6839, 'ar', 'seotools', 'Auditor Projects', 'مشاريع المدقق', '2011-07-30 01:28:48'),
(6840, 'ar', 'seotools', 'Auditor Reports', 'تقارير المدقق', '2011-07-30 01:28:48'),
(6841, 'ar', 'seotools', 'Auditor Settings', 'إعدادات المدقق', '2011-07-30 01:28:48'),
(6842, 'ar', 'seotools', 'Automatic Submission', 'تقديم التلقائي', '2011-07-30 01:28:48'),
(6843, 'ar', 'seotools', 'backlink-checker', 'مدقق الروابط المتصلة', '2011-07-30 01:28:48'),
(6844, 'ar', 'seotools', 'Backlinks Reports', 'تقارير الروابط المتصلة', '2011-07-30 01:28:48'),
(6845, 'ar', 'seotools', 'Check Submission Status', 'تحقق حالة التقديم', '2011-07-30 01:28:48'),
(6846, 'ar', 'seotools', 'clickgeneratereports', 'إضغط على<b>تفعيل</b>لإنشاء التقارير.', '2011-07-30 01:28:48'),
(6847, 'ar', 'seotools', 'Detailed Position Reports', 'تقارير وظيفية مفصلة', '2011-07-30 01:28:48'),
(6848, 'ar', 'seotools', 'directory-submission', 'تقديم الاقسام', '2011-07-30 01:28:48'),
(6849, 'ar', 'seotools', 'Featured Submission', 'تقديم مميز', '2011-07-30 01:28:48'),
(6850, 'ar', 'seotools', 'Generate Backlinks Reports', 'إنشاء تقارير حول الروابط المتصلة', '2011-07-30 01:28:48'),
(6851, 'ar', 'seotools', 'Generate Keyword Reports', 'إنشاء تقارير حول كلمات البحث', '2011-07-30 01:28:48'),
(6852, 'ar', 'seotools', 'Generate Rank Reports', 'إنشاء تقارير حول ترتيب البيج رنك', '2011-07-30 01:28:48'),
(6853, 'ar', 'seotools', 'Generate Saturation Reports', 'إنشاء تقارير مشبعة', '2011-07-30 01:28:48'),
(6854, 'ar', 'seotools', 'Google Sitemap Generator', 'مولد خريطة جوجل', '2011-07-30 01:28:48'),
(6855, 'ar', 'seotools', 'Graphical Position Reports', 'تقارير المركز الرسومية', '2011-07-30 01:28:48'),
(6856, 'ar', 'seotools', 'Import Project Links', 'خيارات استيراد المشروع', '2011-07-30 01:28:48'),
(6857, 'ar', 'seotools', 'Keyword Position Summary', 'ملخص الموقف لكلمات البحث', '2011-07-30 01:28:48'),
(6858, 'ar', 'seotools', 'keyword-position-checker', 'التحقق من موقف كلمات البحث', '2011-07-30 01:28:48'),
(6859, 'ar', 'seotools', 'Keywords Manager', 'إدارة الكلمات الرئيسية', '2011-07-30 01:28:48'),
(6860, 'ar', 'seotools', 'Quick Backlinks Checker', 'فحص سريع للروابط المتصلة', '2011-07-30 01:28:48'),
(6861, 'ar', 'seotools', 'Quick Position Checker', 'التحقق السريع للموقف', '2011-07-30 01:28:48'),
(6862, 'ar', 'seotools', 'Quick Rank Checker', 'التحقق السريع للبيج رنك', '2011-07-30 01:28:48'),
(6863, 'ar', 'seotools', 'Quick Saturation Checker', 'التحقق السريع من التشبع', '2011-07-30 01:28:48'),
(6864, 'ar', 'seotools', 'Rank Reports', 'تقارير البيج رنك', '2011-07-30 01:28:48'),
(6865, 'ar', 'seotools', 'rank-checker', 'التحقق من البيج رنك', '2011-07-30 01:28:48'),
(6866, 'ar', 'seotools', 'Saturation Reports', 'التحقق من التشبع', '2011-07-30 01:28:48'),
(6867, 'ar', 'seotools', 'saturation-checker', 'محرك البحث المشبع', '2011-07-30 01:28:48'),
(6868, 'ar', 'seotools', 'site-auditor', 'مدقق الموقع', '2011-07-30 01:28:48'),
(6869, 'ar', 'seotools', 'sitemap-generator', 'مولد خريطة البحث', '2011-07-30 01:28:48'),
(6870, 'ar', 'seotools', 'Skipped Directories', 'تخطي الاقسام', '2011-07-30 01:28:48'),
(6871, 'ar', 'seotools', 'Submission Reports', 'تقديم التقارير', '2011-07-30 01:28:48'),
(6872, 'ar', 'seotools', 'User Access', 'صلاحية العضو', '2011-07-30 01:28:48'),
(6873, 'ar', 'saturation', 'clickproceedsaturation', 'ضع الروابط<b>واحدا تلو الاخر</b>. ومن ثم إضغط على<b>تفعيل</b>للتحقق من نتائج محرك البحث المشبعة.', '2011-07-30 01:31:02'),
(6874, 'ar', 'saturation', 'GenerateSaturationReports', 'إنشاء تقارير محرك البحث المشبعة', '2011-07-30 01:31:02'),
(6875, 'ar', 'saturation', 'Quick Search Engine Saturation Checker', 'التحقق السريع لمحرك البحث المشبع', '2011-07-30 01:31:02'),
(6876, 'ar', 'saturation', 'Saved Search Engine Saturation results of', 'النتائج المحفوظة لمحرك البحث المشبع من', '2011-07-30 01:31:02'),
(6877, 'ar', 'saturation', 'Search Engine Saturation Reports', 'تقارير محرك البحث المشبع', '2011-07-30 01:31:02'),
(6878, 'ar', 'rank', 'enterurlproceed', 'ضع الروابط<b>واحدا تلو الاخر</b>. ومن ثم إضغط على<b>تفعيل</b>للتحقق من نقاط جوجل بيج رنك وأليكسا.', '2011-07-30 01:32:35'),
(6879, 'ar', 'rank', 'Google and Alexa Rank Reports', 'تقارير جوجل بيج رنك وأليكسا', '2011-07-30 01:32:35'),
(6880, 'ar', 'rank', 'Saved rank results of', 'نتائج الترتيب المحفوظ من', '2011-07-30 01:32:35'),
(6881, 'ar', 'proxy', 'Edit Proxy', 'تعديل البروكسي', '2011-07-30 01:33:16'),
(6882, 'ar', 'proxy', 'Proxy Password', 'كلمة مرور البروكسي', '2011-07-30 01:33:16'),
(6883, 'ar', 'proxy', 'Proxy Username', 'اسم المستخدم للبروكسي', '2011-07-30 01:33:16'),
(6884, 'ar', 'proxy', 'Proxyalreadyexist', 'البروكسي موجود مسبقا', '2011-07-30 01:33:16'),
(6885, 'ar', 'plugin', 'Edit Seo Plugin', 'تحرير إضافة محسن محرك البحث', '2011-07-30 01:33:57'),
(6886, 'ar', 'plugin', 'Plugin Name', 'إسم الإضافة', '2011-07-30 01:33:57'),
(6887, 'ar', 'plugin', 'Seo Plugin Details', 'تفاصيل إضافة محسن محرك البحث', '2011-07-30 01:33:57'),
(6888, 'ar', 'panel', 'About Us', 'من نحن', '2011-07-30 01:37:52'),
(6889, 'ar', 'panel', 'Add following command to your cron tab', 'أضف الاوامر التالية للكرون تاب الخاص بك', '2011-07-30 01:37:52'),
(6890, 'ar', 'panel', 'alsocheckfollowlink', 'وأيضا قم بلتحقق من الرابط التالي إذا كنت بحاجة لمعلومات أخرى.', '2011-07-30 01:37:52'),
(6891, 'ar', 'panel', 'Check Directory', 'تحقق من القسم', '2011-07-30 01:37:52'),
(6892, 'ar', 'panel', 'Cron Command', 'أمر الكرون تاب', '2011-07-30 01:37:52'),
(6893, 'ar', 'panel', 'Directory Manager', 'مدير الاقسام', '2011-07-30 01:37:52'),
(6894, 'ar', 'panel', 'Edit My Profile', 'تعديل الملف الشخصي', '2011-07-30 01:37:52'),
(6895, 'ar', 'panel', 'Edit Project', 'تحرير المشروع', '2011-07-30 01:37:52'),
(6896, 'ar', 'panel', 'My Profile', 'ملفي الشخصي', '2011-07-30 01:37:52'),
(6897, 'ar', 'panel', 'New Project', 'مشروع جديد', '2011-07-30 01:37:52'),
(6898, 'ar', 'panel', 'New Proxy', 'بروكسي جديد', '2011-07-30 01:37:52'),
(6899, 'ar', 'panel', 'New User', 'مستخدم جديد', '2011-07-30 01:37:52'),
(6900, 'ar', 'panel', 'New Website', 'موقع جديد', '2011-07-30 01:37:52'),
(6901, 'ar', 'panel', 'Proxy Manager', 'مدير البروكسي', '2011-07-30 01:37:52'),
(6902, 'ar', 'panel', 'Report Generation Manager', 'مدير إنشاء التقرير', '2011-07-30 01:37:52'),
(6903, 'ar', 'panel', 'Reports Manager', 'مدير التقارير', '2011-07-30 01:37:52'),
(6904, 'ar', 'panel', 'Seo Plugins Manager', 'مدير إضافة محسن محرك البحث', '2011-07-30 01:37:52'),
(6905, 'ar', 'panel', 'Seo Tools Manager', 'مدير أدوات محسن محرك البحث', '2011-07-30 01:37:52'),
(6906, 'ar', 'panel', 'System Settings', 'إعدادات النظام', '2011-07-30 01:37:52'),
(6907, 'ar', 'panel', 'User Manager', 'مدير المستخدم', '2011-07-30 01:37:52'),
(6908, 'ar', 'panel', 'Website Manager', 'مدير الموقع', '2011-07-30 01:37:52'),
(6909, 'ar', 'login', 'Confirm Password', 'تاكيد كلمة المرور', '2011-07-30 01:40:13'),
(6910, 'ar', 'login', 'Create my account', 'إنشاء حسابي', '2011-07-30 01:40:13'),
(6911, 'ar', 'login', 'Create New Account', 'إنشاء حساب جديد', '2011-07-30 01:40:13'),
(6912, 'ar', 'login', 'Email', 'بريد إلكتروني', '2011-07-30 01:40:13'),
(6913, 'ar', 'login', 'emailexist', 'البريد الإلكتروني مسجل من قبل', '2011-07-30 01:40:13'),
(6914, 'ar', 'login', 'Enter the code as it is shown', 'ضع رمز التحقق كما هو', '2011-07-30 01:40:13'),
(6915, 'ar', 'login', 'First Name', 'الإسم الأول', '2011-07-30 01:40:13'),
(6916, 'ar', 'login', 'Last Name', 'الإسم الاخير', '2011-07-30 01:40:13'),
(6917, 'ar', 'login', 'Login', 'دخول', '2011-07-30 01:40:13'),
(6918, 'ar', 'login', 'Login incorrect', 'الدخول غير صحيح', '2011-07-30 01:40:13'),
(6919, 'ar', 'login', 'newaccountsuccess', 'تم إنشاء الحساب الجديد بنجاح', '2011-07-30 01:40:13'),
(6920, 'ar', 'login', 'Password', 'كلمة المرور', '2011-07-30 01:40:13'),
(6921, 'ar', 'login', 'Password incorrect', 'كلمة المرور خاطئة', '2011-07-30 01:40:13'),
(6922, 'ar', 'login', 'Register', 'تسجيل', '2011-07-30 01:40:13'),
(6923, 'ar', 'login', 'Sign in to your account', 'سجل دخول بحسابك', '2011-07-30 01:40:13'),
(6924, 'ar', 'login', 'User inactive', 'عضو نشط', '2011-07-30 01:40:13'),
(6925, 'ar', 'login', 'Username', 'المستخدم', '2011-07-30 01:40:13'),
(6926, 'ar', 'login', 'usernameexist', 'المستخدم موجود من قبل', '2011-07-30 01:40:13'),
(6927, 'ar', 'label', 'already exist', 'موجود من قبل', '2011-07-30 01:44:19'),
(6928, 'ar', 'label', 'Authentication', 'التحقق', '2011-07-30 01:44:19'),
(6929, 'ar', 'label', 'Author', 'المدقق', '2011-07-30 01:44:19'),
(6930, 'ar', 'label', 'Brocken', 'معطل', '2011-07-30 01:44:19'),
(6931, 'ar', 'label', 'Click Here', 'إضغط هنا', '2011-07-30 01:44:19'),
(6932, 'ar', 'label', 'Comments', 'تعليقات', '2011-07-30 01:44:19'),
(6933, 'ar', 'label', 'Count', 'الإحصائية', '2011-07-30 01:44:19'),
(6934, 'ar', 'label', 'Cron', 'كرون تاب', '2011-07-30 01:44:19'),
(6935, 'ar', 'label', 'Description', 'وصف', '2011-07-30 01:44:19'),
(6936, 'ar', 'label', 'Developers', 'المبرمجون', '2011-07-30 01:44:19'),
(6937, 'ar', 'label', 'Download', 'تحميل', '2011-07-30 01:44:19'),
(6938, 'ar', 'label', 'Exclude', 'إستثناء', '2011-07-30 01:44:19'),
(6939, 'ar', 'label', 'Include', 'إدراج', '2011-07-30 01:44:19'),
(6940, 'ar', 'label', 'Installation', 'عملية التنصيب', '2011-07-30 01:44:19'),
(6941, 'ar', 'label', 'Keywords', 'كلمة البحث', '2011-07-30 01:44:19'),
(6942, 'ar', 'label', 'noactiveplugins', 'لايوجد إضافات لمحسن محرك البحث مفعله حاليا', '2011-07-30 01:44:19'),
(6943, 'ar', 'label', 'Plugin', 'إضافة', '2011-07-30 01:44:19'),
(6944, 'ar', 'label', 'Port', 'منفذ', '2011-07-30 01:44:19'),
(6945, 'ar', 'label', 'Project', 'مشروع', '2011-07-30 01:44:19'),
(6946, 'ar', 'label', 'Proxy', 'بروكسي', '2011-07-30 01:44:19'),
(6947, 'ar', 'label', 'Re-install', 'إعادة تنصيب', '2011-07-30 01:44:19'),
(6948, 'ar', 'label', 'Report Type', 'نوع التقرير', '2011-07-30 01:44:19'),
(6949, 'ar', 'label', 'Score', 'النقاط', '2011-07-30 01:44:19'),
(6950, 'ar', 'label', 'Sponsors', 'رعايا', '2011-07-30 01:44:19'),
(6951, 'ar', 'label', 'Title', 'عنوان', '2011-07-30 01:44:19'),
(6952, 'ar', 'label', 'Total Results', 'مجموع النتائج', '2011-07-30 01:44:19'),
(6953, 'ar', 'label', 'translation by', 'تم التعريب والنطوير بواسطة', '2011-07-30 01:44:19'),
(6954, 'ar', 'label', 'Translators', 'مترجمون ومطورون', '2011-07-30 01:44:19'),
(6955, 'ar', 'label', 'Updated', 'محدث', '2011-07-30 01:44:19'),
(6956, 'ar', 'label', 'Upgrade', 'ترقية', '2011-07-30 01:44:19'),
(6957, 'ar', 'label', 'Version', 'إصدار', '2011-07-30 01:44:19'),
(6958, 'ar', 'label', 'View Reports', 'عرض التقارير', '2011-07-30 01:44:19'),
(6959, 'ar', 'label', 'wantproceed', 'هل تريد حقا من المتابعة؟', '2011-07-30 01:44:19'),
(6960, 'ar', 'keyword', 'Crawling keyword', 'زحف كلمات البحث', '2011-07-30 02:01:13'),
(6961, 'ar', 'keyword', 'Detailed Keyword Position Reports', 'تقارير مفصلة لمعلومات كلمات البحث', '2011-07-30 02:01:13'),
(6962, 'ar', 'keyword', 'Edit Keyword', 'تحرير كلمة البحث', '2011-07-30 02:01:13'),
(6963, 'ar', 'keyword', 'Graphical Keyword Position Reports', 'رسم بياني مفصل لكلمات البحث', '2011-07-30 02:01:13'),
(6964, 'ar', 'keyword', 'Import Keywords', 'إستيراد كلمات البحث', '2011-07-30 02:01:13'),
(6965, 'ar', 'keyword', 'Insert keywords separated with comma', 'أرفاق كلمات بحث مبتاعدة بفواصل', '2011-07-30 02:01:13'),
(6966, 'ar', 'keyword', 'Keyword already exist', 'كلمة البحث موجودة مسبقا', '2011-07-30 02:01:13'),
(6967, 'ar', 'keyword', 'Keyword Position Report', 'تقرير مركز لكلمة البحث', '2011-07-30 02:01:13'),
(6968, 'ar', 'keyword', 'New Keyword', 'كلمة بحث جديدة', '2011-07-30 02:01:13'),
(6969, 'ar', 'keyword', 'not assigned to required search engines', 'لم يتم تعيينها لمتطلبات محركات البحث', '2011-07-30 02:01:13'),
(6970, 'ar', 'keyword', 'pleaseselecttool', 'كحد أدنى يمكنك إختيار أداة واحدة لتحسن محرك البحث', '2011-07-30 02:01:13'),
(6971, 'ar', 'keyword', 'Quick Keyword Position Checker', 'التحقق السريع لكلمة البحث', '2011-07-30 02:01:13'),
(6972, 'ar', 'keyword', 'results from ', 'النتائج من', '2011-07-30 02:01:13'),
(6973, 'ar', 'keyword', 'Show All results', 'عرض كافة النتائج', '2011-07-30 02:01:13'),
(6974, 'ar', 'keyword', 'Successfully crawled keyword', 'تم زحف كلمة البحث بنجاح', '2011-07-30 02:01:13'),
(6975, 'ar', 'keyword', 'to create new keywords', 'لإنشاء كلمة بحث جديدة', '2011-07-30 02:01:13'),
(6976, 'ar', 'directory', 'Add back to directory list', 'إضافة إلى قائمة الأقسام', '2011-07-30 02:28:07'),
(6977, 'ar', 'directory', 'Approved', 'تم الموافقة عليه', '2011-07-30 02:28:07'),
(6978, 'ar', 'directory', 'Captcha', 'رمز التحقق', '2011-07-30 02:28:07'),
(6979, 'ar', 'directory', 'categorynote', 'الاقسام, متباعدون بفاصلة بين بعضهم حسب أهمية القسم. مبتدأين بلقسم الأكثر أهمية.', '2011-07-30 02:28:07'),
(6980, 'ar', 'directory', 'Check Directory Status', 'تفقد حالة القسم', '2011-07-30 02:28:07'),
(6981, 'ar', 'directory', 'Check Directory Submission Status', 'تفقد حالة القسم المقدمة', '2011-07-30 02:28:07'),
(6982, 'ar', 'directory', 'clicktoproceeddirsts', 'إضغط هنا<b>للتفعيل</b>ولتفقد حالة القسم.', '2011-07-30 02:28:07'),
(6983, 'ar', 'directory', 'Confirmation', 'تأكيد', '2011-07-30 02:28:07'),
(6984, 'ar', 'directory', 'desnote', 'بعض الاقسام تتطلب كحد أدنى 150 حرف في خانة الوصف.', '2011-07-30 02:28:07'),
(6985, 'ar', 'directory', 'Directories with out captcha', 'القسم بدون تحقق', '2011-07-30 02:28:07'),
(6986, 'ar', 'directory', 'Directory Submission Reports', 'تقديم تقارير القسم', '2011-07-30 02:28:07'),
(6987, 'ar', 'directory', 'Enter the code shown', 'قم بكتابة الكود', '2011-07-30 02:28:07'),
(6988, 'ar', 'directory', 'nocatnote', 'لم يتم العثور على فئة التقديم في صفحة التقديم. يرجى الضغط على <b>Reload</b> أو <b>skip</b>.', '2011-07-30 02:28:07'),
(6989, 'ar', 'directory', 'nodirnote', 'لايوجد <b>Active</b> قسم موجود.', '2011-07-30 02:28:07'),
(6990, 'ar', 'directory', 'nosuccessnote', 'لم تحصل على رسالة نجاح, يرجى التحقق من وصول رسالة لبريديك لتأكيد الرسالة.', '2011-07-30 02:28:07'),
(6991, 'ar', 'directory', 'optionalnote', 'عنوان ووصف إختياري لطلب تقديم عنوان ووصف عشوائي لنتائج أفضل.', '2011-07-30 02:28:07'),
(6992, 'ar', 'directory', 'Owner Email', 'بريد المالك', '2011-07-30 02:28:07'),
(6993, 'ar', 'directory', 'Owner Name', 'إسم المالك', '2011-07-30 02:28:07'),
(6994, 'ar', 'directory', 'Pending', 'في الإنتظار', '2011-07-30 02:28:07'),
(6995, 'ar', 'directory', 'Please select a website to proceed', 'يرجى تحديد موقع للتفعيل', '2011-07-30 02:28:07'),
(6996, 'ar', 'directory', 'Reciprocal Link', 'روابط متبادلة', '2011-07-30 02:28:07'),
(6997, 'ar', 'directory', 'selectwebsiteproceed', 'إختر <b>Website</b> إلى <b>Proceed</b> قسم التقديم.<br>Check<b>أقسام بدون رمز تحقق</b> لتقديم الاقسام بدون رمز تحقق.', '2011-07-30 02:28:07'),
(6998, 'ar', 'directory', 'selectwebsiteschecksub', 'إختر <b>Website</b> حتى يتم <b>Proceed</b> قسم التقديم.', '2011-07-30 02:28:07'),
(6999, 'ar', 'directory', 'Semi Automatic Directory Submission Tool', 'أداة مشابهه للتقديم التلقائي', '2011-07-30 02:28:07'),
(7000, 'ar', 'directory', 'spamemailnote', 'بعض الاقسام ستقوم بإرسال بعض الرسائل المزعجة, لاننصحك حاليا بإستخدام بريد بديل بحسابك.', '2011-07-30 02:28:07'),
(7001, 'ar', 'directory', 'Submission Details', 'تقديم مفصل', '2011-07-30 02:28:07'),
(7002, 'ar', 'directory', 'Submit Description', 'تقديم الوصف', '2011-07-30 02:28:07'),
(7003, 'ar', 'directory', 'Submit Keywords', 'تقديم كلمات البحث', '2011-07-30 02:28:07'),
(7004, 'ar', 'directory', 'Submit Title', 'تقديم العنوان', '2011-07-30 02:28:07'),
(7005, 'ar', 'directory', 'Website Category', 'عنوان الموقع', '2011-07-30 02:28:07'),
(7006, 'ar', 'directory', 'Website Url', 'رابط الموقع', '2011-07-30 02:28:07'),
(7007, 'ar', 'home', 'Account Summary', 'ملخص الحساب', '2011-08-04 08:07:28'),
(7008, 'ar', 'home', 'Backlinks', 'روابط متصلة', '2011-08-04 08:07:29'),
(7009, 'ar', 'home', 'Directory Submission', 'دليل التقديم', '2011-08-04 08:07:29'),
(7010, 'ar', 'home', 'home_cont1', '<h1 style=\\\"text-align: center;margin-bottom: 30px;font-size: 19px;\\\">مرحبا بك في لوحة التحكم أول برنامج في الشرق الأوسط لتدشين مواقعكم بكلمات البحث الدلالية</h1>\r\n       <p>\r\n           <b>البرنامج المتكامل مفتوح المصدر لتحسين محركات البحث في الشرق الأوسط</b>وللتحكم<b>بمحركات البحث للمواقع الإلكترونية</b>\r\n           <b>يعتبر برنامج تحسين محركات البحث مفتوح المصدر ومجاني للجميع بلإضافة لإستطاعة مستخدمينه من إنشاء إضافات خاصة لهم في هذا البرنامج من خلال<a href=\\\"<?=SP_PLUGINSITE?>\\\" target=\\\"_blank\\\">إضافات المحرك</a>.\r\n</p><p></p><p>\r\nتم إقلاع هذا البرنامج في <b>شهر 1 لسنة 2010</b>من خلال هذه الفترة, الالاف من أصحاب المواقع الإلكترونية قامو بلمشاركة في إستخدام هذا البرنامج مما يؤدي الى تعرف الالاف ومئات الالات من الزوار لمواقعهم من خلال محركات البحث المشهورة مثل شركة جوجل, وبينج, والياهو.</b>\r\nقم بإستخدام محسن كلمات البحث اليوم <b>وإستمتع</b> بكل مافيه من مميزات لأصحاب المواقع لإشهار مواقعهم بطريقة ذكية.\r\n</p>', '2011-08-04 08:07:29'),
(7011, 'ar', 'home', 'home_cont2', '<fieldset>\r\n<legend>ميزات اللوحة الرئيسية لمحسن محرك البحث<?=SP_INSTALLED?></legend>\r\n<ul class=\\\"infobox\\\">\r\n    <li>        \r\n        <h1>أداة تقديم كلمات الدلائل التلقائية</h1>\r\n        <p>\r\n            دليل المساعدة لأداة تقديم الكلمات الدلالية لمحرك البحث<b>لموقعنا</b>في طليعة الرئيسية<b>للإضافات المدفوعة والمجانية</b>.\r\n            يمكننا ايضا<b>من تعقب حالة</b>كل طلب تقديم من خلال<b>دورية طلبات الاختيار</b>بإستخدام<b>سكربت فحص الحالة</b>.\r\n            <b>إدارة كلمات الدلائل</b> ستقوم بمساعدتك بلعثور على <b>كلمات دلالية فعالة</b> أو لا.\r\n        </p>\r\n    </li>\r\n    <li> \r\n        <h1>فحص كلمات البحث </h1>\r\n        <p>\r\n            أداة فحص كلمات البحث ستقوم في العثور <b>على كلمات بحث فعالة في محركات البحث بدرجة جيدة جدا</b> من <b>كلمات البحث المدرجة من قبلك</b>\r\nلموقعك ومن خلال <b>حفظها في النظام</b>.\r\n            من خلال حالة فحص كلمات البحث يمكننا أن نرى<b>كلمات بحث معينة يوميا</b> لمحركات بحث عديدة <b>بمناظر جرافيكية جميلة ومفصلة</b> و <b>بتفاصل تقريرية حول حالتها</b>.\r\n        </p>\r\n    </li>\r\n    <li>        \r\n        <h1>موقع المحرر</h1>\r\n        <p>موقع المحرر سيقوم <b>بمراجعة جميل دلائل محركات البحث</b>لكل صفحة مقدمة من موقعك\r\n<b>بتقرير مفصل </b> لكل صفحة. وبلتالي ستقوم بإنشـاء ملفات <b>XML,HTML,TEXT</b>وخرائط لموقعك بصيغة فعالة لمحركات البحث\r\nوملفات موقعك <b>للتقديم</b> لمحركات البحث.</p>\r\n    </li>\r\n    <li> \r\n        <h1>فحص نقاط جوجل وأليكسا</h1>\r\n        <p>\r\n            فحص نقاط جوجل وأليكسا ستقوم بلعثور على <b>نقاط جوجل</b> و <b>نقاط اليكسا</b> لموقعنا <b>المحفوظ</b> في النظام.\r\n            في <b>تقارير خانة نقاط الموقع</b>,سنرى <b>بشكل يومي</b> نقاط جوجل واليكسا على شكل <b>تقارير مفصلة</b>.\r\n        </p>\r\n    </li>\r\n    <li> \r\n        <h1>فحص الروابط المتصلة</h1>\r\n        <p>\r\n            فحص الروابط المتصلة ستقوم بلعثور على <b>عدد الروابط المتصلة</b> لمواقعنا بمحركات بحث عديدة<b>(جوجل, اليكسا, بينج, ياهو, وغيرهم...)</b> بلإضافة إلى <b>حفظ النظام</b>لها في برنامجنا.\r\n            <br>في <b>خانة تقارير الروابط المتصلة</b>, سنرى<b>بشكل يومي تعداد الروابط المتصلة </b>لكل موقع <b>بتقارير مفصلة</b>.\r\n        </p>\r\n    </li>    \r\n    <li>     \r\n        <h1>مدقق فحص محركات البحث</h1>\r\n        <p>\r\n            مدقق الفحص لمحركات البحث سيقوم بلعثور على <b>عدد المواقع المؤرشفة لكل</b> لكل موقع في كل محرك بحث مثل<b>(جوجل, اليكسا, بينج, الياهو, وغيرهم...)</b> بلإضافة <b>لحفظهم</b> في نظامنا.\r\n            في <b>خانة مدقق الفحص لمحركات البحث</b> ,سنرى بشكل يومي تعداد <b>الصفحات المؤرشفة</b> لكل موقع <b>بتقارير مفصلة</b>.\r\n        </p>\r\n    </li>\r\n    <li>        \r\n        <h1>إضافاة لوحة محسن محرك البحث</h1>\r\n        <p>\r\n            الإستفادة<b>من هذه الخاصية</b> لإضافة محسن محرك البحث <b>متفرعة بشكل مميز جدا</b>.\r\n            لتمكين <b>إضافة لمحسن محرك البحث</b> للوحة التحكم الخاصة بك <b>وتمديد الفوائد</b> بحسب متطلباتك..\r\n            <a href=\\\"<?=SP_PLUGINSITE?>\\\" target=\\\"_blank\\\">إضافة لوحة محسن البحث</a> مزودة من قبل طاقم الإدارة لمحسن محرك البحث ومتطوعين للبرنامج\r\n            بحيث يمكنك بكل سهولة<b>develop</b> إضافة للوحة محسن محرك البحث لديك.\r\n            ويمكنك <a href=\\\"<?=SP_PLUGINSITE?>\\\"  target=\\\"_blank\\\">إضافة</a> إضافتك للوحة محسن محرك البحث وسنقوم <b>publish</b>في موقعنا الرسمي بعد مراجعتها و <b>review</b>بشكل كامل.\r\n        </p>\r\n    </li>\r\n    <li>    \r\n        <h1>مولد الكلمات الدلالية</h1>\r\n        <p>\r\n            أداة توليد الكلمات الدلالية تتوفر على<b>إضافة في لوحة تحكم محسن محرك البحث</b> لإنشـاء <b>custom meta tags</b> لموقعك.\r\n            ستساعدنا في توفير <b>معلومات اكثر</b> حول موقعنا <b>لعناكب محركات البحث</b>خلال زحفهم إلينا.\r\n        </p>\r\n    </li>\r\n</ul>\r\n</fieldset>', '2011-08-04 08:07:29'),
(7012, 'ar', 'home', 'home_cont3', '<fieldset>\r\n<legend>المصادر لوحة تحسين محرك البحث</legend>    \r\n<ul class=\\\"infobox\\\">\r\n\r\n   <li>\r\n        <h1>لوحة مصادر تحسين محرك البحث</h1>                \r\n        \r\n        \r\n        <p>\r\n            <a href=\\\"http://www.seopanel.in\\\" target=\\\"_blank\\\">الموقع الرسمي لتحسين محرك البحث</a>\r\n        </p>\r\n        <p>\r\n            <a href=\\\"<?=SP_DOWNLOAD_LINK?>\\\" target=\\\"_blank\\\">حمل برنامج محسن البحث</a>\r\n        </p>\r\n        \r\n        <p>\r\n            <a href=\\\"<?=SP_DEMO_LINK?>\\\" target=\\\"_blank\\\">لوحة تجريبية لمحسن محرك البحث</a>\r\n        </p>\r\n        \r\n        <p>\r\n            <a href=\\\"<?=SP_CONTACT_LINK?>\\\" target=\\\"_blank\\\">إتصل بإدارة محسن محرك البحث</a>\r\n        </p>\r\n        \r\n        <p>\r\n            <a href=\\\"<?=SP_HELP_LINK?>\\\" target=\\\"_blank\\\">دليل المستخدم لمحسن محرك البحث</a>\r\n        </p>\r\n        \r\n        <p>\r\n            <a href=\\\"<?=SP_FORUM_LINK?>\\\" target=\\\"_blank\\\">ملتقى أعضاء محسن محرك البحث</a>\r\n        </p>\r\n        \r\n        <p>\r\n            <a href=\\\"<?=SP_SUPPORT_LINK?>\\\" target=\\\"_blank\\\">نظام مساعدة محسن محرك البحث</a>\r\n        </p>\r\n        \r\n        <p>\r\n            <a href=\\\"<?=SP_DONATE_LINK?>\\\" target=\\\"_blank\\\">تبرع لمساعدة إدارة محرك البحث للمزيد من الإضافاة الذكية</a>\r\n        </p>\r\n    </li>\r\n    \r\n</ul>\r\n</fieldset>', '2011-08-04 08:07:29'),
(7013, 'ar', 'home', 'Indexed', 'مؤرشف', '2011-08-04 08:07:29'),
(7014, 'ar', 'home', 'Pages Indexed', 'صفحة مؤرشفة', '2011-08-04 08:07:29'),
(7015, 'ar', 'home', 'Ranks', 'ترتيب الموقع', '2011-08-04 08:07:29'),
(7016, 'ar', 'home', 'SiteNameUrl', 'إسم الموقع - الرابط', '2011-08-04 08:07:29'),
(7017, 'ar', 'home', 'Website Statistics', 'إحصائية الموقع', '2011-08-04 08:07:29'),
(7018, 'he', 'button', 'Cancel', 'ביטול', '2014-01-08 19:27:21'),
(7019, 'he', 'button', 'Check Status', 'בדוק סטטוס', '2014-01-08 19:27:21'),
(7020, 'he', 'button', 'Proceed', 'המשך', '2014-01-08 19:27:21'),
(7021, 'he', 'button', 'Reload', 'טען מחדש', '2014-01-08 19:27:21'),
(7022, 'he', 'button', 'Show Details', 'הצג פרטים', '2014-01-08 19:27:21'),
(7023, 'he', 'button', 'Show Records', 'הצג רשומות', '2014-01-08 19:27:21'),
(7024, 'he', 'button', 'Skip', 'דלג', '2014-01-08 19:27:21'),
(7025, 'he', 'button', 'Submit', 'אישור', '2014-01-08 19:27:21'),
(7026, 'he', 'login', 'Confirm Password', 'אמת סיסמה', '2011-09-06 08:48:12'),
(7027, 'he', 'login', 'Create my account', 'צור את החשבון שלי', '2011-09-06 08:48:12'),
(7028, 'he', 'login', 'Create New Account', 'צור חשבון חדש', '2011-09-06 08:48:12'),
(7029, 'he', 'login', 'Email', 'דואר אלקטרוני', '2011-09-06 08:48:12'),
(7030, 'he', 'login', 'emailexist', 'כתובת הדואר אלקטרוני כבר קיימת במערכת!', '2011-09-06 08:48:12'),
(7031, 'he', 'login', 'Enter the code as it is shown', 'הכנס את הקוד אשר מופיע', '2011-09-06 08:48:12'),
(7032, 'he', 'login', 'First Name', 'שם פרטי', '2011-09-06 08:48:12'),
(7033, 'he', 'login', 'Last Name', 'שם משפחה', '2011-09-06 08:48:12'),
(7034, 'he', 'login', 'Login', 'כניסה', '2011-09-06 08:48:12'),
(7035, 'he', 'login', 'Login incorrect', 'כניסה לא נכונה', '2011-09-06 08:48:12'),
(7036, 'he', 'login', 'newaccountsuccess', 'חשבון חדש נוצר בהצלחה!', '2011-09-06 08:48:12'),
(7037, 'he', 'login', 'Password', 'סיסמה', '2011-09-06 08:48:12'),
(7038, 'he', 'login', 'Password incorrect', 'סיסמה שגויה', '2011-09-06 08:48:12'),
(7039, 'he', 'login', 'Register', 'הרשם', '2011-09-06 08:48:12'),
(7040, 'he', 'login', 'Sign in to your account', 'התחבר לחשבונך', '2011-09-06 08:48:12'),
(7041, 'he', 'login', 'User inactive', 'משתמש לא פעיל', '2011-09-06 08:48:12'),
(7042, 'he', 'login', 'Username', 'שם משתמש', '2011-09-06 08:48:12'),
(7043, 'he', 'login', 'usernameexist', 'שם המשתמש כבר קיים במערכת!', '2011-09-06 08:48:12'),
(7044, 'he', 'website', 'Edit Website', 'ערוך אתר', '2011-08-11 22:32:15'),
(7045, 'he', 'website', 'plscrtwebsite', 'אנא הכנס אתר למערכת לפני תחילת השימוש במערכת', '2011-08-11 22:32:15'),
(7046, 'he', 'website', 'Website already exist', 'האתר כבר קיים', '2011-08-11 22:32:15'),
(7047, 'he', 'website', 'yourwebalreday', 'האתר שלך במידה ויצרת אחד', '2011-08-11 22:32:15'),
(7048, 'he', 'user', 'Edit User', 'ערוך משתמש', '2011-08-11 22:33:05'),
(7049, 'he', 'user', 'Saved My Profile Details', 'שמור את הפרטים שלי', '2011-08-11 22:33:05'),
(7050, 'he', 'settings', 'Check for Updates', 'בדוק עידכונים', '2011-08-11 22:50:44'),
(7051, 'he', 'settings', 'Click here to become a sponsor for Seo Panel', '<b>תרום 100$</a> בכדי להיות <b>ספונסר</b> of Seo Panel.', '2011-08-11 22:50:44'),
(7052, 'he', 'settings', 'SA_CRAWL_DELAY_TIME', '', '2011-08-11 22:50:44'),
(7053, 'he', 'settings', 'SA_MAX_NO_PAGES', '', '2011-08-11 22:50:44'),
(7054, 'he', 'settings', 'seopanel_description', '', '2011-08-11 22:50:44'),
(7055, 'he', 'settings', 'seopanel_title', '', '2011-08-11 22:50:44'),
(7056, 'he', 'settings', 'SP_API_KEY', '', '2011-08-11 22:50:44'),
(7057, 'he', 'settings', 'SP_CRAWL_DELAY', '', '2011-08-11 22:50:44'),
(7058, 'he', 'settings', 'SP_DEFAULTLANG', 'שפה ברירת מחדל', '2011-08-11 22:50:44'),
(7059, 'he', 'settings', 'SP_DESCRIPTION', '', '2011-08-11 22:50:44'),
(7060, 'he', 'settings', 'SP_ENABLE_PROXY', 'אפשר פרוקסי', '2011-08-11 22:50:44'),
(7061, 'he', 'settings', 'SP_HOTLINKING', '', '2011-08-11 22:50:44'),
(7062, 'he', 'settings', 'SP_KEYWORDS', '', '2011-08-11 22:50:44'),
(7063, 'he', 'settings', 'SP_PAGINGNO', '', '2011-08-11 22:50:44'),
(7064, 'he', 'settings', 'SP_TITLE', '', '2011-08-11 22:50:44'),
(7065, 'he', 'settings', 'SP_USER_AGENT', '', '2011-08-11 22:50:44'),
(7066, 'he', 'settings', 'SP_USER_GEN_REPORT', '', '2011-08-11 22:50:44'),
(7067, 'he', 'settings', 'SP_USER_REGISTRATION', '', '2011-08-11 22:50:44'),
(7068, 'he', 'settings', 'syssettingssaved', '', '2011-08-11 22:50:44'),
(7069, 'he', 'settings', 'versionnotuptodatemsg', '', '2011-08-11 22:50:44'),
(7070, 'he', 'settings', 'Your Seo Panel installation is up to date', '', '2011-08-11 22:50:44'),
(7071, 'he', 'common', 'Action', 'פעולה', '2019-05-25 18:14:01'),
(7072, 'he', 'common', 'Activate', 'הפעל', '2019-05-25 18:14:01'),
(7073, 'he', 'common', 'Active', 'פועל', '2019-05-25 18:14:01'),
(7074, 'he', 'common', 'Admin Panel', 'ממשק ניהול', '2019-05-25 18:14:01'),
(7075, 'he', 'common', 'Alexa Rank', 'ניקוד Alaxa', '2019-05-25 18:14:01'),
(7076, 'he', 'common', 'All', 'הכל', '2019-05-25 18:14:01'),
(7077, 'he', 'common', 'Category', 'קטגוריה', '2019-05-25 18:14:01'),
(7078, 'he', 'common', 'contact', 'צור קשר', '2019-05-25 18:14:01'),
(7079, 'he', 'common', 'copyright', 'כל הזכויות שמורות [year] www.seopanel.in ', '2019-05-25 18:14:01'),
(7080, 'he', 'common', 'Country', 'ארץ', '2019-05-25 18:14:01'),
(7081, 'he', 'common', 'Crawl Meta Data', 'ייבא מידע מתגיות מטה', '2019-05-25 18:14:01'),
(7082, 'he', 'common', 'Date', 'תאריך', '2019-05-25 18:14:01'),
(7083, 'he', 'common', 'Delete', 'מחק', '2019-05-25 18:14:01'),
(7084, 'he', 'common', 'Details', 'פרטים', '2019-05-25 18:14:01'),
(7085, 'he', 'common', 'Directory', 'תיקיה', '2019-05-25 18:14:01'),
(7086, 'he', 'common', 'Donate', 'תרום', '2019-05-25 18:14:01'),
(7087, 'he', 'common', 'Edit', 'ערוך', '2019-05-25 18:14:01'),
(7088, 'he', 'common', 'Entry cannot be blank', 'השדה איננו יכול להיות ריק', '2019-05-25 18:14:01'),
(7089, 'he', 'common', 'entrynotvalid', 'הערך שהכנסת כנראה איננו חוקי', '2019-05-25 18:14:01'),
(7090, 'he', 'common', 'failed', 'נכשל', '2019-05-25 18:14:01'),
(7091, 'he', 'common', 'forum', 'פורום', '2019-05-25 18:14:01'),
(7092, 'he', 'common', 'Found', 'נמצאו', '2019-05-25 18:14:01'),
(7093, 'he', 'common', 'Google Pagerank', 'ניקוד גוגל(פייג ראנק)', '2019-05-25 18:14:01'),
(7094, 'he', 'common', 'help', 'עזרה', '2019-05-25 18:14:01'),
(7095, 'he', 'common', 'hidenews', 'הסתר פאנל חדשות', '2019-05-25 18:14:01'),
(7096, 'he', 'common', 'Id', 'מזהה', '2019-05-25 18:14:01'),
(7097, 'he', 'common', 'Inactivate', 'לא מופעל', '2019-05-25 18:14:01'),
(7098, 'he', 'common', 'Inactive', 'לא פעיל', '2019-05-25 18:14:01'),
(7099, 'he', 'common', 'Invalid characters', 'תווים לא חוקיים', '2019-05-25 18:14:01'),
(7100, 'he', 'common', 'Invalid code entered', 'קוד לא חוקי הוכנס', '2019-05-25 18:14:01'),
(7101, 'he', 'common', 'Invalid email address entered', 'אימייל לא חוקי הוכנס', '2019-05-25 18:14:01'),
(7102, 'he', 'common', 'Invalid value', 'ערך לא חוקי', '2019-05-25 18:14:01'),
(7103, 'he', 'common', 'Keyword', 'מילת מפתח', '2019-05-25 18:14:01'),
(7104, 'he', 'common', 'Keywords', 'מילות מפתח', '2019-05-25 18:14:01'),
(7105, 'he', 'common', 'lang', 'שפה', '2019-05-25 18:14:01'),
(7106, 'he', 'common', 'My Account', 'החשבון שלי', '2019-05-25 18:14:01'),
(7107, 'he', 'common', 'Name', 'שם', '2019-05-25 18:14:01'),
(7108, 'he', 'common', 'No', 'לא', '2019-05-25 18:14:01'),
(7109, 'he', 'common', 'No Keywords Found', 'לא נמצאו מילות מפתח', '2019-05-25 18:14:01'),
(7110, 'he', 'common', 'No Records Found', 'לא נמצאו רשומות', '2019-05-25 18:14:01'),
(7111, 'he', 'common', 'noactivetools', 'לא נמצאו כליי קידום', '2019-05-25 18:14:01'),
(7112, 'he', 'common', 'nowebsites', 'לא נמצאו אתרים', '2019-05-25 18:14:01'),
(7113, 'he', 'common', 'password632', 'אורך הסיסמה חייב להיות בין 6 ל 32 תווים', '2019-05-25 18:14:01'),
(7114, 'he', 'common', 'passwordnotmatch', 'הסיסמה אינה תואמת', '2019-05-25 18:14:01'),
(7115, 'he', 'common', 'Period', 'תקופה', '2019-05-25 18:14:01'),
(7116, 'he', 'common', 'Priority', 'דחיפות', '2019-05-25 18:14:01'),
(7117, 'he', 'common', 'Profile', 'פרופיל', '2019-05-25 18:14:01'),
(7118, 'he', 'common', 'Rank', 'ניקוד', '2019-05-25 18:14:01'),
(7119, 'he', 'common', 'Reports', 'דיווחים', '2019-05-25 18:14:01'),
(7120, 'he', 'common', 'Results', 'תוצאות', '2019-05-25 18:14:01'),
(7121, 'he', 'common', 'Search Engine', 'מנוע חיפוש', '2019-05-25 18:14:01'),
(7122, 'he', 'common', 'Select', 'בחר', '2019-05-25 18:14:01'),
(7123, 'he', 'common', 'Seo Plugins', 'תוספיי קידום אתרים', '2019-05-25 18:14:01'),
(7124, 'he', 'common', 'Seo Tools', 'כליי קידום אתרים', '2019-05-25 18:14:01'),
(7125, 'he', 'common', 'Sign out', 'התנתק', '2019-05-25 18:14:01'),
(7126, 'he', 'common', 'Sign Up', 'הרשם', '2019-05-25 18:14:01'),
(7127, 'he', 'common', 'signin', 'התחבר', '2019-05-25 18:14:01'),
(7128, 'he', 'common', 'Status', 'מצב', '2019-05-25 18:14:01'),
(7129, 'he', 'common', 'Support', 'תמיכה', '2019-05-25 18:14:01'),
(7130, 'he', 'common', 'Total', 'סה\"כ', '2019-05-25 18:14:01'),
(7131, 'he', 'common', 'Url', 'כתובת', '2019-05-25 18:14:01'),
(7132, 'he', 'common', 'User', 'משתמש', '2019-05-25 18:14:01'),
(7133, 'he', 'common', 'User Panel', 'פאנל משתמש', '2019-05-25 18:14:01'),
(7134, 'he', 'common', 'Website', 'אתר', '2019-05-25 18:14:01'),
(7135, 'he', 'common', 'Yes', 'כן', '2019-05-25 18:14:01'),
(7136, 'he', 'directory', 'Add back to directory list', 'הוסף חזרה לרשימת מדריכי אתרים', '2011-09-07 19:42:42'),
(7137, 'he', 'directory', 'Approved', 'מאושר', '2011-09-07 19:42:42'),
(7138, 'he', 'directory', 'Captcha', 'אתגר מענה', '2011-09-07 19:42:42'),
(7139, 'he', 'directory', 'categorynote', 'קטגוריות, הפרד אותם על ידי פסיק לפי עדיפות. התחל עם החשובים ביותר.', '2011-09-07 19:42:42'),
(7140, 'he', 'directory', 'Check Directory Status', 'בדוק מצב מדריכי אתרים', '2011-09-07 19:42:42'),
(7141, 'he', 'directory', 'Check Directory Submission Status', 'בדוק מצב מדריכי אתרים', '2011-09-07 19:42:42'),
(7142, 'he', 'directory', 'clicktoproceeddirsts', 'לחץ על <b>המשך</b> בכדי לבדוק את מצב מדריכי האתרים', '2011-09-07 19:42:42'),
(7143, 'he', 'directory', 'Confirmation', 'אישור', '2011-09-07 19:42:42'),
(7144, 'he', 'directory', 'desnote', 'ישנם מדריכי אתרים אשר דורשים מינימום של 150 אותיות בשור התיאור', '2011-09-07 19:42:42'),
(7145, 'he', 'directory', 'Directories with out captcha', 'מדריכי אתרים ללא אתגר מענה', '2011-09-07 19:42:42'),
(7146, 'he', 'directory', 'Directory Submission Reports', 'דוחות שליחה למדריכי אתרים', '2011-09-07 19:42:42'),
(7147, 'he', 'directory', 'Enter the code shown', 'הכנס את הקוד המוצג', '2011-09-07 19:42:42'),
(7148, 'he', 'directory', 'nocatnote', 'הקטגוריה המבוקשת לא נמצאה בדף השליחה. לחץ על <b>טען</b> או<b>דלג</b> ', '2011-09-07 19:42:42'),
(7149, 'he', 'directory', 'nodirnote', 'לא נמצאו אתרי מדריכים <b>פעילים</b>', '2011-09-07 19:42:42'),
(7150, 'he', 'directory', 'nosuccessnote', 'לא התקבלה הודעת אישור, יש לבדוק את האימייל כדי לאשר משלוח', '2011-09-07 19:42:42'),
(7151, 'he', 'directory', 'optionalnote', 'כותרות ותיאורים רנדומלים לשליחה למדריכי אתרים לשם קבלת תוצאות טובות יותר (רשות)', '2011-09-07 19:42:42'),
(7152, 'he', 'directory', 'Owner Email', 'דואר אלקטרוני של הבעלים', '2011-09-07 19:42:42'),
(7153, 'he', 'directory', 'Owner Name', 'שם הבעלים', '2011-09-07 19:42:42'),
(7154, 'he', 'directory', 'Pending', 'ממתין', '2011-09-07 19:42:42'),
(7155, 'he', 'directory', 'Please select a website to proceed', 'אנא בחר אתר בכדיי להמשיך', '2011-09-07 19:42:42'),
(7156, 'he', 'directory', 'Reciprocal Link', 'לינק הדדי', '2011-09-07 19:42:42'),
(7157, 'he', 'directory', 'selectwebsiteproceed', '', '2011-09-07 19:42:42'),
(7158, 'he', 'directory', 'selectwebsiteschecksub', 'בחר <b>אתר</b> כדיי<b>להמשיך</b> לבדוק . ', '2011-09-07 19:42:42'),
(7159, 'he', 'directory', 'Semi Automatic Directory Submission Tool', 'שליחה חצי-אוטומטית למדריכי אתרים', '2011-09-07 19:42:42'),
(7160, 'he', 'directory', 'spamemailnote', 'מספר מדריכי אתרים עלולים לשלוח דואר זבל, אנו ממליצים לא להשתמש בכתובת המייל העיקרית.', '2011-09-07 19:42:42'),
(7161, 'he', 'directory', 'Submission Details', 'פרטי משלוח', '2011-09-07 19:42:42'),
(7162, 'he', 'directory', 'Submit Description', 'שלח תיאור', '2011-09-07 19:42:42'),
(7163, 'he', 'directory', 'Submit Keywords', 'שלח מילות מפתח', '2011-09-07 19:42:42'),
(7164, 'he', 'directory', 'Submit Title', 'שלח כותרת', '2011-09-07 19:42:42'),
(7165, 'he', 'directory', 'Website Category', 'קטגורית אתר', '2011-09-07 19:42:42'),
(7166, 'he', 'directory', 'Website Url', 'כתובת האתר', '2011-09-07 19:42:42'),
(7167, 'he', 'home', 'Account Summary', 'סיכום חשבון', '2011-09-06 08:41:37'),
(7168, 'he', 'home', 'Backlinks', 'לינקים אחוריים', '2011-09-06 08:41:37'),
(7169, 'he', 'home', 'Directory Submission', '', '2011-09-06 08:41:37'),
(7170, 'he', 'home', 'home_cont1', '', '2011-09-06 08:41:37'),
(7171, 'he', 'home', 'home_cont2', '', '2011-09-06 08:41:37'),
(7172, 'he', 'home', 'home_cont3', '', '2011-09-06 08:41:37'),
(7173, 'he', 'home', 'Indexed', 'מאונדקסים', '2011-09-06 08:41:37'),
(7174, 'he', 'home', 'Pages Indexed', 'דפים מאונדקסים', '2011-09-06 08:41:37'),
(7175, 'he', 'home', 'Ranks', 'דירוג', '2011-09-06 08:41:37'),
(7176, 'he', 'home', 'SiteNameUrl', 'שם/כתובת האתר', '2011-09-06 08:41:37'),
(7177, 'he', 'home', 'Website Statistics', 'סטטיסטיקות אתר', '2011-09-06 08:41:37'),
(7178, 'he', 'proxy', 'Edit Proxy', 'ערוך פרוקסי', '2011-08-11 23:04:01'),
(7179, 'he', 'proxy', 'Proxy Password', 'פרוקסי - סיסמה', '2011-08-11 23:04:01'),
(7180, 'he', 'proxy', 'Proxy Username', 'פרוקסי - שם משתמש', '2011-08-11 23:04:01'),
(7181, 'he', 'proxy', 'Proxyalreadyexist', 'הפרוקסי כבר קיים', '2011-08-11 23:04:01'),
(7182, 'he', 'backlink', 'clickproceedbacklink', 'הכנס קישור <b>אחד לשורה</b>. לחץ על <b>המשך</b> בכדיי לבדוק את הקישורים', '2011-09-07 19:33:48'),
(7183, 'he', 'backlink', 'Saved backlink results of', 'תוצאות שמורות של לינקים', '2011-09-07 19:33:48'),
(7184, 'he', 'label', 'already exist', 'כבר קיים', '2011-09-06 08:47:21'),
(7185, 'he', 'label', 'Authentication', 'אימות', '2011-09-06 08:47:21'),
(7186, 'he', 'label', 'Author', 'יוצר', '2011-09-06 08:47:21'),
(7187, 'he', 'label', 'Brocken', 'שבור', '2011-09-06 08:47:21'),
(7188, 'he', 'label', 'Click Here', 'לחץ כאן', '2011-09-06 08:47:21'),
(7189, 'he', 'label', 'Comments', 'תגובות', '2011-09-06 08:47:21'),
(7190, 'he', 'label', 'Count', 'מונה', '2011-09-06 08:47:21'),
(7191, 'he', 'label', 'Cron', 'קרון', '2011-09-06 08:47:21'),
(7192, 'he', 'label', 'Description', 'תיאור', '2011-09-06 08:47:21'),
(7193, 'he', 'label', 'Developers', 'מפתחים', '2011-09-06 08:47:21'),
(7194, 'he', 'label', 'Download', 'הורדה', '2011-09-06 08:47:21'),
(7195, 'he', 'label', 'Exclude', 'מנע', '2011-09-06 08:47:21'),
(7196, 'he', 'label', 'Include', 'כלול', '2011-09-06 08:47:21'),
(7197, 'he', 'label', 'Installation', 'התקנה', '2011-09-06 08:47:21');
INSERT INTO `texts` (`id`, `lang_code`, `category`, `label`, `content`, `changed`) VALUES
(7198, 'he', 'label', 'Keywords', 'מילות מפתח', '2011-09-06 08:47:21'),
(7199, 'he', 'label', 'noactiveplugins', 'לא קיימים תוספים פעילים לקידום אתרים!', '2011-09-06 08:47:21'),
(7200, 'he', 'label', 'Plugin', 'תוספים', '2011-09-06 08:47:21'),
(7201, 'he', 'label', 'Port', 'פורט', '2011-09-06 08:47:21'),
(7202, 'he', 'label', 'Project', 'פרוייקט', '2011-09-06 08:47:21'),
(7203, 'he', 'label', 'Proxy', 'פרוקסי', '2011-09-06 08:47:21'),
(7204, 'he', 'label', 'Re-install', 'התקנה מחודשת', '2011-09-06 08:47:21'),
(7205, 'he', 'label', 'Report Type', 'סוג דיווח', '2011-09-06 08:47:21'),
(7206, 'he', 'label', 'Score', 'תוצאה', '2011-09-06 08:47:21'),
(7207, 'he', 'label', 'Sponsors', 'תומכים', '2011-09-06 08:47:21'),
(7208, 'he', 'label', 'Title', 'כותרת', '2011-09-06 08:47:21'),
(7209, 'he', 'label', 'Total Results', 'סה\\\"כ תוצאות', '2011-09-06 08:47:21'),
(7210, 'he', 'label', 'translation by', 'תורגם ע\\\"י', '2011-09-06 08:47:21'),
(7211, 'he', 'label', 'Translators', 'מתרגמים', '2011-09-06 08:47:21'),
(7212, 'he', 'label', 'Updated', 'עודכן', '2011-09-06 08:47:21'),
(7213, 'he', 'label', 'Upgrade', 'שודרג', '2011-09-06 08:47:21'),
(7214, 'he', 'label', 'Version', 'גרסה', '2011-09-06 08:47:21'),
(7215, 'he', 'label', 'View Reports', 'צפה בדיווחים', '2011-09-06 08:47:21'),
(7216, 'he', 'label', 'wantproceed', 'האם אתה בטוח כי ברצונך להמשיך?', '2011-09-06 08:47:21'),
(7217, 'he', 'siteauditor', 'Anchor', 'עוגן', '2011-09-06 08:53:27'),
(7218, 'he', 'siteauditor', 'anylinkcontainabovelinks', 'כל לינק אשר מכיל את הלינקים הנ\\\"ל יוסננו מהדו\\\"ח', '2011-09-06 08:53:27'),
(7219, 'he', 'siteauditor', 'anylinkcontainexcludesitemap', 'כל לינק אשר מכיל את הלינקים הנ\\\"ל יוסננו ממפת האתר', '2011-09-06 08:53:27'),
(7220, 'he', 'siteauditor', 'Check backlinks of pages', '', '2011-09-06 08:53:27'),
(7221, 'he', 'siteauditor', 'Check broken links in a page', 'בדוק לינקים שבורים באתר', '2011-09-06 08:53:27'),
(7222, 'he', 'siteauditor', 'Check google pagerank of pages', 'בדוק דירוג אתר של גוגל לדפים', '2011-09-06 08:53:27'),
(7223, 'he', 'siteauditor', 'Check pages indexed or not', 'בדוק דפים מאונדקסים או לא', '2011-09-06 08:53:27'),
(7224, 'he', 'siteauditor', 'Check Score', 'בדוק ניקוד', '2011-09-06 08:53:27'),
(7225, 'he', 'siteauditor', 'checkborckenlinkwait', 'בדיק לינקים שבורים יגדיל את זמן הריצה של הפרוייקט', '2011-09-06 08:53:27'),
(7226, 'he', 'siteauditor', 'Completed project execution', 'ריצת הפרוייקט הסתיימה', '2011-09-06 08:53:27'),
(7227, 'he', 'siteauditor', 'Crawled', '', '2011-09-06 08:53:27'),
(7228, 'he', 'siteauditor', 'Crawled Pages', '', '2011-09-06 08:53:27'),
(7229, 'he', 'siteauditor', 'crawledsuccesssfullywaitfornext', '', '2011-09-06 08:53:27'),
(7230, 'he', 'siteauditor', 'Crawling Page', '', '2011-09-06 08:53:27'),
(7231, 'he', 'siteauditor', 'Duplicate Description', '', '2011-09-06 08:53:27'),
(7232, 'he', 'siteauditor', 'Duplicate Keywords', '', '2011-09-06 08:53:27'),
(7233, 'he', 'siteauditor', 'Duplicate Title', '', '2011-09-06 08:53:27'),
(7234, 'he', 'siteauditor', 'Exclude links', '', '2011-09-06 08:53:27'),
(7235, 'he', 'siteauditor', 'Execute with cron', '', '2011-09-06 08:53:27'),
(7236, 'he', 'siteauditor', 'External', 'חיצוני', '2011-09-06 08:53:27'),
(7237, 'he', 'siteauditor', 'External Links', 'קישורים חיצוניים', '2011-09-06 08:53:27'),
(7238, 'he', 'siteauditor', 'Import Project Links', 'ייבא קישורים לפרוייקט', '2011-09-06 08:53:27'),
(7239, 'he', 'siteauditor', 'Insert links separated with comma', 'ייבא קישורים מופרדים בפסיק', '2011-09-06 08:53:27'),
(7240, 'he', 'siteauditor', 'insertlinkssepcoma', '', '2011-09-06 08:53:27'),
(7241, 'he', 'siteauditor', 'Link Reports', 'דוח קישורים', '2011-09-06 08:53:27'),
(7242, 'he', 'siteauditor', 'Link Title', 'כותרת קישורים', '2011-09-06 08:53:27'),
(7243, 'he', 'siteauditor', 'Maximum number of pages to be checked', 'מספר מקסימלי של דפים לבדיקה', '2011-09-06 08:53:27'),
(7244, 'he', 'siteauditor', 'Maximum Pages', 'מקסימום דפים', '2011-09-06 08:53:27'),
(7245, 'he', 'siteauditor', 'No active projects found', 'לא נמצאו פרוייקטים עובדים', '2011-09-06 08:53:27'),
(7246, 'he', 'siteauditor', 'Nofollow', '', '2011-09-06 08:53:27'),
(7247, 'he', 'siteauditor', 'Number of pages is greater than', '', '2011-09-06 08:53:27'),
(7248, 'he', 'siteauditor', 'Number of pages should be greater than', '', '2011-09-06 08:53:27'),
(7249, 'he', 'siteauditor', 'Page Details', '', '2011-09-06 08:53:27'),
(7250, 'he', 'siteauditor', 'Page Link', '', '2011-09-06 08:53:27'),
(7251, 'he', 'siteauditor', 'Page Links', '', '2011-09-06 08:53:27'),
(7252, 'he', 'siteauditor', 'Pages Found', '', '2011-09-06 08:53:27'),
(7253, 'he', 'siteauditor', 'pressescapetostopexecution', '', '2011-09-06 08:53:27'),
(7254, 'he', 'siteauditor', 'Project Summary', '', '2011-09-06 08:53:27'),
(7255, 'he', 'siteauditor', 'Project Url', '', '2011-09-06 08:53:27'),
(7256, 'he', 'siteauditor', 'projectalreadyexist', '', '2011-09-06 08:53:27'),
(7257, 'he', 'siteauditor', 'Recheck Pages', '', '2011-09-06 08:53:27'),
(7258, 'he', 'siteauditor', 'Report Summary', '', '2011-09-06 08:53:27'),
(7259, 'he', 'siteauditor', 'Run Project', '', '2011-09-06 08:53:27'),
(7260, 'he', 'siteauditor', 'should start with', '', '2011-09-06 08:53:27'),
(7261, 'he', 'siteauditor', 'Site Auditor Settings', '', '2011-09-06 08:53:27'),
(7262, 'he', 'siteauditor', 'Store all links found in a page', '', '2011-09-06 08:53:27'),
(7263, 'he', 'siteauditor', 'The page description length is not between', '', '2011-09-06 08:53:27'),
(7264, 'he', 'siteauditor', 'The page is brocken', '', '2011-09-06 08:53:27'),
(7265, 'he', 'siteauditor', 'The page is having exellent number of backlinks in', '', '2011-09-06 08:53:27'),
(7266, 'he', 'siteauditor', 'The page is having exellent pagerank', '', '2011-09-06 08:53:27'),
(7267, 'he', 'siteauditor', 'The page is having good number of backlinks in', '', '2011-09-06 08:53:27'),
(7268, 'he', 'siteauditor', 'The page is having good pagerank', '', '2011-09-06 08:53:27'),
(7269, 'he', 'siteauditor', 'The page is having poor pagerank', '', '2011-09-06 08:53:27'),
(7270, 'he', 'siteauditor', 'The page is having very good pagerank', '', '2011-09-06 08:53:27'),
(7271, 'he', 'siteauditor', 'The page is not having backlinks in', '', '2011-09-06 08:53:27'),
(7272, 'he', 'siteauditor', 'The page is not indexed in', '', '2011-09-06 08:53:27'),
(7273, 'he', 'siteauditor', 'The page keywords length is not between', '', '2011-09-06 08:53:27'),
(7274, 'he', 'siteauditor', 'The page title length is not between', '', '2011-09-06 08:53:27'),
(7275, 'he', 'siteauditor', 'The total number of links in page is greater than', '', '2011-09-06 08:53:27'),
(7276, 'he', 'siteauditor', 'to run project again if you stopped execution', '', '2011-09-06 08:53:27'),
(7277, 'he', 'siteauditor', 'to view the reports', '', '2011-09-06 08:53:27'),
(7278, 'he', 'siteauditor', 'Total Links', '', '2011-09-06 08:53:27'),
(7279, 'he', 'siteauditor', 'totallinksgreaterallowed', '', '2011-09-06 08:53:27'),
(7280, 'vn', 'backlink', 'clickproceedbacklink', 'Hãy nhập đường dẫn để kiểm tra <b>mỗi dòng một đường dẫn</b>. Sau đó nhấp chuột vào <b>Thực hiện</b> để kiểm tra Backlinks', '2012-01-31 20:28:03'),
(7281, 'vn', 'backlink', 'Saved backlink results of', 'Lưu kết quả kiểm tra backlink của', '2012-01-31 20:28:03'),
(7282, 'vn', 'button', 'Cancel', 'Hủy bỏ', '2014-01-08 19:36:48'),
(7283, 'vn', 'button', 'Check Status', 'Kiểm tra trạng thái', '2014-01-08 19:36:48'),
(7284, 'vn', 'button', 'Proceed', 'Thực hiện', '2014-01-08 19:36:48'),
(7285, 'vn', 'button', 'Reload', 'Nạp lại', '2014-01-08 19:36:48'),
(7286, 'vn', 'button', 'Show Details', 'Hiển thị chi tiết', '2014-01-08 19:36:48'),
(7287, 'vn', 'button', 'Show Records', 'Hiển thị các bản ghi', '2014-01-08 19:36:48'),
(7288, 'vn', 'button', 'Skip', 'Bỏ qua', '2014-01-08 19:36:48'),
(7289, 'vn', 'button', 'Submit', 'Đồng ý', '2014-01-08 19:36:48'),
(7290, 'vn', 'common', 'Action', 'Thao tác', '2019-05-25 18:54:57'),
(7291, 'vn', 'common', 'Activate', 'Kích hoạt', '2019-05-25 18:54:57'),
(7292, 'vn', 'common', 'Active', 'Hoạt động', '2019-05-25 18:54:57'),
(7293, 'vn', 'common', 'Admin Panel', 'Bảng điều khiển Admin', '2019-05-25 18:54:57'),
(7294, 'vn', 'common', 'Alexa Rank', 'Thứ hạng trên Alexa', '2019-05-25 18:54:57'),
(7295, 'vn', 'common', 'All', 'Tất cả', '2019-05-25 18:54:57'),
(7296, 'vn', 'common', 'Category', 'Danh mục', '2019-05-25 18:54:57'),
(7297, 'vn', 'common', 'contact', 'Liên hệ', '2019-05-25 18:54:57'),
(7298, 'vn', 'common', 'copyright', 'Bản quyền thuộc © về www.seopanel.in', '2019-05-25 18:54:57'),
(7299, 'vn', 'common', 'Country', 'Quốc gia', '2019-05-25 18:54:57'),
(7300, 'vn', 'common', 'Crawl Meta Data', 'Thu thập thông tin dữ liệu thẻ Meta', '2019-05-25 18:54:57'),
(7301, 'vn', 'common', 'Date', 'Ngày', '2019-05-25 18:54:57'),
(7302, 'vn', 'common', 'Delete', 'Xóa', '2019-05-25 18:54:57'),
(7303, 'vn', 'common', 'Details', 'Thông tin chi tiết', '2019-05-25 18:54:57'),
(7304, 'vn', 'common', 'Directory', 'Danh bạ', '2019-05-25 18:54:57'),
(7305, 'vn', 'common', 'Donate', 'Quyên góp', '2019-05-25 18:54:57'),
(7306, 'vn', 'common', 'Edit', 'Sửa', '2019-05-25 18:54:57'),
(7307, 'vn', 'common', 'Entry cannot be blank', 'Mục nhập nội dung không thể để trống', '2019-05-25 18:54:57'),
(7308, 'vn', 'common', 'entrynotvalid', 'Các mục nhập vào dường như không có giá trị', '2019-05-25 18:54:57'),
(7309, 'vn', 'common', 'failed', 'sai', '2019-05-25 18:54:57'),
(7310, 'vn', 'common', 'forum', 'Diễn đàn', '2019-05-25 18:54:57'),
(7311, 'vn', 'common', 'Found', 'Tìm', '2019-05-25 18:54:57'),
(7312, 'vn', 'common', 'Google Pagerank', 'PR', '2019-05-25 18:54:57'),
(7313, 'vn', 'common', 'help', 'Trợ giúp', '2019-05-25 18:54:57'),
(7314, 'vn', 'common', 'hidenews', 'Ẩn tin tức tức Seo Panel', '2019-05-25 18:54:57'),
(7315, 'vn', 'common', 'Id', 'ID', '2019-05-25 18:54:57'),
(7316, 'vn', 'common', 'Inactivate', 'Hủy kích hoạt', '2019-05-25 18:54:57'),
(7317, 'vn', 'common', 'Inactive', 'Chưa kích hoạt', '2019-05-25 18:54:57'),
(7318, 'vn', 'common', 'Invalid characters', 'Các ký tự không hợp lệ', '2019-05-25 18:54:57'),
(7319, 'vn', 'common', 'Invalid code entered', 'Bạn đã nhập mã không hợp lệ', '2019-05-25 18:54:57'),
(7320, 'vn', 'common', 'Invalid email address entered', 'Bạn đã nhập địa chỉ E-mail không hợp lệ', '2019-05-25 18:54:57'),
(7321, 'vn', 'common', 'Invalid value', 'Giá trị không hợp lệ', '2019-05-25 18:54:57'),
(7322, 'vn', 'common', 'Keyword', 'Từ khóa', '2019-05-25 18:54:57'),
(7323, 'vn', 'common', 'Keywords', 'Từ khóa', '2019-05-25 18:54:57'),
(7324, 'vn', 'common', 'lang', 'Ngôn ngữ', '2019-05-25 18:54:57'),
(7325, 'vn', 'common', 'My Account', 'Tài khoản của tôi', '2019-05-25 18:54:57'),
(7326, 'vn', 'common', 'Name', 'Tên', '2019-05-25 18:54:57'),
(7327, 'vn', 'common', 'No', 'Không', '2019-05-25 18:54:57'),
(7328, 'vn', 'common', 'No Keywords Found', 'Không tìm thấy từ kóa nào', '2019-05-25 18:54:57'),
(7329, 'vn', 'common', 'No Records Found', 'Không tìm thấy mẫu tin nào', '2019-05-25 18:54:57'),
(7330, 'vn', 'common', 'noactivetools', 'Không tìm thấy công cụ seo nào hoạt động!', '2019-05-25 18:54:57'),
(7331, 'vn', 'common', 'nowebsites', 'Không tìm thấy website', '2019-05-25 18:54:57'),
(7332, 'vn', 'common', 'password632', 'Mật khẩu phải nằm trong khoản từ 6 đến 32 ký tự', '2019-05-25 18:54:57'),
(7333, 'vn', 'common', 'passwordnotmatch', 'Mật khẩu không giống nhau', '2019-05-25 18:54:57'),
(7334, 'vn', 'common', 'Period', 'Thời gian', '2019-05-25 18:54:57'),
(7335, 'vn', 'common', 'Priority', 'Ưu tiên', '2019-05-25 18:54:57'),
(7336, 'vn', 'common', 'Profile', 'Hồ Sơ', '2019-05-25 18:54:57'),
(7337, 'vn', 'common', 'Rank', 'Vị trí', '2019-05-25 18:54:57'),
(7338, 'vn', 'common', 'Reports', 'Báo cáo', '2019-05-25 18:54:57'),
(7339, 'vn', 'common', 'Results', 'Kết quả', '2019-05-25 18:54:57'),
(7340, 'vn', 'common', 'Search Engine', 'Công cụ tìm kiếm', '2019-05-25 18:54:57'),
(7341, 'vn', 'common', 'Select', 'Chọn', '2019-05-25 18:54:57'),
(7342, 'vn', 'common', 'Seo Plugins', 'Phần bổ trợ Seo', '2019-05-25 18:54:57'),
(7343, 'vn', 'common', 'Seo Tools', 'Công cụ Seo', '2019-05-25 18:54:57'),
(7344, 'vn', 'common', 'Sign out', 'Thoát', '2019-05-25 18:54:57'),
(7345, 'vn', 'common', 'Sign Up', 'Đăng ký', '2019-05-25 18:54:57'),
(7346, 'vn', 'common', 'signin', 'Đăng nập', '2019-05-25 18:54:57'),
(7347, 'vn', 'common', 'Status', 'Trạng thái', '2019-05-25 18:54:57'),
(7348, 'vn', 'common', 'Support', 'Hổ trợ', '2019-05-25 18:54:57'),
(7349, 'vn', 'common', 'Total', 'Tổng cộng', '2019-05-25 18:54:57'),
(7350, 'vn', 'common', 'Url', 'Đường dẫn (URL)', '2019-05-25 18:54:57'),
(7351, 'vn', 'common', 'User', 'Tên truy cập', '2019-05-25 18:54:57'),
(7352, 'vn', 'common', 'User Panel', 'Bảng điều khiển người dùng', '2019-05-25 18:54:57'),
(7353, 'vn', 'common', 'Website', 'Website', '2019-05-25 18:54:57'),
(7354, 'vn', 'common', 'Yes', 'Có', '2019-05-25 18:54:57'),
(7355, 'vn', 'directory', 'Add back to directory list', 'Trở lại danh sách danh bạ', '2014-01-10 04:05:11'),
(7356, 'vn', 'directory', 'Approved', 'Được chấp thuận', '2014-01-10 04:05:11'),
(7357, 'vn', 'directory', 'Captcha', 'Mã xác nhận', '2014-01-10 04:05:11'),
(7358, 'vn', 'directory', 'categorynote', 'Danh mục, tách chúng bằng dấu phẩy (,) theo mức độ ưu tiên. Bắt đầu với thể loại ưu tiên hàng đầu.', '2014-01-10 04:05:11'),
(7359, 'vn', 'directory', 'Check Directory Status', 'Kiểm tra trạng thái Danh bạ', '2014-01-10 04:05:11'),
(7360, 'vn', 'directory', 'Check Directory Submission Status', 'Kiểm tra trạng thái đăng ký vào danh bạ', '2014-01-10 04:05:11'),
(7361, 'vn', 'directory', 'clicktoproceeddirsts', 'Nhấp chuột vào <b> Thực hiện</b> để tiến hành kiểm tra trạng thái.', '2014-01-10 04:05:11'),
(7362, 'vn', 'directory', 'Confirmation', 'Xác nhận', '2014-01-10 04:05:11'),
(7363, 'vn', 'directory', 'desnote', 'Có một số danh bạ yêu cầu bạn phải nhập tối thiểu là 150 ký tự cho mục miêu tả', '2014-01-10 04:05:11'),
(7364, 'vn', 'directory', 'Directories with out captcha', 'Các danh bạ bắt phải nhập mã xác thực', '2014-01-10 04:05:11'),
(7365, 'vn', 'directory', 'Directory Submission Reports', 'Báo cáo việc đăng ký vào các danh bạ', '2014-01-10 04:05:11'),
(7366, 'vn', 'directory', 'Enter the code shown', 'Nhập mã được hiển thị', '2014-01-10 04:05:11'),
(7367, 'vn', 'directory', 'nocatnote', 'Danh mục gửi đăng ký khôn gđược tìm thấy trong trang đăng ký. Vui lòng nhấp chuột vào <b>Nạp lại</b> hoặc <b>Bỏ qua</b>', '2014-01-10 04:05:11'),
(7368, 'vn', 'directory', 'nodirnote', 'Không tìm thấy danh bạ <b>Hoạt động</b>', '2014-01-10 04:05:11'),
(7369, 'vn', 'directory', 'nosuccessnote', 'Nếu không nhận được thông báo thành công. Xin vui lòng kiểm tra trong hòm thư của ạn để tìm thư yêu cầu xác nhận', '2014-01-10 04:05:11'),
(7370, 'vn', 'directory', 'optionalnote', 'Tùy chọn Tiêu đề và mô tả để gửi với Tiêu đề ngẫu nhiên và mô tả cho danh bạ sẽ cho kết quả tốt hơn.', '2014-01-10 04:05:11'),
(7371, 'vn', 'directory', 'Owner Email', 'Email người gửi', '2014-01-10 04:05:11'),
(7372, 'vn', 'directory', 'Owner Name', 'Tên người gửi', '2014-01-10 04:05:11'),
(7373, 'vn', 'directory', 'Pending', 'Trong thời gian chờ', '2014-01-10 04:05:11'),
(7374, 'vn', 'directory', 'Please select a website to proceed', 'Vui lòng chọn một website để thực hiện', '2014-01-10 04:05:11'),
(7375, 'vn', 'directory', 'Reciprocal Link', 'Liên kết tương xứng', '2014-01-10 04:05:11'),
(7376, 'vn', 'directory', 'selectwebsiteproceed', 'Chọn một <b>Website</b> để <b>Thực hiện</b> đăng ký vào danh bạ website.<b>Kiểm tra</b> những danh bạ không yêu cầu nhập <b>mã xác nhận</b> để gửi.', '2014-01-10 04:05:11'),
(7377, 'vn', 'directory', 'selectwebsiteschecksub', 'Chọn <b>một Website</b> để <b> thực hiện</b> kiểm tra đã được gửi lên các danh bạ website hay chưa.', '2014-01-10 04:05:11'),
(7378, 'vn', 'directory', 'Semi Automatic Directory Submission Tool', 'Công cụ submit website lên danh bạ website bán tự động', '2014-01-10 04:05:11'),
(7379, 'vn', 'directory', 'spamemailnote', 'Có một số danh bạ website có thể sử dụng chức năng Spam, chúng tôi không khuyến khích bạn sử dụng địa chỉ email chính của mình', '2014-01-10 04:05:11'),
(7380, 'vn', 'directory', 'Submission Details', 'Thông tin chi tiết việc Submit', '2014-01-10 04:05:11'),
(7381, 'vn', 'directory', 'Submit Description', 'Môt tả việc gửi thông tin', '2014-01-10 04:05:11'),
(7382, 'vn', 'directory', 'Submit Keywords', 'Từ khóa gửi', '2014-01-10 04:05:11'),
(7383, 'vn', 'directory', 'Submit Title', 'Tiêu đề gửi', '2014-01-10 04:05:11'),
(7384, 'vn', 'directory', 'Website Category', 'Danh mục website', '2014-01-10 04:05:11'),
(7385, 'vn', 'directory', 'Website Url', 'Địa chỉ website', '2014-01-10 04:05:11'),
(7386, 'vn', 'home', 'Account Summary', 'Tóm tắt thông tin tài khoản', '2012-02-02 22:03:54'),
(7387, 'vn', 'home', 'Backlinks', 'Backlinks', '2012-02-02 22:03:54'),
(7388, 'vn', 'home', 'Directory Submission', 'Gửi lên danh bạ website', '2012-02-02 22:03:54'),
(7389, 'vn', 'home', 'home_cont1', '<h1 style=\\\"text-align: center;margin-bottom: 30px;font-size: 19px;\\\">Chào mừng bạn đến với Seo Panel - Bảng điều khiển seo cho nhiều trang web đầu tiên trên thế giới</h1> \r\n\r\n<p> \r\n            Một <b>mã nguồn mở quản lý tối ưu</b> cho việc quản lí <b>công việc tối ưu hóa trên công cụ tìm kiếm</b> cho các trang web của bạn.  \r\n            Seo Panel là <b>một bộ công cụ seo</b> bao gồm các công cụ seo mới nhất <b>làm tăng và theo dõi</b> <b>hiệu suất</b> hoạt động các trang web của bạn.\r\nĐây là một <b>phần mềm miễn phí</b> tuân theo giấy phép của <b>GNU GENERAL PUBLIC LICENSE</b>.\r\n\r\nChức năng đặc biệt chính của seo panel là sự <b>mở rộng chức năg</b> bằng cách sử dụng <a href=\\\"<?=SP_PLUGINSITE?>\\\"\r\ntarget=\\\"_blank\\\">seo plugins</a>. \r\nBất kỳ ai cũng có thể dễ dàng <b>cài đặt và phát triên</b> những plugin mới cho seo panel của họ.\r\nPhần mềm này chính thức phát hành vào <b>Tháng 1 năm 2010</b>.\r\nChỉ trong khoảng <b>thời gian ngắn hàng ngàn chủ web </b>đang sử dụng phần mềm này để <b>tối ưu hóa</b> trang web của họ.\r\nSử dụng chính seo panel ngày hôm nay và tận hưởng tất cả mọi thứ liên quan đến seo theo <b>một nền tảng đơn giản nhất</b>.\r\n        </p>', '2012-02-02 22:03:54'),
(7390, 'vn', 'home', 'home_cont2', '<fieldset>\r\n<legend> chính tính năng của Seo panel <?=SP_INSTALLED?> </legend>\r\n<ul class=\\\"infobox\\\">\r\n    <li>\r\n        <h1> tự động thư mục thông tin Công cụ </h1>\r\n        <p>\r\n            Dung bài viết công cụ tự động giúp chúng tôi <b> trình các trang web của chúng tôi </b> vào chính <b> miễn phí\r\nvà thư mục internet trả tiền </b>.\r\n            Chúng tôi cũng có thể <b> theo dõi tình trạng </b> của mỗi submit qua kiểm tra định kỳ <b> </b> sử dụng\r\ntình trạng <b> trình kiểm tra kịch bản </b>.\r\n            <b> quản lý thư mục </b> sẽ giúp chúng tôi để tìm hiểu xem <b> thư mục đang hoạt động </b> hay không.\r\n        </p>\r\n    </li>\r\n    <li>\r\n        <h1> Checker từ khoá Vị trí </h1>\r\n        <p>\r\n            Từ khoá kiểm tra vị trí sẽ tìm vị trí công cụ tìm kiếm <b> </b> <b> từ khoá được nhắm mục tiêu </b>\r\ntrang web của bạn và các cửa hàng <b> </b> trong hệ thống.\r\n            Trong phần báo cáo vị trí từ khoá, chúng ta có thể thấy các vị trí hàng ngày <b> </b> của từ khóa trong\r\ncông cụ tìm kiếm khác nhau bằng các đồ thị <b> đẹp </b> và <b> chi tiết báo cáo </b>.\r\n        </p>\r\n    </li>\r\n    <li>\r\n        <h1> Site Kiểm toán </h1>\r\n        <p>Kiểm toán Site <b> sẽ kiểm toán tất cả các yếu tố SEO </b> của mỗi trang của một trang web và sẽ cung cấp cho một\r\n<b> báo cáo chi tiết </b> về mỗi trang. Điều này sẽ giúp chúng tôi để tạo ra <b> XML, HTML, văn bản </b> sitemap\r\ncác tập tin của trang web của chúng tôi cho <b> trình </b> để công cụ tìm kiếm </p>\r\n    </li>\r\n    <li>\r\n        <h1> Google và Alexa Rank Checker </h1>\r\n        <p>\r\n            Google và alexa xếp hạng kiểm tra sẽ tìm thấy <b> google pagerank </b> và <b> alexa xếp hạng </b> của chúng tôi\r\ntrang web và các cửa hàng <b> </b> trong hệ thống.\r\n            Trong báo cáo xếp hạng <b> </b>, chúng ta có thể thấy <b> hàng ngày </b> google và xếp hạng alexa của mỗi trang web\r\nbởi <b> báo cáo chi tiết </b>.\r\n        </p>\r\n    </li>\r\n    <li>\r\n        <h1> Backlinks Checker </h1>\r\n        <p>\r\n            Backlinks kiểm tra sẽ tìm thấy số <b> backlinks </b> của trang web của chúng tôi trong tìm kiếm khác nhau\r\n<b> động cơ (google, yahoo, msn ...) </b> và <b> cửa hàng </b> nó trong hệ thống.\r\n            - Trong báo cáo backlink <b> </b>, chúng ta có thể nhìn thấy <b> hàng ngày backlinks tính </b> của mỗi\r\ntrang web bằng cách báo cáo <b> chi tiết </b>.\r\n        </p>\r\n    </li>\r\n    <li>\r\n        <h1> Search Engine Saturation Checker </h1>\r\n        <p>\r\n            Search Engine Saturation kiểm tra sẽ tìm thấy số <b> của các trang được lập chỉ mục </b> của trang web của chúng tôi\r\ncông cụ tìm kiếm khác nhau <b> (google, yahoo, msn ...) </b> và <b> cửa hàng </b> nó trong hệ thống.\r\n            <b> Tìm kiếm công cụ kiểm tra độ bão hòa báo cáo </b>, chúng ta có thể thấy trang <b> hàng ngày lập chỉ mục\r\ntính </b> của mỗi trang web bằng cách báo cáo chi tiết <b> </b>.\r\n        </p>\r\n    </li>\r\n    <li>\r\n        <h1> Seo Panel Plugins </h1>\r\n        <p>\r\n            Các tính năng chính <b> </b> của Seo bảng điều khiển <b> của nó extentability </b>.\r\n            Thêm <b> seo plugin </b> vào bảng seo của bạn để <b> mở rộng các tính năng </b> theo của bạn\r\nyêu cầu.\r\n            <A href =\\\"<?=SP_PLUGINSITE?>\\\" Target=\\\"_blank \\\"> Seo bảng điều khiển bổ sung </a> được cung cấp bởi cả hai bảng điều khiển seo\r\nvà các trang web của bên thứ ba.\r\n            Bạn cũng có thể dễ dàng <b> phát triển </b> seo plugin cho bảng điều khiển seo của bạn.\r\n            Bạn có thể <a href =\\\"<?=SP_PLUGINSITE?>\\\" Target=\\\"_blank \\\"> trình </a> Plugin seo seo bảng và\r\nchúng tôi <b> sẽ công bố </b> nó trong trang web của chúng tôi sau khi xem xét <b> của chúng tôi </b> quá trình.\r\n        </p>\r\n    </li>\r\n    <li>\r\n        <h1> Meta Tag Generator </h1>\r\n        <p>\r\n            Meta từ khóa máy phát điện là một <b> plugin seo bảng điều khiển </b> để tạo ra các thẻ meta <b> tùy chỉnh </b> cho\r\ntrang web.\r\n            Nó sẽ giúp chúng tôi để cung cấp thông tin <b> hơn </b> về trang web của chúng tôi để chương trình <b> công cụ tìm kiếm </b>\r\ntrong khi họ thu thập dữ liệu trang web của chúng tôi.\r\n        </p>\r\n    </li>\r\n</ul>\r\n</fieldset>', '2012-02-02 22:03:54'),
(7391, 'vn', 'home', 'home_cont3', '<fieldset>\r\n<legend>Hệ thống Seo Panel trực tuyến</legend>    \r\n<ul class=\\\"infobox\\\">\r\n\r\n    <li>\r\n        <h1>Bảng điều chỉnh Tài nguyên Seo trực tuyến dành cho vệc tham khảo</h1>                \r\n        \r\n        \r\n        <p>\r\n            <a href=\\\"http://www.seopanel.in\\\" target=\\\"_blank\\\">Địa chỉ chính thức của Seo Panel</a>\r\n        </p>\r\n        <p>\r\n            <a href=\\\"<?=SP_DOWNLOAD_LINK?>\\\" target=\\\"_blank\\\">Tải Seo Panel</a>\r\n        </p>\r\n        \r\n        <p>\r\n            <a href=\\\"<?=SP_DEMO_LINK?>\\\" target=\\\"_blank\\\">Seo Panel Demo</a>\r\n        </p>\r\n        \r\n        <p>\r\n            <a href=\\\"<?=SP_CONTACT_LINK?>\\\" target=\\\"_blank\\\">Liên hệ với tác giả Seo Panel</a>\r\n        </p>\r\n        \r\n        <p>\r\n            <a href=\\\"<?=SP_HELP_LINK?>\\\" target=\\\"_blank\\\">Hổ trợ sử dụng Seo Panel</a>\r\n        </p>\r\n        \r\n        <p>\r\n            <a href=\\\"<?=SP_FORUM_LINK?>\\\" target=\\\"_blank\\\">Diễn đàn Seo Panel</a>\r\n        </p>\r\n        \r\n        <p>\r\n            <a href=\\\"<?=SP_SUPPORT_LINK?>\\\" target=\\\"_blank\\\"> Hệ thống hổ trợ Seo Panel</a>\r\n        </p>\r\n        \r\n        <p>\r\n            <a href=\\\"<?=SP_DONATE_LINK?>\\\" target=\\\"_blank\\\">Quyên góp Seo Panel</a>\r\n        </p>\r\n    </li>\r\n    \r\n</ul>\r\n</fieldset>', '2012-02-02 22:03:54'),
(7392, 'vn', 'home', 'Indexed', 'Indexed', '2012-02-02 22:03:54'),
(7393, 'vn', 'home', 'Pages Indexed', 'Pages Indexed', '2012-02-02 22:03:54'),
(7394, 'vn', 'home', 'Ranks', 'Thứ hạng', '2012-02-02 22:03:54'),
(7395, 'vn', 'home', 'SiteNameUrl', 'Tên stie/ Đường dẫn', '2012-02-02 22:03:54'),
(7396, 'vn', 'home', 'Website Statistics', 'Thống kê website', '2012-02-02 22:03:54'),
(7397, 'es-ar', 'home', 'Account Summary', 'Resumen de la Cuenta', '2014-01-06 19:23:36'),
(7398, 'es-ar', 'home', 'Backlinks', 'Referencias', '2014-01-06 19:23:36'),
(7399, 'es-ar', 'home', 'Directory Submission', 'Envio de Directorio', '2014-01-06 19:23:36'),
(7400, 'es-ar', 'home', 'home_cont1', '<h1 style=\"text-align: center;margin-bottom: 30px;font-size: 19px;\">Bienvenido a SEO PANEL - el primer\r\npanel de control SEO para multiples sitios</h1> \r\n        <p> \r\n            Un completo <b>panel de control SEP de codigo abierto</b> para administrar <b>la optimizacion de los buscadores</b> para sus sitios web.  \r\n            Seo Panel es un <b>recurso SEO</b> que incluye las ultimas herramientas seo para <b>incrementar y seguir</b> la\r\n<b>performace</b> de sus sitios web. \r\n            Es un <b>software libre</b> distribuido bajo <b>GNU GENERAL PUBLIC LICENSE</b>. \r\n            La caracteristica principal de SEO PANEL es su <b>escalabilidad</b> a traves de <a href=\"<?=SP_PLUGINSITE?>\"\r\ntarget=\"_blank\"> plugins SEO</a>. \r\n            Cualquiera puede facilmente <b>desarrollar e instalar</b> los plugins necesarios en su SEO PANEL.  \r\n        </p> \r\n        <p></p> \r\n        <p> \r\n            Este software abierto fue liberado <b>en Enero 2010</b>. \r\n            En este <b>corto periodo</b> de tiempo <b>miles</b> de <b>web masters</b> estan utilizando el software para <b>optimizar</b> sus websites. \r\n            Utilice seo panel hoy y <b>disfrute</b> de todo lo relacionado con SEO dentro de una <b>unica plataforma</b>. \r\n        </p>', '2014-01-06 19:23:36'),
(7401, 'es-ar', 'home', 'home_cont2', '<fieldset> \r\n<legend>Caracteristicas Pricipales de Seo Panel <?=SP_INSTALLED?></legend> \r\n<ul class=\"infobox\"> \r\n    <li>         \r\n        <h1>Herramienta de Envio de Directorios Automatizada</h1> \r\n        <p> \r\n            La Herramienta Automatizada de Envio de Directorios nos auda a <b>enviar nuestros sitios web</b> a los principales <b> directorios de internet gratuitos y dolorosos</b>. \r\n            Podemos tambien <b>seguir el estado</b> de cada envio a traves de  <b>controles periodicos</b> usando <b>el script de control de estado</b>. \r\n            <b>El administrador de directorios</b> nos ayudara a encontrar si un <b>directorio esta activo</b> o no. \r\n        </p> \r\n    </li> \r\n    <li>         \r\n        <h1>Verificador de posicion de palabras clave</h1> \r\n        <p> \r\n            Keyword position checker will find the <b>search engine position</b> of <b>targetted keywords</b>\r\nof your website and <b>stores</b> it in the system. \r\n            In keyword position reports section, we can see the <b>daily positions</b> of keywords in\r\ndifferent search engines by <b>beautiful graphs</b> and <b>detailed reports</b>. \r\n        </p> \r\n    </li> \r\n    <li>         \r\n        <h1>Site Auditor</h1> \r\n        <p>Site Auditor will <b>audit all SEO factors</b> of each pages of a site and will give a\r\n<b>detailed report</b> about each page. This will help us to create <b>XML,HTML,TEXT</b> sitemap\r\nfiles of our website for <b>submit</b> to search engines.</p> \r\n    </li> \r\n    <li>         \r\n        <h1>Google and Alexa Rank Checker</h1> \r\n        <p> \r\n            Google and alexa rank checker will find <b>google pagerank</b> and <b>alexa rank</b> of our\r\nwebsites and <b>stores</b> it in the system. \r\n            In <b>rank reports</b> section, we can see the <b>daily</b> google and alexa rank of each website\r\nby <b>detailed reports</b>. \r\n        </p> \r\n    </li> \r\n    <li>         \r\n        <h1>Backlinks Checker</h1> \r\n        <p> \r\n            Backlinks checker will find <b>number of backlinks</b> of our websites in different search\r\nengines<b>(google,yahoo,msn etc)</b> and <b>stores</b> it in the system. \r\n            <br>In <b>backlink reports</b> section, we can see the <b>daily backlinks count</b> of each\r\nwebsite by <b>detailed reports</b>. \r\n        </p> \r\n    </li>     \r\n    <li>         \r\n        <h1>Search Engine Saturation Checker</h1> \r\n        <p> \r\n            Search Engine Saturation checker will find <b>number of indexed pages</b> of our websites in\r\ndifferent search engines<b>(google,yahoo,msn etc)</b> and <b>stores</b> it in the system. \r\n            In <b>search engine saturation checker reports</b> section, we can see the <b>daily indexed page\r\ncount</b> of each website by <b>detailed reports</b>. \r\n        </p> \r\n    </li> \r\n    <li>         \r\n        <h1>Seo Panel Plugins</h1> \r\n        <p> \r\n            The <b>major feature</b> of seo control panel is its <b>extentability</b>. \r\n            Add <b>seo plugins</b> to your seo panel to <b>extend the features</b> according to your\r\nrequirement. \r\n            <a href=\"<?=SP_PLUGINSITE?>\" target=\"_blank\">Seo panel plugins</a> are provided by both seo panel\r\nand third party sites. \r\n            You can also easily <b>develop</b> seo plugins for your seo panel. \r\n            You can <a href=\"<?=SP_PLUGINSITE?>\" target=\"_blank\">submit</a> your seo plugin to seo panel and\r\nwe will <b>publish</b> it in our website after our <b>review</b> process. \r\n        </p> \r\n    </li> \r\n    <li>         \r\n        <h1>Meta Tag Generator</h1> \r\n        <p> \r\n            Meta tag generator is a <b>seo panel plugin</b> for creating <b>custom meta tags</b> for our\r\nsite. \r\n            It will help us to give <b>more information</b> about our website to <b>search engine bots</b>\r\nwhile they crawl our website. \r\n        </p> \r\n    </li> \r\n</ul> \r\n</fieldset>', '2014-01-06 19:23:36'),
(7402, 'es-ar', 'home', 'home_cont3', '<fieldset> \r\n<legend>Recursos On Line de SEO PANEL</legend>     \r\n<ul class=\"infobox\"> \r\n\r\n    <li> \r\n        <h1>Recursos On Line de SEO PANEL</h1>                 \r\n         \r\n         \r\n        <p> \r\n            <a href=\"http://www.seopanel.in\" target=\"_blank\">Sitio Oficial SEO PANEL</a> \r\n        </p> \r\n        <p> \r\n            <a href=\"<?=SP_DOWNLOAD_LINK?>\" target=\"_blank\">Descargar SEO PANEL</a> \r\n        </p> \r\n         \r\n        <p> \r\n            <a href=\"<?=SP_DEMO_LINK?>\" target=\"_blank\">Demo SEO PANLE</a> \r\n        </p> \r\n         \r\n        <p> \r\n            <a href=\"<?=SP_CONTACT_LINK?>\" target=\"_blank\">Conatctar a SEO PANEL</a> \r\n        </p> \r\n         \r\n        <p> \r\n            <a href=\"<?=SP_HELP_LINK?>\" target=\"_blank\">Guia de Ayuda SEO PANEL</a> \r\n        </p> \r\n         \r\n        <p> \r\n            <a href=\"<?=SP_FORUM_LINK?>\" target=\"_blank\">Foro SEO PANEL</a> \r\n        </p> \r\n         \r\n        <p> \r\n            <a href=\"<?=SP_SUPPORT_LINK?>\" target=\"_blank\">Sistema de Soporte de SEO PANEL</a> \r\n        </p> \r\n         \r\n        <p> \r\n            <a href=\"<?=SP_DONATE_LINK?>\" target=\"_blank\">Donar a SEO PANEL</a> \r\n        </p> \r\n    </li> \r\n     \r\n</ul> \r\n</fieldset>', '2014-01-06 19:23:36'),
(7403, 'es-ar', 'home', 'Indexed', 'Indexado', '2014-01-06 19:23:36'),
(7404, 'es-ar', 'home', 'Pages Indexed', 'Paginas IndexadasN', '2014-01-06 19:23:36'),
(7405, 'es-ar', 'home', 'Ranks', 'Rankings', '2014-01-06 19:23:36'),
(7406, 'es-ar', 'home', 'SiteNameUrl', 'Nombre del Sitio/URL', '2014-01-06 19:23:36'),
(7407, 'es-ar', 'home', 'Website Statistics', 'Estadisticas del Sitio', '2014-01-06 19:23:36'),
(7408, 'da', 'directory', 'Reciprocal Link', '(Gensidigt) Reciprocal Link', '2013-01-14 22:40:16'),
(7409, 'da', 'home', 'Indexed', 'Indekseret', '2014-01-20 08:56:43'),
(7410, 'sl', 'backlink', 'clickproceedbacklink', 'Vpišite URL-je <b>Vsakega v svojo vrstico</b>. Kliknite <b>Nadaljuj</b> za preverjanje povratnih povezav.', '2012-01-20 07:52:51'),
(7411, 'sl', 'backlink', 'Saved backlink results of', 'Shranjeni rezultati povratnih povezav od', '2012-01-20 07:52:51'),
(7412, 'sl', 'button', 'Cancel', 'Prekliči', '2014-01-08 19:33:56'),
(7413, 'sl', 'button', 'Check Status', 'Preveri status', '2014-01-08 19:33:56'),
(7414, 'sl', 'button', 'Proceed', 'Nadaljuj', '2014-01-08 19:33:56'),
(7415, 'sl', 'button', 'Reload', 'Osveži', '2014-01-08 19:33:56'),
(7416, 'sl', 'button', 'Show Details', 'Pokaži podrobnosti', '2014-01-08 19:33:56'),
(7417, 'sl', 'button', 'Show Records', 'Pokaži shranjene zapise', '2014-01-08 19:33:56'),
(7418, 'sl', 'button', 'Skip', 'Preskoči', '2014-01-08 19:33:56'),
(7419, 'sl', 'button', 'Submit', 'Pošlji', '2014-01-08 19:33:56'),
(7420, 'sl', 'common', 'Action', 'Akcija', '2019-05-25 18:48:22'),
(7421, 'sl', 'common', 'Activate', 'Vključi', '2019-05-25 18:48:22'),
(7422, 'sl', 'common', 'Active', 'Vključeno', '2019-05-25 18:48:22'),
(7423, 'sl', 'common', 'Admin Panel', 'Nadzorna plošča', '2019-05-25 18:48:22'),
(7424, 'sl', 'common', 'Alexa Rank', 'Rang v Alexi', '2019-05-25 18:48:22'),
(7425, 'sl', 'common', 'All', 'Vse', '2019-05-25 18:48:22'),
(7426, 'sl', 'common', 'Category', 'Kategorija', '2019-05-25 18:48:22'),
(7427, 'sl', 'common', 'contact', 'Kontakt', '2019-05-25 18:48:22'),
(7428, 'sl', 'common', 'copyright', 'Copyright © [year] www.seopanel.in Vse pravice pridržane', '2019-05-25 18:48:22'),
(7429, 'sl', 'common', 'Country', 'Država', '2019-05-25 18:48:22'),
(7430, 'sl', 'common', 'Crawl Meta Data', 'Pridobi metapodatke', '2019-05-25 18:48:22'),
(7431, 'sl', 'common', 'Date', 'Datum', '2019-05-25 18:48:22'),
(7432, 'sl', 'common', 'Delete', 'Izbriši', '2019-05-25 18:48:22'),
(7433, 'sl', 'common', 'Details', 'Podrobnosti', '2019-05-25 18:48:22'),
(7434, 'sl', 'common', 'Directory', 'Direktorij', '2019-05-25 18:48:22'),
(7435, 'sl', 'common', 'Donate', 'Donacije', '2019-05-25 18:48:22'),
(7436, 'sl', 'common', 'Edit', 'Uredi', '2019-05-25 18:48:22'),
(7437, 'sl', 'common', 'Entry cannot be blank', 'Vnos ne sme biti prazen', '2019-05-25 18:48:22'),
(7438, 'sl', 'common', 'entrynotvalid', 'Napaka pri vnosu', '2019-05-25 18:48:22'),
(7439, 'sl', 'common', 'failed', 'neuspešno', '2019-05-25 18:48:22'),
(7440, 'sl', 'common', 'forum', 'Forum', '2019-05-25 18:48:22'),
(7441, 'sl', 'common', 'Found', 'Najdeno', '2019-05-25 18:48:22'),
(7442, 'sl', 'common', 'Google Pagerank', 'Google Pagerank', '2019-05-25 18:48:22'),
(7443, 'sl', 'common', 'help', 'Pomoč', '2019-05-25 18:48:22'),
(7444, 'sl', 'common', 'hidenews', 'Skrij Seo Panel novice', '2019-05-25 18:48:22'),
(7445, 'sl', 'common', 'Id', 'ID', '2019-05-25 18:48:22'),
(7446, 'sl', 'common', 'Inactivate', 'Deaktiviraj', '2019-05-25 18:48:22'),
(7447, 'sl', 'common', 'Inactive', 'Neaktivno', '2019-05-25 18:48:22'),
(7448, 'sl', 'common', 'Invalid characters', 'Napačni znaki', '2019-05-25 18:48:22'),
(7449, 'sl', 'common', 'Invalid code entered', 'Vnešena napačna koda', '2019-05-25 18:48:22'),
(7450, 'sl', 'common', 'Invalid email address entered', 'Vnešen napačni E-naslov', '2019-05-25 18:48:22'),
(7451, 'sl', 'common', 'Invalid value', 'Napačna vrednost', '2019-05-25 18:48:22'),
(7452, 'sl', 'common', 'Keyword', 'Ključna beseda', '2019-05-25 18:48:22'),
(7453, 'sl', 'common', 'Keywords', 'Ključne besede', '2019-05-25 18:48:22'),
(7454, 'sl', 'common', 'lang', 'Jezik', '2019-05-25 18:48:22'),
(7455, 'sl', 'common', 'My Account', 'Moj Račun', '2019-05-25 18:48:22'),
(7456, 'sl', 'common', 'Name', 'Ime', '2019-05-25 18:48:22'),
(7457, 'sl', 'common', 'No', 'Ne', '2019-05-25 18:48:22'),
(7458, 'sl', 'common', 'No Keywords Found', 'Ne najdemo ključnih besed', '2019-05-25 18:48:22'),
(7459, 'sl', 'common', 'No Records Found', 'ne najdemo zapisov', '2019-05-25 18:48:22'),
(7460, 'sl', 'common', 'noactivetools', 'Ni nobenega vključenega SEO orodja', '2019-05-25 18:48:22'),
(7461, 'sl', 'common', 'nowebsites', 'Ni najdenih spletnih strani', '2019-05-25 18:48:22'),
(7462, 'sl', 'common', 'password632', 'Geslo mora biti dolgo med 6 in 32 znakov', '2019-05-25 18:48:22'),
(7463, 'sl', 'common', 'passwordnotmatch', 'Gesli se ne ujemata', '2019-05-25 18:48:22'),
(7464, 'sl', 'common', 'Period', 'Pika', '2019-05-25 18:48:22'),
(7465, 'sl', 'common', 'Priority', 'Prioriteta', '2019-05-25 18:48:22'),
(7466, 'sl', 'common', 'Profile', 'Profil', '2019-05-25 18:48:22'),
(7467, 'sl', 'common', 'Rank', 'Rang', '2019-05-25 18:48:22'),
(7468, 'sl', 'common', 'Reports', 'Poročila', '2019-05-25 18:48:22'),
(7469, 'sl', 'common', 'Results', 'Rezultati', '2019-05-25 18:48:22'),
(7470, 'sl', 'common', 'Search Engine', 'Iskalnik', '2019-05-25 18:48:22'),
(7471, 'sl', 'common', 'Select', 'Izberi', '2019-05-25 18:48:22'),
(7472, 'sl', 'common', 'Seo Plugins', 'Seo vtičniki', '2019-05-25 18:48:22'),
(7473, 'sl', 'common', 'Seo Tools', 'Seo orodja', '2019-05-25 18:48:22'),
(7474, 'sl', 'common', 'Sign out', 'Odjava', '2019-05-25 18:48:22'),
(7475, 'sl', 'common', 'Sign Up', 'Registracija', '2019-05-25 18:48:22'),
(7476, 'sl', 'common', 'signin', 'Prijava', '2019-05-25 18:48:22'),
(7477, 'sl', 'common', 'Status', 'Status', '2019-05-25 18:48:22'),
(7478, 'sl', 'common', 'Support', 'Podpora', '2019-05-25 18:48:22'),
(7479, 'sl', 'common', 'Total', 'Skupaj', '2019-05-25 18:48:22'),
(7480, 'sl', 'common', 'Url', 'Url', '2019-05-25 18:48:22'),
(7481, 'sl', 'common', 'User', 'Uporabnik', '2019-05-25 18:48:22'),
(7482, 'sl', 'common', 'User Panel', 'Uporabniški kotiček', '2019-05-25 18:48:22'),
(7483, 'sl', 'common', 'Website', 'Spletna stran', '2019-05-25 18:48:22'),
(7484, 'sl', 'common', 'Yes', 'Da', '2019-05-25 18:48:22'),
(7485, 'sl', 'directory', 'Add back to directory list', 'Dodaj nazaj na seznam direktorijev', '2012-05-12 17:57:22'),
(7486, 'sl', 'directory', 'Approved', 'Odobreno', '2012-05-12 17:57:22'),
(7487, 'sl', 'directory', 'Captcha', 'Captcha', '2012-05-12 17:57:22'),
(7488, 'sl', 'directory', 'categorynote', 'Kategorije, ločite jih z vejicami glede na prioriteto. Začnite z pomembnejšo kategorijo.', '2012-05-12 17:57:22'),
(7489, 'sl', 'directory', 'Check Directory Status', 'Preveri status direktorija', '2012-05-12 17:57:22'),
(7490, 'sl', 'directory', 'Check Directory Submission Status', 'Preveri status pošiljanja v direktorij', '2012-05-12 17:57:22'),
(7491, 'sl', 'directory', 'clicktoproceeddirsts', 'Kliknite <b>Nadaljuj</b> za preverjanje statusa direktorija', '2012-05-12 17:57:22'),
(7492, 'sl', 'directory', 'Confirmation', 'Potrditev', '2012-05-12 17:57:22'),
(7493, 'sl', 'directory', 'desnote', 'Nekateri direktoriji zahtevajo vnos vsaj 150 znakov v polje za opis.', '2012-05-12 17:57:22'),
(7494, 'sl', 'directory', 'Directories with out captcha', 'Direktoriji brez capcha preverjanja', '2012-05-12 17:57:22'),
(7495, 'sl', 'directory', 'Directory Submission Reports', 'Poročilo o uspešnosti pošiljanja v direktorije', '2012-05-12 17:57:22'),
(7496, 'sl', 'directory', 'Enter the code shown', 'Vnesite prikazano kodo', '2012-05-12 17:57:22'),
(7497, 'sl', 'directory', 'nocatnote', 'Kategorija vnosa ni najdena na spletni strani za vnos. Prosim kliknite <b>Osveži</b> ali <b>Preskoči</b>', '2012-05-12 17:57:22'),
(7498, 'sl', 'directory', 'nodirnote', 'Ne najdem <b>aktivnih</b> direktorijev', '2012-05-12 17:57:22'),
(7499, 'sl', 'directory', 'nosuccessnote', 'ni sporočila o uspešnosti, Prosim preverite vaš E-naslov za potrditveno sporočilo', '2012-05-12 17:57:22'),
(7500, 'sl', 'directory', 'optionalnote', 'Neobvezni naslovi in opisi za random pošiljanje v direktorije za boljše rezultate.', '2012-05-12 17:57:22'),
(7501, 'sl', 'directory', 'Owner Email', 'Drugi E-mail', '2012-05-12 17:57:22'),
(7502, 'sl', 'directory', 'Owner Name', 'Ime lastnika', '2012-05-12 17:57:22'),
(7503, 'sl', 'directory', 'Pending', 'Na čakanju', '2012-05-12 17:57:22'),
(7504, 'sl', 'directory', 'Please select a website to proceed', 'Prosim izberite spletno stran za nadaljevanje', '2012-05-12 17:57:22'),
(7505, 'sl', 'directory', 'Reciprocal Link', 'Recipročna povezava', '2012-05-12 17:57:22'),
(7506, 'sl', 'directory', 'selectwebsiteproceed', 'Izverite <b>spletno stran</b> za <b>nadaljevanje</b> vpisovanja v direktorije. <br>Preverite <b>Direktorije brez Capcha preverjanja</b> za pošiljanje v direktorije brez preverjanja ', '2012-05-12 17:57:22'),
(7507, 'sl', 'directory', 'selectwebsiteschecksub', 'Izberite <b>Spletno stran</b> za <b>Nadaljevanje</b> preverjanje vpisov v direktorije.', '2012-05-12 17:57:22'),
(7508, 'sl', 'directory', 'Semi Automatic Directory Submission Tool', 'Orodje za polavtomatsko vpisovanje v direktorije', '2012-05-12 17:57:22'),
(7509, 'sl', 'directory', 'spamemailnote', 'Nekateri direktoriji lahko pošiljajo SPAM, priporočamo da ne uporabite vašega glavnega E-poštnega naslova.', '2012-05-12 17:57:22'),
(7510, 'sl', 'directory', 'Submission Details', 'Podrobnosti vpisovanja', '2012-05-12 17:57:22'),
(7511, 'sl', 'directory', 'Submit Description', 'Vnesite opis', '2012-05-12 17:57:22'),
(7512, 'sl', 'directory', 'Submit Keywords', 'Vnesite ključne besede', '2012-05-12 17:57:22'),
(7513, 'sl', 'directory', 'Submit Title', 'Vnesite Naslov', '2012-05-12 17:57:22'),
(7514, 'sl', 'directory', 'Website Category', 'Kategorija spletne strani', '2012-05-12 17:57:22'),
(7515, 'sl', 'directory', 'Website Url', 'Naslov spletne strani', '2012-05-12 17:57:22'),
(7516, 'sl', 'home', 'Account Summary', 'Podrobnosti Računa', '2012-01-20 08:35:05'),
(7517, 'sl', 'home', 'Backlinks', 'Povratne povezave', '2012-01-20 08:35:05'),
(7518, 'sl', 'home', 'Directory Submission', 'Vpisi v direktorije', '2012-01-20 08:35:05'),
(7519, 'sl', 'home', 'home_cont1', '<h1 style=\\\"text-align: center;margin-bottom: 30px;font-size: 19px;\\\">Pozdravljeni v  Seo Panelu - Prvemu ki podpira več strani</h1> \r\n        <p> \r\n            Celovito <b>odprto kodno seo orodje</b> za upravljanje <b>spletne optimizacije</b> na vaših straneh.\r\n\r\n            Seo Panel je <b>seo orodje</b> ki vključuje številna orodjaza povečanjr in spremljane\r\n<b>uspešnosti</b> vaših strani. \r\n            Osnovna verzija <b>je brezplačna</b> licencirana pod <b>GNU GENERAL PUBLIC LICENSE</b>. \r\n            Dodatne <b>razširitve</b> lahko dobite <a href=\\\"<?=SP_PLUGINSITE?>\\\"\r\ntarget=\\\"_blank\\\"> tukaj</a>. \r\n            Vsak lahko <b>razvija in naloži</b> dodatne vtičnike za svoj seo panel.  \r\n        </p> \r\n        <p></p> \r\n        <p> \r\n            Ta odprto kodna rešitevs je <b>izšla Januarja 2010</b>. \r\n            V tako <b>kratkem obdobju</b> jo uporablja že <b>tisoče</b> <b>ljudi</b> za <b>optimizacijo</b> njihovih strani. \r\n            Začnite <b>uporabljati</b> vsa orodja <b>na eni platformi</b>. \r\n        </p>', '2012-01-20 08:35:05'),
(7520, 'sl', 'home', 'home_cont2', '<fieldset><legend>Major Features of Seo Panel <?=SP_INSTALLED?></legend> \r\n<ul class=\\\"infobox\\\"> \r\n    <li>         \r\n        <h1>Automatic Directory Submission Tool</h1> \r\n        <p> \r\n            Automatic directory submission tool help us to <b>submit our websites</b> into to major <b>free\r\nand paid internet directories</b>. \r\n            We can also <b>track the status</b> of each submision through <b>periodical check</b> using\r\nsubmission <b>status checker script</b>. \r\n            <b>Directory manager</b> will help us to find out whether <b>directory is active</b> or not. \r\n        </p> \r\n    </li> \r\n    <li>         \r\n        <h1>Keyword Position Checker</h1> \r\n        <p> \r\n            Keyword position checker will find the <b>search engine position</b> of <b>targetted keywords</b>\r\nof your website and <b>stores</b> it in the system. \r\n            In keyword position reports section, we can see the <b>daily positions</b> of keywords in\r\ndifferent search engines by <b>beautiful graphs</b> and <b>detailed reports</b>. \r\n        </p> \r\n    </li> \r\n    <li>         \r\n        <h1>Site Auditor</h1> \r\n        <p>Site Auditor will <b>audit all SEO factors</b> of each pages of a site and will give a\r\n<b>detailed report</b> about each page. This will help us to create <b>XML,HTML,TEXT</b> sitemap\r\nfiles of our website for <b>submit</b> to search engines.</p> \r\n    </li> \r\n    <li>         \r\n        <h1>Google and Alexa Rank Checker</h1> \r\n        <p> \r\n            Google and alexa rank checker will find <b>google pagerank</b> and <b>alexa rank</b> of our\r\nwebsites and <b>stores</b> it in the system. \r\n            In <b>rank reports</b> section, we can see the <b>daily</b> google and alexa rank of each website\r\nby <b>detailed reports</b>. \r\n        </p> \r\n    </li> \r\n    <li>         \r\n        <h1>Backlinks Checker</h1> \r\n        <p> \r\n            Backlinks checker will find <b>number of backlinks</b> of our websites in different search\r\nengines<b>(google,yahoo,msn etc)</b> and <b>stores</b> it in the system. \r\n            <br>In <b>backlink reports</b> section, we can see the <b>daily backlinks count</b> of each\r\nwebsite by <b>detailed reports</b>. \r\n        </p> \r\n    </li>     \r\n    <li>         \r\n        <h1>Search Engine Saturation Checker</h1> \r\n        <p> \r\n            Search Engine Saturation checker will find <b>number of indexed pages</b> of our websites in\r\ndifferent search engines<b>(google,yahoo,msn etc)</b> and <b>stores</b> it in the system. \r\n            In <b>search engine saturation checker reports</b> section, we can see the <b>daily indexed page\r\ncount</b> of each website by <b>detailed reports</b>. \r\n        </p> \r\n    </li> \r\n    <li>         \r\n        <h1>Seo Panel Plugins</h1> \r\n        <p> \r\n            The <b>major feature</b> of seo control panel is its <b>extentability</b>. \r\n            Add <b>seo plugins</b> to your seo panel to <b>extend the features</b> according to your\r\nrequirement. \r\n            <a href=\\\"<?=SP_PLUGINSITE?>\\\" target=\\\"_blank\\\">Seo panel plugins</a> are provided by both seo panel\r\nand third party sites. \r\n            You can also easily <b>develop</b> seo plugins for your seo panel. \r\n            You can <a href=\\\"<?=SP_PLUGINSITE?>\\\" target=\\\"_blank\\\">submit</a> your seo plugin to seo panel and\r\nwe will <b>publish</b> it in our website after our <b>review</b> process. \r\n        </p> \r\n    </li> \r\n    <li>         \r\n        <h1>Meta Tag Generator</h1> \r\n        <p> \r\n            Meta tag generator is a <b>seo panel plugin</b> for creating <b>custom meta tags</b> for our\r\nsite. \r\n            It will help us to give <b>more information</b> about our website to <b>search engine bots</b>\r\nwhile they crawl our website. \r\n        </p> \r\n    </li> \r\n</ul> \r\n</fieldset>', '2012-01-20 08:35:05'),
(7521, 'sl', 'home', 'home_cont3', '<fieldset> \r\n<legend>Seo Panel Online Resources</legend>     \r\n<ul class=\\\"infobox\\\"> \r\n\r\n    <li> \r\n        <h1>Seo Panel Online Resources for Reference</h1>                 \r\n         \r\n         \r\n        <p> \r\n            <a href=\\\"http://www.seopanel.in\\\" target=\\\"_blank\\\">Seo Panel Official Site</a> \r\n        </p> \r\n        <p> \r\n            <a href=\\\"<?=SP_DOWNLOAD_LINK?>\\\" target=\\\"_blank\\\">Download Seo Panel</a> \r\n        </p> \r\n         \r\n        <p> \r\n            <a href=\\\"<?=SP_DEMO_LINK?>\\\" target=\\\"_blank\\\">Seo Panel Demo</a> \r\n        </p> \r\n         \r\n        <p> \r\n            <a href=\\\"<?=SP_CONTACT_LINK?>\\\" target=\\\"_blank\\\">Conatct Seo Panel</a> \r\n        </p> \r\n         \r\n        <p> \r\n            <a href=\\\"<?=SP_HELP_LINK?>\\\" target=\\\"_blank\\\">Seo Panel Help Guide</a> \r\n        </p> \r\n         \r\n        <p> \r\n            <a href=\\\"<?=SP_FORUM_LINK?>\\\" target=\\\"_blank\\\">Seo Panel Forum</a> \r\n        </p> \r\n         \r\n        <p> \r\n            <a href=\\\"<?=SP_SUPPORT_LINK?>\\\" target=\\\"_blank\\\">Seo Panel Support System</a> \r\n        </p> \r\n         \r\n        <p> \r\n            <a href=\\\"<?=SP_DONATE_LINK?>\\\" target=\\\"_blank\\\">Donate to Seo Panel</a> \r\n        </p> \r\n    </li> \r\n     \r\n</ul> \r\n</fieldset>', '2012-01-20 08:35:05'),
(7522, 'sl', 'home', 'Indexed', 'Indeksirano', '2012-01-20 08:35:05'),
(7523, 'sl', 'home', 'Pages Indexed', 'Indeksirane strani', '2012-01-20 08:35:05'),
(7524, 'sl', 'home', 'Ranks', 'Rangiranje', '2012-01-20 08:35:05'),
(7525, 'sl', 'home', 'SiteNameUrl', 'Spletni naslovi/URLji', '2012-01-20 08:35:05'),
(7526, 'sl', 'home', 'Website Statistics', 'Statistika', '2012-01-20 08:35:05'),
(7527, 'sl', 'keyword', 'Crawling keyword', 'Ključna beseda', '2012-01-28 09:21:41'),
(7528, 'sl', 'keyword', 'Detailed Keyword Position Reports', 'Podrobna poročila o rangiranju ključnih besed', '2012-01-28 09:21:41'),
(7529, 'sl', 'keyword', 'Edit Keyword', 'Uredi ključno besedo', '2012-01-28 09:21:41'),
(7530, 'sl', 'keyword', 'Graphical Keyword Position Reports', 'Grafična poročila o uvrstitvah', '2012-01-28 09:21:41'),
(7531, 'sl', 'keyword', 'Import Keywords', 'Uvozi ključne besede', '2012-01-28 09:21:41'),
(7532, 'sl', 'keyword', 'Insert keywords separated with comma', 'Vpišite ključne besede, ločite jih z vejico', '2012-01-28 09:21:41'),
(7533, 'sl', 'keyword', 'Keyword already exist', 'Ključna beseda že obstaja', '2012-01-28 09:21:41'),
(7534, 'sl', 'keyword', 'Keyword Position Report', 'Poročilo o uvrstitvah', '2012-01-28 09:21:41'),
(7535, 'sl', 'keyword', 'New Keyword', 'Nova ključna beseda', '2012-01-28 09:21:41'),
(7536, 'sl', 'keyword', 'not assigned to required search engines', 'ni dodeljenih iskalnikov', '2012-01-28 09:21:41'),
(7537, 'sl', 'keyword', 'pleaseselecttool', 'Izberite vsaj eno SEO orodje', '2012-01-28 09:21:41'),
(7538, 'sl', 'keyword', 'Quick Keyword Position Checker', 'Hitro preverjanje uvrstitev', '2012-01-28 09:21:41'),
(7539, 'sl', 'keyword', 'results from ', 'rezultati iz', '2012-01-28 09:21:41'),
(7540, 'sl', 'keyword', 'Show All results', 'Prikaži vse rezultate', '2012-01-28 09:21:41'),
(7541, 'sl', 'keyword', 'Successfully crawled keyword', 'Uspešen pregled ključne besede', '2012-01-28 09:21:41');
INSERT INTO `texts` (`id`, `lang_code`, `category`, `label`, `content`, `changed`) VALUES
(7542, 'sl', 'keyword', 'to create new keywords', 'za ustvarjanje novih ključnih besed', '2012-01-28 09:21:41'),
(7543, 'sl', 'label', 'already exist', 'že obstaja', '2012-05-12 17:57:43'),
(7544, 'sl', 'label', 'Authentication', 'Avtentikacija', '2012-05-12 17:57:43'),
(7545, 'sl', 'label', 'Author', 'Avtor', '2012-05-12 17:57:43'),
(7546, 'sl', 'label', 'Brocken', 'nedelujoča', '2012-05-12 17:57:43'),
(7547, 'sl', 'label', 'Click Here', 'Kliknite sem', '2012-05-12 17:57:43'),
(7548, 'sl', 'label', 'Comments', 'Komentarji', '2012-05-12 17:57:43'),
(7549, 'sl', 'label', 'Count', 'Štetje', '2012-05-12 17:57:43'),
(7550, 'sl', 'label', 'Cron', 'Cron', '2012-05-12 17:57:43'),
(7551, 'sl', 'label', 'Description', 'Opis', '2012-05-12 17:57:43'),
(7552, 'sl', 'label', 'Developers', 'Razvijalci', '2012-05-12 17:57:43'),
(7553, 'sl', 'label', 'Download', 'Download', '2012-05-12 17:57:43'),
(7554, 'sl', 'label', 'Exclude', 'Izključi', '2012-05-12 17:57:43'),
(7555, 'sl', 'label', 'Include', 'Vključi', '2012-05-12 17:57:43'),
(7556, 'sl', 'label', 'Installation', 'Instalacija', '2012-05-12 17:57:43'),
(7557, 'sl', 'label', 'Keywords', 'Klučne besede', '2012-05-12 17:57:43'),
(7558, 'sl', 'label', 'noactiveplugins', 'Ne najdem aktivnih dodatkov!', '2012-05-12 17:57:43'),
(7559, 'sl', 'label', 'Plugin', 'Dodatek', '2012-05-12 17:57:43'),
(7560, 'sl', 'label', 'Port', 'vrata', '2012-05-12 17:57:43'),
(7561, 'sl', 'label', 'Project', 'Projekt', '2012-05-12 17:57:43'),
(7562, 'sl', 'label', 'Proxy', 'Proxy', '2012-05-12 17:57:43'),
(7563, 'sl', 'label', 'Re-install', 'Ponovna instalacija', '2012-05-12 17:57:43'),
(7564, 'sl', 'label', 'Report Type', 'Tip poročila', '2012-05-12 17:57:43'),
(7565, 'sl', 'label', 'Score', 'Točke', '2012-05-12 17:57:43'),
(7566, 'sl', 'label', 'Sponsors', 'Sponzorji', '2012-05-12 17:57:43'),
(7567, 'sl', 'label', 'Title', 'Naslov', '2012-05-12 17:57:43'),
(7568, 'sl', 'label', 'Total Results', 'Skupni rezultati', '2012-05-12 17:57:43'),
(7569, 'sl', 'label', 'translation by', 'prevedel:', '2012-05-12 17:57:43'),
(7570, 'sl', 'label', 'Translators', 'Prevajalci', '2012-05-12 17:57:43'),
(7571, 'sl', 'label', 'Updated', 'Posodobljeno', '2012-05-12 17:57:43'),
(7572, 'sl', 'label', 'Upgrade', 'Nadgradi', '2012-05-12 17:57:43'),
(7573, 'sl', 'label', 'Version', 'Verzija', '2012-05-12 17:57:43'),
(7574, 'sl', 'label', 'View Reports', 'Preglej poročila', '2012-05-12 17:57:43'),
(7575, 'sl', 'label', 'wantproceed', 'Resnično želite nadaljevati?', '2012-05-12 17:57:43'),
(7576, 'sl', 'login', 'Confirm Password', 'Potrdite geslo', '2012-01-28 09:29:09'),
(7577, 'sl', 'login', 'Create my account', 'Izdelajte si račun', '2012-01-28 09:29:09'),
(7578, 'sl', 'login', 'Create New Account', 'Izdelajte nov račun', '2012-01-28 09:29:09'),
(7579, 'sl', 'login', 'Email', 'E-poštni naslov', '2012-01-28 09:29:09'),
(7580, 'sl', 'login', 'emailexist', 'E-poštni naslov že obstaja', '2012-01-28 09:29:09'),
(7581, 'sl', 'login', 'Enter the code as it is shown', 'Vpišite kodo, kot je prikazana', '2012-01-28 09:29:09'),
(7582, 'sl', 'login', 'First Name', 'Ime', '2012-01-28 09:29:09'),
(7583, 'sl', 'login', 'Last Name', 'Priimek', '2012-01-28 09:29:09'),
(7584, 'sl', 'login', 'Login', 'Prijava', '2012-01-28 09:29:09'),
(7585, 'sl', 'login', 'Login incorrect', 'Prijava ni uspela', '2012-01-28 09:29:09'),
(7586, 'sl', 'login', 'newaccountsuccess', 'Uspešno ustvarjen nov račun', '2012-01-28 09:29:09'),
(7587, 'sl', 'login', 'Password', 'Geslo', '2012-01-28 09:29:09'),
(7588, 'sl', 'login', 'Password incorrect', 'Nepravilno geslo', '2012-01-28 09:29:09'),
(7589, 'sl', 'login', 'Register', 'Registracija', '2012-01-28 09:29:09'),
(7590, 'sl', 'login', 'Sign in to your account', 'Prijavite se v vaš račun', '2012-01-28 09:29:09'),
(7591, 'sl', 'login', 'User inactive', 'Uporabnik ni aktiven', '2012-01-28 09:29:09'),
(7592, 'sl', 'login', 'Username', 'Uporabniško ime', '2012-01-28 09:29:09'),
(7593, 'sl', 'login', 'usernameexist', 'Uporabniško ime že obstaja', '2012-01-28 09:29:09'),
(7594, 'sl', 'panel', 'About Us', 'O nas', '2012-05-12 17:58:34'),
(7595, 'sl', 'panel', 'Add following command to your cron tab', 'Dodajte naslednji cron ukaz', '2012-05-12 17:58:34'),
(7596, 'sl', 'panel', 'alsocheckfollowlink', 'Na tej povezavi lahko najdete več informacij.', '2012-05-12 17:58:34'),
(7597, 'sl', 'panel', 'Check Directory', 'Preverite mapo', '2012-05-12 17:58:34'),
(7598, 'sl', 'panel', 'Cron Command', 'Cron ukaz', '2012-05-12 17:58:34'),
(7599, 'sl', 'panel', 'Directory Manager', 'Upravljalec map', '2012-05-12 17:58:34'),
(7600, 'sl', 'panel', 'Edit My Profile', 'Uredi profil', '2012-05-12 17:58:34'),
(7601, 'sl', 'panel', 'Edit Project', 'Uredi projekt', '2012-05-12 17:58:34'),
(7602, 'sl', 'panel', 'My Profile', 'Moj profil', '2012-05-12 17:58:34'),
(7603, 'sl', 'panel', 'New Project', 'Nov projekt', '2012-05-12 17:58:34'),
(7604, 'sl', 'panel', 'New Proxy', 'Nov proxy', '2012-05-12 17:58:34'),
(7605, 'sl', 'panel', 'New User', 'novi uporabnik', '2012-05-12 17:58:34'),
(7606, 'sl', 'panel', 'New Website', 'Nova spletna stran', '2012-05-12 17:58:34'),
(7607, 'sl', 'panel', 'Proxy Manager', 'Upravitelj proxijev', '2012-05-12 17:58:34'),
(7608, 'sl', 'panel', 'Report Generation Manager', 'Upravljanje izdelave poročil', '2012-05-12 17:58:34'),
(7609, 'sl', 'panel', 'Reports Manager', 'Upravitelj poročil', '2012-05-12 17:58:34'),
(7610, 'sl', 'panel', 'Seo Plugins Manager', 'Upravitelj SEO dodatkov', '2012-05-12 17:58:34'),
(7611, 'sl', 'panel', 'Seo Tools Manager', 'Upravitelj SEO orodij', '2012-05-12 17:58:34'),
(7612, 'sl', 'panel', 'System Settings', 'Sistemske nastavitve', '2012-05-12 17:58:34'),
(7613, 'sl', 'panel', 'User Manager', 'Upravitelj uporabnikov', '2012-05-12 17:58:34'),
(7614, 'sl', 'panel', 'Website Manager', 'Upravitelj spletnih strani', '2012-05-12 17:58:34'),
(7615, 'sl', 'proxy', 'Edit Proxy', 'Uredi Proxy', '2012-01-28 09:32:57'),
(7616, 'sl', 'proxy', 'Proxy Password', 'Geslo za Proxy', '2012-01-28 09:32:57'),
(7617, 'sl', 'proxy', 'Proxy Username', 'Uporabniško ime za Proxy', '2012-01-28 09:32:57'),
(7618, 'sl', 'proxy', 'Proxyalreadyexist', 'Proxy že obstaja', '2012-01-28 09:32:57'),
(7619, 'sl', 'plugin', 'Edit Seo Plugin', 'Uredi SEO dodatek', '2012-05-12 17:59:13'),
(7620, 'sl', 'plugin', 'Plugin Name', 'Ime dodatka', '2012-05-12 17:59:13'),
(7621, 'sl', 'plugin', 'Seo Plugin Details', 'Podrobnosti dodatka', '2012-05-12 17:59:13'),
(7622, 'sl', 'rank', 'enterurlproceed', 'Vnesite URL naslove <b>vsakega v svojo vrstico</b>. Kliknite na <b>Nadaljuj</b> za preverjanje uvrstitev v Googlu in Alexi.', '2012-01-28 09:39:58'),
(7623, 'sl', 'rank', 'Google and Alexa Rank Reports', 'Poročila o uvrstitvah v Alexi in Googlu', '2012-01-28 09:39:58'),
(7624, 'sl', 'rank', 'Saved rank results of', 'Shranjeni rezultati za', '2012-01-28 09:39:58'),
(7625, 'sl', 'saturation', 'clickproceedsaturation', 'Vpišite URL naslove, <b>vsakega v svojo vrstico</b>. Kliknite na <b>Nadaljuj</b>za preverjanje nasičenosti', '2012-01-28 09:42:39'),
(7626, 'sl', 'saturation', 'GenerateSaturationReports', 'Izdelaj poročilo o zasičenosti', '2012-01-28 09:42:39'),
(7627, 'sl', 'saturation', 'Quick Search Engine Saturation Checker', 'Hiter pregled zasičenosti', '2012-01-28 09:42:39'),
(7628, 'sl', 'saturation', 'Saved Search Engine Saturation results of', 'Shranjeni rezultati o zasičenosti', '2012-01-28 09:42:39'),
(7629, 'sl', 'saturation', 'Search Engine Saturation Reports', 'Poročila o zasičenosti', '2012-01-28 09:42:39'),
(7630, 'sl', 'seotools', 'Auditor Projects', 'Projekti preverjanja', '2013-02-15 22:20:16'),
(7631, 'sl', 'seotools', 'Auditor Reports', 'Poročila preverjanja', '2013-02-15 22:20:16'),
(7632, 'sl', 'seotools', 'Auditor Settings', 'Nastavitve preverjanja', '2013-02-15 22:20:16'),
(7633, 'sl', 'seotools', 'Automatic Submission', 'Avtomatsko pošiljanje', '2013-02-15 22:20:16'),
(7634, 'sl', 'seotools', 'backlink-checker', 'Preverjanje povratnih povezav', '2013-02-15 22:20:16'),
(7635, 'sl', 'seotools', 'Backlinks Reports', 'Poročila o povratnih povezavah', '2013-02-15 22:20:16'),
(7636, 'sl', 'seotools', 'Check Submission Status', 'Preverjanje statusa pošiljanja', '2013-02-15 22:20:16'),
(7637, 'sl', 'seotools', 'clickgeneratereports', 'Kliknite na <b>Nadaljuj</b> za izdelavo poročil', '2013-02-15 22:20:16'),
(7638, 'sl', 'seotools', 'Detailed Position Reports', 'Podrobna poročila o uvrstitvah', '2013-02-15 22:20:16'),
(7639, 'sl', 'seotools', 'directory-submission', 'Pošiljanje v direktorije', '2013-02-15 22:20:16'),
(7640, 'sl', 'seotools', 'Featured Submission', 'Featured pošiljanje', '2013-02-15 22:20:16'),
(7641, 'sl', 'seotools', 'Generate Backlinks Reports', 'Izdelaj poročilo o povezavah', '2013-02-15 22:20:16'),
(7642, 'sl', 'seotools', 'Generate Keyword Reports', 'Izdelaj poročila o ključnih besedah', '2013-02-15 22:20:16'),
(7643, 'sl', 'seotools', 'Generate Rank Reports', 'Izdelaj poročila o uvrstitvah', '2013-02-15 22:20:16'),
(7644, 'sl', 'seotools', 'Generate Saturation Reports', 'Izdelaj poročila o preverjanju', '2013-02-15 22:20:16'),
(7645, 'sl', 'seotools', 'Google Sitemap Generator', 'Izdelaj sitemap', '2013-02-15 22:20:16'),
(7646, 'sl', 'seotools', 'Graphical Position Reports', 'Grafična poročila o uvrstitvah', '2013-02-15 22:20:16'),
(7647, 'sl', 'seotools', 'Import Project Links', 'Uvozi povezave projekta', '2013-02-15 22:20:16'),
(7648, 'sl', 'seotools', 'Keyword Position Summary', 'Izvleček poročila o ključnih besedah', '2013-02-15 22:20:16'),
(7649, 'sl', 'seotools', 'keyword-position-checker', 'Preverjanje uvrstitev', '2013-02-15 22:20:16'),
(7650, 'sl', 'seotools', 'Keywords Manager', 'Upravitelj ključnih besed', '2013-02-15 22:20:16'),
(7651, 'sl', 'seotools', 'Quick Backlinks Checker', 'Hitro preverjanje povratnih povezav', '2013-02-15 22:20:16'),
(7652, 'sl', 'seotools', 'Quick Position Checker', 'Hitro preverjanje uvrstitev', '2013-02-15 22:20:16'),
(7653, 'sl', 'seotools', 'Quick Rank Checker', 'Hitro preverjanje Rangiranja', '2013-02-15 22:20:16'),
(7654, 'sl', 'seotools', 'Quick Saturation Checker', 'Hitro preverjanje  (Saturation Checker)', '2013-02-15 22:20:16'),
(7655, 'sl', 'seotools', 'Rank Reports', 'Poročilo o rangiranju', '2013-02-15 22:20:16'),
(7656, 'sl', 'seotools', 'rank-checker', 'Rangiranje', '2013-02-15 22:20:16'),
(7657, 'sl', 'seotools', 'Saturation Reports', 'Saturation Reports', '2013-02-15 22:20:16'),
(7658, 'sl', 'seotools', 'saturation-checker', 'Search Engine Saturation', '2013-02-15 22:20:16'),
(7659, 'sl', 'seotools', 'site-auditor', 'Preverjanje strani', '2013-02-15 22:20:16'),
(7660, 'sl', 'seotools', 'sitemap-generator', 'Generator sitemapa', '2013-02-15 22:20:16'),
(7661, 'sl', 'seotools', 'Skipped Directories', 'Preskočeni direktoriji', '2013-02-15 22:20:16'),
(7662, 'sl', 'seotools', 'Submission Reports', 'Poročila o pošiljanju', '2013-02-15 22:20:16'),
(7663, 'sl', 'seotools', 'User Access', 'Uporabniški dostop', '2013-02-15 22:20:16'),
(7664, 'sl', 'website', 'Edit Website', 'Uredi spletno stran', '2012-01-28 09:59:05'),
(7665, 'sl', 'website', 'plscrtwebsite', 'Prosim ustvarite spletno stran pred začetkom dela z seo orodji in dodatki', '2012-01-28 09:59:05'),
(7666, 'sl', 'website', 'Website already exist', 'Stran že obstaja', '2012-01-28 09:59:05'),
(7667, 'sl', 'website', 'yourwebalreday', 'spletna stran, če ste jo že ustvarili.', '2012-01-28 09:59:05'),
(7668, 'sl', 'user', 'Edit User', 'Uredi uporabnika', '2012-01-28 09:59:29'),
(7669, 'sl', 'user', 'Saved My Profile Details', 'Shranjene podrobnosti profila', '2012-01-28 09:59:29'),
(7670, 'sl', 'sitemap', 'Change frequency', 'Spremeni pogostost', '2012-01-28 10:01:54'),
(7671, 'sl', 'sitemap', 'clickproceedsitemap', 'Kliknite na  <b>Nadaljuj</b> za izdelavo sitemap datoteke', '2012-01-28 10:01:54'),
(7672, 'sl', 'sitemap', 'Download sitemap file from', 'Povlecite datoteko', '2012-01-28 10:01:54'),
(7673, 'sl', 'sitemap', 'Exclude Url', 'Izključi URL', '2012-01-28 10:01:54'),
(7674, 'sl', 'sitemap', 'processtaketime', 'Ta proces lahko nekaj časa traja, odvisno od števila povezav na vaši spletni strani. Prosimo počakajte', '2012-01-28 10:01:54'),
(7675, 'sl', 'sitemap', 'Sitemap Type', 'Vrsta sitemap datoteke', '2012-01-28 10:01:54'),
(7676, 'vn', 'keyword', 'Crawling keyword', 'Đang kiểm tra thứ hạng từ khóa', '2012-01-30 22:33:14'),
(7677, 'vn', 'keyword', 'Detailed Keyword Position Reports', 'Báo cáo chi tiết vị trí Từ khóa', '2012-01-30 22:33:14'),
(7678, 'vn', 'keyword', 'Edit Keyword', 'Sửa Từ khóa', '2012-01-30 22:33:14'),
(7679, 'vn', 'keyword', 'Graphical Keyword Position Reports', 'Báo cáo chi tiết vị trí Từ khóa dạng Biểu đồ', '2012-01-30 22:33:14'),
(7680, 'vn', 'keyword', 'Import Keywords', 'Nhập nhiều Từ khóa', '2012-01-30 22:33:14'),
(7681, 'vn', 'keyword', 'Insert keywords separated with comma', 'Thêm Từ khóa cách nhau bằng dấu phẩy', '2012-01-30 22:33:14'),
(7682, 'vn', 'keyword', 'Keyword already exist', 'Từ khóa đã có', '2012-01-30 22:33:14'),
(7683, 'vn', 'keyword', 'Keyword Position Report', 'Báo cáo vị trí Từ khóa', '2012-01-30 22:33:14'),
(7684, 'vn', 'keyword', 'New Keyword', 'Từ khóa mới', '2012-01-30 22:33:14'),
(7685, 'vn', 'keyword', 'not assigned to required search engines', 'Không đúng với công cụ tìm kiếm được yêu cầu', '2012-01-30 22:33:14'),
(7686, 'vn', 'keyword', 'pleaseselecttool', 'Vui lòng chọn ít nhất một trong các Công cụ SEO', '2012-01-30 22:33:14'),
(7687, 'vn', 'keyword', 'Quick Keyword Position Checker', 'Kiểm tra nhanh vị trí Từ khóa', '2012-01-30 22:33:14'),
(7688, 'vn', 'keyword', 'results from ', 'khung kết quả', '2012-01-30 22:33:14'),
(7689, 'vn', 'keyword', 'Show All results', 'Hiển thị tất cả các kết quả', '2012-01-30 22:33:14'),
(7690, 'vn', 'keyword', 'Successfully crawled keyword', 'Đã thu thập thành công thông tin Từ khóa', '2012-01-30 22:33:14'),
(7691, 'vn', 'keyword', 'to create new keywords', 'dung để tạo các Từ khóa mới', '2012-01-30 22:33:14'),
(7692, 'vn', 'label', 'already exist', 'đã tồn tại', '2014-01-10 04:07:44'),
(7693, 'vn', 'label', 'Authentication', 'Xác thực', '2014-01-10 04:07:44'),
(7694, 'vn', 'label', 'Author', 'Tác giả', '2014-01-10 04:07:44'),
(7695, 'vn', 'label', 'Brocken', 'Bị hỏng', '2014-01-10 04:07:44'),
(7696, 'vn', 'label', 'Click Here', 'Click vào đây', '2014-01-10 04:07:44'),
(7697, 'vn', 'label', 'Comments', 'Các phản hồi', '2014-01-10 04:07:44'),
(7698, 'vn', 'label', 'Count', 'Đếm', '2014-01-10 04:07:44'),
(7699, 'vn', 'label', 'Cron', 'Định kỳ', '2014-01-10 04:07:44'),
(7700, 'vn', 'label', 'Description', 'Mô tả', '2014-01-10 04:07:44'),
(7701, 'vn', 'label', 'Developers', 'Nhà phát triển', '2014-01-10 04:07:44'),
(7702, 'vn', 'label', 'Download', 'Tải xuống', '2014-01-10 04:07:44'),
(7703, 'vn', 'label', 'Exclude', 'Loại trừ', '2014-01-10 04:07:44'),
(7704, 'vn', 'label', 'Include', 'Bao gồm', '2014-01-10 04:07:44'),
(7705, 'vn', 'label', 'Installation', 'Cài đặt', '2014-01-10 04:07:44'),
(7706, 'vn', 'label', 'Keywords', 'Các từ khóa', '2014-01-10 04:07:44'),
(7707, 'vn', 'label', 'noactiveplugins', 'Không tìm thấy phần mở rộng kích hoạt nào!', '2014-01-10 04:07:44'),
(7708, 'vn', 'label', 'Plugin', 'Phần mở rộng', '2014-01-10 04:07:44'),
(7709, 'vn', 'label', 'Port', 'Cổng', '2014-01-10 04:07:44'),
(7710, 'vn', 'label', 'Project', 'Dự án', '2014-01-10 04:07:44'),
(7711, 'vn', 'label', 'Proxy', 'Proxy', '2014-01-10 04:07:44'),
(7712, 'vn', 'label', 'Re-install', 'Cài đặt lại', '2014-01-10 04:07:44'),
(7713, 'vn', 'label', 'Report Type', 'Kiểu thông báo', '2014-01-10 04:07:44'),
(7714, 'vn', 'label', 'Score', 'Điểm', '2014-01-10 04:07:44'),
(7715, 'vn', 'label', 'Sponsors', 'Nhà tài trợ', '2014-01-10 04:07:44'),
(7716, 'vn', 'label', 'Title', 'Tiêu đề', '2014-01-10 04:07:44'),
(7717, 'vn', 'label', 'Total Results', 'Tổng hợp các kết quả', '2014-01-10 04:07:44'),
(7718, 'vn', 'label', 'translation by', 'dịch bởi', '2014-01-10 04:07:44'),
(7719, 'vn', 'label', 'Translators', 'Người dịch', '2014-01-10 04:07:44'),
(7720, 'vn', 'label', 'Updated', 'Đã cập nhập', '2014-01-10 04:07:44'),
(7721, 'vn', 'label', 'Upgrade', 'Nâng cấp', '2014-01-10 04:07:44'),
(7722, 'vn', 'label', 'Version', 'Phiên bản', '2014-01-10 04:07:44'),
(7723, 'vn', 'label', 'View Reports', 'Xem các Báo cáo', '2014-01-10 04:07:44'),
(7724, 'vn', 'label', 'wantproceed', 'Bạn thực sự muốn thực hiện?', '2014-01-10 04:07:44'),
(7725, 'vn', 'login', 'Confirm Password', 'Nhập lại Mật khẩu', '2014-01-10 04:02:16'),
(7726, 'vn', 'login', 'Create my account', 'Tạo tài khoản của tôi', '2014-01-10 04:02:16'),
(7727, 'vn', 'login', 'Create New Account', 'Tạo tài khoản mới', '2014-01-10 04:02:16'),
(7728, 'vn', 'login', 'Email', 'Thư điện tử', '2014-01-10 04:02:16'),
(7729, 'vn', 'login', 'emailexist', 'Địa chỉ thư điện tử này đã tồn tại', '2014-01-10 04:02:16'),
(7730, 'vn', 'login', 'Enter the code as it is shown', 'Nhập vào đoạn mã hiển thị', '2014-01-10 04:02:16'),
(7731, 'vn', 'login', 'First Name', 'Tên', '2014-01-10 04:02:16'),
(7732, 'vn', 'login', 'Last Name', 'Họ và Tên', '2014-01-10 04:02:16'),
(7733, 'vn', 'login', 'Login', 'Đăng nhập', '2014-01-10 04:02:16'),
(7734, 'vn', 'login', 'Login incorrect', 'Đăng nhập sai', '2014-01-10 04:02:16'),
(7735, 'vn', 'login', 'newaccountsuccess', 'Tài khoản mới đã được tạo thành công!', '2014-01-10 04:02:16'),
(7736, 'vn', 'login', 'Password', 'Mật khẩu', '2014-01-10 04:02:16'),
(7737, 'vn', 'login', 'Password incorrect', 'Mật khẩu sai', '2014-01-10 04:02:16'),
(7738, 'vn', 'login', 'Register', 'Đăng ký', '2014-01-10 04:02:16'),
(7739, 'vn', 'login', 'Sign in to your account', 'Đăng nhập vào tài khoản của bạn', '2014-01-10 04:02:16'),
(7740, 'vn', 'login', 'User inactive', 'Người sử dụng chưa kích hoạt', '2014-01-10 04:02:16'),
(7741, 'vn', 'login', 'Username', 'Tên đăng nhập', '2014-01-10 04:02:16'),
(7742, 'vn', 'login', 'usernameexist', 'Tên đăng nhập đã tồn tại', '2014-01-10 04:02:16'),
(7743, 'vn', 'panel', 'About Us', 'Giới thiệu', '2014-01-10 04:09:42'),
(7744, 'vn', 'panel', 'Add following command to your cron tab', 'Thêm lệnh sau đây vào bảng lệnh định kỳ của bạn', '2014-01-10 04:09:42'),
(7745, 'vn', 'panel', 'alsocheckfollowlink', 'Kiểm tra liên kết sau đây nếu cần biết thêm chi tiết.', '2014-01-10 04:09:42'),
(7746, 'vn', 'panel', 'Check Directory', 'Kiểm tra danh mục', '2014-01-10 04:09:42'),
(7747, 'vn', 'panel', 'Cron Command', 'Lệnh định kỳ', '2014-01-10 04:09:42'),
(7748, 'vn', 'panel', 'Directory Manager', 'Quản lý danh mục', '2014-01-10 04:09:42'),
(7749, 'vn', 'panel', 'Edit My Profile', 'Chỉnh sửa Hồ sơ của tôi', '2014-01-10 04:09:42'),
(7750, 'vn', 'panel', 'Edit Project', 'Sửa dự án', '2014-01-10 04:09:42'),
(7751, 'vn', 'panel', 'My Profile', 'Hồ sơ của tôi', '2014-01-10 04:09:42'),
(7752, 'vn', 'panel', 'New Project', 'Dự án mới', '2014-01-10 04:09:42'),
(7753, 'vn', 'panel', 'New Proxy', 'Proxy mới', '2014-01-10 04:09:42'),
(7754, 'vn', 'panel', 'New User', 'Người dùng mới', '2014-01-10 04:09:42'),
(7755, 'vn', 'panel', 'New Website', 'Website mới', '2014-01-10 04:09:42'),
(7756, 'vn', 'panel', 'Proxy Manager', 'Quản lý Proxy', '2014-01-10 04:09:42'),
(7757, 'vn', 'panel', 'Report Generation Manager', 'Quản lý Tạo báo cáo', '2014-01-10 04:09:42'),
(7758, 'vn', 'panel', 'Reports Manager', 'Quản lý Báo cáo', '2014-01-10 04:09:42'),
(7759, 'vn', 'panel', 'Seo Plugins Manager', 'Quản lý các Plugins Seo', '2014-01-10 04:09:42'),
(7760, 'vn', 'panel', 'Seo Tools Manager', 'Quản lý công cụ Seo', '2014-01-10 04:09:42'),
(7761, 'vn', 'panel', 'System Settings', 'Cấu hình hệ thống', '2014-01-10 04:09:42'),
(7762, 'vn', 'panel', 'User Manager', 'Quản lý Người sử dụng', '2014-01-10 04:09:42'),
(7763, 'vn', 'panel', 'Website Manager', 'Quản lý Website', '2014-01-10 04:09:42'),
(7764, 'vn', 'plugin', 'Edit Seo Plugin', 'Sửa Plugin Seo', '2014-01-10 04:10:14'),
(7765, 'vn', 'plugin', 'Plugin Name', 'Tên Plugin', '2014-01-10 04:10:14'),
(7766, 'vn', 'plugin', 'Seo Plugin Details', 'Chi tiết Plugin Seo', '2014-01-10 04:10:14'),
(7767, 'vn', 'proxy', 'Edit Proxy', 'Sửa Proxy', '2014-01-10 04:06:44'),
(7768, 'vn', 'proxy', 'Proxy Password', 'Mật khẩu Proxy', '2014-01-10 04:06:44'),
(7769, 'vn', 'proxy', 'Proxy Username', 'Tên đăng nhập Proxy', '2014-01-10 04:06:44'),
(7770, 'vn', 'proxy', 'Proxyalreadyexist', 'Proxy đã tồn tại!', '2014-01-10 04:06:44'),
(7771, 'vn', 'rank', 'enterurlproceed', 'Nhập Một URL <b>Trên mỗi dòng </ b>. Click vào <b> xử lý </ b> để kiểm tra thứ hạng Google và Alexa.', '2012-01-30 23:12:21'),
(7772, 'vn', 'rank', 'Google and Alexa Rank Reports', 'Báo cáo thứ hạng Google và Alexa', '2012-01-30 23:12:21'),
(7773, 'vn', 'rank', 'Saved rank results of', 'Đã lưu kết quả thứ hạng của', '2012-01-30 23:12:21'),
(7774, 'vn', 'saturation', 'clickproceedsaturation', 'Nhập Một URL <b>Trên mỗi dòng </ b>. Click vào <b>xử lý</ b> để kiểm tra kết quả chỉ số của máy tìm kiếm.', '2012-01-30 23:19:26'),
(7775, 'vn', 'saturation', 'GenerateSaturationReports', 'Tạo báo cáo kết quả chỉ số của máy tìm kiếm', '2012-01-30 23:19:26'),
(7776, 'vn', 'saturation', 'Quick Search Engine Saturation Checker', 'Kiểm tra nhanh chỉ số của máy tìm kiếm', '2012-01-30 23:19:26'),
(7777, 'vn', 'saturation', 'Saved Search Engine Saturation results of', 'Đã lưu kết quả chỉ số máy tìm kiếm của', '2012-01-30 23:19:26'),
(7778, 'vn', 'saturation', 'Search Engine Saturation Reports', 'Báo cáo chỉ số của máy tìm kiếm', '2012-01-30 23:19:26'),
(7779, 'vn', 'seotools', 'Auditor Projects', 'Kiểm tra dự án', '2012-01-31 17:45:48'),
(7780, 'vn', 'seotools', 'Auditor Reports', 'Kiểm tra báo cáo', '2012-01-31 17:45:48'),
(7781, 'vn', 'seotools', 'Auditor Settings', 'Kiểm tra Cài đặt', '2012-01-31 17:45:48'),
(7782, 'vn', 'seotools', 'Automatic Submission', 'Tự động gửi danh bạ', '2012-01-31 17:45:48'),
(7783, 'vn', 'seotools', 'backlink-checker', 'Kiểm tra Backlink', '2012-01-31 17:45:48'),
(7784, 'vn', 'seotools', 'Backlinks Reports', 'Báo cáo Backlink', '2012-01-31 17:45:48'),
(7785, 'vn', 'seotools', 'Check Submission Status', 'Kiểm tra trạng thái danh bạ', '2012-01-31 17:45:48'),
(7786, 'vn', 'seotools', 'clickgeneratereports', 'Ckick vào <b>xử lý</b> để tạo báo cáo', '2012-01-31 17:45:48'),
(7787, 'vn', 'seotools', 'Detailed Position Reports', 'Báo cáo chi tiết vị trí', '2012-01-31 17:45:48'),
(7788, 'vn', 'seotools', 'directory-submission', 'Gửi lên danh bạ', '2012-01-31 17:45:48'),
(7789, 'vn', 'seotools', 'Featured Submission', 'Các thông tin gửi', '2012-01-31 17:45:48'),
(7790, 'vn', 'seotools', 'Generate Backlinks Reports', 'Tạo báo cáo Backlink', '2012-01-31 17:45:48'),
(7791, 'vn', 'seotools', 'Generate Keyword Reports', 'Tạo báo cáo từ khóa', '2012-01-31 17:45:48'),
(7792, 'vn', 'seotools', 'Generate Rank Reports', 'Tạo báo cáo thứ hạng', '2012-01-31 17:45:48'),
(7793, 'vn', 'seotools', 'Generate Saturation Reports', 'Tạo báo cáo chỉ số', '2012-01-31 17:45:48'),
(7794, 'vn', 'seotools', 'Google Sitemap Generator', 'Tạo bản đồ website cho Google', '2012-01-31 17:45:48'),
(7795, 'vn', 'seotools', 'Graphical Position Reports', 'Báo cáo vị trí dạng biểu đồ', '2012-01-31 17:45:48'),
(7796, 'vn', 'seotools', 'Import Project Links', 'Thêm liên kết dự án', '2012-01-31 17:45:48'),
(7797, 'vn', 'seotools', 'Keyword Position Summary', 'Tóm tắt vị trí từ khóa', '2012-01-31 17:45:48'),
(7798, 'vn', 'seotools', 'keyword-position-checker', 'Kiểm tra vị trí từ khóa', '2012-01-31 17:45:48'),
(7799, 'vn', 'seotools', 'Keywords Manager', 'Quản lý từ khóa', '2012-01-31 17:45:48'),
(7800, 'vn', 'seotools', 'Quick Backlinks Checker', 'Kiểm tra nhanh back link', '2012-01-31 17:45:48'),
(7801, 'vn', 'seotools', 'Quick Position Checker', 'Kiểm tra nhanh vị trí từ khóa', '2012-01-31 17:45:48'),
(7802, 'vn', 'seotools', 'Quick Rank Checker', 'Kiểm tra nhanh thứ hạng', '2012-01-31 17:45:48'),
(7803, 'vn', 'seotools', 'Quick Saturation Checker', 'Kiểm tra nhanh chỉ số', '2012-01-31 17:45:48'),
(7804, 'vn', 'seotools', 'Rank Reports', 'Báo cáo thứ hạng', '2012-01-31 17:45:48'),
(7805, 'vn', 'seotools', 'rank-checker', 'Kiểm tra thứ hạng', '2012-01-31 17:45:48'),
(7806, 'vn', 'seotools', 'Saturation Reports', 'Báo cáo chỉ số', '2012-01-31 17:45:48'),
(7807, 'vn', 'seotools', 'saturation-checker', 'Chỉ số của máy tìm kiếm', '2012-01-31 17:45:48'),
(7808, 'vn', 'seotools', 'site-auditor', 'Kiểm toán trang web', '2012-01-31 17:45:48'),
(7809, 'vn', 'seotools', 'sitemap-generator', 'Tạo bản đồ website', '2012-01-31 17:45:48'),
(7810, 'vn', 'seotools', 'Skipped Directories', 'Bỏ qua thư mục', '2012-01-31 17:45:48'),
(7811, 'vn', 'seotools', 'Submission Reports', 'Gửi báo cáo', '2012-01-31 17:45:48'),
(7812, 'vn', 'seotools', 'User Access', 'Thành viên truy cập', '2012-01-31 17:45:48'),
(7813, 'vn', 'settings', 'Check for Updates', 'Kiểm tra bản nâng cấp', '2014-01-10 04:26:44'),
(7814, 'vn', 'settings', 'Click here to become a sponsor for Seo Panel', '<b>Ủng hộ $100</b> và trở thành <b>nhà tài trợ</b> của Seo Panel', '2014-01-10 04:26:44'),
(7815, 'vn', 'settings', 'SA_CRAWL_DELAY_TIME', 'Trang web kiểm toán viên thu thập dữ liệu chậm trễ giữa mỗi trang', '2014-01-10 04:26:44'),
(7816, 'vn', 'settings', 'SA_MAX_NO_PAGES', 'Giới hạn số trang lớn nhất đồng ý mỗi website', '2014-01-10 04:26:44'),
(7817, 'vn', 'settings', 'seopanel_description', 'Một bảng điều khiển hoàn toàn miễn phí quản lý tối ưu hóa công cụ tìm kiếm của các trang web của bạn.Nó chứa rất nhiều các công cụ seo nóng gia tăng và theo dõi các tiến trình trang web của bạn. Nó là một phần mềm nguồn mở và bạn cũng có thể phát triển các plugin seo riêng của bạn cho seo panel.', '2014-01-10 04:26:44'),
(7818, 'vn', 'settings', 'seopanel_title', 'Seo Panel: Bảng điều khiển seo mã nguồn mở đầu tiên trên thế giới hỗ trợ quản lý nhiều website', '2014-01-10 04:26:44'),
(7819, 'vn', 'settings', 'SP_API_KEY', 'Seo Panel API Key', '2014-01-10 04:26:44'),
(7820, 'vn', 'settings', 'SP_CRAWL_DELAY', 'Thời gian chậm mỗi khi nhện tìm kiếm thu thập thông tin (tính theo giây)', '2014-01-10 04:26:44'),
(7821, 'vn', 'settings', 'SP_DEFAULTLANG', 'Ngôn ngữ mặc định', '2014-01-10 04:26:44'),
(7822, 'vn', 'settings', 'SP_DESCRIPTION', 'Mô tả Seo Panel', '2014-01-10 04:26:44'),
(7823, 'vn', 'settings', 'SP_ENABLE_PROXY', 'Bật Proxy', '2014-01-10 04:26:44'),
(7824, 'vn', 'settings', 'SP_HOTLINKING', 'Kích hoạt bảo vệ hình ảnh hotlink', '2014-01-10 04:26:44'),
(7825, 'vn', 'settings', 'SP_KEYWORDS', 'Từ khóa Seo Panel ', '2014-01-10 04:26:44'),
(7826, 'vn', 'settings', 'SP_PAGINGNO', 'Số mục mỗi trang', '2014-01-10 04:26:44'),
(7827, 'vn', 'settings', 'SP_TITLE', 'Tiêu đề Seo Panel ', '2014-01-10 04:26:44'),
(7828, 'vn', 'settings', 'SP_USER_AGENT', 'Đại diện người sử dụng', '2014-01-10 04:26:44'),
(7829, 'vn', 'settings', 'SP_USER_GEN_REPORT', 'Đồng ý cho người sử dụng tạo báo cáo', '2014-01-10 04:26:44'),
(7830, 'vn', 'settings', 'SP_USER_REGISTRATION', 'Đăng ký giao diện người dùng', '2014-01-10 04:26:44'),
(7831, 'vn', 'settings', 'syssettingssaved', 'Cấu hình hệ thống đã được lưu thành công!', '2014-01-10 04:26:44'),
(7832, 'vn', 'settings', 'versionnotuptodatemsg', 'Bộ cài đặt Seo Panel của bạn chưa cập nhật. <br>Hãy tải về bản mới nhất', '2014-01-10 04:26:44'),
(7833, 'vn', 'settings', 'Your Seo Panel installation is up to date', 'Bộ cài đặt Seo Panel của bạn đang là bản mới nhất.', '2014-01-10 04:26:44'),
(7834, 'vn', 'user', 'Edit User', 'Sửa thành viên', '2012-01-31 21:01:18'),
(7835, 'vn', 'user', 'Saved My Profile Details', 'Lưu chi tiết hồ sơ của tôi', '2012-01-31 21:01:18'),
(7836, 'vn', 'website', 'Edit Website', 'Sửa website', '2012-01-31 21:02:54'),
(7837, 'vn', 'website', 'plscrtwebsite', 'Hãy tạo một website trước khi bắt đầu sử dụng các công cụ seo và các seo plugin.', '2012-01-31 21:02:54'),
(7838, 'vn', 'website', 'Website already exist', 'website đã có', '2012-01-31 21:02:54'),
(7839, 'vn', 'website', 'yourwebalreday', 'website của bạn nếu bạn đã tạo một cái', '2012-01-31 21:02:54'),
(7840, 'vn', 'sitemap', 'Change frequency', 'thay đổi tần xuất', '2012-01-31 21:20:45'),
(7841, 'vn', 'sitemap', 'clickproceedsitemap', 'Click vào <b>xử lý</b> để tạo file sitemap', '2012-01-31 21:20:45'),
(7842, 'vn', 'sitemap', 'Download sitemap file from', 'Tải file sitemap từ', '2012-01-31 21:20:45'),
(7843, 'vn', 'sitemap', 'Exclude Url', 'Loại trừ url', '2012-01-31 21:20:45'),
(7844, 'vn', 'sitemap', 'processtaketime', 'Quá trình này sẽ mất thời gian theo số lượng các liên kết trong trang web của bạn.Xin vui lòng chờ đợi để có được các tập tin sitemap', '2012-01-31 21:20:45'),
(7845, 'vn', 'sitemap', 'Sitemap Type', 'Kiểu sitemap', '2012-01-31 21:20:45'),
(7846, 'vn', 'siteauditor', 'Anchor', 'Anchor', '2012-02-02 21:04:10'),
(7847, 'vn', 'siteauditor', 'anylinkcontainabovelinks', 'Bất cứ liên kết nào chứa trên các liên kết sẽ được loại trừ từ các báo cáo', '2012-02-02 21:04:10'),
(7848, 'vn', 'siteauditor', 'anylinkcontainexcludesitemap', 'Bất cứ liên kết nào chứa trên các liên kết sẽ được loại trừ từ sitemap', '2012-02-02 21:04:10'),
(7849, 'vn', 'siteauditor', 'Check backlinks of pages', 'Kiểm tra các backlink của trang', '2012-02-02 21:04:10'),
(7850, 'vn', 'siteauditor', 'Check broken links in a page', 'Kiểm tra các liên kết hỏng của trang', '2012-02-02 21:04:10'),
(7851, 'vn', 'siteauditor', 'Check google pagerank of pages', 'Kiểm tra google pagerank của trang', '2012-02-02 21:04:10'),
(7852, 'vn', 'siteauditor', 'Check pages indexed or not', 'Kiểm tra trang đã được index hay chưa', '2012-02-02 21:04:10'),
(7853, 'vn', 'siteauditor', 'Check Score', 'Kiểm tra điểm', '2012-02-02 21:04:10'),
(7854, 'vn', 'siteauditor', 'checkborckenlinkwait', 'Kiểm tra các liên kết hoảng sẽ làm tăng thời gian tính toán của dự án', '2012-02-02 21:04:10'),
(7855, 'vn', 'siteauditor', 'Completed project execution', 'Hoàn thành thực hiện dự án', '2012-02-02 21:04:10'),
(7856, 'vn', 'siteauditor', 'Crawled', 'Đã crawl', '2012-02-02 21:04:10'),
(7857, 'vn', 'siteauditor', 'Crawled Pages', 'Các trang đã crawl', '2012-02-02 21:04:10'),
(7858, 'vn', 'siteauditor', 'crawledsuccesssfullywaitfornext', 'Thu thập thông tin (crawl) thành công! Đang chờ để thu thập dữ liệu trang tiếp theo', '2012-02-02 21:04:10'),
(7859, 'vn', 'siteauditor', 'Crawling Page', 'Đang crawl trang', '2012-02-02 21:04:10'),
(7860, 'vn', 'siteauditor', 'Duplicate Description', 'Trùng lặp mô tả', '2012-02-02 21:04:10'),
(7861, 'vn', 'siteauditor', 'Duplicate Keywords', 'Trùng lặp các từ khóa', '2012-02-02 21:04:10'),
(7862, 'vn', 'siteauditor', 'Duplicate Title', 'Trùng lặp tiêu đề', '2012-02-02 21:04:10'),
(7863, 'vn', 'siteauditor', 'Exclude links', 'Các liên kết loại trừ', '2012-02-02 21:04:10'),
(7864, 'vn', 'siteauditor', 'Execute with cron', 'Loại trừ với cron', '2012-02-02 21:04:10'),
(7865, 'vn', 'siteauditor', 'External', 'Bên ngoài', '2012-02-02 21:04:10'),
(7866, 'vn', 'siteauditor', 'External Links', 'Các liên kết ngoại', '2012-02-02 21:04:10'),
(7867, 'vn', 'siteauditor', 'Import Project Links', 'Thêm các liên kết dự án', '2012-02-02 21:04:10'),
(7868, 'vn', 'siteauditor', 'Insert links separated with comma', 'Thêm liên kết cách nhau bởi dấu phảy', '2012-02-02 21:04:10'),
(7869, 'vn', 'siteauditor', 'insertlinkssepcoma', 'Chèn liên kết cách nhau bằng dấu phẩy để loại trừ các liên kết vô hạn từ các báo cáo', '2012-02-02 21:04:10'),
(7870, 'vn', 'siteauditor', 'Link Reports', 'Báo cáo liên kết', '2012-02-02 21:04:10'),
(7871, 'vn', 'siteauditor', 'Link Title', 'Tiêu đề liên kết', '2012-02-02 21:04:10'),
(7872, 'vn', 'siteauditor', 'Maximum number of pages to be checked', 'Số trang lớn nhất sẽ được kiểm tra', '2012-02-02 21:04:10'),
(7873, 'vn', 'siteauditor', 'Maximum Pages', 'Số trang lớn nhất', '2012-02-02 21:04:10'),
(7874, 'vn', 'siteauditor', 'No active projects found', 'Không có dự án nào được bật', '2012-02-02 21:04:10'),
(7875, 'vn', 'siteauditor', 'Nofollow', 'Nofollow', '2012-02-02 21:04:10'),
(7876, 'vn', 'siteauditor', 'Number of pages is greater than', 'Số lượng trang lớn hơn', '2012-02-02 21:04:10'),
(7877, 'vn', 'siteauditor', 'Number of pages should be greater than', 'Số lượng trang nên lớn hơn', '2012-02-02 21:04:10'),
(7878, 'vn', 'siteauditor', 'Page Details', 'Chi tiết trang', '2012-02-02 21:04:10'),
(7879, 'vn', 'siteauditor', 'Page Link', 'Liên kết trang', '2012-02-02 21:04:10'),
(7880, 'vn', 'siteauditor', 'Page Links', 'Các Liên kết trang', '2012-02-02 21:04:10'),
(7881, 'vn', 'siteauditor', 'Pages Found', 'Các trang tìm thấy', '2012-02-02 21:04:10'),
(7882, 'vn', 'siteauditor', 'pressescapetostopexecution', 'Nhấn phím <b>escape</b> để dừng việc tính toán lại', '2012-02-02 21:04:10'),
(7883, 'vn', 'siteauditor', 'Project Summary', 'Tóm tắt dự án', '2012-02-02 21:04:10'),
(7884, 'vn', 'siteauditor', 'Project Url', 'Dự án url', '2012-02-02 21:04:10'),
(7885, 'vn', 'siteauditor', 'projectalreadyexist', 'Dự án cho website này đã tồn tại', '2012-02-02 21:04:10'),
(7886, 'vn', 'siteauditor', 'Recheck Pages', 'Kiểm tra lại các trang', '2012-02-02 21:04:10'),
(7887, 'vn', 'siteauditor', 'Report Summary', 'Tóm tắt báo cáo', '2012-02-02 21:04:10'),
(7888, 'vn', 'siteauditor', 'Run Project', 'Chạy dự án', '2012-02-02 21:04:10'),
(7889, 'vn', 'siteauditor', 'should start with', 'nên bắt đầu với', '2012-02-02 21:04:10'),
(7890, 'vn', 'siteauditor', 'Site Auditor Settings', 'Cấu hình phân tính website', '2012-02-02 21:04:10'),
(7891, 'vn', 'siteauditor', 'Store all links found in a page', 'Lưu toàn bộ liên kết tìm được trong một trang', '2012-02-02 21:04:10'),
(7892, 'vn', 'siteauditor', 'The page description length is not between', 'Chiều dài mô tả trang không phải là giữa', '2012-02-02 21:04:10'),
(7893, 'vn', 'siteauditor', 'The page is brocken', 'Trang web bị hỏng', '2012-02-02 21:04:10'),
(7894, 'vn', 'siteauditor', 'The page is having exellent number of backlinks in', 'Trang này có số backlink đến tuyệt vời', '2012-02-02 21:04:10'),
(7895, 'vn', 'siteauditor', 'The page is having exellent pagerank', 'Trang này có pagerank tuyệt vời', '2012-02-02 21:04:10'),
(7896, 'vn', 'siteauditor', 'The page is having good number of backlinks in', 'Trang này có số backlink đến tốt', '2012-02-02 21:04:10'),
(7897, 'vn', 'siteauditor', 'The page is having good pagerank', 'Trang này có pagerank tốt', '2012-02-02 21:04:10'),
(7898, 'vn', 'siteauditor', 'The page is having poor pagerank', 'Trang này có pagerank kém', '2012-02-02 21:04:10'),
(7899, 'vn', 'siteauditor', 'The page is having very good pagerank', 'Trang này có pagerank rất tốt', '2012-02-02 21:04:10'),
(7900, 'vn', 'siteauditor', 'The page is not having backlinks in', 'Trang này không có backlink đến', '2012-02-02 21:04:10'),
(7901, 'vn', 'siteauditor', 'The page is not indexed in', 'Trang này chưa được index', '2012-02-02 21:04:10'),
(7902, 'vn', 'siteauditor', 'The page keywords length is not between', 'Độ dài từ khóa của trang không nằm giữa', '2012-02-02 21:04:10'),
(7903, 'vn', 'siteauditor', 'The page title length is not between', 'Độ dài tiêu đề của trang không nằm giữa', '2012-02-02 21:04:10'),
(7904, 'vn', 'siteauditor', 'The total number of links in page is greater than', 'Tổng số lượng liên kết của trang hơn', '2012-02-02 21:04:10'),
(7905, 'vn', 'siteauditor', 'to run project again if you stopped execution', 'để chạy dự án lại bạn cần dừng việc tính toán', '2012-02-02 21:04:10'),
(7906, 'vn', 'siteauditor', 'to view the reports', 'xem các báo cáo', '2012-02-02 21:04:10'),
(7907, 'vn', 'siteauditor', 'Total Links', 'tổng số liên kết', '2012-02-02 21:04:10'),
(7908, 'vn', 'siteauditor', 'totallinksgreaterallowed', 'Tổng số liên kết sẽ trở nên lớn hơn so với các liên kết tối đa cho phép cho dự án', '2012-02-02 21:04:10'),
(7909, 'vn', 'support', 'support_cont1', '<fieldset>\r\n<legend>Hệ thống hỗ trợ Seo panel</legend>\r\n<ul class=\\\"infobox\\\">\r\n    <li>\r\n        <h1>Gói 1000 danh bạ</h1>\r\n        <p>\r\n            Chúng tôi đang cung cấp <b>miễn phí kích hoạt và xác minh 1000</b> gói danh bạthư mục internet, để thêm vào\r\ncủa bạn seo panel <b> công cụ gửi danh bạ</b>.\r\n            Nó sẽ giúp bạn <b> tăng backlinks </b> của trang web của bạn.\r\n            Trên thực tế 1000 danh sách thư mục danh bạ là <b> giới thiệu </b> để thu thập một số tiền cho <b> tương lai\r\nphát triển </b> seo panel.\r\n            Để có được 1000 danh sách thư mục xin vui lòng <a href=\\\"<?=SP_DONATE_LINK?>\\\" target=\\\"_blank\\\"> ủng hộ </a>\r\n$10 hoặc nhiều hơn để cải thiện các tính năng của bảng điều khiển seo.\r\n            Nếu bạn có bất kỳ câu hỏi về 1000 gói thư mục, xin vui lòng <a href=\\\"<?=SP_CONTACT_LINK?>\\\" target=\\\"_blank\\\"> liên hệ với chúng tôi </a> hoặc mở một vé trong <a href=\\\"<?=SP_SUPPORT_LINK?>\\\" target=\\\"_blank\\\"> hệ thống hỗ trợ </a>.\r\n        </p>\r\n        <p>\r\n            <a href=\\\"<?=SP_DONATE_LINK?>\\\" target=\\\"_blank\\\"> Bạn hãy xem liên kết này để quyên góp cho seo panel</a>\r\n        </p>\r\n    </li>\r\n    \r\n    <li>\r\n        <h1> địa phương Tìm kiếm Công cụ trọn gói </h1>\r\n        <p>\r\n            Thêm <b> lĩnh vực công cụ tìm kiếm địa phương </b> của google, yahoo, msn (<b> ví dụ như: www.google.de, www.google.fr... </b>) để kiểm tra <b> vị trí bảng điều khiển từ khóa seo </b>, để theo dõi Biến trang web của bạn tại địa phương.\r\n            Để có được công cụ tìm kiếm địa phương gói (theo yêu cầu của bạn), xin vui lòng <a href=\\\"<?=SP_DONATE_LINK?>\\\" target=\\\"_blank\\\"> ủng hộ </a> $ 10 hoặc nhiều hơn để cải thiện các tính năng của seo\r\nbảng điều khiển.\r\n            Trước khi gửi ủng hộ, xin vui lòng <a href=\\\"<?=SP_CONTACT_LINK?>\\\" target=\\\"_blank\\\">liên hệ với chúng tôi</a> cung cấp chúng tôi yêu cầu danh sách công cụ tìm kiếm tên miền.\r\n            <br>\r\n            Ngoài ra để thêm công cụ tìm kiếm <b> mới (ví dụ như: baidu.com) </b> để kiểm tra bảng điều khiển vị trí của bạn seo từ khóa, xin vui lòng <a href=\\\"<?=SP_CONTACT_LINK?>\\\" target=\\\"_blank\\\"> liên hệ với chúng tôi </a> hoặc mở một vé máy bay trong một\r\n<a href=\\\"<?=SP_SUPPORT_LINK?>\\\" target=\\\"_blank\\\"> hỗ trợ hệ thống </a>.\r\n        </p>\r\n        <p class=\\\"visit\\\">\r\n            <a href=\\\"<?=SP_CONTACT_LINK?>\\\" target=\\\"_blank\\\"> Bạn hãy xem liên kết này để liên hệ với chúng tôi </a>\r\n        </p>        \r\n    </li>\r\n    \r\n    <li>\r\n        <h1> Seo Panel Plugins </h1>\r\n        <p>\r\n            Thêm <b> seo plugin </b> vào bảng seo của bạn để <b> mở rộng các tính năng </b> theo của bạn\r\nyêu cầu.\r\n            <a href=\\\"<?=SP_PLUGINSITE?>\\\" target=\\\"_blank\\\"> seo panel bổ sung </a> được cung cấp bởi cả hai bảng điều khiển seo\r\nvà các trang web của bên thứ ba.\r\n            Bạn cũng có thể dễ dàng <b> phát triển </b> seo plugin cho bảng điều khiển seo của bạn.\r\n            Bạn có thể <a href=\\\"<?=SP_PLUGINSITE?>\\\" target=\\\"_blank\\\"> trình </a> Plugin seo seo bảng và chúng tôi <b> sẽ công bố </b> nó trong trang web của chúng tôi sau khi xem xét <b> của chúng tôi </b> quá trình.\r\n        </p>\r\n        <p>\r\n            <a href=\\\"<?=SP_PLUGINSITE?>\\\" target=\\\"_blank\\\"> Bạn hãy xem liên kết này để có được seo panel bổ sung </a>\r\n        </p>        \r\n    </li>\r\n    <li>\r\n        <h1> Liên hệ </h1>\r\n        <p>\r\n            Liên hệ với chúng tôi để bất kỳ câu hỏi nào về <b> bảng điều khiển công cụ seo, bổ sung và các tính năng ... </b> bằng cách sử dụng liên kết dưới đây.\r\n        </p>\r\n        <p>\r\n            <a href=\\\"<?=SP_CONTACT_LINK?>\\\" target=\\\"_blank\\\"> Bạn hãy xem liên kết này để liên hệ với chúng tôi </a>\r\n        </p>\r\n    </li>\r\n    <li>\r\n        <h1>Gửi yêu cầu hỗ trợ </h1>\r\n        <p>\r\n            Để có được <b>hỗ trợ kỹ thuật</b> từ nhóm seo panel để thiết lập các công cụ <b> seo panel, bổ sung các tính năng </b>. Ví dụ: Để thiết lập định kỳ để kiểm tra vị trí từ khóa.\r\n        </p>\r\n        <p>\r\n            <a href=\\\"<?=SP_SUPPORT_LINK?>\\\" target=\\\"_blank\\\"> Truy cập vào liên kết này để tạo ra một vé hỗ trợ </a>\r\n        </p>        \r\n    </li>\r\n    <li>\r\n        <h1> Báo cáo các lỗi</h1>\r\n        <p>\r\n            Báo cáo <b> lỗi </b> về <b> bảng điều khiển công cụ seo, bổ sung và các tính năng ... </b> bằng cách sử dụng liên kết dưới đây.\r\n            xin vui lòng giúp chúng tôi cải tiến các tính năng trong phiên bản tiếp theo.\r\n        </p>\r\n        <p>\r\n            <a href=\\\"<?=SP_SUPPORT_LINK?>\\\" target=\\\"_blank\\\"> Truy cập vào liên kết này để báo cáo lỗi </a>\r\n        </p>\r\n    </li>\r\n</ul>\r\n</fieldset>', '2012-02-02 21:57:48'),
(7910, 'vn', 'support', 'support_cont2', '<fieldset>\r\n<legend>Tài nguyên Online của Seo Panel</legend>\r\n<ul class=\\\"infobox\\\">\r\n        \r\n    <li>\r\n        <h1>Hướng dẫn trợ giúp Seo Panel</h1> \r\n        <p>\r\n            Ban có thể xem <a href=\\\"<?=SP_HELP_LINK?>\\\" target=\\\"_blank\\\"> văn bảnseo panel</a> trong \r\n<b>Hướng dẫn trợ giúp</b>, nó bao gồm <b>văn bản</b> cho seo panel, plugins và các tính năng liên quan.\r\n            <br>Nó là nơi tốt nhất trên internet để <b>có trợ giúp</b> về seo panel. Chúng tôi hy vọng bạn \r\n<b>giúp đỡ</b> cho seo panel hướng dẫn trợ giúp, nếu bạn tìm thấy lỗi hoặc bất cứ gì bạn nghĩ là thiếu.                \r\n        </p>\r\n        <p>\r\n            <a href=\\\"<?=SP_HELP_LINK?>\\\" target=\\\"_blank\\\">Xem Hướng dẫn trợ giúp Seo Panel</a>\r\n        </p>\r\n        <br>\r\n    </li>    \r\n    <li>\r\n        <h1>Diễn đàn Seo Panel</h1> \r\n        <p>\r\n            Là nơi thảo luận của những người yêu thích <b>bảng điều kiển seo mã nguồn mở đầu tiên của thế giới</b>. \r\n            Đây là nơi tốt nhất để tìm từ <b>câu trả lời</b> tới <b>câu hỏi</b> về seo panel. \r\n            <br>Bạn cũng có thể <b>chia sẻ</b>  <b>kinh nghiệm</b> của bạn trong quá trình sử dụng seo panel để tối ưu\r\nwebsites của bạn.                               \r\n        </p>        \r\n        <p>\r\n            <a href=\\\"<?=SP_FORUM_LINK?>\\\" target=\\\"_blank\\\">Xem Diễn đàn Seo Panel</a>\r\n        </p>\r\n        <br>\r\n    </li>\r\n</ul>    \r\n</fieldset>', '2012-02-02 21:57:48'),
(7911, 'vn', 'support', 'support_cont3', '<fieldset> \r\n<legend>Ủng hộ cho Seo Panel</legend> \r\n<ul class=\\\"infobox\\\">         \r\n    <li> \r\n        <h1>Ủng hộ cho Seo Panel - Bảng điều kiển seo mã nguồn mở đầu tiên trên thế giới</h1>  \r\n        <p> \r\n            <b>Ủng hộ</b> cho seo panel để hỗ trợ bảng điều kiển seo mã nguồn mở đầu tiên trên thế giới. \r\n            Chúng tôi đang có kế hoạch <b>thêm và nâng cấp</b> tính năng của seo panel trong tương lai.  \r\n            <br>Chỉ có <b>hỗ trợ</b> của bạn mới giúp chúng tôi đạt được <b>mục tiêu</b>. \r\n            If you feel that seo panel is <b>worth</b> for you, please ủng hộ some amount to seo panel team. \r\n			Nếu bạn cảm thấy seo bảng điều khiển là <b> giá trị </b> cho bạn, xin vui lòng ủng hộ một số tiền cho nhóm seo panel.\r\n            <br>Chúng tôi sẽ <b>công khai</b> tên và website của bạn trên <a href=\\\"<?=SP_DONATE_LINK?>\\\"\r\ntarget=\\\"_blank\\\">trang ủng hộ</a>, ngay khi chúng tôi nhận được ủng hộ. \r\n        </p> \r\n        <p> \r\n            <a href=\\\"<?=SP_DONATE_LINK?>\\\" target=\\\"_blank\\\">Vào liên kết này để ủng hộ cho seo panel</a> \r\n        </p> \r\n        <br> \r\n    </li> \r\n</ul> \r\n</fieldset>', '2012-02-02 21:57:48'),
(7912, 'sl', 'settings', 'Check for Updates', 'Preveri posodobitve', '2012-05-12 18:09:34'),
(7913, 'sl', 'settings', 'Click here to become a sponsor for Seo Panel', '<b>Doniraj $100</b>in postani <b>sponzor</b> Seo Panela.', '2012-05-12 18:09:34'),
(7914, 'sl', 'settings', 'SA_CRAWL_DELAY_TIME', 'čas med posameznim zahtevkom site auditorja', '2012-05-12 18:09:34'),
(7915, 'sl', 'settings', 'SA_MAX_NO_PAGES', 'Maksimalno število strani na spletno stran', '2012-05-12 18:09:34'),
(7916, 'sl', 'settings', 'seopanel_description', 'Seo Panel je v osnovi brezplačen za uporabo. Vključuje številna orodja za spremljanje učinkovitosti spletne strani. Ker je odprto koden lahko razvijate tudi lastne dodatke.', '2012-05-12 18:09:34'),
(7917, 'sl', 'settings', 'seopanel_title', 'Seo Panel: Prvo odprto kodno orodje, ki podpira več spletnih strani', '2012-05-12 18:09:34'),
(7918, 'sl', 'settings', 'SP_API_KEY', 'Seo Panel API ključ', '2012-05-12 18:09:34'),
(7919, 'sl', 'settings', 'SP_CRAWL_DELAY', 'Čas med vsakim pregledom v sekundah', '2012-05-12 18:09:34'),
(7920, 'sl', 'settings', 'SP_DEFAULTLANG', 'Jezik', '2012-05-12 18:09:34'),
(7921, 'sl', 'settings', 'SP_DESCRIPTION', 'Opis Seo Panela', '2012-05-12 18:09:34'),
(7922, 'sl', 'settings', 'SP_ENABLE_PROXY', 'Uporabi proxy', '2012-05-12 18:09:34'),
(7923, 'sl', 'settings', 'SP_HOTLINKING', 'Image hotling zaščita vključena', '2012-05-12 18:09:34'),
(7924, 'sl', 'settings', 'SP_KEYWORDS', 'Ključne besede Seo panela', '2012-05-12 18:09:34'),
(7925, 'sl', 'settings', 'SP_PAGINGNO', 'Število vnosov na stran', '2012-05-12 18:09:34'),
(7926, 'sl', 'settings', 'SP_TITLE', 'Naslov Seo Panela', '2012-05-12 18:09:34'),
(7927, 'sl', 'settings', 'SP_USER_AGENT', 'User Agent', '2012-05-12 18:09:34'),
(7928, 'sl', 'settings', 'SP_USER_GEN_REPORT', 'Dovoli uporabniku generiranje poročil', '2012-05-12 18:09:34'),
(7929, 'sl', 'settings', 'SP_USER_REGISTRATION', 'Uporabniški vmesnik za registracijo uporabnikov', '2012-05-12 18:09:34'),
(7930, 'sl', 'settings', 'syssettingssaved', 'Nastavitve uspešno shranjene', '2012-05-12 18:09:34'),
(7931, 'sl', 'settings', 'versionnotuptodatemsg', 'Vaša instalacija Seo Panela ni posodobljena <br> Povlecite si novo verzijo', '2012-05-12 18:09:34'),
(7932, 'sl', 'settings', 'Your Seo Panel installation is up to date', 'Seo Panel je posodobljen na najnovejšo verzijo', '2012-05-12 18:09:34'),
(7933, 'sl', 'siteauditor', 'Anchor', 'Sidrno besedilo', '2012-02-03 19:57:01'),
(7934, 'sl', 'siteauditor', 'anylinkcontainabovelinks', 'Katere koli povezave, ki vključujejo zgornje povezave bodo izključene iz poročila', '2012-02-03 19:57:02'),
(7935, 'sl', 'siteauditor', 'anylinkcontainexcludesitemap', 'Katere koli povezave, ki vključujejo zgornje povezave bodo izključene iz kazala strani', '2012-02-03 19:57:02'),
(7936, 'sl', 'siteauditor', 'Check backlinks of pages', 'Preverite povratne povezave', '2012-02-03 19:57:02'),
(7937, 'sl', 'siteauditor', 'Check broken links in a page', 'Preveri nedelujoče povezave', '2012-02-03 19:57:02'),
(7938, 'sl', 'siteauditor', 'Check google pagerank of pages', 'Preveri PR strani', '2012-02-03 19:57:02'),
(7939, 'sl', 'siteauditor', 'Check pages indexed or not', 'Preveri ali so strani indeksirane', '2012-02-03 19:57:02'),
(7940, 'sl', 'siteauditor', 'Check Score', 'Preveri točke', '2012-02-03 19:57:02'),
(7941, 'sl', 'siteauditor', 'checkborckenlinkwait', 'Preverjanje delovanja povezav bo povečalo čas izvajanja', '2012-02-03 19:57:02'),
(7942, 'sl', 'siteauditor', 'Completed project execution', 'Končan zagon projekta', '2012-02-03 19:57:02'),
(7943, 'sl', 'siteauditor', 'Crawled', 'Prebrskano', '2012-02-03 19:57:02'),
(7944, 'sl', 'siteauditor', 'Crawled Pages', 'Prebrskane strani', '2012-02-03 19:57:02'),
(7945, 'sl', 'siteauditor', 'crawledsuccesssfullywaitfornext', 'uspešno prebrskano! Čakam na brskanje naslednje strani za', '2012-02-03 19:57:02'),
(7946, 'sl', 'siteauditor', 'Crawling Page', 'Brskanje po strani', '2012-02-03 19:57:02'),
(7947, 'sl', 'siteauditor', 'Duplicate Description', 'Podvojen opis', '2012-02-03 19:57:02'),
(7948, 'sl', 'siteauditor', 'Duplicate Keywords', 'Podvojene ključne besede', '2012-02-03 19:57:02'),
(7949, 'sl', 'siteauditor', 'Duplicate Title', 'Podvojen naslov', '2012-02-03 19:57:02'),
(7950, 'sl', 'siteauditor', 'Exclude links', 'Izključi povezave', '2012-02-03 19:57:02'),
(7951, 'sl', 'siteauditor', 'Execute with cron', 'Zaženi s CRON', '2012-02-03 19:57:02'),
(7952, 'sl', 'siteauditor', 'External', 'Zunanje', '2012-02-03 19:57:02'),
(7953, 'sl', 'siteauditor', 'External Links', 'Zunanje povezave', '2012-02-03 19:57:02'),
(7954, 'sl', 'siteauditor', 'Import Project Links', 'Uvozi projektne povezave', '2012-02-03 19:57:02'),
(7955, 'sl', 'siteauditor', 'Insert links separated with comma', 'Vstavljanje povezav ločenih z vejico', '2012-02-03 19:57:02'),
(7956, 'sl', 'siteauditor', 'insertlinkssepcoma', 'Vnesi povezave, ločene z vejico za izključevanje neskončnih povezav iz poročil', '2012-02-03 19:57:02'),
(7957, 'sl', 'siteauditor', 'Link Reports', 'Poročila povezav', '2012-02-03 19:57:02'),
(7958, 'sl', 'siteauditor', 'Link Title', 'Naslov povezave', '2012-02-03 19:57:02'),
(7959, 'sl', 'siteauditor', 'Maximum number of pages to be checked', 'Maksimalno število strani za pregled', '2012-02-03 19:57:02'),
(7960, 'sl', 'siteauditor', 'Maximum Pages', 'Maksimalno število strani', '2012-02-03 19:57:02'),
(7961, 'sl', 'siteauditor', 'No active projects found', 'Ni aktivnih projektov', '2012-02-03 19:57:02'),
(7962, 'sl', 'siteauditor', 'Nofollow', 'Nofollow', '2012-02-03 19:57:02'),
(7963, 'sl', 'siteauditor', 'Number of pages is greater than', 'Število strani je večjih od', '2012-02-03 19:57:02'),
(7964, 'sl', 'siteauditor', 'Number of pages should be greater than', 'Število strani mora biti večje kot', '2012-02-03 19:57:02'),
(7965, 'sl', 'siteauditor', 'Page Details', 'Podrobnosti strani', '2012-02-03 19:57:02'),
(7966, 'sl', 'siteauditor', 'Page Link', 'Povezava do strani', '2012-02-03 19:57:02'),
(7967, 'sl', 'siteauditor', 'Page Links', 'Povezave do strani', '2012-02-03 19:57:02'),
(7968, 'sl', 'siteauditor', 'Pages Found', 'Najdene povezave', '2012-02-03 19:57:02'),
(7969, 'sl', 'siteauditor', 'pressescapetostopexecution', 'Pritisnite <b>escape</b> za prekinitev skripte', '2012-02-03 19:57:02'),
(7970, 'sl', 'siteauditor', 'Project Summary', 'Opis projekta', '2012-02-03 19:57:02'),
(7971, 'sl', 'siteauditor', 'Project Url', 'URL projekta', '2012-02-03 19:57:02'),
(7972, 'sl', 'siteauditor', 'projectalreadyexist', 'Projekt za to stran že obstaja', '2012-02-03 19:57:02'),
(7973, 'sl', 'siteauditor', 'Recheck Pages', 'Ponovno preverjanje strani', '2012-02-03 19:57:02'),
(7974, 'sl', 'siteauditor', 'Report Summary', 'Izvleček poročila', '2012-02-03 19:57:02'),
(7975, 'sl', 'siteauditor', 'Run Project', 'Zaženi projekt', '2012-02-03 19:57:02'),
(7976, 'sl', 'siteauditor', 'should start with', 'naj se začne z', '2012-02-03 19:57:02'),
(7977, 'sl', 'siteauditor', 'Site Auditor Settings', 'nastavitve Site Auditorja', '2012-02-03 19:57:02'),
(7978, 'sl', 'siteauditor', 'Store all links found in a page', 'shrani vse povezave najdene na strani', '2012-02-03 19:57:02'),
(7979, 'sl', 'siteauditor', 'The page description length is not between', 'Dolžina opisa strani ni med', '2012-02-03 19:57:02');
INSERT INTO `texts` (`id`, `lang_code`, `category`, `label`, `content`, `changed`) VALUES
(7980, 'sl', 'siteauditor', 'The page is brocken', 'Nekaj je narobe s stranjo', '2012-02-03 19:57:02'),
(7981, 'sl', 'siteauditor', 'The page is having exellent number of backlinks in', 'Stran ima odlično število povratnih povezav v ', '2012-02-03 19:57:02'),
(7982, 'sl', 'siteauditor', 'The page is having exellent pagerank', 'Stran ima super PR', '2012-02-03 19:57:02'),
(7983, 'sl', 'siteauditor', 'The page is having good number of backlinks in', 'Stran ima kar lepo število povratnih povezav', '2012-02-03 19:57:02'),
(7984, 'sl', 'siteauditor', 'The page is having good pagerank', 'Stran ima dober PR', '2012-02-03 19:57:02'),
(7985, 'sl', 'siteauditor', 'The page is having poor pagerank', 'Stran ima slab PR', '2012-02-03 19:57:02'),
(7986, 'sl', 'siteauditor', 'The page is having very good pagerank', 'Stran ima zelo dober PR', '2012-02-03 19:57:02'),
(7987, 'sl', 'siteauditor', 'The page is not having backlinks in', 'Stran nima povratnih povezav v', '2012-02-03 19:57:02'),
(7988, 'sl', 'siteauditor', 'The page is not indexed in', 'Stran ni indeksirana', '2012-02-03 19:57:02'),
(7989, 'sl', 'siteauditor', 'The page keywords length is not between', 'Dolžina ključnih besed ni med', '2012-02-03 19:57:02'),
(7990, 'sl', 'siteauditor', 'The page title length is not between', 'Naslov strani ni med', '2012-02-03 19:57:02'),
(7991, 'sl', 'siteauditor', 'The total number of links in page is greater than', 'Skupno število povezav na strani je večje od', '2012-02-03 19:57:02'),
(7992, 'sl', 'siteauditor', 'to run project again if you stopped execution', 'Ponovno zaženite projekt če ste prekinili izvedbo', '2012-02-03 19:57:02'),
(7993, 'sl', 'siteauditor', 'to view the reports', 'za pregled poročil', '2012-02-03 19:57:02'),
(7994, 'sl', 'siteauditor', 'Total Links', 'Skupaj povezav', '2012-02-03 19:57:02'),
(7995, 'sl', 'siteauditor', 'totallinksgreaterallowed', 'Skupno število povezav bo večje kot maksimalno dovoljenih povezav projekta', '2012-02-03 19:57:02'),
(7996, 'es-ar', 'backlink', 'clickproceedbacklink', 'Ingrese URL\\\'s (direcciones) <b>Una por linea</b>. Click en <b>Proceder</b> para verificar Enlaces Externos (Backlinks).', '2012-02-06 10:39:36'),
(7997, 'es-ar', 'backlink', 'Saved backlink results of', '\r\nResultados de Enlaces externos guardados para ', '2012-02-06 10:39:36'),
(7998, 'es-ar', 'button', 'Cancel', 'Cancelar', '2014-01-08 19:34:42'),
(7999, 'es-ar', 'button', 'Check Status', 'Verificar Estado', '2014-01-08 19:34:42'),
(8000, 'es-ar', 'button', 'Proceed', 'Proceder', '2014-01-08 19:34:42'),
(8001, 'es-ar', 'button', 'Reload', 'Recargar', '2014-01-08 19:34:42'),
(8002, 'es-ar', 'button', 'Show Details', 'Mostrar Detalles', '2014-01-08 19:34:42'),
(8003, 'es-ar', 'button', 'Show Records', 'Mostrar Registros', '2014-01-08 19:34:42'),
(8004, 'es-ar', 'button', 'Skip', 'Saltar', '2014-01-08 19:34:42'),
(8005, 'es-ar', 'button', 'Submit', 'Enviar', '2014-01-08 19:34:42'),
(8006, 'es-ar', 'common', 'Action', 'Accion', '2014-01-06 19:05:07'),
(8007, 'es-ar', 'common', 'Activate', 'Activar', '2014-01-06 19:05:07'),
(8008, 'es-ar', 'common', 'Active', 'Activo', '2014-01-06 19:05:07'),
(8009, 'es-ar', 'common', 'Admin Panel', 'Panel de Administracion', '2014-01-06 19:05:07'),
(8010, 'es-ar', 'common', 'Alexa Rank', 'Ranking Alexa', '2014-01-06 19:05:07'),
(8011, 'es-ar', 'common', 'All', 'Todo', '2014-01-06 19:05:07'),
(8012, 'es-ar', 'common', 'Category', 'Categoria', '2014-01-06 19:05:07'),
(8013, 'es-ar', 'common', 'contact', 'Contacto', '2014-01-06 19:05:07'),
(8014, 'es-ar', 'common', 'copyright', 'Copyright © [year] www.seopanel.in todos los derechos reservados', '2014-01-06 19:05:07'),
(8015, 'es-ar', 'common', 'Country', 'Pais', '2014-01-06 19:05:07'),
(8016, 'es-ar', 'common', 'Crawl Meta Data', 'Avanzar MetaDatos', '2014-01-06 19:05:07'),
(8017, 'es-ar', 'common', 'Date', 'Fecha', '2014-01-06 19:05:07'),
(8018, 'es-ar', 'common', 'Delete', 'Eliminar', '2014-01-06 19:05:07'),
(8019, 'es-ar', 'common', 'Details', 'Detalles', '2014-01-06 19:05:07'),
(8020, 'es-ar', 'common', 'Directory', 'Directorio', '2014-01-06 19:05:07'),
(8021, 'es-ar', 'common', 'Donate', 'Donar', '2014-01-06 19:05:07'),
(8022, 'es-ar', 'common', 'Edit', 'Editar', '2014-01-06 19:05:07'),
(8023, 'es-ar', 'common', 'Entry cannot be blank', 'El campo no puede estar en blanco', '2014-01-06 19:05:07'),
(8024, 'es-ar', 'common', 'entrynotvalid', 'El campo parece no ser valido', '2014-01-06 19:05:07'),
(8025, 'es-ar', 'common', 'failed', 'Fallido', '2014-01-06 19:05:07'),
(8026, 'es-ar', 'common', 'forum', 'foro', '2014-01-06 19:05:07'),
(8027, 'es-ar', 'common', 'Found', 'Encontrado', '2014-01-06 19:05:07'),
(8028, 'es-ar', 'common', 'Google Pagerank', 'Pagerank de Google', '2014-01-06 19:05:07'),
(8029, 'es-ar', 'common', 'help', 'Ayuda', '2014-01-06 19:05:07'),
(8030, 'es-ar', 'common', 'hidenews', 'Ocultar novedades Seo Panel', '2014-01-06 19:05:07'),
(8031, 'es-ar', 'common', 'Id', 'Id', '2014-01-06 19:05:07'),
(8032, 'es-ar', 'common', 'Inactivate', 'Desactivar', '2014-01-06 19:05:07'),
(8033, 'es-ar', 'common', 'Inactive', 'Inactivo', '2014-01-06 19:05:07'),
(8034, 'es-ar', 'common', 'Invalid characters', 'Caracteres invalidos', '2014-01-06 19:05:07'),
(8035, 'es-ar', 'common', 'Invalid code entered', 'Codigo ingresado invalido', '2014-01-06 19:05:07'),
(8036, 'es-ar', 'common', 'Invalid email address entered', 'Email ingresado invalido', '2014-01-06 19:05:07'),
(8037, 'es-ar', 'common', 'Invalid value', 'Valor invalido', '2014-01-06 19:05:07'),
(8038, 'es-ar', 'common', 'Keyword', 'Clave', '2014-01-06 19:05:07'),
(8039, 'es-ar', 'common', 'Keywords', 'Claves', '2014-01-06 19:05:07'),
(8040, 'es-ar', 'common', 'lang', 'Idioma', '2014-01-06 19:05:07'),
(8041, 'es-ar', 'common', 'My Account', 'Mi Cuenta', '2014-01-06 19:05:07'),
(8042, 'es-ar', 'common', 'Name', 'Nombre', '2014-01-06 19:05:07'),
(8043, 'es-ar', 'common', 'No', 'No', '2014-01-06 19:05:07'),
(8044, 'es-ar', 'common', 'No Keywords Found', 'Claves no encontradas', '2014-01-06 19:05:07'),
(8045, 'es-ar', 'common', 'No Records Found', 'No se encontraron registros', '2014-01-06 19:05:07'),
(8046, 'es-ar', 'common', 'noactivetools', 'No se encontraron herramientas Seo Panel Activas', '2014-01-06 19:05:07'),
(8047, 'es-ar', 'common', 'nowebsites', 'No se encontraron Websites', '2014-01-06 19:05:07'),
(8048, 'es-ar', 'common', 'password632', 'La contrasena debe tener entre 6 y 32 caracteres', '2014-01-06 19:05:07'),
(8049, 'es-ar', 'common', 'passwordnotmatch', 'Las contrasenas no coinciden', '2014-01-06 19:05:07'),
(8050, 'es-ar', 'common', 'Period', 'Periodo', '2014-01-06 19:05:07'),
(8051, 'es-ar', 'common', 'Priority', 'Prioridad', '2014-01-06 19:05:07'),
(8052, 'es-ar', 'common', 'Profile', 'Perfil', '2014-01-06 19:05:07'),
(8053, 'es-ar', 'common', 'Rank', 'Ranking', '2014-01-06 19:05:07'),
(8054, 'es-ar', 'common', 'Reports', 'Informes', '2014-01-06 19:05:07'),
(8055, 'es-ar', 'common', 'Results', 'Resultados', '2014-01-06 19:05:07'),
(8056, 'es-ar', 'common', 'Search Engine', 'Herramienta Busqueda', '2014-01-06 19:05:07'),
(8057, 'es-ar', 'common', 'Select', 'Seleccionar', '2014-01-06 19:05:07'),
(8058, 'es-ar', 'common', 'Seo Plugins', 'Plugins SEO', '2014-01-06 19:05:07'),
(8059, 'es-ar', 'common', 'Seo Tools', 'Herramientas SEO', '2014-01-06 19:05:07'),
(8060, 'es-ar', 'common', 'Sign out', 'Salir', '2014-01-06 19:05:07'),
(8061, 'es-ar', 'common', 'Sign Up', 'Darse de Alta', '2014-01-06 19:05:07'),
(8062, 'es-ar', 'common', 'signin', 'Ingresar', '2014-01-06 19:05:07'),
(8063, 'es-ar', 'common', 'Status', 'Estado', '2014-01-06 19:05:07'),
(8064, 'es-ar', 'common', 'Support', 'Soporte', '2014-01-06 19:05:07'),
(8065, 'es-ar', 'common', 'Total', 'Total', '2014-01-06 19:05:07'),
(8066, 'es-ar', 'common', 'Url', 'Url', '2014-01-06 19:05:07'),
(8067, 'es-ar', 'common', 'User', 'Usuario', '2014-01-06 19:05:07'),
(8068, 'es-ar', 'common', 'User Panel', 'Panel de Usuario', '2014-01-06 19:05:07'),
(8069, 'es-ar', 'common', 'Website', 'Website', '2014-01-06 19:05:07'),
(8070, 'es-ar', 'common', 'Yes', 'Si', '2014-01-06 19:05:07'),
(8071, 'es-ar', 'login', 'Confirm Password', 'Confirmar contrasena', '2014-01-06 19:34:15'),
(8072, 'es-ar', 'login', 'Create my account', 'Crear mi cuenta', '2014-01-06 19:34:15'),
(8073, 'es-ar', 'login', 'Create New Account', 'Crear nueva cuenta', '2014-01-06 19:34:15'),
(8074, 'es-ar', 'login', 'Email', 'Email', '2014-01-06 19:34:15'),
(8075, 'es-ar', 'login', 'emailexist', 'El email ya existe!', '2014-01-06 19:34:15'),
(8076, 'es-ar', 'login', 'Enter the code as it is shown', 'Ingrese el codigo mostrado', '2014-01-06 19:34:15'),
(8077, 'es-ar', 'login', 'First Name', 'Primer nombre', '2014-01-06 19:34:15'),
(8078, 'es-ar', 'login', 'Last Name', 'Apellido', '2014-01-06 19:34:15'),
(8079, 'es-ar', 'login', 'Login', 'Ingresar', '2014-01-06 19:34:15'),
(8080, 'es-ar', 'login', 'Login incorrect', 'Error de Ingreso', '2014-01-06 19:34:15'),
(8081, 'es-ar', 'login', 'newaccountsuccess', 'Nueva cuenta creada!', '2014-01-06 19:34:15'),
(8082, 'es-ar', 'login', 'Password', 'Contrasena', '2014-01-06 19:34:15'),
(8083, 'es-ar', 'login', 'Password incorrect', 'Contrasena Incorrecta', '2014-01-06 19:34:15'),
(8084, 'es-ar', 'login', 'Register', 'Registrarse', '2014-01-06 19:34:15'),
(8085, 'es-ar', 'login', 'Sign in to your account', 'Ingresar a su cuenta', '2014-01-06 19:34:15'),
(8086, 'es-ar', 'login', 'User inactive', 'Usuario Inactivo', '2014-01-06 19:34:15'),
(8087, 'es-ar', 'login', 'Username', 'Nombre de Usuario', '2014-01-06 19:34:15'),
(8088, 'es-ar', 'login', 'usernameexist', 'El Usuario ya existe!', '2014-01-06 19:34:15'),
(8089, 'es-ar', 'user', 'Edit User', 'Editar Usuario', '2012-02-06 10:53:36'),
(8090, 'es-ar', 'user', 'Saved My Profile Details', 'Detalles del perfil guardados', '2012-02-06 10:53:36'),
(8091, 'es-ar', 'website', 'Edit Website', 'Editar Website', '2012-02-06 10:54:33'),
(8092, 'es-ar', 'website', 'plscrtwebsite', 'Por favor cree un Website antes de comenzar con Seo tools y seo plugins.', '2012-02-06 10:54:33'),
(8093, 'es-ar', 'website', 'Website already exist', 'El sitio web ya existe', '2012-02-06 10:54:33'),
(8094, 'es-ar', 'website', 'yourwebalreday', 'Su sitio web si ya ha creado uno.', '2012-02-06 10:54:33'),
(8095, 'es-ar', 'sitemap', 'Change frequency', 'Cambiar frecuencia', '2012-02-06 10:56:31'),
(8096, 'es-ar', 'sitemap', 'clickproceedsitemap', 'Clic en <b>Proceder</b> para crear archivo sitemap', '2012-02-06 10:56:31'),
(8097, 'es-ar', 'sitemap', 'Download sitemap file from', 'Descargar sitemap desde', '2012-02-06 10:56:31'),
(8098, 'es-ar', 'sitemap', 'Exclude Url', 'Ignorar Url', '2012-02-06 10:56:31'),
(8099, 'es-ar', 'sitemap', 'processtaketime', 'El proceso tomara tiempo de acuerdo con el nmero de vinculos en su sitio. Por favor esper para obtener los archivos del sitemap', '2012-02-06 10:56:31'),
(8100, 'es-ar', 'sitemap', 'Sitemap Type', 'Tipo Sitemap', '2012-02-06 10:56:31'),
(8101, 'es-ar', 'rank', 'enterurlproceed', 'Ingrese vinculos <b>Uno por linea</b>. Clic en <b>Proceder</b> para verificar Google y Ranking Alexa', '2012-02-06 10:57:52'),
(8102, 'es-ar', 'rank', 'Google and Alexa Rank Reports', 'Informes de Ranking Google y Alexa', '2012-02-06 10:57:53'),
(8103, 'es-ar', 'rank', 'Saved rank results of', 'Resultado guardado de', '2012-02-06 10:57:53'),
(8104, 'en', 'plugin', 'Download Seo Panel Plugins', 'Download Seo Panel Plugins', '2012-02-16 10:28:33'),
(8105, 'en', 'settings', 'getallpluginfree', 'Also get all <b>plugins</b> we develop for <b>Free!</b>', '2018-01-22 19:59:29'),
(8106, 'sk', 'button', 'Cancel', 'Zrušiť', '2014-01-08 19:33:39'),
(8107, 'sk', 'button', 'Check Status', 'Skontrolovať stav', '2014-01-08 19:33:39'),
(8108, 'sk', 'button', 'Proceed', 'Vykonať', '2014-01-08 19:33:39'),
(8109, 'sk', 'button', 'Reload', 'Znovu načítať', '2014-01-08 19:33:39'),
(8110, 'sk', 'button', 'Show Details', 'Ukázať detaily', '2014-01-08 19:33:39'),
(8111, 'sk', 'button', 'Show Records', 'Ukázať záznamy', '2014-01-08 19:33:39'),
(8112, 'sk', 'button', 'Skip', 'Preskočiť', '2014-01-08 19:33:39'),
(8113, 'sk', 'button', 'Submit', 'Odoslať', '2014-01-08 19:33:39'),
(8114, 'sk', 'backlink', 'clickproceedbacklink', 'Vložte <b>jednu URL na jeden riadok</b>. Kliknite na <b>Vykonať</b>, aby sa skontrolovali spätné odkazy.', '2012-02-25 09:11:13'),
(8115, 'sk', 'backlink', 'Saved backlink results of', 'Výsledky spätných odkazov boli uložené pre', '2012-02-25 09:11:14'),
(8116, 'sk', 'common', 'Action', 'Akcia', '2019-05-25 18:47:21'),
(8117, 'sk', 'common', 'Activate', 'Aktivovať', '2019-05-25 18:47:21'),
(8118, 'sk', 'common', 'Active', 'Aktívne', '2019-05-25 18:47:21'),
(8119, 'sk', 'common', 'Admin Panel', 'Administračný panel', '2019-05-25 18:47:21'),
(8120, 'sk', 'common', 'Alexa Rank', 'Alexa rank', '2019-05-25 18:47:21'),
(8121, 'sk', 'common', 'All', 'Všetko', '2019-05-25 18:47:21'),
(8122, 'sk', 'common', 'Category', 'Kategória', '2019-05-25 18:47:21'),
(8123, 'sk', 'common', 'contact', 'Kontakt', '2019-05-25 18:47:21'),
(8124, 'sk', 'common', 'copyright', 'Copyright © [year] www.seopanel.in All rights reserved', '2019-05-25 18:47:21'),
(8125, 'sk', 'common', 'Country', 'Krajina', '2019-05-25 18:47:21'),
(8126, 'sk', 'common', 'Crawl Meta Data', 'Prehľadať meta data', '2019-05-25 18:47:21'),
(8127, 'sk', 'common', 'Date', 'Dátum', '2019-05-25 18:47:21'),
(8128, 'sk', 'common', 'Delete', 'Vymazať', '2019-05-25 18:47:21'),
(8129, 'sk', 'common', 'Details', 'Detaily', '2019-05-25 18:47:21'),
(8130, 'sk', 'common', 'Directory', 'Katalóg', '2019-05-25 18:47:21'),
(8131, 'sk', 'common', 'Donate', 'Dotovať SEO panel', '2019-05-25 18:47:21'),
(8132, 'sk', 'common', 'Edit', 'Upraviť', '2019-05-25 18:47:21'),
(8133, 'sk', 'common', 'Entry cannot be blank', 'Pole nemôže byť prázdne', '2019-05-25 18:47:21'),
(8134, 'sk', 'common', 'entrynotvalid', 'Vložené údaje pravdepodobnie nie je správne', '2019-05-25 18:47:21'),
(8135, 'sk', 'common', 'failed', 'Zlyhal', '2019-05-25 18:47:21'),
(8136, 'sk', 'common', 'forum', 'Fórum', '2019-05-25 18:47:21'),
(8137, 'sk', 'common', 'Found', 'Nájdené', '2019-05-25 18:47:21'),
(8138, 'sk', 'common', 'Google Pagerank', 'Google Pagerank', '2019-05-25 18:47:21'),
(8139, 'sk', 'common', 'help', 'Nápoveda', '2019-05-25 18:47:21'),
(8140, 'sk', 'common', 'hidenews', 'Schovať novinky Seo Panelu', '2019-05-25 18:47:21'),
(8141, 'sk', 'common', 'Id', 'Id', '2019-05-25 18:47:21'),
(8142, 'sk', 'common', 'Inactivate', 'Deaktivovať', '2019-05-25 18:47:21'),
(8143, 'sk', 'common', 'Inactive', 'Neaktívne', '2019-05-25 18:47:21'),
(8144, 'sk', 'common', 'Invalid characters', 'Neplatné znaky', '2019-05-25 18:47:21'),
(8145, 'sk', 'common', 'Invalid code entered', 'Vložený neplatný kód', '2019-05-25 18:47:21'),
(8146, 'sk', 'common', 'Invalid email address entered', 'Vložená neplatná emailová adresa', '2019-05-25 18:47:21'),
(8147, 'sk', 'common', 'Invalid value', 'Neplatná hodnota', '2019-05-25 18:47:21'),
(8148, 'sk', 'common', 'Keyword', 'Kľúčové slovo', '2019-05-25 18:47:21'),
(8149, 'sk', 'common', 'Keywords', 'Kľúčové slová', '2019-05-25 18:47:21'),
(8150, 'sk', 'common', 'lang', 'Jazyk', '2019-05-25 18:47:21'),
(8151, 'sk', 'common', 'My Account', 'Môj účet', '2019-05-25 18:47:21'),
(8152, 'sk', 'common', 'Name', 'Meno', '2019-05-25 18:47:21'),
(8153, 'sk', 'common', 'No', 'Nie', '2019-05-25 18:47:21'),
(8154, 'sk', 'common', 'No Keywords Found', 'Nenašlo sa žiadne kľúčové slovo', '2019-05-25 18:47:21'),
(8155, 'sk', 'common', 'No Records Found', 'Nenašli sa žiadne záznamy', '2019-05-25 18:47:21'),
(8156, 'sk', 'common', 'noactivetools', 'Nenašli sa žiadne SEO nástroje', '2019-05-25 18:47:21'),
(8157, 'sk', 'common', 'nowebsites', 'Nenašli sa žiadne webstránky', '2019-05-25 18:47:21'),
(8158, 'sk', 'common', 'password632', 'Heslo musí mať 6 až 32 znakov', '2019-05-25 18:47:21'),
(8159, 'sk', 'common', 'passwordnotmatch', 'Heslá nie sú zhodné', '2019-05-25 18:47:21'),
(8160, 'sk', 'common', 'Period', 'Obdobie', '2019-05-25 18:47:21'),
(8161, 'sk', 'common', 'Priority', 'Priorita', '2019-05-25 18:47:21'),
(8162, 'sk', 'common', 'Profile', 'Profil', '2019-05-25 18:47:21'),
(8163, 'sk', 'common', 'Rank', 'Pozícia', '2019-05-25 18:47:21'),
(8164, 'sk', 'common', 'Reports', 'Report', '2019-05-25 18:47:21'),
(8165, 'sk', 'common', 'Results', 'Výsledky', '2019-05-25 18:47:21'),
(8166, 'sk', 'common', 'Search Engine', 'Vyhľadávač', '2019-05-25 18:47:21'),
(8167, 'sk', 'common', 'Select', 'Vybrať', '2019-05-25 18:47:21'),
(8168, 'sk', 'common', 'Seo Plugins', 'SEO pluginy', '2019-05-25 18:47:21'),
(8169, 'sk', 'common', 'Seo Tools', 'SEO nástroje', '2019-05-25 18:47:21'),
(8170, 'sk', 'common', 'Sign out', 'Odhlásiť sa', '2019-05-25 18:47:21'),
(8171, 'sk', 'common', 'Sign Up', 'Zaregistrovať sa', '2019-05-25 18:47:21'),
(8172, 'sk', 'common', 'signin', 'Prihlásiť sa', '2019-05-25 18:47:21'),
(8173, 'sk', 'common', 'Status', 'Stav', '2019-05-25 18:47:21'),
(8174, 'sk', 'common', 'Support', 'Technická podpora', '2019-05-25 18:47:21'),
(8175, 'sk', 'common', 'Total', 'Spolu', '2019-05-25 18:47:21'),
(8176, 'sk', 'common', 'Url', 'Url', '2019-05-25 18:47:21'),
(8177, 'sk', 'common', 'User', 'Užívateľ', '2019-05-25 18:47:21'),
(8178, 'sk', 'common', 'User Panel', 'Užívateľský panel', '2019-05-25 18:47:21'),
(8179, 'sk', 'common', 'Website', 'Webstránka', '2019-05-25 18:47:21'),
(8180, 'sk', 'common', 'Yes', 'Áno', '2019-05-25 18:47:21'),
(8181, 'sk', 'directory', 'Add back to directory list', 'Vrátiť späť do zoznamu katalógov', '2013-04-30 10:33:42'),
(8182, 'sk', 'directory', 'Approved', 'Schválené', '2013-04-30 10:33:42'),
(8183, 'sk', 'directory', 'Captcha', 'Captcha', '2013-04-30 10:33:42'),
(8184, 'sk', 'directory', 'categorynote', 'Kategórie oddeľte čiarkou v závislosti na priorite. Začnite s kategóriou s najvyššou prioritou.', '2013-04-30 10:33:42'),
(8185, 'sk', 'directory', 'Check Directory Status', 'Skontrolujte stav katalógu', '2013-04-30 10:33:42'),
(8186, 'sk', 'directory', 'Check Directory Submission Status', 'Skontrolujte stav registrácie do katalógov', '2013-04-30 10:33:42'),
(8187, 'sk', 'directory', 'clicktoproceeddirsts', 'Na skontrolovanie stavu katalógu kliknite na <b>Vykonať</b>.', '2013-04-30 10:33:42'),
(8188, 'sk', 'directory', 'Confirmation', 'Potvrdenie', '2013-04-30 10:33:42'),
(8189, 'sk', 'directory', 'desnote', 'Niektoré katalógy vyžadujú pre pole popis minimálne 150 znakov.', '2013-04-30 10:33:42'),
(8190, 'sk', 'directory', 'Directories with out captcha', 'Katalógy bez overenia captcha', '2013-04-30 10:33:42'),
(8191, 'sk', 'directory', 'Directory Submission Reports', 'Výpisy registrácie do katalógov', '2013-04-30 10:33:42'),
(8192, 'sk', 'directory', 'Enter the code shown', 'Vložte zobrazený kód', '2013-04-30 10:33:42'),
(8193, 'sk', 'directory', 'nocatnote', 'Zadaná kategória nebola nájdená na registračnej stránke. Prosím kliknite na <b>Znovu načítať</b>, alebo <b>Preskočiť</b>', '2013-04-30 10:33:42'),
(8194, 'sk', 'directory', 'nodirnote', 'Neboli nájdené žiadne <b>Aktívne</b> katalógy', '2013-04-30 10:33:42'),
(8195, 'sk', 'directory', 'nosuccessnote', 'Nedostali sme potvrdzujúcu správu. Prosím skontrolujte váš email, či sa v ňom nenachádza potvrdzujúca správa.', '2013-04-30 10:33:42'),
(8196, 'sk', 'directory', 'optionalnote', 'Dodatočné nadpisy a popisy, ktoré sa budú vkladať náhodne do katalógov, aby ste získali lepšie výsledky.', '2013-04-30 10:33:42'),
(8197, 'sk', 'directory', 'Owner Email', 'Email vlastníka', '2013-04-30 10:33:42'),
(8198, 'sk', 'directory', 'Owner Name', 'Meno vlastníka', '2013-04-30 10:33:42'),
(8199, 'sk', 'directory', 'Pending', 'Čaká na schválenie', '2013-04-30 10:33:42'),
(8200, 'sk', 'directory', 'Please select a website to proceed', 'Prosím výberte webstránku na vykonanie', '2013-04-30 10:33:42'),
(8201, 'sk', 'directory', 'Reciprocal Link', 'Recipročný odkaz', '2013-04-30 10:33:42'),
(8202, 'sk', 'directory', 'selectwebsiteproceed', 'Vyberte si <b>Webstránku</b>, ktorú chcete <b>Vložiť</b> do katalógov.<br>Zaškrtnite <b>Katalógy bez overenia captcha</b> na registráciu do katalógov, ktoré nevyžadujú overenie captcha', '2013-04-30 10:33:42'),
(8203, 'sk', 'directory', 'selectwebsiteschecksub', 'Vyberte <b>Webstránku</b>, aby sa mohla <b>Vykonať</b> kontrola registrácie do katalógov.', '2013-04-30 10:33:42'),
(8204, 'sk', 'directory', 'Semi Automatic Directory Submission Tool', 'Poloautomatický nástroj na registráciu do katalógov', '2013-04-30 10:33:42'),
(8205, 'sk', 'directory', 'spamemailnote', 'Niektoré katalógy môžu rozosielať spam. Neodporúčame používať vašu primárnu emailovú adresu.', '2013-04-30 10:33:42'),
(8206, 'sk', 'directory', 'Submission Details', 'Detaily registrácie', '2013-04-30 10:33:42'),
(8207, 'sk', 'directory', 'Submit Description', 'Vložte Popis', '2013-04-30 10:33:42'),
(8208, 'sk', 'directory', 'Submit Keywords', 'Vložte Kľúčové slová', '2013-04-30 10:33:42'),
(8209, 'sk', 'directory', 'Submit Title', 'Vložte Nadpis', '2013-04-30 10:33:42'),
(8210, 'sk', 'directory', 'Website Category', 'Kategória webstránky', '2013-04-30 10:33:42'),
(8211, 'sk', 'directory', 'Website Url', 'Url webstránky', '2013-04-30 10:33:42'),
(8212, 'sk', 'home', 'Account Summary', 'Zhrnutie účtu', '2012-02-27 04:11:45'),
(8213, 'sk', 'home', 'Backlinks', 'Spätné odkazy', '2012-02-27 04:11:51'),
(8214, 'sk', 'home', 'Directory Submission', 'Vloženie do katalógov', '2012-02-27 04:11:51'),
(8215, 'sk', 'home', 'home_cont1', '<h1 style=\\\"text-align: center;margin-bottom: 30px;font-size: 19px;\\\">Víta vás SEO panel - prvý svetový ovládací SEO panel na spravovanie viacerých webstránok</h1>\r\n \r\n        <p> \r\n            Kompletný <b>SEO panel s otvoreným kódom</b> na spravovanie <b>optimalizácie</b> vašich webstránok. \r\n            SEO panel je <b>nástroj pre SEO</b>, ktorý zahŕňa najnovšie špičkové SEO nástroje na <b>sledovanie a zvýšenie výkonu</b> vašich webstránok. \r\n            Je to <b>voľne stiahnuteľný softvér</b> zverejnený pod <b>GNU GENERAL PUBLIC LICENSE</b>. \r\n           \r\n            Hlavnou výhodou SEO panelu je jeho <b>rozšíriteľnosť</b> pomocou <a href=\\\"<?=SP_PLUGINSITE?>\\\" target=\\\"_blank\\\">SEO pluginov</a>. \r\n            Ktokoľvek môže jednoducho <b>vyvíjať a inštalovať</b> požadované pluginy pro svoj SEO panel. \r\n        </p> \r\n        <p></p>\r\n        <p> \r\n            Tento voľne dostupný softvér bol <b>vydaný v januári 2010</b>. \r\n            Behom tejto <b>krátkej doby</b> <b>tisíce administrátorov</b> používa tento softvér k <b>optimalizácii</b> ich webstránok. \r\n            Používejte SEO panel tiež a <b>užite si</b> všetkého čo súvisí so SEO pod <b>jedinou platformou</b>. \r\n        </p>       ', '2012-02-27 04:11:51'),
(8216, 'sk', 'home', 'home_cont2', '<fieldset> \r\n<legend>Hlavné vlastnosti aplikácie SEO Panel <?=SP_INSTALLED?></legend> \r\n<ul class=\\\"infobox\\\"> \r\n    <li>         \r\n        <h1>Automatický nástroj na registráciu do katalógov</h1> \r\n        <p> \r\n          Automatický nástroj na registráciu do katalógov nám umožňuje <b>registrovaťť naše webstránky</b> do hlavných <b>bezplatných a platených internetových katalógov</b>.\r\n           Môžeme tiež <b>zisťovať stav</b> každej registrácie prostredníctvom <b>pravidelných kontrol</b> použitím skriptu <b>kontroly stavu registrácie</b>.\r\n           <b>Správca katalógov</b> nám pomôže zistiť, či je <b>katalóg aktívny</b>, alebo nie.\r\n        </p> \r\n    </li> \r\n    <li>         \r\n        <h1>Kontrola pozícií kľúčových slov</h1> \r\n        <p> \r\n            Kontrola pozícií kľúčových slov zistí <b>pozície kľúčových slov</b> vašej webstránky v <b>internetových vyhledávačoch</b> a <b>uloží ich</b> v systéme.\r\n         V časti výpisov pozícií kľúčových slov môžeme vidieť <b>denné pozície</b> kľúčových slov v rôznych vyhľadávačoch prostredníctvom <b>pekných grafov</b> a <b>detailných výpisov</b>.\r\n        </p> \r\n    </li> \r\n    <li>        \r\n        <h1>Auditor webstránky</h1>\r\n        <p>Auditor webstránky <b>prejde všetky SEO faktory</b> každej stránky na webe a podá nám\r\n<b>datailný výpis</b> o každej stránke. Toto nám pomôže vytvoriť <b>XML,HTML,TEXT</b> sitemapu webstránky, ktorú môžeme <b>vložiť</b> do vyhľadávačov.</p>\r\n    </li> \r\n<li>        \r\n        <h1>Kontrola Google and Alexa rankov</h1>\r\n        <p>\r\n            Kontrola google and alexa rankov zistí <b>google pagerank</b> a <b>alexa rank</b> našich webstránok a <b>uloží</b> ich v systéme.\r\n            V časti <b>výpisov rankov</b> môžeme vidieť <b>denne</b> v <b>detailných výpisoch</b> google pagerank and alexa rank každej webstránky .\r\n        </p>\r\n    </li>\r\n    <li>        \r\n        <h1>Kontrola spätných odkazov</h1>\r\n        <p>\r\n            Nástroj na kontrolu spätných odkazov nájde <b>počet spätných odkazov</b> našich webstránok v rôznych vyhľadávačoch <b>(google,yahoo,msn atď.)</b> a <b>uloží</b> ich v systéme.\r\n            <br>V časti <b>výpisoch spätných odkazov</b> môžeme vidieť v <b>detailných výpisoch</b> <b>denné množstvo spätných odkazov</b> každej webstránky.\r\n        </p>\r\n    </li> \r\n<li>        \r\n        <h1>Kontrola indexácie vyhľadávačmi</h1>\r\n        <p>\r\n            Kontrola indexácie vyhľadávačmi nájde <b>počet zaindexovaných stránok</b> naších webstránok v rôznych vyhľadávačoch <b>(google,yahoo,msn atď.)</b> a <b>uloží</b> ich v systéme.\r\n            V časti <b>kontrola indexácie vyhľadávačmi</b> môžeme vidieť <b>denné množstvo zaindexovaných stránok</b> každej webstránky v <b>detailných výpisoch</b>.\r\n        </p>\r\n    </li> \r\n<li>        \r\n        <h1>Seo Panel pluginy</h1>\r\n        <p>\r\n            <b>Hlavnou výhodou</b> SEO panelu je jeho <b>rozšíriteľnosť</b>.\r\n            Pridajte si <b>SEO pluginy</b> do vášho SEO panelu na <b>rozšírenie funkcií</b> v závislosti na vašich požiadavkách.\r\n            <a href=\\\"<?=SP_PLUGINSITE?>\\\" target=\\\"_blank\\\">Seo panel pluginy</a> sú poskytované prostredníctvom SEO panelu a prostredníctovm tretích strán.\r\n            Môžete tiež jednoducho <b>vyvinúť</b> SEO pluginy pre váš SEO panel.\r\n            Môžete <a href=\\\"<?=SP_PLUGINSITE?>\\\" target=\\\"_blank\\\">vložiť</a> váš SEO plugin do seo panelu a my ho budeme <b>publikovať</b> na našej webstránke po našom <b>preskúmaní</b>.\r\n        </p>\r\n    </li> \r\n    <li>        \r\n        <h1>Generátor meta tagov</h1>\r\n        <p>\r\n            Generátor meta tagov je <b>SEO panel plugin</b> na vytváranie <b>meta tagov</b> pre našu webstránku.\r\n            Pomôže vám to dať <b>viac informácií</b> o našej webstránke <b>vyhľadávacím robotom</b>, počas toho ako prechádzajú našu webstránku.\r\n        </p>\r\n    </li>\r\n</ul>\r\n</fieldset>\r\n   ', '2012-02-27 04:11:51'),
(8217, 'sk', 'home', 'home_cont3', '<fieldset>\r\n<legend>Seo Panel online zdroje</legend>    \r\n<ul class=\\\"infobox\\\">\r\n\r\n    <li>\r\n        <h1>Referencie</h1>                \r\n        \r\n        \r\n        <p>\r\n            <a href=\\\"http://www.seopanel.in\\\" target=\\\"_blank\\\">Oficiálna stránka projektu</a>\r\n        </p>\r\n        <p>\r\n            <a href=\\\"<?=SP_DOWNLOAD_LINK?>\\\" target=\\\"_blank\\\">Stiahnuť</a>\r\n        </p>\r\n        \r\n        <p>\r\n            <a href=\\\"<?=SP_DEMO_LINK?>\\\" target=\\\"_blank\\\">Demo</a>\r\n        </p>\r\n        \r\n        <p>\r\n            <a href=\\\"<?=SP_CONTACT_LINK?>\\\" target=\\\"_blank\\\">Kontakt</a>\r\n        </p>\r\n        \r\n        <p>\r\n            <a href=\\\"<?=SP_HELP_LINK?>\\\" target=\\\"_blank\\\">Nápoveda</a>\r\n        </p>\r\n        \r\n        <p>\r\n            <a href=\\\"<?=SP_FORUM_LINK?>\\\" target=\\\"_blank\\\">Fórum</a>\r\n        </p>\r\n        \r\n        <p>\r\n            <a href=\\\"<?=SP_SUPPORT_LINK?>\\\" target=\\\"_blank\\\">Technická podpora</a>\r\n        </p>\r\n        \r\n        <p>\r\n            <a href=\\\"<?=SP_DONATE_LINK?>\\\" target=\\\"_blank\\\">Podporiť</a>\r\n        </p>\r\n    </li>\r\n    \r\n</ul>\r\n</fieldset>', '2012-02-27 04:11:51'),
(8218, 'sk', 'home', 'Indexed', 'Indexované', '2012-02-27 04:11:51'),
(8219, 'sk', 'home', 'Pages Indexed', 'Indexované stránky', '2012-02-27 04:11:51'),
(8220, 'sk', 'home', 'Ranks', 'Ranky', '2012-02-27 04:11:51'),
(8221, 'sk', 'home', 'SiteNameUrl', 'Názov stránky/URL', '2012-02-27 04:11:51'),
(8222, 'sk', 'home', 'Website Statistics', 'Štatistiky webstránky', '2012-02-27 04:11:51'),
(8223, 'sk', 'keyword', 'Crawling keyword', 'Prechádzam kľúčové slová', '2012-02-23 12:16:00'),
(8224, 'sk', 'keyword', 'Detailed Keyword Position Reports', 'Detailný výpis pozícií kľúčových slov', '2012-02-23 12:16:00'),
(8225, 'sk', 'keyword', 'Edit Keyword', 'Upraviť kľúčové slovo', '2012-02-23 12:16:00'),
(8226, 'sk', 'keyword', 'Graphical Keyword Position Reports', 'Grafický výpis pozícií kľúčových slov', '2012-02-23 12:16:00'),
(8227, 'sk', 'keyword', 'Import Keywords', 'Zadať kľúčové slová', '2012-02-23 12:16:00'),
(8228, 'sk', 'keyword', 'Insert keywords separated with comma', 'Klúčové slová oddeľte čiarkou', '2012-02-23 12:16:00'),
(8229, 'sk', 'keyword', 'Keyword already exist', 'Kľúčové slovo už existuje', '2012-02-23 12:16:00'),
(8230, 'sk', 'keyword', 'Keyword Position Report', 'Výpis pozícií kľúčových slov', '2012-02-23 12:16:00'),
(8231, 'sk', 'keyword', 'New Keyword', 'Nové kľúčové slovo', '2012-02-23 12:16:00'),
(8232, 'sk', 'keyword', 'not assigned to required search engines', 'nie je priradené k požadovaným vyhľadávačom', '2012-02-23 12:16:00'),
(8233, 'sk', 'keyword', 'pleaseselecttool', 'Prosím vyberte aspoň jeden SEO nástroj', '2012-02-23 12:16:00'),
(8234, 'sk', 'keyword', 'Quick Keyword Position Checker', 'Rýchla kontrola pozícií kľúčového slova', '2012-02-23 12:16:00'),
(8235, 'sk', 'keyword', 'results from ', 'výsledky z', '2012-02-23 12:16:00'),
(8236, 'sk', 'keyword', 'Show All results', 'Zobraziť všetky výsledky', '2012-02-23 12:16:00'),
(8237, 'sk', 'keyword', 'Successfully crawled keyword', 'Úspešne preskúmané kľúčové slovo', '2012-02-23 12:16:00'),
(8238, 'sk', 'keyword', 'to create new keywords', 'na vytvorenie nových kľúčových slov', '2012-02-23 12:16:00'),
(8239, 'sk', 'label', 'already exist', 'už existuje', '2013-04-30 10:34:36'),
(8240, 'sk', 'label', 'Authentication', 'Overenie', '2013-04-30 10:34:36'),
(8241, 'sk', 'label', 'Author', 'Autor', '2013-04-30 10:34:36'),
(8242, 'sk', 'label', 'Brocken', 'Nefunkčné', '2013-04-30 10:34:36'),
(8243, 'sk', 'label', 'Click Here', 'Kliknite sem', '2013-04-30 10:34:36'),
(8244, 'sk', 'label', 'Comments', 'Komentár', '2013-04-30 10:34:36'),
(8245, 'sk', 'label', 'Count', 'Počet', '2013-04-30 10:34:36'),
(8246, 'sk', 'label', 'Cron', 'Cron', '2013-04-30 10:34:36'),
(8247, 'sk', 'label', 'Description', 'Popis', '2013-04-30 10:34:36'),
(8248, 'sk', 'label', 'Developers', 'Vývojári', '2013-04-30 10:34:36'),
(8249, 'sk', 'label', 'Download', 'Stiahnuť', '2013-04-30 10:34:36'),
(8250, 'sk', 'label', 'Exclude', 'Vylúčiť', '2013-04-30 10:34:36'),
(8251, 'sk', 'label', 'Include', 'Zahrnúť', '2013-04-30 10:34:36'),
(8252, 'sk', 'label', 'Installation', 'Inštalácia', '2013-04-30 10:34:36'),
(8253, 'sk', 'label', 'Keywords', 'Kľúčové slová', '2013-04-30 10:34:36'),
(8254, 'sk', 'label', 'noactiveplugins', 'Neboli nájdené žiadne SEO pluginy', '2013-04-30 10:34:36'),
(8255, 'sk', 'label', 'Plugin', 'Plugin', '2013-04-30 10:34:36'),
(8256, 'sk', 'label', 'Port', 'Port', '2013-04-30 10:34:36'),
(8257, 'sk', 'label', 'Project', 'Projekt', '2013-04-30 10:34:36'),
(8258, 'sk', 'label', 'Proxy', 'Proxy', '2013-04-30 10:34:36'),
(8259, 'sk', 'label', 'Re-install', 'Znovu nainštalovať', '2013-04-30 10:34:36'),
(8260, 'sk', 'label', 'Report Type', 'Typ výpisu', '2013-04-30 10:34:36'),
(8261, 'sk', 'label', 'Score', 'Skóre', '2013-04-30 10:34:36'),
(8262, 'sk', 'label', 'Sponsors', 'Sponzori', '2013-04-30 10:34:36'),
(8263, 'sk', 'label', 'Title', 'Nadpis', '2013-04-30 10:34:36'),
(8264, 'sk', 'label', 'Total Results', 'Celkové výsledky', '2013-04-30 10:34:36'),
(8265, 'sk', 'label', 'translation by', 'Preložil', '2013-04-30 10:34:36'),
(8266, 'sk', 'label', 'Translators', 'Prekladatelia', '2013-04-30 10:34:36'),
(8267, 'sk', 'label', 'Updated', 'Aktualizované', '2013-04-30 10:34:36'),
(8268, 'sk', 'label', 'Upgrade', 'Aktualizácia', '2013-04-30 10:34:36'),
(8269, 'sk', 'label', 'Version', 'Verzia', '2013-04-30 10:34:36'),
(8270, 'sk', 'label', 'View Reports', 'Zobraziť výsledky auditu', '2013-04-30 10:34:36'),
(8271, 'sk', 'label', 'wantproceed', 'Naozaj to chcete vykonať?', '2013-04-30 10:34:36'),
(8272, 'sk', 'login', 'Confirm Password', 'Potvrdiť heslo', '2012-02-25 07:07:08'),
(8273, 'sk', 'login', 'Create my account', 'Vytvoriť účet', '2012-02-25 07:07:08'),
(8274, 'sk', 'login', 'Create New Account', 'Vytvoriť nový účet', '2012-02-25 07:07:08'),
(8275, 'sk', 'login', 'Email', 'Email', '2012-02-25 07:07:08'),
(8276, 'sk', 'login', 'emailexist', 'Tento email už existuje!', '2012-02-25 07:07:08'),
(8277, 'sk', 'login', 'Enter the code as it is shown', 'Opíšte zobrazený kód', '2012-02-25 07:07:08'),
(8278, 'sk', 'login', 'First Name', 'Krstné meno', '2012-02-25 07:07:08'),
(8279, 'sk', 'login', 'Last Name', 'Priezvisko', '2012-02-25 07:07:08'),
(8280, 'sk', 'login', 'Login', 'Užívateľské meno', '2012-02-25 07:07:08'),
(8281, 'sk', 'login', 'Login incorrect', 'Nesprávne užívateľské meno', '2012-02-25 07:07:08'),
(8282, 'sk', 'login', 'newaccountsuccess', 'Účet bol úspešne vytvorený', '2012-02-25 07:07:08'),
(8283, 'sk', 'login', 'Password', 'Heslo', '2012-02-25 07:07:08'),
(8284, 'sk', 'login', 'Password incorrect', 'Nesprávne heslo', '2012-02-25 07:07:08'),
(8285, 'sk', 'login', 'Register', 'Registrovať', '2012-02-25 07:07:08'),
(8286, 'sk', 'login', 'Sign in to your account', 'Prihlásiť sa k svojmu účtu', '2012-02-25 07:07:08'),
(8287, 'sk', 'login', 'User inactive', 'Neaktívny užívateľ', '2012-02-25 07:07:08'),
(8288, 'sk', 'login', 'Username', 'Užívateľské meno', '2012-02-25 07:07:08'),
(8289, 'sk', 'login', 'usernameexist', 'Užívateľské meno už existuje!', '2012-02-25 07:07:08'),
(8290, 'sk', 'panel', 'About Us', 'O nás', '2013-04-30 10:34:59'),
(8291, 'sk', 'panel', 'Add following command to your cron tab', 'Vložte nasledujúci príkaz do tabuľky cronu', '2013-04-30 10:34:59'),
(8292, 'sk', 'panel', 'alsocheckfollowlink', 'Pozri nasledujúci odkaz, ak potrebuješ viac detailov', '2013-04-30 10:34:59'),
(8293, 'sk', 'panel', 'Check Directory', 'Kontrola katalógov', '2013-04-30 10:34:59'),
(8294, 'sk', 'panel', 'Cron Command', 'Príkaz cronu', '2013-04-30 10:34:59'),
(8295, 'sk', 'panel', 'Directory Manager', 'Správca katalógov', '2013-04-30 10:34:59'),
(8296, 'sk', 'panel', 'Edit My Profile', 'Upraviť môj profil', '2013-04-30 10:34:59'),
(8297, 'sk', 'panel', 'Edit Project', 'Upraviť projekt', '2013-04-30 10:34:59'),
(8298, 'sk', 'panel', 'My Profile', 'Môj profil', '2013-04-30 10:34:59'),
(8299, 'sk', 'panel', 'New Project', 'Nový projekt', '2013-04-30 10:34:59'),
(8300, 'sk', 'panel', 'New Proxy', 'Nové proxy', '2013-04-30 10:34:59'),
(8301, 'sk', 'panel', 'New User', 'Nový užívateľ', '2013-04-30 10:34:59'),
(8302, 'sk', 'panel', 'New Website', 'Nová webstránka', '2013-04-30 10:34:59'),
(8303, 'sk', 'panel', 'Proxy Manager', 'Správca proxy', '2013-04-30 10:34:59'),
(8304, 'sk', 'panel', 'Report Generation Manager', 'Správca pre vytváranie výpisov', '2013-04-30 10:34:59'),
(8305, 'sk', 'panel', 'Reports Manager', 'Správca výpisov', '2013-04-30 10:34:59'),
(8306, 'sk', 'panel', 'Seo Plugins Manager', 'Správca SEO pluginov', '2013-04-30 10:34:59'),
(8307, 'sk', 'panel', 'Seo Tools Manager', 'Správca SEO nástrojov', '2013-04-30 10:34:59'),
(8308, 'sk', 'panel', 'System Settings', 'Systémové nastavenia', '2013-04-30 10:34:59'),
(8309, 'sk', 'panel', 'User Manager', 'Správca užívateľov', '2013-04-30 10:34:59'),
(8310, 'sk', 'panel', 'Website Manager', 'Správca webstránok', '2013-04-30 10:34:59'),
(8311, 'sk', 'plugin', 'Download Seo Panel Plugins', 'Stiahnuť SEO Panel Plugin', '2012-02-23 12:45:00'),
(8312, 'sk', 'plugin', 'Edit Seo Plugin', 'Upraviť SEO plugin', '2012-02-23 12:45:00'),
(8313, 'sk', 'plugin', 'Plugin Name', 'Názov pluginu', '2012-02-23 12:45:00'),
(8314, 'sk', 'plugin', 'Seo Plugin Details', 'Detaily SEO pluginu', '2012-02-23 12:45:00'),
(8315, 'sk', 'proxy', 'Edit Proxy', 'Upraviť proxy', '2012-02-20 12:38:03'),
(8316, 'sk', 'proxy', 'Proxy Password', 'Heslo k proxy', '2012-02-20 12:38:03'),
(8317, 'sk', 'proxy', 'Proxy Username', 'Užívateľ k proxy', '2012-02-20 12:38:03'),
(8318, 'sk', 'proxy', 'Proxyalreadyexist', 'Proxy už existuje', '2012-02-20 12:38:03'),
(8319, 'sk', 'rank', 'enterurlproceed', '<b>Na jeden riadok</b> vložte jednu URL adresu. Kliknite na \\\"Vykonať\\\" na kontrolu Google a Alexa ranku.', '2012-02-25 08:42:00'),
(8320, 'sk', 'rank', 'Google and Alexa Rank Reports', 'Výpis Google a Alexa ranku', '2012-02-25 08:42:00'),
(8321, 'sk', 'rank', 'Saved rank results of', 'Výsledky rankov webu boli uložené - ', '2012-02-25 08:42:00'),
(8322, 'sk', 'website', 'Edit Website', 'Upraviť webstránku', '2012-02-25 07:20:49'),
(8323, 'sk', 'website', 'plscrtwebsite', 'Pred začiatkom používania SEO nástrojov a SEO pluginov, vytvorte prosím najskôr webstránku', '2012-02-25 07:20:49'),
(8324, 'sk', 'website', 'Website already exist', 'Webstránka už existuje', '2012-02-25 07:20:49'),
(8325, 'sk', 'website', 'yourwebalreday', 'vašu webstránku, ak už bola vytvorená.', '2012-02-25 07:20:49'),
(8326, 'sk', 'user', 'Edit User', 'Upraviť užívateľa', '2012-02-20 20:32:06'),
(8327, 'sk', 'user', 'Saved My Profile Details', 'Detaily v mojom profile boli uložené', '2012-02-20 20:32:06'),
(8328, 'sk', 'sitemap', 'Change frequency', 'Zmeniť frekvenciu', '2012-02-20 20:40:22'),
(8329, 'sk', 'sitemap', 'clickproceedsitemap', 'Na vytvorenie sitemapy kliknite na <b>Vykonať<b> ', '2012-02-20 20:40:22'),
(8330, 'sk', 'sitemap', 'Download sitemap file from', 'Stiahnuť sitemapu z', '2012-02-20 20:40:22'),
(8331, 'sk', 'sitemap', 'Exclude Url', 'Vyňať URL', '2012-02-20 20:40:22'),
(8332, 'sk', 'sitemap', 'processtaketime', 'Čas spracovania závisí na počte linkov na vašej stránke. Prosím  počkajte, pokiaľ nedostanete súbor sitemapy', '2012-02-20 20:40:22'),
(8333, 'sk', 'sitemap', 'Sitemap Type', 'Typ sitemapy', '2012-02-20 20:40:22'),
(8334, 'sk', 'saturation', 'clickproceedsaturation', 'Vložte <b>na každý riadok jednu</b> URL. Kliknite na <b>Vykonať</b> pro kontrolu indexácie vyhľadávačmi.', '2012-02-27 03:53:35'),
(8335, 'sk', 'saturation', 'GenerateSaturationReports', 'Vygenerovať výpis indexácie vyhľadávačmi', '2012-02-27 03:53:36'),
(8336, 'sk', 'saturation', 'Quick Search Engine Saturation Checker', 'Rýchla kontrola indexácie vyhľadávačmi', '2012-02-27 03:53:36'),
(8337, 'sk', 'saturation', 'Saved Search Engine Saturation results of', 'Výsledky indexácie vyhľadávačmi boli uložené pre web', '2012-02-27 03:53:36'),
(8338, 'sk', 'saturation', 'Search Engine Saturation Reports', 'Výpis indexácie vyhľadávačmi', '2012-02-27 03:53:36'),
(8339, 'sk', 'seotools', 'Auditor Projects', 'Audit projektov', '2012-02-25 10:56:20'),
(8340, 'sk', 'seotools', 'Auditor Reports', 'Výsledky auditu', '2012-02-25 10:56:20'),
(8341, 'sk', 'seotools', 'Auditor Settings', 'Nastavenie auditu', '2012-02-25 10:56:20'),
(8342, 'sk', 'seotools', 'Automatic Submission', 'Automatická registrácia', '2012-02-25 10:56:20'),
(8343, 'sk', 'seotools', 'backlink-checker', 'Kontrola spätných odkazov', '2012-02-25 10:56:20'),
(8344, 'sk', 'seotools', 'Backlinks Reports', 'Výpis spätných odkazov', '2012-02-25 10:56:20'),
(8345, 'sk', 'seotools', 'Check Submission Status', 'Skontrolovať stav registrácie', '2012-02-25 10:56:20'),
(8346, 'sk', 'seotools', 'clickgeneratereports', 'Na vygenerovanie výsledkov kliknite na \\\"Vykonať\\\" ', '2012-02-25 10:56:20'),
(8347, 'sk', 'seotools', 'Detailed Position Reports', 'Detailné výpisy pozícií', '2012-02-25 10:56:20'),
(8348, 'sk', 'seotools', 'directory-submission', 'Registrácia do katalógov', '2012-02-25 10:56:20'),
(8349, 'sk', 'seotools', 'Featured Submission', 'Odporúčame vložiť', '2012-02-25 10:56:20'),
(8350, 'sk', 'seotools', 'Generate Backlinks Reports', 'Vygenerovať výpis spätných odkazov', '2012-02-25 10:56:20'),
(8351, 'sk', 'seotools', 'Generate Keyword Reports', 'Zistiť pozície kľúčových slov', '2012-02-25 10:56:20'),
(8352, 'sk', 'seotools', 'Generate Rank Reports', 'Vygenerovať výpis rankov', '2012-02-25 10:56:20'),
(8353, 'sk', 'seotools', 'Generate Saturation Reports', 'Vygenerovať výpis naplnenia', '2012-02-25 10:56:20'),
(8354, 'sk', 'seotools', 'Google Sitemap Generator', 'Generátor google sitemapy', '2012-02-25 10:56:20'),
(8355, 'sk', 'seotools', 'Graphical Position Reports', 'Grafický výpis pozícií', '2012-02-25 10:56:20'),
(8356, 'sk', 'seotools', 'Import Project Links', 'Importovať linky projektu', '2012-02-25 10:56:20'),
(8357, 'sk', 'seotools', 'Keyword Position Summary', 'Sumár pozícií kľúčových slov', '2012-02-25 10:56:20'),
(8358, 'sk', 'seotools', 'keyword-position-checker', 'Kontrola pozícií kľúčových slov', '2012-02-25 10:56:20'),
(8359, 'sk', 'seotools', 'Keywords Manager', 'Správca kľúčových slov', '2012-02-25 10:56:20'),
(8360, 'sk', 'seotools', 'Quick Backlinks Checker', 'Rýchla kontrola spätných odkazov', '2012-02-25 10:56:20'),
(8361, 'sk', 'seotools', 'Quick Position Checker', 'Rýchla kontrola pozícií', '2012-02-25 10:56:20'),
(8362, 'sk', 'seotools', 'Quick Rank Checker', 'Rýchla kontrola rankov', '2012-02-25 10:56:20'),
(8363, 'sk', 'seotools', 'Quick Saturation Checker', 'Rýchla kontrola naplnení', '2012-02-25 10:56:20'),
(8364, 'sk', 'seotools', 'Rank Reports', 'Výpis rankov', '2012-02-25 10:56:20'),
(8365, 'sk', 'seotools', 'rank-checker', 'Kontrola rankov', '2012-02-25 10:56:20'),
(8366, 'sk', 'seotools', 'Saturation Reports', 'Výpisy naplnenia', '2012-02-25 10:56:20'),
(8367, 'sk', 'seotools', 'saturation-checker', 'Naplnenie vyhľadávačov', '2012-02-25 10:56:20'),
(8368, 'sk', 'seotools', 'site-auditor', 'Auditor webstránok', '2012-02-25 10:56:20'),
(8369, 'sk', 'seotools', 'sitemap-generator', 'Generátor sitemapy', '2012-02-25 10:56:20'),
(8370, 'sk', 'seotools', 'Skipped Directories', 'Vynechané katalógy', '2012-02-25 10:56:20'),
(8371, 'sk', 'seotools', 'Submission Reports', 'Výpisy registrácie', '2012-02-25 10:56:20'),
(8372, 'sk', 'seotools', 'User Access', 'Uživateľský prístup', '2012-02-25 10:56:20'),
(8373, 'sk', 'settings', 'Check for Updates', 'Skontrolovať aktualizácie', '2013-04-30 10:35:42'),
(8374, 'sk', 'settings', 'Click here to become a sponsor for Seo Panel', '<b>Darujte 100 dolárov</b> a staňte sa <b>sponzorom</b> SEO panelu.', '2013-04-30 10:35:42'),
(8375, 'sk', 'settings', 'getallpluginfree', 'Taktiež dostanete  <b>zdarma</b> všetky <b>pluginy</b>, ktoré vyvinieme!', '2013-04-30 10:35:42'),
(8376, 'sk', 'settings', 'SA_CRAWL_DELAY_TIME', 'Zdržanie medzi prechádzaním jednotlivých stránok', '2013-04-30 10:35:42'),
(8377, 'sk', 'settings', 'SA_MAX_NO_PAGES', 'Maximálny počet stránok povolených na webstránku', '2013-04-30 10:35:42'),
(8378, 'sk', 'settings', 'seopanel_description', 'Kompletný ovládací panel zdarma pre spravovanie SEO optimalizácie vašich webstránok. Obsahuje veľa najnovších SEO nástrojov na zvýšenie a sledovanie výkonnosti vyšich webstránok. Je to softvér s otvoreným kódom, takže si môžete tiež vyvinúť vlastné SEO pluginy pre SEO panel.', '2013-04-30 10:35:42'),
(8379, 'sk', 'settings', 'seopanel_title', 'SEO panel - prvý ovládací SEO panel na spravovanie viacerých webstránok', '2013-04-30 10:35:42'),
(8380, 'sk', 'settings', 'SP_API_KEY', 'SEO panel API Key', '2013-04-30 10:35:42'),
(8381, 'sk', 'settings', 'SP_CRAWL_DELAY', 'Zdržanie medzi každým prehľadávacím robotom', '2013-04-30 10:35:42'),
(8382, 'sk', 'settings', 'SP_DEFAULTLANG', 'Predvolený jazyk', '2013-04-30 10:35:42'),
(8383, 'sk', 'settings', 'SP_DESCRIPTION', 'Popis SEO panelu', '2013-04-30 10:35:42'),
(8384, 'sk', 'settings', 'SP_ENABLE_PROXY', 'Zapnúť proxy', '2013-04-30 10:35:42'),
(8385, 'sk', 'settings', 'SP_HOTLINKING', 'Zapnutá ochrana obrázkom', '2013-04-30 10:35:42'),
(8386, 'sk', 'settings', 'SP_KEYWORDS', 'Kľúčové slová SEO panelu', '2013-04-30 10:35:42'),
(8387, 'sk', 'settings', 'SP_PAGINGNO', 'Počet záznamov na stránku', '2013-04-30 10:35:42'),
(8388, 'sk', 'settings', 'SP_TITLE', 'Nadpis SEO panelu', '2013-04-30 10:35:42'),
(8389, 'sk', 'settings', 'SP_USER_AGENT', 'User agent', '2013-04-30 10:35:42'),
(8390, 'sk', 'settings', 'SP_USER_GEN_REPORT', 'Povoliť užívateľovi generovať výpisy', '2013-04-30 10:35:42'),
(8391, 'sk', 'settings', 'SP_USER_REGISTRATION', 'Rozhranie registrácie užívateľa', '2013-04-30 10:35:42'),
(8392, 'sk', 'settings', 'syssettingssaved', 'Systémové nastavenia boli úspešne uložené', '2013-04-30 10:35:42'),
(8393, 'sk', 'settings', 'versionnotuptodatemsg', 'Vaša inštalácia SEO panelu nie je aktuálna. <br>Prosím, stiahnite si novú verziu', '2013-04-30 10:35:42'),
(8394, 'sk', 'settings', 'Your Seo Panel installation is up to date', 'Vaša inštalácia SEO panelu je aktuálna', '2013-04-30 10:35:42'),
(8395, 'sk', 'siteauditor', 'Anchor', 'Odkaz', '2012-02-25 08:05:27'),
(8396, 'sk', 'siteauditor', 'anylinkcontainabovelinks', 'Všetky odkazy, ktoré obsahujú vyššie uvedené odkazy, budú vylúčené z výpisu', '2012-02-25 08:05:27'),
(8397, 'sk', 'siteauditor', 'anylinkcontainexcludesitemap', 'Všetky odkazy, ktoré obsahujú vyššie uvedené odkazy, budú vylúčené zo sitemapy', '2012-02-25 08:05:27'),
(8398, 'sk', 'siteauditor', 'Check backlinks of pages', 'Skontrolovať spätné odkazy stránok', '2012-02-25 08:05:27'),
(8399, 'sk', 'siteauditor', 'Check broken links in a page', 'Skontrolovať nefunkčné odkazy na stránke', '2012-02-25 08:05:27'),
(8400, 'sk', 'siteauditor', 'Check google pagerank of pages', 'Skontrolovať google pagerank stránok', '2012-02-25 08:05:27'),
(8401, 'sk', 'siteauditor', 'Check pages indexed or not', 'Skontrolovať indexáciu stránok', '2012-02-25 08:05:27'),
(8402, 'sk', 'siteauditor', 'Check Score', 'Skontrolovať skóre', '2012-02-25 08:05:27'),
(8403, 'sk', 'siteauditor', 'checkborckenlinkwait', 'Skontrolovať, či nefunkčné odkazy zvýšia čas realizácie projektu', '2012-02-25 08:05:27'),
(8404, 'sk', 'siteauditor', 'Completed project execution', 'Dokončená realizáciu projektu', '2012-02-25 08:05:27'),
(8405, 'sk', 'siteauditor', 'Crawled', 'Prehľadané', '2012-02-25 08:05:27'),
(8406, 'sk', 'siteauditor', 'Crawled Pages', 'Prehľadané stránky', '2012-02-25 08:05:27'),
(8407, 'sk', 'siteauditor', 'crawledsuccesssfullywaitfornext', 'úspešné prehľadanie! Čakajte na prehľadanie ďalšej stránky pre', '2012-02-25 08:05:27'),
(8408, 'sk', 'siteauditor', 'Crawling Page', 'Prehľadávaná stránka', '2012-02-25 08:05:27'),
(8409, 'sk', 'siteauditor', 'Duplicate Description', 'Stránky s duplicitnými popismi', '2012-02-25 08:05:27'),
(8410, 'sk', 'siteauditor', 'Duplicate Keywords', 'Stránky s duplicitné kľúčovýi slovami', '2012-02-25 08:05:27'),
(8411, 'sk', 'siteauditor', 'Duplicate Title', 'Stránky s duplicitnými nadpismi', '2012-02-25 08:05:27'),
(8412, 'sk', 'siteauditor', 'Exclude links', 'Vylúčiť odkazy', '2012-02-25 08:05:27'),
(8413, 'sk', 'siteauditor', 'Execute with cron', 'Vykonať cronom', '2012-02-25 08:05:27'),
(8414, 'sk', 'siteauditor', 'External', 'Externý', '2012-02-25 08:05:27'),
(8415, 'sk', 'siteauditor', 'External Links', 'Externé odkazy', '2012-02-25 08:05:27'),
(8416, 'sk', 'siteauditor', 'Import Project Links', 'Importovať odkazy projektu', '2012-02-25 08:05:27'),
(8417, 'sk', 'siteauditor', 'Insert links separated with comma', 'Vložit odkazy oddelené čiarkou', '2012-02-25 08:05:27'),
(8418, 'sk', 'siteauditor', 'insertlinkssepcoma', 'Vložit odkazy oddelené čiarkou na vylúčenie nekonečných odkazov z výpisov', '2012-02-25 08:05:27'),
(8419, 'sk', 'siteauditor', 'Link Reports', 'Sumár jednotlivých URL', '2012-02-25 08:05:27'),
(8420, 'sk', 'siteauditor', 'Link Title', 'Nadpis odkazu', '2012-02-25 08:05:27'),
(8421, 'sk', 'siteauditor', 'Maximum number of pages to be checked', 'Maximálny počet stránok, ktoré majú byť kontrolované', '2012-02-25 08:05:27'),
(8422, 'sk', 'siteauditor', 'Maximum Pages', 'Maximum stránok', '2012-02-25 08:05:27'),
(8423, 'sk', 'siteauditor', 'No active projects found', 'Nebol nájdený žiadny aktívny projekt', '2012-02-25 08:05:27'),
(8424, 'sk', 'siteauditor', 'Nofollow', 'Nofollow', '2012-02-25 08:05:27'),
(8425, 'sk', 'siteauditor', 'Number of pages is greater than', 'Počet stránok je väčší než', '2012-02-25 08:05:27'),
(8426, 'sk', 'siteauditor', 'Number of pages should be greater than', 'Počet stránok by mal byť väčší než', '2012-02-25 08:05:27'),
(8427, 'sk', 'siteauditor', 'Page Details', 'Detaily stránky', '2012-02-25 08:05:27'),
(8428, 'sk', 'siteauditor', 'Page Link', 'URL stránky', '2012-02-25 08:05:27'),
(8429, 'sk', 'siteauditor', 'Page Links', 'Odkazy na stránku', '2012-02-25 08:05:27'),
(8430, 'sk', 'siteauditor', 'Pages Found', 'Nájdené stránky', '2012-02-25 08:05:27'),
(8431, 'sk', 'siteauditor', 'pressescapetostopexecution', 'Stlačte <b>escape</b>, ak chcete zastaviť vykonávanie skriptu', '2012-02-25 08:05:27'),
(8432, 'sk', 'siteauditor', 'Project Summary', 'Zhrnutie projektu', '2012-02-25 08:05:27'),
(8433, 'sk', 'siteauditor', 'Project Url', 'URL projektu', '2012-02-25 08:05:27'),
(8434, 'sk', 'siteauditor', 'projectalreadyexist', 'Pre túto webstránku už existuje projekt', '2012-02-25 08:05:27'),
(8435, 'sk', 'siteauditor', 'Recheck Pages', 'Znovu skontrolovať stránky', '2012-02-25 08:05:27'),
(8436, 'sk', 'siteauditor', 'Report Summary', 'Kompletná správa projektu', '2012-02-25 08:05:27'),
(8437, 'sk', 'siteauditor', 'Run Project', 'Spustiť projekt', '2012-02-25 08:05:27'),
(8438, 'sk', 'siteauditor', 'should start with', 'by mal začať s', '2012-02-25 08:05:27'),
(8439, 'sk', 'siteauditor', 'Site Auditor Settings', 'Nastavenia auditora stránky', '2012-02-25 08:05:27'),
(8440, 'sk', 'siteauditor', 'Store all links found in a page', 'Ukladať všetky nájdené odkazy na stránke', '2012-02-25 08:05:27'),
(8441, 'sk', 'siteauditor', 'The page description length is not between', 'Dĺžka popisu stránky nie je medzi', '2012-02-25 08:05:27'),
(8442, 'sk', 'siteauditor', 'The page is brocken', 'Stránka je nefunkčná', '2012-02-25 08:05:27'),
(8443, 'sk', 'siteauditor', 'The page is having exellent number of backlinks in', 'Na stránku vedie vynikajúci počet spätných odkazov', '2012-02-25 08:05:27'),
(8444, 'sk', 'siteauditor', 'The page is having exellent pagerank', 'Stránka má vynikajúci pagerank', '2012-02-25 08:05:27');
INSERT INTO `texts` (`id`, `lang_code`, `category`, `label`, `content`, `changed`) VALUES
(8445, 'sk', 'siteauditor', 'The page is having good number of backlinks in', 'Na stránku vedie dobrý počet spätných odkazov', '2012-02-25 08:05:27'),
(8446, 'sk', 'siteauditor', 'The page is having good pagerank', 'Stránka má dobrý pagerank', '2012-02-25 08:05:27'),
(8447, 'sk', 'siteauditor', 'The page is having poor pagerank', 'Stránka má slabý pagerank', '2012-02-25 08:05:27'),
(8448, 'sk', 'siteauditor', 'The page is having very good pagerank', 'Stránka má veľmi dobrý pagerank', '2012-02-25 08:05:27'),
(8449, 'sk', 'siteauditor', 'The page is not having backlinks in', 'Na stránku nevedú žiadne spätné odkazy', '2012-02-25 08:05:27'),
(8450, 'sk', 'siteauditor', 'The page is not indexed in', 'Stránka nie je indexovaná', '2012-02-25 08:05:27'),
(8451, 'sk', 'siteauditor', 'The page keywords length is not between', 'Dĺžka kľúčových slov stránky nie je medzi', '2012-02-25 08:05:27'),
(8452, 'sk', 'siteauditor', 'The page title length is not between', 'Dĺžka nadpisu stránky nie je medzi', '2012-02-25 08:05:27'),
(8453, 'sk', 'siteauditor', 'The total number of links in page is greater than', 'Celkový počet odkazov na stránke je väčší než', '2012-02-25 08:05:27'),
(8454, 'sk', 'siteauditor', 'to run project again if you stopped execution', 'pre opätovné spustenie projektu, ak ste zastavili vykonávanie skriptu', '2012-02-25 08:05:27'),
(8455, 'sk', 'siteauditor', 'to view the reports', 'pre zobrazenie správy', '2012-02-25 08:05:27'),
(8456, 'sk', 'siteauditor', 'Total Links', 'Celkový počet odkazov', '2012-02-25 08:05:27'),
(8457, 'sk', 'siteauditor', 'totallinksgreaterallowed', 'Celkový počet odkazov bude vyšší ako maximum povolených odkazov pre projekt', '2012-02-25 08:05:27'),
(8458, 'sk', 'support', 'support_cont1', '<fieldset>\r\n<legend>Technická podpora SEO panelu</legend>\r\n<ul class=\\\"infobox\\\">\r\n    <li>\r\n        <h1>Balíček 1000 katalógov</h1> \r\n        <p>\r\n            Poskytujeme balíček <b>1000 voľných, aktívnych a overených</b> internetových katalógov, ktorý si môžete pridať do vášho \r\n <b>nástroja na vkladanie do katalógov</b> vo vašom SEO paneli.\r\n            Pomôže vám to <b>zvýšiť množstvo spätných odkazov</b> smerujúcich na vašu webstránku.\r\n            Aktuálny zoznam 1000 katalógov je <b>predstavený</b> na získanie financií pre <b>budúci vývoj</b> SEO panelu.\r\n            Na získanie zoznamu 1000 katalógov prosím <a href=\\\"<?=SP_DONATE_LINK?>\\\" target=\\\"_blank\\\">darujte</a> 10 dolárov alebo viac na zlepšenie funkcií SEO panelu.\r\n            Ak máte akékoľvek otázky o balíčku 1000 katalógov, prosím <a href=\\\"<?=SP_CONTACT_LINK?>\\\"\r\ntarget=\\\"_blank\\\">kontaktujte nás</a> alebo kontaktujte <a href=\\\"<?=SP_SUPPORT_LINK?>\\\"\r\ntarget=\\\"_blank\\\">technickú podporu</a>.   \r\n        </p>        \r\n        <p>\r\n            <a href=\\\"<?=SP_DONATE_LINK?>\\\" target=\\\"_blank\\\">Kliknite sem na dotáciu SEO panelu</a>\r\n        </p>\r\n        <br>\r\n    </li> \r\n\r\n    <li>\r\n        <h1>Balíček lokálnych vyhľadávačov</h1> \r\n        <p>\r\n            Pridajte si <b>lokálne vyhľadávacie domény</b> google,yahoo,msn (<b>napr. : www.google.de,www.google.fr\r\natď</b>) do <b>kontroly pozícií kľúčových slov</b> v SEO paneli, na sledovanie výkonnosti vašej webstránky v lokálnych vyhľadávačoch.\r\n            Na získanie balíčka lokálnych vyhľadávačov (v závislosti na vašich požiadavkách) prosím <a\r\nhref=\\\"<?=SP_DONATE_LINK?>\\\" target=\\\"_blank\\\">darujte</a> 10 dolárov, alebo viac na zlepšenie funkcií SEO panelu.\r\n            Pred poslaním dotácie nás prosím <a href=\\\"<?=SP_CONTACT_LINK?>\\\" target=\\\"_blank\\\">kontaktujte</a> a poskytnite nám požadovaný zoznam doménových vyhľadávačov.\r\n            <br><br>              \r\n            Taktiež na pridanie <b>nových vyhľadávačov (eg:baidu.com)</b> do vašej kontroly pozícií kľúčových slov, nás prosím <a href=\\\"<?=SP_CONTACT_LINK?>\\\" target=\\\"_blank\\\">kontaktujte</a>, alebo zadajte požiadavku <a\r\nhref=\\\"<?=SP_SUPPORT_LINK?>\\\" target=\\\"_blank\\\">technickej podpore</a>. \r\n        </p>        \r\n        <p class=\\\"visit\\\">\r\n            <a href=\\\"<?=SP_CONTACT_LINK?>\\\" target=\\\"_blank\\\">Kontaktujte nás</a>\r\n        </p>\r\n        <br>\r\n    </li> \r\n<li>\r\n        <h1>Seo Panel Pluginy</h1> \r\n        <p>\r\n            Pridajte si <b>SEO pluginy</b> do vášho SEO panelu na <b>rozšírenie funkcií</b> v závislosti na vašich požiadavkách.\r\n            <a href=\\\"<?=SP_PLUGINSITE?>\\\" target=\\\"_blank\\\">Seo panel pluginy</a> sú poskytované SEO panelom a tretími stranami.\r\n            Môžete tiež jednoducho <b>vyvíjať</b> SEO pluginy pre váš SEO panel.\r\n            Môžete <a href=\\\"<?=SP_PLUGINSITE?>\\\" target=\\\"_blank\\\">vložiť</a> váš SEO panel a my ho <b>zverejníme</b> na našej webstránke po našom <b>preverení</b>.        \r\n        </p>        \r\n        <p>\r\n            <a href=\\\"<?=SP_PLUGINSITE?>\\\" target=\\\"_blank\\\">Dostupné pluginy SEO panelu</a>\r\n        </p>\r\n        <br>\r\n    </li> \r\n\r\n    <li>\r\n        <h1>Kontaktujte nás</h1> \r\n        <p>\r\n            Kontaktujte nás v prípade akýchkoľvek otázok o <b>nástrojoch SEO panelu, pluginoch a funkciách atď</b> použitím tohto odkazu.        \r\n        </p>        \r\n        <p>\r\n            <a href=\\\"<?=SP_CONTACT_LINK?>\\\" target=\\\"_blank\\\">Kontaktujte nás</a>\r\n        </p>\r\n        <br>\r\n    </li>\r\n <li>\r\n        <h1>Požiadavky na technickú podporu</h1> \r\n        <p>\r\n            Ak potrebujete <b>technickú podporu</b> od SEO panel tímu na nastavenie <b>nástrojov SEO panelu, pluginov a funkcií</b>. Napr. : nastavenie cronu pre kontrolu pozícií kľúčových slov. \r\n        </p>        \r\n        <p>\r\n            <a href=\\\"<?=SP_SUPPORT_LINK?>\\\" target=\\\"_blank\\\">Kontaktujte technickú podporu</a>\r\n        </p>\r\n        <br>\r\n    </li> \r\n    <li>\r\n        <h1>Hlásenie chýb</h1> \r\n        <p>\r\n            Ohláste <b>chyby</b> v <b>najstrojoch SEO panelu, pluginoch a funkciách atď.</b> použitím nasledujúceho odkazu. \r\n            Prosím pomôžte nám zlepšiť funkcie v ďalších verziách.          \r\n        </p>        \r\n        <p>\r\n            <a href=\\\"<?=SP_SUPPORT_LINK?>\\\" target=\\\"_blank\\\">Hlásenie chýb</a>\r\n        </p>\r\n        <br>\r\n    </li>    \r\n</ul>\r\n</fieldset>            ', '2012-02-23 12:55:15'),
(8459, 'sk', 'support', 'support_cont2', '<fieldset>\r\n<legend>Online zdroje Seo Panelu</legend>\r\n<ul class=\\\"infobox\\\">\r\n        \r\n    <li>\r\n        <h1>Sprievodca nápovedou SEO panelu</h1> \r\n        <p>\r\n            Môžete si prezrieť <a href=\\\"<?=SP_HELP_LINK?>\\\" target=\\\"_blank\\\">dokumentáciu SEO panelu</a> v\r\n<b>sprievodcovi nápovedou</b>. Obsahuje <b>dokumentáciu</b> pre nástroje SEO panelu, pluginy a súvisice funkcie.\r\n            <br>Je to najlepšie miesto na internete, kde môžete <b>dostať pomocné informácie</b> o SEO paneli. Dúfame, že \r\n<b>prispejete</b> do sprievodcu nápovedou SEO panelu, ak nájdete chyby, alebo chýbajúce veci.                \r\n        </p>\r\n        <p>\r\n            <a href=\\\"<?=SP_HELP_LINK?>\\\" target=\\\"_blank\\\">Navštívte sprievodcu nápovedou SEO panelu</a>\r\n        </p>\r\n        <br>\r\n    </li>    \r\n    <li>\r\n        <h1>Fórum SEO panelu</h1> \r\n        <p>\r\n            Miesto na diskusiu o prvom svetovom <b>SEO paneli</b> s otvoreným kódom. \r\n            Je to najlepšie miesto na nájdenie <b>odpovedí</b> na <b>vaše otázky</b> o SEO paneli. \r\n            <br>Môžete tu tiež <b>zdielať</b> vaše <b>skúsenosti</b> s používaním SEO panelu pri optimalizovaní vašich webstránok.                               \r\n        </p>        \r\n        <p>\r\n            <a href=\\\"<?=SP_FORUM_LINK?>\\\" target=\\\"_blank\\\">Navštívte fórum SEO panelu</a>\r\n        </p>\r\n        <br>\r\n    </li>\r\n</ul>    \r\n</fieldset>', '2012-02-23 12:55:15'),
(8460, 'sk', 'support', 'support_cont3', '<fieldset>\r\n<legend>Dotácia SEO Panelu</legend>\r\n<ul class=\\\"infobox\\\">        \r\n    <li>\r\n        <h1>Dotácia SEO panelu - Prvý SEO panel s otvoreným kódom na svete</h1> \r\n        <p>\r\n            <b>Dotácia</b> SEO panelu na podporu prvého SEO panelu s otvoreným kódom na svete.\r\n            Plánujeme do budúcna <b>pridávať a zlepšovať</b> funkcie SEO panelu. \r\n            <br>Len s vašou <b>podporou</b> môžeme dosiahnuť naše <b>ciele</b>.\r\n            Ak si myslíte, že SEO panel je pre vás <b>hodnotný</b>, tak prosím, darujte nejakú čiastku tímu SEO panelu.\r\n            <br>Ak dostaneme dotáciu, <b>zverejníme</b> vaše meno a informácie o webstránke na <a href=\\\"<?=SP_DONATE_LINK?>\\\"\r\ntarget=\\\"_blank\\\">stránke darcov</a>.\r\n        </p>\r\n        <p>\r\n            <a href=\\\"<?=SP_DONATE_LINK?>\\\" target=\\\"_blank\\\">Finančne podporiť SEO panel</a>\r\n        </p>\r\n        <br>\r\n    </li>\r\n</ul>\r\n</fieldset>', '2012-02-23 12:55:15'),
(8461, 'id', 'backlink', 'clickproceedbacklink', 'Masukkan <b>satu URL per baris</b>. Klik pada <b>Lanjut</b> untuk mengecek Backlinks.', '2012-03-04 23:12:58'),
(8462, 'id', 'backlink', 'Saved backlink results of', 'Hasil backlink yang disimpan dari', '2012-03-04 23:12:58'),
(8463, 'id', 'button', 'Cancel', 'Batal', '2014-01-08 19:28:06'),
(8464, 'id', 'button', 'Check Status', 'Cek Status', '2014-01-08 19:28:06'),
(8465, 'id', 'button', 'Proceed', 'Lanjut', '2014-01-08 19:28:06'),
(8466, 'id', 'button', 'Reload', 'Muat ulang', '2014-01-08 19:28:06'),
(8467, 'id', 'button', 'Show Details', 'Tunjukkan Detail', '2014-01-08 19:28:06'),
(8468, 'id', 'button', 'Show Records', 'Tunjukkan Arsip', '2014-01-08 19:28:06'),
(8469, 'id', 'button', 'Skip', 'Lewati', '2014-01-08 19:28:06'),
(8470, 'id', 'button', 'Submit', 'Kirim', '2014-01-08 19:28:06'),
(8471, 'id', 'common', 'Action', 'Aksi', '2019-05-25 18:35:48'),
(8472, 'id', 'common', 'Activate', 'Aktifkan', '2019-05-25 18:35:48'),
(8473, 'id', 'common', 'Active', 'Aktif', '2019-05-25 18:35:48'),
(8474, 'id', 'common', 'Admin Panel', 'Panel Admin', '2019-05-25 18:35:48'),
(8475, 'id', 'common', 'Alexa Rank', 'Alexa Rank', '2019-05-25 18:35:48'),
(8476, 'id', 'common', 'All', 'Semua', '2019-05-25 18:35:48'),
(8477, 'id', 'common', 'Category', 'Kategori', '2019-05-25 18:35:48'),
(8478, 'id', 'common', 'contact', 'Kontak', '2019-05-25 18:35:48'),
(8479, 'id', 'common', 'copyright', 'Hak cipta © [year] www.seopanel.in Semua Hak Dilindungi ', '2019-05-25 18:35:48'),
(8480, 'id', 'common', 'Country', 'Negara', '2019-05-25 18:35:48'),
(8481, 'id', 'common', 'Crawl Meta Data', 'Ambil Meta Data', '2019-05-25 18:35:48'),
(8482, 'id', 'common', 'Date', 'Tanggal', '2019-05-25 18:35:48'),
(8483, 'id', 'common', 'Delete', 'Hapus', '2019-05-25 18:35:48'),
(8484, 'id', 'common', 'Details', 'Detail', '2019-05-25 18:35:48'),
(8485, 'id', 'common', 'Directory', 'Direktori', '2019-05-25 18:35:48'),
(8486, 'id', 'common', 'Donate', 'Sumbang', '2019-05-25 18:35:48'),
(8487, 'id', 'common', 'Edit', 'Edit', '2019-05-25 18:35:48'),
(8488, 'id', 'common', 'Entry cannot be blank', 'Entri tidak bisa kosong', '2019-05-25 18:35:48'),
(8489, 'id', 'common', 'entrynotvalid', 'Entri yang dimasukkan terlihat tidak valid', '2019-05-25 18:35:48'),
(8490, 'id', 'common', 'failed', 'Gagal', '2019-05-25 18:35:48'),
(8491, 'id', 'common', 'forum', 'Forum', '2019-05-25 18:35:48'),
(8492, 'id', 'common', 'Found', 'Ditemukan', '2019-05-25 18:35:48'),
(8493, 'id', 'common', 'Google Pagerank', 'Google Pagerank', '2019-05-25 18:35:48'),
(8494, 'id', 'common', 'help', 'Bantuan', '2019-05-25 18:35:48'),
(8495, 'id', 'common', 'hidenews', 'Sembunyikan Berita SEO Panel', '2019-05-25 18:35:48'),
(8496, 'id', 'common', 'Id', 'Id', '2019-05-25 18:35:48'),
(8497, 'id', 'common', 'Inactivate', 'Nonaktifkan', '2019-05-25 18:35:48'),
(8498, 'id', 'common', 'Inactive', 'Non aktif', '2019-05-25 18:35:48'),
(8499, 'id', 'common', 'Invalid characters', 'Karakter yang dimasukkan tidak valid', '2019-05-25 18:35:48'),
(8500, 'id', 'common', 'Invalid code entered', 'Kode yang dimasukkan tidak valid', '2019-05-25 18:35:48'),
(8501, 'id', 'common', 'Invalid email address entered', 'Alamat email yang dimasukkan tidak valid', '2019-05-25 18:35:48'),
(8502, 'id', 'common', 'Invalid value', 'Nilai tidak valid', '2019-05-25 18:35:48'),
(8503, 'id', 'common', 'Keyword', 'Kata kunci', '2019-05-25 18:35:48'),
(8504, 'id', 'common', 'Keywords', 'Kata Kunci', '2019-05-25 18:35:48'),
(8505, 'id', 'common', 'lang', 'Bahasa', '2019-05-25 18:35:48'),
(8506, 'id', 'common', 'My Account', 'Akun Saya', '2019-05-25 18:35:48'),
(8507, 'id', 'common', 'Name', 'Nama', '2019-05-25 18:35:48'),
(8508, 'id', 'common', 'No', 'Tidak', '2019-05-25 18:35:48'),
(8509, 'id', 'common', 'No Keywords Found', 'Tidak Ada Kata Kunci yang Ditemukan', '2019-05-25 18:35:48'),
(8510, 'id', 'common', 'No Records Found', 'Tidak Ada Arsip yang Ditemukan', '2019-05-25 18:35:48'),
(8511, 'id', 'common', 'noactivetools', 'Tidak Ada Kakas SEO Aktif yang Ditemukan', '2019-05-25 18:35:48'),
(8512, 'id', 'common', 'nowebsites', 'Tidak Ada Website yang Ditemukan', '2019-05-25 18:35:48'),
(8513, 'id', 'common', 'password632', 'Panjang password harus di antara 6 dan 12.', '2019-05-25 18:35:48'),
(8514, 'id', 'common', 'passwordnotmatch', 'Password tidak cocok', '2019-05-25 18:35:48'),
(8515, 'id', 'common', 'Period', 'Periode', '2019-05-25 18:35:48'),
(8516, 'id', 'common', 'Priority', 'Prioritas', '2019-05-25 18:35:48'),
(8517, 'id', 'common', 'Profile', 'Profil', '2019-05-25 18:35:48'),
(8518, 'id', 'common', 'Rank', 'Ranking', '2019-05-25 18:35:48'),
(8519, 'id', 'common', 'Reports', 'Laporan', '2019-05-25 18:35:48'),
(8520, 'id', 'common', 'Results', 'Hasil', '2019-05-25 18:35:48'),
(8521, 'id', 'common', 'Search Engine', 'Mesin Pencari', '2019-05-25 18:35:48'),
(8522, 'id', 'common', 'Select', 'Pilih', '2019-05-25 18:35:48'),
(8523, 'id', 'common', 'Seo Plugins', 'Plugin SEO', '2019-05-25 18:35:48'),
(8524, 'id', 'common', 'Seo Tools', 'Kakas SEO', '2019-05-25 18:35:48'),
(8525, 'id', 'common', 'Sign out', 'Keluar', '2019-05-25 18:35:48'),
(8526, 'id', 'common', 'Sign Up', 'Daftar', '2019-05-25 18:35:48'),
(8527, 'id', 'common', 'signin', 'Masuk', '2019-05-25 18:35:48'),
(8528, 'id', 'common', 'Status', 'Status', '2019-05-25 18:35:48'),
(8529, 'id', 'common', 'Support', 'Bantuan', '2019-05-25 18:35:48'),
(8530, 'id', 'common', 'Total', 'Total', '2019-05-25 18:35:48'),
(8531, 'id', 'common', 'Url', 'Url', '2019-05-25 18:35:48'),
(8532, 'id', 'common', 'User', 'Panel', '2019-05-25 18:35:48'),
(8533, 'id', 'common', 'User Panel', 'Panel Pengguna', '2019-05-25 18:35:48'),
(8534, 'id', 'common', 'Website', 'Situs', '2019-05-25 18:35:48'),
(8535, 'id', 'common', 'Yes', 'Ya', '2019-05-25 18:35:48'),
(8536, 'id', 'website', 'Edit Website', 'Edit Situs', '2012-03-05 00:04:52'),
(8537, 'id', 'website', 'plscrtwebsite', 'Silakan buat sebuah situs sebelum mulai menggunakan kakas SEO dan plugin SEO.', '2012-03-05 00:04:54'),
(8538, 'id', 'website', 'Website already exist', 'Situs sudah ada', '2012-03-05 00:04:54'),
(8539, 'id', 'website', 'yourwebalreday', 'website Anda jika Anda sudah membuatnya.', '2012-03-05 00:04:54'),
(8540, 'id', 'user', 'Edit User', 'Edit Pengguna', '2012-03-05 00:07:47'),
(8541, 'id', 'user', 'Saved My Profile Details', 'Detail Profilku Tersimpan', '2012-03-05 00:07:47'),
(8542, 'id', 'sitemap', 'Change frequency', 'Ganti frekuensi', '2012-03-05 00:13:46'),
(8543, 'id', 'sitemap', 'clickproceedsitemap', 'Klik <b>Lanjut</b> untuk membuat file sitemap', '2012-03-05 00:13:46'),
(8544, 'id', 'sitemap', 'Download sitemap file from', 'Unduh file sitemap dari', '2012-03-05 00:13:46'),
(8545, 'id', 'sitemap', 'Exclude Url', 'Keluarkan Url', '2012-03-05 00:13:46'),
(8546, 'id', 'sitemap', 'processtaketime', 'Proses ini akan memakan waktu sesuai jumlah link di situs Anda. Silakan tunggu untuk mendapatkan file sitemap', '2012-03-05 00:13:46'),
(8547, 'id', 'sitemap', 'Sitemap Type', 'Tipe Sitemap', '2012-03-05 00:13:46'),
(8548, 'id', 'siteauditor', 'Anchor', 'Anchor', '2012-03-05 00:37:32'),
(8549, 'id', 'siteauditor', 'anylinkcontainabovelinks', 'Link apapun yang mengandung link di atas akan dikeluarkan dari laporan', '2012-03-05 00:37:32'),
(8550, 'id', 'siteauditor', 'anylinkcontainexcludesitemap', 'Link apapun yang mengandung link di atas akan dikeluarkan dari sitemap', '2012-03-05 00:37:32'),
(8551, 'id', 'siteauditor', 'Check backlinks of pages', 'Cek backlink dari halaman', '2012-03-05 00:37:32'),
(8552, 'id', 'siteauditor', 'Check broken links in a page', 'Cek link yang rusak dalam sebuah halaman', '2012-03-05 00:37:32'),
(8553, 'id', 'siteauditor', 'Check google pagerank of pages', 'Cek Google Pagerank dari halaman', '2012-03-05 00:37:32'),
(8554, 'id', 'siteauditor', 'Check pages indexed or not', 'Cek apakah halaman terindeks', '2012-03-05 00:37:32'),
(8555, 'id', 'siteauditor', 'Check Score', 'Skor Pengecekan', '2012-03-05 00:37:32'),
(8556, 'id', 'siteauditor', 'checkborckenlinkwait', 'Mengecek link yang rusak akan meningkatkan waktu eksekusi proyek', '2012-03-05 00:37:32'),
(8557, 'id', 'siteauditor', 'Completed project execution', 'Eksekusi proyek selesai', '2012-03-05 00:37:32'),
(8558, 'id', 'siteauditor', 'Crawled', 'Crawled', '2012-03-05 00:37:32'),
(8559, 'id', 'siteauditor', 'Crawled Pages', 'Halaman Dicrawl', '2012-03-05 00:37:32'),
(8560, 'id', 'siteauditor', 'crawledsuccesssfullywaitfornext', 'sudah dicrawl! Menunggu crawl halaman berikutnya untuk', '2012-03-05 00:37:32'),
(8561, 'id', 'siteauditor', 'Crawling Page', 'Sedang mengcrawl halaman', '2012-03-05 00:37:32'),
(8562, 'id', 'siteauditor', 'Duplicate Description', 'Deskripsi Duplikat', '2012-03-05 00:37:32'),
(8563, 'id', 'siteauditor', 'Duplicate Keywords', 'Kata Kunci Duplikat', '2012-03-05 00:37:32'),
(8564, 'id', 'siteauditor', 'Duplicate Title', 'Judul Duplikat', '2012-03-05 00:37:32'),
(8565, 'id', 'siteauditor', 'Exclude links', 'Keluarkan link', '2012-03-05 00:37:32'),
(8566, 'id', 'siteauditor', 'Execute with cron', 'Eksekusi dengan cron', '2012-03-05 00:37:32'),
(8567, 'id', 'siteauditor', 'External', 'Luar', '2012-03-05 00:37:32'),
(8568, 'id', 'siteauditor', 'External Links', 'Link Luar', '2012-03-05 00:37:32'),
(8569, 'id', 'siteauditor', 'Import Project Links', 'Impor Link Proyek', '2012-03-05 00:37:32'),
(8570, 'id', 'siteauditor', 'Insert links separated with comma', 'Masukkan link terpisah dengan koma', '2012-03-05 00:37:32'),
(8571, 'id', 'siteauditor', 'insertlinkssepcoma', 'Masukkan link terpisah dengan koma untuk mengeluarkan link tidak terbatas dari laporan', '2012-03-05 00:37:32'),
(8572, 'id', 'siteauditor', 'Link Reports', 'Laporan Link', '2012-03-05 00:37:32'),
(8573, 'id', 'siteauditor', 'Link Title', 'Judul Link', '2012-03-05 00:37:32'),
(8574, 'id', 'siteauditor', 'Maximum number of pages to be checked', 'Jumlah maksimal halaman yang akan dicek', '2012-03-05 00:37:32'),
(8575, 'id', 'siteauditor', 'Maximum Pages', 'Halaman maksimal', '2012-03-05 00:37:32'),
(8576, 'id', 'siteauditor', 'No active projects found', 'Tidak ada proyek aktif yang ditemukan', '2012-03-05 00:37:32'),
(8577, 'id', 'siteauditor', 'Nofollow', 'Nofollow', '2012-03-05 00:37:32'),
(8578, 'id', 'siteauditor', 'Number of pages is greater than', 'Jumlah halaman yang lebih besar dari', '2012-03-05 00:37:32'),
(8579, 'id', 'siteauditor', 'Number of pages should be greater than', 'Jumlah halaman yang seharusnya lebih besar dari', '2012-03-05 00:37:32'),
(8580, 'id', 'siteauditor', 'Page Details', 'Detail Halaman', '2012-03-05 00:37:32'),
(8581, 'id', 'siteauditor', 'Page Link', 'Link Halaman', '2012-03-05 00:37:32'),
(8582, 'id', 'siteauditor', 'Page Links', 'Link Halaman', '2012-03-05 00:37:32'),
(8583, 'id', 'siteauditor', 'Pages Found', 'Halaman yang Ditemukan', '2012-03-05 00:37:32'),
(8584, 'id', 'siteauditor', 'pressescapetostopexecution', 'Tekan tombol <b>escape</b> untuk menghentikan eksekusi skrip', '2012-03-05 00:37:32'),
(8585, 'id', 'siteauditor', 'Project Summary', 'Ringkasan Proyek', '2012-03-05 00:37:32'),
(8586, 'id', 'siteauditor', 'Project Url', 'Url Proyek', '2012-03-05 00:37:32'),
(8587, 'id', 'siteauditor', 'projectalreadyexist', 'Proyek untuk website ini sudah ada', '2012-03-05 00:37:32'),
(8588, 'id', 'siteauditor', 'Recheck Pages', 'Cek Ulang Halaman', '2012-03-05 00:37:32'),
(8589, 'id', 'siteauditor', 'Report Summary', 'Ringkasan Laporan', '2012-03-05 00:37:32'),
(8590, 'id', 'siteauditor', 'Run Project', 'Jalankan Proyek', '2012-03-05 00:37:32'),
(8591, 'id', 'siteauditor', 'should start with', 'seharusnya dimulai dengan', '2012-03-05 00:37:32'),
(8592, 'id', 'siteauditor', 'Site Auditor Settings', 'Pengaturan Auditor Situs', '2012-03-05 00:37:32'),
(8593, 'id', 'siteauditor', 'Store all links found in a page', 'Simpan semua link yang ditemukan dalam sebuah halaman', '2012-03-05 00:37:32'),
(8594, 'id', 'siteauditor', 'The page description length is not between', 'Panjang deskripsi halaman tidak berada di antara', '2012-03-05 00:37:32'),
(8595, 'id', 'siteauditor', 'The page is brocken', 'Halaman yang rusak', '2012-03-05 00:37:32'),
(8596, 'id', 'siteauditor', 'The page is having exellent number of backlinks in', 'Halaman yang memiliki jumlah backlink yang paling baik dalam', '2012-03-05 00:37:32'),
(8597, 'id', 'siteauditor', 'The page is having exellent pagerank', 'Halaman yang memiliki pagerank yang paling baik sekali', '2012-03-05 00:37:32'),
(8598, 'id', 'siteauditor', 'The page is having good number of backlinks in', 'Halaman yang memiliki jumlah backlink yang baik dalam', '2012-03-05 00:37:32'),
(8599, 'id', 'siteauditor', 'The page is having good pagerank', 'Halaman yang memiliki pagerank yang baik', '2012-03-05 00:37:32'),
(8600, 'id', 'siteauditor', 'The page is having poor pagerank', 'Halaman yang memiliki pagerank yang jelek', '2012-03-05 00:37:32'),
(8601, 'id', 'siteauditor', 'The page is having very good pagerank', 'Halaman yang memiliki pagerank yang sangat baik', '2012-03-05 00:37:32'),
(8602, 'id', 'siteauditor', 'The page is not having backlinks in', 'Halaman yang tidak memiliki backlink dalam', '2012-03-05 00:37:32'),
(8603, 'id', 'siteauditor', 'The page is not indexed in', 'Halaman yang tidak terindeks dalam', '2012-03-05 00:37:32'),
(8604, 'id', 'siteauditor', 'The page keywords length is not between', 'Panjang kata kunci halaman yang tidak di antara', '2012-03-05 00:37:32'),
(8605, 'id', 'siteauditor', 'The page title length is not between', 'Panjang judul halaman yang tidak di antara', '2012-03-05 00:37:32'),
(8606, 'id', 'siteauditor', 'The total number of links in page is greater than', 'Jumlah link dalam halaman yang lebih besar dari', '2012-03-05 00:37:32'),
(8607, 'id', 'siteauditor', 'to run project again if you stopped execution', 'untuk menjalankan proyek lagi jika Anda menghentikan eksekusi', '2012-03-05 00:37:32'),
(8608, 'id', 'siteauditor', 'to view the reports', 'untuk melihat laporan', '2012-03-05 00:37:32'),
(8609, 'id', 'siteauditor', 'Total Links', 'Total Link', '2012-03-05 00:37:32'),
(8610, 'id', 'siteauditor', 'totallinksgreaterallowed', 'Total link akan menjadi lebih besar dari maksimal link yang diperbolehkan dalam suatu proyek', '2012-03-05 00:37:32'),
(8611, 'id', 'keyword', 'Crawling keyword', 'Meng-crawl keyword', '2018-05-24 13:19:48'),
(8612, 'id', 'keyword', 'Detailed Keyword Position Reports', 'Laporan Detail Posisi Kata Kunci', '2018-05-24 13:19:48'),
(8613, 'id', 'keyword', 'Edit Keyword', 'Edit Kata Kunci', '2018-05-24 13:19:48'),
(8614, 'id', 'keyword', 'Graphical Keyword Position Reports', 'Laporan Grafis Posisi Kata Kunci', '2018-05-24 13:19:48'),
(8615, 'id', 'keyword', 'Import Keywords', 'Impor Kata Kunci', '2018-05-24 13:19:48'),
(8616, 'id', 'keyword', 'Insert keywords separated with comma', 'Masukkan kata kunci dipisahkan dengan koma', '2018-05-24 13:19:48'),
(8617, 'id', 'keyword', 'Keyword already exist', 'Kata kunci sudah ada', '2018-05-24 13:19:48'),
(8618, 'id', 'keyword', 'Keyword Position Report', 'Laporan Posisi Kata Kunci', '2018-05-24 13:19:48'),
(8619, 'id', 'keyword', 'New Keyword', 'Kata Kunci Baru', '2018-05-24 13:19:48'),
(8620, 'id', 'keyword', 'not assigned to required search engines', 'tidak ditetapkan ke mesin pencari yang dibutuhkan', '2018-05-24 13:19:48'),
(8621, 'id', 'keyword', 'pleaseselecttool', 'Silakan pilih sedikitnya satu Kakas SEO', '2018-05-24 13:19:48'),
(8622, 'id', 'keyword', 'Quick Keyword Position Checker', 'Pengecek Posisi Kata Kunci Cepat', '2018-05-24 13:19:48'),
(8623, 'id', 'keyword', 'results from ', 'hasil dari', '2018-05-24 13:19:48'),
(8624, 'id', 'keyword', 'Show All results', 'Tunjukkan Semua hasil', '2018-05-24 13:19:48'),
(8625, 'id', 'keyword', 'Successfully crawled keyword', 'Selesai meng-crawl kata kunci', '2018-05-24 13:19:48'),
(8626, 'id', 'keyword', 'to create new keywords', 'untuk membuat kata kunci baru', '2018-05-24 13:19:48'),
(8627, 'id', 'proxy', 'Edit Proxy', 'Edit Proxy', '2018-05-24 13:31:01'),
(8628, 'id', 'proxy', 'Proxy Password', 'Sandi Proxy', '2018-05-24 13:31:01'),
(8629, 'id', 'proxy', 'Proxy Username', 'Nama Pengguna Proxy', '2018-05-24 13:31:01'),
(8630, 'id', 'proxy', 'Proxyalreadyexist', 'Proxy sudah ada!', '2018-05-24 13:31:01'),
(8631, 'id', 'label', 'already exist', 'sudah ada', '2018-05-24 13:22:20'),
(8632, 'id', 'label', 'Authentication', 'Otentikasi', '2018-05-24 13:22:20'),
(8633, 'id', 'label', 'Author', 'Pengarang', '2018-05-24 13:22:20'),
(8634, 'id', 'label', 'Brocken', 'Rusak', '2018-05-24 13:22:20'),
(8635, 'id', 'label', 'Click Here', 'Klik Disini', '2018-05-24 13:22:20'),
(8636, 'id', 'label', 'Comments', 'Komentar', '2018-05-24 13:22:20'),
(8637, 'id', 'label', 'Count', 'Jumlah', '2018-05-24 13:22:20'),
(8638, 'id', 'label', 'Cron', 'Cron', '2018-05-24 13:22:20'),
(8639, 'id', 'label', 'Description', 'Deskripsi', '2018-05-24 13:22:20'),
(8640, 'id', 'label', 'Developers', 'Pengembang', '2018-05-24 13:22:20'),
(8641, 'id', 'label', 'Download', 'Unduh', '2018-05-24 13:22:20'),
(8642, 'id', 'label', 'Exclude', 'Keluarkan', '2018-05-24 13:22:20'),
(8643, 'id', 'label', 'Include', 'Masukkan', '2018-05-24 13:22:20'),
(8644, 'id', 'label', 'Installation', 'Instalasi', '2018-05-24 13:22:20'),
(8645, 'id', 'label', 'Keywords', 'Kata Kunci', '2018-05-24 13:22:20'),
(8646, 'id', 'label', 'noactiveplugins', 'Tidak Ada Plugin SEO yang Ditemukan!', '2018-05-24 13:22:20'),
(8647, 'id', 'label', 'Plugin', 'Plugin', '2018-05-24 13:22:20'),
(8648, 'id', 'label', 'Port', 'Port', '2018-05-24 13:22:20'),
(8649, 'id', 'label', 'Project', 'Proyek', '2018-05-24 13:22:20'),
(8650, 'id', 'label', 'Proxy', 'Proxy', '2018-05-24 13:22:20'),
(8651, 'id', 'label', 'Re-install', 'Install ulang', '2018-05-24 13:22:20'),
(8652, 'id', 'label', 'Report Type', 'Tipe Laporan', '2018-05-24 13:22:20'),
(8653, 'id', 'label', 'Score', 'Skor', '2018-05-24 13:22:20'),
(8654, 'id', 'label', 'Sponsors', 'Sponsor', '2018-05-24 13:22:20'),
(8655, 'id', 'label', 'Title', 'Judul', '2018-05-24 13:22:20'),
(8656, 'id', 'label', 'Total Results', 'Total Hasil', '2018-05-24 13:22:20'),
(8657, 'id', 'label', 'translation by', 'terjemahan oleh', '2018-05-24 13:22:20'),
(8658, 'id', 'label', 'Translators', 'Penerjemah', '2018-05-24 13:22:20'),
(8659, 'id', 'label', 'Updated', 'Diperbarui', '2018-05-24 13:22:20'),
(8660, 'id', 'label', 'Upgrade', 'Tingkatkan', '2018-05-24 13:22:20'),
(8661, 'id', 'label', 'Version', 'Versi', '2018-05-24 13:22:20'),
(8662, 'id', 'label', 'View Reports', 'Lihat Laporan', '2018-05-24 13:22:20'),
(8663, 'id', 'label', 'wantproceed', 'Apakah Anda benar-benar ingin melanjutkan?', '2018-05-24 13:22:20'),
(8664, 'id', 'settings', 'Check for Updates', 'Cek Versi Terbaru', '2012-03-06 03:36:34'),
(8665, 'id', 'settings', 'Click here to become a sponsor for Seo Panel', '<b>Donasikan $100</b> dan jadilah seorang <b>sponsor</b> dari Seo Panel.', '2012-03-06 03:36:34'),
(8666, 'id', 'settings', 'getallpluginfree', 'Dan dapatkan juga semua <b>plugin</b> yang kami kembangkan <b>Gratis!</b> ', '2012-03-06 03:36:34'),
(8667, 'id', 'settings', 'SA_CRAWL_DELAY_TIME', 'Waktu tunda Auditor situs antar halaman', '2012-03-06 03:36:34'),
(8668, 'id', 'settings', 'SA_MAX_NO_PAGES', 'Jumlah halaman maksimal tiap situs yang diperbolehkan', '2012-03-06 03:36:34'),
(8669, 'id', 'settings', 'seopanel_description', 'Sebuah panel kontrol gratis yang lengkap untuk mengatur optimasi mesin pencari pada situs Anda. Panel ini mengandung banyak kakas SEO untuk meningkatkan dan melacak performansi situs Anda. Panel ini adalah sebuah perangkat lunak open source dan Anda juga bisa mengembangkan plugin SEO Anda sendiri untuk seo panel.', '2012-03-06 03:36:34'),
(8670, 'id', 'settings', 'seopanel_title', 'Seo Panel: Panel kontrol SEO pertama di dunia untuk mengatur beberapa situs sekaligus', '2012-03-06 03:36:34'),
(8671, 'id', 'settings', 'SP_API_KEY', 'Kunci API Seo Panel', '2012-03-06 03:36:34'),
(8672, 'id', 'settings', 'SP_CRAWL_DELAY', 'Waktu tunda antar crawl setiap spider (detik)', '2012-03-06 03:36:34'),
(8673, 'id', 'settings', 'SP_DEFAULTLANG', 'Bahasa Standar', '2012-03-06 03:36:34'),
(8674, 'id', 'settings', 'SP_DESCRIPTION', 'Deskripsi Seo Panel', '2012-03-06 03:36:34'),
(8675, 'id', 'settings', 'SP_ENABLE_PROXY', 'Aktifkan Proxy', '2012-03-06 03:36:34'),
(8676, 'id', 'settings', 'SP_HOTLINKING', 'Proteksi hotlink gambar diaktifkan', '2012-03-06 03:36:34'),
(8677, 'id', 'settings', 'SP_KEYWORDS', 'Kata Kunci Seo Panel', '2012-03-06 03:36:34'),
(8678, 'id', 'settings', 'SP_PAGINGNO', 'Jumlah entri tiap halaman', '2012-03-06 03:36:34'),
(8679, 'id', 'settings', 'SP_TITLE', 'Judul Seo Panel', '2012-03-06 03:36:34'),
(8680, 'id', 'settings', 'SP_USER_AGENT', 'Agen pengguna', '2012-03-06 03:36:34'),
(8681, 'id', 'settings', 'SP_USER_GEN_REPORT', 'Ijinkan pengguna untuk membuat laporan', '2012-03-06 03:36:34'),
(8682, 'id', 'settings', 'SP_USER_REGISTRATION', 'Antarmuka pendaftaran pengguna', '2012-03-06 03:36:34'),
(8683, 'id', 'settings', 'syssettingssaved', 'Pengaturan sistem sudah disimpan!', '2012-03-06 03:36:34'),
(8684, 'id', 'settings', 'versionnotuptodatemsg', 'Instalasi Seo Panel Anda tidak terbaru. <br>Silahkan unduh versi terbaru', '2012-03-06 03:36:34'),
(8685, 'id', 'settings', 'Your Seo Panel installation is up to date', 'Instalasi Seo Panel Anda terbaru', '2012-03-06 03:36:34'),
(8686, 'id', 'login', 'Confirm Password', 'Konfirmasi Sandi', '2018-05-24 13:26:12'),
(8687, 'id', 'login', 'Create my account', 'Buat akun saya', '2018-05-24 13:26:12'),
(8688, 'id', 'login', 'Create New Account', 'Buat Akun Baru', '2018-05-24 13:26:12'),
(8689, 'id', 'login', 'Email', 'Email', '2018-05-24 13:26:12'),
(8690, 'id', 'login', 'emailexist', 'Email sudah ada!', '2018-05-24 13:26:12'),
(8691, 'id', 'login', 'Enter the code as it is shown', 'Masukkan kode sebagaimana terlihat', '2018-05-24 13:26:12'),
(8692, 'id', 'login', 'First Name', 'Nama Depan', '2018-05-24 13:26:12'),
(8693, 'id', 'login', 'Last Name', 'Nama Belakang', '2018-05-24 13:26:12'),
(8694, 'id', 'login', 'Login', 'Login', '2018-05-24 13:26:12'),
(8695, 'id', 'login', 'Login incorrect', 'Login salah', '2018-05-24 13:26:12'),
(8696, 'id', 'login', 'newaccountsuccess', 'Akun baru sudah dibuat!', '2018-05-24 13:26:12'),
(8697, 'id', 'login', 'Password', 'Sandi', '2018-05-24 13:26:12'),
(8698, 'id', 'login', 'Password incorrect', 'Sandi salah', '2018-05-24 13:26:12'),
(8699, 'id', 'login', 'Register', 'Daftar', '2018-05-24 13:26:12'),
(8700, 'id', 'login', 'Sign in to your account', 'Masuk ke akun Anda', '2018-05-24 13:26:12'),
(8701, 'id', 'login', 'User inactive', 'Pengguna tidak aktif', '2018-05-24 13:26:12'),
(8702, 'id', 'login', 'Username', 'Nama pengguna', '2018-05-24 13:26:12'),
(8703, 'id', 'login', 'usernameexist', 'Nama pengguna sudah ada!', '2018-05-24 13:26:12'),
(8704, 'id', 'panel', 'About Us', 'Tentang Kami', '2018-05-24 13:29:48'),
(8705, 'id', 'panel', 'Add following command to your cron tab', 'Tambahkan perintah berikut ke tab cron Anda', '2018-05-24 13:29:48'),
(8706, 'id', 'panel', 'alsocheckfollowlink', 'Juga cek link berikut jika Anda membutuhkan detail lebih', '2018-05-24 13:29:48'),
(8707, 'id', 'panel', 'Check Directory', 'Cek Direktori', '2018-05-24 13:29:48'),
(8708, 'id', 'panel', 'Cron Command', 'Perintah Cron', '2018-05-24 13:29:48'),
(8709, 'id', 'panel', 'Directory Manager', 'Pengatur Direktori', '2018-05-24 13:29:48'),
(8710, 'id', 'panel', 'Edit My Profile', 'Edit Profil Saya', '2018-05-24 13:29:48'),
(8711, 'id', 'panel', 'Edit Project', 'Edit Proyek', '2018-05-24 13:29:48'),
(8712, 'id', 'panel', 'My Profile', 'Profil Saya', '2018-05-24 13:29:48'),
(8713, 'id', 'panel', 'New Project', 'Proyek Baru', '2018-05-24 13:29:48'),
(8714, 'id', 'panel', 'New Proxy', 'Proxy Baru', '2018-05-24 13:29:48'),
(8715, 'id', 'panel', 'New User', 'Pengguna Baru', '2018-05-24 13:29:48'),
(8716, 'id', 'panel', 'New Website', 'Situs Baru', '2018-05-24 13:29:48'),
(8717, 'id', 'panel', 'Proxy Manager', 'Pengatur Proxy', '2018-05-24 13:29:48'),
(8718, 'id', 'panel', 'Report Generation Manager', 'Pengatur Pembuatan Laporan', '2018-05-24 13:29:48'),
(8719, 'id', 'panel', 'Reports Manager', 'Pengatur Laporan', '2018-05-24 13:29:48'),
(8720, 'id', 'panel', 'Seo Plugins Manager', 'Pengatur Plugin Seo', '2018-05-24 13:29:48'),
(8721, 'id', 'panel', 'Seo Tools Manager', 'Pengatur Kakas Seo', '2018-05-24 13:29:48'),
(8722, 'id', 'panel', 'System Settings', 'Pengaturan Sistem', '2018-05-24 13:29:48'),
(8723, 'id', 'panel', 'User Manager', 'Pengatur Pengguna', '2018-05-24 13:29:48'),
(8724, 'id', 'panel', 'Website Manager', 'Pengatur Situs', '2018-05-24 13:29:48'),
(8725, 'id', 'plugin', 'Download Seo Panel Plugins', 'Unduh Plugin Seo Panel', '2012-03-06 04:03:56'),
(8726, 'id', 'plugin', 'Edit Seo Plugin', 'Edit Plugin Seo', '2012-03-06 04:03:56'),
(8727, 'id', 'plugin', 'Plugin Name', 'Nama Plugin', '2012-03-06 04:03:56'),
(8728, 'id', 'plugin', 'Seo Plugin Details', 'Detail Plugin Seo', '2012-03-06 04:03:56'),
(8729, 'id', 'rank', 'enterurlproceed', 'Masukkan <b>Satu URL per baris</b>. Klik pada <b>Lanjut</b> untuk mengecek ranking Google dan Alexa.', '2012-03-06 04:05:32'),
(8730, 'id', 'rank', 'Google and Alexa Rank Reports', 'Laporan Ranking Google dan Alexa', '2012-03-06 04:05:32'),
(8731, 'id', 'rank', 'Saved rank results of', 'Hasil ranking yang disimpan dari', '2012-03-06 04:05:32'),
(8732, 'id', 'saturation', 'clickproceedsaturation', 'Masukkan <b>Satu URL per baris</b>. Klik pada <b>Lanjut</b> untuk mengecek Hasil Kejenuhan Mesin Pencari.', '2012-03-06 04:21:25'),
(8733, 'id', 'saturation', 'GenerateSaturationReports', 'Buat Laporan Kejenuhan Mesin Pencari', '2012-03-06 04:21:25'),
(8734, 'id', 'saturation', 'Quick Search Engine Saturation Checker', 'Pengecek Kejenuhan Mesin Pencari Cepat', '2012-03-06 04:21:25'),
(8735, 'id', 'saturation', 'Saved Search Engine Saturation results of', 'Hasil Kejenuhan Mesin Pencari dari', '2012-03-06 04:21:25'),
(8736, 'id', 'saturation', 'Search Engine Saturation Reports', 'Laporan Kejenuhan Mesin Pencari', '2012-03-06 04:21:25'),
(8737, 'id', 'seotools', 'Auditor Projects', 'Proyek Auditor', '2012-03-06 04:19:40'),
(8738, 'id', 'seotools', 'Auditor Reports', 'Laporan Auditor', '2012-03-06 04:19:40'),
(8739, 'id', 'seotools', 'Auditor Settings', 'Pengaturan Auditor', '2012-03-06 04:19:40'),
(8740, 'id', 'seotools', 'Automatic Submission', 'Pengiriman Otomatis', '2012-03-06 04:19:40'),
(8741, 'id', 'seotools', 'backlink-checker', 'Pengecek Backlink', '2012-03-06 04:19:40'),
(8742, 'id', 'seotools', 'Backlinks Reports', 'Laporan Backlink', '2012-03-06 04:19:40'),
(8743, 'id', 'seotools', 'Check Submission Status', 'Cek Status Pengiriman', '2012-03-06 04:19:40'),
(8744, 'id', 'seotools', 'clickgeneratereports', 'Klik pada <b>Lanjut</b> untuk membuat laporan ', '2012-03-06 04:19:40'),
(8745, 'id', 'seotools', 'Detailed Position Reports', 'Laporan Detail Posisi', '2012-03-06 04:19:40'),
(8746, 'id', 'seotools', 'directory-submission', 'Pengiriman Direktori', '2012-03-06 04:19:40'),
(8747, 'id', 'seotools', 'Featured Submission', 'Pengiriman Istimewa', '2012-03-06 04:19:40'),
(8748, 'id', 'seotools', 'Generate Backlinks Reports', 'Buat Laporan Backlink', '2012-03-06 04:19:40'),
(8749, 'id', 'seotools', 'Generate Keyword Reports', 'Buat Laporan Kata Kunci', '2012-03-06 04:19:40'),
(8750, 'id', 'seotools', 'Generate Rank Reports', 'Buat Laporan Ranking', '2012-03-06 04:19:40'),
(8751, 'id', 'seotools', 'Generate Saturation Reports', 'Buat Laporan Kejenuhan', '2012-03-06 04:19:40'),
(8752, 'id', 'seotools', 'Google Sitemap Generator', 'Pembuat Peta Situs Google', '2012-03-06 04:19:40'),
(8753, 'id', 'seotools', 'Graphical Position Reports', 'Laporan Grafis Posisi', '2012-03-06 04:19:40'),
(8754, 'id', 'seotools', 'Import Project Links', 'Impor Link Proyek', '2012-03-06 04:19:40'),
(8755, 'id', 'seotools', 'Keyword Position Summary', 'Ringkasan Posisi Kata Kunci', '2012-03-06 04:19:40'),
(8756, 'id', 'seotools', 'keyword-position-checker', 'Pengecek Posisi Kata Kunci', '2012-03-06 04:19:40'),
(8757, 'id', 'seotools', 'Keywords Manager', 'Pengatur Kata Kunci', '2012-03-06 04:19:40'),
(8758, 'id', 'seotools', 'Quick Backlinks Checker', 'Pengecek Backlink Cepat', '2012-03-06 04:19:40'),
(8759, 'id', 'seotools', 'Quick Position Checker', 'Pengecek Posisi Cepat', '2012-03-06 04:19:40'),
(8760, 'id', 'seotools', 'Quick Rank Checker', 'Pengecek Ranking Cepat', '2012-03-06 04:19:40'),
(8761, 'id', 'seotools', 'Quick Saturation Checker', 'Pengecek Kejenuhan Cepat', '2012-03-06 04:19:40'),
(8762, 'id', 'seotools', 'Rank Reports', 'Laporan Ranking', '2012-03-06 04:19:40'),
(8763, 'id', 'seotools', 'rank-checker', 'Pengecek Ranking', '2012-03-06 04:19:40'),
(8764, 'id', 'seotools', 'Saturation Reports', 'Laporan Kejenuhan', '2012-03-06 04:19:40'),
(8765, 'id', 'seotools', 'saturation-checker', 'Kejenuhan Mesin Pencari', '2012-03-06 04:19:40'),
(8766, 'id', 'seotools', 'site-auditor', 'Auditor Situs', '2012-03-06 04:19:40'),
(8767, 'id', 'seotools', 'sitemap-generator', 'Pembuat Peta Situs', '2012-03-06 04:19:40'),
(8768, 'id', 'seotools', 'Skipped Directories', 'Direktori yang Dilewati', '2012-03-06 04:19:40'),
(8769, 'id', 'seotools', 'Submission Reports', 'Laporan Pengiriman', '2012-03-06 04:19:40'),
(8770, 'id', 'seotools', 'User Access', 'Akses Pengguna', '2012-03-06 04:19:40'),
(8771, 'id', 'directory', 'Add back to directory list', 'Tambahkan kembali ke daftar direktori', '2018-05-24 13:18:24'),
(8772, 'id', 'directory', 'Approved', 'Disetujui', '2018-05-24 13:18:24'),
(8773, 'id', 'directory', 'Captcha', 'Captcha', '2018-05-24 13:18:24'),
(8774, 'id', 'directory', 'categorynote', 'Kategori, pisahkan dengan koma sesuai prioritas. Mulai dengan kategori berprioritas tertinggi.', '2018-05-24 13:18:24'),
(8775, 'id', 'directory', 'Check Directory Status', 'Cek Status Direktori', '2018-05-24 13:18:24'),
(8776, 'id', 'directory', 'Check Directory Submission Status', 'Cek Status Pengiriman Direktori', '2018-05-24 13:18:24'),
(8777, 'id', 'directory', 'clicktoproceeddirsts', 'Klik pada <b>Lanjut</b> untuk Cek Status Direktori. ', '2018-05-24 13:18:24'),
(8778, 'id', 'directory', 'Confirmation', 'Konfirmasi', '2018-05-24 13:18:24'),
(8779, 'id', 'directory', 'desnote', 'Beberapa direktori mensyaratkan minimal 150 karakter untuk deskripsi. ', '2018-05-24 13:18:24'),
(8780, 'id', 'directory', 'Directories with out captcha', 'Direktori tanpa captcha ', '2018-05-24 13:18:24'),
(8781, 'id', 'directory', 'Directory Submission Reports', 'Laporan Pengiriman Direktori ', '2018-05-24 13:18:24'),
(8782, 'id', 'directory', 'Enter the code shown', 'Masukkan kode yang tampil', '2018-05-24 13:18:24'),
(8783, 'id', 'directory', 'nocatnote', 'Kategori pengiriman tidak ada di halaman pengiriman. Silakan klik pada <b>Muat ulang</b> or <b>Lewati</b> ', '2018-05-24 13:18:24'),
(8784, 'id', 'directory', 'nodirnote', 'Tidak ada direktori <b>Aktif</b> yang Ditemukan ', '2018-05-24 13:18:24'),
(8785, 'id', 'directory', 'nosuccessnote', 'Tidak mendapatkan pesan sukses, silakan cek email Anda untuk mencari pesan konfirmasi ', '2018-05-24 13:18:24'),
(8786, 'id', 'directory', 'optionalnote', 'Judul dan deskripsi pilihan untuk dikirimkan ke direktori agar hasil pengiriman lebih baik.', '2018-05-24 13:18:24'),
(8787, 'id', 'directory', 'Owner Email', 'Email Pemilik', '2018-05-24 13:18:24'),
(8788, 'id', 'directory', 'Owner Name', 'Nama Pemilik', '2018-05-24 13:18:24'),
(8789, 'id', 'directory', 'Pending', 'Tertunda', '2018-05-24 13:18:24'),
(8790, 'id', 'directory', 'Please select a website to proceed', 'Silakan pilih satu situs untuk melanjutkan', '2018-05-24 13:18:24'),
(8791, 'id', 'directory', 'Reciprocal Link', 'Link Timbal Balik', '2018-05-24 13:18:24'),
(8792, 'id', 'directory', 'selectwebsiteproceed', 'Pilih sebuah <b>Situs</b> untuk <b>Lanjut</b> mengecek pengiriman direktori. <br>Cek <b>Direktori tanpa catpcha</b> untuk mengirim ke direktori tanpa captcha.', '2018-05-24 13:18:24'),
(8793, 'id', 'directory', 'selectwebsiteschecksub', 'Pilih sebuah <b>Situs</b> untuk <b>Lanjut</b> mengecek pengiriman direktori. ', '2018-05-24 13:18:24'),
(8794, 'id', 'directory', 'Semi Automatic Directory Submission Tool', 'Kakas Pengiriman Direktori Semi Otomatis', '2018-05-24 13:18:24'),
(8795, 'id', 'directory', 'spamemailnote', 'Beberapa direktori mungkin mengirimkan spam, kami tidak merekomendasikan penggunaan email utama Anda.', '2018-05-24 13:18:24'),
(8796, 'id', 'directory', 'Submission Details', 'Detail Pengiriman', '2018-05-24 13:18:24'),
(8797, 'id', 'directory', 'Submit Description', 'Kirim Deskripsi', '2018-05-24 13:18:24'),
(8798, 'id', 'directory', 'Submit Keywords', 'Kirim Kata Kunci', '2018-05-24 13:18:24'),
(8799, 'id', 'directory', 'Submit Title', 'Kirim Judul', '2018-05-24 13:18:24'),
(8800, 'id', 'directory', 'Website Category', 'Kategori Situs', '2018-05-24 13:18:24'),
(8801, 'id', 'directory', 'Website Url', 'Url Situs', '2018-05-24 13:18:24'),
(8802, 'fa', 'settings', 'getallpluginfree', 'تمام <b>افزونه ها</b> را بصورت <b>رايگان </b>دريافت نماييد', '2012-05-16 20:03:34'),
(8803, 'fa', 'plugin', 'Download Seo Panel Plugins', 'دریافت افزونه های سئوپنل', '2012-03-08 09:22:34'),
(8804, 'id', 'home', 'Account Summary', 'Ringkasan Akun', '2012-03-18 02:18:39'),
(8805, 'id', 'home', 'Backlinks', 'Backlink', '2012-03-18 02:18:39'),
(8806, 'id', 'home', 'Directory Submission', 'Pengiriman Direktori', '2012-03-18 02:18:39'),
(8807, 'id', 'home', 'home_cont1', '<h1 style=\\\"text-align: center;margin-bottom: 30px;font-size: 19px;\\\">Selamat Datang di Seo Panel - Panel kontrol SEO pertama di dunia untuk banyak situs</h1>\r\n        <p>\r\n            Sebuah <b>panel kontrol SEO open source</b> yang lengkap untuk mengatur <b>optimasi mesin pencari</b> bagi situs Anda. \r\n            Seo Panel adalah sebuah <b>kumpulan kakas SEO</b> termasuk kakas SEO terbaru untuk <b>meningkatkan dan mengawasi performansi</b> situs Anda.\r\n            Ini adalah <b>perangkat lunak gratis</b> yang dirilis dengan lisensi<b>GNU GENERAL PUBLIC LICENSE</b>.\r\n            Fitur utama Seo Panel adalah <b>kemudahannya untuk diperluas</b> dengan menggunakan <a href=\\\"<?=SP_PLUGINSITE?>\\\"\r\ntarget=\\\"_blank\\\">Seo plugin</a>.\r\n            Siapapun bisa dengan mudah <b>membangun dan memasang</b> plugin yang dibutuhkan untuk Seo panel mereka. \r\n        </p>\r\n        <p></p>\r\n        <p>\r\n            Perangkat lunak open source ini <b>dirilis pada Januari 2010</b>.\r\n            Dalam <b>waktu singkat</b>, <b>ribuan pemilik situs</b> menggunakan perangkat lunak ini untuk <b>mengoptimalkan</b> website mereka.\r\n            Gunakan Seo panel hari ini dan <b>nikmati</b> semua yang berkaitan dengan Seo dalam <b>satu platform</b>.\r\n        </p>', '2012-03-18 02:18:39'),
(8808, 'id', 'home', 'home_cont2', '', '2012-03-18 02:18:39'),
(8809, 'id', 'home', 'home_cont3', '', '2012-03-18 02:18:39'),
(8810, 'id', 'home', 'Indexed', 'Terindeks', '2012-03-18 02:18:39'),
(8811, 'id', 'home', 'Pages Indexed', 'Halaman Terindeks', '2012-03-18 02:18:39'),
(8812, 'id', 'home', 'Ranks', 'Ranking', '2012-03-18 02:18:39'),
(8813, 'id', 'home', 'SiteNameUrl', 'Nama Situs/Url', '2012-03-18 02:18:39'),
(8814, 'id', 'home', 'Website Statistics', 'Statistik Situs', '2012-03-18 02:18:39'),
(8815, 'pt-br', 'backlink', 'clickproceedbacklink', 'Insira as URL\'s <b>Uma por linha</b>. Clique em <b>Avançar</b> para checar os Backlinks.', '2014-02-12 12:22:44'),
(8816, 'pt-br', 'backlink', 'Saved backlink results of', 'Resultados gravados de backlinks de', '2014-02-12 12:22:44'),
(8817, 'pt-br', 'button', 'Cancel', 'Cancelar', '2014-02-12 12:23:01'),
(8818, 'pt-br', 'button', 'Check Status', 'Checar Status', '2014-02-12 12:23:01'),
(8819, 'pt-br', 'button', 'Proceed', 'Avançar', '2014-02-12 12:23:01'),
(8820, 'pt-br', 'button', 'Reload', 'Recarregar', '2014-02-12 12:23:01'),
(8821, 'pt-br', 'button', 'Show Details', 'Ver Detalhes', '2014-02-12 12:23:01'),
(8822, 'pt-br', 'button', 'Show Records', 'Ver Histórico', '2014-02-12 12:23:01'),
(8823, 'pt-br', 'button', 'Skip', 'Pular', '2014-02-12 12:23:01'),
(8824, 'pt-br', 'button', 'Submit', 'Enviar', '2014-02-12 12:23:01'),
(8825, 'pt-br', 'common', 'Action', 'Ação', '2019-07-29 20:26:27'),
(8826, 'pt-br', 'common', 'Activate', 'Ativar', '2019-07-29 20:26:27'),
(8827, 'pt-br', 'common', 'Active', 'Ativo', '2019-07-29 20:26:27'),
(8828, 'pt-br', 'common', 'Admin Panel', 'Painel Administrativo', '2019-07-29 20:26:27'),
(8829, 'pt-br', 'common', 'Alexa Rank', 'Rank do Alexa', '2019-07-29 20:26:27'),
(8830, 'pt-br', 'common', 'All', 'Todos', '2019-07-29 20:26:27'),
(8831, 'pt-br', 'common', 'Category', 'Categoria', '2019-07-29 20:26:27'),
(8832, 'pt-br', 'common', 'contact', 'Contato', '2019-07-29 20:26:27'),
(8833, 'pt-br', 'common', 'copyright', 'Copyright © [year] www.seopanel.in Todos os direitos reservados', '2019-07-29 20:26:27'),
(8834, 'pt-br', 'common', 'Country', 'País', '2019-07-29 20:26:27'),
(8835, 'pt-br', 'common', 'Crawl Meta Data', 'Rastrear Meta Dados', '2019-07-29 20:26:27'),
(8836, 'pt-br', 'common', 'Date', 'Data', '2019-07-29 20:26:27'),
(8837, 'pt-br', 'common', 'Delete', 'Deletar', '2019-07-29 20:26:27'),
(8838, 'pt-br', 'common', 'Details', 'Detalhes', '2019-07-29 20:26:27'),
(8839, 'pt-br', 'common', 'Directory', 'Diretório', '2019-07-29 20:26:27'),
(8840, 'pt-br', 'common', 'Donate', 'Doação', '2019-07-29 20:26:27'),
(8841, 'pt-br', 'common', 'Edit', 'Editar', '2019-07-29 20:26:27'),
(8842, 'pt-br', 'common', 'Entry cannot be blank', 'Campo não pode ficar vazio', '2019-07-29 20:26:27'),
(8843, 'pt-br', 'common', 'entrynotvalid', 'O formato inserido não parece válido', '2019-07-29 20:26:27'),
(8844, 'pt-br', 'common', 'failed', 'falha', '2019-07-29 20:26:27'),
(8845, 'pt-br', 'common', 'forum', 'Fórum', '2019-07-29 20:26:27'),
(8846, 'pt-br', 'common', 'Found', 'Encontrado', '2019-07-29 20:26:27'),
(8847, 'pt-br', 'common', 'Google Pagerank', 'Pagerank do Google', '2019-07-29 20:26:27'),
(8848, 'pt-br', 'common', 'help', 'Ajuda', '2019-07-29 20:26:27'),
(8849, 'pt-br', 'common', 'hidenews', 'Esconder Notícias do SEO Panel', '2019-07-29 20:26:27'),
(8850, 'pt-br', 'common', 'Id', 'Id', '2019-07-29 20:26:27'),
(8851, 'pt-br', 'common', 'Inactivate', 'Desativar', '2019-07-29 20:26:27'),
(8852, 'pt-br', 'common', 'Inactive', 'Inativo', '2019-07-29 20:26:27'),
(8853, 'pt-br', 'common', 'Invalid characters', 'Caracteres inválidos', '2019-07-29 20:26:27'),
(8854, 'pt-br', 'common', 'Invalid code entered', 'Código inserido inválido', '2019-07-29 20:26:27'),
(8855, 'pt-br', 'common', 'Invalid email address entered', 'E-mail inserido inválido', '2019-07-29 20:26:27'),
(8856, 'pt-br', 'common', 'Invalid value', 'Valor inválido', '2019-07-29 20:26:27'),
(8857, 'pt-br', 'common', 'Keyword', 'Palavra-chave', '2019-07-29 20:26:27'),
(8858, 'pt-br', 'common', 'Keywords', 'Palavras-chave', '2019-07-29 20:26:27'),
(8859, 'pt-br', 'common', 'lang', 'Idioma', '2019-07-29 20:26:27'),
(8860, 'pt-br', 'common', 'My Account', 'Minha Conta', '2019-07-29 20:26:27'),
(8861, 'pt-br', 'common', 'Name', 'Nome', '2019-07-29 20:26:27'),
(8862, 'pt-br', 'common', 'No', 'Não', '2019-07-29 20:26:27'),
(8863, 'pt-br', 'common', 'No Keywords Found', 'Nenhuma palavra-chave encontrada', '2019-07-29 20:26:27'),
(8864, 'pt-br', 'common', 'No Records Found', 'Nenhuma informação encontrada', '2019-07-29 20:26:27'),
(8865, 'pt-br', 'common', 'noactivetools', 'Nenhuma ferramenta de SEO está ativa', '2019-07-29 20:26:27'),
(8866, 'pt-br', 'common', 'nowebsites', 'Nenhum site encontrado', '2019-07-29 20:26:27'),
(8867, 'pt-br', 'common', 'password632', 'A sua senha deve ter entre 6 e 32 caracteres', '2019-07-29 20:26:27'),
(8868, 'pt-br', 'common', 'passwordnotmatch', 'As senhas não correspondem', '2019-07-29 20:26:27'),
(8869, 'pt-br', 'common', 'Period', 'Período', '2019-07-29 20:26:27'),
(8870, 'pt-br', 'common', 'Priority', 'Prioridade', '2019-07-29 20:26:27'),
(8871, 'pt-br', 'common', 'Profile', 'Perfil', '2019-07-29 20:26:27'),
(8872, 'pt-br', 'common', 'Rank', 'Rank', '2019-07-29 20:26:27'),
(8873, 'pt-br', 'common', 'Reports', 'Relatórios', '2019-07-29 20:26:27'),
(8874, 'pt-br', 'common', 'Results', 'Resultados', '2019-07-29 20:26:27'),
(8875, 'pt-br', 'common', 'Search Engine', 'Buscador', '2019-07-29 20:26:27'),
(8876, 'pt-br', 'common', 'Select', 'Selecionar', '2019-07-29 20:26:27'),
(8877, 'pt-br', 'common', 'Seo Plugins', 'Plugins de SEO', '2019-07-29 20:26:27'),
(8878, 'pt-br', 'common', 'Seo Tools', 'Ferramentas de SEO', '2019-07-29 20:26:27'),
(8879, 'pt-br', 'common', 'Sign out', 'Sair', '2019-07-29 20:26:27'),
(8880, 'pt-br', 'common', 'Sign Up', 'Cadastrar', '2019-07-29 20:26:27'),
(8881, 'pt-br', 'common', 'signin', 'Entrar', '2019-07-29 20:26:27'),
(8882, 'pt-br', 'common', 'Status', 'Status', '2019-07-29 20:26:27'),
(8883, 'pt-br', 'common', 'Support', 'Suporte', '2019-07-29 20:26:27'),
(8884, 'pt-br', 'common', 'Total', 'Total', '2019-07-29 20:26:27'),
(8885, 'pt-br', 'common', 'Url', 'URL', '2019-07-29 20:26:27'),
(8886, 'pt-br', 'common', 'User', 'Usuário', '2019-07-29 20:26:27'),
(8887, 'pt-br', 'common', 'User Panel', 'Painel do Usuário', '2019-07-29 20:26:27'),
(8888, 'pt-br', 'common', 'Website', 'Site', '2019-07-29 20:26:27'),
(8889, 'pt-br', 'common', 'Yes', 'Sim', '2019-07-29 20:26:27'),
(8890, 'pt-br', 'directory', 'Add back to directory list', 'Adicionar novamente à lista de diretórios', '2014-02-12 12:25:20'),
(8891, 'pt-br', 'directory', 'Approved', 'Aprovado', '2014-02-12 12:25:20');
INSERT INTO `texts` (`id`, `lang_code`, `category`, `label`, `content`, `changed`) VALUES
(8892, 'pt-br', 'directory', 'Captcha', 'Captcha', '2014-02-12 12:25:20'),
(8893, 'pt-br', 'directory', 'categorynote', 'Categorias, separe-as com uma vírgula de acordo com a prioridade. Inicie com a categoria de maior prioridade.', '2014-02-12 12:25:20'),
(8894, 'pt-br', 'directory', 'Check Directory Status', 'Checar Status do Diretório', '2014-02-12 12:25:20'),
(8895, 'pt-br', 'directory', 'Check Directory Submission Status', 'Checar Status do Diretório de Envio', '2014-02-12 12:25:20'),
(8896, 'pt-br', 'directory', 'clicktoproceeddirsts', 'Clique em <b>Avançar</b> para Checar o Status do Diretório.', '2014-02-12 12:25:20'),
(8897, 'pt-br', 'directory', 'Confirmation', 'Confirmação', '2014-02-12 12:25:20'),
(8898, 'pt-br', 'directory', 'desnote', 'Alguns diretórios requerem um mínimo de 150 caracteres para o campo de descrição.', '2014-02-12 12:25:20'),
(8899, 'pt-br', 'directory', 'Directories with out captcha', 'Diretórios <b>sem</b> captcha', '2014-02-12 12:25:20'),
(8900, 'pt-br', 'directory', 'Directory Submission Reports', 'Relatórios de Envio para Diretórios', '2014-02-12 12:25:20'),
(8901, 'pt-br', 'directory', 'Enter the code shown', 'Insira o código demonstrado', '2014-02-12 12:25:20'),
(8902, 'pt-br', 'directory', 'nocatnote', 'A categoria de envio não foi encontrada na página. Por favor, clique em <b>Recarregar</b> ou <b>Pular</b>', '2014-02-12 12:25:20'),
(8903, 'pt-br', 'directory', 'nodirnote', 'Nenhum diretório <b>ativo</b> encontrado', '2014-02-12 12:25:20'),
(8904, 'pt-br', 'directory', 'nosuccessnote', 'Nenhuma mensagem de sucesso recebida. Por favor, confira o seu e-mail para localizar a mensagem de confirmação.', '2014-02-12 12:25:20'),
(8905, 'pt-br', 'directory', 'optionalnote', 'Títulos e descrições opcionais para enviar de forma aleatória para os diretórios. Melhores resultados podem ser esperados.', '2014-02-12 12:25:20'),
(8906, 'pt-br', 'directory', 'Owner Email', 'E-mail do Proprietário', '2014-02-12 12:25:20'),
(8907, 'pt-br', 'directory', 'Owner Name', 'Nome do Proprietário', '2014-02-12 12:25:20'),
(8908, 'pt-br', 'directory', 'Pending', 'Pendente', '2014-02-12 12:25:20'),
(8909, 'pt-br', 'directory', 'Please select a website to proceed', 'Por favor selecione um site para avançar.', '2014-02-12 12:25:20'),
(8910, 'pt-br', 'directory', 'Reciprocal Link', 'Link de Retorno (recíproco)', '2014-02-12 12:25:20'),
(8911, 'pt-br', 'directory', 'selectwebsiteproceed', 'Selecione um <b>Site</b> para <b>avançar</b> no envio para os diretórios. <br>Selecione <b>Diretórios sem captcha</b> para enviar apenas para diretórios que não requerem confirmação visual.', '2014-02-12 12:25:20'),
(8912, 'pt-br', 'directory', 'selectwebsiteschecksub', 'Selecione um <b>Site</b> para <b>Avançar</b> na checagem de envio para diretórios.', '2014-02-12 12:25:20'),
(8913, 'pt-br', 'directory', 'Semi Automatic Directory Submission Tool', 'Ferramenta de Envio para Diretórios Semi-Automática', '2014-02-12 12:25:20'),
(8914, 'pt-br', 'directory', 'spamemailnote', 'Alguns diretórios podem enviar spam, por isso não recomendamos utilizar o seu e-mail principal.', '2014-02-12 12:25:20'),
(8915, 'pt-br', 'directory', 'Submission Details', 'Detalhes do Envio', '2014-02-12 12:25:20'),
(8916, 'pt-br', 'directory', 'Submit Description', 'Descrição do Envio', '2014-02-12 12:25:20'),
(8917, 'pt-br', 'directory', 'Submit Keywords', 'Palavras-chave do envio', '2014-02-12 12:25:20'),
(8918, 'pt-br', 'directory', 'Submit Title', 'Título do envio', '2014-02-12 12:25:20'),
(8919, 'pt-br', 'directory', 'Website Category', 'Categoria do site', '2014-02-12 12:25:20'),
(8920, 'pt-br', 'directory', 'Website Url', 'URL do site', '2014-02-12 12:25:20'),
(8921, 'pt-br', 'plugin', 'Download Seo Panel Plugins', 'Faça o Download de Plugins do SEO Panel', '2012-04-17 13:03:55'),
(8922, 'pt-br', 'plugin', 'Edit Seo Plugin', 'Editar Plugins de SEO', '2012-04-17 13:03:55'),
(8923, 'pt-br', 'plugin', 'Plugin Name', 'Nome do Plugin', '2012-04-17 13:03:55'),
(8924, 'pt-br', 'plugin', 'Seo Plugin Details', 'Detalhes do Plugin de SEO', '2012-04-17 13:03:55'),
(8925, 'pt-br', 'proxy', 'Edit Proxy', 'Editar o Proxy', '2016-12-09 11:48:39'),
(8926, 'pt-br', 'proxy', 'Proxy Password', 'Senha do Proxy', '2016-12-09 11:48:39'),
(8927, 'pt-br', 'proxy', 'Proxy Username', 'Usuário do Proxy', '2016-12-09 11:48:39'),
(8928, 'pt-br', 'proxy', 'Proxyalreadyexist', 'Este Proxy já existe!', '2016-12-09 11:48:39'),
(8929, 'pt-br', 'rank', 'enterurlproceed', 'Insira as URL\\\'s <b>Uma por linha</b>. Clique em <b>Avançar</b> para checar o rank no Google e Alexa.', '2012-04-17 13:05:16'),
(8930, 'pt-br', 'rank', 'Google and Alexa Rank Reports', 'Relatórios do Google e Alexa', '2012-04-17 13:05:16'),
(8931, 'pt-br', 'rank', 'Saved rank results of', 'Relatórios gravados para', '2012-04-17 13:05:16'),
(8932, 'pt-br', 'website', 'Edit Website', 'Editar Site', '2019-03-29 17:28:26'),
(8933, 'pt-br', 'website', 'plscrtwebsite', 'Por favor crie um site antes de iniciar a usar as ferramentas de SEO ou plugins de SEO.', '2019-03-29 17:28:26'),
(8934, 'pt-br', 'website', 'Website already exist', 'Este site já existe', '2019-03-29 17:28:26'),
(8935, 'pt-br', 'website', 'yourwebalreday', 'seu site se você ainda não adicionou um.', '2019-03-29 17:28:26'),
(8936, 'pt-br', 'user', 'Edit User', 'Editar Usuário', '2017-07-12 21:05:47'),
(8937, 'pt-br', 'user', 'Saved My Profile Details', 'Detalhes do Perfil Salvos', '2017-07-12 21:05:47'),
(8938, 'pt-br', 'sitemap', 'Change frequency', 'Alterar a frequência', '2012-04-17 13:07:47'),
(8939, 'pt-br', 'sitemap', 'clickproceedsitemap', 'Clique em <b>Avançar</b> para criar o arquivo do sitemap', '2012-04-17 13:07:47'),
(8940, 'pt-br', 'sitemap', 'Download sitemap file from', 'Faça o download do sitemap de', '2012-04-17 13:07:47'),
(8941, 'pt-br', 'sitemap', 'Exclude Url', 'Excluir URL', '2012-04-17 13:07:47'),
(8942, 'pt-br', 'sitemap', 'processtaketime', 'Este processo pode demorar de acordo com o número de links que você possui em seu site. Por favor aguarde para obter o seu sitemap', '2012-04-17 13:07:47'),
(8943, 'pt-br', 'sitemap', 'Sitemap Type', 'Tipo do Sitemap', '2012-04-17 13:07:47'),
(8944, 'pt-br', 'login', 'Confirm Password', 'Confirmar Senha', '2016-01-04 11:42:58'),
(8945, 'pt-br', 'login', 'Create my account', 'Criar minha conta', '2016-01-04 11:42:58'),
(8946, 'pt-br', 'login', 'Create New Account', 'Criar Nova Conta', '2016-01-04 11:42:58'),
(8947, 'pt-br', 'login', 'Email', 'E-mail', '2016-01-04 11:42:58'),
(8948, 'pt-br', 'login', 'emailexist', 'E-mail já existe!', '2016-01-04 11:42:58'),
(8949, 'pt-br', 'login', 'Enter the code as it is shown', 'Entre o código mostrado a seguir', '2016-01-04 11:42:58'),
(8950, 'pt-br', 'login', 'First Name', 'Nome', '2016-01-04 11:42:58'),
(8951, 'pt-br', 'login', 'Last Name', 'Sobrenome', '2016-01-04 11:42:58'),
(8952, 'pt-br', 'login', 'Login', 'Usuário', '2016-01-04 11:42:58'),
(8953, 'pt-br', 'login', 'Login incorrect', 'Usuário incorreto', '2016-01-04 11:42:58'),
(8954, 'pt-br', 'login', 'newaccountsuccess', 'Nova conta criada com sucesso!', '2016-01-04 11:42:58'),
(8955, 'pt-br', 'login', 'Password', 'Senha', '2016-01-04 11:42:58'),
(8956, 'pt-br', 'login', 'Password incorrect', 'Senha incorreta', '2016-01-04 11:42:58'),
(8957, 'pt-br', 'login', 'Register', 'Registrar', '2016-01-04 11:42:58'),
(8958, 'pt-br', 'login', 'Sign in to your account', 'Acesse a sua conta', '2016-01-04 11:42:58'),
(8959, 'pt-br', 'login', 'User inactive', 'Usuário Inativo', '2016-01-04 11:42:58'),
(8960, 'pt-br', 'login', 'Username', 'Nome de Usuário', '2016-01-04 11:42:58'),
(8961, 'pt-br', 'login', 'usernameexist', 'Nome de Usuário já existe!', '2016-01-04 11:42:58'),
(8962, 'pt-br', 'label', 'already exist', 'já existe', '2018-08-21 14:54:11'),
(8963, 'pt-br', 'label', 'Authentication', 'Autenticação', '2018-08-21 14:54:11'),
(8964, 'pt-br', 'label', 'Author', 'Autor', '2018-08-21 14:54:11'),
(8965, 'pt-br', 'label', 'Brocken', 'Quebrado', '2018-08-21 14:54:11'),
(8966, 'pt-br', 'label', 'Click Here', 'Clique Aqui', '2018-08-21 14:54:11'),
(8967, 'pt-br', 'label', 'Comments', 'Comentários', '2018-08-21 14:54:11'),
(8968, 'pt-br', 'label', 'Count', 'Contagem', '2018-08-21 14:54:11'),
(8969, 'pt-br', 'label', 'Cron', 'Cron', '2018-08-21 14:54:11'),
(8970, 'pt-br', 'label', 'Description', 'Descrição', '2018-08-21 14:54:11'),
(8971, 'pt-br', 'label', 'Developers', 'Desenvolvedores', '2018-08-21 14:54:11'),
(8972, 'pt-br', 'label', 'Download', 'Download', '2018-08-21 14:54:11'),
(8973, 'pt-br', 'label', 'Exclude', 'Excluir', '2018-08-21 14:54:11'),
(8974, 'pt-br', 'label', 'Include', 'Incluir', '2018-08-21 14:54:11'),
(8975, 'pt-br', 'label', 'Installation', 'Instalação', '2018-08-21 14:54:11'),
(8976, 'pt-br', 'label', 'Keywords', 'Palavras-chave', '2018-08-21 14:54:11'),
(8977, 'pt-br', 'label', 'noactiveplugins', 'Nenhum Plugin de SEO ativo!', '2018-08-21 14:54:11'),
(8978, 'pt-br', 'label', 'Plugin', 'Plugin', '2018-08-21 14:54:11'),
(8979, 'pt-br', 'label', 'Port', 'Porta', '2018-08-21 14:54:11'),
(8980, 'pt-br', 'label', 'Project', 'Projeto', '2018-08-21 14:54:11'),
(8981, 'pt-br', 'label', 'Proxy', 'Proxy', '2018-08-21 14:54:11'),
(8982, 'pt-br', 'label', 'Re-install', 'Re-instalar', '2018-08-21 14:54:11'),
(8983, 'pt-br', 'label', 'Report Type', 'Tipo de Relatório', '2018-08-21 14:54:11'),
(8984, 'pt-br', 'label', 'Score', 'Pontuação', '2018-08-21 14:54:11'),
(8985, 'pt-br', 'label', 'Sponsors', 'Patrocinadores', '2018-08-21 14:54:11'),
(8986, 'pt-br', 'label', 'Title', 'Título', '2018-08-21 14:54:11'),
(8987, 'pt-br', 'label', 'Total Results', 'Total de Resultados', '2018-08-21 14:54:11'),
(8988, 'pt-br', 'label', 'translation by', 'traduzido por', '2018-08-21 14:54:11'),
(8989, 'pt-br', 'label', 'Translators', 'Tradutores', '2018-08-21 14:54:11'),
(8990, 'pt-br', 'label', 'Updated', 'Atualizado', '2018-08-21 14:54:11'),
(8991, 'pt-br', 'label', 'Upgrade', 'Atualização', '2018-08-21 14:54:11'),
(8992, 'pt-br', 'label', 'Version', 'Versão', '2018-08-21 14:54:11'),
(8993, 'pt-br', 'label', 'View Reports', 'Visualizar Relatórios', '2018-08-21 14:54:11'),
(8994, 'pt-br', 'label', 'wantproceed', 'Você realmente deseja prosseguir?', '2018-08-21 14:54:11'),
(8995, 'pt-br', 'keyword', 'Crawling keyword', 'Rastreando palavra-chave', '2016-01-04 11:42:09'),
(8996, 'pt-br', 'keyword', 'Detailed Keyword Position Reports', 'Relatórios Detalhes de Posicionamento de Palavras-chave', '2016-01-04 11:42:09'),
(8997, 'pt-br', 'keyword', 'Edit Keyword', 'Editar palavra-chave', '2016-01-04 11:42:09'),
(8998, 'pt-br', 'keyword', 'Graphical Keyword Position Reports', 'Relatórios Gráficos de Posicionamento de Palavras-chave', '2016-01-04 11:42:09'),
(8999, 'pt-br', 'keyword', 'Import Keywords', 'Importar palavras-chave', '2016-01-04 11:42:09'),
(9000, 'pt-br', 'keyword', 'Insert keywords separated with comma', 'Inserir palavras-chave separadas por vírgula', '2016-01-04 11:42:09'),
(9001, 'pt-br', 'keyword', 'Keyword already exist', 'Palavra-chave já existe', '2016-01-04 11:42:09'),
(9002, 'pt-br', 'keyword', 'Keyword Position Report', 'Relatório de Posicionamento de Palavra-chave', '2016-01-04 11:42:09'),
(9003, 'pt-br', 'keyword', 'New Keyword', 'Nova palavra-chave', '2016-01-04 11:42:09'),
(9004, 'pt-br', 'keyword', 'not assigned to required search engines', 'não atribuída aos motores de buscas necessários', '2016-01-04 11:42:09'),
(9005, 'pt-br', 'keyword', 'pleaseselecttool', 'Por favor selecione uma Ferramenta de SEO', '2016-01-04 11:42:09'),
(9006, 'pt-br', 'keyword', 'Quick Keyword Position Checker', 'Checagem Rápida de Posicionamento de Palavra-chave', '2016-01-04 11:42:09'),
(9007, 'pt-br', 'keyword', 'results from ', 'resultados de', '2016-01-04 11:42:09'),
(9008, 'pt-br', 'keyword', 'Show All results', 'Mostrar todos resultados', '2016-01-04 11:42:09'),
(9009, 'pt-br', 'keyword', 'Successfully crawled keyword', 'Palavra-chave rastreada com sucesso', '2016-01-04 11:42:09'),
(9010, 'pt-br', 'keyword', 'to create new keywords', 'para criar novas palavras-chave', '2016-01-04 11:42:09'),
(9011, 'fa', 'siteauditor', 'Anchor', 'Anchor', '2012-05-23 02:13:49'),
(9012, 'fa', 'siteauditor', 'anylinkcontainabovelinks', 'هر لینک شامل لینک های بالا از گزارش حذف خواهد شد', '2012-05-23 02:13:49'),
(9013, 'fa', 'siteauditor', 'anylinkcontainexcludesitemap', 'هر لینک شامل لینک های بالا از نقشه سایت حذف خواهد شد', '2012-05-23 02:13:49'),
(9014, 'fa', 'siteauditor', 'Check backlinks of pages', 'بررسی بک لینک صفحه ها', '2012-05-23 02:13:49'),
(9015, 'fa', 'siteauditor', 'Check broken links in a page', 'بررسی لینک های شکسته در صفحه', '2012-05-23 02:13:49'),
(9016, 'fa', 'siteauditor', 'Check google pagerank of pages', 'بررسی پیج رنک صفحه ها', '2012-05-23 02:13:49'),
(9017, 'fa', 'siteauditor', 'Check pages indexed or not', 'بررسی ایندکس شدن صفحه ها', '2012-05-23 02:13:49'),
(9018, 'fa', 'siteauditor', 'Check Score', 'بررسی امتیاز', '2012-05-23 02:13:49'),
(9019, 'fa', 'siteauditor', 'checkborckenlinkwait', 'بررسی لینک های شکسته زمان انجام پروژه را افزایش می دهد', '2012-05-23 02:13:49'),
(9020, 'fa', 'siteauditor', 'Completed project execution', 'پایان پروژه', '2012-05-23 02:13:49'),
(9021, 'fa', 'siteauditor', 'Crawled', 'خزیده شده', '2012-05-23 02:13:49'),
(9022, 'fa', 'siteauditor', 'Crawled Pages', 'صفحه های خزیده شده', '2012-05-23 02:13:49'),
(9023, 'fa', 'siteauditor', 'crawledsuccesssfullywaitfornext', 'خزیدن با موفقیت انجام شد.برای خزیدن صفحه بعدی منتظر بمانید', '2012-05-23 02:13:49'),
(9024, 'fa', 'siteauditor', 'Crawling Page', 'خزیدن صفحه', '2012-05-23 02:13:49'),
(9025, 'fa', 'siteauditor', 'Duplicate Description', 'توضیح تکراری', '2012-05-23 02:13:49'),
(9026, 'fa', 'siteauditor', 'Duplicate Keywords', 'کلمات کلدی تکراری', '2012-05-23 02:13:49'),
(9027, 'fa', 'siteauditor', 'Duplicate Title', 'عنوان تکراری', '2012-05-23 02:13:49'),
(9028, 'fa', 'siteauditor', 'Exclude links', 'استثنا کردن لینک ها', '2012-05-23 02:13:49'),
(9029, 'fa', 'siteauditor', 'Execute with cron', 'Execute with cron ', '2012-05-23 02:13:49'),
(9030, 'fa', 'siteauditor', 'External', 'خروجی', '2012-05-23 02:13:49'),
(9031, 'fa', 'siteauditor', 'External Links', 'لینک های خروجی', '2012-05-23 02:13:49'),
(9032, 'fa', 'siteauditor', 'Import Project Links', 'وارد کردن لینک های پروژه', '2012-05-23 02:13:49'),
(9033, 'fa', 'siteauditor', 'Insert links separated with comma', 'لینک ها را بوسیله کاما جدا کنید', '2012-05-23 02:13:49'),
(9034, 'fa', 'siteauditor', 'insertlinkssepcoma', 'برای حذف لینک های بی نهایت از گزارش، لینک ها را بوسیله کاما جدا کنید', '2012-05-23 02:13:49'),
(9035, 'fa', 'siteauditor', 'Link Reports', 'گزارش های لینک', '2012-05-23 02:13:49'),
(9036, 'fa', 'siteauditor', 'Link Title', 'عنوان لینک', '2012-05-23 02:13:49'),
(9037, 'fa', 'siteauditor', 'Maximum number of pages to be checked', 'بیشترین تعداد صفحاتی که چک شود', '2012-05-23 02:13:49'),
(9038, 'fa', 'siteauditor', 'Maximum Pages', 'بیشترین تعداد صفحات', '2012-05-23 02:13:49'),
(9039, 'fa', 'siteauditor', 'No active projects found', 'پروژه فعالی پیدا نشد', '2012-05-23 02:13:49'),
(9040, 'fa', 'siteauditor', 'Nofollow', 'Nofollow', '2012-05-23 02:13:49'),
(9041, 'fa', 'siteauditor', 'Number of pages is greater than', 'تعداد صفحات بیشتر است از', '2012-05-23 02:13:49'),
(9042, 'fa', 'siteauditor', 'Number of pages should be greater than', 'تعداد صفحات باید بیشتر باشد از', '2012-05-23 02:13:49'),
(9043, 'fa', 'siteauditor', 'Page Details', 'توضیحات صفحه', '2012-05-23 02:13:49'),
(9044, 'fa', 'siteauditor', 'Page Link', 'لینک صفحه', '2012-05-23 02:13:49'),
(9045, 'fa', 'siteauditor', 'Page Links', 'لینک های صفحه', '2012-05-23 02:13:49'),
(9046, 'fa', 'siteauditor', 'Pages Found', 'صفحات یافت شد', '2012-05-23 02:13:49'),
(9047, 'fa', 'siteauditor', 'pressescapetostopexecution', 'برای متوقف کردن اجرا، دکمه escape را بزنید ', '2012-05-23 02:13:49'),
(9048, 'fa', 'siteauditor', 'Project Summary', 'خلاصه پروژه', '2012-05-23 02:13:49'),
(9049, 'fa', 'siteauditor', 'Project Url', 'آدرس لینک پروژه', '2012-05-23 02:13:49'),
(9050, 'fa', 'siteauditor', 'projectalreadyexist', 'پروژه برای این سایت وجود دارد', '2012-05-23 02:13:49'),
(9051, 'fa', 'siteauditor', 'Recheck Pages', 'بازبینی مجدد صفحات', '2012-05-23 02:13:49'),
(9052, 'fa', 'siteauditor', 'Report Summary', 'خلاصه گزارش', '2012-05-23 02:13:49'),
(9053, 'fa', 'siteauditor', 'Run Project', 'راه اندازی پروژه', '2012-05-23 02:13:49'),
(9054, 'fa', 'siteauditor', 'should start with', 'باید شروع شود با', '2012-05-23 02:13:49'),
(9055, 'fa', 'siteauditor', 'Site Auditor Settings', 'تنظیمات ناظر سایت', '2012-05-23 02:13:49'),
(9056, 'fa', 'siteauditor', 'Store all links found in a page', 'ذخیره تمام لینک های یافته شده در صفحه', '2012-05-23 02:13:49'),
(9057, 'fa', 'siteauditor', 'The page description length is not between', 'طول توضیحات صفحه نیست بین', '2012-05-23 02:13:49'),
(9058, 'fa', 'siteauditor', 'The page is brocken', 'صفحه شکسته است', '2012-05-23 02:13:49'),
(9059, 'fa', 'siteauditor', 'The page is having exellent number of backlinks in', 'صفحه تعداد بک لینک خیلی خوبی دارد در', '2012-05-23 02:13:49'),
(9060, 'fa', 'siteauditor', 'The page is having exellent pagerank', 'پیج رنک صفحه عالیست', '2012-05-23 02:13:49'),
(9061, 'fa', 'siteauditor', 'The page is having good number of backlinks in', 'صفحه تعداد بک لینک خوبی دارد در', '2012-05-23 02:13:49'),
(9062, 'fa', 'siteauditor', 'The page is having good pagerank', 'پیج رنک صفحه خوب است', '2012-05-23 02:13:49'),
(9063, 'fa', 'siteauditor', 'The page is having poor pagerank', 'پیج رنک صفحه ضعیف است', '2012-05-23 02:13:49'),
(9064, 'fa', 'siteauditor', 'The page is having very good pagerank', 'پیج رنک صفحه خیلی خوب است', '2012-05-23 02:13:49'),
(9065, 'fa', 'siteauditor', 'The page is not having backlinks in', 'صفحه بک لینک نشده است در', '2012-05-23 02:13:49'),
(9066, 'fa', 'siteauditor', 'The page is not indexed in', 'صفحه ایندکس نشده است در', '2012-05-23 02:13:49'),
(9067, 'fa', 'siteauditor', 'The page keywords length is not between', 'طول کلمات کلیدی صفحه نیست بین', '2012-05-23 02:13:49'),
(9068, 'fa', 'siteauditor', 'The page title length is not between', 'طول عنوان صفحه نیست بین', '2012-05-23 02:13:49'),
(9069, 'fa', 'siteauditor', 'The total number of links in page is greater than', 'مجموع لینک های موجود در صفحه بیشتر است از', '2012-05-23 02:13:49'),
(9070, 'fa', 'siteauditor', 'to run project again if you stopped execution', 'برای راه اندازی مجدد پروژه، اگر اجرا را متوقف نموده اید', '2012-05-23 02:13:49'),
(9071, 'fa', 'siteauditor', 'to view the reports', 'برای مشاهده گزارش ها', '2012-05-23 02:13:49'),
(9072, 'fa', 'siteauditor', 'Total Links', 'مجموع لینک ها', '2012-05-23 02:13:49'),
(9073, 'fa', 'siteauditor', 'totallinksgreaterallowed', 'مجموع لینک ها از حداکثر مجاز برای پروژه بیشتر می شود', '2012-05-23 02:13:49'),
(9074, 'en', 'searchengine', 'no_of_results_page', 'Number of results per page', '2012-05-03 18:26:21'),
(9075, 'en', 'searchengine', 'max_results', 'Maximum number of results', '2012-05-03 18:26:21'),
(9076, 'en', 'label', 'Daily', 'Daily', '2012-05-03 18:27:03'),
(9077, 'en', 'label', 'Weekly', 'Weekly', '2012-05-03 18:27:03'),
(9078, 'en', 'label', 'Monthly', 'Monthly', '2012-05-03 18:27:03'),
(9079, 'en', 'report', 'Next report generation time', 'Next report generation time', '2012-05-03 18:27:20'),
(9080, 'en', 'report', 'Email notification', 'Email notification', '2012-05-03 18:27:20'),
(9081, 'en', 'report', 'Reports generation interval', 'Reports generation interval', '2012-05-03 18:27:20'),
(9082, 'en', 'report', 'sheduledsuccessfully', 'Scheduled report generation successfully!', '2012-05-03 18:27:20'),
(9083, 'en', 'report', '2 Days', '2 Days', '2012-05-03 18:27:20'),
(9084, 'en', 'report', 'reportsettingssaved', 'Report settings saved successfully!', '2012-05-03 18:27:20'),
(9085, 'en', 'report', 'keywordnumbercheckedcronnote', 'Note: Default 0 means all keywords should be checked', '2012-05-03 18:27:20'),
(9086, 'en', 'settings', 'SP_ALLOW_USER_SCHEDULE_REPORT', 'Allow users to schedule report', '2018-01-22 19:59:29'),
(9087, 'en', 'settings', 'SP_SYSTEM_REPORT_INTERVAL', 'Minimum Allowed Reporting Interval', '2018-01-22 19:59:29'),
(9088, 'en', 'settings', 'SP_REPORT_EMAIL_NOTIFICATION', 'Allow use of email notifications for reports', '2018-01-22 19:59:29'),
(9089, 'en', 'settings', 'SP_NUMBER_KEYWORDS_CRON', 'Number of keywords needs to be checked in each cron execution', '2018-01-22 19:59:29'),
(9090, 'en', 'panel', 'Report Settings', 'Report Settings', '2012-05-03 18:27:49'),
(9091, 'en', 'panel', 'Archived Reports', 'Archived Reports', '2012-05-03 18:27:49'),
(9092, 'en', 'panel', 'Schedule Reports', 'Schedule Reports', '2012-05-03 18:27:49'),
(9093, 'en', 'panel', 'Search Engine Manager', 'Search Engine Manager', '2012-05-03 18:27:49'),
(9094, 'en', 'settings', 'SP_SMTP_MAIL', 'Enable SMTP', '2018-01-22 19:59:29'),
(9095, 'en', 'settings', 'SP_SMTP_HOST', 'SMTP Host', '2018-01-22 19:59:29'),
(9096, 'en', 'settings', 'SP_SMTP_USERNAME', 'SMTP Username', '2018-01-22 19:59:29'),
(9097, 'en', 'settings', 'SP_SMTP_PASSWORD', 'SMTP Password', '2018-01-22 19:59:29'),
(9098, 'en', 'settings', 'entersmtpdetails', 'Please enter SMTP mail configuration', '2018-01-22 19:59:29'),
(9099, 'en', 'common', 'Hello', 'Hello', '2019-08-06 06:09:56'),
(9100, 'en', 'reports', 'report_email_subject', 'Your SEO reports generated successfully', '2012-05-04 10:49:25'),
(9101, 'en', 'reports', 'report_email_body_text1', 'Your reports generated successfully in seo panel. Please check the attached reports.', '2012-05-04 10:49:25'),
(9102, 'en', 'reports', 'report_email_body_text2', 'If above reports are not clear, Please [LOGIN_LINK] to view the reports directly from your account.', '2012-05-04 10:49:25'),
(9103, 'en', 'directory', 'Coupon Code', 'Coupon Code', '2012-05-05 09:48:57'),
(9104, 'en', 'directory', 'couponcodenote', 'Use above coupon code and get [REDUCTION_PER] offer for each featured submission!', '2012-05-05 09:48:57'),
(9105, 'pt-br', 'common', 'Hello', 'Olá', '2019-07-29 20:26:27'),
(9106, 'pt-br', 'directory', 'Coupon Code', 'Código do Cupom', '2014-02-12 12:25:20'),
(9107, 'pt-br', 'directory', 'couponcodenote', 'Use o cupom acima e tenha [REDUCTION_PER] para cada envio destacado.', '2014-02-12 12:25:20'),
(9108, 'pt-br', 'siteauditor', 'Anchor', 'Âncora', '2017-07-12 21:01:53'),
(9109, 'pt-br', 'siteauditor', 'anylinkcontainabovelinks', 'Quaisquer links que contenham os links acima serão excluídos dos relatórios', '2017-07-12 21:01:53'),
(9110, 'pt-br', 'siteauditor', 'anylinkcontainexcludesitemap', 'Quaisquer links que contenham os links acima serão excluídos do sitemap', '2017-07-12 21:01:53'),
(9111, 'pt-br', 'siteauditor', 'Check backlinks of pages', 'Checar os links de retorno das páginas', '2017-07-12 21:01:53'),
(9112, 'pt-br', 'siteauditor', 'Check broken links in a page', 'Checar links quebrados em uma página', '2017-07-12 21:01:53'),
(9113, 'pt-br', 'siteauditor', 'Check google pagerank of pages', 'Checar o pagerank do Google das páginas', '2017-07-12 21:01:53'),
(9114, 'pt-br', 'siteauditor', 'Check pages indexed or not', 'Checar se a página foi ou não indexada', '2017-07-12 21:01:53'),
(9115, 'pt-br', 'siteauditor', 'Check Score', 'Checar Score', '2017-07-12 21:01:53'),
(9116, 'pt-br', 'siteauditor', 'checkborckenlinkwait', 'Checar links quebrados irá aumentar o tempo de execução do projeto.', '2017-07-12 21:01:53'),
(9117, 'pt-br', 'siteauditor', 'Completed project execution', 'Completar a execução do projeto', '2017-07-12 21:01:53'),
(9118, 'pt-br', 'siteauditor', 'Crawled', 'Rastreado', '2017-07-12 21:01:53'),
(9119, 'pt-br', 'siteauditor', 'Crawled Pages', 'Páginas Rastreadas', '2017-07-12 21:01:53'),
(9120, 'pt-br', 'siteauditor', 'crawledsuccesssfullywaitfornext', 'rastreamento com sucesso! Aguardando o rastreamento da próxima página para', '2017-07-12 21:01:53'),
(9121, 'pt-br', 'siteauditor', 'Crawling Page', 'Rastreando Página', '2017-07-12 21:01:53'),
(9122, 'pt-br', 'siteauditor', 'Duplicate Description', 'Duplicar Descrição', '2017-07-12 21:01:53'),
(9123, 'pt-br', 'siteauditor', 'Duplicate Keywords', 'Duplicar Palavras-Chave', '2017-07-12 21:01:53'),
(9124, 'pt-br', 'siteauditor', 'Duplicate Title', 'Duplicar Título', '2017-07-12 21:01:53'),
(9125, 'pt-br', 'siteauditor', 'Exclude links', 'Excluir links', '2017-07-12 21:01:53'),
(9126, 'pt-br', 'siteauditor', 'Execute with cron', 'Executar com a Cron', '2017-07-12 21:01:53'),
(9127, 'pt-br', 'siteauditor', 'External', 'Externo', '2017-07-12 21:01:53'),
(9128, 'pt-br', 'siteauditor', 'External Links', 'Links Externos', '2017-07-12 21:01:53'),
(9129, 'pt-br', 'siteauditor', 'Import Project Links', 'Importar Links do Projeto', '2017-07-12 21:01:53'),
(9130, 'pt-br', 'siteauditor', 'Insert links separated with comma', 'Inserir links separados com vírgula', '2017-07-12 21:01:53'),
(9131, 'pt-br', 'siteauditor', 'insertlinkssepcoma', 'Inserir links separados com vírgula para excluir links infinitos dos relatórios', '2017-07-12 21:01:53'),
(9132, 'pt-br', 'siteauditor', 'Link Reports', 'Relatórios de Links', '2017-07-12 21:01:53'),
(9133, 'pt-br', 'siteauditor', 'Link Title', 'Título do Link', '2017-07-12 21:01:53'),
(9134, 'pt-br', 'siteauditor', 'Maximum number of pages to be checked', 'Número máximo de páginas para ser checadas', '2017-07-12 21:01:53'),
(9135, 'pt-br', 'siteauditor', 'Maximum Pages', 'Máximo de Páginas', '2017-07-12 21:01:53'),
(9136, 'pt-br', 'siteauditor', 'No active projects found', 'Nenhum projeto ativo encontrado', '2017-07-12 21:01:53'),
(9137, 'pt-br', 'siteauditor', 'Nofollow', 'Nofollow', '2017-07-12 21:01:53'),
(9138, 'pt-br', 'siteauditor', 'Number of pages is greater than', 'Número de páginas é maior que', '2017-07-12 21:01:53'),
(9139, 'pt-br', 'siteauditor', 'Number of pages should be greater than', 'Número de páginas deve ser maior que', '2017-07-12 21:01:53'),
(9140, 'pt-br', 'siteauditor', 'Page Details', 'Detalhes da Página', '2017-07-12 21:01:53'),
(9141, 'pt-br', 'siteauditor', 'Page Link', 'Link da Página', '2017-07-12 21:01:53'),
(9142, 'pt-br', 'siteauditor', 'Page Links', 'Links da Página', '2017-07-12 21:01:53'),
(9143, 'pt-br', 'siteauditor', 'Pages Found', 'Páginas Encontradas', '2017-07-12 21:01:53'),
(9144, 'pt-br', 'siteauditor', 'pressescapetostopexecution', 'Pressione a tecla <b>ESC</b> para parar a execução do script', '2017-07-12 21:01:53'),
(9145, 'pt-br', 'siteauditor', 'Project Summary', 'Sumário do Projeto', '2017-07-12 21:01:53'),
(9146, 'pt-br', 'siteauditor', 'Project Url', 'URL do Projeto', '2017-07-12 21:01:53'),
(9147, 'pt-br', 'siteauditor', 'projectalreadyexist', 'Projeto para este já existe', '2017-07-12 21:01:53'),
(9148, 'pt-br', 'siteauditor', 'Recheck Pages', 'Checar novamente as páginas', '2017-07-12 21:01:53'),
(9149, 'pt-br', 'siteauditor', 'Report Summary', 'Sumário dos Relatórios', '2017-07-12 21:01:53'),
(9150, 'pt-br', 'siteauditor', 'Run Project', 'Executar Projeto', '2017-07-12 21:01:53'),
(9151, 'pt-br', 'siteauditor', 'should start with', 'deve começar com', '2017-07-12 21:01:53'),
(9152, 'pt-br', 'siteauditor', 'Site Auditor Settings', 'Configurações do Auditor de Sites', '2017-07-12 21:01:53'),
(9153, 'pt-br', 'siteauditor', 'Store all links found in a page', 'Armazena todos os links encontrados em uma página', '2017-07-12 21:01:53'),
(9154, 'pt-br', 'siteauditor', 'The page description length is not between', 'O tamanho de descrição da página não está de acordo', '2017-07-12 21:01:53'),
(9155, 'pt-br', 'siteauditor', 'The page is brocken', 'A página está quebrada', '2017-07-12 21:01:53'),
(9156, 'pt-br', 'siteauditor', 'The page is having exellent number of backlinks in', 'A página é um excelente número de links de retorno', '2017-07-12 21:01:53'),
(9157, 'pt-br', 'siteauditor', 'The page is having exellent pagerank', 'A página tem um excelente pagerank', '2017-07-12 21:01:53'),
(9158, 'pt-br', 'siteauditor', 'The page is having good number of backlinks in', 'A página tem um bom número de links de retorno', '2017-07-12 21:01:53'),
(9159, 'pt-br', 'siteauditor', 'The page is having good pagerank', 'A página tem um bom pagerank', '2017-07-12 21:01:53'),
(9160, 'pt-br', 'siteauditor', 'The page is having poor pagerank', 'A página tem um pagerank ruim', '2017-07-12 21:01:53'),
(9161, 'pt-br', 'siteauditor', 'The page is having very good pagerank', 'A página tem um pagerank muito bom', '2017-07-12 21:01:53'),
(9162, 'pt-br', 'siteauditor', 'The page is not having backlinks in', 'A página não tem nenhum link de retorno', '2017-07-12 21:01:53'),
(9163, 'pt-br', 'siteauditor', 'The page is not indexed in', 'A página não foi indexada ainda', '2017-07-12 21:01:53'),
(9164, 'pt-br', 'siteauditor', 'The page keywords length is not between', 'A quantidade de palavras-chave da página não está de acordo', '2017-07-12 21:01:53'),
(9165, 'pt-br', 'siteauditor', 'The page title length is not between', 'O tamanho do título da página não está de acordo', '2017-07-12 21:01:53'),
(9166, 'pt-br', 'siteauditor', 'The total number of links in page is greater than', 'O número total de links na página é maior que', '2017-07-12 21:01:53'),
(9167, 'pt-br', 'siteauditor', 'to run project again if you stopped execution', 'para executar o seu projeto novamente se você interrompeu a execução', '2017-07-12 21:01:53'),
(9168, 'pt-br', 'siteauditor', 'to view the reports', 'para visualizar os relatórios', '2017-07-12 21:01:53'),
(9169, 'pt-br', 'siteauditor', 'Total Links', 'Total de Links', '2017-07-12 21:01:53'),
(9170, 'pt-br', 'siteauditor', 'totallinksgreaterallowed', 'Total de links é maior do que os links máximos permitidos para o projeto', '2017-07-12 21:01:53'),
(9171, 'pt-br', 'label', 'Daily', 'Diário', '2018-08-21 14:54:11'),
(9172, 'pt-br', 'label', 'Monthly', 'Mensal', '2018-08-21 14:54:11'),
(9173, 'pt-br', 'label', 'Weekly', 'Semanal', '2018-08-21 14:54:11'),
(9174, 'pt-br', 'panel', 'About Us', 'Sobre Nós', '2018-01-23 13:32:33'),
(9175, 'pt-br', 'panel', 'Add following command to your cron tab', 'Adicione o comando para o seu agendador de tarefas Cron', '2018-01-23 13:32:33'),
(9176, 'pt-br', 'panel', 'alsocheckfollowlink', 'Também veja o link a seguir se você precisa de mais informações.', '2018-01-23 13:32:33'),
(9177, 'pt-br', 'panel', 'Archived Reports', 'Relatórios Arquivados', '2018-01-23 13:32:33'),
(9178, 'pt-br', 'panel', 'Check Directory', 'Checar Diretório', '2018-01-23 13:32:33'),
(9179, 'pt-br', 'panel', 'Cron Command', 'Comando Cron', '2018-01-23 13:32:33'),
(9180, 'pt-br', 'panel', 'Directory Manager', 'Gerenciador de Diretórios', '2018-01-23 13:32:33'),
(9181, 'pt-br', 'panel', 'Edit My Profile', 'Editar meu Perfil', '2018-01-23 13:32:33'),
(9182, 'pt-br', 'panel', 'Edit Project', 'Editar Projeto', '2018-01-23 13:32:33'),
(9183, 'pt-br', 'panel', 'My Profile', 'Meu Perfil', '2018-01-23 13:32:33'),
(9184, 'pt-br', 'panel', 'New Project', 'Novo Projeto', '2018-01-23 13:32:33'),
(9185, 'pt-br', 'panel', 'New Proxy', 'Novo Proxy', '2018-01-23 13:32:33'),
(9186, 'pt-br', 'panel', 'New User', 'Novo Usuário', '2018-01-23 13:32:33'),
(9187, 'pt-br', 'panel', 'New Website', 'Novo Website', '2018-01-23 13:32:33'),
(9188, 'pt-br', 'panel', 'Proxy Manager', 'Gerenciador Proxy', '2018-01-23 13:32:33'),
(9189, 'pt-br', 'panel', 'Report Generation Manager', 'Gerenciador do Gerador de Relatórios', '2018-01-23 13:32:33'),
(9190, 'pt-br', 'panel', 'Report Settings', 'Configurações de Relatórios', '2018-01-23 13:32:33'),
(9191, 'pt-br', 'panel', 'Reports Manager', 'Gerenciador de Relatórios', '2018-01-23 13:32:33'),
(9192, 'pt-br', 'panel', 'Schedule Reports', 'Agendador de Relatórios', '2018-01-23 13:32:33'),
(9193, 'pt-br', 'panel', 'Search Engine Manager', 'Gerenciador de Sites de Buscas', '2018-01-23 13:32:33'),
(9194, 'pt-br', 'panel', 'Seo Plugins Manager', 'Gerenciador de Plugins de SEO', '2018-01-23 13:32:33'),
(9195, 'pt-br', 'panel', 'Seo Tools Manager', 'Gerenciador de Ferramentas de SEO', '2018-01-23 13:32:33'),
(9196, 'pt-br', 'panel', 'System Settings', 'Configurações do Sistema', '2018-01-23 13:32:33'),
(9197, 'pt-br', 'panel', 'User Manager', 'Gerenciador de Usuários', '2018-01-23 13:32:33'),
(9198, 'pt-br', 'panel', 'Website Manager', 'Gerenciador de Websites', '2018-01-23 13:32:33'),
(9199, 'pt-br', 'report', '2 Days', '2 Dias', '2012-05-07 12:55:16'),
(9200, 'pt-br', 'report', 'Email notification', 'Notificação por e-mail', '2012-05-07 12:55:16'),
(9201, 'pt-br', 'report', 'keywordnumbercheckedcronnote', 'Nota: O padrão 0 quer dizer que todas as palavras-chave deverão ser checadas', '2012-05-07 12:55:16'),
(9202, 'pt-br', 'report', 'Next report generation time', 'Data da próxima geração de relatórios', '2012-05-07 12:55:16'),
(9203, 'pt-br', 'report', 'Reports generation interval', 'Intervalo para geração de relatórios', '2012-05-07 12:55:16'),
(9204, 'pt-br', 'report', 'reportsettingssaved', 'Configurações de relatórios salva com sucesso!', '2012-05-07 12:55:16'),
(9205, 'pt-br', 'report', 'sheduledsuccessfully', 'Geração de relatórios agendada com sucesso.', '2012-05-07 12:55:16'),
(9206, 'pt-br', 'reports', 'report_email_body_text1', 'Seus relatórios foram gerados com sucesso no SEO Panel. Por favor verifique os relatórios anexados.', '2012-05-07 12:56:32'),
(9207, 'pt-br', 'reports', 'report_email_body_text2', 'Se os relatórios acima não estão claros, por favor [LOGIN_LINK] para visualizar os relatórios diretamente da sua conta.', '2012-05-07 12:56:32'),
(9208, 'pt-br', 'reports', 'report_email_subject', 'Seus relatórios de SEO foram gerados com sucesso', '2012-05-07 12:56:32'),
(9209, 'pt-br', 'saturation', 'clickproceedsaturation', 'Entre as URL\\\'s <b>Uma por linha</b>. Clique em <b>Avançar</b> para visualizar os resultados de Saturação nos Sites de Buscas.', '2012-05-07 12:58:15'),
(9210, 'pt-br', 'saturation', 'GenerateSaturationReports', 'Gerar Relatórios de Saturação nos Sites de Buscas', '2012-05-07 12:58:15'),
(9211, 'pt-br', 'saturation', 'Quick Search Engine Saturation Checker', 'Visualizador Rápido de Saturação nos Sites de Buscas', '2012-05-07 12:58:15'),
(9212, 'pt-br', 'saturation', 'Saved Search Engine Saturation results of', 'Resultados salvos de Saturação nos Sites de Buscas de', '2012-05-07 12:58:15'),
(9213, 'pt-br', 'saturation', 'Search Engine Saturation Reports', 'Relatórios de Saturação nos Sites de Buscas', '2012-05-07 12:58:15'),
(9214, 'pt-br', 'searchengine', 'max_results', 'Número máximo de resultados', '2012-05-07 12:58:33'),
(9215, 'pt-br', 'searchengine', 'no_of_results_page', 'Número de resultados por página', '2012-05-07 12:58:33'),
(9216, 'pt-br', 'seotools', 'Auditor Projects', 'Projetos do Auditor', '2017-07-12 21:00:13'),
(9217, 'pt-br', 'seotools', 'Auditor Reports', 'Relatórios do Auditor', '2017-07-12 21:00:13'),
(9218, 'pt-br', 'seotools', 'Auditor Settings', 'Configurações do Auditor', '2017-07-12 21:00:13'),
(9219, 'pt-br', 'seotools', 'Automatic Submission', 'Envio Automático', '2017-07-12 21:00:13'),
(9220, 'pt-br', 'seotools', 'backlink-checker', 'Visualizador de Links de Retorno', '2017-07-12 21:00:13'),
(9221, 'pt-br', 'seotools', 'Backlinks Reports', 'Relatórios de Links de Retorno', '2017-07-12 21:00:13'),
(9222, 'pt-br', 'seotools', 'Check Submission Status', 'Checar o status do Envio', '2017-07-12 21:00:13'),
(9223, 'pt-br', 'seotools', 'clickgeneratereports', 'Clicar em <b>Avançar</b> para gerar relatórios', '2017-07-12 21:00:13'),
(9224, 'pt-br', 'seotools', 'Detailed Position Reports', 'Relatórios Detalhados de Posicionamento', '2017-07-12 21:00:13'),
(9225, 'pt-br', 'seotools', 'directory-submission', 'Envio para Diretórios', '2017-07-12 21:00:13'),
(9226, 'pt-br', 'seotools', 'Featured Submission', 'Envio Destacado', '2017-07-12 21:00:13'),
(9227, 'pt-br', 'seotools', 'Generate Backlinks Reports', 'Gerar Relatórios de Links de Retorno', '2017-07-12 21:00:13'),
(9228, 'pt-br', 'seotools', 'Generate Keyword Reports', 'Gerar Relatórios de Palavras-chave', '2017-07-12 21:00:13'),
(9229, 'pt-br', 'seotools', 'Generate Rank Reports', 'Gerar Relatórios de Rank', '2017-07-12 21:00:13'),
(9230, 'pt-br', 'seotools', 'Generate Saturation Reports', 'Gerar Relatórios de Saturação', '2017-07-12 21:00:13'),
(9231, 'pt-br', 'seotools', 'Google Sitemap Generator', 'Gerador de Sitemap para o Google', '2017-07-12 21:00:13'),
(9232, 'pt-br', 'seotools', 'Graphical Position Reports', 'Relatórios Gráficos de Posicionamento', '2017-07-12 21:00:13'),
(9233, 'pt-br', 'seotools', 'Import Project Links', 'Importar Links de Projetos', '2017-07-12 21:00:13'),
(9234, 'pt-br', 'seotools', 'Keyword Position Summary', 'Sumário do Posicionamento de Palavras-chave', '2017-07-12 21:00:13'),
(9235, 'pt-br', 'seotools', 'keyword-position-checker', 'Visualizador de Posicionamento de Palavras-chave', '2017-07-12 21:00:13'),
(9236, 'pt-br', 'seotools', 'Keywords Manager', 'Gerenciador de Palavras-chave', '2017-07-12 21:00:13'),
(9237, 'pt-br', 'seotools', 'Quick Backlinks Checker', 'Visualizador Rápido de Links de Retorno', '2017-07-12 21:00:13'),
(9238, 'pt-br', 'seotools', 'Quick Position Checker', 'Visualizador Rápido de Posicionamento', '2017-07-12 21:00:13'),
(9239, 'pt-br', 'seotools', 'Quick Rank Checker', 'Visualizador Rápido de Rank', '2017-07-12 21:00:13'),
(9240, 'pt-br', 'seotools', 'Quick Saturation Checker', 'Visualizador Rápido de Saturação', '2017-07-12 21:00:13'),
(9241, 'pt-br', 'seotools', 'Rank Reports', 'Relatórios de Rank', '2017-07-12 21:00:13'),
(9242, 'pt-br', 'seotools', 'rank-checker', 'Visualizador de Rank', '2017-07-12 21:00:13'),
(9243, 'pt-br', 'seotools', 'Saturation Reports', 'Relatórios de Saturação', '2017-07-12 21:00:13'),
(9244, 'pt-br', 'seotools', 'saturation-checker', 'Saturação de Sites de Buscas', '2017-07-12 21:00:13'),
(9245, 'pt-br', 'seotools', 'site-auditor', 'Auditor de Sites', '2017-07-12 21:00:13'),
(9246, 'pt-br', 'seotools', 'sitemap-generator', 'Gerador de Sitemap', '2017-07-12 21:00:13'),
(9247, 'pt-br', 'seotools', 'Skipped Directories', 'Diretórios Ignorados', '2017-07-12 21:00:13'),
(9248, 'pt-br', 'seotools', 'Submission Reports', 'Relatórios de Envio', '2017-07-12 21:00:13'),
(9249, 'pt-br', 'seotools', 'User Access', 'Acesso do Usuário', '2017-07-12 21:00:13'),
(9250, 'pt-br', 'settings', 'Check for Updates', 'Procurar por Atualizações', '2018-06-02 13:47:27'),
(9251, 'pt-br', 'settings', 'Click here to become a sponsor for Seo Panel', '<b>Doe US$ 100</b> e se torne um <b>patrocinador</b> do SEO Panel.', '2018-06-02 13:47:27'),
(9252, 'pt-br', 'settings', 'entersmtpdetails', 'Por favor insira a configuração do e-mail SMTP', '2018-06-02 13:47:27'),
(9253, 'pt-br', 'settings', 'getallpluginfree', 'Também obtenha todos os <b>plugins</b> que nós desenvolvemos <b>de graça!</b>', '2018-06-02 13:47:27'),
(9254, 'pt-br', 'settings', 'SA_CRAWL_DELAY_TIME', 'A demora que o Auditor de Sites leva para cada página', '2018-06-02 13:47:27'),
(9255, 'pt-br', 'settings', 'SA_MAX_NO_PAGES', 'Número máximo de páginas permitido por website', '2018-06-02 13:47:27'),
(9256, 'pt-br', 'settings', 'seopanel_description', 'Um completo e gratuito painel de controle para gerenciador a Otimização para Motores de Busca (SEO) dos seus websites. Ele contém diversas ferramentas de SEO para aumentar e acompanhar a performance dos seus websites. Trata-se de um projeto open source, aproveite para desenvolver os seus próprios plugins para o SEO Panel.', '2018-06-02 13:47:27'),
(9257, 'pt-br', 'settings', 'seopanel_title', 'SEO Panel: O primeiro painel de controle do mundo para gerenciamento de múltiplos websites', '2018-06-02 13:47:27'),
(9258, 'pt-br', 'settings', 'SP_ALLOW_USER_SCHEDULE_REPORT', 'Ativar que usuários agendem relatórios', '2018-06-02 13:47:27'),
(9259, 'pt-br', 'settings', 'SP_API_KEY', 'Chave API do SEO Panel', '2018-06-02 13:47:27'),
(9260, 'pt-br', 'settings', 'SP_CRAWL_DELAY', 'Tempo que cada spider leva para rastrear (segundos)', '2018-06-02 13:47:27'),
(9261, 'pt-br', 'settings', 'SP_DEFAULTLANG', 'Idioma Padrão', '2018-06-02 13:47:27'),
(9262, 'pt-br', 'settings', 'SP_DESCRIPTION', 'Descrição do SEO Panel', '2018-06-02 13:47:27'),
(9263, 'pt-br', 'settings', 'SP_ENABLE_PROXY', 'Ativar Proxy', '2018-06-02 13:47:27'),
(9264, 'pt-br', 'settings', 'SP_HOTLINKING', 'Proteção ativada para imagem do hotlink', '2018-06-02 13:47:27'),
(9265, 'pt-br', 'settings', 'SP_KEYWORDS', 'Palavras-chave do SEO Panel', '2018-06-02 13:47:27'),
(9266, 'pt-br', 'settings', 'SP_NUMBER_KEYWORDS_CRON', 'Número de palavras-chave necessárias para checar em cada execução da Cron', '2018-06-02 13:47:27'),
(9267, 'pt-br', 'settings', 'SP_PAGINGNO', 'Número de entradas por página', '2018-06-02 13:47:27'),
(9268, 'pt-br', 'settings', 'SP_REPORT_EMAIL_NOTIFICATION', 'Ativar notificação por e-mail dos relatórios', '2018-06-02 13:47:27'),
(9269, 'pt-br', 'settings', 'SP_SMTP_HOST', 'Servidor SMTP', '2018-06-02 13:47:27'),
(9270, 'pt-br', 'settings', 'SP_SMTP_MAIL', 'Ativar SMTP', '2018-06-02 13:47:27'),
(9271, 'pt-br', 'settings', 'SP_SMTP_PASSWORD', 'Senha SMTP', '2018-06-02 13:47:27'),
(9272, 'pt-br', 'settings', 'SP_SMTP_USERNAME', 'Usuário SMTP', '2018-06-02 13:47:27'),
(9273, 'pt-br', 'settings', 'SP_SYSTEM_REPORT_INTERVAL', 'Intervalo para o sistema gerar relatórios', '2018-06-02 13:47:27'),
(9274, 'pt-br', 'settings', 'SP_TITLE', 'Título do SEO Panel', '2018-06-02 13:47:27'),
(9275, 'pt-br', 'settings', 'SP_USER_AGENT', 'User agent', '2018-06-02 13:47:27'),
(9276, 'pt-br', 'settings', 'SP_USER_GEN_REPORT', 'Permitir que os usuários gerem relatórios', '2018-06-02 13:47:27'),
(9277, 'pt-br', 'settings', 'SP_USER_REGISTRATION', 'Interface de registro de usuários', '2018-06-02 13:47:27'),
(9278, 'pt-br', 'settings', 'syssettingssaved', 'Configurações do sistema salvas com sucesso!', '2018-06-02 13:47:27'),
(9279, 'pt-br', 'settings', 'versionnotuptodatemsg', 'A sua instalação do SEO Panel não está atualizada. <br>Por favor faça o download da nova versão', '2018-06-02 13:47:27'),
(9280, 'pt-br', 'settings', 'Your Seo Panel installation is up to date', 'A sua instalação do SEO Panel está atualizada.', '2018-06-02 13:47:27'),
(9281, 'pt-BR', 'home', 'home_cont2', '<fieldset>\r\n<legend>Major features of SEO Panel <?=SP_INSTALLED?> </legend>\r\n<ul class=\\\"infobox\\\">\r\n<li>\r\n<h1> Tool for Auto Shipping Directory </h1>\r\n<p>\r\nThe tool for automatic directory submission helps us to send our websites <b> </b> for more <b> web directories, free or paid </b>.\r\nWe can also track the status <b> </b> every shipment made through a periodic check <b> </b> using the view script <b> status </b>.\r\nThe <b> Directory Manager </b> will help us find the <b> directories which are active </b> or not.\r\n</P>\r\n</Li>\r\n<li>\r\n<h1> Viewer Positioning Keywords </h1>\r\n<p>\r\nViewer Positioning Keywords will find <b> positioning the sites search </b> <b> of target keywords </b>\r\nour website and store <b> </b> in our system.\r\nIn the reports section positioning of keywords, we can see the daily <b> posicições </b> from our keyword in different search engines via <b> cute graphics </b> and <b> reports detailed </b>.\r\n</P>\r\n</Li>\r\n<li>\r\n<h1> Auditor Sites </h1>\r\n<p> Site Auditor will audit all factors <b> SEO </b> of each page of a website and will provide a detailed report <b> </b> on each page. This will help us create sitemaps files <b> XML, HTML, TEXT </b> of our website to send them <b> </b> sites to search. </P>\r\n</Li>\r\n<li>\r\n<h1> Viewer Google Rank and Alexa </h1>\r\n<p>\r\nViewer Rank Alexa and Google will find Google pagerank <b> </b> <b> rank and rank </b> of our website and will store them <b> </b> in the system. .\r\nIn <b> reports rank </b>, we can see the log rank <b> </b> of every website on Google and Alexa <b> through detailed reports </b>.\r\n</P>\r\n</Li>\r\n<li>\r\n<h1> Viewer Back Links </h1>\r\n<p>\r\nViewer Back Links <b> will check and find the number of links back </b> of our website in different search <b> sites (google, yahoo, msn, etc) </b> will < b> store them </b> in the system.\r\nIn <br> <b> reports links back </b>, we can visualize <b> the daily count of links back </b> for each website through detailed reports <b> </b>.\r\n</P>\r\n</Li>\r\n<li>\r\n<h1> Viewer saturation Tracing Sites </h1>\r\n<p>\r\nViewer Saturation sites <b> searches will find the number of indexed pages </b> of our website in different search engines <b> (google, yahoo, msn etc) </b> and will <b> store them </b> in the system.\r\nIn <b> report viewer saturation sites search </b>, we can see the number of pages indexed <b> per day </b> for each website through detailed reports <b> </b>.\r\n</P>\r\n</Li>\r\n<li>\r\n<h1> Plugins for SEO Panel </h1>\r\n<p>\r\nThe biggest feature <b> </b> control panel SEO is its ability to <b> extension, customization </b>.\r\nAdd <b> Plugins SEO </b> on your SEO <b> Panel to extend the number of benefits </b> according to their needs.\r\n<A href = \\\"<?=SP_PLUGINSITE?>\\\" Target = \\\"_blank\\\"> The Panel Plugins for SEO </a> are offered by the SEO Panel and websites outsourced.\r\nYou can also easily develop <b> </b> SEO plugins for your SEO Panel.\r\nYou can <a href = \\\"<?=SP_PLUGINSITE?>\\\" Target = \\\"_blank\\\"> send </a> your SEO Plugins for SEO Panel and we will publish them <b> </b> on our website after of our processes <b> Review </b>.\r\n</P>\r\n</Li>\r\n<li>\r\n<h1> Generator Meta Tags </h1>\r\n<p>\r\nThe Generator Meta Tags is a Plugin for SEO <b> Panel </b> to create custom meta tags <b> </b> for your site.\r\nIt will help you give more information <b> </b> on your website for search engine robots <b> </b> when they crawl your website.\r\n</P>\r\n</Li>\r\n</Ul>\r\n</Fieldset> ', '2012-05-14 09:53:54'),
(9282, 'pt-br', 'home', 'Account Summary', 'Resumo da Conta', '2012-05-14 09:53:54'),
(9283, 'pt-br', 'home', 'Backlinks', 'Links de Retorno', '2012-05-14 09:53:54'),
(9284, 'pt-br', 'home', 'Directory Submission', 'Envio para Diretórios', '2012-05-14 09:53:54'),
(9285, 'pt-br', 'home', 'home_cont1', '<h1 style=\\\"text-align: center;margin-bottom: 30px;font-size: 19px;\\\">Bem-vindos ao SEO Panel - O primeiro painel de controle do mundo para múltiplos websites</h1> \r\n        <p> \r\n            Um completo <b>painel de controle de SEO open source</b> para gerenciamento de <b>otimização para motores de busca (SEO)</b> dos seus websites.  \r\n            O SEO Panel é uma <b>junção de ferramentas de SEO</b> que inclui as mais recentes ferramentas de SEO para <b>alavancar e monitorar</b> a\r\n<b>performance</b> dos seus websites. \r\n            Este é um software <b>gratuito</b> publicado através da licença <b>GNU GENERAL PUBLIC LICENSE</b>. \r\n            A principal característica do SEO Panel é a sua capacidade de <b>expansão</b> através do uso de <a href=\\\"<?=SP_PLUGINSITE?>\\\"\r\ntarget=\\\"_blank\\\">Plugins de SEO</a>. \r\n            Qualquer pessoa pode facilmente <b>desenvolver e instalar</b> os plugins necessários para o seu SEO Panel.  \r\n        </p> \r\n        <p></p> \r\n        <p> \r\n            Trata-se de um software open source <b>lançado em Janeiro de 2010</b>. \r\n            Neste <b>pequeno período</b> de tempo, <b>milhares</b> de <b>profissionais web</b> passaram a utilizar este software para <b>otimizar</b> os seus websites. \r\n            Passe a utilizar hoje mesmo o SEO Panel em seus projetos e <b>desfrute</b> tudo que está relacionado ao bom SEO em <b>uma única plataforma</b>. \r\n        </p>', '2012-05-14 09:53:54'),
(9286, 'pt-br', 'home', 'home_cont3', '<fieldset> \r\n<legend>SEO Panel - Recursos Online</legend>     \r\n<ul class=\\\"infobox\\\"> \r\n\r\n    <li> \r\n        <h1>Recursos Online do SEO Panel para Referência</h1>                 \r\n         \r\n         \r\n        <p> \r\n            <a href=\\\"http://www.seopanel.in\\\" target=\\\"_blank\\\">Site oficial do SEO Panel</a> \r\n        </p> \r\n        <p> \r\n            <a href=\\\"<?=SP_DOWNLOAD_LINK?>\\\" target=\\\"_blank\\\">Download do SEO Panel</a> \r\n        </p> \r\n         \r\n        <p> \r\n            <a href=\\\"<?=SP_DEMO_LINK?>\\\" target=\\\"_blank\\\">Demonstração do SEO Panel</a> \r\n        </p> \r\n         \r\n        <p> \r\n            <a href=\\\"<?=SP_CONTACT_LINK?>\\\" target=\\\"_blank\\\">Entre em contato com o SEO Panel</a> \r\n        </p> \r\n         \r\n        <p> \r\n            <a href=\\\"<?=SP_HELP_LINK?>\\\" target=\\\"_blank\\\">Guia de Ajuda do SEO Panel</a> \r\n        </p> \r\n         \r\n        <p> \r\n            <a href=\\\"<?=SP_FORUM_LINK?>\\\" target=\\\"_blank\\\">Forum do SEO Panel</a> \r\n        </p> \r\n         \r\n        <p> \r\n            <a href=\\\"<?=SP_SUPPORT_LINK?>\\\" target=\\\"_blank\\\">Sistema de Suporte do SEO Panel</a> \r\n        </p> \r\n         \r\n        <p> \r\n            <a href=\\\"<?=SP_DONATE_LINK?>\\\" target=\\\"_blank\\\">Contribua com o SEO Panel</a> \r\n        </p> \r\n    </li> \r\n     \r\n</ul> \r\n</fieldset>', '2012-05-14 09:53:54'),
(9287, 'pt-br', 'home', 'Indexed', 'Indexado', '2012-05-14 09:53:54'),
(9288, 'pt-br', 'home', 'Pages Indexed', 'Páginas Indexadas', '2012-05-14 09:53:54'),
(9289, 'pt-br', 'home', 'Ranks', 'Ranks', '2012-05-14 09:53:54'),
(9290, 'pt-br', 'home', 'SiteNameUrl', 'Nome do Site/URL', '2012-05-14 09:53:54'),
(9291, 'pt-br', 'home', 'Website Statistics', 'Estatísticas do Website', '2012-05-14 09:53:54'),
(9292, 'it', 'common', 'Hello', 'Ciao', '2022-07-11 11:16:48'),
(9293, 'it', 'directory', 'Coupon Code', 'Codice di sconto', '2012-11-08 19:50:02'),
(9294, 'it', 'directory', 'couponcodenote', 'Utilizza il codice di sconto e ricevi [REDUCTION_PER] di riduzione in offerta per ogni immissione.', '2012-11-08 19:50:02'),
(9295, 'it', 'label', 'Daily', 'Quotidiano', '2022-07-11 11:17:58'),
(9296, 'it', 'label', 'Monthly', 'Mensilmente', '2022-07-11 11:17:58'),
(9297, 'it', 'label', 'Weekly', 'Settimanalmente', '2022-07-11 11:17:58'),
(9298, 'it', 'panel', 'Archived Reports', 'Archivio report', '2022-07-11 11:20:07'),
(9299, 'it', 'panel', 'Report Settings', 'Impostazioni report', '2022-07-11 11:20:07'),
(9300, 'it', 'panel', 'Schedule Reports', 'Report programmati', '2022-07-11 11:20:07'),
(9301, 'it', 'panel', 'Search Engine Manager', 'Gestione di ricerca', '2022-07-11 11:20:07'),
(9302, 'it', 'plugin', 'Download Seo Panel Plugins', 'Scarica il plugin seo', '2012-05-12 10:38:03'),
(9303, 'it', 'report', '2 Days', '2 giorni', '2012-05-12 10:39:27'),
(9304, 'it', 'report', 'Email notification', 'Notifica email', '2012-05-12 10:39:27');
INSERT INTO `texts` (`id`, `lang_code`, `category`, `label`, `content`, `changed`) VALUES
(9305, 'it', 'report', 'keywordnumbercheckedcronnote', 'Nota: Di default il valore 0 significa che tutte le keyword saranno selezionate', '2012-05-12 10:39:27'),
(9306, 'it', 'report', 'Next report generation time', 'Prossima generazione del report', '2012-05-12 10:39:27'),
(9307, 'it', 'report', 'Reports generation interval', 'Intervallo di generazione report', '2012-05-12 10:39:27'),
(9308, 'it', 'report', 'reportsettingssaved', 'Impostazioni report salvate con successo!', '2012-05-12 10:39:27'),
(9309, 'it', 'report', 'sheduledsuccessfully', 'Impostazioni azioni programmate generate con successo!', '2012-05-12 10:39:27'),
(9310, 'it', 'reports', 'report_email_body_text1', 'Il tuo report è stato generato con successo nel pannello seo. Per cortesia verifica il report in allegato. ', '2012-05-12 10:40:32'),
(9311, 'it', 'reports', 'report_email_body_text2', 'Se il report sotto non è chiaro, per cortesia [LOGIN_LINK]  per visualizzare il tuo report direttamente dal tuo account.', '2012-05-12 10:40:32'),
(9312, 'it', 'reports', 'report_email_subject', 'Il tuo report SEO è stato generato con successo', '2012-05-12 10:40:32'),
(9313, 'it', 'searchengine', 'max_results', 'Numero massimo di risultati', '2012-05-12 10:40:51'),
(9314, 'it', 'searchengine', 'no_of_results_page', 'Numero di risultati per pagina', '2012-05-12 10:40:51'),
(9315, 'it', 'settings', 'entersmtpdetails', 'Per cortesia inserisci la configurazione mail SMTP', '2018-08-21 07:16:32'),
(9316, 'it', 'settings', 'getallpluginfree', 'Ricorda che tutti i <b>plugin</b>  sono sviluppati <b>gratuitamente!</b>', '2018-08-21 07:16:32'),
(9317, 'it', 'settings', 'SP_ALLOW_USER_SCHEDULE_REPORT', 'Permetti agli utenti di pianificare i report', '2018-08-21 07:16:32'),
(9318, 'it', 'settings', 'SP_NUMBER_KEYWORDS_CRON', 'Numero di keywords che necessitano di essere selezionate per ogni esecuzione delle azioni programmate', '2018-08-21 07:16:32'),
(9319, 'it', 'settings', 'SP_REPORT_EMAIL_NOTIFICATION', 'Abilita report tramite mail', '2018-08-21 07:16:32'),
(9320, 'it', 'settings', 'SP_SMTP_HOST', 'Host SMTP', '2018-08-21 07:16:32'),
(9321, 'it', 'settings', 'SP_SMTP_MAIL', 'Abilita SMTP', '2018-08-21 07:16:32'),
(9322, 'it', 'settings', 'SP_SMTP_PASSWORD', 'Password SMTP', '2018-08-21 07:16:32'),
(9323, 'it', 'settings', 'SP_SMTP_USERNAME', 'Utente SMTP', '2018-08-21 07:16:32'),
(9324, 'it', 'settings', 'SP_SYSTEM_REPORT_INTERVAL', 'Intervallo di generazione report di sistema', '2018-08-21 07:16:32'),
(9325, 'es', 'common', 'Hello', 'Hola', '2019-05-25 18:49:48'),
(9326, 'es', 'directory', 'Coupon Code', 'Codigo o cupon', '2012-05-31 10:35:43'),
(9327, 'es', 'directory', 'couponcodenote', 'Utilice el código de cupón anterior y obtendrás [REDUCTION_PER] oferta para cada envío destacado!', '2012-05-31 10:35:43'),
(9328, 'es', 'label', 'Daily', 'Diario', '2012-05-12 10:54:10'),
(9329, 'es', 'label', 'Monthly', 'Mensual', '2012-05-12 10:54:10'),
(9330, 'es', 'label', 'Weekly', 'Semanal', '2012-05-12 10:54:10'),
(9331, 'es', 'panel', 'Archived Reports', 'Informes archivados', '2012-05-12 10:55:03'),
(9332, 'es', 'panel', 'Report Settings', 'COnfiguración de informes', '2012-05-12 10:55:03'),
(9333, 'es', 'panel', 'Schedule Reports', 'Programar informes', '2012-05-12 10:55:03'),
(9334, 'es', 'panel', 'Search Engine Manager', 'Configuración de motores de búsqueda', '2012-05-12 10:55:03'),
(9335, 'es', 'plugin', 'Download Seo Panel Plugins', 'Descargar plugins para Seo Panel', '2012-05-12 10:55:24'),
(9336, 'es', 'report', '2 Days', '2 Dias', '2012-05-12 10:57:49'),
(9337, 'es', 'report', 'Email notification', 'Notificación por email', '2012-05-12 10:57:49'),
(9338, 'es', 'report', 'keywordnumbercheckedcronnote', 'Nota: El número 0 predeterminado indica que todas las palabras clave serán comprobadas', '2012-05-12 10:57:49'),
(9339, 'es', 'report', 'Next report generation time', 'Tiempo de creación del siguiente informe', '2012-05-12 10:57:49'),
(9340, 'es', 'report', 'Reports generation interval', 'Intervalo de creación del informe', '2012-05-12 10:57:49'),
(9341, 'es', 'report', 'reportsettingssaved', 'La configuración de los informes se ha guardado correctamente', '2012-05-12 10:57:49'),
(9342, 'es', 'report', 'sheduledsuccessfully', 'La programación de informes se ha realizado con éxito!', '2012-05-12 10:57:49'),
(9343, 'es', 'reports', 'report_email_body_text1', 'Sus informes se hangenerado con éxito en SEO Panel. Por favor, compruebe los informes adjuntos.', '2012-05-12 10:59:28'),
(9344, 'es', 'reports', 'report_email_body_text2', 'Si los informes anteriores no son claros, por favor logueate [LOGIN_LINK] para ver los informes directamente desde tu cuenta.', '2012-05-12 10:59:28'),
(9345, 'es', 'reports', 'report_email_subject', 'Tus informes SEO se han realizado corectamente', '2012-05-12 10:59:28'),
(9346, 'es', 'searchengine', 'max_results', 'Número máximo de resultados', '2012-05-12 10:59:56'),
(9347, 'es', 'searchengine', 'no_of_results_page', 'Número de resultados por página', '2012-05-12 10:59:56'),
(9348, 'es', 'settings', 'entersmtpdetails', 'Por favor, introduce la configuración SMTP para el email', '2012-05-12 11:03:05'),
(9349, 'es', 'settings', 'getallpluginfree', 'También puedes obtener todos los<b> plugins</ b> que desarrollamos<b> Gratis! </ B>', '2012-05-12 11:03:05'),
(9350, 'es', 'settings', 'SP_ALLOW_USER_SCHEDULE_REPORT', 'Permitir a los usuarios programar los informes', '2012-05-12 11:03:05'),
(9351, 'es', 'settings', 'SP_NUMBER_KEYWORDS_CRON', 'Número de palabras clave que se deben comprobar en cada ejecución del comando cron', '2012-05-12 11:03:05'),
(9352, 'es', 'settings', 'SP_REPORT_EMAIL_NOTIFICATION', 'Activar notificación por email de los informes', '2012-05-12 11:03:05'),
(9353, 'es', 'settings', 'SP_SMTP_HOST', 'Host SMTP', '2012-05-12 11:03:05'),
(9354, 'es', 'settings', 'SP_SMTP_MAIL', 'Activar SMTP', '2012-05-12 11:03:05'),
(9355, 'es', 'settings', 'SP_SMTP_PASSWORD', 'CLave SMTP', '2012-05-12 11:03:05'),
(9356, 'es', 'settings', 'SP_SMTP_USERNAME', 'Usuario SMTP', '2012-05-12 11:03:05'),
(9357, 'es', 'settings', 'SP_SYSTEM_REPORT_INTERVAL', 'Intervalo de creación de los informes', '2012-05-12 11:03:05'),
(9358, 'sl', 'common', 'Hello', 'Pozdravljeni', '2019-05-25 18:48:22'),
(9359, 'sl', 'directory', 'Coupon Code', 'Promocijska koda', '2012-05-12 17:57:22'),
(9360, 'sl', 'directory', 'couponcodenote', 'Uporabite zgornjo promocijsko kodo za [REDUCTION_PER] ponudbo za vsak vnos.', '2012-05-12 17:57:22'),
(9361, 'sl', 'label', 'Daily', 'Dnevno', '2012-05-12 17:57:43'),
(9362, 'sl', 'label', 'Monthly', 'Mesečno', '2012-05-12 17:57:43'),
(9363, 'sl', 'label', 'Weekly', 'Tedensko', '2012-05-12 17:57:43'),
(9364, 'sl', 'panel', 'Archived Reports', 'arhivirana poročila', '2012-05-12 17:58:34'),
(9365, 'sl', 'panel', 'Report Settings', 'Nastavitve poročanja', '2012-05-12 17:58:34'),
(9366, 'sl', 'panel', 'Schedule Reports', 'Tempiranje poročil', '2012-05-12 17:58:34'),
(9367, 'sl', 'panel', 'Search Engine Manager', 'Upravitelj iskalnikov', '2012-05-12 17:58:34'),
(9368, 'sl', 'plugin', 'Download Seo Panel Plugins', 'Naložite dodatke za Seo Panel', '2012-05-12 17:59:12'),
(9369, 'sl', 'report', '2 Days', '2 dni', '2012-05-12 18:02:22'),
(9370, 'sl', 'report', 'Email notification', 'Obvestilo po e-pošti', '2012-05-12 18:02:22'),
(9371, 'sl', 'report', 'keywordnumbercheckedcronnote', 'Pozor: 0 pomeni preverjanje vseh ključnih besed', '2012-05-12 18:02:22'),
(9372, 'sl', 'report', 'Next report generation time', 'Naslednji čas izdelave poročil', '2012-05-12 18:02:22'),
(9373, 'sl', 'report', 'Reports generation interval', 'Interval za generiranje poročil', '2012-05-12 18:02:22'),
(9374, 'sl', 'report', 'reportsettingssaved', 'Nastavitve za poročanje so uspešno shranjene!', '2012-05-12 18:02:22'),
(9375, 'sl', 'report', 'sheduledsuccessfully', 'Tempirana izdelava poročil je uspela!', '2012-05-12 18:02:22'),
(9376, 'sl', 'reports', 'report_email_body_text1', 'Vaša poročila so bila uspešno izdelana v Seo panelu. Prosim preverite priložena poročila.', '2012-05-12 18:05:20'),
(9377, 'sl', 'reports', 'report_email_body_text2', 'Če vsebina poročil ni dovolj jasna, prosim [LOGIN_LINK] in preverite poročila z vašim računom', '2012-05-12 18:05:20'),
(9378, 'sl', 'reports', 'report_email_subject', 'Vaša SEO poročila so bila uspešno izdelana.', '2012-05-12 18:05:20'),
(9379, 'sl', 'searchengine', 'max_results', 'Maksimalno število rezultatov', '2012-05-12 18:05:45'),
(9380, 'sl', 'searchengine', 'no_of_results_page', 'Število rezultatov na stran', '2012-05-12 18:05:45'),
(9381, 'sl', 'settings', 'entersmtpdetails', 'Prosim vnesite SMTP nastavitve', '2012-05-12 18:09:34'),
(9382, 'sl', 'settings', 'getallpluginfree', 'Zagotovite si <b>brezplačno</b> vse <b>dodatke</b>, ki jih razvijamo.', '2012-05-12 18:09:34'),
(9383, 'sl', 'settings', 'SP_ALLOW_USER_SCHEDULE_REPORT', 'Dovoli uporabnikom tempiranje poročil', '2012-05-12 18:09:34'),
(9384, 'sl', 'settings', 'SP_NUMBER_KEYWORDS_CRON', 'Število ključnih besed ki morajo biti preverjene ob vsakem cron zagonu.', '2012-05-12 18:09:34'),
(9385, 'sl', 'settings', 'SP_REPORT_EMAIL_NOTIFICATION', 'Omogoči poročila po e-pošti', '2012-05-12 18:09:34'),
(9386, 'sl', 'settings', 'SP_SMTP_HOST', 'SMTP Host', '2012-05-12 18:09:34'),
(9387, 'sl', 'settings', 'SP_SMTP_MAIL', 'omogoči SMTP', '2012-05-12 18:09:34'),
(9388, 'sl', 'settings', 'SP_SMTP_PASSWORD', 'SMTP Geslo', '2012-05-12 18:09:34'),
(9389, 'sl', 'settings', 'SP_SMTP_USERNAME', 'SMTP Uporabniško ime', '2012-05-12 18:09:34'),
(9390, 'sl', 'settings', 'SP_SYSTEM_REPORT_INTERVAL', 'sistemski interval za generiranje poročil', '2012-05-12 18:09:34'),
(9391, 'fa', 'common', 'Hello', 'سلام', '2018-01-24 08:39:35'),
(9392, 'fa', 'directory', 'Coupon Code', 'کد کوپن', '2012-05-12 21:11:24'),
(9393, 'fa', 'directory', 'couponcodenote', 'با استفاده از کد زیر در هر یک  از دفعات بعدی از submission تخفیف استفاده کنید', '2012-05-12 21:11:24'),
(9394, 'fa', 'label', 'Daily', 'روزانه', '2012-05-12 21:14:56'),
(9395, 'fa', 'label', 'Monthly', 'ماهانه', '2012-05-12 21:14:56'),
(9396, 'fa', 'label', 'Weekly', 'هفتگی', '2012-05-12 21:14:56'),
(9397, 'ru', 'common', 'Hello', 'Привет', '2024-07-17 11:16:33'),
(9398, 'ru', 'directory', 'Coupon Code', 'Код купона', '2012-11-09 06:03:15'),
(9399, 'ru', 'directory', 'couponcodenote', 'Используйте купон и получите [REDUCTION_PER], предложение для каждого популярного плагина!', '2012-11-09 06:03:15'),
(9400, 'ru', 'label', 'Daily', 'Ежедневно', '2024-07-17 11:17:22'),
(9401, 'ru', 'label', 'Monthly', 'Ежемесячно', '2024-07-17 11:17:22'),
(9402, 'ru', 'label', 'Weekly', 'Еженедельно', '2024-07-17 11:17:22'),
(9403, 'ru', 'panel', 'Archived Reports', 'Архив отчетов', '2024-07-17 11:19:14'),
(9404, 'ru', 'panel', 'Report Settings', 'Настройки отчетов', '2024-07-17 11:19:14'),
(9405, 'ru', 'panel', 'Schedule Reports', 'Расписание отчетов', '2024-07-17 11:19:14'),
(9406, 'ru', 'panel', 'Search Engine Manager', 'Редактор поисковых систем', '2024-07-17 11:19:14'),
(9407, 'ru', 'plugin', 'Download Seo Panel Plugins', 'Скачать плагины Seo Panel', '2012-05-13 03:10:56'),
(9408, 'ru', 'report', '2 Days', 'За 2 дня', '2012-05-13 03:14:32'),
(9409, 'ru', 'report', 'Email notification', 'Оповещение на Email', '2012-05-13 03:14:32'),
(9410, 'ru', 'report', 'keywordnumbercheckedcronnote', 'Примечание: по умолчанию 0, означает все ключевые слова должны быть проверены', '2012-05-13 03:14:32'),
(9411, 'ru', 'report', 'Next report generation time', 'В следующий раз генерировать отчеты', '2012-05-13 03:14:32'),
(9412, 'ru', 'report', 'Reports generation interval', 'Интервал генерации отчетов', '2012-05-13 03:14:32'),
(9413, 'ru', 'report', 'reportsettingssaved', 'Параметры отчетов успешно сохранены!', '2012-05-13 03:14:32'),
(9414, 'ru', 'report', 'sheduledsuccessfully', 'Запланированные отчеты успешно сгенерированы!', '2012-05-13 03:14:32'),
(9415, 'ru', 'reports', 'report_email_body_text1', 'Отчеты Seo Panel успешно созданы. Пожалуйста, ознакомьтесь с прилагаемыми отчетами. Запланированные отчеты успешно сгенерированы!', '2019-08-28 09:07:50'),
(9416, 'ru', 'reports', 'report_email_body_text2', 'Если отчеты не созданы, пожалуйста [LOGIN LINK] для просмотра из вашего вашего аккаунта.', '2019-08-28 09:07:50'),
(9417, 'ru', 'reports', 'report_email_subject', 'Ваш SEO отчеты успешно созданы', '2019-08-28 09:07:50'),
(9418, 'ru', 'searchengine', 'max_results', 'Максимальное количество результатов', '2012-05-13 03:35:44'),
(9419, 'ru', 'searchengine', 'no_of_results_page', 'Количество результатов на странице', '2012-05-13 03:35:44'),
(9420, 'ru', 'settings', 'entersmtpdetails', 'Введите конфигурацию SMTP', '2024-07-17 11:22:42'),
(9421, 'ru', 'settings', 'getallpluginfree', 'Также вы получите все <b> плагины </ B> которые мы разрабатываем <b> бесплатно! </ B>', '2024-07-17 11:22:42'),
(9422, 'ru', 'settings', 'SP_ALLOW_USER_SCHEDULE_REPORT', 'Разрешить пользователям запланировать отчеты', '2024-07-17 11:22:42'),
(9423, 'ru', 'settings', 'SP_NUMBER_KEYWORDS_CRON', 'Количество ключевых слов необходимо проверить при каждом выполнении Cron', '2024-07-17 11:22:42'),
(9424, 'ru', 'settings', 'SP_REPORT_EMAIL_NOTIFICATION', 'Включить отправку отчетов на email', '2024-07-17 11:22:42'),
(9425, 'ru', 'settings', 'SP_SMTP_HOST', 'SMTP хост', '2024-07-17 11:22:42'),
(9426, 'ru', 'settings', 'SP_SMTP_MAIL', 'Включить SMTP', '2024-07-17 11:22:42'),
(9427, 'ru', 'settings', 'SP_SMTP_PASSWORD', 'Пароль SMTP', '2024-07-17 11:22:42'),
(9428, 'ru', 'settings', 'SP_SMTP_USERNAME', 'Пользователь SMTP', '2024-07-17 11:22:42'),
(9429, 'ru', 'settings', 'SP_SYSTEM_REPORT_INTERVAL', 'Интервал генерации системных отчетов', '2024-07-17 11:22:42'),
(9430, 'de', 'common', 'Hello', 'Hallo', '2021-06-14 21:46:19'),
(9431, 'de', 'directory', 'Coupon Code', 'Gutschein-Code', '2021-06-14 21:41:51'),
(9432, 'de', 'directory', 'couponcodenote', 'Mit diesem Gutschein erhalten Sie [REDUCTION_PER] auf Premium Eintragungen!', '2021-06-14 21:41:51'),
(9433, 'de', 'label', 'Daily', 'täglich', '2021-01-06 10:13:08'),
(9434, 'de', 'label', 'Monthly', 'monatlich', '2021-01-06 10:13:08'),
(9435, 'de', 'label', 'Weekly', 'wöchentlich', '2021-01-06 10:13:08'),
(9436, 'de', 'panel', 'Archived Reports', 'Archivierte Berichte', '2023-01-03 14:44:32'),
(9437, 'de', 'panel', 'Report Settings', 'Berichte Einstellungen', '2023-01-03 14:44:32'),
(9438, 'de', 'panel', 'Schedule Reports', 'Berichte zeitlich voreinstellen', '2023-01-03 14:44:32'),
(9439, 'de', 'panel', 'Search Engine Manager', 'Suchmaschinen-Verwaltung', '2023-01-03 14:44:32'),
(9440, 'de', 'plugin', 'Download Seo Panel Plugins', 'SEO Panel Plugins herunterladen', '2012-05-13 20:53:14'),
(9441, 'de', 'report', '2 Days', '2 Tage', '2012-05-13 20:55:46'),
(9442, 'de', 'report', 'Email notification', 'Email Benachrichtigung', '2012-05-13 20:55:50'),
(9443, 'de', 'report', 'keywordnumbercheckedcronnote', 'Notiz: Standard 0 bedeutet, dass alle Keywords überprüft werden sollen.', '2012-05-13 20:55:50'),
(9444, 'de', 'report', 'Next report generation time', 'Nächster Zeitpunkt zur Generierung von Berichten', '2012-05-13 20:55:51'),
(9445, 'de', 'report', 'Reports generation interval', 'Intervall zwischen Generierung von Berichten', '2012-05-13 20:55:52'),
(9446, 'de', 'report', 'reportsettingssaved', 'Bericht-Einstellungen erfolgreich gespeichert!', '2012-05-13 20:55:53'),
(9447, 'de', 'report', 'sheduledsuccessfully', 'Zeitlich voreingestellter Bericht wurde erfolgreich erstellt!', '2012-05-13 20:55:54'),
(9448, 'de', 'reports', 'report_email_body_text1', 'Berichte wurden im SEOPanel erfolgreich erstellt. Bitte Anhang überprüfen.', '2021-01-06 10:23:32'),
(9449, 'de', 'reports', 'report_email_body_text2', 'Falls die angehängten Berichte nicht funktionieren, bitte im SEOPanel einloggen: [LOGIN_LINK] ', '2021-01-06 10:23:32'),
(9450, 'de', 'reports', 'report_email_subject', 'SEO Berichte wurden erfolgreich generiert.', '2021-01-06 10:23:32'),
(9451, 'de', 'searchengine', 'max_results', 'Maxmimale Anzahl Ergebnisse', '2012-05-13 21:01:23'),
(9452, 'de', 'searchengine', 'no_of_results_page', 'Anzahl Ergebnisse pro Seite', '2012-05-13 21:01:24'),
(9453, 'de', 'settings', 'entersmtpdetails', 'Bitte Email-Einstellungen angeben (SMTP)', '2021-01-08 08:28:43'),
(9454, 'de', 'settings', 'getallpluginfree', 'Erhalte ausserdem alle <b>Plugins</b> die wir entwickeln <b>Gratis!</b>', '2021-01-08 08:28:43'),
(9455, 'de', 'settings', 'SP_ALLOW_USER_SCHEDULE_REPORT', 'Benutzern erlauben Berichte zeitlich voreinzustellen', '2021-01-08 08:28:43'),
(9456, 'de', 'settings', 'SP_NUMBER_KEYWORDS_CRON', 'Anzahl der Keywords, welche pro Cron-job überprüft werden sollen.', '2021-01-08 08:28:43'),
(9457, 'de', 'settings', 'SP_REPORT_EMAIL_NOTIFICATION', 'Email-Benachrichtigung für Berichte erlauben', '2021-01-08 08:28:43'),
(9458, 'de', 'settings', 'SP_SMTP_HOST', 'SMTP Host', '2021-01-08 08:28:43'),
(9459, 'de', 'settings', 'SP_SMTP_MAIL', 'SMTP aktivieren', '2021-01-08 08:28:43'),
(9460, 'de', 'settings', 'SP_SMTP_PASSWORD', 'SMTP Passwort', '2021-01-08 08:28:43'),
(9461, 'de', 'settings', 'SP_SMTP_USERNAME', 'SMTP Benutzername', '2021-01-08 08:28:43'),
(9462, 'de', 'settings', 'SP_SYSTEM_REPORT_INTERVAL', 'Intervall zwischen Generierungen von System-Berichten', '2021-01-08 08:28:43'),
(9463, 'fr', 'common', 'Hello', 'Bonjour', '2020-02-14 11:05:11'),
(9464, 'fr', 'directory', 'Coupon Code', 'Code de réduction', '2012-11-10 20:37:55'),
(9465, 'fr', 'directory', 'couponcodenote', 'Utilisez le code de réduction ci-dessus et gagnez [REDUCTION_PER] sur chaque envoi !', '2012-11-10 20:37:55'),
(9466, 'fr', 'label', 'Daily', 'Quotidien', '2020-02-14 11:12:40'),
(9467, 'fr', 'label', 'Monthly', 'Mensuel', '2020-02-14 11:12:40'),
(9468, 'fr', 'label', 'Weekly', 'Hebdomadaire', '2020-02-14 11:12:40'),
(9469, 'fr', 'panel', 'Archived Reports', 'Rapports archivés', '2020-02-14 11:14:52'),
(9470, 'fr', 'panel', 'Report Settings', 'Paramètres des rapports', '2020-02-14 11:14:52'),
(9471, 'fr', 'panel', 'Schedule Reports', 'Rapports planifiés', '2020-02-14 11:14:52'),
(9472, 'fr', 'panel', 'Search Engine Manager', 'Gestion des moteurs de recherche', '2020-02-14 11:14:52'),
(9473, 'fr', 'plugin', 'Download Seo Panel Plugins', 'Télécharger des modules Seo Panel', '2018-01-22 23:02:55'),
(9474, 'fr', 'report', '2 Days', '2 jours', '2018-01-22 22:35:42'),
(9475, 'fr', 'report', 'Email notification', 'Notification par mail', '2018-01-22 22:35:42'),
(9476, 'fr', 'report', 'keywordnumbercheckedcronnote', 'Note: La valeur 0 par défaut indique que tous les mots clés doivent être vérifiés', '2018-01-22 22:35:42'),
(9477, 'fr', 'report', 'Next report generation time', 'Date du prochain rapport', '2018-01-22 22:35:42'),
(9478, 'fr', 'report', 'Reports generation interval', 'Période de génération des rapports', '2018-01-22 22:35:42'),
(9479, 'fr', 'report', 'reportsettingssaved', 'Les paramètres des rapports ont bien été pris en compte !', '2018-01-22 22:35:42'),
(9480, 'fr', 'report', 'sheduledsuccessfully', 'La génération du rapport planifié s\'est bien déroulée !', '2018-01-22 22:35:42'),
(9481, 'fr', 'reports', 'report_email_body_text1', 'Vos rapports Seo Panel ont bien été générés, et sont en pièces jointes.', '2012-05-14 11:50:36'),
(9482, 'fr', 'reports', 'report_email_body_text2', 'Si les rapports ci-dessus ne sont pas lisibles, utilisez ce lien pour vous connecter et voir les rapports en ligne directement depuis votre compte : [LOGIN_LINK]', '2012-05-14 11:50:36'),
(9483, 'fr', 'reports', 'report_email_subject', 'Vos rapports Seo Panel ont bien été générés.', '2012-05-14 11:50:36'),
(9484, 'fr', 'searchengine', 'max_results', 'Nombre maximum de résultats', '2012-05-14 11:51:14'),
(9485, 'fr', 'searchengine', 'no_of_results_page', 'Nombre de résultats par page', '2012-05-14 11:51:14'),
(9486, 'fr', 'settings', 'entersmtpdetails', 'Veuillez spécifier la configuration SMTP', '2019-03-28 14:39:30'),
(9487, 'fr', 'settings', 'getallpluginfree', 'Obtenez <b>gratuitement</b> tous les <b>plugins</b> que nous développons !', '2019-03-28 14:39:30'),
(9488, 'fr', 'settings', 'SP_ALLOW_USER_SCHEDULE_REPORT', 'Autoriser les utilisateurs à planifier leurs rapports', '2019-03-28 14:39:30'),
(9489, 'fr', 'settings', 'SP_NUMBER_KEYWORDS_CRON', 'Nombre de mots clés à vérifier à chaque execution périodique', '2019-03-28 14:39:30'),
(9490, 'fr', 'settings', 'SP_REPORT_EMAIL_NOTIFICATION', 'Activer les notifications de rapports par mail', '2019-03-28 14:39:30'),
(9491, 'fr', 'settings', 'SP_SMTP_HOST', 'Serveur SMTP', '2019-03-28 14:39:30'),
(9492, 'fr', 'settings', 'SP_SMTP_MAIL', 'Activer SMTP', '2019-03-28 14:39:30'),
(9493, 'fr', 'settings', 'SP_SMTP_PASSWORD', 'Mot de passe SMTP', '2019-03-28 14:39:30'),
(9494, 'fr', 'settings', 'SP_SMTP_USERNAME', 'Utilisateur SMTP', '2019-03-28 14:39:30'),
(9495, 'fr', 'settings', 'SP_SYSTEM_REPORT_INTERVAL', 'Période de génération des rapports', '2019-03-28 14:39:30'),
(9496, 'ja', 'common', 'Hello', 'こんにちは', '2019-05-25 18:40:02'),
(9497, 'ja', 'directory', 'Coupon Code', 'クーポンコード', '2012-11-09 04:20:41'),
(9498, 'ja', 'directory', 'couponcodenote', '上記クーポンコードを使用して、特集中の各サブミッションへの[REDUCTION_PER]オファーを手に入れましょう！', '2012-11-09 04:20:41'),
(9499, 'ja', 'directory', 'Reciprocal Link', '相互リンク', '2012-11-09 04:20:41'),
(9500, 'ja', 'label', 'Daily', 'デイリー', '2019-04-01 09:45:51'),
(9501, 'ja', 'label', 'Monthly', 'マンスリー', '2019-04-01 09:45:51'),
(9502, 'ja', 'label', 'Weekly', 'ウィークリー', '2019-04-01 09:45:51'),
(9503, 'ja', 'panel', 'Archived Reports', 'アーカイブ済レポート', '2019-04-01 09:46:57'),
(9504, 'ja', 'panel', 'Report Settings', 'レポート設定', '2019-04-01 09:46:57'),
(9505, 'ja', 'panel', 'Schedule Reports', 'スケジュールレポート', '2019-04-01 09:46:57'),
(9506, 'ja', 'panel', 'Search Engine Manager', '検索エンジンマネージャー', '2019-04-01 09:46:57'),
(9507, 'ja', 'plugin', 'Download Seo Panel Plugins', 'Seo Panelプラグインをダウンロード', '2012-05-14 13:00:09'),
(9508, 'ja', 'report', '2 Days', '2日間', '2012-05-14 13:03:25'),
(9509, 'ja', 'report', 'Email notification', 'Eメール通知', '2012-05-14 13:03:25'),
(9510, 'ja', 'report', 'keywordnumbercheckedcronnote', '注意：デフォルトの「0」は、すべてのキーワードがチェックされます。', '2012-05-14 13:03:25'),
(9511, 'ja', 'report', 'Next report generation time', '次回レポート生成時間', '2012-05-14 13:03:25'),
(9512, 'ja', 'report', 'Reports generation interval', 'レポート生成間隔', '2012-05-14 13:03:25'),
(9513, 'ja', 'report', 'reportsettingssaved', 'レポート設定が正常に保存されました！', '2012-05-14 13:03:25'),
(9514, 'ja', 'report', 'sheduledsuccessfully', 'レポート生成が正常にスケジュールされました！', '2012-05-14 13:03:25'),
(9515, 'ja', 'reports', 'report_email_body_text1', 'レポートがseo panel内に生成されました。添付のレポートを確認してください。', '2012-05-14 13:06:46'),
(9516, 'ja', 'reports', 'report_email_body_text2', '上記のレポートが鮮明でない場合は、[LOGIN_LINK]して自身のアカウントから直接レポートを閲覧してください。', '2012-05-14 13:06:46'),
(9517, 'ja', 'reports', 'report_email_subject', 'SEOレポートが正常に生成されました', '2012-05-14 13:06:46'),
(9518, 'ja', 'searchengine', 'max_results', '最大結果数', '2012-05-14 13:08:29'),
(9519, 'ja', 'searchengine', 'no_of_results_page', 'ページ毎の結果数', '2012-05-14 13:08:29'),
(9520, 'ja', 'settings', 'entersmtpdetails', 'SMTPメール設定を入力してください。', '2019-04-01 09:52:17'),
(9521, 'ja', 'settings', 'getallpluginfree', '<b>無料!</b>で開発している<b>プラグイン</b>もすべて入手。', '2019-04-01 09:52:17'),
(9522, 'ja', 'settings', 'SP_ALLOW_USER_SCHEDULE_REPORT', 'ユーザがレポートをスケジュールすることを許可', '2019-04-01 09:52:17'),
(9523, 'ja', 'settings', 'SP_API_KEY', 'Seo Panel API キー', '2019-04-01 09:52:17'),
(9524, 'ja', 'settings', 'SP_NUMBER_KEYWORDS_CRON', '各cron実行において、キーワードの数はチェックする必要があります。', '2019-04-01 09:52:17'),
(9525, 'ja', 'settings', 'SP_REPORT_EMAIL_NOTIFICATION', 'レポートEメール通知を有効にする', '2019-04-01 09:52:17'),
(9526, 'ja', 'settings', 'SP_SMTP_HOST', 'SMTPホスト', '2019-04-01 09:52:17'),
(9527, 'ja', 'settings', 'SP_SMTP_MAIL', 'SMTPを有効にする', '2019-04-01 09:52:17'),
(9528, 'ja', 'settings', 'SP_SMTP_PASSWORD', 'SMTPパスワード', '2019-04-01 09:52:17'),
(9529, 'ja', 'settings', 'SP_SMTP_USERNAME', 'SMTPユーザ名', '2019-04-01 09:52:17'),
(9530, 'ja', 'settings', 'SP_SYSTEM_REPORT_INTERVAL', 'システムレポート生成間隔', '2019-04-01 09:52:17'),
(9531, 'fa', 'panel', 'Archived Reports', 'گزارش های بایگانی شده', '2012-05-16 19:23:21'),
(9532, 'fa', 'panel', 'Report Settings', 'تنظیمات گزارش', '2012-05-16 19:23:21'),
(9533, 'fa', 'panel', 'Schedule Reports', 'گزارش های برنامه زمانبندی', '2012-05-16 19:23:21'),
(9534, 'fa', 'panel', 'Search Engine Manager', 'مدیریت موتورهای جستجو', '2012-05-16 19:23:21'),
(9535, 'fa', 'report', '2 Days', '2 روزه', '2012-05-16 19:27:00'),
(9536, 'fa', 'report', 'Email notification', 'هشدار از طریق ایمیل', '2012-05-16 19:27:00'),
(9537, 'fa', 'report', 'keywordnumbercheckedcronnote', 'توجه : حالت پیش فرض 0 یعنی همه کلمات چک شود', '2012-05-16 19:27:00'),
(9538, 'fa', 'report', 'Next report generation time', 'زمان ایجاد گزارش بعدی', '2012-05-16 19:27:00'),
(9539, 'fa', 'report', 'Reports generation interval', 'فاصله زمانی ساخت گزارش ها', '2012-05-16 19:27:00'),
(9540, 'fa', 'report', 'reportsettingssaved', 'تنظیمات گزارش با موفقیت ذخیره شد', '2012-05-16 19:27:00'),
(9541, 'fa', 'report', 'sheduledsuccessfully', 'ایجاد گزارش زمان بندی شده با موفقیت انجام شد', '2012-05-16 19:27:00'),
(9542, 'fa', 'reports', 'report_email_body_text1', 'گزارش های شما با موفقیت در سئوپنل ایجاد شد. لطفا گزارش های ضمیمه شده را مشاهده نمایید', '2012-05-16 19:30:57'),
(9543, 'fa', 'reports', 'report_email_body_text2', 'اگر گزارش های زیر شفاف نیست، از طریق لینک [LOGIN_LINK] می توانید گزارش ها را مستقیم در پنل کاربری خود مشاهده کنید', '2012-05-16 19:30:57'),
(9544, 'fa', 'reports', 'report_email_subject', 'گزارش های سئو شما با موفقیت ایجاد شد', '2012-05-16 19:30:58'),
(9545, 'fa', 'searchengine', 'max_results', 'بیشترین تعداد نتایج', '2012-05-16 19:33:11'),
(9546, 'fa', 'searchengine', 'no_of_results_page', 'تعداد نتیجه در هر صفحه', '2012-05-16 19:33:12'),
(9547, 'fa', 'settings', 'entersmtpdetails', 'لطفا تنظیمات SMTP ایمیل را وارد نمایید', '2012-05-16 20:03:34'),
(9548, 'fa', 'settings', 'SP_ALLOW_USER_SCHEDULE_REPORT', 'اجازه به کاربران برای گزارش های زمان بندی شده', '2012-05-16 20:03:34'),
(9549, 'fa', 'settings', 'SP_NUMBER_KEYWORDS_CRON', 'تعداد کلمات مورد نیاز که باید در هر اجرا چک شود', '2012-05-16 20:03:34'),
(9550, 'fa', 'settings', 'SP_REPORT_EMAIL_NOTIFICATION', 'فعال کردن آگاه شدن از طریق ایمیل', '2012-05-16 20:03:34'),
(9551, 'fa', 'settings', 'SP_SMTP_HOST', 'میزبان SMTP', '2012-05-16 20:03:34'),
(9552, 'fa', 'settings', 'SP_SMTP_MAIL', 'پذیرفتن SMTP', '2012-05-16 20:03:34'),
(9553, 'fa', 'settings', 'SP_SMTP_PASSWORD', 'گذرواژه SMTP', '2012-05-16 20:03:34'),
(9554, 'fa', 'settings', 'SP_SMTP_USERNAME', 'نام کاربری SMTP', '2012-05-16 20:03:34'),
(9555, 'fa', 'settings', 'SP_SYSTEM_REPORT_INTERVAL', 'فاصله زمانی ایجاد گزارش سیستم', '2012-05-16 20:03:34'),
(9556, 'ro', 'common', 'Hello', 'Buna ziua', '2019-05-25 18:44:58'),
(9557, 'ro', 'directory', 'Coupon Code', 'Cod Cupon', '2012-05-18 20:52:34'),
(9558, 'ro', 'directory', 'couponcodenote', 'Folositi codul cuponului de mai sus si luati [REDUCTION_PER] oferit pentru fiecare serviciu trimis ', '2012-05-18 20:52:34'),
(9559, 'ro', 'label', 'Daily', 'Zilnic', '2012-05-18 21:00:22'),
(9560, 'ro', 'label', 'Monthly', 'Lunar', '2012-05-18 21:00:22'),
(9561, 'ro', 'label', 'Weekly', 'Saptamanal', '2012-05-18 21:00:22'),
(9562, 'ro', 'panel', 'Archived Reports', 'Rapoarte arhivate', '2012-05-18 21:04:43'),
(9563, 'ro', 'panel', 'Report Settings', 'Setari Rapoarte', '2012-05-18 21:04:43'),
(9564, 'ro', 'panel', 'Schedule Reports', 'Rapoarte Planificate', '2012-05-18 21:04:43'),
(9565, 'ro', 'panel', 'Search Engine Manager', 'Manager Motor de Cautare', '2012-05-18 21:04:43'),
(9566, 'ro', 'plugin', 'Download Seo Panel Plugins', 'Download Plugin-uri Seo Panel', '2012-05-18 21:05:13'),
(9567, 'ro', 'report', '2 Days', '2 Zile', '2012-05-18 21:08:14'),
(9568, 'ro', 'report', 'Email notification', 'Notificare Email', '2012-05-18 21:08:14'),
(9569, 'ro', 'report', 'keywordnumbercheckedcronnote', 'Nota: Default 0 inseamna toate cuvintele trebuiesc verificate', '2012-05-18 21:08:14'),
(9570, 'ro', 'report', 'Next report generation time', 'Timp generare urmatorul raport', '2012-05-18 21:08:14'),
(9571, 'ro', 'report', 'Reports generation interval', 'Interval generare rapoarte', '2012-05-18 21:08:14'),
(9572, 'ro', 'report', 'reportsettingssaved', 'Setari raport salvate cu succes!', '2012-05-18 21:08:14'),
(9573, 'ro', 'report', 'sheduledsuccessfully', 'Raport planificat generat cu succes!', '2012-05-18 21:08:14'),
(9574, 'ro', 'reports', 'report_email_body_text1', 'Rapoartele dvs. generate cu succes in Panoul Seo. Va rugam verificati rapoartele din atash.', '2012-05-18 21:10:47'),
(9575, 'ro', 'reports', 'report_email_body_text2', 'Daca rapoartele de mai sus nu sunt clare, Va rugam [LOGIN_LINK] pentru a vedea rapoartele direct din contul dvs.', '2012-05-18 21:10:47'),
(9576, 'ro', 'reports', 'report_email_subject', 'Rapoartele dvs. Seo generate cu succes', '2012-05-18 21:10:47'),
(9577, 'ro', 'searchengine', 'max_results', 'Numar maxim de rezultate', '2012-05-18 21:11:22'),
(9578, 'ro', 'searchengine', 'no_of_results_page', 'Numar de rezultate pe pagina', '2012-05-18 21:11:22'),
(9579, 'ro', 'settings', 'entersmtpdetails', 'Va rugam introduceti configurariel SMTP de email', '2012-05-18 21:16:44'),
(9580, 'ro', 'settings', 'getallpluginfree', 'Deasemenea luati toate <b>plugin-urile</b> pe care le dezvoltam <b>Gratis!</b>', '2012-05-18 21:16:44'),
(9581, 'ro', 'settings', 'SP_ALLOW_USER_SCHEDULE_REPORT', 'Permite utilizatorilor sa planifice rapoarte', '2012-05-18 21:16:44'),
(9582, 'ro', 'settings', 'SP_NUMBER_KEYWORDS_CRON', 'Numar de cuvinte cheie trebuie sa fie verificat in fiecare executie cron', '2012-05-18 21:16:44'),
(9583, 'ro', 'settings', 'SP_REPORT_EMAIL_NOTIFICATION', 'Activeaza notificare raport pe mail', '2012-05-18 21:16:44'),
(9584, 'ro', 'settings', 'SP_SMTP_HOST', 'SMTP Host', '2012-05-18 21:16:44'),
(9585, 'ro', 'settings', 'SP_SMTP_MAIL', 'Activeaza SMTP', '2012-05-18 21:16:44'),
(9586, 'ro', 'settings', 'SP_SMTP_PASSWORD', 'Parola SMTP', '2012-05-18 21:16:44'),
(9587, 'ro', 'settings', 'SP_SMTP_USERNAME', 'Utilizator SMTP', '2012-05-18 21:16:44'),
(9588, 'ro', 'settings', 'SP_SYSTEM_REPORT_INTERVAL', 'Interval generare raport system', '2012-05-18 21:16:44'),
(9589, 'nl', 'common', 'Hello', 'Hallo', '2019-05-25 18:06:08'),
(9590, 'nl', 'directory', 'Coupon Code', 'Coupon code', '2014-01-07 21:36:56'),
(9591, 'nl', 'directory', 'couponcodenote', 'Gebruik de bovenstaande coupon en krijg [REDUCTION_PER] korting voor elke succesvolle inschrijving!', '2014-01-07 21:36:56'),
(9592, 'nl', 'directory', 'Reciprocal Link', 'Reciprocal Link', '2014-01-07 21:36:56'),
(9593, 'nl', 'label', 'Daily', 'Dagelijks', '2014-01-07 21:37:43'),
(9594, 'nl', 'label', 'Monthly', 'Maandelijks', '2014-01-07 21:37:43'),
(9595, 'nl', 'label', 'Weekly', 'Wekelijks', '2014-01-07 21:37:43'),
(9596, 'nl', 'panel', 'Archived Reports', 'Gearchiveerde rapporten', '2014-01-07 21:46:33'),
(9597, 'nl', 'panel', 'Report Settings', 'Rapport instellingen', '2014-01-07 21:46:33'),
(9598, 'nl', 'panel', 'Schedule Reports', 'Rapporten plannen', '2014-01-07 21:46:33'),
(9599, 'nl', 'panel', 'Search Engine Manager', 'Search Engine Manager', '2014-01-07 21:46:33'),
(9600, 'nl', 'plugin', 'Download Seo Panel Plugins', 'Download Seo Panel Plugins', '2012-05-19 08:28:08'),
(9601, 'nl', 'report', '2 Days', '2 Dagen', '2012-05-19 08:41:13'),
(9602, 'nl', 'report', 'Email notification', 'E-mail waarschuwingen', '2012-05-19 08:41:13'),
(9603, 'nl', 'report', 'keywordnumbercheckedcronnote', 'Opmerking: Standaard 0 wilt zeggen dat alle keywords gecontroleerd moeten worden', '2012-05-19 08:41:13'),
(9604, 'nl', 'report', 'Next report generation time', 'Generatie van het volgende rapport', '2012-05-19 08:41:13'),
(9605, 'nl', 'report', 'Reports generation interval', 'Rapport generatie interval', '2012-05-19 08:41:13'),
(9606, 'nl', 'report', 'reportsettingssaved', 'Rapport instellingen succesvol opgeslagen!', '2012-05-19 08:41:13'),
(9607, 'nl', 'report', 'sheduledsuccessfully', 'Geplande rapport generatie succesvol!', '2012-05-19 08:41:13'),
(9608, 'nl', 'reports', 'report_email_body_text1', 'Uw rapporten werden succesvol gegenereerd in seo panel. Gelieve de rapporten in bijlage te bekijken.', '2012-05-19 08:34:32'),
(9609, 'nl', 'reports', 'report_email_body_text2', 'Indien de bovenstaande rapporten niet leesbaar zijn, bezoek [LOGIN_LINK] om uw rapporten direct in uw account te bekijken.', '2012-05-19 08:34:32'),
(9610, 'nl', 'reports', 'report_email_subject', 'Uw SEO rapporten werden succesvol gegenereerd', '2012-05-19 08:34:32'),
(9611, 'nl', 'searchengine', 'max_results', 'Maximum aantal resultaten', '2012-05-19 08:35:04'),
(9612, 'nl', 'searchengine', 'no_of_results_page', 'Aantal resultaten per pagina', '2012-05-19 08:35:05'),
(9613, 'nl', 'settings', 'entersmtpdetails', 'Gelieve uw SMTP mail configuratie in te vullen', '2014-01-07 21:51:05'),
(9614, 'nl', 'settings', 'getallpluginfree', 'Krijg ook alle <b>plugins</b> die we ontwikkelen <b>Gratis!</b>', '2014-01-07 21:51:05'),
(9615, 'nl', 'settings', 'SP_ALLOW_USER_SCHEDULE_REPORT', 'Sta gebruikers toe rapporten te plannen', '2014-01-07 21:51:05'),
(9616, 'nl', 'settings', 'SP_NUMBER_KEYWORDS_CRON', 'Aantal keywords dat per cron run moet gecontroleerd worden', '2014-01-07 21:51:05'),
(9617, 'nl', 'settings', 'SP_REPORT_EMAIL_NOTIFICATION', 'Schakel rapport e-mail waarschuwingen in', '2014-01-07 21:51:05'),
(9618, 'nl', 'settings', 'SP_SMTP_HOST', 'SMTP Host', '2014-01-07 21:51:05'),
(9619, 'nl', 'settings', 'SP_SMTP_MAIL', 'Schakel SMTP in', '2014-01-07 21:51:05'),
(9620, 'nl', 'settings', 'SP_SMTP_PASSWORD', 'SMTP Paswoord', '2014-01-07 21:51:05'),
(9621, 'nl', 'settings', 'SP_SMTP_USERNAME', 'SMTP Gebruikersnaam', '2014-01-07 21:51:05'),
(9622, 'nl', 'settings', 'SP_SYSTEM_REPORT_INTERVAL', 'Interval voor het genereren van een systeem rapport', '2014-01-07 21:51:05'),
(9623, 'hu', 'common', 'Hello', 'Szia', '2019-05-25 18:15:43'),
(9624, 'hu', 'directory', 'Coupon Code', 'Kupon kód', '2013-02-05 19:23:52'),
(9625, 'hu', 'directory', 'couponcodenote', 'Használd a fenti kupon kódot és fizess kevesebbet ([REDUCTION_PER] ) a kiemelt beküldésért!', '2013-02-05 19:23:52'),
(9626, 'hu', 'label', 'Daily', 'Napi', '2013-02-05 19:24:43'),
(9627, 'hu', 'label', 'Monthly', 'Havi', '2013-02-05 19:24:43'),
(9628, 'hu', 'label', 'Weekly', 'Heti', '2013-02-05 19:24:43'),
(9629, 'hu', 'panel', 'Archived Reports', 'Archivált jelentések', '2013-02-05 19:25:03'),
(9630, 'hu', 'panel', 'Report Settings', 'Jelentés Beállítása', '2013-02-05 19:25:03'),
(9631, 'hu', 'panel', 'Schedule Reports', 'Időzített Jelentés', '2013-02-05 19:25:03'),
(9632, 'hu', 'panel', 'Search Engine Manager', 'Keresőmotorok Kezelése', '2013-02-05 19:25:03'),
(9633, 'hu', 'plugin', 'Download Seo Panel Plugins', 'Seo Panel Bővítmények Letöltése', '2012-05-22 22:30:42'),
(9634, 'hu', 'report', '2 Days', '2 Nap', '2012-05-22 22:33:54'),
(9635, 'hu', 'report', 'Email notification', 'Értesítés Emailben', '2012-05-22 22:33:54'),
(9636, 'hu', 'report', 'keywordnumbercheckedcronnote', 'Megjegyzés: Az alapértelmezett 0 azt jelenti, hogy minden kulcsszóra ellenőrizve lesz', '2012-05-22 22:33:54'),
(9637, 'hu', 'report', 'Next report generation time', 'Következő jelentés készítésének ideje', '2012-05-22 22:33:54'),
(9638, 'hu', 'report', 'Reports generation interval', 'Jelentés készítésének üteme', '2012-05-22 22:33:54'),
(9639, 'hu', 'report', 'reportsettingssaved', 'A jelentés beállításai sikeresen el lettek mentve!', '2012-05-22 22:33:54'),
(9640, 'hu', 'report', 'sheduledsuccessfully', 'Az időzített jelentéskészítés sikeresen el lett készítve!', '2012-05-22 22:33:54'),
(9641, 'hu', 'searchengine', 'max_results', 'Találatok maximális száma', '2012-05-22 22:34:25'),
(9642, 'hu', 'searchengine', 'no_of_results_page', 'Találatok száma oldalanként', '2012-05-22 22:34:25'),
(9643, 'hu', 'settings', 'entersmtpdetails', 'SMTP mail beállítások', '2013-02-05 19:25:44'),
(9644, 'hu', 'settings', 'getallpluginfree', 'Also get all <b>plugins</b> we develop for <b>Free!</b>', '2013-02-05 19:25:44'),
(9645, 'hu', 'settings', 'SP_ALLOW_USER_SCHEDULE_REPORT', 'Felhasználók készíthetnek időzített jelentést', '2013-02-05 19:25:44'),
(9646, 'hu', 'settings', 'SP_NUMBER_KEYWORDS_CRON', 'Kulcsszavak száma az időzített vizsgálatkor', '2013-02-05 19:25:44'),
(9647, 'hu', 'settings', 'SP_REPORT_EMAIL_NOTIFICATION', 'Értesítés emailben a jelentésről', '2013-02-05 19:25:44'),
(9648, 'hu', 'settings', 'SP_SMTP_HOST', 'SMTP Host', '2013-02-05 19:25:44'),
(9649, 'hu', 'settings', 'SP_SMTP_MAIL', 'SMTP Engedélyezése', '2013-02-05 19:25:44'),
(9650, 'hu', 'settings', 'SP_SMTP_PASSWORD', 'SMTP Jelszó', '2013-02-05 19:25:44'),
(9651, 'hu', 'settings', 'SP_SMTP_USERNAME', 'SMTP Felhasználónév', '2013-02-05 19:25:44'),
(9652, 'hu', 'settings', 'SP_SYSTEM_REPORT_INTERVAL', 'System report generation interval', '2013-02-05 19:25:44'),
(9653, 'hu', 'reports', 'report_email_body_text1', 'A jelentésed sikeresen elkészült a seo panelben. Kérlek tekintsd meg a csatolt jelentést.', '2012-05-22 22:38:17'),
(9654, 'hu', 'reports', 'report_email_body_text2', 'Ha a fenti jelentés nem világos, akkor lépjen be fiókjába: [LOGIN_LINK]', '2012-05-22 22:38:17'),
(9655, 'hu', 'reports', 'report_email_subject', 'A SEO jelentésed sikeresen elkészült', '2012-05-22 22:38:17'),
(9656, 'bg', 'common', 'Hello', 'Здравей', '2019-05-25 18:00:14'),
(9657, 'bg', 'directory', 'Coupon Code', 'Код за отстъпка', '2012-11-09 21:03:43'),
(9658, 'bg', 'directory', 'couponcodenote', 'Използвайте кода за отсъпка за да получите [REDUCTION_PER] за всяка топ публикация ', '2012-11-09 21:03:43'),
(9659, 'bg', 'label', 'Daily', 'Ежедневно', '2018-08-21 07:09:26'),
(9660, 'bg', 'label', 'Monthly', 'Месечно', '2018-08-21 07:09:26'),
(9661, 'bg', 'label', 'Weekly', 'Седмично', '2018-08-21 07:09:26'),
(9662, 'bg', 'panel', 'Archived Reports', 'Архивирани доклади', '2018-08-21 07:14:04'),
(9663, 'bg', 'panel', 'Report Settings', 'Настройки на доклад', '2018-08-21 07:14:04'),
(9664, 'bg', 'panel', 'Schedule Reports', 'График Доклади', '2018-08-21 07:14:04'),
(9665, 'bg', 'panel', 'Search Engine Manager', 'Управление на Търсачка', '2018-08-21 07:14:04'),
(9666, 'bg', 'plugin', 'Download Seo Panel Plugins', 'Изтегляне на Seo Panel Модули', '2012-05-28 18:53:11'),
(9667, 'bg', 'report', '2 Days', '2 Дни', '2012-05-28 18:59:04'),
(9668, 'bg', 'report', 'Email notification', 'Известяване по имейл', '2012-05-28 18:59:04'),
(9669, 'bg', 'report', 'keywordnumbercheckedcronnote', 'Внимание: 0 означава, че всички ключови думи трябва да се проверят ', '2012-05-28 18:59:04'),
(9670, 'bg', 'report', 'Next report generation time', 'Време до генериране на следващия доклад', '2012-05-28 18:59:04'),
(9671, 'bg', 'report', 'Reports generation interval', 'Интервал между генерирането на доклади', '2012-05-28 18:59:04'),
(9672, 'bg', 'report', 'reportsettingssaved', 'Настройките за доклада са запазени успешно!', '2012-05-28 18:59:04'),
(9673, 'bg', 'report', 'sheduledsuccessfully', 'Успешно генериране на планиран доклад!', '2012-05-28 18:59:04'),
(9674, 'bg', 'reports', 'report_email_body_text1', 'Вашите доклади са генерирани успешно в seo panel. Моля вижте прикачените доклади', '2012-05-28 19:01:33'),
(9675, 'bg', 'reports', 'report_email_body_text2', 'Ако докладите не са ясни, моля посетете за да разгледате докладите директно от вашият профил.', '2012-05-28 19:01:33'),
(9676, 'bg', 'reports', 'report_email_subject', 'Вашите SEO доклади са генерирани успешно', '2012-05-28 19:01:33'),
(9677, 'bg', 'searchengine', 'max_results', 'Максимален брой резултати', '2012-05-28 19:02:18'),
(9678, 'bg', 'searchengine', 'no_of_results_page', 'Брой резултати на страница', '2012-05-28 19:02:18'),
(9679, 'bg', 'settings', 'entersmtpdetails', 'Моля въведете SMTP mail конфигурация', '2018-08-21 07:24:42'),
(9680, 'bg', 'settings', 'getallpluginfree', 'Също получавате всички <b>модули</b>, които сме създали - <b>Безплатно!</b> ', '2018-08-21 07:24:42'),
(9681, 'bg', 'settings', 'SP_ALLOW_USER_SCHEDULE_REPORT', 'Позволи на потребителите да създават планиран доклад', '2018-08-21 07:24:42'),
(9682, 'bg', 'settings', 'SP_NUMBER_KEYWORDS_CRON', 'Брой на ключови думи, които да бъдат проверявани при всяко изпълнение на Cron', '2018-08-21 07:24:42'),
(9683, 'bg', 'settings', 'SP_REPORT_EMAIL_NOTIFICATION', 'Включи известяване по имейл', '2018-08-21 07:24:42'),
(9684, 'bg', 'settings', 'SP_SMTP_HOST', 'SMTP Хост', '2018-08-21 07:24:42'),
(9685, 'bg', 'settings', 'SP_SMTP_MAIL', 'Включи SMTP ', '2018-08-21 07:24:42'),
(9686, 'bg', 'settings', 'SP_SMTP_PASSWORD', 'SMTP Парола', '2018-08-21 07:24:42'),
(9687, 'bg', 'settings', 'SP_SMTP_USERNAME', 'SMTP Потр. име', '2018-08-21 07:24:42'),
(9688, 'bg', 'settings', 'SP_SYSTEM_REPORT_INTERVAL', 'Интервал за генериране на системен доклад', '2018-08-21 07:24:42'),
(9689, 'sk', 'directory', 'Coupon Code', 'Kód kupónu', '2013-04-30 10:33:42'),
(9690, 'sk', 'directory', 'couponcodenote', 'Použite kód kupónu a dostanete [REDUCTION_PER] ponuku pre každé vloženie!', '2013-04-30 10:33:42'),
(9691, 'sk', 'common', 'Hello', 'Ahoj', '2019-05-25 18:47:21'),
(9692, 'sk', 'label', 'Daily', 'Denne', '2013-04-30 10:34:36'),
(9693, 'sk', 'label', 'Monthly', 'Mesačne', '2013-04-30 10:34:36'),
(9694, 'sk', 'label', 'Weekly', 'Týždenne', '2013-04-30 10:34:36'),
(9695, 'sk', 'panel', 'Archived Reports', 'Uložené výpisy', '2013-04-30 10:34:59'),
(9696, 'sk', 'panel', 'Report Settings', 'Nastavenie výpisov', '2013-04-30 10:34:59'),
(9697, 'sk', 'panel', 'Schedule Reports', 'Plán výpisov', '2013-04-30 10:34:59'),
(9698, 'sk', 'panel', 'Search Engine Manager', 'Správca vyhľadávačov', '2013-04-30 10:34:59'),
(9699, 'sk', 'report', '2 Days', '2 dni', '2012-05-31 16:21:18'),
(9700, 'sk', 'report', 'Email notification', 'Oznámenie emailom', '2012-05-31 16:21:18'),
(9701, 'sk', 'report', 'keywordnumbercheckedcronnote', 'Poznámka: 0 znamená, že všetky kľúčové slová by mali byť kontrolované', '2012-05-31 16:21:18'),
(9702, 'sk', 'report', 'Next report generation time', 'Nasledovné vytvorenie výpisu', '2012-05-31 16:21:18'),
(9703, 'sk', 'report', 'Reports generation interval', 'Interval vytvárania výpisov', '2012-05-31 16:21:18'),
(9704, 'sk', 'report', 'reportsettingssaved', 'Nastavenie výpisu bolo úspešne uložené!', '2012-05-31 16:21:18'),
(9705, 'sk', 'report', 'sheduledsuccessfully', 'Plánovane vytvorenie výpisu bolo úspešné!', '2012-05-31 16:21:18'),
(9706, 'sk', 'reports', 'report_email_body_text1', 'Váš výpis bol úspešne vytvorený v seo paneli. Skontrolujte si priložené výpisy, prosím .', '2012-05-31 16:34:44'),
(9707, 'sk', 'reports', 'report_email_body_text2', 'Ak výpisy nie sú čisté, prosím [LOGIN_LINK], aby ste videli výpisy priamo z vášho účtu. ', '2012-05-31 16:34:44'),
(9708, 'sk', 'reports', 'report_email_subject', 'Vaše SEO výpisy boli úspešne vytvorené.', '2012-05-31 16:34:44'),
(9709, 'sk', 'searchengine', 'max_results', 'Maximálny počet výsledkov', '2012-05-31 16:35:13'),
(9710, 'sk', 'searchengine', 'no_of_results_page', 'Počet výsledkov na stránku', '2012-05-31 16:35:13'),
(9711, 'sk', 'settings', 'entersmtpdetails', 'Prosím vložte SMTP mailovú konfiguráciu', '2013-04-30 10:35:42'),
(9712, 'sk', 'settings', 'SP_ALLOW_USER_SCHEDULE_REPORT', 'Povoliť užívateľom plánovať výpis', '2013-04-30 10:35:42'),
(9713, 'sk', 'settings', 'SP_NUMBER_KEYWORDS_CRON', 'Počet kľúčových slov potrebných na kontrolu v každom crone', '2013-04-30 10:35:42'),
(9714, 'sk', 'settings', 'SP_REPORT_EMAIL_NOTIFICATION', 'Zapnúť upozornenie výpisu emailom', '2013-04-30 10:35:42'),
(9715, 'sk', 'settings', 'SP_SMTP_HOST', 'SMTP Host', '2013-04-30 10:35:42'),
(9716, 'sk', 'settings', 'SP_SMTP_MAIL', 'Zapnúť SMTP', '2013-04-30 10:35:42'),
(9717, 'sk', 'settings', 'SP_SMTP_PASSWORD', 'Heslo SMTP', '2013-04-30 10:35:42'),
(9718, 'sk', 'settings', 'SP_SMTP_USERNAME', 'Užívateľské meno SMTP', '2013-04-30 10:35:42'),
(9719, 'sk', 'settings', 'SP_SYSTEM_REPORT_INTERVAL', 'Interval vytvárania výpisov systémom', '2013-04-30 10:35:42'),
(9720, 'pt', 'common', 'Hello', 'Olá', '2019-05-25 18:43:55'),
(9721, 'pt', 'directory', 'Coupon Code', 'codigo do cupon', '2012-11-10 20:59:13'),
(9722, 'pt', 'directory', 'couponcodenote', 'Use o código do cupon acima referido e tenha [REDUCTION_PER] a oferta por cada submissão destacada.', '2012-11-10 20:59:13'),
(9723, 'pt', 'label', 'Daily', 'Diariamente', '2018-01-25 19:11:22'),
(9724, 'pt', 'label', 'Monthly', 'Mensalmente', '2018-01-25 19:11:22'),
(9725, 'pt', 'label', 'Weekly', 'Semanalmente', '2018-01-25 19:11:22'),
(9726, 'pt', 'panel', 'Archived Reports', 'Relatórios arquivados', '2018-01-25 19:18:33'),
(9727, 'pt', 'panel', 'Report Settings', 'Definição dos Relatórios', '2018-01-25 19:18:33'),
(9728, 'pt', 'panel', 'Schedule Reports', 'Relatórios agendados', '2018-01-25 19:18:33'),
(9729, 'pt', 'panel', 'Search Engine Manager', 'Consola de Motores de Busca', '2018-01-25 19:18:33'),
(9730, 'pt', 'plugin', 'Download Seo Panel Plugins', 'Download dos Plugins do Seo Panel', '2012-06-01 19:11:02'),
(9731, 'pt', 'searchengine', 'max_results', 'Numero máximo de resultados', '2012-06-01 19:11:41'),
(9732, 'pt', 'searchengine', 'no_of_results_page', 'Numero de resultados por página', '2012-06-01 19:11:41'),
(9733, 'pt', 'settings', 'entersmtpdetails', 'Porfavor insira as configurações do smtp mail', '2018-01-25 19:23:30'),
(9734, 'pt', 'settings', 'getallpluginfree', 'Tambem tenha todos <b>plugins</b> que nos desenvolvemos <b>Free!</b>', '2018-01-25 19:23:30'),
(9735, 'pt', 'settings', 'SP_ALLOW_USER_SCHEDULE_REPORT', 'Autorizar os utilizadores a agendar relatórios', '2018-01-25 19:23:30'),
(9736, 'pt', 'settings', 'SP_NUMBER_KEYWORDS_CRON', 'Numero de keywords prescisas para serem executadas em cada cron', '2018-01-25 19:23:30'),
(9737, 'pt', 'settings', 'SP_REPORT_EMAIL_NOTIFICATION', 'Activar os Relatórios por email', '2018-01-25 19:23:30'),
(9738, 'pt', 'settings', 'SP_SMTP_HOST', 'SMTP Host', '2018-01-25 19:23:30'),
(9739, 'pt', 'settings', 'SP_SMTP_MAIL', 'activar SMTP', '2018-01-25 19:23:30'),
(9740, 'pt', 'settings', 'SP_SMTP_PASSWORD', 'SMTP Password', '2018-01-25 19:23:30'),
(9741, 'pt', 'settings', 'SP_SMTP_USERNAME', 'SMTP Username', '2018-01-25 19:23:30'),
(9742, 'pt', 'settings', 'SP_SYSTEM_REPORT_INTERVAL', 'Intervalo do relaório do sistema', '2018-01-25 19:23:30'),
(9743, 'pt', 'report', '2 Days', '2 dias', '2012-06-01 20:16:45'),
(9744, 'pt', 'report', 'Email notification', 'Notificação por Email', '2012-06-01 20:16:45'),
(9745, 'pt', 'report', 'keywordnumbercheckedcronnote', 'Nota: Default 0 significa todas as Keywords selecionadas', '2012-06-01 20:16:45'),
(9746, 'pt', 'report', 'Next report generation time', 'Próximo relatório tempo', '2012-06-01 20:16:45'),
(9747, 'pt', 'report', 'Reports generation interval', 'Intervalo entre relatórios', '2012-06-01 20:16:45'),
(9748, 'pt', 'report', 'reportsettingssaved', 'Configurações do relatório salvo com sucesso!', '2012-06-01 20:16:45'),
(9749, 'pt', 'report', 'sheduledsuccessfully', 'Geração do relatório agendado com sucesso!', '2012-06-01 20:16:45'),
(9750, 'pt', 'reports', 'report_email_body_text1', 'Os Seus Relatórios gerados com sucesso estão no Seo Panel. Por favor verifique os relatórios em anexo.', '2012-06-01 20:20:05'),
(9751, 'pt', 'reports', 'report_email_body_text2', 'Se os relatórios não estão em condições, por favor [LOGIN_LINK] para ver os relatórios directamente da sua conta.', '2012-06-01 20:20:05'),
(9752, 'pt', 'reports', 'report_email_subject', 'Os seus relatórios SEO gerados com sucesso.', '2012-06-01 20:20:05'),
(9753, 'vn', 'common', 'Hello', 'xin chào', '2019-05-25 18:54:57'),
(9754, 'vn', 'directory', 'Coupon Code', 'Coupon Code', '2014-01-10 04:05:11'),
(9755, 'vn', 'directory', 'couponcodenote', 'Sử dụng coupon code dưới và lấy [REDUCTION_PER] cung cấp cho mỗi tính năng!', '2014-01-10 04:05:11'),
(9756, 'vn', 'label', 'Daily', 'hàng ngày', '2014-01-10 04:07:44'),
(9757, 'vn', 'label', 'Monthly', 'hàng tháng', '2014-01-10 04:07:44'),
(9758, 'vn', 'label', 'Weekly', 'hàng tuần', '2014-01-10 04:07:44'),
(9759, 'el', 'common', 'Hello', 'Χαίρετε', '2019-08-28 05:40:52'),
(9760, 'el', 'directory', 'Coupon Code', 'Κωδικός κουπονιού', '2014-01-20 11:07:08'),
(9761, 'el', 'directory', 'couponcodenote', 'Χρησιμοποιήστε τον παραπάνω κωδικό κουπονιού και αποκτήστε [REDUCTION_PER] προσφορά για κάθε   προτεινόμενη υποβολή!	', '2014-01-20 11:07:08'),
(9762, 'el', 'label', 'Daily', 'Καθημερινά', '2019-11-28 18:22:10'),
(9763, 'el', 'label', 'Monthly', 'Μηνιαίως ', '2019-11-28 18:22:10'),
(9764, 'el', 'label', 'Weekly', 'Εβδομαδιαίως', '2019-11-28 18:22:10'),
(9765, 'el', 'panel', 'Archived Reports', 'Αρχειοθετημένες αναφορές', '2019-08-28 05:42:17'),
(9766, 'el', 'panel', 'Report Settings', 'Ρυθμίσεις αναφορών', '2019-08-28 05:42:17'),
(9767, 'el', 'panel', 'Schedule Reports', 'Προγραμματισμός Αναφορών', '2019-08-28 05:42:17'),
(9768, 'el', 'panel', 'Search Engine Manager', 'Διαχείριση μηχανών αναζήτησης', '2019-08-28 05:42:17'),
(9769, 'el', 'plugin', 'Download Seo Panel Plugins', 'Κατεβάστε Seo Panel Plugins', '2012-06-02 21:56:43'),
(9770, 'el', 'report', '2 Days', '2 ημέρες', '2012-06-02 22:24:27'),
(9771, 'el', 'report', 'Email notification', 'Ενημέρωση στο email', '2012-06-02 22:24:27'),
(9772, 'el', 'report', 'keywordnumbercheckedcronnote', 'Σημείωση: Η Προεπιλογή είναι το 0 που σημαίνει ότι όλες οι λέξεις κλειδιά πρέπει να επιλεγούν', '2012-06-02 22:24:27'),
(9773, 'el', 'report', 'Next report generation time', 'Χρόνος παραγωγής της επόμενης αναφοράς', '2012-06-02 22:24:27'),
(9774, 'el', 'report', 'Reports generation interval', 'Χρονικό διάστημα παραγωγής αναφορών', '2012-06-02 22:24:27'),
(9775, 'el', 'report', 'reportsettingssaved', 'Ρυθμίσεις αναφορών αποθηκεύτηκαν επιτυχώς!\r\n', '2012-06-02 22:24:27'),
(9776, 'el', 'report', 'sheduledsuccessfully', 'Η προγραμματισμένη παραγωγή αναφορών πραγματοποιήθηκε!', '2012-06-02 22:24:27'),
(9777, 'el', 'reports', 'report_email_body_text1', 'Οι αναφορές σας δημιουργήθηκαν με επιτυχία στο seo panel. Παρακαλώ ελέγξτε τις συνημμένες αναφορές.', '2019-08-28 05:42:55'),
(9778, 'el', 'reports', 'report_email_body_text2', 'Αν οι παραπάνω αναφορές δεν είναι ξεκάθαρες, Παρακαλώ [LOGIN_LINK] για να δείτε τις αναφορές απευθείας από τον λογαριασμό σας.', '2019-08-28 05:42:55'),
(9779, 'el', 'reports', 'report_email_subject', 'Οι SEO αναφορές σας δημιουργήθηκαν με επιτυχία', '2019-08-28 05:42:55'),
(9780, 'el', 'searchengine', 'max_results', 'Μέγιστος αριθμός αποτελεσμάτων', '2012-06-02 22:29:39'),
(9781, 'el', 'searchengine', 'no_of_results_page', 'Αριθμός αποτελεσμάτων ανά σελίδα', '2012-06-02 22:29:39');
INSERT INTO `texts` (`id`, `lang_code`, `category`, `label`, `content`, `changed`) VALUES
(9782, 'el', 'settings', 'entersmtpdetails', 'Παρακαλώ εισάγετε τις ρυθμίσεις για το SMTP mail', '2019-08-28 05:43:40'),
(9783, 'el', 'settings', 'getallpluginfree', 'Επίσης κατεβάστε όλα τα <b>plugins</b> που υλοποιούμε <b>δωρεάν!</b>', '2019-08-28 05:43:40'),
(9784, 'el', 'settings', 'SP_ALLOW_USER_SCHEDULE_REPORT', 'Επιτρέψτε στους χρήστες να προγραμματίσουν αναφορές', '2019-08-28 05:43:40'),
(9785, 'el', 'settings', 'SP_NUMBER_KEYWORDS_CRON', 'Αριθμός των λέξεων κλειδιών που θα μετρηθούν σε κάθε εκτέλεση cron', '2019-08-28 05:43:40'),
(9786, 'el', 'settings', 'SP_REPORT_EMAIL_NOTIFICATION', 'Ενεργοποίηση ειδοποιήσεων αναφορών με email', '2019-08-28 05:43:40'),
(9787, 'el', 'settings', 'SP_SMTP_HOST', 'SMTP Host', '2019-08-28 05:43:40'),
(9788, 'el', 'settings', 'SP_SMTP_MAIL', 'Ενεργοποίηση SMTP', '2019-08-28 05:43:40'),
(9789, 'el', 'settings', 'SP_SMTP_PASSWORD', 'Κωδικός SMTP', '2019-08-28 05:43:40'),
(9790, 'el', 'settings', 'SP_SMTP_USERNAME', 'Όνομα χρήστη SMTP', '2019-08-28 05:43:40'),
(9791, 'el', 'settings', 'SP_SYSTEM_REPORT_INTERVAL', 'Χρονικό διάστημα παραγωγής αναφορών συστήματος', '2019-08-28 05:43:40'),
(9792, 'pt-br', 'support', 'support_cont1', '<fieldset> \r\n<legend>Sistema de Suporte do SEO Panel</legend> \r\n<ul class=\"infobox\"> \r\n    <li> \r\n        <h1>Pacote com 1000 Diretórios</h1>  \r\n        <p> \r\n            Nós estamos fornecendo <b>um pacote com 1000 diretórios ativos e gratuitos</b>, para adicioná-los em seu SEO Panel, use <b>a ferramenta de envio de diretórios</b>. \r\n            Isto era te ajudar a <b>alavancar o número de backlinks</b> dos seus websites. \r\n            Atualmente a lista com 1000 diretórios é <b>utilizada</b> para coletar doações que ajudarão no  <b>desenvolvimento do futuro</b> do SEO Panel. \r\n            Para ter acesso à lista com os 1000 diretórios, por favor <a href=\"<?=SP_DONATE_LINK?>\" target=\"_blank\">faça uma doação</a>\r\nde US$ 10,00 ou mais para auxiliar na criação de melhorias para as funções do SEO Panel. \r\n            Se você tiver alguma dúvida sobre o pacote de 1000 diretórios, por favor <a href=\"<?=SP_CONTACT_LINK?>\"\r\ntarget=\"_blank\">entre em contato conosco</a> ou abra um ticket em nosso <a href=\"<?=SP_SUPPORT_LINK?>\"\r\ntarget=\"_blank\">sistema de suporte</a>.    \r\n        </p>         \r\n        <p> \r\n            <a href=\"<?=SP_DONATE_LINK?>\" target=\"_blank\">Visite este link para doar ao SEO Panel</a> \r\n        </p> \r\n        <br> \r\n    </li> \r\n     \r\n    <li> \r\n        <h1>Local Search Engines Package</h1>  \r\n        <p> \r\n            Add <b>local search engine domains</b> of google,yahoo,msn(<b>eg: www.google.de,www.google.fr\r\netc</b>) to seo panel <b>keyword position checker</b>, to track your site perfomance locally. \r\n            To get local search engines package(according to your requirement) please <a\r\nhref=\"<?=SP_DONATE_LINK?>\" target=\"_blank\">donate</a> $10 or more to improve the features of seo\r\npanel. \r\n            Before sending donation, please <a href=\"<?=SP_CONTACT_LINK?>\" target=\"_blank\">contact us</a> to\r\nprovide us required search engine domain list. \r\n            <br><br>               \r\n            Also to add <b>new search engines(eg:baidu.com)</b> to your seo panel keyword position checker,\r\nplease <a href=\"<?=SP_CONTACT_LINK?>\" target=\"_blank\">contact us</a> or open a ticket in <a\r\nhref=\"<?=SP_SUPPORT_LINK?>\" target=\"_blank\">support system</a>.  \r\n        </p>         \r\n        <p class=\"visit\"> \r\n            <a href=\"<?=SP_CONTACT_LINK?>\" target=\"_blank\">Visit this link to contact us</a> \r\n        </p> \r\n        <br> \r\n    </li> \r\n     \r\n    <li> \r\n        <h1>Seo Panel Plugins</h1>  \r\n        <p> \r\n            Add <b>seo plugins</b> to your seo panel to <b>extend the features</b> according to your\r\nrequirement. \r\n            <a href=\"<?=SP_PLUGINSITE?>\" target=\"_blank\">Seo panel plugins</a> are provided by both seo panel\r\nand third party sites. \r\n            You can also easily <b>develop</b> seo plugins for your seo panel. \r\n            You can <a href=\"<?=SP_PLUGINSITE?>\" target=\"_blank\">submit</a> your seo plugin to seo panel and\r\nwe will <b>publish</b> it in our website after our <b>review</b> process.         \r\n        </p>         \r\n        <p> \r\n            <a href=\"<?=SP_PLUGINSITE?>\" target=\"_blank\">Visit this link to get seo panel plugins</a> \r\n        </p> \r\n        <br> \r\n    </li>     \r\n    <li> \r\n        <h1>Contact Us</h1>  \r\n        <p> \r\n            Contact us for any questions about <b>seo panel tools,plugins and features etc</b> by using below\r\nlink.         \r\n        </p>         \r\n        <p> \r\n            <a href=\"<?=SP_CONTACT_LINK?>\" target=\"_blank\">Visit this link to contact us</a> \r\n        </p> \r\n        <br> \r\n    </li>     \r\n    <li> \r\n        <h1>Support Tickets</h1>  \r\n        <p> \r\n            To get <b>technical support</b> from seo panel team to setup the <b>seo panel tools,plugins and\r\nfeatures</b>. Eg: To set up cron for keyword position checker. \r\n        </p>         \r\n        <p> \r\n            <a href=\"<?=SP_SUPPORT_LINK?>\" target=\"_blank\">Visit this link to create a support ticket</a> \r\n        </p> \r\n        <br> \r\n    </li>     \r\n    <li> \r\n        <h1>Report Bugs</h1>  \r\n        <p> \r\n            Report <b>bugs</b> about <b>seo panel tools,plugins and features etc</b> by using below link.  \r\n            please help us to improve the features in next versions.           \r\n        </p>         \r\n        <p> \r\n            <a href=\"<?=SP_SUPPORT_LINK?>\" target=\"_blank\">Visit this link to report bugs</a> \r\n        </p> \r\n        <br> \r\n    </li>     \r\n</ul> \r\n</fieldset>', '2014-02-12 12:44:55'),
(9793, 'pt-br', 'support', 'support_cont2', '<fieldset>\r\nRecursos <legend> Seo Panel on-line </ legend>\r\n<ul class=\"infobox\">\r\n         \r\n    <li>\r\n        Guia de Ajuda <h1> Seo Panel </ h1>\r\n        <p>\r\n            Você pode ver a <a href = \"< ? = SP_HELP_LINK > \" target = \"_blank\" > documentação do painel seo </ a> no\r\nguia de ajuda <b> < / b> , que contém a documentação <b> < / b> para as ferramentas do painel de seo , plugins, recursos entre outros.\r\n            <br> É o melhor lugar na internet para obter ajuda <b> </ b> sobre o painel seo . Esperamos que você\r\n<b> < / b> contribua para a guia do painel de ajuda seo, se você encontrar erros ou coisas que faltam .\r\n        </ p>\r\n        <p>\r\n            <a href = \"< ? = SP_HELP_LINK > \" target = \"_blank\" > Visite seo guia painel de ajuda </ a>\r\n        </ p>\r\n        <br>\r\n    </ li>\r\n    <li>\r\n        <h1> Seo Panel Forum </ h1>\r\n        <p>\r\n            Um lugar para discutir sobre o painel de controle seo fonte <b> primeiro aberto do mundo </ b> .\r\n            É o melhor lugar para encontrar as respostas <b> </ b> para <b> suas perguntas </ b > sobre o painel de seo .\r\n            <br> Também você pode <b> share </ b> sua experiência <b> < / b> ao usar o painel de SEO para otimizar seu websites.\r\n        </ p>\r\n        <p>\r\n            <a href = \"< ? = SP_FORUM_LINK > \" target = \"_blank\" > fórum painel seo Visita </ a>\r\n        </ p>\r\n        <br>\r\n    </ li>\r\n</ ul>\r\n</ fieldset >', '2014-02-12 12:44:55'),
(9794, 'pt-br', 'support', 'support_cont3', '<fieldset> \r\n<legend> Faça uma doação para Seo Panel </ legend> \r\n<ul class=\"infobox\"> \r\n     <li> \r\n         <h1> Doar para Seo Panel - painel de controle seo Primeiro Open source no mundo </ h1> \r\n         <p> \r\n             <b> Doe </ b> para seo painel de apoiar primeiro painel de controle seo open source no mundo. \r\n             Estamos planejando para <b> adicionar e melhorar </ b> características do painel de seo no futuro. \r\n             Vá com todo o seu apoio <b> </ b> só nós podemos alcançar nossos objetivos <b> </ b>. \r\n             Se você sentir que o painel seo vale <b> </ b> para você, por favor doe alguma quantia para seo time painel. \r\n             <br> Vamos <b> publicar </ b> o seu nome e informações do site em <a href = \"<? = SP_DONATE_LINK>\" \r\ntarget = \"_blank\"> página de doação </ a>, uma vez que temos de doação. \r\n         </ p> \r\n         <p> \r\n             <a href = \"<? = SP_DONATE_LINK>\" target = \"_blank\"> Visite este link para doar para seo painel </ a> \r\n         </ p> \r\n         <br> \r\n     </ li> \r\n</ ul> \r\n</ fieldset>', '2014-02-12 12:44:55'),
(9795, 'no', 'backlink', 'clickproceedbacklink', 'Skriv URL\\\'er <b>en per linje</b>. Klikk på <b>Fortsett</b> for å sjekke backlinks.', '2012-09-01 22:55:46'),
(9796, 'no', 'backlink', 'Saved backlink results of', 'Lagret backlink resultater fra', '2012-09-01 22:55:46'),
(9797, 'no', 'button', 'Cancel', 'Avbryt', '2014-01-08 19:31:08'),
(9798, 'no', 'button', 'Check Status', 'Sjekk status', '2014-01-08 19:31:08'),
(9799, 'no', 'button', 'Proceed', 'Fortsett', '2014-01-08 19:31:08'),
(9800, 'no', 'button', 'Reload', 'Oppdater', '2014-01-08 19:31:08'),
(9801, 'no', 'button', 'Show Details', 'Vis detaljer', '2014-01-08 19:31:08'),
(9802, 'no', 'button', 'Show Records', 'Vis elementer', '2014-01-08 19:31:08'),
(9803, 'no', 'button', 'Skip', 'Spring over', '2014-01-08 19:31:08'),
(9804, 'no', 'button', 'Submit', 'Send', '2014-01-08 19:31:08'),
(9805, 'en', 'common', 'Powered by', 'Powered by', '2019-08-06 06:09:56'),
(9806, 'en', 'common', 'Home', 'Home', '2019-08-06 06:09:56'),
(9807, 'en', 'common', 'Dashboard', 'Dashboard', '2019-08-06 06:09:56'),
(9808, 'lt', 'backlink', 'clickproceedbacklink', 'Įveskite URL <b> po vieną eilutėje </ b>. Spauskite ant <b> Tęsti </ b> pradėti tikrinti atgalines nuorodas', '2014-01-12 11:20:04'),
(9809, 'lt', 'backlink', 'Saved backlink results of', 'Išsaugoti atgalinių nuorodų sąrašą', '2014-01-12 11:20:04'),
(9810, 'lt', 'button', 'Cancel', 'Atšaukti', '2014-01-12 11:21:04'),
(9811, 'lt', 'button', 'Check Status', 'Patikrinti statusą', '2014-01-12 11:21:04'),
(9812, 'lt', 'button', 'Proceed', 'Pradėti', '2014-01-12 11:21:04'),
(9813, 'lt', 'button', 'Reload', 'Atnaujinti', '2014-01-12 11:21:04'),
(9814, 'lt', 'button', 'Show Details', 'Išsamiau', '2014-01-12 11:21:04'),
(9815, 'lt', 'button', 'Show Records', 'Rodyti įrašus', '2014-01-12 11:21:04'),
(9816, 'lt', 'button', 'Skip', 'Praleisti', '2014-01-12 11:21:04'),
(9817, 'lt', 'button', 'Submit', 'Pateikti', '2014-01-12 11:21:04'),
(9818, 'lt', 'common', 'Action', 'Veiksmas', '2019-05-25 18:41:16'),
(9819, 'lt', 'common', 'Activate', 'Aktyvuoti', '2019-05-25 18:41:16'),
(9820, 'lt', 'common', 'Active', 'Aktyvus', '2019-05-25 18:41:16'),
(9821, 'lt', 'common', 'Admin Panel', 'Administratoriaus pultas', '2019-05-25 18:41:16'),
(9822, 'lt', 'common', 'Alexa Rank', 'Alexa reitingas', '2019-05-25 18:41:16'),
(9823, 'lt', 'common', 'All', 'Visi', '2019-05-25 18:41:16'),
(9824, 'lt', 'common', 'Category', 'Kategorija', '2019-05-25 18:41:16'),
(9825, 'lt', 'common', 'contact', 'Kontaktai', '2019-05-25 18:41:16'),
(9826, 'lt', 'common', 'copyright', '© [year] www.seopanel.in Visos teisės saugomos', '2019-05-25 18:41:16'),
(9827, 'lt', 'common', 'Country', 'Šalis', '2019-05-25 18:41:16'),
(9828, 'lt', 'common', 'Crawl Meta Data', 'Nuskaityti meta duomenis', '2019-05-25 18:41:16'),
(9829, 'lt', 'common', 'Dashboard', 'Prietaisų skydas', '2019-05-25 18:41:16'),
(9830, 'lt', 'common', 'Date', 'Data', '2019-05-25 18:41:16'),
(9831, 'lt', 'common', 'Delete', 'Ištrinti', '2019-05-25 18:41:16'),
(9832, 'lt', 'common', 'Details', 'Išsami informacija', '2019-05-25 18:41:16'),
(9833, 'lt', 'common', 'Directory', 'Direktorija', '2019-05-25 18:41:16'),
(9834, 'lt', 'common', 'Donate', 'Paaukoti', '2019-05-25 18:41:16'),
(9835, 'lt', 'common', 'Edit', 'Redaguoti', '2019-05-25 18:41:16'),
(9836, 'lt', 'common', 'Entry cannot be blank', 'Įrašas negali būti tuščias', '2019-05-25 18:41:16'),
(9837, 'lt', 'common', 'entrynotvalid', 'Neteisingai įvesta informacija', '2019-05-25 18:41:16'),
(9838, 'lt', 'common', 'failed', 'Nepavyko', '2019-05-25 18:41:16'),
(9839, 'lt', 'common', 'forum', 'Forumas', '2019-05-25 18:41:16'),
(9840, 'lt', 'common', 'Found', 'Rasta', '2019-05-25 18:41:16'),
(9841, 'lt', 'common', 'Google Pagerank', 'Google PR', '2019-05-25 18:41:16'),
(9842, 'lt', 'common', 'Hello', 'Sveiki', '2019-05-25 18:41:16'),
(9843, 'lt', 'common', 'help', 'Pagalba', '2019-05-25 18:41:16'),
(9844, 'lt', 'common', 'hidenews', 'Slėpti SEO Panel naujienas', '2019-05-25 18:41:16'),
(9845, 'lt', 'common', 'Home', 'Pradžia', '2019-05-25 18:41:16'),
(9846, 'lt', 'common', 'Id', 'Id', '2019-05-25 18:41:16'),
(9847, 'lt', 'common', 'Inactivate', 'Deaktyvuoti', '2019-05-25 18:41:16'),
(9848, 'lt', 'common', 'Inactive', 'Neveiklus', '2019-05-25 18:41:16'),
(9849, 'lt', 'common', 'Invalid characters', 'Yra neleistinų simbolių', '2019-05-25 18:41:16'),
(9850, 'lt', 'common', 'Invalid code entered', 'Neteisingas kodas', '2019-05-25 18:41:16'),
(9851, 'lt', 'common', 'Invalid email address entered', 'Neteisingas elektroninio pašto adresas', '2019-05-25 18:41:16'),
(9852, 'lt', 'common', 'Invalid value', 'Neteisingai įvesta', '2019-05-25 18:41:16'),
(9853, 'lt', 'common', 'Keyword', 'Raktinis žodis', '2019-05-25 18:41:16'),
(9854, 'lt', 'common', 'Keywords', 'Raktiniai žodžiai', '2019-05-25 18:41:16'),
(9855, 'lt', 'common', 'lang', 'Kalba', '2019-05-25 18:41:16'),
(9856, 'lt', 'common', 'My Account', 'Mano anketa', '2019-05-25 18:41:16'),
(9857, 'lt', 'common', 'Name', 'Vardas', '2019-05-25 18:41:16'),
(9858, 'lt', 'common', 'No', 'Ne', '2019-05-25 18:41:16'),
(9859, 'lt', 'common', 'No Keywords Found', 'Nerasta raktinių žodžių', '2019-05-25 18:41:16'),
(9860, 'lt', 'common', 'No Records Found', 'Įrašų nerasta', '2019-05-25 18:41:16'),
(9861, 'lt', 'common', 'noactivetools', 'Nėra aktyvių SEO įrankių', '2019-05-25 18:41:16'),
(9862, 'lt', 'common', 'nowebsites', 'Svetainių nerasta', '2019-05-25 18:41:16'),
(9863, 'lt', 'common', 'password632', 'Slaptažodio ilgis turėtų būti nuo 6 iki 32 simbolių', '2019-05-25 18:41:16'),
(9864, 'lt', 'common', 'passwordnotmatch', 'Slaptažodžiai nesutampa', '2019-05-25 18:41:16'),
(9865, 'lt', 'common', 'Period', 'Laikotarpis', '2019-05-25 18:41:16'),
(9866, 'lt', 'common', 'Powered by', 'Sukurta', '2019-05-25 18:41:16'),
(9867, 'lt', 'common', 'Priority', 'Prioritetas', '2019-05-25 18:41:16'),
(9868, 'lt', 'common', 'Profile', 'Paskyra', '2019-05-25 18:41:16'),
(9869, 'lt', 'common', 'Rank', 'Užimama vieta', '2019-05-25 18:41:16'),
(9870, 'lt', 'common', 'Reports', 'Ataskaitos', '2019-05-25 18:41:16'),
(9871, 'lt', 'common', 'Results', 'Rezultatai', '2019-05-25 18:41:16'),
(9872, 'lt', 'common', 'Search Engine', 'Paieškos sistema', '2019-05-25 18:41:16'),
(9873, 'lt', 'common', 'Select', 'Pasirinkimas', '2019-05-25 18:41:16'),
(9874, 'lt', 'common', 'Seo Plugins', 'Seo įskiepiai', '2019-05-25 18:41:16'),
(9875, 'lt', 'common', 'Seo Tools', 'SEO įrankiai', '2019-05-25 18:41:16'),
(9876, 'lt', 'common', 'Sign out', 'Atsijungti', '2019-05-25 18:41:16'),
(9877, 'lt', 'common', 'Sign Up', 'Registruotis', '2019-05-25 18:41:16'),
(9878, 'lt', 'common', 'signin', 'Prisijungti', '2019-05-25 18:41:16'),
(9879, 'lt', 'common', 'Status', 'Būsena', '2019-05-25 18:41:16'),
(9880, 'lt', 'common', 'Support', 'Palaikymas', '2019-05-25 18:41:16'),
(9881, 'lt', 'common', 'Total', 'Viso', '2019-05-25 18:41:16'),
(9882, 'lt', 'common', 'Url', 'Url', '2019-05-25 18:41:16'),
(9883, 'lt', 'common', 'User', 'Vartotojas', '2019-05-25 18:41:16'),
(9884, 'lt', 'common', 'User Panel', 'Vartotojo skydelis', '2019-05-25 18:41:16'),
(9885, 'lt', 'common', 'Website', 'Internetinė svetainė', '2019-05-25 18:41:16'),
(9886, 'lt', 'common', 'Yes', 'Taip', '2019-05-25 18:41:16'),
(9887, 'lt', 'user', 'Edit User', 'Redaguoti naudotojo duomenis', '2012-11-07 10:23:49'),
(9888, 'lt', 'user', 'Saved My Profile Details', 'Išsaugoti mano profilio informaciją', '2012-11-07 10:23:49'),
(9889, 'lt', 'website', 'Edit Website', 'Redaguokite svetainę', '2012-11-07 10:26:53'),
(9890, 'lt', 'website', 'plscrtwebsite', 'Prašome sukurti interneto svetainę, prieš pradėdant naudotis SEO įrankiais ir SEO įskiepais, papilomomis programomis.', '2012-11-07 10:26:53'),
(9891, 'lt', 'website', 'Website already exist', 'Žiniatinklio svetainė jau egzistuoja', '2012-11-07 10:26:53'),
(9892, 'lt', 'website', 'yourwebalreday', 'Jūsų žiniatinklio svetainė, jau sukurta.', '2012-11-07 10:26:53'),
(9893, 'lt', 'sitemap', 'Change frequency', 'Pakeisti dažni', '2012-11-07 10:31:16'),
(9894, 'lt', 'sitemap', 'clickproceedsitemap', 'Spauskite ant <b> tęsti </ b>, kad sukurtumėte failą Sitemap', '2012-11-07 10:31:16'),
(9895, 'lt', 'sitemap', 'Download sitemap file from', 'Atsisiųsti Sitemap failą iš', '2012-11-07 10:31:16'),
(9896, 'lt', 'sitemap', 'Exclude Url', 'neįtraukti URL', '2012-11-07 10:31:16'),
(9897, 'lt', 'sitemap', 'processtaketime', 'Šis procesas užtruks šiek tiek laiko pagal savo svetainės nuorodų skaičių. Prašome palaukti, kad gauti Sitemap failą', '2012-11-07 10:31:16'),
(9898, 'lt', 'sitemap', 'Sitemap Type', 'Sitemp - Svetainės struktūros tipas', '2012-11-07 10:31:16'),
(9899, 'lt', 'searchengine', 'max_results', 'Maksimalus rezultatų skaičius', '2012-11-07 10:32:33'),
(9900, 'lt', 'searchengine', 'no_of_results_page', 'Rezultatų skaičius puslapyje', '2012-11-07 10:32:33'),
(9901, 'lt', 'saturation', 'clickproceedsaturation', 'Įeikite į URL\\\'S <b> Vienas per liniją </b>. Paspauskite <b>, Tęsiasi </b>, kad tikrintų Paieškos sistemos Prisotinimo Rezultatus', '2012-11-07 10:35:47'),
(9902, 'lt', 'saturation', 'GenerateSaturationReports', 'Sukurkite Paieškos sistemos Prisotinimo Pranešimua', '2012-11-07 10:35:47'),
(9903, 'lt', 'saturation', 'Quick Search Engine Saturation Checker', 'Greitas Paieškos sistemos Prisotinimo Kontrolierius', '2012-11-07 10:35:47'),
(9904, 'lt', 'saturation', 'Saved Search Engine Saturation results of', 'Išsaugoti paieškos sistema Saturation rezultatus', '2012-11-07 10:35:47'),
(9905, 'lt', 'saturation', 'Search Engine Saturation Reports', 'Paieškos sistemos Prisotinimo Pranešimai', '2012-11-07 10:35:47'),
(9906, 'lt', 'reports', 'report_email_body_text1', 'Jūsų ataskaitos sugeneruota sėkmingai SEO skydelyje. Prašome patikrinti pridedamas ataskaitas.', '2012-11-07 10:38:34'),
(9907, 'lt', 'reports', 'report_email_body_text2', 'Jei pirmiau minėtos ataskaitos neaišku, prašome [LOGIN_LINK] norėdami peržiūrėti ataskaitas tiesiai iš savo sąskaitos.', '2012-11-07 10:38:34'),
(9908, 'lt', 'reports', 'report_email_subject', 'Jūsų SEO ataskaitos sugeneruotos sėkmingai', '2012-11-07 10:38:34'),
(9909, 'lt', 'report', '2 Days', '2 dienos', '2014-01-12 11:54:21'),
(9910, 'lt', 'report', 'Email notification', 'Priminimas el.paštu', '2014-01-12 11:54:21'),
(9911, 'lt', 'report', 'keywordnumbercheckedcronnote', 'Pastaba: pagal nutylėjimą 0 reiškia, turėtų būti tikrinami visi raktiniai žodžiai', '2014-01-12 11:54:21'),
(9912, 'lt', 'report', 'Next report generation time', 'Kita ataskaita kartos laikas', '2014-01-12 11:54:21'),
(9913, 'lt', 'report', 'Reports generation interval', 'Ataskaitų generavimo intervalas', '2014-01-12 11:54:21'),
(9914, 'lt', 'report', 'reportsettingssaved', 'Pranešimo nustatymai, išsaugoti sėkmingai!', '2014-01-12 11:54:21'),
(9915, 'lt', 'report', 'sheduledsuccessfully', 'Suplanuotas pranešimo generavimas sėkmingas!', '2014-01-12 11:54:21'),
(9916, 'lt', 'rank', 'enterurlproceed', 'Įveskite URL adreso <b> po vieną eilutėje </ b>.Spauskite ant <b> Tęsti </ b>, siekiant patikrinti Google ir Alexa rangą.', '2012-11-07 10:44:33'),
(9917, 'lt', 'rank', 'Google and Alexa Rank Reports', 'Google ir Alexa Rango Pranešimai', '2012-11-07 10:44:33'),
(9918, 'lt', 'rank', 'Saved rank results of', 'Išsaugotieji rango rezultatai', '2012-11-07 10:44:33'),
(9919, 'lt', 'proxy', 'Edit Proxy', 'Redaguoti Proxy', '2014-01-12 11:53:26'),
(9920, 'lt', 'proxy', 'Proxy Password', 'Proxy slaptažodis', '2014-01-12 11:53:26'),
(9921, 'lt', 'proxy', 'Proxy Username', 'Proxy vartotojo vardas', '2014-01-12 11:53:26'),
(9922, 'lt', 'proxy', 'Proxyalreadyexist', 'Proxy jau egzistuoja!', '2014-01-12 11:53:26'),
(9923, 'lt', 'plugin', 'Download Seo Panel Plugins', 'Parsisiųsti SEO Panel Įskiepus, papildomas programas', '2012-11-07 10:48:56'),
(9924, 'lt', 'plugin', 'Edit Seo Plugin', 'Redaguoti SEO įskiepa, papildomą programą', '2012-11-07 10:48:56'),
(9925, 'lt', 'plugin', 'Plugin Name', 'Įskiepo, papildomos programas pavadinimas', '2012-11-07 10:48:56'),
(9926, 'lt', 'plugin', 'Seo Plugin Details', 'Seo įskiepo, papildomos programos Detalės', '2012-11-07 10:48:56'),
(9927, 'lt', 'directory', 'Add back to directory list', 'Įdėkite atgal į direktorijų sąrašą', '2014-01-12 11:36:58'),
(9928, 'lt', 'directory', 'Approved', 'Patvirtinta', '2014-01-12 11:36:58'),
(9929, 'lt', 'directory', 'Captcha', 'Captcha', '2014-01-12 11:36:58'),
(9930, 'lt', 'directory', 'categorynote', 'Kategorijos, atskirkite juos su kableliu pagal prioritetą. Pradėkite nuo aukščiausio prioriteto kategorijos.', '2014-01-12 11:36:58'),
(9931, 'lt', 'directory', 'Check Directory Status', 'Patikrinkite katalogo statusą', '2014-01-12 11:36:58'),
(9932, 'lt', 'directory', 'Check Directory Submission Status', 'Patikrinkite pateikimo į katalogus būseną.', '2014-01-12 11:36:58'),
(9933, 'lt', 'directory', 'clicktoproceeddirsts', 'Spauskite <b> Tęsti </ b> jei norite patikrinti direktorijos būseną', '2014-01-12 11:36:58'),
(9934, 'lt', 'directory', 'Confirmation', 'Patvirtinimas ', '2014-01-12 11:36:58'),
(9935, 'lt', 'directory', 'Coupon Code', 'Kupono kodas', '2014-01-12 11:36:58'),
(9936, 'lt', 'directory', 'couponcodenote', 'Naudokite kupono kodą,norėdami gauti [REDUCTION_PER] nuolaidą kiekvienam pateikimui.', '2014-01-12 11:36:58'),
(9937, 'lt', 'directory', 'desnote', 'Kai kuriems katalogams reikia ne mažiau kaip 150 simbolių aprašymo.', '2014-01-12 11:36:58'),
(9938, 'lt', 'directory', 'Directories with out captcha', 'Katalogai be Captcha', '2014-01-12 11:36:58'),
(9939, 'lt', 'directory', 'Directory Submission Reports', 'Katalogo patvirtinimo ataskaitos', '2014-01-12 11:36:58'),
(9940, 'lt', 'directory', 'Enter the code shown', 'Įveskitę kodą', '2014-01-12 11:36:58'),
(9941, 'lt', 'directory', 'nocatnote', 'Patvirtinimo kategorija, nesurasta patvirtinimo puslapyje. Prašom paspausti <b>, Perkrauti </b> ar <b> Praleistią </b>', '2014-01-12 11:36:58'),
(9942, 'lt', 'directory', 'nodirnote', ' <b> Aktyvių </ b> direktorijų nerasta', '2014-01-12 11:36:58'),
(9943, 'lt', 'directory', 'nosuccessnote', 'Negavote pasisekimo žinutės, prašom patikrinti savo paštą, kad surastumėte patvirtinimo žinutę', '2014-01-12 11:36:58'),
(9944, 'lt', 'directory', 'optionalnote', 'Laisvai pasirenkami pavadinimai ir apibūdinimas, kad pateiktų atsitiktinį pavadinimą ir apibūdinimą į žinynus geresniems rezultatams.', '2014-01-12 11:36:58'),
(9945, 'lt', 'directory', 'Owner Email', 'Savininko e-paštas', '2014-01-12 11:36:58'),
(9946, 'lt', 'directory', 'Owner Name', 'Savininko vardas', '2014-01-12 11:36:58'),
(9947, 'lt', 'directory', 'Pending', 'Laukia', '2014-01-12 11:36:58'),
(9948, 'lt', 'directory', 'Please select a website to proceed', 'Prašome pasirinkti svetainę', '2014-01-12 11:36:58'),
(9949, 'lt', 'directory', 'Reciprocal Link', 'Abipusė Sąsaja', '2014-01-12 11:36:58'),
(9950, 'lt', 'directory', 'selectwebsiteproceed', 'Pasirinkite <b> Svetainės </ b> <b> Tęsti </ b> katalogas pateikimo. <br> Patikrinkite <b> Katalogai su Captcha </ b>, pateikti į katalogus iš Captcha\r\n', '2014-01-12 11:36:58'),
(9951, 'lt', 'directory', 'selectwebsiteschecksub', 'Pasirinkite <b> svetainę </ b> <b> Tęsti </ b> patikrinkite katalogo patvirtinimą.', '2014-01-12 11:36:58'),
(9952, 'lt', 'directory', 'Semi Automatic Directory Submission Tool', 'Pusiau automatinis pateikimo katalogui įrankis', '2014-01-12 11:36:58'),
(9953, 'lt', 'directory', 'spamemailnote', 'Kai kurie katalogai gali siųsti šlamštą, mes nerekomenduojame naudoti savo elektroninio pašto adreso.', '2014-01-12 11:36:58'),
(9954, 'lt', 'directory', 'Submission Details', 'Pateikimo informacija', '2014-01-12 11:36:58'),
(9955, 'lt', 'directory', 'Submit Description', 'Patiekti aprašymą', '2014-01-12 11:36:58'),
(9956, 'lt', 'directory', 'Submit Keywords', 'Pateikti raktažodžius', '2014-01-12 11:36:58'),
(9957, 'lt', 'directory', 'Submit Title', 'Pateikti pavadinimą', '2014-01-12 11:36:58'),
(9958, 'lt', 'directory', 'Website Category', 'Svetainės kategorija', '2014-01-12 11:36:58'),
(9959, 'lt', 'directory', 'Website Url', 'Svetainės URL', '2014-01-12 11:36:58'),
(9960, 'lt', 'home', 'Account Summary', 'Sąskaitos suvestinė', '2012-11-07 17:14:11'),
(9961, 'lt', 'home', 'Backlinks', 'Atgalinės nuorodos', '2012-11-07 17:14:11'),
(9962, 'lt', 'home', 'Directory Submission', 'Katalogo pateikimas', '2012-11-07 17:14:11'),
(9963, 'lt', 'home', 'home_cont1', '<h1 style=\"text-align: center;margin-bottom: 30px;font-size: 19px;\"> Sveiki atvykę į SEO Panel - Pasaulį\r\n1. SEO valdymo pultas keletui svetainių </h1>\r\n        <p>\r\n            Pilnas <b> atviro kodo SEO valdymo pultas </b> valdymo <b> Search Engine Optimization </b> jūsų tinklapis.\r\n            SEO skydas yra <b> SEO įrankių rinkinys </b> yra naujausi karšto SEO įrankiai <b> padidėjimo ir Track </b>\r\n<b> performace </b> savo interneto svetainėse.\r\n            Tai yra <b> nemokama programinė įranga </b> išleista pagal <b> GNU General Public License </b>.\r\n            Seo skydelio pagrindinis bruožas yra jos <b> extendability </b> naudodami <a href = \"<?=SP_PLUGINSITE?>\"\r\ntarget = \"_blank\"> SEO įskiepių </a>.\r\n            Kiek vienas gali lengvai <b> kurti ir diegti </b>, kuri reikalinga įskiepių savo SEO skydelyje.\r\n        </p>\r\n        <p> </p>\r\n        <p>\r\n            Tai atviro kodo programinė įrangą, kuri buvo išleista <b> sausio 2010 </b>.\r\n            Su šiame <b> trumpą laiką </b> laiko <b> tūkstančiai </b> iš <b> interneto meistrai </b> naudoja šią programinė įranga <b> optimizuoti </b> savo interneto svetaines.\r\n            Naudokite SEO skydelį šiandien ir <b> mėgaukitės </b> viską, kas susiję su SEO pagal <b> platforma </b>.\r\n        </p>', '2012-11-07 17:14:11'),
(9964, 'lt', 'home', 'home_cont2', '<fieldset>\r\n <legend>SEO Panel Pagrindinės ypatybės <?=SP_INSTALLED?> </legend>\r\n<ul class=\"infobox\">\r\n    <li>\r\n        <h1> Automatinio katalogo pateikimo įrankis </h1>\r\n        <p>\r\n            Automatinis katalogo pateikimo įrankis padės jums <b> pateikti jūsų interneto svetainę </b> į pagrindinį <b> nemokamai ir mokamų interneto katalogus </b>.\r\n            Mes taip pat galime <b> sekti statusą </b> kiekviename submision <b> periodinio patikrinime </b>, naudodami pateikimas <b> statusas tikrintuvas scenarijus </b>.\r\n            <b> katalogas vadybininkas </b> padės mums sužinoti ar <b> katalogas yra aktyvus </b>, arba ne.\r\n        </P>\r\n    </Li>\r\n    <li>\r\n        <h1> Pozicijos raktažodžių tikrintuvas </h1>\r\n        <p>\r\n            Poziciją tikrintuvas raktažodžių rasite <b> paieškos poziciją </b> iš <b> targetowaną raktažodžius </b>\r\njūsų svetainę ir <b> parduotuvėse </b> juos į sistemą.\r\n            Raktažodžių skyriaus ataskaitos apie jo buvimo vietą, mes galime pamatyti <b> Dienos pozicijas </b> raktažodžių\r\nįvairiose paieškos sistemose pagal <b> gražių grafikų </b> ir <b> išsamios ataskaitos </b>.\r\n        </P>\r\n    </Li>\r\n    <li>\r\n        <h1> Svetainės auditorius </h1>\r\n        <p> Svetainės auditorius, <b> patikrinta SEO veiksniai </b> kiekvienos svetainės puslapių ir duos\r\n<b> išsamią ataskaitą </b> apie kiekvieną puslapį. Tai padės mums sukurti <b> XML, HTML, tekstas </b> Svetainės\r\nfailus <b> pateikti mūsų interneto svetainėje </b> į paieškos variklius. </p>\r\n    </Li>\r\n    <li>\r\n        <h1> Google ir Alexa Rank Checker </h1>\r\n        <p>\r\n            \"Google\" ir \"Alexa Rank Checker rasite <B> Google PageRank </b> ir <b> alexa rank </b> mūsų\r\nsvetainės ir <b> parduotuvėse </b> į sistemą.\r\n            Į <b> rango ataskaitos </b>,, mes galime pamatyti į <b> kasdien </b> \"Google ir Alexa reitingą kiekvieno svetainės\r\npagal <b> išsamias ataskaitas </b>.\r\n        </P>\r\n    </Li>\r\n    <li>\r\n        <h1> Atgalinės tikrintuvo </h1>\r\n        <p>\r\n            Atgalinės nuorodos tikrintuvas bus rasti Atgalinės nuorodos </b> mūsų interneto svetainėse <b> skaičių įvairiose paieškos\r\nvarikliai <b> (Google, Yahoo, MSN ir tt) </b> ir <b> parduotuvėse </b> sistemoje.\r\n            \"<br> <b> atgalinę pranešimai </b>, mes galime pamatyti <b> Dienos Atgalinės skaičius </b> kiekvieno\r\nSvetainė <b> išsamias ataskaitas </b>.\r\n        </P>\r\n    </Li>\r\n    <li>\r\n        <h1> paieška Saturacija tikrintuvas </h1>\r\n        <p>\r\n            Paieška Variklis Saturacija tikrintuvas rasite <b> skaičių indeksuotų puslapių </b> mūsų interneto svetainėse\r\nįvairiose paieškos sistemose <b> (Google, Yahoo, MSN ir tt) </b> ir <b> parduotuvėse </b> sistemoje.\r\n            Į <b> paieškos soties tikrinimas ataskaitos </b>, mes galime pamatyti <b> kasdien indeksuojami puslapį\r\nskaičiuoti </b> kiekvieną svetainę, kurią pagal <b> išsamias ataskaitas </b>.\r\n        </P>\r\n    </Li>\r\n    <li>\r\n        <h1> SEO Panel Įskiepiai </h1>\r\n        <p>\r\n            <b> Pagrindinis bruožas </b> SEO valdymo skydelyje yra jos <b> extentability </b>.\r\n            Pridėkite <b> SEO įskiepių </b>, kad jūsų SEO skydelyje <b> išplėsti funkcijas </b> pagal jūsų\r\nreikalavimas.\r\n            <A href = \"<?=SP_PLUGINSITE?>\" Target = \"_blank\"> SEO įskiepių skydelio </a> yra tiek SEO lange\r\nir trečiųjų šalių svetainių.\r\n            Taip pat galite lengvai <b> sukurti </b> SEO įskiepių jūsų SEO skydelyje.\r\n            Galite <a href = \"<?=SP_PLUGINSITE?>\" Target = \"_blank\"> išsiųskite </a> jūsų SEO įskiepiai SEO skydelyje ir\r\nmes <b> Publikuoti </b> mūsų svetainėje po mūsų <b> peržiūros </b> proceso.\r\n        </P>\r\n    </Li>\r\n    <li>\r\n        <h1> Meta Tag Generator </h1>\r\n        <p>\r\n            Meta žymeles generatorius yra <b> SEO skydelis įskiepiai </b> sukurti <b> Custom meta žymeles </b> mūsų\r\nsvetainę.\r\n            Tai padės mums suteikti <b> daugiau informacijos </b> apie mūsų svetainę į <b> paieškos sistemos robotai </b>\r\no jie nuskaityti mūsų interneto svetainėje.\r\n        </P>\r\n    </Li>\r\n</Ul>\r\n</Fieldset>', '2012-11-07 17:14:11'),
(9965, 'lt', 'home', 'home_cont3', '<fieldset>\r\n<legend> SEO Panel Online ištekliai </legend>\r\n<ul class=\"infobox\">\r\n\r\n    <li>\r\n        <h1> SEO pultas Online ištekliai Nuoroda </h1>\r\n         \r\n         \r\n        <p>\r\n            <a href=\"http://www.seopanel.in\" target=\"_blank\"> SEO Panel Oficiali svetainė </a>\r\n        </p>\r\n        <p>\r\n            <a href = \"<?=SP_DOWNLOAD_LINK?>\" target = \"_blank\"> Atsisiųsti SEO skydas </a>\r\n        </p>\r\n         \r\n        <p>\r\n            <a href = \"<?=SP_DEMO_LINK?>\" target = \"_blank\"> SEO Panel Demo </a>\r\n        </p>\r\n         \r\n        <p>\r\n            <a href = \"<?=SP_CONTACT_LINK?>\" target = \"_blank\"> conatct SEO Panel </a>\r\n        </p>\r\n         \r\n        <p>\r\n            <a href = \"<?=SP_HELP_LINK?>\" target = \"_blank\"> SEO Panel Pagalba vadovas </a>\r\n        </p>\r\n         \r\n        <p>\r\n            <a href = \"<?=SP_FORUM_LINK?>\" target = \"_blank\"> SEO Panel Forumas </a>\r\n        </p>\r\n         \r\n        <p>\r\n            <a href = \"<?=SP_SUPPORT_LINK?>\" target = \"_blank\"> SEO Panel paramos sistema </a>\r\n        </p>\r\n         \r\n        <p>\r\n            <a href = \"<?=SP_DONATE_LINK?>\" target = \"_blank\"> Parama SEO Panel </a>\r\n        </p>\r\n    </li>\r\n     \r\n</ul>\r\n</fieldset>', '2012-11-07 17:14:11'),
(10368, 'ca', 'backlink', 'clickproceedbacklink', 'Introduïu la URL. <b>Una per línia</b>. Cliqueu <b>Procedir</b> per comprobar els Backlinks.', '2012-12-28 14:53:48'),
(9966, 'lt', 'home', 'Indexed', 'Indeksas', '2012-11-07 17:14:11'),
(9967, 'lt', 'home', 'Pages Indexed', 'Puslapio indeksas', '2012-11-07 17:14:11'),
(9968, 'lt', 'home', 'Ranks', 'Eilė', '2012-11-07 17:14:11'),
(9969, 'lt', 'home', 'SiteNameUrl', 'Svetainės pavadinimas / URL', '2012-11-07 17:14:11'),
(9970, 'lt', 'home', 'Website Statistics', 'Svetainės lankomumo statistika', '2012-11-07 17:14:11'),
(9971, 'lt', 'keyword', 'Crawling keyword', 'Nuskaityti raktinį žodį', '2012-11-07 17:40:27'),
(9972, 'lt', 'keyword', 'Detailed Keyword Position Reports', 'Apie raktinius žodžius, ir pranešimas apie jo buvimo vietą', '2012-11-07 17:40:27'),
(9973, 'lt', 'keyword', 'Edit Keyword', 'Redaguoti raktinius žodžius', '2012-11-07 17:40:27'),
(9974, 'lt', 'keyword', 'Graphical Keyword Position Reports', 'Grafiniai žodžiai ir pranešimai apie buvimo vietą', '2012-11-07 17:40:27'),
(9975, 'lt', 'keyword', 'Import Keywords', 'Importuoti raktažodžius', '2012-11-07 17:40:27'),
(9976, 'lt', 'keyword', 'Insert keywords separated with comma', 'Įterpti raktiniai žodžiai, turi būti atskirti kableliais', '2012-11-07 17:40:27'),
(9977, 'lt', 'keyword', 'Keyword already exist', 'Raktinis žodis jau egzistuoja', '2012-11-07 17:40:27'),
(9978, 'lt', 'keyword', 'Keyword Position Report', 'Pozicijos raktažodžių ataskaita', '2012-11-07 17:40:27'),
(9979, 'lt', 'keyword', 'New Keyword', 'Naujas raktinis žodis', '2012-11-07 17:40:27'),
(9980, 'lt', 'keyword', 'not assigned to required search engines', 'nėra priskirta reikalingoms paieškos sistemoms\r\n', '2012-11-07 17:40:27'),
(9981, 'lt', 'keyword', 'pleaseselecttool', 'Prašome pasirinkti mažiausiai vieną SEO įrankiai', '2012-11-07 17:40:27'),
(9982, 'lt', 'keyword', 'Quick Keyword Position Checker', 'Greitas Pozicijos raktažodžių tikrintuvas', '2012-11-07 17:40:27'),
(9983, 'lt', 'keyword', 'results from ', 'Rezultatai iš', '2012-11-07 17:40:27'),
(9984, 'lt', 'keyword', 'Show All results', 'Rodyti visus rezultatus', '2012-11-07 17:40:27'),
(9985, 'lt', 'keyword', 'Successfully crawled keyword', 'Sėkmingai patikrintas raktažodis\r\n', '2012-11-07 17:40:27'),
(9986, 'lt', 'keyword', 'to create new keywords', 'sukurti naujus raktinius žodžius', '2012-11-07 17:40:27'),
(9987, 'lt', 'label', 'already exist', 'jau yra', '2014-01-12 11:42:59'),
(9988, 'lt', 'label', 'Authentication', 'Autorizacija', '2014-01-12 11:42:59'),
(9989, 'lt', 'label', 'Author', 'Autorius', '2014-01-12 11:42:59'),
(9990, 'lt', 'label', 'Brocken', 'Nutrūkęs', '2014-01-12 11:42:59'),
(9991, 'lt', 'label', 'Click Here', 'Spauskite čia', '2014-01-12 11:42:59'),
(9992, 'lt', 'label', 'Comments', 'Komentarai', '2014-01-12 11:42:59'),
(9993, 'lt', 'label', 'Count', 'Skaičiuoti', '2014-01-12 11:42:59'),
(9994, 'lt', 'label', 'Cron', 'Cron', '2014-01-12 11:42:59'),
(9995, 'lt', 'label', 'Daily', 'Kasdien', '2014-01-12 11:42:59'),
(9996, 'lt', 'label', 'Description', 'Aprašymas', '2014-01-12 11:42:59'),
(9997, 'lt', 'label', 'Developers', 'Kūrėjai', '2014-01-12 11:42:59'),
(9998, 'lt', 'label', 'Download', 'Parsisiųsti', '2014-01-12 11:42:59'),
(9999, 'lt', 'label', 'Exclude', 'Išskirti', '2014-01-12 11:42:59'),
(10000, 'lt', 'label', 'Include', 'Įtraukti', '2014-01-12 11:42:59'),
(10001, 'lt', 'label', 'Installation', 'Diegimas', '2014-01-12 11:42:59'),
(10002, 'lt', 'label', 'Keywords', 'Raktiniai žodžiai', '2014-01-12 11:42:59'),
(10003, 'lt', 'label', 'Monthly', 'Mėnesinė', '2014-01-12 11:42:59'),
(10004, 'lt', 'label', 'noactiveplugins', 'Nerasta aktyvių SEO įskiepių!', '2014-01-12 11:42:59'),
(10005, 'lt', 'label', 'Plugin', 'Įskiepis', '2014-01-12 11:42:59'),
(10006, 'lt', 'label', 'Port', 'Portas', '2014-01-12 11:42:59'),
(10007, 'lt', 'label', 'Project', 'Projektas', '2014-01-12 11:42:59'),
(10008, 'lt', 'label', 'Proxy', 'Proxy', '2014-01-12 11:42:59'),
(10009, 'lt', 'label', 'Re-install', 'Perinstaliuoti', '2014-01-12 11:42:59'),
(10010, 'lt', 'label', 'Report Type', 'Ataskaitos tipas', '2014-01-12 11:42:59'),
(10011, 'lt', 'label', 'Score', 'Rezultatas', '2014-01-12 11:42:59'),
(10012, 'lt', 'label', 'Sponsors', 'Rėmėjai', '2014-01-12 11:42:59'),
(10013, 'lt', 'label', 'Title', 'Pavadinimas', '2014-01-12 11:42:59'),
(10014, 'lt', 'label', 'Total Results', 'Viso rezultatų', '2014-01-12 11:42:59'),
(10015, 'lt', 'label', 'translation by', 'išversta', '2014-01-12 11:42:59'),
(10016, 'lt', 'label', 'Translators', 'Vertėjai', '2014-01-12 11:42:59'),
(10017, 'lt', 'label', 'Updated', 'Atnaujinta', '2014-01-12 11:42:59'),
(10018, 'lt', 'label', 'Upgrade', 'Atnaujinti', '2014-01-12 11:42:59'),
(10019, 'lt', 'label', 'Version', 'Versija', '2014-01-12 11:42:59'),
(10020, 'lt', 'label', 'View Reports', 'Peržiūrėti ataskaitas', '2014-01-12 11:42:59'),
(10021, 'lt', 'label', 'wantproceed', 'Ar tikrai norite tęsti?', '2014-01-12 11:42:59'),
(10022, 'lt', 'label', 'Weekly', 'Kartą per savaitę', '2014-01-12 11:42:59'),
(10023, 'lt', 'login', 'Confirm Password', 'Patvirtinkite slaptažodį', '2014-01-12 11:47:43'),
(10024, 'lt', 'login', 'Create my account', 'Sukurkite savo paskyrą', '2014-01-12 11:47:43'),
(10025, 'lt', 'login', 'Create New Account', 'Sukurti naują paskyrą', '2014-01-12 11:47:43'),
(10026, 'lt', 'login', 'Email', 'Pašto adresas', '2014-01-12 11:47:43'),
(10027, 'lt', 'login', 'emailexist', 'Pašto adresas jau egzistuoja!', '2014-01-12 11:47:43'),
(10028, 'lt', 'login', 'Enter the code as it is shown', 'Įveskite kodą, kuris bus rodomas', '2014-01-12 11:47:43'),
(10029, 'lt', 'login', 'First Name', 'Vardas', '2014-01-12 11:47:43'),
(10030, 'lt', 'login', 'Last Name', 'Pavardė', '2014-01-12 11:47:43'),
(10031, 'lt', 'login', 'Login', 'Prisijungti', '2014-01-12 11:47:43'),
(10032, 'lt', 'login', 'Login incorrect', 'Neteisingas vartotojo vardas', '2014-01-12 11:47:43'),
(10033, 'lt', 'login', 'newaccountsuccess', 'Nauja paskyra sukurta sėkmingai!', '2014-01-12 11:47:43'),
(10034, 'lt', 'login', 'Password', 'Slaptažodis', '2014-01-12 11:47:43'),
(10035, 'lt', 'login', 'Password incorrect', 'Neteisingas slaptažodis', '2014-01-12 11:47:43'),
(10036, 'lt', 'login', 'Register', 'Registruotis', '2014-01-12 11:47:43'),
(10037, 'lt', 'login', 'Sign in to your account', 'Prisijunkti prie savo paskyros', '2014-01-12 11:47:43'),
(10038, 'lt', 'login', 'User inactive', 'Neaktyvus vartotojas', '2014-01-12 11:47:43'),
(10039, 'lt', 'login', 'Username', 'Vartotojo vardas', '2014-01-12 11:47:43'),
(10040, 'lt', 'login', 'usernameexist', 'Vartotojo vardas jau egzistuoja!', '2014-01-12 11:47:43'),
(10041, 'lt', 'panel', 'About Us', 'Apie mus', '2014-01-12 11:51:46'),
(10042, 'lt', 'panel', 'Add following command to your cron tab', 'Pridėti šią komandą savo cron skirtuke', '2014-01-12 11:51:46'),
(10043, 'lt', 'panel', 'alsocheckfollowlink', 'Taip pat patikrinkite šią nuorodą, jei jums reikia daugiau informacijos.', '2014-01-12 11:51:46'),
(10044, 'lt', 'panel', 'Archived Reports', 'Ataskaitų archyvas', '2014-01-12 11:51:46'),
(10045, 'lt', 'panel', 'Check Directory', 'Patikrinti katalogą', '2014-01-12 11:51:46'),
(10046, 'lt', 'panel', 'Cron Command', 'Cron komanda', '2014-01-12 11:51:46'),
(10047, 'lt', 'panel', 'Directory Manager', 'Katalogų vedlys', '2014-01-12 11:51:46'),
(10048, 'lt', 'panel', 'Edit My Profile', 'Redaguoti savo profilį', '2014-01-12 11:51:46'),
(10049, 'lt', 'panel', 'Edit Project', 'Redaguoti projektą', '2014-01-12 11:51:46'),
(10050, 'lt', 'panel', 'My Profile', 'Mano paskyra', '2014-01-12 11:51:46'),
(10051, 'lt', 'panel', 'New Project', 'Naujas projektas', '2014-01-12 11:51:46'),
(10052, 'lt', 'panel', 'New Proxy', 'Naujas Proxy', '2014-01-12 11:51:46'),
(10053, 'lt', 'panel', 'New User', 'Naujas vartotojas', '2014-01-12 11:51:46'),
(10054, 'lt', 'panel', 'New Website', 'Nauja svetainė', '2014-01-12 11:51:46'),
(10055, 'lt', 'panel', 'Proxy Manager', 'Proxy vedlys', '2014-01-12 11:51:46'),
(10056, 'lt', 'panel', 'Report Generation Manager', 'Ataskaitų generavimo vedlys', '2014-01-12 11:51:46'),
(10057, 'lt', 'panel', 'Report Settings', 'Ataskaitos nustatymai', '2014-01-12 11:51:46'),
(10058, 'lt', 'panel', 'Reports Manager', 'Ataskaitų vedlys', '2014-01-12 11:51:46'),
(10059, 'lt', 'panel', 'Schedule Reports', 'Ataskaitų tvarkaraštis ', '2014-01-12 11:51:46'),
(10060, 'lt', 'panel', 'Search Engine Manager', 'Paieškos variklių vedlys', '2014-01-12 11:51:46'),
(10061, 'lt', 'panel', 'Seo Plugins Manager', 'SEO įskiepių vedlys', '2014-01-12 11:51:46'),
(10062, 'lt', 'panel', 'Seo Tools Manager', 'SEO įrankių vedlys', '2014-01-12 11:51:46'),
(10063, 'lt', 'panel', 'System Settings', 'Sistemos nustatymai', '2014-01-12 11:51:46'),
(10064, 'lt', 'panel', 'User Manager', 'Vartotojų vedlys', '2014-01-12 11:51:46'),
(10065, 'lt', 'panel', 'Website Manager', 'Sveitainių vedlys', '2014-01-12 11:51:46'),
(10066, 'lt', 'support', 'support_cont1', '<fieldset>\r\n<legend> SEO Panel Support System </legend>\r\n<ul class=\"infobox\">\r\n    <li>\r\n        <h1> 1000 katalogas paketas </h1>\r\n        <p>\r\n            Mes teikiame <b> 1000 nemokamų aktyvus ir patikrinta </b> Internet Directory paketas, pridėti į\r\njūsų SEO skydelis <b> katalogas pateikimo įrankis </b>.\r\n            Tai padės jums <b> padidinti Atgalinės nuorodos </b> savo interneto svetainėse.\r\n            Tiesą sakant, 1000 Rodyklės sąrašas <b> pristatė </b> surinkti šiek tiek pinigų <b> ateitis\r\nplėtra </b> SEO skydelyje.\r\n            Gauti 1000 katalogas sąrašas prašome <a href = \"<?=SP_DONATE_LINK?>\" Target = \"_blank\"> dovanoti </a>\r\n$ 10 ar daugiau, siekiant pagerinti SEO skydelio funkcijas.\r\n            Jei turite klausimų apie 1000 katalogo paketą, prašome <a href = \"<?=SP_CONTACT_LINK?>\"\r\ntarget = \"_blank\"> Susisiekite su mumis </a> arba atidaryti bilietą <a href = \"<?=SP_SUPPORT_LINK?>\"\r\ntarget = \"_blank\"> palaikymo sistema </a>.\r\n        </P>\r\n        <p>\r\n            <A href = \"<?=SP_DONATE_LINK?>\" Target = \"_blank\"> Aplankykite šią nuorodą, norėdami paaukoti SEO skydelyje </a>\r\n        </P>\r\n        <br>\r\n    </Li>\r\n     \r\n    <li>\r\n        <h1> Vietinė paieška Varikliai paketas </h1>\r\n        <p>\r\n            Pridėti <b> vietos paieškos domenų </b>, Google, Yahoo, MSN (<b> pvz.: www.google.de, www.google.fr\r\ntt </b>) SEO skydelio <b> raktinio žodžio poziciją tikrintuvas </b>, sekti savo svetainės Perfomance vietoje.\r\n            Gauti vietos paieškos variklius paketą (pagal jūsų reikalavimą) <a\r\nhref = \"<?=SP_DONATE_LINK?>\" target = \"_blank\"> dovanoti </a>, $ 10 ar daugiau, siekiant pagerinti SEO funkcijos\r\nskydelis.\r\n            Prieš siųsdami donorystei, prašome <a href = \"<?=SP_CONTACT_LINK?>\" Target = \"_blank\"> Susisiekite su mumis </a>, kad\r\nPateikite mums reikalingą paieškos domeno sąrašą.\r\n            <br>\r\n            Taip pat pridėti <b> paieškos sistemų (pvz.: baidu.com) </b> savo SEO skydelio raktinio žodžio poziciją tikrintuvas,\r\nprašom <a href = \"<?=SP_CONTACT_LINK?>\" target = \"_blank\"> Susisiekite su mumis </a> arba atidaryti bilietą <a\r\nhref = \"<?=SP_SUPPORT_LINK?>\" target = \"_blank\"> palaikymo sistema </a>.\r\n        </P>\r\n        <p class=\"visit\">\r\n            <A href = \"<?=SP_CONTACT_LINK?>\" Target = \"_blank\"> Aplankykite šią nuorodą, susisiekite su mumis </a>\r\n        </P>\r\n        <br>\r\n    </Li>\r\n     \r\n    <li>\r\n        <h1> SEO Panel Įskiepiai </h1>\r\n        <p>\r\n            Pridėkite <b> SEO įskiepių </b>, kad jūsų SEO skydelyje <b> išplėsti funkcijas </b> pagal jūsų\r\nreikalavimas.\r\n            <A href = \"<?=SP_PLUGINSITE?>\" Target = \"_blank\"> SEO įskiepių skydelio </a> yra tiek SEO lange\r\nir trečiųjų šalių svetainių.\r\n            Taip pat galite lengvai <b> sukurti </b> SEO įskiepių jūsų SEO skydelyje.\r\n            Galite <a href = \"<?=SP_PLUGINSITE?>\" Target = \"_blank\"> išsiųskite </a> jūsų SEO įskiepiai SEO skydelyje ir\r\nmes <b> Publikuoti </b> mūsų svetainėje po mūsų <b> peržiūros </b> proceso.\r\n        </P>\r\n        <p>\r\n            <A href = \"<?=SP_PLUGINSITE?>\" Target = \"_blank\"> Aplankykite šią nuorodą, norėdami gauti SEO skydelis įskiepių </a>\r\n        </P>\r\n        <br>\r\n    </Li>\r\n    <li>\r\n        <h1> Kontaktai </h1>\r\n        <p>\r\n            Susisiekite su mumis dėl kiltų klausimų apie <b> SEO Panel įrankių, įskiepių ir funkcijos ir tt </b> naudodami žemiau\r\nnuorodą.\r\n        </P>\r\n        <p>\r\n            <A href = \"<?=SP_CONTACT_LINK?>\" Target = \"_blank\"> Aplankykite šią nuorodą, susisiekite su mumis </a>\r\n        </P>\r\n        <br>\r\n    </Li>\r\n    <li>\r\n        <h1> Palaikymo Bilietai </h1>\r\n        <p>\r\n            Gauti <b> techninę pagalbą </b> SEO skydelio komanda sukonfigūruoti į <b> seo pulto priemones, įskiepių ir\r\nfunkcijų </b>. Pvz.: Norėdami sukurti cron raktinio žodžio poziciją tikrintuvas.\r\n        </P>\r\n        <p>\r\n            <A href = \"<?=SP_SUPPORT_LINK>\" target = \"_blank\"> Apsilankykite šią nuorodą, norėdami sukurti paramos bilietą </a>\r\n        </P>\r\n        <br>\r\n    </Li>\r\n    <li>\r\n        <h1> pranešti apie klaidas </h1>\r\n        <p>\r\n            Pranešti <b> klaidas </b> apie <b> seo skydelio įrankiai, įskiepių ir funkcijos ir tt </b> naudodami žemiau nuorodą.\r\n            prašome padėti mums pagerinti funkcijų, vėlesnėse redakcijose.\r\n        </P>\r\n        <p>\r\n            <A href = \"<?=SP_SUPPORT_LINK?>\" Target = \"_blank\"> Aplankykite šią nuorodą, norėdami pranešti apie klaidas </a>\r\n        </P>\r\n        <br>\r\n    </Li>\r\n</Ul>\r\n</Fieldset>', '2012-11-07 18:09:31'),
(10369, 'ca', 'backlink', 'Saved backlink results of', 'Resultats dels backlinks de', '2012-12-28 14:53:48'),
(10067, 'lt', 'support', 'support_cont2', '<fieldset>\r\n<legend> SEO Panel Online ištekliai </legend>\r\n<ul class=\"infobox\">\r\n         \r\n    <li>\r\n        <h1> SEO Panel Pagalba vadovas </h1>\r\n        <p>\r\n            <A href = \"<?=SP_HELP_LINK?>\" Target = \"_blank\"> SEO skydelis dokumentacijos </a> galite peržiūrėti\r\n<b> Pagalba gidas </b>, yra <b> dokumentus </b> SEO skydelio įrankiai, įskiepių ir su jais susijusi\r\nfunkcijos.\r\n            IT yra geriausia vieta internete <b> gauti pagalbos </b> apie SEO skydelyje. Tikimės, kad Jūs\r\n<b> prisidėti </b>, SEO skydelio pagalbos vadovą, jei radote klaidų ar daiktus trūkstamas.\r\n        </p>\r\n        <p>\r\n            <a href = \"<?=SP_HELP_LINK>\" target = \"_blank\"> Visit SEO skydelis Pagalba gidas </a>\r\n        </p>\r\n        <br>\r\n    </li>\r\n    <li>\r\n        <h1> SEO Panel Forumas </h1>\r\n        <p>\r\n            Vieta diskutuoti apie pirmąjį pasaulyje atviro kodo <b> SEO valdymo skydelio </b>.\r\n            Tai yra geriausia vieta rasti <b> atsakymus </b> <b> jūsų klausimus </b> apie SEO skydelyje.\r\n            <br> Taip pat galite <b> dalis </b> Jūsų <b> patirtis </b>, naudojant SEO, kaip optimizuoti savo skydelį\r\ninterneto svetainėse.\r\n        </p>\r\n        <p>\r\n            <a href = \"<?=SP_FORUM_LINK?>\" target = \"_blank\"> Visit SEO skydelis forumas </a>\r\n        </p>\r\n        <br>\r\n    </li>\r\n</ul>\r\n</fieldset>', '2012-11-07 18:09:31'),
(10068, 'lt', 'support', 'support_cont3', '<fieldset>\r\n<legend> Paaukoti SEO skydo </legend>\r\n<ul class=\"infobox\">\r\n    <li>\r\n        <h1> Paaukoti SEO Panel - Pirmasis atviras šaltinis SEO valdymo pulto pasaulyje </h1>\r\n        <p>\r\n            <b> Paaukok </b> SEO kolegiją remti pirmąją atviro kodo SEO valdymo pultą pasaulyje.\r\n            Mes planuojame <b> pridėti ir pagerinti </b> SEO skydelio savybes ateityje.\r\n            , <br> <b> paramą </b> tik mes galime pasiekti mūsų <b> tikslus </b>.\r\n            Jei manote, kad SEO skydelis yra <b> verta </b> jums, prašome paaukoti tam tikrą sumą SEO skydelio komanda.\r\n            <br> <b> Publikuoti </b> savo vardą ir svetainės informacija <a href = \"<?=SP_DONATE_LINK?>\"\r\ntarget = \"_blank\"> donorystė puslapis </a>, kai mes gauname donorystę.\r\n        </p>\r\n        <p>\r\n            <a href = \"<?=SP_DONATE_LINK?>\" target = \"_blank\"> Aplankykite šią nuorodą, norėdami paaukoti SEO skydelyje </a>\r\n        </p>\r\n        <br>\r\n    </li>\r\n</ul>\r\n</fieldset>', '2012-11-07 18:09:31'),
(10069, 'lt', 'seotools', 'Auditor Projects', 'Audito pojektai', '2012-11-07 18:31:49'),
(10070, 'lt', 'seotools', 'Auditor Reports', 'Audito ataskaitos', '2012-11-07 18:31:49'),
(10071, 'lt', 'seotools', 'Auditor Settings', 'audito nustatymai', '2012-11-07 18:31:49'),
(10072, 'lt', 'seotools', 'Automatic Submission', 'Automatinis pateikimas', '2012-11-07 18:31:49'),
(10073, 'lt', 'seotools', 'backlink-checker', 'Atgalinės nuorodos tikrintuvas', '2012-11-07 18:31:49'),
(10074, 'lt', 'seotools', 'Backlinks Reports', 'Atgalinės ataskaitos', '2012-11-07 18:31:49'),
(10075, 'lt', 'seotools', 'Check Submission Status', 'Patikrinkite pateikimo būsena', '2012-11-07 18:31:49'),
(10076, 'lt', 'seotools', 'clickgeneratereports', 'Paspauskite ant <b>, Tęsiasi </b>, kad generuoti ataskaitas', '2012-11-07 18:31:49'),
(10077, 'lt', 'seotools', 'Detailed Position Reports', 'Išsami ataskaita apie jo buvimo vietą', '2012-11-07 18:31:49'),
(10078, 'lt', 'seotools', 'directory-submission', 'katalogo pateikimas', '2012-11-07 18:31:49'),
(10079, 'lt', 'seotools', 'Featured Submission', 'Teminiai pateikimas', '2012-11-07 18:31:49'),
(10080, 'lt', 'seotools', 'Generate Backlinks Reports', 'Rodytas pateikimas', '2012-11-07 18:31:49'),
(10081, 'lt', 'seotools', 'Generate Keyword Reports', 'Generuoti raktinius žodžius ataskaitose', '2012-11-07 18:31:49'),
(10082, 'lt', 'seotools', 'Generate Rank Reports', 'Generuoti eilės ataskaitas', '2012-11-07 18:31:49'),
(10083, 'lt', 'seotools', 'Generate Saturation Reports', 'Generuoti prisotinimo ataskaitas', '2012-11-07 18:31:49'),
(10084, 'lt', 'seotools', 'Google Sitemap Generator', 'Google sistemos žemėlapio generatorius', '2012-11-07 18:31:49'),
(10085, 'lt', 'seotools', 'Graphical Position Reports', 'Grafiniai pranešimai apie buvimo vietą,', '2012-11-07 18:31:49'),
(10086, 'lt', 'seotools', 'Import Project Links', 'Importuoti projekto Nuorodas', '2012-11-07 18:31:49'),
(10087, 'lt', 'seotools', 'Keyword Position Summary', 'Pozicijos raktažodžių santrauka', '2012-11-07 18:31:49');
INSERT INTO `texts` (`id`, `lang_code`, `category`, `label`, `content`, `changed`) VALUES
(10088, 'lt', 'seotools', 'keyword-position-checker', 'Pozicijos raktažodžių tikrintuvas', '2012-11-07 18:31:49'),
(10089, 'lt', 'seotools', 'Keywords Manager', 'Raktažodžių vadovas', '2012-11-07 18:31:49'),
(10090, 'lt', 'seotools', 'Quick Backlinks Checker', 'Greitas atgalinis tikrintuvas', '2012-11-07 18:31:49'),
(10091, 'lt', 'seotools', 'Quick Position Checker', 'Greita Pozicija tikrintuvas', '2012-11-07 18:31:49'),
(10092, 'lt', 'seotools', 'Quick Rank Checker', 'greitas eilės patikrinimas', '2012-11-07 18:31:49'),
(10093, 'lt', 'seotools', 'Quick Saturation Checker', 'greitas prisotinimo patikrinimas', '2012-11-07 18:31:49'),
(10094, 'lt', 'seotools', 'Rank Reports', 'Eilės ataskaitos', '2012-11-07 18:31:49'),
(10095, 'lt', 'seotools', 'rank-checker', 'Eilės patikrinimas', '2012-11-07 18:31:49'),
(10096, 'lt', 'seotools', 'Saturation Reports', 'Prisotinimo ataskaita', '2012-11-07 18:31:49'),
(10097, 'lt', 'seotools', 'saturation-checker', 'Paieškos sistemos Prisotinimas', '2012-11-07 18:31:49'),
(10098, 'lt', 'seotools', 'site-auditor', 'Svetainės auditorius', '2012-11-07 18:31:49'),
(10099, 'lt', 'seotools', 'sitemap-generator', 'sistemos žemėlaio generatorius', '2012-11-07 18:31:49'),
(10100, 'lt', 'seotools', 'Skipped Directories', 'Trūkstami katalogai', '2012-11-07 18:31:49'),
(10101, 'lt', 'seotools', 'Submission Reports', 'Pateikimo ataskaitos', '2012-11-07 18:31:49'),
(10102, 'lt', 'seotools', 'User Access', 'Vartotojo prieigos', '2012-11-07 18:31:49'),
(10103, 'lt', 'settings', 'Check for Updates', 'Tikrinkite atnaujinimus', '2012-11-09 09:53:31'),
(10104, 'lt', 'settings', 'Click here to become a sponsor for Seo Panel', '<b> Paaukojus $ 100 </ b> tapsite <b> rėmėjais </ b> SEO Panel.', '2012-11-09 09:53:31'),
(10105, 'lt', 'settings', 'entersmtpdetails', 'Prašome įvesti SMTP pašto konfigūraciją', '2012-11-09 09:53:31'),
(10106, 'lt', 'settings', 'getallpluginfree', 'Taip pat gauti visus <b> įskiepių </ b>, mes sukursime <b> nemokamai! </ B>', '2012-11-09 09:53:31'),
(10107, 'lt', 'settings', 'SA_CRAWL_DELAY_TIME', 'Svetainės auditorius nuskaito atidėliojimą tarp kiekvieno puslapio', '2012-11-09 09:53:31'),
(10108, 'lt', 'settings', 'SA_MAX_NO_PAGES', 'Maksimalus svetainėje leidžiamas puslapių skaičius', '2012-11-09 09:53:31'),
(10109, 'lt', 'settings', 'seopanel_description', 'Pilnas nemokamas valdymo pultas ieškant variklio optimizavimo jūsų interneto svetainėse. Kurių sudėtyje yra daug karšto SEO įrankių didinti ir sekti atlikimus savo interneto svetainėse. Atviro\r\nkodo programinė įranga ir taip pat galite sukurti savo SEO įskiepius SEO skydelyje.', '2012-11-09 09:53:31'),
(10110, 'lt', 'settings', 'seopanel_title', 'Seo skydas: pirmasis pasaulyje atviro kodo SEO valdymo pultas valdyti daug interneto svetainių', '2012-11-09 09:53:31'),
(10111, 'lt', 'settings', 'SP_ALLOW_USER_SCHEDULE_REPORT', 'Leisti vartotojams planuoti ataskaitą', '2012-11-09 09:53:31'),
(10112, 'lt', 'settings', 'SP_API_KEY', 'SEO skydelio API raktas', '2012-11-09 09:53:31'),
(10113, 'lt', 'settings', 'SP_CRAWL_DELAY', 'Delsimas tarp kiekvieno voro nuskaitymo (sekundės)', '2012-11-09 09:53:31'),
(10114, 'lt', 'settings', 'SP_DEFAULTLANG', 'Numatyta kalba', '2012-11-09 09:53:31'),
(10115, 'lt', 'settings', 'SP_DESCRIPTION', 'SEO skydelio aprašymas', '2012-11-09 09:53:31'),
(10116, 'lt', 'settings', 'SP_ENABLE_PROXY', 'Įjungti įgaliojimą', '2012-11-09 09:53:31'),
(10117, 'lt', 'settings', 'SP_HOTLINKING', 'Paveikslėlio su nuoroda, apsauga įjungta', '2012-11-09 09:53:31'),
(10118, 'lt', 'settings', 'SP_KEYWORDS', 'SEO skydo raktažodžiai', '2012-11-09 09:53:31'),
(10119, 'lt', 'settings', 'SP_NUMBER_KEYWORDS_CRON', 'Raktinių žodžių skaičius turėtų būti patikrintas kiekvienoame cron vykdyme', '2012-11-09 09:53:31'),
(10120, 'lt', 'settings', 'SP_PAGINGNO', 'apsilankymo skaičius puslapyje', '2012-11-09 09:53:31'),
(10121, 'lt', 'settings', 'SP_REPORT_EMAIL_NOTIFICATION', 'Įjungti pranešimą elektroniniu paštu,\r\n', '2012-11-09 09:53:31'),
(10122, 'lt', 'settings', 'SP_SMTP_HOST', 'SMTP Šeimininkas', '2012-11-09 09:53:31'),
(10123, 'lt', 'settings', 'SP_SMTP_MAIL', 'Įjungti SMTP', '2012-11-09 09:53:31'),
(10124, 'lt', 'settings', 'SP_SMTP_PASSWORD', 'SMTP pasvordas', '2012-11-09 09:53:31'),
(10125, 'lt', 'settings', 'SP_SMTP_USERNAME', 'SMTP vartotojo vardas', '2012-11-09 09:53:31'),
(10126, 'lt', 'settings', 'SP_SYSTEM_REPORT_INTERVAL', 'Sistema ataskaitos generavimo intervalas', '2012-11-09 09:53:31'),
(10127, 'lt', 'settings', 'SP_TITLE', 'SEO skydelio pavadinimas', '2012-11-09 09:53:31'),
(10128, 'lt', 'settings', 'SP_USER_AGENT', 'Vartotojo atstovas', '2012-11-09 09:53:31'),
(10129, 'lt', 'settings', 'SP_USER_GEN_REPORT', 'Leidžia vartotojui kurti ataskaitas', '2012-11-09 09:53:31'),
(10130, 'lt', 'settings', 'SP_USER_REGISTRATION', 'Vartotojo registracijos sąsaja', '2012-11-09 09:53:31'),
(10131, 'lt', 'settings', 'syssettingssaved', 'Sistemos nustatymai išsaugoti sėkmingai!', '2012-11-09 09:53:31'),
(10132, 'lt', 'settings', 'versionnotuptodatemsg', 'Jūsų SEO skydo įrengimas nėra atnaujintas. <br> Prašome atsisiųsti naują versiją', '2012-11-09 09:53:31'),
(10133, 'lt', 'settings', 'Your Seo Panel installation is up to date', 'Jūsų SEO skydelio montavimas yra atnaujinamas.', '2012-11-09 09:53:31'),
(10134, 'lt', 'siteauditor', 'Anchor', 'Inkaras', '2012-11-07 21:26:12'),
(10135, 'lt', 'siteauditor', 'anylinkcontainabovelinks', 'Bet kokios nuorodos virš nuorodos bus pašalintos iš ataskaitų', '2012-11-07 21:26:12'),
(10136, 'lt', 'siteauditor', 'anylinkcontainexcludesitemap', 'Bet kokios nuorodos virš nuorodos, bus pašalintos iš svetainės struktūros', '2012-11-07 21:26:12'),
(10137, 'lt', 'siteauditor', 'Check backlinks of pages', 'Patikrinti atgalinės nuorodos puslapius', '2012-11-07 21:26:12'),
(10138, 'lt', 'siteauditor', 'Check broken links in a page', 'Patikrinkite neveikiančias nuorodas į puslapį', '2012-11-07 21:26:12'),
(10139, 'lt', 'siteauditor', 'Check google pagerank of pages', 'Patikrinkite Google puslapių numerius puslapiuose', '2012-11-07 21:26:12'),
(10140, 'lt', 'siteauditor', 'Check pages indexed or not', 'Patikrinkite ar puslapiai indeksuojami', '2012-11-07 21:26:12'),
(10141, 'lt', 'siteauditor', 'Check Score', 'Patikrinti rezultatą', '2012-11-07 21:26:12'),
(10142, 'lt', 'siteauditor', 'checkborckenlinkwait', 'Patikrinkite Brocken nuorodas, kurios padidins projekto vykdymo laiko', '2012-11-07 21:26:12'),
(10143, 'lt', 'siteauditor', 'Completed project execution', 'Baigtas vykdyti projektas', '2012-11-07 21:26:12'),
(10144, 'lt', 'siteauditor', 'Crawled', 'Nuskaityti, patikrinti', '2012-11-07 21:26:12'),
(10145, 'lt', 'siteauditor', 'Crawled Pages', 'Patikrinti puslapiai', '2012-11-07 21:26:12'),
(10146, 'lt', 'siteauditor', 'crawledsuccesssfullywaitfornext', 'Patikrinimas sėkmingas! Laukiama nuskaitymo kitame puslapyje', '2012-11-07 21:26:12'),
(10147, 'lt', 'siteauditor', 'Crawling Page', 'Nuskaitomas puslapis', '2012-11-07 21:26:12'),
(10148, 'lt', 'siteauditor', 'Duplicate Description', 'Pasikarotjantis aprašymas', '2012-11-07 21:26:12'),
(10149, 'lt', 'siteauditor', 'Duplicate Keywords', 'Pasikartojantys raktiniai žodžiai', '2012-11-07 21:26:12'),
(10150, 'lt', 'siteauditor', 'Duplicate Title', 'Pasikarotjantis pavadinimas', '2012-11-07 21:26:12'),
(10151, 'lt', 'siteauditor', 'Exclude links', 'Išskirkite nuorodas', '2012-11-07 21:26:12'),
(10152, 'lt', 'siteauditor', 'Execute with cron', 'Vykdyti su cron', '2012-11-07 21:26:12'),
(10153, 'lt', 'siteauditor', 'External', 'Išorinis', '2012-11-07 21:26:12'),
(10154, 'lt', 'siteauditor', 'External Links', 'Išorinės nuorodos', '2012-11-07 21:26:12'),
(10155, 'lt', 'siteauditor', 'Import Project Links', 'Importuoti projekto nuorodas', '2012-11-07 21:26:12'),
(10156, 'lt', 'siteauditor', 'Insert links separated with comma', 'Įterpti nuorodas, atskirtas kableliu', '2012-11-07 21:26:12'),
(10157, 'lt', 'siteauditor', 'insertlinkssepcoma', 'Įterpti nuorodas, atskirtas kableliu, neįtraukti begalinių nuorodų iš ataskaitų', '2012-11-07 21:26:12'),
(10158, 'lt', 'siteauditor', 'Link Reports', 'Nuoroda ataskaitos', '2012-11-07 21:26:12'),
(10159, 'lt', 'siteauditor', 'Link Title', 'Nuorodos pavadinimas', '2012-11-07 21:26:12'),
(10160, 'lt', 'siteauditor', 'Maximum number of pages to be checked', 'Maksimalus puslapių skaičius turi būti patikrintas', '2012-11-07 21:26:12'),
(10161, 'lt', 'siteauditor', 'Maximum Pages', 'Maksimalus puslapių skaičius', '2012-11-07 21:26:12'),
(10162, 'lt', 'siteauditor', 'No active projects found', 'Aktyvių projektų nerasta', '2012-11-07 21:26:12'),
(10163, 'lt', 'siteauditor', 'Nofollow', 'Nesusektas', '2012-11-07 21:26:12'),
(10164, 'lt', 'siteauditor', 'Number of pages is greater than', 'Puslapių skaičius yra didesnis nei', '2012-11-07 21:26:12'),
(10165, 'lt', 'siteauditor', 'Number of pages should be greater than', 'Puslapių skaičius turėtų būti didesnis nei', '2012-11-07 21:26:12'),
(10166, 'lt', 'siteauditor', 'Page Details', 'Puslapio informacija', '2012-11-07 21:26:12'),
(10167, 'lt', 'siteauditor', 'Page Link', 'Šio puslapio nuoroda', '2012-11-07 21:26:12'),
(10168, 'lt', 'siteauditor', 'Page Links', 'Puslapio nuorodos', '2012-11-07 21:26:12'),
(10169, 'lt', 'siteauditor', 'Pages Found', 'Surasti puslapiai', '2012-11-07 21:26:12'),
(10170, 'lt', 'siteauditor', 'pressescapetostopexecution', 'Spauskite <b> pabėgti </ b> raktą, kad sustabdyti vykdomą scenarijų\r\n', '2012-11-07 21:26:12'),
(10171, 'lt', 'siteauditor', 'Project Summary', 'Projekto santrauka', '2012-11-07 21:26:12'),
(10172, 'lt', 'siteauditor', 'Project Url', 'Projekto sveitainės adresas', '2012-11-07 21:26:12'),
(10173, 'lt', 'siteauditor', 'projectalreadyexist', 'Projektas šioje svetainėje jau egzistuoja', '2012-11-07 21:26:12'),
(10174, 'lt', 'siteauditor', 'Recheck Pages', 'Iš naujo tikrinkite puslapius', '2012-11-07 21:26:12'),
(10175, 'lt', 'siteauditor', 'Report Summary', 'Ataskaitos santrauka', '2012-11-07 21:26:12'),
(10176, 'lt', 'siteauditor', 'Run Project', 'Vykdyti projektą', '2012-11-07 21:26:12'),
(10177, 'lt', 'siteauditor', 'should start with', 'Turėtų prasidėti su', '2012-11-07 21:26:12'),
(10178, 'lt', 'siteauditor', 'Site Auditor Settings', 'Svetainės auditoriaus nustatymai', '2012-11-07 21:26:12'),
(10179, 'lt', 'siteauditor', 'Store all links found in a page', 'Sukaupkite visas nuorodas, surastas puslapyje', '2012-11-07 21:26:12'),
(10180, 'lt', 'siteauditor', 'The page description length is not between', 'Puslapio aprašymo ilgis yra ne tarp', '2012-11-07 21:26:12'),
(10181, 'lt', 'siteauditor', 'The page is brocken', 'Šis puslapis yra sugadintas', '2012-11-07 21:26:12'),
(10182, 'lt', 'siteauditor', 'The page is having exellent number of backlinks in', 'Puslapis turi puikias skaičių atgalines nuorodas\r\n', '2012-11-07 21:26:12'),
(10183, 'lt', 'siteauditor', 'The page is having exellent pagerank', 'Puslapis turi puikia paieškos kriterijų', '2012-11-07 21:26:12'),
(10184, 'lt', 'siteauditor', 'The page is having good number of backlinks in', 'Puslapis turi geras skaičių atgalines nuorodas', '2012-11-07 21:26:12'),
(10185, 'lt', 'siteauditor', 'The page is having good pagerank', 'Puslapis turi gerą paieškos kriterijų', '2012-11-07 21:26:12'),
(10186, 'lt', 'siteauditor', 'The page is having poor pagerank', 'Šis puslapis turi blogą paieškos kriterijų', '2012-11-07 21:26:12'),
(10187, 'lt', 'siteauditor', 'The page is having very good pagerank', 'Puslapis turi labai gera paieškos kriterijų', '2012-11-07 21:26:12'),
(10188, 'lt', 'siteauditor', 'The page is not having backlinks in', 'Puslapyje nėra atgalinės nuorodos', '2012-11-07 21:26:12'),
(10189, 'lt', 'siteauditor', 'The page is not indexed in', 'Puslapiai nėra indeksuojami', '2012-11-07 21:26:12'),
(10190, 'lt', 'siteauditor', 'The page keywords length is not between', 'Raktažodžių puslapyje ilgis yra ne tarp', '2012-11-07 21:26:12'),
(10191, 'lt', 'siteauditor', 'The page title length is not between', 'Puslapio pavadinimą ilgis yra ne tarp', '2012-11-07 21:26:12'),
(10192, 'lt', 'siteauditor', 'The total number of links in page is greater than', 'Nuorodų skaičius puslapyje yra didesnis nei', '2012-11-07 21:26:12'),
(10193, 'lt', 'siteauditor', 'to run project again if you stopped execution', 'Vykdyti projektą dar kartą, jei Jūs baigėte vykdymą', '2012-11-07 21:26:12'),
(10194, 'lt', 'siteauditor', 'to view the reports', 'Peržiūrėti ataskaitas', '2012-11-07 21:26:12'),
(10195, 'lt', 'siteauditor', 'Total Links', 'Iš viso Nuorodų', '2012-11-07 21:26:12'),
(10196, 'lt', 'siteauditor', 'totallinksgreaterallowed', 'Iš visų nuorodų taps didesnis nei maksimalios nuorodos projektui leidžiama\r\n', '2012-11-07 21:26:12'),
(10197, 'en', 'directory', 'Directories with out Reciprocal Link', 'Directories with out Reciprocal Link', '2012-11-08 19:15:07'),
(10198, 'en', 'directory', 'clickaddfeatureddirectory', 'Click here to add your own featured directory here', '2012-11-08 19:15:07'),
(10199, 'en', 'directory', 'Coupon Offer', 'Coupon Offer', '2012-11-08 19:15:07'),
(10200, 'en', 'settings', 'SP_RELATIVE_LINK_CRAWL', 'Crawl relative links in a page', '2018-01-22 19:59:29'),
(10201, 'en', 'label', 'Select All', 'Select All', '2012-11-08 19:15:07'),
(10202, 'en', 'label', 'Clear All', 'Clear All', '2012-11-08 19:15:07'),
(10203, 'en', 'label', 'Current', 'Current', '2012-11-08 19:15:07'),
(10204, 'en', 'theme', 'Download Seo Panel Themes', 'Download Seo Panel Themes', '2012-11-08 19:15:07'),
(10205, 'en', 'label', 'Theme', 'Theme', '2012-11-08 19:15:07'),
(10206, 'en', 'panel', 'Themes Manager', 'Themes Manager', '2012-11-08 19:15:07'),
(10207, 'it', 'common', 'Dashboard', 'Dashboard', '2022-07-11 11:16:48'),
(10208, 'it', 'common', 'Home', 'Home', '2022-07-11 11:16:48'),
(10209, 'it', 'common', 'Powered by', 'Creato da', '2022-07-11 11:16:48'),
(10210, 'it', 'directory', 'clickaddfeatureddirectory', 'Clicca qui per aggiungere una propria directory in evidenza qui', '2012-11-08 19:50:02'),
(10211, 'it', 'directory', 'Coupon Offer', 'Codice sconto', '2012-11-08 19:50:02'),
(10212, 'it', 'directory', 'Directories with out Reciprocal Link', 'Directory senza link reciproci', '2012-11-08 19:50:02'),
(10213, 'it', 'label', 'Clear All', 'Ripulisci tuto', '2022-07-11 11:17:58'),
(10214, 'it', 'label', 'Current', 'Attuale', '2022-07-11 11:17:58'),
(10215, 'it', 'label', 'Select All', 'Seleziona tutto', '2022-07-11 11:17:58'),
(10216, 'it', 'label', 'Theme', 'Tema', '2022-07-11 11:17:58'),
(10217, 'it', 'panel', 'Themes Manager', 'Gestione tema', '2022-07-11 11:20:07'),
(10218, 'it', 'settings', 'SP_RELATIVE_LINK_CRAWL', 'Crawler relativi i link in una pagina', '2018-08-21 07:16:32'),
(10219, 'it', 'theme', 'Download Seo Panel Themes', 'Scarica i temi del Seo Panel', '2012-11-08 19:52:27'),
(10220, 'ja', 'common', 'Dashboard', 'ダッシュボード', '2019-05-25 18:40:02'),
(10221, 'ja', 'common', 'Home', 'ホーム', '2019-05-25 18:40:02'),
(10222, 'ja', 'common', 'Powered by', 'Powered by', '2019-05-25 18:40:02'),
(10223, 'ja', 'directory', 'clickaddfeatureddirectory', '独自のディレクトリを追加するにはここをクリック', '2012-11-09 04:20:41'),
(10224, 'ja', 'directory', 'Coupon Offer', 'クーポンオファー', '2012-11-09 04:20:41'),
(10225, 'ja', 'directory', 'Directories with out Reciprocal Link', '相互リンクなしのディレクトリ', '2012-11-09 04:20:41'),
(10226, 'ja', 'label', 'Clear All', 'すべてクリア', '2019-04-01 09:45:51'),
(10227, 'ja', 'label', 'Current', '現在（最新）', '2019-04-01 09:45:51'),
(10228, 'ja', 'label', 'Select All', 'すべて選択', '2019-04-01 09:45:51'),
(10229, 'ja', 'label', 'Theme', 'テーマ', '2019-04-01 09:45:51'),
(10230, 'ja', 'panel', 'Themes Manager', 'テーママネージャー', '2019-04-01 09:46:57'),
(10231, 'ja', 'settings', 'SP_RELATIVE_LINK_CRAWL', 'ページ内の相対リンクをクロール', '2019-04-01 09:52:17'),
(10232, 'ru', 'common', 'Dashboard', 'Панель управления', '2024-07-17 11:16:33'),
(10233, 'ru', 'common', 'Home', 'Домашняя', '2024-07-17 11:16:33'),
(10234, 'ru', 'common', 'Powered by', 'Работает на', '2024-07-17 11:16:33'),
(10235, 'ru', 'directory', 'clickaddfeatureddirectory', 'Нажмите здесь для добавления своих каталогов', '2012-11-09 06:03:15'),
(10236, 'ru', 'directory', 'Coupon Offer', 'Предложить купон', '2012-11-09 06:03:15'),
(10237, 'ru', 'directory', 'Directories with out Reciprocal Link', 'Каталоги с обратной ссылкой', '2012-11-09 06:03:15'),
(10238, 'ru', 'label', 'Clear All', 'Очистить все', '2024-07-17 11:17:22'),
(10239, 'ru', 'label', 'Current', 'Актуально', '2024-07-17 11:17:22'),
(10240, 'ru', 'label', 'Select All', 'Выбрать все', '2024-07-17 11:17:22'),
(10241, 'ru', 'label', 'Theme', 'Тема', '2024-07-17 11:17:22'),
(10242, 'ru', 'panel', 'Themes Manager', 'Управление шаблонами', '2024-07-17 11:19:14'),
(10243, 'ru', 'settings', 'SP_RELATIVE_LINK_CRAWL', 'Сканирование обратных ссылок на страницах', '2024-07-17 11:22:42'),
(10244, 'ru', 'theme', 'Download Seo Panel Themes', 'Скачать темы для Seo Panel', '2012-11-09 06:26:02'),
(10245, 'lt', 'directory', 'clickaddfeatureddirectory', 'Pridėkite savo mėgstamą direktoriją čia', '2014-01-12 11:36:58'),
(10246, 'lt', 'directory', 'Coupon Offer', 'Kupono pasiūlymas', '2014-01-12 11:36:58'),
(10247, 'lt', 'directory', 'Directories with out Reciprocal Link', 'Žinynai su abipusiu nuorodų apsikeitimu\r\n', '2014-01-12 11:36:58'),
(10248, 'lt', 'label', 'Clear All', 'Išvalyti viską', '2014-01-12 11:42:59'),
(10249, 'lt', 'label', 'Current', 'Dabartinis', '2014-01-12 11:42:59'),
(10250, 'lt', 'label', 'Select All', 'Pasirinkiti Viską', '2014-01-12 11:42:59'),
(10251, 'lt', 'label', 'Theme', 'Tema', '2014-01-12 11:42:59'),
(10252, 'lt', 'panel', 'Themes Manager', 'Temų vedlys', '2014-01-12 11:51:46'),
(10253, 'lt', 'settings', 'SP_RELATIVE_LINK_CRAWL', 'Nuskaityti santykines nuorodas į puslapį', '2012-11-09 09:53:31'),
(10254, 'lt', 'theme', 'Download Seo Panel Themes', 'Parsisiųsti SEO Panel Temas', '2012-11-09 09:54:19'),
(10255, 'bg', 'common', 'Dashboard', 'Табло', '2019-05-25 18:00:14'),
(10256, 'bg', 'common', 'Home', 'Начало', '2019-05-25 18:00:14'),
(10257, 'bg', 'common', 'Powered by', 'Powered by', '2019-05-25 18:00:14'),
(10258, 'bg', 'directory', 'clickaddfeatureddirectory', 'Кликнете тук за да добавите собствена директория', '2012-11-09 21:03:43'),
(10259, 'bg', 'directory', 'Coupon Offer', 'Талон за отстъпка', '2012-11-09 21:03:43'),
(10260, 'bg', 'directory', 'Directories with out Reciprocal Link', 'Директории без реципрочен линк', '2012-11-09 21:03:43'),
(10261, 'bg', 'label', 'Clear All', 'Изчисти всички', '2018-08-21 07:09:26'),
(10262, 'bg', 'label', 'Current', 'Избран', '2018-08-21 07:09:26'),
(10263, 'bg', 'label', 'Select All', 'Избери всички', '2018-08-21 07:09:26'),
(10264, 'bg', 'label', 'Theme', 'Шаблон', '2018-08-21 07:09:26'),
(10265, 'bg', 'panel', 'Themes Manager', 'Управление на шаблони', '2018-08-21 07:14:04'),
(10266, 'bg', 'settings', 'SP_RELATIVE_LINK_CRAWL', 'Релативни линкове в страницата', '2018-08-21 07:24:42'),
(10267, 'bg', 'theme', 'Download Seo Panel Themes', 'Изтеглете шаблони за Seo Panel', '2012-11-09 21:06:43'),
(10268, 'fr', 'common', 'Dashboard', 'Tableau de bord', '2020-02-14 11:05:11'),
(10269, 'fr', 'common', 'Home', 'Accueil', '2020-02-14 11:05:11'),
(10270, 'fr', 'common', 'Powered by', 'Propulsé par ', '2020-02-14 11:05:11'),
(10271, 'fr', 'directory', 'clickaddfeatureddirectory', 'Cliquer ici pour ajouter vos propres annuaires phares', '2012-11-10 20:37:55'),
(10272, 'fr', 'directory', 'Coupon Offer', 'Offre de réduction', '2012-11-10 20:37:55'),
(10273, 'fr', 'directory', 'Directories with out Reciprocal Link', 'Annuaires sans lien réciproque', '2012-11-10 20:37:55'),
(10274, 'fr', 'label', 'Clear All', 'Tout effacer', '2020-02-14 11:12:40'),
(10275, 'fr', 'label', 'Current', 'Actuel', '2020-02-14 11:12:40'),
(10276, 'fr', 'label', 'Select All', 'Tout sélectionner', '2020-02-14 11:12:40'),
(10277, 'fr', 'label', 'Theme', 'Thème', '2020-02-14 11:12:40'),
(10278, 'fr', 'panel', 'Themes Manager', 'Gestionnaire de thèmes', '2020-02-14 11:14:52'),
(10279, 'fr', 'settings', 'SP_RELATIVE_LINK_CRAWL', 'Explorer les liens relatifs dans une page', '2019-03-28 14:39:30'),
(10280, 'fr', 'theme', 'Download Seo Panel Themes', 'Télécharger des thèmes Seo Panel', '2012-11-10 20:41:13'),
(10281, 'pt', 'common', 'Dashboard', 'Painel', '2019-05-25 18:43:55'),
(10282, 'pt', 'common', 'Home', 'Home', '2019-05-25 18:43:55'),
(10283, 'pt', 'common', 'Powered by', 'Powered by', '2019-05-25 18:43:55'),
(10284, 'pt', 'label', 'Clear All', 'Apagar todos', '2018-01-25 19:11:22'),
(10285, 'pt', 'label', 'Current', 'actual', '2018-01-25 19:11:22'),
(10286, 'pt', 'label', 'Select All', 'Selecionar todos', '2018-01-25 19:11:22'),
(10287, 'pt', 'label', 'Theme', 'Tema', '2018-01-25 19:11:22'),
(10288, 'pt', 'directory', 'clickaddfeatureddirectory', 'Selecione aqui para adicionar o seu próprio directório', '2012-11-10 20:59:13'),
(10289, 'pt', 'directory', 'Coupon Offer', 'Cuppon de oferta', '2012-11-10 20:59:13'),
(10290, 'pt', 'directory', 'Directories with out Reciprocal Link', 'Directórios sem Links Reciprocos', '2012-11-10 20:59:13'),
(10291, 'pt', 'panel', 'Themes Manager', 'Gestor de temas', '2018-01-25 19:18:33'),
(10292, 'pt', 'settings', 'SP_RELATIVE_LINK_CRAWL', 'Indexar links relativos em uma página', '2018-01-25 19:23:30'),
(10293, 'tr', 'common', 'Dashboard', 'Yönetim Paneli', '2019-05-25 18:52:20'),
(10294, 'tr', 'common', 'Hello', 'Merhaba', '2019-05-25 18:52:20'),
(10295, 'tr', 'common', 'Home', 'Ana Sayfa', '2019-05-25 18:52:20'),
(10296, 'tr', 'common', 'Powered by', 'Tarafından desteklenmektedir', '2019-05-25 18:52:20'),
(10297, 'tr', 'directory', 'clickaddfeatureddirectory', 'Buraya kendi özellikli dizin eklemek için buraya tıklayın', '2012-11-11 08:13:26'),
(10298, 'tr', 'directory', 'Coupon Code', 'kupon Kodu', '2012-11-11 08:13:26'),
(10299, 'tr', 'directory', 'Coupon Offer', 'Kupon Teklifi', '2012-11-11 08:13:26'),
(10300, 'tr', 'directory', 'couponcodenote', 'Her özellikli sunulması için kupon kodu yukarıdaki kullanın ve teklif [REDUCTION_PER] olsun!', '2012-11-11 08:13:26'),
(10301, 'tr', 'directory', 'Directories with out Reciprocal Link', 'Üzerinden Karşılıklı Link ile Dizinler', '2012-11-11 08:13:26'),
(10302, 'tr', 'label', 'Clear All', 'Hepsini Temizle', '2012-11-11 08:14:34'),
(10303, 'tr', 'label', 'Current', 'Akış', '2012-11-11 08:14:34'),
(10304, 'tr', 'label', 'Daily', 'Günlük', '2012-11-11 08:14:34'),
(10305, 'tr', 'label', 'Monthly', 'Aylık', '2012-11-11 08:14:34'),
(10306, 'tr', 'label', 'Select All', 'Hepsini Seç', '2012-11-11 08:14:34'),
(10307, 'tr', 'label', 'Theme', 'Tema', '2012-11-11 08:14:34'),
(10308, 'tr', 'label', 'Weekly', 'Haftalık', '2012-11-11 08:14:34'),
(10309, 'tr', 'panel', 'Archived Reports', 'Arşivlenmiş Raporlar', '2017-02-04 20:50:50'),
(10310, 'tr', 'panel', 'Report Settings', 'Rapor Ayarları', '2017-02-04 20:50:50'),
(10311, 'tr', 'panel', 'Schedule Reports', 'Zamanlanmış Görev Raporları', '2017-02-04 20:50:50'),
(10312, 'tr', 'panel', 'Search Engine Manager', 'Arama Motoru Yöneticisi', '2017-02-04 20:50:50'),
(10313, 'tr', 'panel', 'Themes Manager', 'Tema Yöneticisi', '2017-02-04 20:50:50'),
(10314, 'tr', 'plugin', 'Download Seo Panel Plugins', 'Seo Panel Eklentilerini İndir', '2012-11-11 08:16:59'),
(10315, 'tr', 'report', '2 Days', '2 Gün', '2012-11-11 08:19:49'),
(10316, 'tr', 'report', 'Email notification', 'e-posta bildirimi', '2012-11-11 08:19:49'),
(10317, 'tr', 'report', 'keywordnumbercheckedcronnote', 'Not: Varsayılan 0 Tüm anahtar kelimeleri kontrol edilmelidir anlamına gelir', '2012-11-11 08:19:49'),
(10318, 'tr', 'report', 'Next report generation time', 'Gelecek rapor oluşturma zamanı', '2012-11-11 08:19:49'),
(10319, 'tr', 'report', 'Reports generation interval', 'Raporlar oluşturma aralığı', '2012-11-11 08:19:49'),
(10320, 'tr', 'report', 'reportsettingssaved', 'Rapor ayarları başarıyla kaydedildi!', '2012-11-11 08:19:49'),
(10321, 'tr', 'report', 'sheduledsuccessfully', 'Zamanlanmış rapor oluşturma ayarlandı', '2012-11-11 08:19:49'),
(10322, 'tr', 'reports', 'report_email_body_text1', '\r\nRaporlarınız seo panel başarıyla oluşturuldu.Ekteki raporlar kontrol edin.', '2012-11-11 08:21:26'),
(10323, 'tr', 'reports', 'report_email_body_text2', 'Yukarıdaki raporlar net değilse, lütfen  doğrudan hesabınızdan raporları görüntülemek için [LOGIN_LINK]tıklayınız', '2012-11-11 08:21:26'),
(10324, 'tr', 'reports', 'report_email_subject', 'SEO raporları başarıyla oluşturuldu', '2012-11-11 08:21:26'),
(10325, 'tr', 'searchengine', 'max_results', 'Maksimum Sonuç sayısı', '2012-11-11 08:22:24'),
(10326, 'tr', 'searchengine', 'no_of_results_page', 'Sayfa başına sonuç sayısı', '2012-11-11 08:22:24'),
(10327, 'tr', 'settings', 'entersmtpdetails', 'Lütfen SMTP mail ayarlarınızı giriniz', '2017-02-04 13:45:16'),
(10328, 'tr', 'settings', 'getallpluginfree', 'Ayrıca tüm <b>plugins</b> geliştirmek <b>Ücretsiz!</b>', '2017-02-04 13:45:16'),
(10329, 'tr', 'settings', 'SP_ALLOW_USER_SCHEDULE_REPORT', 'Kullanıcıların zamanlanmş rapor hazırlamalarına izin ver', '2017-02-04 13:45:16'),
(10330, 'tr', 'settings', 'SP_NUMBER_KEYWORDS_CRON', 'Anahtar kelime sayısı her cron yürütme kontrol edilmesi gerekir', '2017-02-04 13:45:16'),
(10331, 'tr', 'settings', 'SP_RELATIVE_LINK_CRAWL', 'Bir sayfa göreceli bağlantıları Tarama', '2017-02-04 13:45:16'),
(10332, 'tr', 'settings', 'SP_REPORT_EMAIL_NOTIFICATION', 'E-posta bildirimi rapor etkinleştir', '2017-02-04 13:45:16'),
(10333, 'tr', 'settings', 'SP_SMTP_HOST', 'SMTP Sunucu', '2017-02-04 13:45:16'),
(10334, 'tr', 'settings', 'SP_SMTP_MAIL', 'SMTP etkinleştir', '2017-02-04 13:45:16'),
(10335, 'tr', 'settings', 'SP_SMTP_PASSWORD', 'SMTP Şifresi', '2017-02-04 13:45:16'),
(10336, 'tr', 'settings', 'SP_SMTP_USERNAME', 'SMTP Kullanıcı Adı', '2017-02-04 13:45:16'),
(10337, 'tr', 'settings', 'SP_SYSTEM_REPORT_INTERVAL', 'Sistem rapor oluşturma aralığı', '2017-02-04 13:45:16'),
(10338, 'tr', 'theme', 'Download Seo Panel Themes', 'Seo Panel teması indir', '2012-11-11 08:29:45'),
(10342, 'cn', 'common', 'Dashboard', '儀表盤', '2019-05-25 18:02:13'),
(10343, 'cn', 'common', 'Hello', '你好', '2019-05-25 18:02:13'),
(10344, 'cn', 'common', 'Home', '家', '2019-05-25 18:02:13'),
(10345, 'cn', 'common', 'Powered by', '授權於', '2019-05-25 18:02:13'),
(10350, 'zh', 'common', 'Dashboard', '仪表盘', '2019-05-25 18:01:23'),
(10351, 'zh', 'common', 'Hello', '你好', '2019-05-25 18:01:23'),
(10352, 'zh', 'common', 'Home', '家', '2019-05-25 18:01:23'),
(10354, 'ar', 'common', 'Dashboard', 'لوحة أجهزة القيا', '2019-05-25 17:59:04'),
(10355, 'ar', 'common', 'Hello', 'مرحب', '2019-05-25 17:59:04'),
(10356, 'ar', 'common', 'Home', 'منز', '2019-05-25 17:59:04'),
(10358, 'fa', 'common', 'Dashboard', 'داشبور', '2018-01-24 08:39:35'),
(10359, 'fa', 'common', 'Home', 'خان', '2018-01-24 08:39:35'),
(10361, 'pl', 'common', 'Dashboard', 'Pulpit', '2019-05-25 18:43:11'),
(10362, 'pl', 'common', 'Hello', 'Halo', '2019-05-25 18:43:11'),
(10363, 'pl', 'common', 'Home', 'Dom', '2019-05-25 18:43:11'),
(10370, 'ca', 'button', 'Cancel', 'Cancel·lar', '2014-01-08 19:21:08'),
(10371, 'ca', 'button', 'Check Status', 'Comprovar Estat', '2014-01-08 19:21:08'),
(10372, 'ca', 'button', 'Proceed', 'Procedir', '2014-01-08 19:21:08'),
(10373, 'ca', 'button', 'Reload', 'Recarregar', '2014-01-08 19:21:08'),
(10374, 'ca', 'button', 'Show Details', 'Mostra Detalls', '2014-01-08 19:21:08'),
(10375, 'ca', 'button', 'Show Records', 'Mostra Registres', '2014-01-08 19:21:08'),
(10376, 'ca', 'button', 'Skip', 'Saltar', '2014-01-08 19:21:08'),
(10377, 'ca', 'button', 'Submit', 'Afegir', '2014-01-08 19:21:08'),
(10378, 'ca', 'common', 'Action', 'Acció', '2014-01-16 19:29:59'),
(10379, 'ca', 'common', 'Activate', 'Activar', '2014-01-16 19:29:59'),
(10380, 'ca', 'common', 'Active', 'Actiu', '2014-01-16 19:29:59'),
(10381, 'ca', 'common', 'Admin Panel', 'Panell Admin', '2014-01-16 19:29:59'),
(10382, 'ca', 'common', 'Alexa Rank', 'Rank Alexa', '2014-01-16 19:29:59'),
(10383, 'ca', 'common', 'All', 'Tot', '2014-01-16 19:29:59'),
(10384, 'ca', 'common', 'Category', 'Categoria', '2014-01-16 19:29:59'),
(10385, 'ca', 'common', 'contact', 'Contacte', '2014-01-16 19:29:59'),
(10386, 'ca', 'common', 'copyright', 'Copyright © [year] www.seopanel.in Tots els drets reservats.', '2014-01-16 19:29:59'),
(10387, 'ca', 'common', 'Country', 'País', '2014-01-16 19:29:59'),
(10388, 'ca', 'common', 'Crawl Meta Data', 'Extreure Meta Data', '2014-01-16 19:29:59'),
(10389, 'ca', 'common', 'Dashboard', 'Inici', '2014-01-16 19:29:59'),
(10390, 'ca', 'common', 'Date', 'Data', '2014-01-16 19:29:59'),
(10391, 'ca', 'common', 'Delete', 'Esborrar', '2014-01-16 19:29:59'),
(10392, 'ca', 'common', 'Details', 'Detalls', '2014-01-16 19:29:59'),
(10393, 'ca', 'common', 'Directory', 'Directori', '2014-01-16 19:29:59'),
(10394, 'ca', 'common', 'Donate', 'Donar', '2014-01-16 19:29:59'),
(10395, 'ca', 'common', 'Edit', 'Editar', '2014-01-16 19:29:59'),
(10396, 'ca', 'common', 'Entry cannot be blank', 'El camp no pot estar en blanc', '2014-01-16 19:29:59'),
(10397, 'ca', 'common', 'entrynotvalid', 'El camp introduït no sembla vàlid', '2014-01-16 19:29:59'),
(10398, 'ca', 'common', 'failed', 'Fallida', '2014-01-16 19:29:59'),
(10399, 'ca', 'common', 'forum', 'Fòrum', '2014-01-16 19:29:59'),
(10400, 'ca', 'common', 'Found', 'Trobat', '2014-01-16 19:29:59'),
(10401, 'ca', 'common', 'Google Pagerank', 'Google Pagerank', '2014-01-16 19:29:59'),
(10402, 'ca', 'common', 'Hello', 'Hola', '2014-01-16 19:29:59'),
(10403, 'ca', 'common', 'help', 'Ajuda', '2014-01-16 19:29:59'),
(10404, 'ca', 'common', 'hidenews', 'Amaga el panell de notícies', '2014-01-16 19:29:59'),
(10405, 'ca', 'common', 'Home', 'Inici', '2014-01-16 19:29:59'),
(10406, 'ca', 'common', 'Id', 'Id', '2014-01-16 19:29:59'),
(10407, 'ca', 'common', 'Inactivate', 'Desactivar', '2014-01-16 19:29:59'),
(10408, 'ca', 'common', 'Inactive', 'Inactiu', '2014-01-16 19:29:59'),
(10409, 'ca', 'common', 'Invalid characters', 'Caràcters invàlids', '2014-01-16 19:29:59'),
(10410, 'ca', 'common', 'Invalid code entered', 'Codi introduït incorrecte', '2014-01-16 19:29:59'),
(10411, 'ca', 'common', 'Invalid email address entered', 'Correu electrònic incorrecte', '2014-01-16 19:29:59'),
(10412, 'ca', 'common', 'Invalid value', 'Valor incorrecte', '2014-01-16 19:29:59'),
(10413, 'ca', 'common', 'Keyword', 'Paraula clau', '2014-01-16 19:29:59'),
(10414, 'ca', 'common', 'Keywords', 'Paraules Clau', '2014-01-16 19:29:59'),
(10415, 'ca', 'common', 'lang', 'Llengua', '2014-01-16 19:29:59'),
(10416, 'ca', 'common', 'My Account', 'El meu compte', '2014-01-16 19:29:59'),
(10417, 'ca', 'common', 'Name', 'Nom', '2014-01-16 19:29:59'),
(10418, 'ca', 'common', 'No', 'No', '2014-01-16 19:29:59'),
(10419, 'ca', 'common', 'No Keywords Found', 'No s\'han trobat paraules clau', '2014-01-16 19:29:59'),
(10420, 'ca', 'common', 'No Records Found', 'No s\'han trobat registres', '2014-01-16 19:29:59'),
(10421, 'ca', 'common', 'noactivetools', 'No s\'ha trobat cap eina Seo Tools!', '2014-01-16 19:29:59'),
(10422, 'ca', 'common', 'nowebsites', 'No s\'han trobat llocs web', '2014-01-16 19:29:59'),
(10423, 'ca', 'common', 'password632', 'La contrasenya ha de tindre entre 6 i 32 caràcters', '2014-01-16 19:29:59'),
(10424, 'ca', 'common', 'passwordnotmatch', 'Les contrasenyes no coincideixen', '2014-01-16 19:29:59'),
(10425, 'ca', 'common', 'Period', 'Període', '2014-01-16 19:29:59'),
(10426, 'ca', 'common', 'Powered by', 'Powered by', '2014-01-16 19:29:59'),
(10427, 'ca', 'common', 'Priority', 'Prioritat', '2014-01-16 19:29:59'),
(10428, 'ca', 'common', 'Profile', 'Perfil', '2014-01-16 19:29:59'),
(10429, 'ca', 'common', 'Rank', 'Rank', '2014-01-16 19:29:59'),
(10430, 'ca', 'common', 'Reports', 'Informes', '2014-01-16 19:29:59'),
(10431, 'ca', 'common', 'Results', 'Resultats', '2014-01-16 19:29:59'),
(10432, 'ca', 'common', 'Search Engine', 'Motor de Cerca', '2014-01-16 19:29:59'),
(10433, 'ca', 'common', 'Select', 'Seleccionar', '2014-01-16 19:29:59'),
(10434, 'ca', 'common', 'Seo Plugins', 'Plugins Seo', '2014-01-16 19:29:59'),
(10435, 'ca', 'common', 'Seo Tools', 'Eines Seo', '2014-01-16 19:29:59'),
(10436, 'ca', 'common', 'Sign out', 'Tancar sessió', '2014-01-16 19:29:59'),
(10437, 'ca', 'common', 'Sign Up', 'Registre', '2014-01-16 19:29:59'),
(10438, 'ca', 'common', 'signin', 'Identificar-se', '2014-01-16 19:29:59'),
(10439, 'ca', 'common', 'Status', 'Estat', '2014-01-16 19:29:59'),
(10440, 'ca', 'common', 'Support', 'Suport', '2014-01-16 19:29:59'),
(10441, 'ca', 'common', 'Total', 'Total', '2014-01-16 19:29:59'),
(10442, 'ca', 'common', 'Url', 'Url', '2014-01-16 19:29:59'),
(10443, 'ca', 'common', 'User', 'Usuari', '2014-01-16 19:29:59'),
(10444, 'ca', 'common', 'User Panel', 'Panell d\'Usuari', '2014-01-16 19:29:59'),
(10445, 'ca', 'common', 'Website', 'Lloc Web', '2014-01-16 19:29:59'),
(10446, 'ca', 'common', 'Yes', 'Si', '2014-01-16 19:29:59'),
(10447, 'ca', 'website', 'Edit Website', 'Editar Lloc Web', '2012-12-28 16:22:55'),
(10448, 'ca', 'website', 'plscrtwebsite', 'Si us plau crea un Lloc Web nou abans de començar a utilitzar eines seo i plugins seo.', '2012-12-28 16:22:55'),
(10449, 'ca', 'website', 'Website already exist', 'El Lloc Web ja existeix', '2012-12-28 16:22:55'),
(10450, 'ca', 'website', 'yourwebalreday', 'El teu Lloc Web si ja n\\\'has creat un altre.', '2012-12-28 16:22:55'),
(10451, 'ca', 'user', 'Edit User', 'Editar usuari', '2012-12-28 16:23:30'),
(10452, 'ca', 'user', 'Saved My Profile Details', 'Detalls de Perfil guardats', '2012-12-28 16:23:30'),
(10453, 'ca', 'theme', 'Download Seo Panel Themes', 'Descarregar temes d\\\'aparença', '2012-12-28 16:23:59'),
(10454, 'ca', 'sitemap', 'Change frequency', 'Freqüència de cambi', '2012-12-28 16:29:20'),
(10455, 'ca', 'sitemap', 'clickproceedsitemap', 'Clica a <b>Procedir</b> per crear un arxiu sitemap', '2012-12-28 16:29:20'),
(10456, 'ca', 'sitemap', 'Download sitemap file from', 'Descarrega el sitemap desde..', '2012-12-28 16:29:20'),
(10457, 'ca', 'sitemap', 'Exclude Url', 'Excluir adreça web', '2012-12-28 16:29:20'),
(10458, 'ca', 'sitemap', 'processtaketime', 'Aquest procés pendrà el temps relacionat amb el nombre de links que hi han en el teu Lloc Web. Si us plau, espera fins rebre tots els arxius', '2012-12-28 16:29:20'),
(10459, 'ca', 'sitemap', 'Sitemap Type', 'Tipus de sitemap', '2012-12-28 16:29:20'),
(10460, 'ca', 'seotools', 'Auditor Projects', 'Projectes d\\\'Auditoria', '2012-12-28 16:48:47'),
(10461, 'ca', 'seotools', 'Auditor Reports', 'Informes d\\\'Auditoria', '2012-12-28 16:48:47'),
(10462, 'ca', 'seotools', 'Auditor Settings', 'Propietats de l\\\'Auditor', '2012-12-28 16:48:47'),
(10463, 'ca', 'seotools', 'Automatic Submission', 'Afegir Automàticament', '2012-12-28 16:48:47'),
(10464, 'ca', 'seotools', 'backlink-checker', 'Comprobar Backlinks', '2012-12-28 16:48:47'),
(10465, 'ca', 'seotools', 'Backlinks Reports', 'Informes de Backlinks', '2012-12-28 16:48:47'),
(10466, 'ca', 'seotools', 'Check Submission Status', 'Comprovar l\\\'Estat', '2012-12-28 16:48:47'),
(10467, 'ca', 'seotools', 'clickgeneratereports', 'Per generar els informes clica a <b>Procedir</b>', '2012-12-28 16:48:47'),
(10468, 'ca', 'seotools', 'Detailed Position Reports', 'Informes de Posició Detallada', '2012-12-28 16:48:47'),
(10469, 'ca', 'seotools', 'directory-submission', 'Afegir a Directoris', '2012-12-28 16:48:47'),
(10470, 'ca', 'seotools', 'Featured Submission', 'Afegir a Directoris Recomanats', '2012-12-28 16:48:47'),
(10471, 'ca', 'seotools', 'Generate Backlinks Reports', 'Generar Informe de Backlinks', '2012-12-28 16:48:47'),
(10472, 'ca', 'seotools', 'Generate Keyword Reports', 'Generar Informe de Paraules Clau', '2012-12-28 16:48:47'),
(10473, 'ca', 'seotools', 'Generate Rank Reports', 'Generar Informe de Rank', '2012-12-28 16:48:47'),
(10474, 'ca', 'seotools', 'Generate Saturation Reports', 'Generar Informe de Saturació', '2012-12-28 16:48:47'),
(10475, 'ca', 'seotools', 'Google Sitemap Generator', 'Generar Google Sitemap', '2012-12-28 16:48:47'),
(10476, 'ca', 'seotools', 'Graphical Position Reports', 'Generar Informes gràfics de Posició', '2012-12-28 16:48:47'),
(10477, 'ca', 'seotools', 'Import Project Links', 'Importar Enllaços de Projectes', '2012-12-28 16:48:47'),
(10478, 'ca', 'seotools', 'Keyword Position Summary', 'Resum de Posició de Paraules Clau', '2012-12-28 16:48:47'),
(10479, 'ca', 'seotools', 'keyword-position-checker', 'Comprovar Posició de Paraula Clau', '2012-12-28 16:48:47'),
(10480, 'ca', 'seotools', 'Keywords Manager', 'Gestor de Paraules Clau', '2012-12-28 16:48:47'),
(10481, 'ca', 'seotools', 'Quick Backlinks Checker', 'Comprovar Backlinks d\\\'una pàgina', '2012-12-28 16:48:47'),
(10482, 'ca', 'seotools', 'Quick Position Checker', 'Comprovar Posició d\\\'una pàgina', '2012-12-28 16:48:47'),
(10483, 'ca', 'seotools', 'Quick Rank Checker', 'Comprobar el Rank d\\\'una pàgina', '2012-12-28 16:48:47'),
(10484, 'ca', 'seotools', 'Quick Saturation Checker', 'Comprobar la saturació d\\\'una pàgina', '2012-12-28 16:48:47'),
(10485, 'ca', 'seotools', 'Rank Reports', 'Informes de Rank', '2012-12-28 16:48:47'),
(10486, 'ca', 'seotools', 'rank-checker', 'Comprobar Rank', '2012-12-28 16:48:47'),
(10487, 'ca', 'seotools', 'Saturation Reports', 'Informe de Saturació', '2012-12-28 16:48:47'),
(10488, 'ca', 'seotools', 'saturation-checker', 'Saturació de Motors de Cerca', '2012-12-28 16:48:47'),
(10489, 'ca', 'seotools', 'site-auditor', 'Auditor de Lloc', '2012-12-28 16:48:47'),
(10490, 'ca', 'seotools', 'sitemap-generator', 'Generador de Sitemap', '2012-12-28 16:48:47'),
(10491, 'ca', 'seotools', 'Skipped Directories', 'Directoris Ignorats', '2012-12-28 16:48:47'),
(10492, 'ca', 'seotools', 'Submission Reports', 'Informes d\\\'Enllaços Afegits', '2012-12-28 16:48:47'),
(10493, 'ca', 'seotools', 'User Access', 'Accés Usuari', '2012-12-28 16:48:47'),
(10494, 'ca', 'searchengine', 'max_results', 'Màxim nombre de resultats', '2012-12-28 16:49:28'),
(10495, 'ca', 'searchengine', 'no_of_results_page', 'Nombre de resultats per pàgina', '2012-12-28 16:49:28'),
(10496, 'ca', 'saturation', 'clickproceedsaturation', 'Introdueix l\\\'adreça del Lloc Web <b>Una per línia</b>. Clica a <b>Procedir</b> per conèixer els resultats de la Saturació als Motors de Cerca.', '2012-12-28 17:03:06'),
(10497, 'ca', 'saturation', 'GenerateSaturationReports', 'Generar Informes de la saturació als Motors de Cerca', '2012-12-28 17:03:06'),
(10498, 'ca', 'saturation', 'Quick Search Engine Saturation Checker', 'Comprobar la saturació d\\\'un lloc web dels Motors de Cerca', '2012-12-28 17:03:06'),
(10499, 'ca', 'saturation', 'Saved Search Engine Saturation results of', 'Resultats Guardats de Saturació als Motors de Cerca', '2012-12-28 17:03:06'),
(10500, 'ca', 'saturation', 'Search Engine Saturation Reports', 'Informes de Saturació als Motors de Cerca', '2012-12-28 17:03:06'),
(10501, 'ca', 'reports', 'report_email_body_text1', 'Els informes s\\\'han generat correctament a Seo Panel. Si us plau, comproba els informes adjunts.', '2012-12-28 17:05:39'),
(10502, 'ca', 'reports', 'report_email_body_text2', 'Si els resultats següents no son prou clars, si us plau [LOGIN_LINK] per veure els informes directament desde el teu compte.', '2012-12-28 17:05:39'),
(10503, 'ca', 'reports', 'report_email_subject', 'Els teus informes SEO s\\\'han generat correctament', '2012-12-28 17:05:39'),
(10504, 'ca', 'report', '2 Days', '2 dies', '2012-12-28 17:08:54'),
(10505, 'ca', 'report', 'Email notification', 'Notificació al correu electrònic', '2012-12-28 17:08:54'),
(10506, 'ca', 'report', 'keywordnumbercheckedcronnote', 'Nota: Per defecte 0 significa que totes les paraules claus hauríen de ser comprovades', '2012-12-28 17:08:54'),
(10507, 'ca', 'report', 'Next report generation time', 'Proper dia que es generarà l\\\'informe', '2012-12-28 17:08:54'),
(10508, 'ca', 'report', 'Reports generation interval', 'Interval al generar els informes', '2012-12-28 17:08:54'),
(10509, 'ca', 'report', 'reportsettingssaved', 'S\\\'han guardat correctament els canvis a la configuració dels informes!', '2012-12-28 17:08:54'),
(10510, 'ca', 'report', 'sheduledsuccessfully', 'Informe programat generat correctament!', '2012-12-28 17:08:54'),
(10511, 'ca', 'rank', 'enterurlproceed', 'Introdueix Llocs Web <b>Un per línia</b>. Per comprovar Google i AlexaClick on <b>Proceed</b> to check Google and Alexa rank.', '2012-12-28 17:24:53'),
(10512, 'ca', 'rank', 'Google and Alexa Rank Reports', 'Informes de Google i Alexa Rank', '2012-12-28 17:24:53'),
(10513, 'ca', 'rank', 'Saved rank results of', 'Resultats de rank guardats de', '2012-12-28 17:24:53'),
(10514, 'ca', 'proxy', 'Edit Proxy', 'Editar Proxy', '2014-01-16 19:36:09'),
(10515, 'ca', 'proxy', 'Proxy Password', 'Contrasenya del Proxy', '2014-01-16 19:36:09'),
(10516, 'ca', 'proxy', 'Proxy Username', 'Usuari del Proxy', '2014-01-16 19:36:09'),
(10517, 'ca', 'proxy', 'Proxyalreadyexist', 'El Proxy ja existeix!', '2014-01-16 19:36:09'),
(10518, 'ca', 'plugin', 'Download Seo Panel Plugins', 'Descarrega Plugins Seo Panel', '2012-12-28 17:26:46'),
(10519, 'ca', 'plugin', 'Edit Seo Plugin', 'Editar Plugin Seo', '2012-12-28 17:26:46'),
(10520, 'ca', 'plugin', 'Plugin Name', 'Nom del Plugin', '2012-12-28 17:26:46'),
(10521, 'ca', 'plugin', 'Seo Plugin Details', 'Detalls del Plugin Seo', '2012-12-28 17:26:46'),
(10522, 'ca', 'panel', 'About Us', 'Sobre Nosaltres', '2014-01-16 19:35:09'),
(10523, 'ca', 'panel', 'Add following command to your cron tab', 'Afegir els seguents comandament a la teva pestanya cron', '2014-01-16 19:35:09'),
(10524, 'ca', 'panel', 'alsocheckfollowlink', 'També comprova el següent link si necessites més detalls.', '2014-01-16 19:35:09'),
(10525, 'ca', 'panel', 'Archived Reports', 'Informes Arxivats', '2014-01-16 19:35:09'),
(10526, 'ca', 'panel', 'Check Directory', 'Comprovar Directori', '2014-01-16 19:35:09'),
(10527, 'ca', 'panel', 'Cron Command', 'Comandament del Cron', '2014-01-16 19:35:09'),
(10528, 'ca', 'panel', 'Directory Manager', 'Gestor de Directoris', '2014-01-16 19:35:09'),
(10529, 'ca', 'panel', 'Edit My Profile', 'Editar el meu Perfil', '2014-01-16 19:35:09'),
(10530, 'ca', 'panel', 'Edit Project', 'Editar Projecte', '2014-01-16 19:35:09'),
(10531, 'ca', 'panel', 'My Profile', 'El meu Perfil', '2014-01-16 19:35:09'),
(10532, 'ca', 'panel', 'New Project', 'Nou Projecte', '2014-01-16 19:35:09'),
(10533, 'ca', 'panel', 'New Proxy', 'Nou Proxy', '2014-01-16 19:35:09'),
(10534, 'ca', 'panel', 'New User', 'Nou Usuari', '2014-01-16 19:35:09'),
(10535, 'ca', 'panel', 'New Website', 'Nou Lloc Web', '2014-01-16 19:35:09'),
(10536, 'ca', 'panel', 'Proxy Manager', 'Gestor de Proxys', '2014-01-16 19:35:09'),
(10537, 'ca', 'panel', 'Report Generation Manager', 'Gestor Generador d\'Informes', '2014-01-16 19:35:09'),
(10538, 'ca', 'panel', 'Report Settings', 'Opcions d\'Informes', '2014-01-16 19:35:09'),
(10539, 'ca', 'panel', 'Reports Manager', 'Gestor d\'Informes', '2014-01-16 19:35:09'),
(10540, 'ca', 'panel', 'Schedule Reports', 'Programar Informes', '2014-01-16 19:35:09'),
(10541, 'ca', 'panel', 'Search Engine Manager', 'Gestor de Motors de Cerca', '2014-01-16 19:35:09'),
(10542, 'ca', 'panel', 'Seo Plugins Manager', 'Gestor de Seo Plugins', '2014-01-16 19:35:09'),
(10543, 'ca', 'panel', 'Seo Tools Manager', 'Gestor de Seo Tools', '2014-01-16 19:35:09'),
(10544, 'ca', 'panel', 'System Settings', 'Configuració del Sistema', '2014-01-16 19:35:09'),
(10545, 'ca', 'panel', 'Themes Manager', 'Gestor d\'Aparença', '2014-01-16 19:35:09'),
(10546, 'ca', 'panel', 'User Manager', 'Gestor d\'Usuaris', '2014-01-16 19:35:09'),
(10547, 'ca', 'panel', 'Website Manager', 'Gestor de Llocs Web', '2014-01-16 19:35:09'),
(10548, 'ca', 'login', 'Confirm Password', 'Confirmar Contrasenya', '2014-01-16 19:34:07'),
(10549, 'ca', 'login', 'Create my account', 'Crear el meu Compte', '2014-01-16 19:34:07'),
(10550, 'ca', 'login', 'Create New Account', 'Crear un nou Compte', '2014-01-16 19:34:07'),
(10551, 'ca', 'login', 'Email', 'Correu Electrònic', '2014-01-16 19:34:07'),
(10552, 'ca', 'login', 'emailexist', 'El Correu Electrònic ja existeix!', '2014-01-16 19:34:07'),
(10553, 'ca', 'login', 'Enter the code as it is shown', 'Introdueix el codi tal i com es mostra', '2014-01-16 19:34:07'),
(10554, 'ca', 'login', 'First Name', 'Nom', '2014-01-16 19:34:07'),
(10555, 'ca', 'login', 'Last Name', 'Cognoms', '2014-01-16 19:34:07'),
(10556, 'ca', 'login', 'Login', 'Iniciar Sessió', '2014-01-16 19:34:07'),
(10557, 'ca', 'login', 'Login incorrect', 'Usuari o contrasenya incorrectes', '2014-01-16 19:34:07'),
(10558, 'ca', 'login', 'newaccountsuccess', 'Nou compte creat correctament!', '2014-01-16 19:34:07'),
(10559, 'ca', 'login', 'Password', 'Contrasenya', '2014-01-16 19:34:07'),
(10560, 'ca', 'login', 'Password incorrect', 'Contrasenya Incorrecta', '2014-01-16 19:34:07'),
(10561, 'ca', 'login', 'Register', 'Registrar', '2014-01-16 19:34:07'),
(10562, 'ca', 'login', 'Sign in to your account', 'Entrar al compte', '2014-01-16 19:34:07'),
(10563, 'ca', 'login', 'User inactive', 'Usuari inactiu', '2014-01-16 19:34:07'),
(10564, 'ca', 'login', 'Username', 'Nom d\'usuari', '2014-01-16 19:34:07'),
(10565, 'ca', 'login', 'usernameexist', 'Aquest usuari ja existeix!', '2014-01-16 19:34:07'),
(10566, 'ca', 'directory', 'Add back to directory list', 'Tornar a afegir a la llista de directoris', '2012-12-31 16:51:16'),
(10567, 'ca', 'directory', 'Approved', 'Aprovat', '2012-12-31 16:51:16'),
(10568, 'ca', 'directory', 'Captcha', 'Captcha', '2012-12-31 16:51:16'),
(10569, 'ca', 'directory', 'categorynote', 'Categories, separa-les amb una coma (,) depenent de la prioritat. Comença per la més important.', '2012-12-31 16:51:16'),
(10570, 'ca', 'directory', 'Check Directory Status', 'Comprovar l\\\'estat del Directori', '2012-12-31 16:51:16'),
(10571, 'ca', 'directory', 'Check Directory Submission Status', 'Comprovar l\\\'estat als Directoris Afegits', '2012-12-31 16:51:16'),
(10572, 'ca', 'directory', 'clickaddfeatureddirectory', 'Per afegir un directori recomanat, feu clic aquí', '2012-12-31 16:51:16'),
(10573, 'ca', 'directory', 'clicktoproceeddirsts', 'Per comprobar l\\\'estat del Directori, feu clic a <b>Procedir</b>', '2012-12-31 16:51:16'),
(10574, 'ca', 'directory', 'Confirmation', 'Confirmació', '2012-12-31 16:51:16'),
(10575, 'ca', 'directory', 'Coupon Code', 'Codi Cupó', '2012-12-31 16:51:16'),
(10576, 'ca', 'directory', 'Coupon Offer', 'Oferta Cupó', '2012-12-31 16:51:16'),
(10577, 'ca', 'directory', 'couponcodenote', 'Utilitza el codi de cupó següent i aconsegueix un [REDUCTION_PER] de descompte per afegir als recomanats!', '2012-12-31 16:51:16'),
(10578, 'ca', 'directory', 'desnote', 'Alguns directoris requereixen un mínim de 150 caràcters al camp de la descripció.', '2012-12-31 16:51:16'),
(10579, 'ca', 'directory', 'Directories with out captcha', 'Directoris sense captcha', '2012-12-31 16:51:16'),
(10580, 'ca', 'directory', 'Directories with out Reciprocal Link', 'Directoris sense enllaç recíproc', '2012-12-31 16:51:16'),
(10581, 'ca', 'directory', 'Directory Submission Reports', 'Informes dels Directoris', '2012-12-31 16:51:16'),
(10582, 'ca', 'directory', 'Enter the code shown', 'Introdueix el codi seguent', '2012-12-31 16:51:16'),
(10583, 'ca', 'directory', 'nocatnote', 'No s\\\'ha trobat la categoria sel·lecionada a la pàgina on s\\\'afegeix l\\\'enllaç. Si us plau, clica a <b>Recarregar</b> o <b>Ignorar</b>', '2012-12-31 16:51:16'),
(10584, 'ca', 'directory', 'nodirnote', 'No s\\\'han trobat directoris <b>Actius</b>', '2012-12-31 16:51:16'),
(10585, 'ca', 'directory', 'nosuccessnote', 'No s\\\'ha rebut el missatge de confirmació, si us plau comprova el teu correu electrònic i busca el missatge de confirmació.', '2012-12-31 16:51:16'),
(10586, 'ca', 'directory', 'optionalnote', 'Títols i descripcions opcionals per afegir aleatoriament un títol i una descripció als directoris per millors resultats.', '2012-12-31 16:51:16'),
(10587, 'ca', 'directory', 'Owner Email', 'Correu Electrònic del Propietari', '2012-12-31 16:51:16'),
(10588, 'ca', 'directory', 'Owner Name', 'Nom del Propietari', '2012-12-31 16:51:16'),
(10589, 'ca', 'directory', 'Pending', 'Pendent', '2012-12-31 16:51:16'),
(10590, 'ca', 'directory', 'Please select a website to proceed', 'Si us plau selecciona un lloc web per procedir', '2012-12-31 16:51:16'),
(10591, 'ca', 'directory', 'Reciprocal Link', 'Enllaç Recíproc', '2012-12-31 16:51:16'),
(10592, 'ca', 'directory', 'selectwebsiteproceed', 'Selecciona un <b>Lloc Web</b> per <b>Procedir</b> a afegir-lo a un directori.<br>Marca <b>Directoris sense captcha</b> per afegir a directoris sense control amb captcha.', '2012-12-31 16:51:16'),
(10593, 'ca', 'directory', 'selectwebsiteschecksub', 'Selecciona un <b>Lloc Web</b> per <b>Procedir</b> a comprovar el Lloc Web als directoris.', '2012-12-31 16:51:16'),
(10594, 'ca', 'directory', 'Semi Automatic Directory Submission Tool', 'Incorporació Semi Automàtica als Directoris', '2012-12-31 16:51:16'),
(10595, 'ca', 'directory', 'spamemailnote', 'Alguns directoris poden enviar-te correu electrònic no desitjat (spam), et recomanem que no utilitzis la teva adreça electrònica principal.', '2012-12-31 16:51:16'),
(10596, 'ca', 'directory', 'Submission Details', 'Afegir Detalls', '2012-12-31 16:51:16'),
(10597, 'ca', 'directory', 'Submit Description', 'Afegir Descripció', '2012-12-31 16:51:16'),
(10598, 'ca', 'directory', 'Submit Keywords', 'Afegir Paraules Clau', '2012-12-31 16:51:16'),
(10599, 'ca', 'directory', 'Submit Title', 'Afegir Títol', '2012-12-31 16:51:16'),
(10600, 'ca', 'directory', 'Website Category', 'Categoria del Lloc Web', '2012-12-31 16:51:16'),
(10601, 'ca', 'directory', 'Website Url', 'Adreça del Lloc Web', '2012-12-31 16:51:16'),
(10602, 'ca', 'keyword', 'Crawling keyword', 'Obtenir paraules clau', '2013-01-01 09:35:45'),
(10603, 'ca', 'keyword', 'Detailed Keyword Position Reports', 'Informes Detallats de posició per paraules clau', '2013-01-01 09:35:45'),
(10604, 'ca', 'keyword', 'Edit Keyword', 'Editar paraula clau', '2013-01-01 09:35:45'),
(10605, 'ca', 'keyword', 'Graphical Keyword Position Reports', 'Informes Gràfics de posició per paraules clau', '2013-01-01 09:35:45'),
(10606, 'ca', 'keyword', 'Import Keywords', 'Importar Paraules Clau', '2013-01-01 09:35:45'),
(10607, 'ca', 'keyword', 'Insert keywords separated with comma', 'Insertar paraules clau separades per coma (,)', '2013-01-01 09:35:45'),
(10608, 'ca', 'keyword', 'Keyword already exist', 'La paraula clau ja existeix', '2013-01-01 09:35:45'),
(10609, 'ca', 'keyword', 'Keyword Position Report', 'Informe de posició per Paraula Clau', '2013-01-01 09:35:45'),
(10610, 'ca', 'keyword', 'New Keyword', 'Nova paraula clau', '2013-01-01 09:35:45');
INSERT INTO `texts` (`id`, `lang_code`, `category`, `label`, `content`, `changed`) VALUES
(10611, 'ca', 'keyword', 'not assigned to required search engines', 'no s\\\'han assignat als motors de cerca requerits', '2013-01-01 09:35:45'),
(10612, 'ca', 'keyword', 'pleaseselecttool', 'Si us plau selecciona una eina Seo Tools', '2013-01-01 09:35:45'),
(10613, 'ca', 'keyword', 'Quick Keyword Position Checker', 'Comprovar ràpid la posició d\\\'una paraula clau', '2013-01-01 09:35:45'),
(10614, 'ca', 'keyword', 'results from ', 'resultats de', '2013-01-01 09:35:45'),
(10615, 'ca', 'keyword', 'Show All results', 'Mostra Tots els resultats', '2013-01-01 09:35:45'),
(10616, 'ca', 'keyword', 'Successfully crawled keyword', 'S\\\'ha obtingut amb èxit la paraula clau', '2013-01-01 09:35:45'),
(10617, 'ca', 'keyword', 'to create new keywords', 'per crear noves paraules clau', '2013-01-01 09:35:45'),
(10618, 'ca', 'label', 'already exist', 'ja existeix', '2014-01-16 19:34:25'),
(10619, 'ca', 'label', 'Authentication', 'Autentificació', '2014-01-16 19:34:25'),
(10620, 'ca', 'label', 'Author', 'Autor', '2014-01-16 19:34:25'),
(10621, 'ca', 'label', 'Brocken', 'Trencat', '2014-01-16 19:34:25'),
(10622, 'ca', 'label', 'Clear All', 'Netejar Tot', '2014-01-16 19:34:25'),
(10623, 'ca', 'label', 'Click Here', 'Clic Aquí', '2014-01-16 19:34:25'),
(10624, 'ca', 'label', 'Comments', 'Comentaris', '2014-01-16 19:34:25'),
(10625, 'ca', 'label', 'Count', 'Compte', '2014-01-16 19:34:25'),
(10626, 'ca', 'label', 'Cron', 'Cron', '2014-01-16 19:34:25'),
(10627, 'ca', 'label', 'Current', 'Actual', '2014-01-16 19:34:25'),
(10628, 'ca', 'label', 'Daily', 'Diari', '2014-01-16 19:34:25'),
(10629, 'ca', 'label', 'Description', 'Descripció', '2014-01-16 19:34:25'),
(10630, 'ca', 'label', 'Developers', 'Desenvolupadors', '2014-01-16 19:34:25'),
(10631, 'ca', 'label', 'Download', 'Descarregar', '2014-01-16 19:34:25'),
(10632, 'ca', 'label', 'Exclude', 'Excluir', '2014-01-16 19:34:25'),
(10633, 'ca', 'label', 'Include', 'Incluir', '2014-01-16 19:34:25'),
(10634, 'ca', 'label', 'Installation', 'Instal·lació', '2014-01-16 19:34:25'),
(10635, 'ca', 'label', 'Keywords', 'Paraules Clau', '2014-01-16 19:34:25'),
(10636, 'ca', 'label', 'Monthly', 'Mensual', '2014-01-16 19:34:25'),
(10637, 'ca', 'label', 'noactiveplugins', 'No hi han plugins actius Seo Tools!', '2014-01-16 19:34:25'),
(10638, 'ca', 'label', 'Plugin', 'plugin', '2014-01-16 19:34:25'),
(10639, 'ca', 'label', 'Port', 'Port', '2014-01-16 19:34:25'),
(10640, 'ca', 'label', 'Project', 'Projecte', '2014-01-16 19:34:25'),
(10641, 'ca', 'label', 'Proxy', 'Proxy', '2014-01-16 19:34:25'),
(10642, 'ca', 'label', 'Re-install', 'Re-Instal·lar', '2014-01-16 19:34:25'),
(10643, 'ca', 'label', 'Report Type', 'Tipus d\'Informe', '2014-01-16 19:34:25'),
(10644, 'ca', 'label', 'Score', 'Puntuació', '2014-01-16 19:34:25'),
(10645, 'ca', 'label', 'Select All', 'Sel·leccionar Tot', '2014-01-16 19:34:25'),
(10646, 'ca', 'label', 'Sponsors', 'Patrocinadors', '2014-01-16 19:34:25'),
(10647, 'ca', 'label', 'Theme', 'Temes', '2014-01-16 19:34:25'),
(10648, 'ca', 'label', 'Title', 'Títol', '2014-01-16 19:34:25'),
(10649, 'ca', 'label', 'Total Results', 'Resultats Totals', '2014-01-16 19:34:25'),
(10650, 'ca', 'label', 'translation by', 'traducció per', '2014-01-16 19:34:25'),
(10651, 'ca', 'label', 'Translators', 'Traductors', '2014-01-16 19:34:25'),
(10652, 'ca', 'label', 'Updated', 'Actualitzats', '2014-01-16 19:34:25'),
(10653, 'ca', 'label', 'Upgrade', 'Actualitzar', '2014-01-16 19:34:25'),
(10654, 'ca', 'label', 'Version', 'versió', '2014-01-16 19:34:25'),
(10655, 'ca', 'label', 'View Reports', 'Veure Informes', '2014-01-16 19:34:25'),
(10656, 'ca', 'label', 'wantproceed', 'Segur que vols continuar?', '2014-01-16 19:34:25'),
(10657, 'ca', 'label', 'Weekly', 'Setmanalment', '2014-01-16 19:34:25'),
(10658, 'ca', 'home', 'Account Summary', 'Resum', '2013-01-30 16:18:41'),
(10659, 'ca', 'home', 'Backlinks', 'Backlinks', '2013-01-30 16:18:41'),
(10660, 'ca', 'home', 'Directory Submission', 'Afegir a Directoris', '2013-01-30 16:18:41'),
(10661, 'ca', 'home', 'home_cont1', '<h1 style=\\\"text-align: center;margin-bottom: 30px;font-size: 19px;\\\">Benvingut a Seo Panel - La primera plataforma del món per multiples llocs.</h1> \r\n        <p> \r\n            Una eina completa <b>de programari lliure</b> per administrar la <b>optimització als motors de cerca</b> dels teus\r\nllocs web.  \r\n            Seo Panel es un <b>conjunt d\\\'utilitats</b> que inclueixen les  últimes eines per <b>incrementar i fer un seguiment </b> del\r\n<b>rendiment </b> dels teus llocs web. \r\n            Es una eina <b>gratuïta</b> desenvolupada sota la llicència <b>GNU GENERAL PUBLIC LICENSE</b>. \r\n            La principal funció de Seo Panel és la <b>extensibilitat</b> fent servir <a href=\\\"<?=SP_PLUGINSITE?>\\\"\r\ntarget=\\\"_blank\\\">seo plugins</a>. \r\n            Cualsevol pot fàcilment <b>desenvolupar i instal·lar</b> els plugins que necessiti per a l\\\'ús de Seo Panel.  \r\n        </p> \r\n        <p></p> \r\n        <p> \r\n            Aquest programari open source es va llençar al <b>Gener del 2010</b>. \r\n            En aquest <b>curt període</b> de temps <b>centenars</b> de <b>web masters</b> l\\\'utilitzen per <b>optimitzar</b> els seus llocs web. \r\n            Utilitza Seo Panel avuí i <b>gaudeix</b> de tot el relacionat amb la <b> optimització als motors de cerca</b> sota una única <b>plataforma</b>. \r\n        </p>', '2013-01-30 16:18:41'),
(10662, 'ca', 'home', 'home_cont2', '<fieldset>\r\n<legend>Característiques Principals de Seo Panel <?=SP_INSTALLED?></legend>\r\n<ul class=\\\"infobox\\\">\r\n    <li>        \r\n        <h1>Eina d\\\'Afegit Automàtic a Directoris</h1>\r\n        <p>\r\n            L\\\'eina d\\\'Afegit Automàtic a Directoris ens ajuda a <b>afegir els nostres llocs web</b> en un gran nombre de directoris <b>gratuïts i de pagament</b>.\r\n            També es pot <b>fer un seguiment</b> de cada enllaç afegit als directoris a través de <b>comprovacions periòdiques</b> utilitzant l\\\'eina de <b>comprovar l\\\'estat dels enllaços afegits</b>.\r\n            <b>Gestor de Directoris</b> ens ajudarà a trobar quin <b>directori es actiu</b> o no.\r\n        </p>\r\n    </li>\r\n    <li>        \r\n        <h1>Comprobar la Posició de la paraula Clau</h1>\r\n        <p>\r\n            Keyword position checker will find the <b>search engine position</b> of <b>targetted keywords</b>\r\nof your website and <b>stores</b> it in the system.\r\n            In keyword position reports section, we can see the <b>daily positions</b> of keywords in\r\ndifferent search engines by <b>beautiful graphs</b> and <b>detailed reports</b>.\r\n        </p>\r\n    </li>\r\n    <li>        \r\n        <h1>Site Auditor</h1>\r\n        <p>Site Auditor will <b>audit all SEO factors</b> of each pages of a site and will give a\r\n<b>detailed report</b> about each page. This will help us to create <b>XML,HTML,TEXT</b> sitemap\r\nfiles of our website for <b>submit</b> to search engines.</p>\r\n    </li>\r\n    <li>        \r\n        <h1>Google and Alexa Rank Checker</h1>\r\n        <p>\r\n            Google and alexa rank checker will find <b>google pagerank</b> and <b>alexa rank</b> of our\r\nwebsites and <b>stores</b> it in the system.\r\n            In <b>rank reports</b> section, we can see the <b>daily</b> google and alexa rank of each website\r\nby <b>detailed reports</b>.\r\n        </p>\r\n    </li>\r\n    <li>        \r\n        <h1>Backlinks Checker</h1>\r\n        <p>\r\n            Backlinks checker will find <b>number of backlinks</b> of our websites in different search\r\nengines<b>(google,yahoo,msn etc)</b> and <b>stores</b> it in the system.\r\n            <br>In <b>backlink reports</b> section, we can see the <b>daily backlinks count</b> of each\r\nwebsite by <b>detailed reports</b>.\r\n        </p>\r\n    </li>    \r\n    <li>        \r\n        <h1>Search Engine Saturation Checker</h1>\r\n        <p>\r\n            Search Engine Saturation checker will find <b>number of indexed pages</b> of our websites in\r\ndifferent search engines<b>(google,yahoo,msn etc)</b> and <b>stores</b> it in the system.\r\n            In <b>search engine saturation checker reports</b> section, we can see the <b>daily indexed page\r\ncount</b> of each website by <b>detailed reports</b>.\r\n        </p>\r\n    </li>\r\n    <li>        \r\n        <h1>Seo Panel Plugins</h1>\r\n        <p>\r\n            The <b>major feature</b> of seo control panel is its <b>extentability</b>.\r\n            Add <b>seo plugins</b> to your seo panel to <b>extend the features</b> according to your\r\nrequirement.\r\n            <a href=\\\"<?=SP_PLUGINSITE?>\\\" target=\\\"_blank\\\">Seo panel plugins</a> are provided by both seo panel\r\nand third party sites.\r\n            You can also easily <b>develop</b> seo plugins for your seo panel.\r\n            You can <a href=\\\"<?=SP_PLUGINSITE?>\\\" target=\\\"_blank\\\">submit</a> your seo plugin to seo panel and\r\nwe will <b>publish</b> it in our website after our <b>review</b> process.\r\n        </p>\r\n    </li>\r\n    <li>        \r\n        <h1>Meta Tag Generator</h1>\r\n        <p>\r\n            Meta tag generator is a <b>seo panel plugin</b> for creating <b>custom meta tags</b> for our\r\nsite.\r\n            It will help us to give <b>more information</b> about our website to <b>search engine bots</b>\r\nwhile they crawl our website.\r\n        </p>\r\n    </li>\r\n</ul>\r\n</fieldset>', '2013-01-30 16:18:41'),
(10663, 'ca', 'home', 'home_cont3', '<fieldset> \r\n<legend> Recursos Online Seo Panel</legend>     \r\n<ul class=\\\"infobox\\\"> \r\n\r\n    <li> \r\n        <h1>Recursos Online Seo Panel per Referència</h1>                 \r\n         \r\n         \r\n        <p> \r\n            <a href=\\\"http://www.seopanel.in\\\" target=\\\"_blank\\\">Lloc Oficial Seo Panel</a> \r\n        </p> \r\n        <p> \r\n            <a href=\\\"<?=SP_DOWNLOAD_LINK?>\\\" target=\\\"_blank\\\">Descarregar Seo Panel</a> \r\n        </p> \r\n         \r\n        <p> \r\n            <a href=\\\"<?=SP_DEMO_LINK?>\\\" target=\\\"_blank\\\">Demostració de Seo Panel</a> \r\n        </p> \r\n         \r\n        <p> \r\n            <a href=\\\"<?=SP_CONTACT_LINK?>\\\" target=\\\"_blank\\\">Contactar amb Seo Panel</a> \r\n        </p> \r\n         \r\n        <p> \r\n            <a href=\\\"<?=SP_HELP_LINK?>\\\" target=\\\"_blank\\\">Guía d\\\'Ajuda Seo Panel</a> \r\n        </p> \r\n         \r\n        <p> \r\n            <a href=\\\"<?=SP_FORUM_LINK?>\\\" target=\\\"_blank\\\">Fòrum Seo Panel</a> \r\n        </p> \r\n         \r\n        <p> \r\n            <a href=\\\"<?=SP_SUPPORT_LINK?>\\\" target=\\\"_blank\\\">Suport per a Seo Panel</a> \r\n        </p> \r\n         \r\n        <p> \r\n            <a href=\\\"<?=SP_DONATE_LINK?>\\\" target=\\\"_blank\\\">Donar a Seo Panel</a> \r\n        </p> \r\n    </li> \r\n     \r\n</ul> \r\n</fieldset>', '2013-01-30 16:18:41'),
(10664, 'ca', 'home', 'Indexed', 'Indexat', '2013-01-30 16:18:41'),
(10665, 'ca', 'home', 'Pages Indexed', 'Pàgines Indexades', '2013-01-30 16:18:41'),
(10666, 'ca', 'home', 'Ranks', 'Rànquings', '2013-01-30 16:18:41'),
(10667, 'ca', 'home', 'SiteNameUrl', 'Nom del lloc/Url', '2013-01-30 16:18:41'),
(10668, 'ca', 'home', 'Website Statistics', 'Estadístiques del Lloc Web', '2013-01-30 16:18:41'),
(10669, 'ca', 'settings', 'Check for Updates', 'Comprovar Actualitzacions', '2014-01-16 19:39:46'),
(10670, 'ca', 'settings', 'Click here to become a sponsor for Seo Panel', '<b>Donar $100</b> i fes-te <b>sponsor</b> de Seo Panel.', '2014-01-16 19:39:46'),
(10671, 'ca', 'settings', 'entersmtpdetails', 'Si us plau introdueïx la configuració del servidor SMTP', '2014-01-16 19:39:46'),
(10672, 'ca', 'settings', 'getallpluginfree', 'També obtendrás tots els <b>plugins</b> que nosaltres desenvolupem <b>Gratuïts!</b>', '2014-01-16 19:39:46'),
(10673, 'ca', 'settings', 'SA_CRAWL_DELAY_TIME', 'Retràs en l\'obtenció entre pàgines per l\'Auditor de Llocs Web', '2014-01-16 19:39:46'),
(10674, 'ca', 'settings', 'SA_MAX_NO_PAGES', 'Maxim nom de pàgines permeses per Lloc Web', '2014-01-16 19:39:46'),
(10675, 'ca', 'settings', 'seopanel_description', 'Un complet panell de control per administrar la optimització dels teus llocs web. Conté moltissimes eines extra per incrementar i fer el seguiment de el rendiment de les teves pàgines web. Es un programari de codi lliure en el que també tu pots desenvolupar els teus propis plugins.', '2014-01-16 19:39:46'),
(10676, 'ca', 'settings', 'seopanel_title', 'Seo Panel: El primer panell de control del món sobre optimització als motors de cerca sota llicència de programari lliure i obert on pots administrar tots els teus llocs web.', '2014-01-16 19:39:46'),
(10677, 'ca', 'settings', 'SP_ALLOW_USER_SCHEDULE_REPORT', 'Permetre que els usuaris programin informes al calendari', '2014-01-16 19:39:46'),
(10678, 'ca', 'settings', 'SP_API_KEY', 'Clau per la API de Seo Panel', '2014-01-16 19:39:46'),
(10679, 'ca', 'settings', 'SP_CRAWL_DELAY', 'Retràs entre la obtenció a les pàgines (segons)', '2014-01-16 19:39:46'),
(10680, 'ca', 'settings', 'SP_DEFAULTLANG', 'Idioma per Defecte', '2014-01-16 19:39:46'),
(10681, 'ca', 'settings', 'SP_DESCRIPTION', 'Descripció Seo Panel', '2014-01-16 19:39:46'),
(10682, 'ca', 'settings', 'SP_ENABLE_PROXY', 'Activar Proxy', '2014-01-16 19:39:46'),
(10683, 'ca', 'settings', 'SP_HOTLINKING', 'Protecció d\'enllaços fora del domini activat', '2014-01-16 19:39:46'),
(10684, 'ca', 'settings', 'SP_KEYWORDS', 'Paraules Clau a Seo Panel', '2014-01-16 19:39:46'),
(10685, 'ca', 'settings', 'SP_NUMBER_KEYWORDS_CRON', 'Nombre de paraules clau necessita esser comprovada en cada execució de cron', '2014-01-16 19:39:46'),
(10686, 'ca', 'settings', 'SP_PAGINGNO', 'Nombre de entrades per pàgina', '2014-01-16 19:39:46'),
(10687, 'ca', 'settings', 'SP_RELATIVE_LINK_CRAWL', 'Obtenir els enllaços relatius en una pàgina', '2014-01-16 19:39:46'),
(10688, 'ca', 'settings', 'SP_REPORT_EMAIL_NOTIFICATION', 'Activar notificació al correu electrònic del informe', '2014-01-16 19:39:46'),
(10689, 'ca', 'settings', 'SP_SMTP_HOST', 'Host SMTP', '2014-01-16 19:39:46'),
(10690, 'ca', 'settings', 'SP_SMTP_MAIL', 'Activar SMTP', '2014-01-16 19:39:46'),
(10691, 'ca', 'settings', 'SP_SMTP_PASSWORD', 'Contrasenya SMTP', '2014-01-16 19:39:46'),
(10692, 'ca', 'settings', 'SP_SMTP_USERNAME', 'Usuari SMTP', '2014-01-16 19:39:46'),
(10693, 'ca', 'settings', 'SP_SYSTEM_REPORT_INTERVAL', 'Generar Informes a un interval', '2014-01-16 19:39:46'),
(10694, 'ca', 'settings', 'SP_TITLE', 'Títol de Seo Panel', '2014-01-16 19:39:46'),
(10695, 'ca', 'settings', 'SP_USER_AGENT', 'User agent', '2014-01-16 19:39:46'),
(10696, 'ca', 'settings', 'SP_USER_GEN_REPORT', 'Permetre als usuaris generar informes', '2014-01-16 19:39:46'),
(10697, 'ca', 'settings', 'SP_USER_REGISTRATION', 'Panell de registre d\'usuari', '2014-01-16 19:39:46'),
(10698, 'ca', 'settings', 'syssettingssaved', 'Preferències de sistema guardades correctament!', '2014-01-16 19:39:46'),
(10699, 'ca', 'settings', 'versionnotuptodatemsg', 'La teva instal·lació de Seo Panel no està actualitzada. <br>Si us plau descarrega la nova versió', '2014-01-16 19:39:46'),
(10700, 'ca', 'settings', 'Your Seo Panel installation is up to date', 'La instal·lació de Seo Panel està actualitzada.', '2014-01-16 19:39:46'),
(10701, 'da', 'common', 'Dashboard', 'Værktøjskassen', '2019-05-25 18:04:54'),
(10702, 'da', 'common', 'Hello', 'Hej', '2019-05-25 18:04:54'),
(10703, 'da', 'common', 'Home', 'Hjem', '2019-05-25 18:04:54'),
(10704, 'da', 'common', 'Powered by', 'Powered by', '2019-05-25 18:04:54'),
(10705, 'da', 'directory', 'clickaddfeatureddirectory', 'Tilføj dit fortrukne bibliotek', '2013-01-14 22:40:16'),
(10706, 'da', 'directory', 'Coupon Code', 'Kupom kode', '2013-01-14 22:40:16'),
(10707, 'da', 'directory', 'Coupon Offer', 'Kupon tilbud', '2013-01-14 22:40:16'),
(10708, 'da', 'directory', 'couponcodenote', 'Brug overstående kupon kode og få [REDUCTION_PER] i rabat på hver tilmeldning', '2013-01-14 22:40:16'),
(10709, 'da', 'directory', 'Directories with out Reciprocal Link', 'Biblioteker med udgående Reciprocal Link', '2013-01-14 22:40:16'),
(10710, 'sv', 'backlink', 'clickproceedbacklink', 'Ange <b>en adress per rad</b>. Klicka på <b>Fortsätt</b> för att kontrollera backlinks.', '2014-06-23 16:51:28'),
(10711, 'sv', 'backlink', 'Saved backlink results of', 'Sparade backlink-resultat för', '2014-06-23 16:51:28'),
(10712, 'sv', 'button', 'Cancel', 'Ångra', '2014-06-23 16:52:34'),
(10713, 'sv', 'button', 'Check Status', 'Visa status', '2014-06-23 16:52:34'),
(10714, 'sv', 'button', 'Proceed', 'Fortsätt', '2014-06-23 16:52:34'),
(10715, 'sv', 'button', 'Reload', 'Ladda om', '2014-06-23 16:52:34'),
(10716, 'sv', 'button', 'Show Details', 'Detaljer', '2014-06-23 16:52:34'),
(10717, 'sv', 'button', 'Show Records', 'Visa poster', '2014-06-23 16:52:34'),
(10718, 'sv', 'button', 'Skip', 'Hoppa över', '2014-06-23 16:52:34'),
(10719, 'sv', 'button', 'Submit', 'Skicka', '2014-06-23 16:52:34'),
(10720, 'sv', 'common', 'Action', 'Åtgärd', '2019-05-25 18:50:40'),
(10721, 'sv', 'common', 'Activate', 'Aktivera', '2019-05-25 18:50:40'),
(10722, 'sv', 'common', 'Active', 'Aktiv', '2019-05-25 18:50:40'),
(10723, 'sv', 'common', 'Admin Panel', 'Administrationspanel', '2019-05-25 18:50:40'),
(10724, 'sv', 'common', 'Alexa Rank', 'Alexa Rank', '2019-05-25 18:50:40'),
(10725, 'sv', 'common', 'All', 'Alla', '2019-05-25 18:50:40'),
(10726, 'sv', 'common', 'Category', 'Kategori', '2019-05-25 18:50:40'),
(10727, 'sv', 'common', 'contact', 'Kontakt', '2019-05-25 18:50:40'),
(10728, 'sv', 'common', 'copyright', 'Copyright © [year] www.seopanel.in All rights reserved', '2019-05-25 18:50:40'),
(10729, 'sv', 'common', 'Country', 'Land', '2019-05-25 18:50:40'),
(10730, 'sv', 'common', 'Crawl Meta Data', 'Crawl Meta Data', '2019-05-25 18:50:40'),
(10731, 'sv', 'common', 'Dashboard', 'Dashboard', '2019-05-25 18:50:40'),
(10732, 'sv', 'common', 'Date', 'Datum', '2019-05-25 18:50:40'),
(10733, 'sv', 'common', 'Delete', 'Radera', '2019-05-25 18:50:40'),
(10734, 'sv', 'common', 'Details', 'Detaljer', '2019-05-25 18:50:40'),
(10735, 'sv', 'common', 'Directory', 'Katalog', '2019-05-25 18:50:40'),
(10736, 'sv', 'common', 'Donate', 'Donera', '2019-05-25 18:50:40'),
(10737, 'sv', 'common', 'Edit', 'Editera', '2019-05-25 18:50:40'),
(10738, 'sv', 'common', 'Entry cannot be blank', 'Får inte vara tom', '2019-05-25 18:50:40'),
(10739, 'sv', 'common', 'entrynotvalid', 'Felaktig inmatning', '2019-05-25 18:50:40'),
(10740, 'sv', 'common', 'failed', 'Misslyckades', '2019-05-25 18:50:40'),
(10741, 'sv', 'common', 'forum', 'Forum', '2019-05-25 18:50:40'),
(10742, 'sv', 'common', 'Found', 'Hittat', '2019-05-25 18:50:40'),
(10743, 'sv', 'common', 'Google Pagerank', 'Google Pagerank', '2019-05-25 18:50:40'),
(10744, 'sv', 'common', 'Hello', 'Hej', '2019-05-25 18:50:40'),
(10745, 'sv', 'common', 'help', 'Hjälp', '2019-05-25 18:50:40'),
(10746, 'sv', 'common', 'hidenews', 'Dölj Nyheter', '2019-05-25 18:50:40'),
(10747, 'sv', 'common', 'Home', 'Hem', '2019-05-25 18:50:40'),
(10748, 'sv', 'common', 'Id', 'Id', '2019-05-25 18:50:40'),
(10749, 'sv', 'common', 'Inactivate', 'Inaktivera', '2019-05-25 18:50:40'),
(10750, 'sv', 'common', 'Inactive', 'Inaktiv', '2019-05-25 18:50:40'),
(10751, 'sv', 'common', 'Invalid characters', 'Ogiltiga tecken', '2019-05-25 18:50:40'),
(10752, 'sv', 'common', 'Invalid code entered', 'Ogiltlig kod', '2019-05-25 18:50:40'),
(10753, 'sv', 'common', 'Invalid email address entered', 'Ogiltlig  e-postadress', '2019-05-25 18:50:40'),
(10754, 'sv', 'common', 'Invalid value', 'Ogiltigt värde', '2019-05-25 18:50:40'),
(10755, 'sv', 'common', 'Keyword', 'Keyword', '2019-05-25 18:50:40'),
(10756, 'sv', 'common', 'Keywords', 'Keywords', '2019-05-25 18:50:40'),
(10757, 'sv', 'common', 'lang', 'Språk', '2019-05-25 18:50:40'),
(10758, 'sv', 'common', 'My Account', 'Mitt konto', '2019-05-25 18:50:40'),
(10759, 'sv', 'common', 'Name', 'Namn', '2019-05-25 18:50:40'),
(10760, 'sv', 'common', 'No', 'Nej', '2019-05-25 18:50:40'),
(10761, 'sv', 'common', 'No Keywords Found', 'Inga Keyword hittades', '2019-05-25 18:50:40'),
(10762, 'sv', 'common', 'No Records Found', 'Inga uppgifter funna', '2019-05-25 18:50:40'),
(10763, 'sv', 'common', 'noactivetools', 'Inga aktiva SEO-verktyg funna!', '2019-05-25 18:50:40'),
(10764, 'sv', 'common', 'nowebsites', 'Ingen webbplats hittad', '2019-05-25 18:50:40'),
(10765, 'sv', 'common', 'password632', 'Längden på lösenordet ska vara mellan 6 och 32 tecken', '2019-05-25 18:50:40'),
(10766, 'sv', 'common', 'passwordnotmatch', 'Lösenorden är inte identiska', '2019-05-25 18:50:40'),
(10767, 'sv', 'common', 'Period', 'Period', '2019-05-25 18:50:40'),
(10768, 'sv', 'common', 'Powered by', 'Powered by', '2019-05-25 18:50:40'),
(10769, 'sv', 'common', 'Priority', 'Prioritet', '2019-05-25 18:50:40'),
(10770, 'sv', 'common', 'Profile', 'Profil', '2019-05-25 18:50:40'),
(10771, 'sv', 'common', 'Rank', 'Rank', '2019-05-25 18:50:40'),
(10772, 'sv', 'common', 'Reports', 'Rapporter', '2019-05-25 18:50:40'),
(10773, 'sv', 'common', 'Results', 'Resultat', '2019-05-25 18:50:40'),
(10774, 'sv', 'common', 'Search Engine', 'Sökmotor', '2019-05-25 18:50:40'),
(10775, 'sv', 'common', 'Select', 'Välj', '2019-05-25 18:50:40'),
(10776, 'sv', 'common', 'Seo Plugins', 'Seo-Plugins', '2019-05-25 18:50:40'),
(10777, 'sv', 'common', 'Seo Tools', 'Seo-Verktyg', '2019-05-25 18:50:40'),
(10778, 'sv', 'common', 'Sign out', 'Logga ut', '2019-05-25 18:50:40'),
(10779, 'sv', 'common', 'Sign Up', 'Registrera', '2019-05-25 18:50:40'),
(10780, 'sv', 'common', 'signin', 'Logga in', '2019-05-25 18:50:40'),
(10781, 'sv', 'common', 'Status', 'Status', '2019-05-25 18:50:40'),
(10782, 'sv', 'common', 'Support', 'Support', '2019-05-25 18:50:40'),
(10783, 'sv', 'common', 'Total', 'Totalt', '2019-05-25 18:50:40'),
(10784, 'sv', 'common', 'Url', 'Url', '2019-05-25 18:50:40'),
(10785, 'sv', 'common', 'User', 'Användare', '2019-05-25 18:50:40'),
(10786, 'sv', 'common', 'User Panel', 'Användarpanel', '2019-05-25 18:50:40'),
(10787, 'sv', 'common', 'Website', 'Webbplats', '2019-05-25 18:50:40'),
(10788, 'sv', 'common', 'Yes', 'Ja', '2019-05-25 18:50:40'),
(10789, 'ca', 'siteauditor', 'Anchor', 'Ancla', '2013-01-30 16:17:18'),
(10790, 'ca', 'siteauditor', 'anylinkcontainabovelinks', 'Tots els enllaços que continguin els següents enllaços seran excluits dels informes', '2013-01-30 16:17:18'),
(10791, 'ca', 'siteauditor', 'anylinkcontainexcludesitemap', 'Tots els enllaços que continguin els següents links serán excluits del mapa del lloc', '2013-01-30 16:17:18'),
(10792, 'ca', 'siteauditor', 'Check backlinks of pages', 'Comprobar backlinks de les pàgines', '2013-01-30 16:17:18'),
(10793, 'ca', 'siteauditor', 'Check broken links in a page', 'Comprovar enllaços trencats en una pàgina', '2013-01-30 16:17:18'),
(10794, 'ca', 'siteauditor', 'Check google pagerank of pages', 'Comprovar google pagerank de les pàgines', '2013-01-30 16:17:18'),
(10795, 'ca', 'siteauditor', 'Check pages indexed or not', 'Comprovar pàgines si están indexades o no', '2013-01-30 16:17:18'),
(10796, 'ca', 'siteauditor', 'Check Score', 'Comprovar Puntuació', '2013-01-30 16:17:18'),
(10797, 'ca', 'siteauditor', 'checkborckenlinkwait', 'Comprovar enllaços trencats incrementará el temps de l\\\'execució d\\\'un projecte', '2013-01-30 16:17:18'),
(10798, 'ca', 'siteauditor', 'Completed project execution', 'Execució total del projecte', '2013-01-30 16:17:18'),
(10799, 'ca', 'siteauditor', 'Crawled', 'Obtingut', '2013-01-30 16:17:18'),
(10800, 'ca', 'siteauditor', 'Crawled Pages', 'Pàgines Obtingudes', '2013-01-30 16:17:18'),
(10801, 'ca', 'siteauditor', 'crawledsuccesssfullywaitfornext', 'Obtenció realitzada! Esperant per obtenir la següent pàgina', '2013-01-30 16:17:18'),
(10802, 'ca', 'siteauditor', 'Crawling Page', 'Pàgina Obtinguda', '2013-01-30 16:17:18'),
(10803, 'ca', 'siteauditor', 'Duplicate Description', 'Descripció Duplicada', '2013-01-30 16:17:18'),
(10804, 'ca', 'siteauditor', 'Duplicate Keywords', 'Paraules Clau Duplicades', '2013-01-30 16:17:18'),
(10805, 'ca', 'siteauditor', 'Duplicate Title', 'Títol Duplicat', '2013-01-30 16:17:18'),
(10806, 'ca', 'siteauditor', 'Exclude links', 'Excloure Links', '2013-01-30 16:17:18'),
(10807, 'ca', 'siteauditor', 'Execute with cron', 'Executar amb Cron', '2013-01-30 16:17:18'),
(10808, 'ca', 'siteauditor', 'External', 'Extern', '2013-01-30 16:17:18'),
(10809, 'ca', 'siteauditor', 'External Links', 'Enllaços Externs', '2013-01-30 16:17:18'),
(10810, 'ca', 'siteauditor', 'Import Project Links', 'Importar enllaços del Projecte', '2013-01-30 16:17:18'),
(10811, 'ca', 'siteauditor', 'Insert links separated with comma', 'Insertar enllaços separats amb coma (,)', '2013-01-30 16:17:18'),
(10812, 'ca', 'siteauditor', 'insertlinkssepcoma', 'Insertar enllaços separats amb coma per excloure enllaços infinits dels informes', '2013-01-30 16:17:18'),
(10813, 'ca', 'siteauditor', 'Link Reports', 'Informes d\\\'Enllaços', '2013-01-30 16:17:18'),
(10814, 'ca', 'siteauditor', 'Link Title', 'Títol del Enllaç', '2013-01-30 16:17:18'),
(10815, 'ca', 'siteauditor', 'Maximum number of pages to be checked', 'Máxim nombre de págines per comprovar', '2013-01-30 16:17:18'),
(10816, 'ca', 'siteauditor', 'Maximum Pages', 'Máximes Pagines', '2013-01-30 16:17:18'),
(10817, 'ca', 'siteauditor', 'No active projects found', 'Projectes actius no trobats', '2013-01-30 16:17:18'),
(10818, 'ca', 'siteauditor', 'Nofollow', 'Nofollow', '2013-01-30 16:17:18'),
(10819, 'ca', 'siteauditor', 'Number of pages is greater than', 'El nombre de págines es major que', '2013-01-30 16:17:18'),
(10820, 'ca', 'siteauditor', 'Number of pages should be greater than', 'El nombre de págines hauria de ser millor que', '2013-01-30 16:17:18'),
(10821, 'ca', 'siteauditor', 'Page Details', 'Detalls de la Página', '2013-01-30 16:17:18'),
(10822, 'ca', 'siteauditor', 'Page Link', 'Enllaç a la Página', '2013-01-30 16:17:18'),
(10823, 'ca', 'siteauditor', 'Page Links', 'Enllaços a la Página', '2013-01-30 16:17:18'),
(10824, 'ca', 'siteauditor', 'Pages Found', 'Págines Trobades', '2013-01-30 16:17:18'),
(10825, 'ca', 'siteauditor', 'pressescapetostopexecution', 'Presiona <b>escape</b> per parar l\\\'execució de l\\\'script', '2013-01-30 16:17:18'),
(10826, 'ca', 'siteauditor', 'Project Summary', 'Resum del Projecte', '2013-01-30 16:17:18'),
(10827, 'ca', 'siteauditor', 'Project Url', 'Url del Projecte', '2013-01-30 16:17:18'),
(10828, 'ca', 'siteauditor', 'projectalreadyexist', 'El projecte per aquesta web ja existeix', '2013-01-30 16:17:18'),
(10829, 'ca', 'siteauditor', 'Recheck Pages', 'Re-comprovar Pàgines', '2013-01-30 16:17:18'),
(10830, 'ca', 'siteauditor', 'Report Summary', 'Resum dels Informes', '2013-01-30 16:17:18'),
(10831, 'ca', 'siteauditor', 'Run Project', 'Arrencar Projecte', '2013-01-30 16:17:18'),
(10832, 'ca', 'siteauditor', 'should start with', 'Hauría de començar per', '2013-01-30 16:17:18'),
(10833, 'ca', 'siteauditor', 'Site Auditor Settings', 'Preferències de l\\\'Auditor del Lloc Web', '2013-01-30 16:17:18'),
(10834, 'ca', 'siteauditor', 'Store all links found in a page', 'Enmagatzemar tots els enllaços trobats en una pàgina', '2013-01-30 16:17:18'),
(10835, 'ca', 'siteauditor', 'The page description length is not between', 'La llargària de la descripció no està entre', '2013-01-30 16:17:18'),
(10836, 'ca', 'siteauditor', 'The page is brocken', 'La pàgina està trencada', '2013-01-30 16:17:18'),
(10837, 'ca', 'siteauditor', 'The page is having exellent number of backlinks in', 'La pàgina està tinguent un gran nombre de backlinks en', '2013-01-30 16:17:18'),
(10838, 'ca', 'siteauditor', 'The page is having exellent pagerank', 'La pàgina està tenint un pagerank excel·lent', '2013-01-30 16:17:18'),
(10839, 'ca', 'siteauditor', 'The page is having good number of backlinks in', 'la pàgina està tenint un bon nombre de backlinks en', '2013-01-30 16:17:18'),
(10840, 'ca', 'siteauditor', 'The page is having good pagerank', 'La pàgina està tenint un bon pagerank', '2013-01-30 16:17:18'),
(10841, 'ca', 'siteauditor', 'The page is having poor pagerank', 'La pàgina està tenint un mal pagerank', '2013-01-30 16:17:18'),
(10842, 'ca', 'siteauditor', 'The page is having very good pagerank', 'La pàgina esta tenint un molt bon pagerank', '2013-01-30 16:17:18'),
(10843, 'ca', 'siteauditor', 'The page is not having backlinks in', 'La pàgina no té backlinks', '2013-01-30 16:17:18'),
(10844, 'ca', 'siteauditor', 'The page is not indexed in', 'La pàgina no està indexada a', '2013-01-30 16:17:18'),
(10845, 'ca', 'siteauditor', 'The page keywords length is not between', 'La llargària de la pàgina de paraules clau no està entre', '2013-01-30 16:17:18'),
(10846, 'ca', 'siteauditor', 'The page title length is not between', 'La llargària de el títol de la pàgina no està entre', '2013-01-30 16:17:18'),
(10847, 'ca', 'siteauditor', 'The total number of links in page is greater than', 'El nombre total de links en la pàgina es més gran que', '2013-01-30 16:17:18'),
(10848, 'ca', 'siteauditor', 'to run project again if you stopped execution', 'per arrencar el projecte un altre cop si has aturat l\\\'execució', '2013-01-30 16:17:18'),
(10849, 'ca', 'siteauditor', 'to view the reports', 'per veure els informes', '2013-01-30 16:17:18'),
(10850, 'ca', 'siteauditor', 'Total Links', 'Enllaços Totals', '2013-01-30 16:17:18'),
(10851, 'ca', 'siteauditor', 'totallinksgreaterallowed', 'El total de links serà més gran que el màxim de links permesos al projecte', '2013-01-30 16:17:18'),
(10852, 'hu', 'common', 'Dashboard', 'Vezérlőpult', '2019-05-25 18:15:43'),
(10853, 'hu', 'common', 'Home', 'Főoldal', '2019-05-25 18:15:43'),
(10854, 'hu', 'common', 'Powered by', 'Üzemelteti', '2019-05-25 18:15:43'),
(10855, 'hu', 'directory', 'clickaddfeatureddirectory', 'Kattints ide, hogy hozzáadd a saját kiemelt katalógusodat', '2013-02-05 19:23:52'),
(10856, 'hu', 'directory', 'Coupon Offer', 'Kupon ajánlat', '2013-02-05 19:23:52'),
(10857, 'hu', 'directory', 'Directories with out Reciprocal Link', 'Katalógusok, amik nem kérnek visszamutató linket', '2013-02-05 19:23:52'),
(10858, 'hu', 'label', 'Clear All', 'Összes törlése', '2013-02-05 19:24:43'),
(10859, 'hu', 'label', 'Current', 'Jelenlegi', '2013-02-05 19:24:43'),
(10860, 'hu', 'label', 'Select All', 'Összes kiválasztása', '2013-02-05 19:24:43'),
(10861, 'hu', 'label', 'Theme', 'Megjelenés', '2013-02-05 19:24:43'),
(10862, 'hu', 'panel', 'Themes Manager', 'Megjelenés beállítása', '2013-02-05 19:25:03'),
(10863, 'hu', 'settings', 'SP_RELATIVE_LINK_CRAWL', 'Relatív linkek gyűjtése az oldalakon', '2013-02-05 19:25:44'),
(10864, 'hu', 'theme', 'Download Seo Panel Themes', 'Tölts le Seo Panel megjelenéseket', '2013-02-05 19:26:11'),
(10865, 'sr', 'website', 'Edit Website', 'Уређивање сајта', '2013-02-16 17:54:35'),
(10866, 'sr', 'website', 'plscrtwebsite', 'Молимо направите сајт пре него што почнете да користите СЕО алат и СЕО додатке.', '2013-02-16 17:54:35'),
(10867, 'sr', 'website', 'Website already exist', 'Сајт већ постоји', '2013-02-16 17:54:35'),
(10868, 'sr', 'website', 'yourwebalreday', 'Ваш сајт ако сте већ направили један.', '2013-02-16 17:54:35'),
(10869, 'sr', 'user', 'Edit User', 'Уређивање корисника', '2013-02-16 17:57:41'),
(10870, 'sr', 'user', 'Saved My Profile Details', 'Сачувај моје детаље профила', '2013-02-16 17:57:41'),
(10871, 'sr', 'theme', 'Download Seo Panel Themes', 'Преузимање Теме СЕО Панела', '2013-02-16 18:24:22'),
(10872, 'sr', 'sitemap', 'Change frequency', 'Промените учесталост понављања', '2013-02-16 18:31:01'),
(10873, 'sr', 'sitemap', 'clickproceedsitemap', 'Кликните на <b>Наставите </b> за креирање датотеке сајт-мапе', '2013-02-16 18:31:01'),
(10874, 'sr', 'sitemap', 'Download sitemap file from', 'Преузмите датотеку сајт-мапе са', '2013-02-16 18:31:01'),
(10875, 'sr', 'sitemap', 'Exclude Url', 'Изузети Урл', '2013-02-16 18:31:01'),
(10876, 'sr', 'sitemap', 'processtaketime', 'Овај процес ће потрајати у зависности од броја линкова на вашем сајту. Молимо сачекајте да преузмете датотеке сајт-мапе', '2013-02-16 18:31:01'),
(10877, 'sr', 'sitemap', 'Sitemap Type', 'Тип сајт-мапе', '2013-02-16 18:31:01'),
(10878, 'sr', 'seotools', 'Auditor Projects', '', '2013-02-16 18:33:46'),
(10879, 'sr', 'seotools', 'Auditor Reports', '', '2013-02-16 18:33:46'),
(10880, 'sr', 'seotools', 'Auditor Settings', '', '2013-02-16 18:33:46'),
(10881, 'sr', 'seotools', 'Automatic Submission', '', '2013-02-16 18:33:46'),
(10882, 'sr', 'seotools', 'backlink-checker', '', '2013-02-16 18:33:46'),
(10883, 'sr', 'seotools', 'Backlinks Reports', '', '2013-02-16 18:33:46'),
(10884, 'sr', 'seotools', 'Check Submission Status', '', '2013-02-16 18:33:46'),
(10885, 'sr', 'seotools', 'clickgeneratereports', '', '2013-02-16 18:33:46'),
(10886, 'sr', 'seotools', 'Detailed Position Reports', '', '2013-02-16 18:33:46'),
(10887, 'sr', 'seotools', 'directory-submission', '', '2013-02-16 18:33:46'),
(10888, 'sr', 'seotools', 'Featured Submission', '', '2013-02-16 18:33:46'),
(10889, 'sr', 'seotools', 'Generate Backlinks Reports', '', '2013-02-16 18:33:46'),
(10890, 'sr', 'seotools', 'Generate Keyword Reports', '', '2013-02-16 18:33:46'),
(10891, 'sr', 'seotools', 'Generate Rank Reports', '', '2013-02-16 18:33:46'),
(10892, 'sr', 'seotools', 'Generate Saturation Reports', '', '2013-02-16 18:33:46'),
(10893, 'sr', 'seotools', 'Google Sitemap Generator', '', '2013-02-16 18:33:46'),
(10894, 'sr', 'seotools', 'Graphical Position Reports', '', '2013-02-16 18:33:46'),
(10895, 'sr', 'seotools', 'Import Project Links', '', '2013-02-16 18:33:46'),
(10896, 'sr', 'seotools', 'Keyword Position Summary', '', '2013-02-16 18:33:46'),
(10897, 'sr', 'seotools', 'keyword-position-checker', '', '2013-02-16 18:33:46'),
(10898, 'sr', 'seotools', 'Keywords Manager', '', '2013-02-16 18:33:46'),
(10899, 'sr', 'seotools', 'Quick Backlinks Checker', '', '2013-02-16 18:33:46'),
(10900, 'sr', 'seotools', 'Quick Position Checker', '', '2013-02-16 18:33:46'),
(10901, 'sr', 'seotools', 'Quick Rank Checker', '', '2013-02-16 18:33:46'),
(10902, 'sr', 'seotools', 'Quick Saturation Checker', '', '2013-02-16 18:33:46'),
(10903, 'sr', 'seotools', 'Rank Reports', '', '2013-02-16 18:33:46'),
(10904, 'sr', 'seotools', 'rank-checker', '', '2013-02-16 18:33:46'),
(10905, 'sr', 'seotools', 'Saturation Reports', '', '2013-02-16 18:33:46'),
(10906, 'sr', 'seotools', 'saturation-checker', '', '2013-02-16 18:33:46'),
(10907, 'sr', 'seotools', 'site-auditor', '', '2013-02-16 18:33:46'),
(10908, 'sr', 'seotools', 'sitemap-generator', '', '2013-02-16 18:33:46'),
(10909, 'sr', 'seotools', 'Skipped Directories', '', '2013-02-16 18:33:46'),
(10910, 'sr', 'seotools', 'Submission Reports', '', '2013-02-16 18:33:46'),
(10911, 'sr', 'seotools', 'User Access', '', '2013-02-16 18:33:46'),
(10912, 'pt', 'theme', 'Download Seo Panel Themes', 'Fazer Download dos temas Seo Panel', '2013-04-14 15:08:18'),
(10913, 'sk', 'common', 'Dashboard', 'Výsledková listina', '2019-05-25 18:47:21'),
(10914, 'sk', 'common', 'Home', 'Domov', '2019-05-25 18:47:21'),
(10915, 'sk', 'common', 'Powered by', 'Vytvorené pomocou', '2019-05-25 18:47:21'),
(10916, 'sk', 'directory', 'clickaddfeatureddirectory', 'Klikni na pridanie vlastných funkcií katalógu', '2013-04-30 10:33:42'),
(10917, 'sk', 'directory', 'Coupon Offer', 'Ponuka kupónu', '2013-04-30 10:33:42'),
(10918, 'sk', 'directory', 'Directories with out Reciprocal Link', 'Katalógy bez spätného odkazu', '2013-04-30 10:33:42'),
(10919, 'sk', 'label', 'Clear All', 'Vymaž všetko', '2013-04-30 10:34:36'),
(10920, 'sk', 'label', 'Current', 'Aktuálny', '2013-04-30 10:34:36'),
(10921, 'sk', 'label', 'Select All', 'Vybrať všetko', '2013-04-30 10:34:36'),
(10922, 'sk', 'label', 'Theme', 'Téma', '2013-04-30 10:34:36'),
(10923, 'sk', 'panel', 'Themes Manager', 'Správca tém', '2013-04-30 10:34:59'),
(10924, 'sk', 'settings', 'SP_RELATIVE_LINK_CRAWL', 'Prechádzať relatívne odkazy na stránke', '2013-04-30 10:35:42'),
(10925, 'sk', 'theme', 'Download Seo Panel Themes', 'Stiahnuť témy', '2013-04-30 10:36:10'),
(10926, 'de', 'common', 'Dashboard', 'Übersicht', '2021-06-14 21:46:19'),
(10927, 'de', 'common', 'Home', 'Home', '2021-06-14 21:46:19'),
(10928, 'de', 'common', 'Powered by', 'Bereitgestellt von', '2021-06-14 21:46:19'),
(10929, 'de', 'label', 'Clear All', 'Alles löschen', '2021-01-06 10:13:08'),
(10930, 'de', 'label', 'Current', 'Aktuell', '2021-01-06 10:13:08'),
(10931, 'de', 'label', 'Select All', 'Alle auswählen', '2021-01-06 10:13:08'),
(10932, 'de', 'label', 'Theme', 'Theme', '2021-01-06 10:13:08'),
(10933, 'de', 'panel', 'Themes Manager', 'Theme Manager', '2023-01-03 14:44:32'),
(10934, 'de', 'theme', 'Download Seo Panel Themes', 'SEO Panel Themes herunterladen', '2013-05-27 19:04:21'),
(10935, 'en', 'login', 'Forgot password?', 'Forgot password?', '2014-01-06 18:45:28'),
(10936, 'en', 'login', 'Request Password', 'Request Password', '2014-01-06 18:45:58'),
(10937, 'en', 'login', 'Your Password Reset Failed', 'Your Password Reset Failed', '2014-01-06 18:45:58'),
(10938, 'en', 'login', 'Your Password Reset Successfully', 'Your Password Reset Successfully', '2014-01-06 18:45:58'),
(10939, 'en', 'login', 'user_email_not_exist', 'User email is not existing in system!', '2014-01-06 18:45:58'),
(10940, 'en', 'login', 'password_reset_success_message', 'Your password reset successfully. A confirmation mail send to email address. <br>Please check your inbox to get your new password.', '2014-01-06 18:45:58'),
(10941, 'en', 'login', 'internal_error_mail_send', 'An internal error occured while sending password reset mail!', '2014-01-06 18:45:58'),
(10942, 'en', 'login', 'to login to your account', 'to login to your account', '2014-01-06 18:45:58'),
(10943, 'en', 'login', 'Your account password is resetted and new password is', 'Your account password is resetted and new password is', '2014-01-06 18:45:58'),
(10944, 'en', 'common', 'Thank you', 'Thank you', '2019-08-06 06:09:56'),
(10945, 'en', 'panel', 'Proxy Settings', 'Proxy Settings', '2014-01-06 18:45:58'),
(10946, 'en', 'panel', 'Import Proxy', 'Import Proxy', '2014-01-06 18:45:58'),
(10947, 'en', 'settings', 'allsettingssaved', 'All settings saved successfully!', '2018-01-22 19:59:29'),
(10948, 'en', 'settings', 'CURLOPT_HTTPPROXYTUNNEL_VAL', 'Enable HTTP Proxy Tunnel', '2018-01-22 19:59:29'),
(10949, 'en', 'settings', 'SP_SMTP_PORT', 'SMTP Mail Port', '2018-01-22 19:59:29'),
(10950, 'en', 'common', 'Checked', 'Checked', '2019-08-06 06:09:56'),
(10951, 'en', 'label', 'Syntax', 'Syntax', '2014-01-06 18:45:58'),
(10952, 'en', 'proxy', 'enterproxynote', 'Enter proxy one per line in following format.', '2014-01-06 18:45:58'),
(10953, 'en', 'proxy', 'proxysyntax', 'Proxy Hostname, Proxy Port, Proxy Username, Proxy Password', '2014-01-06 18:45:58'),
(10954, 'en', 'panel', 'Valid', 'Valid', '2014-01-06 18:45:58'),
(10955, 'en', 'panel', 'Existing', 'Existing', '2014-01-06 18:45:58'),
(10956, 'es-ar', 'common', 'Checked', 'Chequeado', '2014-01-06 19:05:07'),
(10957, 'es-ar', 'common', 'Dashboard', 'Tablero de Control', '2014-01-06 19:05:07'),
(10958, 'es-ar', 'common', 'Hello', 'Hola', '2014-01-06 19:05:07'),
(10959, 'es-ar', 'common', 'Home', 'Inicio', '2014-01-06 19:05:07'),
(10960, 'es-ar', 'common', 'Powered by', 'Creado por ', '2014-01-06 19:05:07'),
(10961, 'es-ar', 'common', 'Thank you', 'Gracias', '2014-01-06 19:05:07'),
(10962, 'es-ar', 'directory', 'Add back to directory list', 'Agregar Atras al listado de directorio', '2014-01-06 19:18:34'),
(10963, 'es-ar', 'directory', 'Approved', 'Aprovado', '2014-01-06 19:18:34'),
(10964, 'es-ar', 'directory', 'Captcha', 'Captcha', '2014-01-06 19:18:34'),
(10965, 'es-ar', 'directory', 'categorynote', 'Categorias. separarlas con coma de acuerdo a su prioridad. Comenzar con la categoria de prioridad Superior.', '2014-01-06 19:18:34'),
(10966, 'es-ar', 'directory', 'Check Directory Status', 'Chequear estado del directorio', '2014-01-06 19:18:34'),
(10967, 'es-ar', 'directory', 'Check Directory Submission Status', 'Chequear estado del envio del directorio', '2014-01-06 19:18:34'),
(10968, 'es-ar', 'directory', 'clickaddfeatureddirectory', 'Clic aqui para agregar el directorio elegido', '2014-01-06 19:18:34'),
(10969, 'es-ar', 'directory', 'clicktoproceeddirsts', 'Clic en <b>Proceder</b> para controlar el Estado del Directorio.', '2014-01-06 19:18:34'),
(10970, 'es-ar', 'directory', 'Confirmation', 'Confirmacion', '2014-01-06 19:18:34'),
(10971, 'es-ar', 'directory', 'Coupon Code', 'Codigo de Cupon', '2014-01-06 19:18:34'),
(10972, 'es-ar', 'directory', 'Coupon Offer', 'Oferta de Cupon', '2014-01-06 19:18:34'),
(10973, 'es-ar', 'directory', 'couponcodenote', 'Usar el Codigo de Cupon y obtener ofertas para cada envio [REDUCTION_PER]!', '2014-01-06 19:18:34'),
(10974, 'es-ar', 'directory', 'desnote', 'Algunos directorios requieren un minimo de 150 caracteres para el campo descripcion.', '2014-01-06 19:18:34'),
(10975, 'es-ar', 'directory', 'Directories with out captcha', 'Directorios sin captcha.', '2014-01-06 19:18:34'),
(10976, 'es-ar', 'directory', 'Directories with out Reciprocal Link', 'Directorios sin Vinculo Reciproco', '2014-01-06 19:18:34'),
(10977, 'es-ar', 'directory', 'Directory Submission Reports', 'Reportes de Envio de Directorios', '2014-01-06 19:18:34'),
(10978, 'es-ar', 'directory', 'Enter the code shown', 'Ingresar el Codigo Mostrado', '2014-01-06 19:18:34'),
(10979, 'es-ar', 'directory', 'nocatnote', 'La categoria de envio no se encontro en la pagina de envio. Por favor haga clic en <b>Recargar</b> o <b>Pasar</b>', '2014-01-06 19:18:34'),
(10980, 'es-ar', 'directory', 'nodirnote', 'No se encontraron directorios <b>Activos</b>', '2014-01-06 19:18:34'),
(10981, 'es-ar', 'directory', 'nosuccessnote', 'No ubtuvo mensaje de operacion exitosa, por favor controle su mail para buscar el mensaje de confirmacion', '2014-01-06 19:18:34'),
(10982, 'es-ar', 'directory', 'optionalnote', 'Titulos y descripciones opcionales para enviar titulos y descripciones aleatorias a los directorios para obtener mejores resultados.', '2014-01-06 19:18:34'),
(10983, 'es-ar', 'directory', 'Owner Email', 'Email del Titular', '2014-01-06 19:18:34'),
(10984, 'es-ar', 'directory', 'Owner Name', 'Nombre del Titular', '2014-01-06 19:18:34'),
(10985, 'es-ar', 'directory', 'Pending', 'Pendiente', '2014-01-06 19:18:34'),
(10986, 'es-ar', 'directory', 'Please select a website to proceed', 'Por favor ingrese el sitio web para proceder', '2014-01-06 19:18:34'),
(10987, 'es-ar', 'directory', 'Reciprocal Link', 'Vinculo reciproco', '2014-01-06 19:18:34'),
(10988, 'es-ar', 'directory', 'selectwebsiteproceed', 'Selecciones un <b>Sitio Web</b> para <b>Proceder</b> a enviar el directorios.<br> <b>Chequee directorios sin captcha</b> para enviar a directorios sin captcha', '2014-01-06 19:18:34'),
(10989, 'es-ar', 'directory', 'selectwebsiteschecksub', 'Seleccione un <b>Sitio Web</b> para <b>Proceder</b> a chequear el envio de directorios.', '2014-01-06 19:18:34'),
(10990, 'es-ar', 'directory', 'Semi Automatic Directory Submission Tool', 'Herramienta de Envio de Directorios Semi Automatica', '2014-01-06 19:18:34'),
(10991, 'es-ar', 'directory', 'spamemailnote', 'Algunos directorios podrian enviar spam, no recomendamos utilizar su cuenta de correo primaria.', '2014-01-06 19:18:34'),
(10992, 'es-ar', 'directory', 'Submission Details', 'Detalles del envio', '2014-01-06 19:18:34'),
(10993, 'es-ar', 'directory', 'Submit Description', 'Enviar Descripcion', '2014-01-06 19:18:34'),
(10994, 'es-ar', 'directory', 'Submit Keywords', 'Enviar palabras clave', '2014-01-06 19:18:34'),
(10995, 'es-ar', 'directory', 'Submit Title', 'Enviar Titulo', '2014-01-06 19:18:34'),
(10996, 'es-ar', 'directory', 'Website Category', 'Categoria del Sitio Web', '2014-01-06 19:18:34'),
(10997, 'es-ar', 'directory', 'Website Url', 'URL del Sitio Web', '2014-01-06 19:18:34'),
(10998, 'es-ar', 'keyword', 'Crawling keyword', '', '2014-01-06 19:25:28'),
(10999, 'es-ar', 'keyword', 'Detailed Keyword Position Reports', '', '2014-01-06 19:25:28'),
(11000, 'es-ar', 'keyword', 'Edit Keyword', '', '2014-01-06 19:25:28'),
(11001, 'es-ar', 'keyword', 'Graphical Keyword Position Reports', '', '2014-01-06 19:25:28'),
(11002, 'es-ar', 'keyword', 'Import Keywords', '', '2014-01-06 19:25:28'),
(11003, 'es-ar', 'keyword', 'Insert keywords separated with comma', '', '2014-01-06 19:25:28'),
(11004, 'es-ar', 'keyword', 'Keyword already exist', '', '2014-01-06 19:25:28'),
(11005, 'es-ar', 'keyword', 'Keyword Position Report', '', '2014-01-06 19:25:28'),
(11006, 'es-ar', 'keyword', 'New Keyword', '', '2014-01-06 19:25:28'),
(11007, 'es-ar', 'keyword', 'not assigned to required search engines', '', '2014-01-06 19:25:28'),
(11008, 'es-ar', 'keyword', 'pleaseselecttool', '', '2014-01-06 19:25:28'),
(11009, 'es-ar', 'keyword', 'Quick Keyword Position Checker', '', '2014-01-06 19:25:28'),
(11010, 'es-ar', 'keyword', 'results from ', '', '2014-01-06 19:25:28'),
(11011, 'es-ar', 'keyword', 'Show All results', '', '2014-01-06 19:25:28'),
(11012, 'es-ar', 'keyword', 'Successfully crawled keyword', '', '2014-01-06 19:25:28'),
(11013, 'es-ar', 'keyword', 'to create new keywords', '', '2014-01-06 19:25:28'),
(11014, 'es-ar', 'theme', 'Download Seo Panel Themes', 'Descargar Temas de Seo Panel', '2014-01-06 19:25:50'),
(11015, 'es-ar', 'report', '2 Days', '2 dias', '2014-01-06 19:28:18'),
(11016, 'es-ar', 'report', 'Email notification', 'Notificaciones por email', '2014-01-06 19:28:18'),
(11017, 'es-ar', 'report', 'keywordnumbercheckedcronnote', 'Nota: 0 predeterminado significa que todas las palabras clave deben estar seleccionadas', '2014-01-06 19:28:18'),
(11018, 'es-ar', 'report', 'Next report generation time', 'Nuevo horario de generacion de reporte', '2014-01-06 19:28:18'),
(11019, 'es-ar', 'report', 'Reports generation interval', 'Intervalo de generacion de reportes', '2014-01-06 19:28:18'),
(11020, 'es-ar', 'report', 'reportsettingssaved', 'Configuracion de Reporte guardadas exitosamente!', '2014-01-06 19:28:18'),
(11021, 'es-ar', 'report', 'sheduledsuccessfully', 'Generacion de Reporte Programado exitosa!', '2014-01-06 19:28:18'),
(11022, 'es-ar', 'login', 'Forgot password?', 'Olvido la contraseña?', '2014-01-06 19:34:15'),
(11023, 'es-ar', 'login', 'internal_error_mail_send', 'Ocurrio un error interno mientras se enviava el correo de reseteo de contraseña!', '2014-01-06 19:34:15'),
(11024, 'es-ar', 'login', 'password_reset_success_message', 'Su contraseña se reseteo exitosamente. Se envio un correo de confirmacion a su casilla de correo. <br>Controle su bandeja de entrada para obtener su nueva contraseña.', '2014-01-06 19:34:15'),
(11025, 'es-ar', 'login', 'Request Password', 'Solicitar Contraseña', '2014-01-06 19:34:15'),
(11026, 'es-ar', 'login', 'to login to your account', 'para ingresar a su cuenta', '2014-01-06 19:34:15'),
(11027, 'es-ar', 'login', 'user_email_not_exist', 'El email del usuario no esta saliendo en el Sistema!', '2014-01-06 19:34:15'),
(11028, 'es-ar', 'login', 'Your account password is resetted and new password is', 'La contraseña de su cuenta fue reseteada y la nueva contraseña es ', '2014-01-06 19:34:15'),
(11029, 'es-ar', 'login', 'Your Password Reset Failed', 'Fallo el reseteo de su contraseña', '2014-01-06 19:34:15'),
(11030, 'es-ar', 'login', 'Your Password Reset Successfully', 'Reseteo de Contraseña Exitoso', '2014-01-06 19:34:15'),
(11031, 'es-ar', 'plugin', 'Download Seo Panel Plugins', 'Descargar accesorios de Seo Panel', '2014-01-06 19:35:09'),
(11032, 'es-ar', 'plugin', 'Edit Seo Plugin', 'Editar Accesorio de Seo', '2014-01-06 19:35:09'),
(11033, 'es-ar', 'plugin', 'Plugin Name', 'Nombre del accesorio', '2014-01-06 19:35:09'),
(11034, 'es-ar', 'plugin', 'Seo Plugin Details', 'Detalles del Accesorio de Seo', '2014-01-06 19:35:09'),
(11035, 'es-ar', 'proxy', 'Edit Proxy', 'Editar proxy', '2014-01-06 19:36:47'),
(11036, 'es-ar', 'proxy', 'enterproxynote', 'Editar proxy, uno por linea en el siguiente formato.', '2014-01-06 19:36:47'),
(11037, 'es-ar', 'proxy', 'Proxy Password', 'Contraseña del proxy', '2014-01-06 19:36:47'),
(11038, 'es-ar', 'proxy', 'Proxy Username', 'Nombre de Usuario del proxy', '2014-01-06 19:36:47'),
(11039, 'es-ar', 'proxy', 'Proxyalreadyexist', 'El proxy ya existe!', '2014-01-06 19:36:47'),
(11040, 'es-ar', 'proxy', 'proxysyntax', 'Hostname, Puerto, Usuario, Contraseña', '2014-01-06 19:36:47'),
(11041, 'bg', 'common', 'Checked', 'Отбелязано', '2019-05-25 18:00:14'),
(11042, 'bg', 'common', 'Thank you', 'Благодаря', '2019-05-25 18:00:14'),
(11043, 'bg', 'label', 'Syntax', 'Синтакс', '2018-08-21 07:09:26'),
(11044, 'bg', 'login', 'Forgot password?', 'Забравена парола?', '2018-08-21 07:10:13'),
(11045, 'bg', 'login', 'internal_error_mail_send', 'Възникна грешка при изпращане на имейла за смяна на парола!', '2018-08-21 07:10:13'),
(11046, 'bg', 'login', 'password_reset_success_message', 'Паролата ви е променена успешно. Имейл за потвърждение, беше изпратен на посоченият имейл адрес. <br>Моля, проверете пощенската си кутия за вашата нова парола.', '2018-08-21 07:10:13'),
(11047, 'bg', 'login', 'Request Password', 'Изискай парола', '2018-08-21 07:10:13'),
(11048, 'bg', 'login', 'to login to your account', 'за да влезете в профила си', '2018-08-21 07:10:13'),
(11049, 'bg', 'login', 'user_email_not_exist', 'Този имейл адрес не съществува в системата!', '2018-08-21 07:10:13'),
(11050, 'bg', 'login', 'Your account password is resetted and new password is', 'Вашата парола беше променена, новата ви парола е', '2018-08-21 07:10:13'),
(11051, 'bg', 'login', 'Your Password Reset Failed', 'Промяната на парола е неуспешна', '2018-08-21 07:10:13'),
(11052, 'bg', 'login', 'Your Password Reset Successfully', 'Паролата ви е успешно променена', '2018-08-21 07:10:13'),
(11053, 'bg', 'panel', 'Existing', 'Съществуващо', '2018-08-21 07:14:04'),
(11054, 'bg', 'panel', 'Import Proxy', 'Импортиране на прокси', '2018-08-21 07:14:04'),
(11055, 'bg', 'panel', 'Proxy Settings', 'Настройки на прокси', '2018-08-21 07:14:04'),
(11056, 'bg', 'panel', 'Valid', 'Валидно', '2018-08-21 07:14:04'),
(11057, 'bg', 'proxy', 'enterproxynote', 'Въведете прокси, по едно на ред в следния формат.', '2016-12-18 17:08:18'),
(11058, 'bg', 'proxy', 'proxysyntax', 'Прокси хост име, Прокси порт, Прокси потребител, Прокси парола', '2016-12-18 17:08:18'),
(11059, 'bg', 'settings', 'allsettingssaved', 'Всички настройки са запазени успешно!', '2018-08-21 07:24:42'),
(11060, 'bg', 'settings', 'CURLOPT_HTTPPROXYTUNNEL_VAL', 'Активиране на HTTP Proxy тунел', '2018-08-21 07:24:42');
INSERT INTO `texts` (`id`, `lang_code`, `category`, `label`, `content`, `changed`) VALUES
(11061, 'bg', 'settings', 'SP_SMTP_PORT', 'SMTP Мейл порт', '2018-08-21 07:24:42'),
(11062, 'nl', 'common', 'Checked', 'Aangevinkt', '2019-05-25 18:06:08'),
(11063, 'nl', 'common', 'Dashboard', 'Dashboard', '2019-05-25 18:06:08'),
(11064, 'nl', 'common', 'Home', 'Home', '2019-05-25 18:06:08'),
(11065, 'nl', 'common', 'Powered by', 'Mogelijk gemaakt door', '2019-05-25 18:06:08'),
(11066, 'nl', 'common', 'Thank you', 'Dank u', '2019-05-25 18:06:08'),
(11067, 'nl', 'directory', 'clickaddfeatureddirectory', 'Klik hier om uw eigen featured Directory toe te voegen', '2014-01-07 21:36:56'),
(11068, 'nl', 'directory', 'Coupon Offer', 'Coupon aanbod', '2014-01-07 21:36:56'),
(11069, 'nl', 'directory', 'Directories with out Reciprocal Link', 'Directories zonder wederkerige link', '2014-01-07 21:36:56'),
(11070, 'nl', 'label', 'Clear All', 'Wis alle', '2014-01-07 21:37:43'),
(11071, 'nl', 'label', 'Current', 'Huidige', '2014-01-07 21:37:43'),
(11072, 'nl', 'label', 'Select All', 'Selecteer alle', '2014-01-07 21:37:43'),
(11073, 'nl', 'label', 'Syntax', 'Syntax', '2014-01-07 21:37:43'),
(11074, 'nl', 'label', 'Theme', 'Thema', '2014-01-07 21:37:43'),
(11075, 'nl', 'login', 'Forgot password?', 'Wachtwoord vergeten?', '2014-01-07 21:45:36'),
(11076, 'nl', 'login', 'internal_error_mail_send', 'Er heeft een interne fout plaatsgevonden tijdens het verzenden van de wachtwoord reset email!', '2014-01-07 21:45:36'),
(11077, 'nl', 'login', 'password_reset_success_message', 'Uw wachtwoord is succesvol gereset. Een bevestigingsemail is naar uw email verzonden. Controleer uw email voor uw wachtwoord.', '2014-01-07 21:45:36'),
(11078, 'nl', 'login', 'Request Password', 'Vraag wachtwoord aan', '2014-01-07 21:45:36'),
(11079, 'nl', 'login', 'to login to your account', 'om in te loggen', '2014-01-07 21:45:36'),
(11080, 'nl', 'login', 'user_email_not_exist', 'Email bestaat niet in het systeem!', '2014-01-07 21:45:36'),
(11081, 'nl', 'login', 'Your account password is resetted and new password is', 'Uw wachtwoord is gereset en uw nieuwe wachtwoord is', '2014-01-07 21:45:36'),
(11082, 'nl', 'login', 'Your Password Reset Failed', 'Uw wachtwoord reset is mislukt', '2014-01-07 21:45:36'),
(11083, 'nl', 'login', 'Your Password Reset Successfully', 'Uw wachtwoord is succesvol gereset', '2014-01-07 21:45:36'),
(11084, 'nl', 'panel', 'Existing', 'Bestaand', '2014-01-07 21:46:33'),
(11085, 'nl', 'panel', 'Import Proxy', 'Importeer proxy', '2014-01-07 21:46:33'),
(11086, 'nl', 'panel', 'Proxy Settings', 'Proxy instellingen', '2014-01-07 21:46:33'),
(11087, 'nl', 'panel', 'Themes Manager', 'Thema manager', '2014-01-07 21:46:33'),
(11088, 'nl', 'panel', 'Valid', 'Geldig', '2014-01-07 21:46:33'),
(11089, 'nl', 'proxy', 'enterproxynote', 'Geef proxy op, een per regel in het volgende formaat.', '2014-01-07 21:48:32'),
(11090, 'nl', 'proxy', 'proxysyntax', 'Proxy Hostnaam, Proxy Port, Proxy Gebruikersnaam, Proxy Wactwoord', '2014-01-07 21:48:32'),
(11091, 'nl', 'settings', 'allsettingssaved', 'Alle instellingen zijn succesvol opgeslagen!', '2014-01-07 21:51:05'),
(11092, 'nl', 'settings', 'CURLOPT_HTTPPROXYTUNNEL_VAL', 'Gebruik HTTP Proxy Tunnel ', '2014-01-07 21:51:05'),
(11093, 'nl', 'settings', 'SP_RELATIVE_LINK_CRAWL', 'Crawl relatieve links in een pagina', '2014-01-07 21:51:05'),
(11094, 'nl', 'settings', 'SP_SMTP_PORT', 'SMTP Mail Port', '2014-01-07 21:51:05'),
(11095, 'nl', 'theme', 'Download Seo Panel Themes', 'Download Seo Panel Thema\'s', '2014-01-07 21:52:52'),
(11096, 'en', 'button', 'Search', 'Search', '2014-01-08 19:18:02'),
(11097, 'de', 'button', 'Search', 'Suche', '2021-06-14 21:29:35'),
(11098, 'ar', 'button', 'Search', 'بحث', '2014-01-08 19:20:10'),
(11099, 'bg', 'button', 'Search', 'търсене', '2014-01-08 19:20:35'),
(11100, 'ca', 'button', 'Search', 'cerca', '2014-01-08 19:21:08'),
(11101, 'zh', 'button', 'Search', '搜索', '2014-01-08 19:21:34'),
(11102, 'cn', 'button', 'Search', '搜索', '2014-01-08 19:22:02'),
(11103, 'cs', 'button', 'Search', 'hledání', '2014-01-08 19:24:18'),
(11104, 'da', 'button', 'Search', 'Søg', '2014-01-08 19:24:44'),
(11105, 'nl', 'button', 'Search', 'zoeken', '2014-01-08 19:25:07'),
(11106, 'fa', 'button', 'Search', 'جستجو', '2014-01-08 19:25:49'),
(11107, 'fr', 'button', 'Search', 'Rechercher', '2018-01-22 22:34:22'),
(11108, 'el', 'button', 'Search', 'έρευνα', '2014-01-08 19:26:57'),
(11109, 'he', 'button', 'Search', 'לחפש', '2014-01-08 19:27:21'),
(11110, 'hu', 'button', 'Search', 'keresés', '2014-01-08 19:27:48'),
(11111, 'id', 'button', 'Search', 'pencarian', '2014-01-08 19:28:06'),
(11112, 'it', 'button', 'Search', 'ricerca', '2014-01-08 19:28:28'),
(11113, 'ja', 'button', 'Search', '検索', '2014-01-08 19:28:54'),
(11114, 'lt', 'button', 'Search', 'Ieškoti', '2014-01-12 11:21:04'),
(11115, 'no', 'button', 'Search', 'Søk', '2014-01-08 19:31:08'),
(11116, 'pl', 'button', 'Search', 'Szukaj', '2014-01-17 18:41:10'),
(11117, 'pt', 'button', 'Search', 'pesquisa', '2014-01-08 19:31:51'),
(11118, 'pt-br', 'button', 'Search', 'pesquisa', '2014-02-12 12:23:01'),
(11119, 'ro', 'button', 'Search', 'căutare', '2014-01-08 19:32:28'),
(11120, 'ru', 'button', 'Search', 'поиск', '2014-01-08 19:33:07'),
(11121, 'sk', 'button', 'Search', 'hľadanie', '2014-01-08 19:33:39'),
(11122, 'sl', 'button', 'Search', 'Iskanje', '2014-01-08 19:33:56'),
(11123, 'es', 'button', 'Search', 'búsqueda', '2014-01-08 19:34:14'),
(11124, 'es-ar', 'button', 'Search', 'búsqueda', '2014-01-08 19:34:42'),
(11125, 'sv', 'button', 'Search', 'Sök', '2014-06-23 16:52:34'),
(11126, 'tr', 'button', 'Search', 'arama', '2014-01-08 19:36:20'),
(11127, 'vn', 'button', 'Search', 'tìm kiếm', '2014-01-08 19:36:48'),
(11128, 'en', 'settings', 'PROXY_DEACTIVATE_CRAWL', 'Deactivate Proxy When Crawling Failed', '2018-01-22 19:59:29'),
(11129, 'it', 'common', 'Checked', 'Verificato', '2022-07-11 11:16:48'),
(11130, 'it', 'common', 'Thank you', 'Grazie', '2022-07-11 11:16:48'),
(11131, 'it', 'label', 'Syntax', 'Sintassi', '2022-07-11 11:17:58'),
(11132, 'it', 'login', 'Forgot password?', 'Password dimenticata?', '2018-08-21 07:07:40'),
(11133, 'it', 'login', 'internal_error_mail_send', 'Si è verificato un errore mentre stavamo inviando la mail di reset password!', '2018-08-21 07:07:40'),
(11134, 'it', 'login', 'password_reset_success_message', 'La tua password è stata resettata con successo. E\' stata inviata una mail di conferma. <br > Per cortesia controlla la tua posta in arrivo per la tua nuova password.', '2018-08-21 07:07:40'),
(11135, 'it', 'login', 'Request Password', 'Richiesta password', '2018-08-21 07:07:40'),
(11136, 'it', 'login', 'to login to your account', 'per loggare al tuo account', '2018-08-21 07:07:40'),
(11137, 'it', 'login', 'user_email_not_exist', 'La mail non esiste nel nostro sistema!', '2018-08-21 07:07:40'),
(11138, 'it', 'login', 'Your account password is resetted and new password is', 'La password del tuo account è stata resettata e la nuova password è', '2018-08-21 07:07:40'),
(11139, 'it', 'login', 'Your Password Reset Failed', 'Reset password fallita', '2018-08-21 07:07:40'),
(11140, 'it', 'login', 'Your Password Reset Successfully', 'La password è stata resettata con successo', '2018-08-21 07:07:40'),
(11141, 'it', 'panel', 'Existing', 'Esistente', '2022-07-11 11:20:07'),
(11142, 'it', 'panel', 'Import Proxy', 'Importa proxy', '2022-07-11 11:20:07'),
(11143, 'it', 'panel', 'Proxy Settings', 'Impostazioni proxy', '2022-07-11 11:20:07'),
(11144, 'it', 'panel', 'Valid', 'Valido', '2022-07-11 11:20:07'),
(11145, 'it', 'proxy', 'enterproxynote', 'Inserisci i proxy uno per riga nel seguente formato.', '2016-12-09 09:20:46'),
(11146, 'it', 'proxy', 'proxysyntax', 'Hostname proxy, Porta proxy, nome utente proxy, password proxy', '2016-12-09 09:20:46'),
(11147, 'it', 'settings', 'allsettingssaved', 'Tutte le impostazioni sono state salvate con successo!', '2018-08-21 07:16:32'),
(11148, 'it', 'settings', 'CURLOPT_HTTPPROXYTUNNEL_VAL', 'Abilita tunnel proxy HTTP', '2018-08-21 07:16:32'),
(11149, 'it', 'settings', 'PROXY_DEACTIVATE_CRAWL', 'Disattiva il proxy quando la scansione fallisce', '2018-08-21 07:16:32'),
(11150, 'it', 'settings', 'SP_SMTP_PORT', 'Porta mail SMTP', '2018-08-21 07:16:32'),
(11151, 'zh', 'directory', 'clickaddfeatureddirectory', '点击这里添加您的优先目录', '2014-01-09 15:03:35'),
(11152, 'zh', 'directory', 'Coupon Code', '优惠代码', '2014-01-09 15:03:35'),
(11153, 'zh', 'directory', 'Coupon Offer', '优惠提供', '2014-01-09 15:03:35'),
(11154, 'zh', 'directory', 'couponcodenote', '使用上面的优惠券来获得 [REDUCTION_PER] 针对优先目录的提交', '2014-01-09 15:03:35'),
(11155, 'zh', 'directory', 'Directories with out Reciprocal Link', '互惠链接导出的目录', '2014-01-09 15:03:35'),
(11156, 'zh', 'common', 'Checked', '勾选', '2019-05-25 18:01:23'),
(11157, 'zh', 'common', 'Powered by', '授权于', '2019-05-25 18:01:23'),
(11158, 'zh', 'common', 'Thank you', '感谢您', '2019-05-25 18:01:23'),
(11159, 'zh', 'label', 'Clear All', '清空', '2014-05-15 17:47:51'),
(11160, 'zh', 'label', 'Current', '当前', '2014-05-15 17:47:51'),
(11161, 'zh', 'label', 'Daily', '每日', '2014-05-15 17:47:51'),
(11162, 'zh', 'label', 'Monthly', '每月', '2014-05-15 17:47:51'),
(11163, 'zh', 'label', 'Select All', '全选', '2014-05-15 17:47:51'),
(11164, 'zh', 'label', 'Syntax', '规则', '2014-05-15 17:47:51'),
(11165, 'zh', 'label', 'Theme', '主题', '2014-05-15 17:47:51'),
(11166, 'zh', 'label', 'Weekly', '每周', '2014-05-15 17:47:51'),
(11167, 'zh', 'login', 'Forgot password?', '忘记密码？', '2014-01-09 15:07:15'),
(11168, 'zh', 'login', 'internal_error_mail_send', '当前尝试发送邮件出现一个内部错误', '2014-01-09 15:07:15'),
(11169, 'zh', 'login', 'password_reset_success_message', '您的密码重置已经成功。一封确认邮件已经发送到您的邮件地址。<br>请查收您的收件箱获取您的最新密码。', '2014-01-09 15:07:15'),
(11170, 'zh', 'login', 'Request Password', '重置密码', '2014-01-09 15:07:15'),
(11171, 'zh', 'login', 'to login to your account', '登入账户', '2014-01-09 15:07:15'),
(11172, 'zh', 'login', 'user_email_not_exist', '用户的mail不存在于系统中', '2014-01-09 15:07:15'),
(11173, 'zh', 'login', 'Your account password is resetted and new password is', '您的账户密码已经被重置，新的密码是', '2014-01-09 15:07:15'),
(11174, 'zh', 'login', 'Your Password Reset Failed', '您的账户密码重置失败', '2014-01-09 15:07:15'),
(11175, 'zh', 'login', 'Your Password Reset Successfully', '您的账户密码重置成功', '2014-01-09 15:07:15'),
(11176, 'zh', 'panel', 'Archived Reports', '归档报告', '2014-05-15 17:48:57'),
(11177, 'zh', 'panel', 'Existing', '当前存在的', '2014-05-15 17:48:57'),
(11178, 'zh', 'panel', 'Import Proxy', '导入代理', '2014-05-15 17:48:57'),
(11179, 'zh', 'panel', 'Proxy Settings', '代理设定', '2014-05-15 17:48:57'),
(11180, 'zh', 'panel', 'Report Settings', '报告设定', '2014-05-15 17:48:57'),
(11181, 'zh', 'panel', 'Schedule Reports', '计划报告', '2014-05-15 17:48:57'),
(11182, 'zh', 'panel', 'Search Engine Manager', '搜索引擎管理', '2014-05-15 17:48:57'),
(11183, 'zh', 'panel', 'Themes Manager', '主题管理', '2014-05-15 17:48:57'),
(11184, 'zh', 'panel', 'Valid', '有效的', '2014-05-15 17:48:57'),
(11185, 'zh', 'plugin', 'Download Seo Panel Plugins', '下载seo panel的插件', '2014-01-09 15:08:57'),
(11186, 'zh', 'proxy', 'enterproxynote', '在下面的格式中输入代理（一行一个）', '2014-05-15 17:51:10'),
(11187, 'zh', 'proxy', 'proxysyntax', '代理主机名，代理端口，代理用户，代理密码', '2014-05-15 17:51:10'),
(11188, 'zh', 'report', '2 Days', '2天', '2014-01-09 15:10:43'),
(11189, 'zh', 'report', 'Email notification', '邮件通知', '2014-01-09 15:10:43'),
(11190, 'zh', 'report', 'keywordnumbercheckedcronnote', '注意：默认0意思所有的关键词都应该被勾选', '2014-01-09 15:10:43'),
(11191, 'zh', 'report', 'Next report generation time', '下一个报告生成的时间', '2014-01-09 15:10:43'),
(11192, 'zh', 'report', 'Reports generation interval', '报告生成的间隔时间', '2014-01-09 15:10:43'),
(11193, 'zh', 'report', 'reportsettingssaved', '报告设置保存成功！', '2014-01-09 15:10:43'),
(11194, 'zh', 'report', 'sheduledsuccessfully', '计划报告生成成功！', '2014-01-09 15:10:43'),
(11195, 'zh', 'reports', 'report_email_body_text1', '您的报告已经被生成，请检查您的报告附件。', '2014-01-09 15:12:32'),
(11196, 'zh', 'reports', 'report_email_body_text2', '如果上面的报告没有被清空，请 [LOGIN_LINK] 直接从您的账户中浏览报告', '2014-01-09 15:12:32'),
(11197, 'zh', 'reports', 'report_email_subject', '您的SEO报告生成成功', '2014-01-09 15:12:32'),
(11198, 'zh', 'searchengine', 'max_results', '最大数量的结果', '2014-01-09 15:13:09'),
(11199, 'zh', 'searchengine', 'no_of_results_page', '每页的结果数量', '2014-01-09 15:13:09'),
(11200, 'zh', 'settings', 'allsettingssaved', '所有的设置已经保存成功', '2014-05-15 17:56:30'),
(11201, 'zh', 'settings', 'CURLOPT_HTTPPROXYTUNNEL_VAL', '激活HTTP代理通道', '2014-05-15 17:56:30'),
(11202, 'zh', 'settings', 'entersmtpdetails', '请输入SMTP 邮件设定', '2014-05-15 17:56:30'),
(11203, 'zh', 'settings', 'getallpluginfree', '同时<b>免费</b>获得所有我们开发的<b>插件<b> ', '2014-05-15 17:56:30'),
(11204, 'zh', 'settings', 'PROXY_DEACTIVATE_CRAWL', '抓取失败的时候不使用代理', '2014-05-15 17:56:30'),
(11205, 'zh', 'settings', 'SP_ALLOW_USER_SCHEDULE_REPORT', '允许用户生成计划报告', '2014-05-15 17:56:30'),
(11206, 'zh', 'settings', 'SP_NUMBER_KEYWORDS_CRON', 'cron执行关键词数量勾选', '2014-05-15 17:56:30'),
(11207, 'zh', 'settings', 'SP_RELATIVE_LINK_CRAWL', '抓取相关链接在一个页面上', '2014-05-15 17:56:30'),
(11208, 'zh', 'settings', 'SP_REPORT_EMAIL_NOTIFICATION', '激活报告邮件通知', '2014-05-15 17:56:30'),
(11209, 'zh', 'settings', 'SP_SMTP_HOST', 'SMTP主机', '2014-05-15 17:56:30'),
(11210, 'zh', 'settings', 'SP_SMTP_MAIL', '激活smtp', '2014-05-15 17:56:30'),
(11211, 'zh', 'settings', 'SP_SMTP_PASSWORD', 'smtp密码', '2014-05-15 17:56:30'),
(11212, 'zh', 'settings', 'SP_SMTP_PORT', 'stmp邮件报告', '2014-05-15 17:56:30'),
(11213, 'zh', 'settings', 'SP_SMTP_USERNAME', 'smtp用户名', '2014-05-15 17:56:30'),
(11214, 'zh', 'settings', 'SP_SYSTEM_REPORT_INTERVAL', '系统生成报告间隔时间', '2014-05-15 17:56:30'),
(11215, 'zh', 'theme', 'Download Seo Panel Themes', '下载seo panel主题', '2014-01-09 15:22:41'),
(11216, 'cn', 'common', 'Checked', '勾選', '2019-05-25 18:02:13'),
(11217, 'cn', 'common', 'Thank you', '感謝您', '2019-05-25 18:02:13'),
(11218, 'cn', 'directory', 'clickaddfeatureddirectory', '點擊這裡添加您的優先目錄', '2014-01-09 15:30:58'),
(11219, 'cn', 'directory', 'Coupon Code', '優惠代碼', '2014-01-09 15:30:58'),
(11220, 'cn', 'directory', 'Coupon Offer', '優惠提供', '2014-01-09 15:30:58'),
(11221, 'cn', 'directory', 'couponcodenote', '使用上面的優惠券來獲得[REDUCTION_PER] 針對優先目錄的提交', '2014-01-09 15:30:58'),
(11222, 'cn', 'directory', 'Directories with out Reciprocal Link', '互惠鏈接導出的目錄', '2014-01-09 15:30:58'),
(11223, 'cn', 'directory', 'Reciprocal Link', '互惠链接', '2014-01-09 15:30:58'),
(11224, 'cn', 'label', 'Clear All', '清空', '2014-01-09 15:35:37'),
(11225, 'cn', 'label', 'Current', '當前', '2014-01-09 15:35:37'),
(11226, 'cn', 'label', 'Daily', '每日', '2014-01-09 15:35:37'),
(11227, 'cn', 'label', 'Monthly', '每月', '2014-01-09 15:35:37'),
(11228, 'cn', 'label', 'Select All', '全選', '2014-01-09 15:35:37'),
(11229, 'cn', 'label', 'Syntax', '規則', '2014-01-09 15:35:37'),
(11230, 'cn', 'label', 'Theme', '主題', '2014-01-09 15:35:37'),
(11231, 'cn', 'label', 'Weekly', '每週', '2014-01-09 15:35:37'),
(11232, 'cn', 'panel', 'Archived Reports', '歸檔報告', '2014-01-09 15:37:31'),
(11233, 'cn', 'panel', 'Existing', '當前存在的', '2014-01-09 15:37:31'),
(11234, 'cn', 'panel', 'Import Proxy', '導入代理', '2014-01-09 15:37:31'),
(11235, 'cn', 'panel', 'Proxy Settings', '代理設定', '2014-01-09 15:37:31'),
(11236, 'cn', 'panel', 'Report Settings', '報告設定', '2014-01-09 15:37:31'),
(11237, 'cn', 'panel', 'Schedule Reports', '計劃報告', '2014-01-09 15:37:31'),
(11238, 'cn', 'panel', 'Search Engine Manager', '搜索引擎管理', '2014-01-09 15:37:31'),
(11239, 'cn', 'panel', 'Themes Manager', '主題管理', '2014-01-09 15:37:31'),
(11240, 'cn', 'panel', 'Valid', '有效的', '2014-01-09 15:37:31'),
(11241, 'cn', 'login', 'Forgot password?', '忘記密碼？', '2014-01-09 15:40:06'),
(11242, 'cn', 'login', 'internal_error_mail_send', '當前嘗試發送郵件出現一個內部錯誤', '2014-01-09 15:40:06'),
(11243, 'cn', 'login', 'password_reset_success_message', '您的密碼重置已經成功。一封確認郵件已經發送到您的郵件地址。 <br>請查收您的收件箱獲取您的最新密碼。', '2014-01-09 15:40:06'),
(11244, 'cn', 'login', 'Request Password', '重置密碼', '2014-01-09 15:40:06'),
(11245, 'cn', 'login', 'to login to your account', '登入賬戶', '2014-01-09 15:40:06'),
(11246, 'cn', 'login', 'user_email_not_exist', '用戶的mail不存在於系統中', '2014-01-09 15:40:06'),
(11247, 'cn', 'login', 'Your account password is resetted and new password is', '您的賬戶密碼已經被重置，新的密碼是', '2014-01-09 15:40:06'),
(11248, 'cn', 'login', 'Your Password Reset Failed', '您的賬戶密碼重置失敗', '2014-01-09 15:40:06'),
(11249, 'cn', 'login', 'Your Password Reset Successfully', '您的賬戶密碼重置成功', '2014-01-09 15:40:06'),
(11250, 'cn', 'plugin', 'Download Seo Panel Plugins', '下載seo panel的插件', '2014-01-09 15:43:38'),
(11251, 'cn', 'proxy', 'enterproxynote', '在下面的格式中輸入代理（一行一個）', '2014-01-09 15:44:24'),
(11252, 'cn', 'proxy', 'proxysyntax', '代理主機名，代理端口，代理用戶，代理密碼', '2014-01-09 15:44:24'),
(11253, 'cn', 'report', '2 Days', '2天', '2014-01-09 15:49:11'),
(11254, 'cn', 'report', 'Email notification', '郵件通知', '2014-01-09 15:49:11'),
(11255, 'cn', 'report', 'keywordnumbercheckedcronnote', '注意：默認0意思所有的關鍵詞都應該被勾選', '2014-01-09 15:49:11'),
(11256, 'cn', 'report', 'Next report generation time', '下一個報告生成的時間', '2014-01-09 15:49:11'),
(11257, 'cn', 'report', 'Reports generation interval', '報告生成的間隔時間', '2014-01-09 15:49:11'),
(11258, 'cn', 'report', 'reportsettingssaved', '報告設置保存成功！', '2014-01-09 15:49:11'),
(11259, 'cn', 'report', 'sheduledsuccessfully', '計劃報告生成成功！', '2014-01-09 15:49:11'),
(11260, 'cn', 'reports', 'report_email_body_text1', '您的報告已經被生成，請檢查您的報告附件。', '2014-01-09 15:50:27'),
(11261, 'cn', 'reports', 'report_email_body_text2', '如果上面的報告沒有被清空，請[LOGIN_LINK] 直接從您的賬戶中瀏覽報告', '2014-01-09 15:50:27'),
(11262, 'cn', 'reports', 'report_email_subject', '您的SEO報告生成成功', '2014-01-09 15:50:27'),
(11263, 'cn', 'searchengine', 'max_results', '最大數量的結果', '2014-01-09 15:51:49'),
(11264, 'cn', 'searchengine', 'no_of_results_page', '每頁的結果數量', '2014-01-09 15:51:49'),
(11265, 'cn', 'settings', 'allsettingssaved', '所有的設置已經保存成功', '2014-01-09 16:04:14'),
(11266, 'cn', 'settings', 'CURLOPT_HTTPPROXYTUNNEL_VAL', '激活HTTP代理通道', '2014-01-09 16:04:14'),
(11267, 'cn', 'settings', 'entersmtpdetails', '請輸入SMTP 郵件設定', '2014-01-09 16:04:14'),
(11268, 'cn', 'settings', 'getallpluginfree', '同時<b>免費</b>獲得所有我們開發的<b>插件<b>', '2014-01-09 16:04:14'),
(11269, 'cn', 'settings', 'PROXY_DEACTIVATE_CRAWL', '抓取失敗的時候不使用代理', '2014-01-09 16:04:14'),
(11270, 'cn', 'settings', 'SP_ALLOW_USER_SCHEDULE_REPORT', '允許用戶生成計劃報告', '2014-01-09 16:04:14'),
(11271, 'cn', 'settings', 'SP_API_KEY', 'SEO Panel API接口', '2014-01-09 16:04:14'),
(11272, 'cn', 'settings', 'SP_NUMBER_KEYWORDS_CRON', 'cron執行關鍵詞數量勾選', '2014-01-09 16:04:14'),
(11273, 'cn', 'settings', 'SP_RELATIVE_LINK_CRAWL', '抓取相關鏈接在一個頁面上', '2014-01-09 16:04:14'),
(11274, 'cn', 'settings', 'SP_REPORT_EMAIL_NOTIFICATION', '激活報告郵件通知', '2014-01-09 16:04:14'),
(11275, 'cn', 'settings', 'SP_SMTP_HOST', 'SMTP主機', '2014-01-09 16:04:14'),
(11276, 'cn', 'settings', 'SP_SMTP_MAIL', '激活smtp', '2014-01-09 16:04:14'),
(11277, 'cn', 'settings', 'SP_SMTP_PASSWORD', 'smtp密碼', '2014-01-09 16:04:14'),
(11278, 'cn', 'settings', 'SP_SMTP_PORT', 'smtp郵件報告', '2014-01-09 16:04:14'),
(11279, 'cn', 'settings', 'SP_SMTP_USERNAME', 'smtp用戶名', '2014-01-09 16:04:14'),
(11280, 'cn', 'settings', 'SP_SYSTEM_REPORT_INTERVAL', '系統生成報告間隔時間', '2014-01-09 16:04:14'),
(11281, 'cn', 'theme', 'Download Seo Panel Themes', '下載seo panel主題', '2014-01-09 16:04:39'),
(11282, 'ru', 'common', 'Checked', 'Проверено', '2024-07-17 11:16:33'),
(11283, 'ru', 'common', 'Thank you', 'Спасибо', '2024-07-17 11:16:33'),
(11284, 'ru', 'label', 'Syntax', 'Синтаксис', '2024-07-17 11:17:22'),
(11285, 'ru', 'login', 'Forgot password?', 'Забыли пароль?', '2018-08-21 17:07:34'),
(11286, 'ru', 'login', 'internal_error_mail_send', 'Произошла внутренняя ошибка при передаче измененненного пароля по почте!', '2018-08-21 17:07:34'),
(11287, 'ru', 'login', 'password_reset_success_message', 'Пароль успешно изменен.Подтверждение по электронной почте отправлено на адрес email. <br>Пожалуйста, проверьте ваш почтовый ящик для получения нового пароля.', '2018-08-21 17:07:34'),
(11288, 'ru', 'login', 'Request Password', 'Запрос пароля', '2018-08-21 17:07:34'),
(11289, 'ru', 'login', 'to login to your account', 'чтобы войти в свой аккаунт', '2018-08-21 17:07:34'),
(11290, 'ru', 'login', 'user_email_not_exist', 'Пользователь email не выходя в систему!', '2018-08-21 17:07:34'),
(11291, 'ru', 'login', 'Your account password is resetted and new password is', 'Ваш пароль будет изменен и новый пароль в', '2018-08-21 17:07:34'),
(11292, 'ru', 'login', 'Your Password Reset Failed', 'Ошибка сброса пароля', '2018-08-21 17:07:34'),
(11293, 'ru', 'login', 'Your Password Reset Successfully', 'Пароль успешно сброшен', '2018-08-21 17:07:34'),
(11294, 'ru', 'panel', 'Existing', 'Существующие', '2024-07-17 11:19:14'),
(11295, 'ru', 'panel', 'Import Proxy', 'Импорт прокси', '2024-07-17 11:19:14'),
(11296, 'ru', 'panel', 'Proxy Settings', 'Настройка прокси', '2024-07-17 11:19:14'),
(11297, 'ru', 'panel', 'Valid', 'Действует', '2024-07-17 11:19:14'),
(11298, 'ru', 'proxy', 'enterproxynote', 'Введите прокси по одному на строку в следующем формате.', '2016-12-09 16:23:58'),
(11299, 'ru', 'proxy', 'proxysyntax', 'Прокси название хоста, порт прокси, имя пользователя прокси, пароль прокси', '2016-12-09 16:23:58'),
(11300, 'ru', 'settings', 'allsettingssaved', 'Все настройки успешно сохранены!', '2024-07-17 11:22:42'),
(11301, 'ru', 'settings', 'CURLOPT_HTTPPROXYTUNNEL_VAL', 'Включить HTTP Proxy Tunnel', '2024-07-17 11:22:42'),
(11302, 'ru', 'settings', 'PROXY_DEACTIVATE_CRAWL', 'Отключение прокси при обходе не удалось', '2024-07-17 11:22:42'),
(11303, 'ru', 'settings', 'SP_SMTP_PORT', 'Порт SMTP', '2024-07-17 11:22:42'),
(11304, 'vn', 'theme', 'Download Seo Panel Themes', 'Tải về các gói giao diện cho Seo Panel', '2014-01-10 03:58:25'),
(11305, 'vn', 'login', 'Forgot password?', 'Quên mật khẩu?', '2014-01-10 04:02:16'),
(11306, 'vn', 'login', 'internal_error_mail_send', 'Gặp lỗi khi gửi mật khẩu được làm mới vào email!', '2014-01-10 04:02:16'),
(11307, 'vn', 'login', 'password_reset_success_message', 'Mật khẩu được khởi tạo lại thành công. Một thư điện tử xác nhận sẽ được gửi cho abnj. <br> Hãy kiểm tra hộp thư đến của bạn để lấy mật khẩu mới.', '2014-01-10 04:02:16'),
(11308, 'vn', 'login', 'Request Password', 'Yêu cầu mật khẩu', '2014-01-10 04:02:16'),
(11309, 'vn', 'login', 'to login to your account', 'để đăng nhập vào tài khoản của bạn', '2014-01-10 04:02:16'),
(11310, 'vn', 'login', 'user_email_not_exist', 'Thư điện tử này không có trong hệ thống', '2014-01-10 04:02:16'),
(11311, 'vn', 'login', 'Your account password is resetted and new password is', 'Tài khoản của bạn đã được khởi tạo lại và mật khẩu mới của bạn là', '2014-01-10 04:02:16'),
(11312, 'vn', 'login', 'Your Password Reset Failed', 'Khởi tạo mật khẩu không thành công', '2014-01-10 04:02:16'),
(11313, 'vn', 'login', 'Your Password Reset Successfully', 'Khởi tạo mật khẩu thành công', '2014-01-10 04:02:16'),
(11314, 'vn', 'common', 'Checked', 'Đã kiểm tra', '2019-05-25 18:54:57'),
(11315, 'vn', 'common', 'Dashboard', 'Trang chính', '2019-05-25 18:54:57'),
(11316, 'vn', 'common', 'Home', 'Trang chủ', '2019-05-25 18:54:57'),
(11317, 'vn', 'common', 'Powered by', 'Phát triển bởi', '2019-05-25 18:54:57'),
(11318, 'vn', 'common', 'Thank you', 'Cảm ơn', '2019-05-25 18:54:57'),
(11319, 'vn', 'directory', 'clickaddfeatureddirectory', 'Bấm vào đây để thêm danh bạ yêu thích của riêng bạn', '2014-01-10 04:05:11'),
(11320, 'vn', 'directory', 'Coupon Offer', 'Phiế giảm giá', '2014-01-10 04:05:11'),
(11321, 'vn', 'directory', 'Directories with out Reciprocal Link', 'Các danh bạ với liên kết đối ứng', '2014-01-10 04:05:11'),
(11322, 'vn', 'searchengine', 'max_results', 'Số kết quả nhiều nhất', '2014-01-10 04:05:45'),
(11323, 'vn', 'searchengine', 'no_of_results_page', 'Số kết quả mỗi trang', '2014-01-10 04:05:45'),
(11324, 'vn', 'proxy', 'enterproxynote', 'Nhập mỗi proxy một dòng theo định dạng có sẵn', '2014-01-10 04:06:44'),
(11325, 'vn', 'proxy', 'proxysyntax', 'Proxy Hostname, Proxy Port, Proxy Username, Proxy Password', '2014-01-10 04:06:44'),
(11326, 'vn', 'label', 'Clear All', 'Xóa hết', '2014-01-10 04:07:44'),
(11327, 'vn', 'label', 'Current', 'Hiện tại', '2014-01-10 04:07:44'),
(11328, 'vn', 'label', 'Select All', 'Chọn tất cả', '2014-01-10 04:07:44'),
(11329, 'vn', 'label', 'Syntax', 'cú pháp', '2014-01-10 04:07:44'),
(11330, 'vn', 'label', 'Theme', 'Giao diện', '2014-01-10 04:07:44'),
(11331, 'vn', 'panel', 'Archived Reports', 'Báo cáo lưu trữ', '2014-01-10 04:09:42'),
(11332, 'vn', 'panel', 'Existing', 'Tồn tại', '2014-01-10 04:09:42'),
(11333, 'vn', 'panel', 'Import Proxy', 'Nhập vào Proxy', '2014-01-10 04:09:42'),
(11334, 'vn', 'panel', 'Proxy Settings', 'Cấu hình Proxy', '2014-01-10 04:09:42'),
(11335, 'vn', 'panel', 'Report Settings', 'Cấu hình báo cáo', '2014-01-10 04:09:42'),
(11336, 'vn', 'panel', 'Schedule Reports', 'báo cáo tiến độ', '2014-01-10 04:09:42'),
(11337, 'vn', 'panel', 'Search Engine Manager', 'Quản lý Máy tìm kiếm', '2014-01-10 04:09:42'),
(11338, 'vn', 'panel', 'Themes Manager', 'Quản lý giao diện', '2014-01-10 04:09:42'),
(11339, 'vn', 'panel', 'Valid', 'Sai', '2014-01-10 04:09:42'),
(11340, 'vn', 'plugin', 'Download Seo Panel Plugins', 'Tải về các Plugin của Seo Panel', '2014-01-10 04:10:14'),
(11341, 'vn', 'report', '2 Days', '2 ngày', '2014-01-10 04:22:04'),
(11342, 'vn', 'report', 'Email notification', 'Thông báo vào email', '2014-01-10 04:22:04'),
(11343, 'vn', 'report', 'keywordnumbercheckedcronnote', 'Chú ý: Mặc định 0 là coi như các từ khóa đều đã lựa chọn', '2014-01-10 04:22:04'),
(11344, 'vn', 'report', 'Next report generation time', 'Thời gian tạo báo cáo tiếp theo', '2014-01-10 04:22:04'),
(11345, 'vn', 'report', 'Reports generation interval', 'Khoảng thời gian tạo báo cáo', '2014-01-10 04:22:04'),
(11346, 'vn', 'report', 'reportsettingssaved', 'Cấu hình báo cáo đã được lưu thành công!', '2014-01-10 04:22:04'),
(11347, 'vn', 'report', 'sheduledsuccessfully', 'Lập lịch tạo báo cáo thành công!', '2014-01-10 04:22:04'),
(11348, 'vn', 'settings', 'allsettingssaved', 'Tất cả cấu hình được lưu thành công!', '2014-01-10 04:26:44'),
(11349, 'vn', 'settings', 'CURLOPT_HTTPPROXYTUNNEL_VAL', 'Bật HTTP Proxy Tunnel', '2014-01-10 04:26:44'),
(11350, 'vn', 'settings', 'entersmtpdetails', 'Hãy nhập vào cấu hình STMP của email', '2014-01-10 04:26:44'),
(11351, 'vn', 'settings', 'getallpluginfree', 'Nhận tất cả <b>plugins</b> chúng tôi phát triện <b>Miễn phí!<b>', '2014-01-10 04:26:44'),
(11352, 'vn', 'settings', 'PROXY_DEACTIVATE_CRAWL', 'Tắt Proxy khi Crawling thất bại', '2014-01-10 04:26:44'),
(11353, 'vn', 'settings', 'SP_ALLOW_USER_SCHEDULE_REPORT', 'Đồng ý cho thành viên lập lịch báo cáo', '2014-01-10 04:26:44'),
(11354, 'vn', 'settings', 'SP_NUMBER_KEYWORDS_CRON', 'Số từ khóa cần chọn mỗi lần thực hiện cron', '2014-01-10 04:26:44'),
(11355, 'vn', 'settings', 'SP_RELATIVE_LINK_CRAWL', 'hu thập thông tin liên kết tương đối trong một trang', '2014-01-10 04:26:44'),
(11356, 'vn', 'settings', 'SP_REPORT_EMAIL_NOTIFICATION', 'Bật thông báo báo cáo qua email', '2014-01-10 04:26:44'),
(11357, 'vn', 'settings', 'SP_SMTP_HOST', 'SMTP Host', '2014-01-10 04:26:44'),
(11358, 'vn', 'settings', 'SP_SMTP_MAIL', 'Bật SMTP', '2014-01-10 04:26:44'),
(11359, 'vn', 'settings', 'SP_SMTP_PASSWORD', 'Mật khẩu SMTP', '2014-01-10 04:26:44'),
(11360, 'vn', 'settings', 'SP_SMTP_PORT', 'SMTP Mail Port', '2014-01-10 04:26:44'),
(11361, 'vn', 'settings', 'SP_SMTP_USERNAME', 'SMTP Username', '2014-01-10 04:26:44'),
(11362, 'vn', 'settings', 'SP_SYSTEM_REPORT_INTERVAL', 'Khoảng thời gian tạo báo cáo hệ thống', '2014-01-10 04:26:44'),
(11363, 'vn', 'reports', 'report_email_body_text1', 'Các báo cáo của bạn đã được tạo thành công. Hãy kiểm tra các báo cáo đính kèm.', '2014-01-10 04:28:10'),
(11364, 'vn', 'reports', 'report_email_body_text2', 'Nếu báo cáo trên là không rõ ràng, xin vui lòng [LOGIN_LINK] để xem các báo cáo trực tiếp từ tài khoản của bạn.', '2014-01-10 04:28:10'),
(11365, 'vn', 'reports', 'report_email_subject', 'Báo cáo SEO của bạn đã được tạo thành công', '2014-01-10 04:28:10'),
(11366, 'lt', 'common', 'Checked', 'Patikrinta', '2019-05-25 18:41:16'),
(11367, 'lt', 'common', 'Thank you', 'Ačiū', '2019-05-25 18:41:16'),
(11368, 'lt', 'label', 'Syntax', 'Sintaksė', '2014-01-12 11:42:59'),
(11369, 'lt', 'login', 'Forgot password?', 'Pamiršote slaptažodį?', '2014-01-12 11:47:43'),
(11370, 'lt', 'login', 'internal_error_mail_send', 'Vidinė klaida siunčiant elektroninį laišką', '2014-01-12 11:47:43'),
(11371, 'lt', 'login', 'password_reset_success_message', 'Slaptažodis pakeistas. Patvirtinimo laiškas išsiųstas į el.pašto dėžutę. <br>Patikrinkite savo el.pašto dėžutę.', '2014-01-12 11:47:43'),
(11372, 'lt', 'login', 'Request Password', 'Priminti slaptažodį', '2014-01-12 11:47:43'),
(11373, 'lt', 'login', 'to login to your account', 'prisijunkite', '2014-01-12 11:47:43'),
(11374, 'lt', 'login', 'user_email_not_exist', 'Tokio el.pašto adreso nėra!', '2014-01-12 11:47:43'),
(11375, 'lt', 'login', 'Your account password is resetted and new password is', 'Slaptažodis anuliuotas, naujas slaptažodis ', '2014-01-12 11:47:43'),
(11376, 'lt', 'login', 'Your Password Reset Failed', 'Nepavyko pakeisti slaptažodžio', '2014-01-12 11:47:43'),
(11377, 'lt', 'login', 'Your Password Reset Successfully', 'Slaptažodis pakeistas sėkmingai', '2014-01-12 11:47:43'),
(11378, 'lt', 'panel', 'Existing', 'Egzistuojantis', '2014-01-12 11:51:46'),
(11379, 'lt', 'panel', 'Import Proxy', 'Importuoti proxy', '2014-01-12 11:51:46'),
(11380, 'lt', 'panel', 'Proxy Settings', 'Proxy nustatumai', '2014-01-12 11:51:46'),
(11381, 'lt', 'panel', 'Valid', 'Tinkamas', '2014-01-12 11:51:46'),
(11382, 'lt', 'proxy', 'enterproxynote', 'Įveskite proxy, po vieną į eilutę', '2014-01-12 11:53:26'),
(11383, 'lt', 'proxy', 'proxysyntax', 'Proxy hostname, portas, username, password', '2014-01-12 11:53:26'),
(11384, 'fr', 'common', 'Checked', 'Vérifié', '2020-02-14 11:05:11'),
(11385, 'fr', 'common', 'Thank you', 'Merci', '2020-02-14 11:05:11'),
(11386, 'fr', 'label', 'Syntax', 'Syntaxe', '2020-02-14 11:12:40'),
(11387, 'fr', 'login', 'Forgot password?', 'Mot de passe oublié ?', '2019-03-28 12:14:28'),
(11388, 'fr', 'login', 'internal_error_mail_send', 'Une erreur est survenue à l\'envoi du message de récupération de mot de passe!', '2019-03-28 12:14:28'),
(11389, 'fr', 'login', 'password_reset_success_message', 'Votre mot de passe a été réinitialisé. Un message de confirmation vous a été envoyé. <br>Vérifiez votre boite mail pour obtenir votre nouveau mot de passe.', '2019-03-28 12:14:28'),
(11390, 'fr', 'login', 'Request Password', 'Demander un nouveau mot de passe', '2019-03-28 12:14:28'),
(11391, 'fr', 'login', 'to login to your account', 'pour vous connecter à votre compte', '2019-03-28 12:14:28'),
(11392, 'fr', 'login', 'user_email_not_exist', 'L\'adresse mail ne correspond à aucun utilisateur enregistré.', '2019-03-28 12:14:28'),
(11393, 'fr', 'login', 'Your account password is resetted and new password is', 'Le mot de passe de votre compte a été modifié. Le nouveau mot de passe est ', '2019-03-28 12:14:28'),
(11394, 'fr', 'login', 'Your Password Reset Failed', 'La réinitialisation de votre mot de passe n\'a pas pu être effectuée.', '2019-03-28 12:14:28'),
(11395, 'fr', 'login', 'Your Password Reset Successfully', 'Votre mot de passe a bien été réinitialisé.', '2019-03-28 12:14:28'),
(11396, 'fr', 'panel', 'Existing', 'Existant', '2020-02-14 11:14:52'),
(11397, 'fr', 'panel', 'Import Proxy', 'Proxy Import', '2020-02-14 11:14:52'),
(11398, 'fr', 'panel', 'Proxy Settings', 'Paramètres Proxy', '2020-02-14 11:14:52'),
(11399, 'fr', 'panel', 'Valid', 'Correct', '2020-02-14 11:14:52'),
(11400, 'fr', 'proxy', 'enterproxynote', 'Indiquer un proxy par ligne en utilisant le format suivant', '2016-12-09 18:07:31'),
(11401, 'fr', 'proxy', 'proxysyntax', 'Adresse ou nom d\'hôte du proxy, Port à utiliser, Nom d\'utilisateur, Mot de passe', '2016-12-09 18:07:31'),
(11402, 'fr', 'settings', 'allsettingssaved', 'Tous les paramètres ont été sauvegardés!', '2019-03-28 14:39:30'),
(11403, 'fr', 'settings', 'CURLOPT_HTTPPROXYTUNNEL_VAL', 'Activer le proxy HTTP', '2019-03-28 14:39:30'),
(11404, 'fr', 'settings', 'PROXY_DEACTIVATE_CRAWL', 'Désactiver le proxy lorsque l\'exploration échoue', '2019-03-28 14:39:30'),
(11405, 'fr', 'settings', 'SP_SMTP_PORT', 'Port SMTP', '2019-03-28 14:39:30'),
(11406, 'en', 'settings', 'CHECK_WITH_ANOTHER_PROXY_IF_FAILED', 'Check With Another Proxy When Crawling Failed', '2018-01-22 19:59:29'),
(11407, 'ca', 'common', 'Checked', 'Comprovat', '2014-01-16 19:29:59'),
(11408, 'ca', 'common', 'Thank you', 'Gràcies', '2014-01-16 19:29:59'),
(11409, 'ca', 'login', 'Forgot password?', 'Has oblidat la contrasenya?', '2014-01-16 19:34:07'),
(11410, 'ca', 'login', 'internal_error_mail_send', 'Un error intern ha succeït mentres es reiniciava la contrasenya!', '2014-01-16 19:34:07'),
(11411, 'ca', 'login', 'password_reset_success_message', 'La teva contrasenya ha estat reiniciada correctament. Un correu electrònic s\'ha enviat a la teva bústia de correu. <br> Si us plau, entra a la teva bústia de correu electrònic per recuperar la contrasenya.', '2014-01-16 19:34:07'),
(11412, 'ca', 'login', 'Request Password', 'Demanar password', '2014-01-16 19:34:07'),
(11413, 'ca', 'login', 'to login to your account', 'per accedir al teu compte', '2014-01-16 19:34:07'),
(11414, 'ca', 'login', 'user_email_not_exist', 'L\'usuari no existeix en el sistema!', '2014-01-16 19:34:07'),
(11415, 'ca', 'login', 'Your account password is resetted and new password is', 'La teva contrasenya ha estat reiniciada i  la tevva nova contrasenya es ', '2014-01-16 19:34:07'),
(11416, 'ca', 'login', 'Your Password Reset Failed', 'No s\'ha pogut reiniciar la contrasenya', '2014-01-16 19:34:07'),
(11417, 'ca', 'login', 'Your Password Reset Successfully', 'La teva contrasenya s\'ha Reiniciat', '2014-01-16 19:34:07'),
(11418, 'ca', 'label', 'Syntax', 'sintaxi', '2014-01-16 19:34:25'),
(11419, 'ca', 'panel', 'Existing', 'Existent', '2014-01-16 19:35:09'),
(11420, 'ca', 'panel', 'Import Proxy', 'Importar Proxy', '2014-01-16 19:35:09'),
(11421, 'ca', 'panel', 'Proxy Settings', 'Preferències del Proxy', '2014-01-16 19:35:09'),
(11422, 'ca', 'panel', 'Valid', 'Vàlid', '2014-01-16 19:35:09'),
(11423, 'ca', 'proxy', 'enterproxynote', 'Introdueïx un proxy per línia en el següent format.', '2014-01-16 19:36:09'),
(11424, 'ca', 'proxy', 'proxysyntax', 'Nom del Proxy, Port del Proxy, Nom d\'usuari del proxy, Contrasenya del Proxy', '2014-01-16 19:36:09'),
(11425, 'ca', 'settings', 'allsettingssaved', 'Totes les preferències han sigut guardades!', '2014-01-16 19:39:46'),
(11426, 'ca', 'settings', 'CHECK_WITH_ANOTHER_PROXY_IF_FAILED', 'Comprobar Amb un altre Proxy Quan va fallar l\'Auditor de Llocs web', '2014-01-16 19:39:46'),
(11427, 'ca', 'settings', 'CURLOPT_HTTPPROXYTUNNEL_VAL', 'Activar Túnnel HTTP Proxy', '2014-01-16 19:39:46'),
(11428, 'ca', 'settings', 'PROXY_DEACTIVATE_CRAWL', 'Desactivar el Proxy quan l\'Auditor de Llocs web Falli', '2014-01-16 19:39:46'),
(11429, 'ca', 'settings', 'SP_SMTP_PORT', 'Port de SMTP', '2014-01-16 19:39:46'),
(11430, 'ca', 'support', 'support_cont1', '<fieldset>\r\n<legend>Sistema de Suport Seo Panel</legend>\r\n<ul class=\"infobox\">\r\n    <li>\r\n        <h1>Paquet de 1000 Directoris</h1> \r\n        <p>\r\n            Estem proveïnt <b>1000 directoris actius i verificats, </b> per afegir dins de  l\'eina de  <b>Seo Panel \"Afegir a directoris\"</b>.\r\n            T\'ajudarà a <b>augmentar els enllaços </b> a la teva pàgina.\r\n            Actualment la llista de drectoris <b>s\'introdueïx </b> per recollir alguns diners per al <b>futur desenvolupament </b> de Seo Panel.\r\n            Per afegir els 1000 directoris siusplau <a href=\"<?=SP_DONATE_LINK?>\" target=\"_blank\">dona</a>\r\n$10 o més per millorar les cualitats de seo panel.\r\n            Si tens alguna pregunta sobre el paquet de 100 directoris, siusplau <a href=\"<?=SP_CONTACT_LINK?>\"\r\ntarget=\"_blank\">contactan\'s </a> o obre un tiquet a <a href=\"<?=SP_SUPPORT_LINK?>\"\r\ntarget=\"_blank\"> sistema de suport</a>.   \r\n        </p>        \r\n        <p>\r\n            <a href=\"<?=SP_DONATE_LINK?>\" target=\"_blank\">Visita aquest link per donar a Seo Panel</a>\r\n        </p>\r\n        <br>\r\n    </li>\r\n    \r\n    <li>\r\n        <h1>Paquets de Motors de Cerca locals</h1> \r\n        <p>\r\n            Afegeix <b> motors de cerca locals </b> com google,yahoo,msn(<b>eg: www.google.cat,www.google.es\r\netc</b>) a seo panel <b>comprobar paraules clau</b>, per portar un control del teu lloc als llocs webs de demarcació propera.\r\n            Per adquirir el paquet de Motors de Cerca locals, si us plau <a\r\nhref=\"<?=SP_DONATE_LINK?>\" target=\"_blank\">dona</a> $10 o més per millorar les funcions de Seo Panel.\r\n            Abans de fer una donació, si us plau <a href=\"<?=SP_CONTACT_LINK?>\" target=\"_blank\">contacta\'ns</a> per donar-nos una referència de quins motors de cerca locals fas servir.\r\n            <br><br>              \r\n            També per afegir <b>nous motors de cerca (eg:baidu.com)</b> al teu comprobador de paraules clau,\r\nsi us plau <a href=\"<?=SP_CONTACT_LINK?>\" target=\"_blank\">contacta\'ns a</a> o obre un ticket a <a\r\nhref=\"<?=SP_SUPPORT_LINK?>\" target=\"_blank\">sistema de suport</a>. \r\n        </p>        \r\n        <p class=\"visit\">\r\n            <a href=\"<?=SP_CONTACT_LINK?>\" target=\"_blank\">Visita aquest enllaç per contactar-nos</a>\r\n        </p>\r\n        <br>\r\n    </li>\r\n    \r\n    <li>\r\n        <h1>Seo Panel Plugins</h1> \r\n        <p>\r\n            Afegeix <b>seo plugins</b> al teu panell seo panel a <b>extendre les funcions</b> a les teves necessitats.\r\n            <a href=\"<?=SP_PLUGINSITE?>\" target=\"_blank\">Seo panel plugins</a> son gràcies a l\'equip Seo Panel i altres llocs web.\r\n            Pots, fàcilment <b>desenvolupar</b> plugins seo per al teu panell seo panel.\r\n            Pots <a href=\"<?=SP_PLUGINSITE?>\" target=\"_blank\">afegir</a> el teu seo plugin al teu Seo Panel i nosaltres <b>el publicarem</b> en el nostre lloc web despres del nostre procés de <b>revisió</b>.        \r\n        </p>        \r\n        <p>\r\n            <a href=\"<?=SP_PLUGINSITE?>\" target=\"_blank\">Visita aquest enllaç per aconseguir seo plugins</a>\r\n        </p>\r\n        <br>\r\n    </li>    \r\n    <li>\r\n        <h1>Contacte</h1> \r\n        <p>\r\n            Contactans per cualsevol pregunta sobre <b>eines seo panel,plugins i funcionalitats </b> entrant en aquest enllaç.\r\n        </p>        \r\n        <p>\r\n            <a href=\"<?=SP_CONTACT_LINK?>\" target=\"_blank\">Visita aquest enllaç per contactar-nos.</a>\r\n        </p>\r\n        <br>\r\n    </li>    \r\n    <li>\r\n        <h1>Tiquets de suport</h1> \r\n        <p>\r\n            Per rebre <b>suport tècnic</b> de l\'equip seo panel per configurar <b>les eines seo panel,plugins i característiques</b>. Eg: Per configurar cron per el comprobador de paraules clau.\r\n        </p>        \r\n        <p>\r\n            <a href=\"<?=SP_SUPPORT_LINK?>\" target=\"_blank\">Visita aquest enllaç per crear un tiquet de suport</a>\r\n        </p>\r\n        <br>\r\n    </li>    \r\n    <li>\r\n        <h1>Avisar de Errors</h1> \r\n        <p>\r\n            Avisa <b>d\'errors </b> sobre <b>eines de seo panel, plugins i característiques </b> utilitzant el seguent enllaç. \r\n            Si us plau ajudan\'s per millorar les característiques de seo panel en les següents versions.          \r\n        </p>        \r\n        <p>\r\n            <a href=\"<?=SP_SUPPORT_LINK?>\" target=\"_blank\">Visita aquest enllaç per avisar d\'errors</a>\r\n        </p>\r\n        <br>\r\n    </li>    \r\n</ul>\r\n</fieldset>', '2014-01-16 20:04:57'),
(11431, 'ca', 'support', 'support_cont2', '', '2014-01-16 20:04:57'),
(11432, 'ca', 'support', 'support_cont3', '', '2014-01-16 20:04:57'),
(11433, 'ru', 'settings', 'CHECK_WITH_ANOTHER_PROXY_IF_FAILED', 'Проверьте с другого прокси при неудачном сканировании', '2024-07-17 11:22:42'),
(11434, 'pl', 'common', 'Checked', 'Zaznaczony', '2019-05-25 18:43:11'),
(11435, 'pl', 'common', 'Powered by', 'Zasilne przez', '2019-05-25 18:43:11'),
(11436, 'pl', 'common', 'Thank you', 'Dziękujemy', '2019-05-25 18:43:11'),
(11437, 'pl', 'directory', 'clickaddfeatureddirectory', 'Kliknij tutaj aby dodać własny katalog', '2014-01-17 18:50:38'),
(11438, 'pl', 'directory', 'Coupon Code', 'Kod Kuponu', '2014-01-17 18:50:38'),
(11439, 'pl', 'directory', 'Coupon Offer', 'Oferta Kuponu', '2014-01-17 18:50:38'),
(11440, 'pl', 'directory', 'couponcodenote', 'Użyj powyższego kodu kuponu aby dostać [REDUCTION_PER] ofertę za każdy użyty submit.', '2014-01-17 18:50:38'),
(11441, 'pl', 'directory', 'Directories with out Reciprocal Link', 'Katalogi bez linków wzajemnych.', '2014-01-17 18:50:38'),
(11442, 'pl', 'directory', 'Reciprocal Link', 'Link wzajemny', '2014-01-17 18:50:38'),
(11443, 'pl', 'keyword', 'Insert keywords separated with comma', 'Wpisz słowa kluczowe oddzielone przecinkiem', '2014-01-17 18:54:55'),
(11444, 'pl', 'label', 'Brocken', 'Niepoprawne', '2014-05-11 20:04:08'),
(11445, 'pl', 'label', 'Clear All', 'Wyczyść wszystko', '2014-05-11 20:04:08'),
(11446, 'pl', 'label', 'Comments', 'Komentarze', '2014-05-11 20:04:08'),
(11447, 'pl', 'label', 'Count', 'Ilość', '2014-05-11 20:04:08'),
(11448, 'pl', 'label', 'Current', 'Bieżący', '2014-05-11 20:04:08'),
(11449, 'pl', 'label', 'Daily', 'Dziennie', '2014-05-11 20:04:08'),
(11450, 'pl', 'label', 'Exclude', 'Wyklucz', '2014-05-11 20:04:08'),
(11451, 'pl', 'label', 'Include', 'Dołącz', '2014-05-11 20:04:08'),
(11452, 'pl', 'label', 'Monthly', 'Miesięcznie', '2014-05-11 20:04:08'),
(11453, 'pl', 'label', 'Project', 'Projekt', '2014-05-11 20:04:08'),
(11454, 'pl', 'label', 'Report Type', 'Typ Raportu', '2014-05-11 20:04:08'),
(11455, 'pl', 'label', 'Score', 'Wynik', '2014-05-11 20:04:08'),
(11456, 'pl', 'label', 'Select All', 'Zaznacz wszystko', '2014-05-11 20:04:08'),
(11457, 'pl', 'label', 'Syntax', 'Składnia', '2014-05-11 20:04:08'),
(11458, 'pl', 'label', 'Theme', 'Temat', '2014-05-11 20:04:08'),
(11459, 'pl', 'label', 'Total Results', 'Wynik Całkowity', '2014-05-11 20:04:08'),
(11460, 'pl', 'label', 'Updated', 'Updatowane', '2014-05-11 20:04:08'),
(11461, 'pl', 'label', 'View Reports', 'Zobacz Raporty', '2014-05-11 20:04:08'),
(11462, 'pl', 'label', 'Weekly', 'Tygodniowo', '2014-05-11 20:04:08'),
(11463, 'pl', 'login', 'Forgot password?', 'Zapomniałeś hasło?', '2014-01-17 19:04:15'),
(11464, 'pl', 'login', 'internal_error_mail_send', 'Wystąpił błąd wewnętrzny podczas wysyłania emaila z resetem hasła!', '2014-01-17 19:04:15'),
(11465, 'pl', 'login', 'password_reset_success_message', 'Twoje hasło zostało zresetowane poprawnie. Email potwierdzający został wysłany. <br>Proszę sprawdzić skrzynkę odbiorczą i odczytać Twoje nowe hasło.', '2014-01-17 19:04:15'),
(11466, 'pl', 'login', 'Request Password', 'Odzyskaj Hasło', '2014-01-17 19:04:15'),
(11467, 'pl', 'login', 'to login to your account', 'Zaloguj się do twojego konta', '2014-01-17 19:04:15'),
(11468, 'pl', 'login', 'user_email_not_exist', 'Ten adres email nie istnieje w systemie!', '2014-01-17 19:04:15'),
(11469, 'pl', 'login', 'Your account password is resetted and new password is', 'Hasło do twojego konta zostało zresetowane, nowym hasłem jest ', '2014-01-17 19:04:15'),
(11470, 'pl', 'login', 'Your Password Reset Failed', 'Reset twojego hasła nie powiódł się', '2014-01-17 19:04:15'),
(11471, 'pl', 'login', 'Your Password Reset Successfully', 'Twoje hasło zostało poprawnie zresetowane', '2014-01-17 19:04:15'),
(11472, 'pl', 'panel', 'Archived Reports', 'Raporty Archiwalne', '2014-05-11 19:55:16'),
(11473, 'pl', 'panel', 'Edit Project', 'Edytuj Projekt', '2014-05-11 19:55:16'),
(11474, 'pl', 'panel', 'Existing', 'Istniejące', '2014-05-11 19:55:16'),
(11475, 'pl', 'panel', 'Import Proxy', 'Import Proxy', '2014-05-11 19:55:16'),
(11476, 'pl', 'panel', 'New Project', 'Nowy Projekt', '2014-05-11 19:55:16'),
(11477, 'pl', 'panel', 'Proxy Settings', 'Ustawienia Proxy', '2014-05-11 19:55:16'),
(11478, 'pl', 'panel', 'Report Settings', 'Ustawienia Raportów', '2014-05-11 19:55:16'),
(11479, 'pl', 'panel', 'Schedule Reports', 'Planowanie Raportów', '2014-05-11 19:55:16'),
(11480, 'pl', 'panel', 'Search Engine Manager', 'Zarządzanie Wyszukiwarkami', '2014-05-11 19:55:16'),
(11481, 'pl', 'panel', 'Themes Manager', 'Manager tematów', '2014-05-11 19:55:16'),
(11482, 'pl', 'panel', 'Valid', 'Poprawne', '2014-05-11 19:55:16'),
(11483, 'pl', 'plugin', 'Download Seo Panel Plugins', 'Ściągnij pluginy Seo Panel', '2014-01-17 19:06:52'),
(11484, 'pl', 'proxy', 'enterproxynote', 'Wpisz Proxy, jedno proxy na linię w formacie.', '2014-05-11 19:50:59'),
(11485, 'pl', 'proxy', 'proxysyntax', 'Proxy Host, Proxy Port, Proxy Użytkownik, Proxy Hasło', '2014-05-11 19:50:59'),
(11486, 'pl', 'report', '2 Days', '2 Dni', '2014-01-17 19:10:43'),
(11487, 'pl', 'report', 'Email notification', 'Powiadomienia email', '2014-01-17 19:10:43'),
(11488, 'pl', 'report', 'keywordnumbercheckedcronnote', 'Uwaga: Domyślne 0 oznacza że wszystkie słowa kluczowe będą sprawdzone', '2014-01-17 19:10:43'),
(11489, 'pl', 'report', 'Next report generation time', 'Następny raport będzie wygenerowany', '2014-01-17 19:10:43'),
(11490, 'pl', 'report', 'Reports generation interval', 'Częstotliwość generowania raportów', '2014-01-17 19:10:43'),
(11491, 'pl', 'report', 'reportsettingssaved', 'Ustawienia raportów zostały zapisane!', '2014-01-17 19:10:43'),
(11492, 'pl', 'report', 'sheduledsuccessfully', 'Zaplanowany raport został wygenerowany poprawnie!', '2014-01-17 19:10:43'),
(11493, 'pl', 'reports', 'report_email_body_text1', 'Twoje raporty zostały wygenerowane w Seo Panel. Proszę sprawdzić dołączone raporty.', '2014-01-17 19:12:57'),
(11494, 'pl', 'reports', 'report_email_body_text2', 'Jeżeli powyższe raporty nie są czytelne, Proszę [LOGIN_LINK] aby zobaczyć raporty na swoim koncie.', '2014-01-17 19:12:57'),
(11495, 'pl', 'reports', 'report_email_subject', 'Twoje raporty SEO zostały wygenerowane poprawnie', '2014-01-17 19:12:57'),
(11496, 'pl', 'searchengine', 'max_results', 'Maksymalna ilość rezultatów', '2014-01-17 19:13:54'),
(11497, 'pl', 'searchengine', 'no_of_results_page', 'Ilość rezultatów na stronę', '2014-01-17 19:13:54'),
(11498, 'pl', 'seotools', 'Auditor Projects', 'Projekty audytora', '2014-01-17 19:15:54'),
(11499, 'pl', 'seotools', 'Auditor Reports', 'Raporty audytora', '2014-01-17 19:15:54'),
(11500, 'pl', 'seotools', 'Auditor Settings', 'Ustawienia audytora', '2014-01-17 19:15:54'),
(11501, 'pl', 'seotools', 'Import Project Links', 'Importowanie linków projektu', '2014-01-17 19:15:54'),
(11502, 'pl', 'seotools', 'site-auditor', 'Audytor strony', '2014-01-17 19:15:54'),
(11503, 'pl', 'settings', 'allsettingssaved', 'Wszystkei ustawienia zostały zapisane poprawnie!', '2014-05-11 19:49:58'),
(11504, 'pl', 'settings', 'Check for Updates', 'Sprawdź uaktualnienia', '2014-05-11 19:49:58'),
(11505, 'pl', 'settings', 'CHECK_WITH_ANOTHER_PROXY_IF_FAILED', 'Sprawdź używając innego Proxy jeżeli nie udaje się skanować', '2014-05-11 19:49:58'),
(11506, 'pl', 'settings', 'CURLOPT_HTTPPROXYTUNNEL_VAL', 'Włącz Tunel Proxy HTTP', '2014-05-11 19:49:58'),
(11507, 'pl', 'settings', 'entersmtpdetails', 'Proszę uzupełnik konfigurację SMTP', '2014-05-11 19:49:58'),
(11508, 'pl', 'settings', 'getallpluginfree', 'Ściągnij wzystkie <b>pluginy</b> stworzone przez nas <b>za darmo</b>', '2014-05-11 19:49:58'),
(11509, 'pl', 'settings', 'PROXY_DEACTIVATE_CRAWL', 'Wyłąćż Proxy jeżeli nie udaje się skanować', '2014-05-11 19:49:58'),
(11510, 'pl', 'settings', 'SA_CRAWL_DELAY_TIME', 'Opoźnienie czasowe skanowania pomiędzy stronami', '2014-05-11 19:49:58'),
(11511, 'pl', 'settings', 'SA_MAX_NO_PAGES', 'Maksymalna ilość dozwolonych stron na serwis', '2014-05-11 19:49:58'),
(11512, 'pl', 'settings', 'SP_ALLOW_USER_SCHEDULE_REPORT', 'Pozwól użytkownikom zaplanować raport', '2014-05-11 19:49:58'),
(11513, 'pl', 'settings', 'SP_API_KEY', 'Klucz API Seo Panel', '2014-05-11 19:49:58'),
(11514, 'pl', 'settings', 'SP_NUMBER_KEYWORDS_CRON', 'Ilość słów kluczowych sprwadzanych podczas pojedynczego uruchomienia CRONa', '2014-05-11 19:49:58'),
(11515, 'pl', 'settings', 'SP_RELATIVE_LINK_CRAWL', 'Skanuj linki relatywne na stronie', '2014-05-11 19:49:58'),
(11516, 'pl', 'settings', 'SP_REPORT_EMAIL_NOTIFICATION', 'Włącz powiadomienia email o raportach', '2014-05-11 19:49:58'),
(11517, 'pl', 'settings', 'SP_SMTP_HOST', 'Host SMTP', '2014-05-11 19:49:58'),
(11518, 'pl', 'settings', 'SP_SMTP_MAIL', 'Włącz SMTP', '2014-05-11 19:49:58'),
(11519, 'pl', 'settings', 'SP_SMTP_PASSWORD', 'Hasło SMTP', '2014-05-11 19:49:58'),
(11520, 'pl', 'settings', 'SP_SMTP_PORT', 'Port SMTP', '2014-05-11 19:49:58'),
(11521, 'pl', 'settings', 'SP_SMTP_USERNAME', 'Użytkownik SMTP', '2014-05-11 19:49:58'),
(11522, 'pl', 'settings', 'SP_SYSTEM_REPORT_INTERVAL', 'Odstęp pomiędzy generowaniem raportów', '2014-05-11 19:49:58'),
(11523, 'pl', 'settings', 'versionnotuptodatemsg', 'Twój Seo Panel nie jest najnowszy. <br> Proszę ściągnąć nową wersję.', '2014-05-11 19:49:58'),
(11524, 'pl', 'settings', 'Your Seo Panel installation is up to date', 'Twój Seo Panel to najnowsza wersja', '2014-05-11 19:49:58'),
(11525, 'pl', 'siteauditor', 'Anchor', 'Kotwica', '2014-01-17 19:43:17'),
(11526, 'pl', 'siteauditor', 'anylinkcontainabovelinks', 'Każdy link zawierający powyższe linki nie będzie uwzględniowy w raportach', '2014-01-17 19:43:17'),
(11527, 'pl', 'siteauditor', 'anylinkcontainexcludesitemap', 'Każdy link zawierający powyższe linki nie będzie włączony do sitemap', '2014-01-17 19:43:17'),
(11528, 'pl', 'siteauditor', 'Check backlinks of pages', 'Sprawdź linki zwrotne do stron', '2014-01-17 19:43:17'),
(11529, 'pl', 'siteauditor', 'Check broken links in a page', 'Sprawdź nieprawidłowe linki w tej stronie', '2014-01-17 19:43:17'),
(11530, 'pl', 'siteauditor', 'Check google pagerank of pages', 'Sprawdź google pagerank', '2014-01-17 19:43:17'),
(11531, 'pl', 'siteauditor', 'Check pages indexed or not', 'Sprawdź czy strony są zaindeksowane', '2014-01-17 19:43:17'),
(11532, 'pl', 'siteauditor', 'Check Score', 'Sprawdź punkty', '2014-01-17 19:43:17'),
(11533, 'pl', 'siteauditor', 'checkborckenlinkwait', 'Sprawdznia nieprawidłowych linków wydłuży czas wykonywania projektu', '2014-01-17 19:43:17'),
(11534, 'pl', 'siteauditor', 'Completed project execution', 'Zakończono wykonywanie projektu', '2014-01-17 19:43:17'),
(11535, 'pl', 'siteauditor', 'Crawled', 'Zeskanowano', '2014-01-17 19:43:17'),
(11536, 'pl', 'siteauditor', 'Crawled Pages', 'Zeskanowane strony', '2014-01-17 19:43:17');
INSERT INTO `texts` (`id`, `lang_code`, `category`, `label`, `content`, `changed`) VALUES
(11537, 'pl', 'siteauditor', 'crawledsuccesssfullywaitfornext', 'Skanowanie zakończone poprawnie! Czekanie na skanowanie kolejnej strony', '2014-01-17 19:43:17'),
(11538, 'pl', 'siteauditor', 'Crawling Page', 'Skanowanie strony', '2014-01-17 19:43:17'),
(11539, 'pl', 'siteauditor', 'Duplicate Description', 'Duplikat meta Description', '2014-01-17 19:43:17'),
(11540, 'pl', 'siteauditor', 'Duplicate Keywords', 'Duplikat meta Keywords', '2014-01-17 19:43:17'),
(11541, 'pl', 'siteauditor', 'Duplicate Title', 'Duplikat tagu Title', '2014-01-17 19:43:17'),
(11542, 'pl', 'siteauditor', 'Exclude links', 'Wyklucz linki', '2014-01-17 19:43:17'),
(11543, 'pl', 'siteauditor', 'Execute with cron', 'Wyklucz z CRON', '2014-01-17 19:43:17'),
(11544, 'pl', 'siteauditor', 'External', 'Zewnętrzne', '2014-01-17 19:43:17'),
(11545, 'pl', 'siteauditor', 'External Links', 'Zewnętrzne linki', '2014-01-17 19:43:17'),
(11546, 'pl', 'siteauditor', 'Import Project Links', 'Import Linków Projektu', '2014-01-17 19:43:17'),
(11547, 'pl', 'siteauditor', 'Insert links separated with comma', 'Wprowadź linki oddzielone przecinkami', '2014-01-17 19:43:17'),
(11548, 'pl', 'siteauditor', 'insertlinkssepcoma', 'Wprowadź linki oddzielone przecinkami aby wykluczyć je z raportów', '2014-01-17 19:43:17'),
(11549, 'pl', 'siteauditor', 'Link Reports', 'Raporty o linkach', '2014-01-17 19:43:17'),
(11550, 'pl', 'siteauditor', 'Link Title', 'Title linków', '2014-01-17 19:43:17'),
(11551, 'pl', 'siteauditor', 'Maximum number of pages to be checked', 'Maksymalna ilość stron do sprawdzenia', '2014-01-17 19:43:17'),
(11552, 'pl', 'siteauditor', 'Maximum Pages', 'Maksymalna ilość stron', '2014-01-17 19:43:17'),
(11553, 'pl', 'siteauditor', 'No active projects found', 'Nie znaleziono aktywnych projektów', '2014-01-17 19:43:17'),
(11554, 'pl', 'siteauditor', 'Nofollow', 'Nofollow', '2014-01-17 19:43:17'),
(11555, 'pl', 'siteauditor', 'Number of pages is greater than', 'Ilość stron jest większa niż', '2014-01-17 19:43:17'),
(11556, 'pl', 'siteauditor', 'Number of pages should be greater than', 'Ilość stron powinna być większa niż', '2014-01-17 19:43:17'),
(11557, 'pl', 'siteauditor', 'Page Details', 'Własciwości strony', '2014-01-17 19:43:17'),
(11558, 'pl', 'siteauditor', 'Page Link', 'Linka do strony', '2014-01-17 19:43:17'),
(11559, 'pl', 'siteauditor', 'Page Links', 'Linki do strony', '2014-01-17 19:43:17'),
(11560, 'pl', 'siteauditor', 'Pages Found', 'Ilość znalezionych stron', '2014-01-17 19:43:17'),
(11561, 'pl', 'siteauditor', 'pressescapetostopexecution', 'Wciśnij <b>escape</b> aby przerwać wykonywanie skryptu', '2014-01-17 19:43:17'),
(11562, 'pl', 'siteauditor', 'Project Summary', 'Podsumowanie Projektu', '2014-01-17 19:43:17'),
(11563, 'pl', 'siteauditor', 'Project Url', 'URL projektu', '2014-01-17 19:43:17'),
(11564, 'pl', 'siteauditor', 'projectalreadyexist', 'Projekt dla tej witryny już istnieje', '2014-01-17 19:43:17'),
(11565, 'pl', 'siteauditor', 'Recheck Pages', 'Sprawdź ponownie strony', '2014-01-17 19:43:17'),
(11566, 'pl', 'siteauditor', 'Report Summary', 'Podsumowanie raportu', '2014-01-17 19:43:17'),
(11567, 'pl', 'siteauditor', 'Run Project', 'Uruchom projekt', '2014-01-17 19:43:17'),
(11568, 'pl', 'siteauditor', 'should start with', 'Powinno się zaczynać od', '2014-01-17 19:43:17'),
(11569, 'pl', 'siteauditor', 'Site Auditor Settings', 'Ustawienia audytora strony', '2014-01-17 19:43:17'),
(11570, 'pl', 'siteauditor', 'Store all links found in a page', 'Zapisz wszystkie linki znalezione na stronie', '2014-01-17 19:43:17'),
(11571, 'pl', 'siteauditor', 'The page description length is not between', 'Dlugość Description nie jest pomiedzy', '2014-01-17 19:43:17'),
(11572, 'pl', 'siteauditor', 'The page is brocken', 'Błąd na stronie', '2014-01-17 19:43:17'),
(11573, 'pl', 'siteauditor', 'The page is having exellent number of backlinks in', 'Strona ma wspaniałą ilość linków zwrotnych', '2014-01-17 19:43:17'),
(11574, 'pl', 'siteauditor', 'The page is having exellent pagerank', 'Strona ma wspaniały page rank', '2014-01-17 19:43:17'),
(11575, 'pl', 'siteauditor', 'The page is having good number of backlinks in', 'Strona ma dobrą ilość linków zwrotnych', '2014-01-17 19:43:17'),
(11576, 'pl', 'siteauditor', 'The page is having good pagerank', 'Strona ma dobry page rank', '2014-01-17 19:43:17'),
(11577, 'pl', 'siteauditor', 'The page is having poor pagerank', 'Strona ma słaby page rank', '2014-01-17 19:43:17'),
(11578, 'pl', 'siteauditor', 'The page is having very good pagerank', 'Strona ma bardzo dobry page rank', '2014-01-17 19:43:17'),
(11579, 'pl', 'siteauditor', 'The page is not having backlinks in', 'Strona nie ma linków zwrotnych w', '2014-01-17 19:43:17'),
(11580, 'pl', 'siteauditor', 'The page is not indexed in', 'Strona nie jest zaindeksowana w', '2014-01-17 19:43:17'),
(11581, 'pl', 'siteauditor', 'The page keywords length is not between', 'Długość Keywords nie jest pomiędzy', '2014-01-17 19:43:17'),
(11582, 'pl', 'siteauditor', 'The page title length is not between', 'Długość Title nie jest pomiędzy', '2014-01-17 19:43:17'),
(11583, 'pl', 'siteauditor', 'The total number of links in page is greater than', 'Całkowita ilość linków na stronie jest większa niż', '2014-01-17 19:43:17'),
(11584, 'pl', 'siteauditor', 'to run project again if you stopped execution', 'aby uruchomic projekt ponownie', '2014-01-17 19:43:17'),
(11585, 'pl', 'siteauditor', 'to view the reports', 'aby zobaczyc raporty', '2014-01-17 19:43:17'),
(11586, 'pl', 'siteauditor', 'Total Links', 'Całkowita Ilość linków', '2014-01-17 19:43:17'),
(11587, 'pl', 'siteauditor', 'totallinksgreaterallowed', 'Całkowita Ilość linków będzie większa niż zezwala na to projekt', '2014-01-17 19:43:17'),
(11588, 'pl', 'theme', 'Download Seo Panel Themes', 'Ściągnij Tematy do Seo Panel', '2014-01-17 19:44:04'),
(11589, 'da', 'common', 'Checked', 'Tjek', '2019-05-25 18:04:54'),
(11590, 'da', 'common', 'Thank you', 'Mange tak', '2019-05-25 18:04:54'),
(11591, 'da', 'label', 'Brocken', 'I stykker', '2014-01-17 19:52:14'),
(11592, 'da', 'label', 'Clear All', 'Ryd alle', '2014-01-17 19:52:14'),
(11593, 'da', 'label', 'Comments', 'Kommentarer', '2014-01-17 19:52:14'),
(11594, 'da', 'label', 'Count', 'Antal', '2014-01-17 19:52:14'),
(11595, 'da', 'label', 'Current', 'Aktuel', '2014-01-17 19:52:14'),
(11596, 'da', 'label', 'Daily', 'Daglig', '2014-01-17 19:52:14'),
(11597, 'da', 'label', 'Exclude', 'Ekskluder', '2014-01-17 19:52:14'),
(11598, 'da', 'label', 'Include', 'Inkluder', '2014-01-17 19:52:14'),
(11599, 'da', 'label', 'Monthly', 'Månedlig', '2014-01-17 19:52:14'),
(11600, 'da', 'label', 'Project', 'Projekt', '2014-01-17 19:52:14'),
(11601, 'da', 'label', 'Report Type', 'Rapport type', '2014-01-17 19:52:14'),
(11602, 'da', 'label', 'Score', 'Score', '2014-01-17 19:52:14'),
(11603, 'da', 'label', 'Select All', 'Vælg alle', '2014-01-17 19:52:14'),
(11604, 'da', 'label', 'Syntax', 'Syntaks', '2014-01-17 19:52:14'),
(11605, 'da', 'label', 'Theme', 'Tema', '2014-01-17 19:52:14'),
(11606, 'da', 'label', 'Total Results', 'Samlede resultater', '2014-01-17 19:52:14'),
(11607, 'da', 'label', 'Updated', 'Opdateret', '2014-01-17 19:52:14'),
(11608, 'da', 'label', 'View Reports', 'Se rapporter', '2014-01-17 19:52:14'),
(11609, 'da', 'label', 'Weekly', 'Ugentlig', '2014-01-17 19:52:14'),
(11610, 'pl', 'home', 'Indexed', 'Zaindeksowane', '2014-01-17 19:53:11'),
(11611, 'de', 'common', 'Checked', 'Markiert', '2021-06-14 21:46:19'),
(11612, 'de', 'common', 'Thank you', 'Vielen Dank', '2021-06-14 21:46:19'),
(11613, 'de', 'directory', 'clickaddfeatureddirectory', 'Verzeichnis hinzuzufügen', '2021-06-14 21:41:51'),
(11614, 'de', 'directory', 'Coupon Offer', 'Coupon-Angebot', '2021-06-14 21:41:51'),
(11615, 'de', 'directory', 'Directories with out Reciprocal Link', 'Verzeichnisse ohne Backlink-Pflicht', '2021-06-14 21:41:51'),
(11616, 'de', 'label', 'Syntax', 'Syntax', '2021-01-06 10:13:08'),
(11617, 'de', 'login', 'Forgot password?', 'Passwort vergessen?', '2021-01-06 10:14:32'),
(11618, 'de', 'login', 'internal_error_mail_send', 'Fehler beim Versenden der Email für Passwort-Wiederherstellug', '2021-01-06 10:14:32'),
(11619, 'de', 'login', 'password_reset_success_message', 'Passwort erfolgreich zurückgesetzt. Eine Bestätigungs-Mail wurde an die hinterlegte Email-Adresse verschickt. <br> Rufen Sie diese ab um Ihr neues Passwort zu bestätigen.', '2021-01-06 10:14:32'),
(11620, 'de', 'login', 'Request Password', 'Passwort anfordern', '2021-01-06 10:14:32'),
(11621, 'de', 'login', 'to login to your account', 'um in Account einzuloggen', '2021-01-06 10:14:32'),
(11622, 'de', 'login', 'user_email_not_exist', 'Email nicht vorhanden!', '2021-01-06 10:14:32'),
(11623, 'de', 'login', 'Your account password is resetted and new password is', 'Passwort wurde zurückgesetzt und lautet', '2021-01-06 10:14:32'),
(11624, 'de', 'login', 'Your Password Reset Failed', 'Passwort Wiederherstellung fehlgeschlagen', '2021-01-06 10:14:32'),
(11625, 'de', 'login', 'Your Password Reset Successfully', 'Passwort erfolreich zurückgesetzt', '2021-01-06 10:14:32'),
(11626, 'de', 'panel', 'Existing', 'Vorhanden', '2023-01-03 14:44:32'),
(11627, 'de', 'panel', 'Import Proxy', 'Proxy importieren', '2023-01-03 14:44:32'),
(11628, 'de', 'panel', 'Proxy Settings', 'Proxy Einstellungen', '2023-01-03 14:44:32'),
(11629, 'de', 'panel', 'Valid', 'Gültig', '2023-01-03 14:44:32'),
(11630, 'de', 'proxy', 'enterproxynote', 'Eine Proxy pro Zeile in folgendem Format eintragen.', '2021-01-06 10:21:00'),
(11631, 'de', 'proxy', 'proxysyntax', 'Proxy Hostname, Proxy Port, Proxy Nutzername, Proxy Passwort', '2021-01-06 10:21:00'),
(11632, 'de', 'settings', 'allsettingssaved', 'Alle Einstellungen erfolgreich gespeichert!', '2021-01-08 08:28:43'),
(11633, 'de', 'settings', 'CHECK_WITH_ANOTHER_PROXY_IF_FAILED', 'Mit weiterer Proxy prüfen wenn Prüfung fehlschlägt', '2021-01-08 08:28:43'),
(11634, 'de', 'settings', 'CURLOPT_HTTPPROXYTUNNEL_VAL', 'HTTP Proxy Tunnel aktivieren', '2021-01-08 08:28:43'),
(11635, 'de', 'settings', 'PROXY_DEACTIVATE_CRAWL', 'Proxy nach fehlgeschlagener Prüfung deaktivieren', '2021-01-08 08:28:43'),
(11636, 'de', 'settings', 'SP_RELATIVE_LINK_CRAWL', 'Relative Links einer Seite crawlen', '2021-01-08 08:28:43'),
(11637, 'de', 'settings', 'SP_SMTP_PORT', 'SMTP Mail Port', '2021-01-08 08:28:43'),
(11638, 'ja', 'common', 'Checked', 'チェック済', '2019-05-25 18:40:02'),
(11639, 'ja', 'common', 'Thank you', 'ありがとうございます', '2019-05-25 18:40:02'),
(11640, 'ja', 'label', 'Syntax', '構文', '2019-04-01 09:45:51'),
(11641, 'ja', 'login', 'Forgot password?', 'パスワードをお忘れですか？', '2018-08-21 06:29:48'),
(11642, 'ja', 'login', 'internal_error_mail_send', 'パスワードリセットのメール送信中に内部エラーが発生しました！', '2018-08-21 06:29:48'),
(11643, 'ja', 'login', 'password_reset_success_message', 'パスワードをリセットしました。あなたのメールアドレスに確認メールを送信しました。<br>新しいパスワードは受信ボックスを確認してください。', '2018-08-21 06:29:48'),
(11644, 'ja', 'login', 'Request Password', 'パスワード要求', '2018-08-21 06:29:48'),
(11645, 'ja', 'login', 'to login to your account', 'あなたのアカウントへログインするには', '2018-08-21 06:29:48'),
(11646, 'ja', 'login', 'user_email_not_exist', 'ユーザーEメールはシステムに存在しません！', '2018-08-21 06:29:48'),
(11647, 'ja', 'login', 'Your account password is resetted and new password is', 'あなたのパスワードはリセットされています。新しいパスワードは', '2018-08-21 06:29:48'),
(11648, 'ja', 'login', 'Your Password Reset Failed', 'パスワードのリセットに失敗しました', '2018-08-21 06:29:48'),
(11649, 'ja', 'login', 'Your Password Reset Successfully', 'パスワードのリセットに成功しました', '2018-08-21 06:29:48'),
(11650, 'ja', 'panel', 'Existing', '既存', '2019-04-01 09:46:57'),
(11651, 'ja', 'panel', 'Import Proxy', 'プロキシインポート', '2019-04-01 09:46:57'),
(11652, 'ja', 'panel', 'Proxy Settings', 'プロキシ設定', '2019-04-01 09:46:57'),
(11653, 'ja', 'panel', 'Valid', '有効', '2019-04-01 09:46:57'),
(11654, 'ja', 'proxy', 'enterproxynote', '下記フォーマットで、プロキシを改行区切りで入力してください。', '2016-12-12 01:08:13'),
(11655, 'ja', 'proxy', 'proxysyntax', 'プロキシホスト名、プロキシポート、プロキシユーザー名、プロキシパスワード', '2016-12-12 01:08:13'),
(11656, 'ja', 'settings', 'allsettingssaved', '全ての設定が保存されました！', '2019-04-01 09:52:17'),
(11657, 'ja', 'settings', 'CHECK_WITH_ANOTHER_PROXY_IF_FAILED', 'クローリングに失敗した場合、別のプロキシを確認する', '2019-04-01 09:52:17'),
(11658, 'ja', 'settings', 'CURLOPT_HTTPPROXYTUNNEL_VAL', 'HTTPプロキシトンネルを有効にする', '2019-04-01 09:52:17'),
(11659, 'ja', 'settings', 'PROXY_DEACTIVATE_CRAWL', 'クローリングに失敗した場合、プロキシを非アクティブにする', '2019-04-01 09:52:17'),
(11660, 'ja', 'settings', 'SP_SMTP_PORT', 'SMTPメールポート', '2019-04-01 09:52:17'),
(11661, 'da', 'keyword', 'Crawling keyword', 'Crawling keyword', '2014-01-20 09:06:13'),
(11662, 'da', 'keyword', 'Detailed Keyword Position Reports', 'Detaljeret Keyword position rapporter', '2014-01-20 09:06:13'),
(11663, 'da', 'keyword', 'Edit Keyword', 'Ændre Keyword', '2014-01-20 09:06:13'),
(11664, 'da', 'keyword', 'Graphical Keyword Position Reports', 'Grafisk Keyword Position rapporter', '2014-01-20 09:06:13'),
(11665, 'da', 'keyword', 'Import Keywords', 'Importer Keywords', '2014-01-20 09:06:13'),
(11666, 'da', 'keyword', 'Insert keywords separated with comma', 'Indsæt keywords separeret med komma', '2014-01-20 09:06:13'),
(11667, 'da', 'keyword', 'Keyword already exist', 'Keyword eksisterer allerede', '2014-01-20 09:06:13'),
(11668, 'da', 'keyword', 'Keyword Position Report', 'Keyword Position rapport', '2014-01-20 09:06:13'),
(11669, 'da', 'keyword', 'New Keyword', 'Nyt Keyword', '2014-01-20 09:06:13'),
(11670, 'da', 'keyword', 'not assigned to required search engines', 'Ikke tildelt til påkrævede søgemaskiner', '2014-01-20 09:06:13'),
(11671, 'da', 'keyword', 'pleaseselecttool', 'Venligst vælg mindst én SEO redskab', '2014-01-20 09:06:13'),
(11672, 'da', 'keyword', 'Quick Keyword Position Checker', 'Hurtig Keyword Position checker', '2014-01-20 09:06:13'),
(11673, 'da', 'keyword', 'results from ', 'Resultater fra', '2014-01-20 09:06:13'),
(11674, 'da', 'keyword', 'Show All results', 'Vis alle resultater', '2014-01-20 09:06:13'),
(11675, 'da', 'keyword', 'Successfully crawled keyword', 'Har succesfuldt crawlet keyword', '2014-01-20 09:06:13'),
(11676, 'da', 'keyword', 'to create new keywords', 'oprette nye keywords', '2014-01-20 09:06:13'),
(11677, 'da', 'login', 'Confirm Password', 'Bekræft adgangskode', '2014-01-20 09:34:10'),
(11678, 'da', 'login', 'Create my account', 'Opret min konto', '2014-01-20 09:34:10'),
(11679, 'da', 'login', 'Create New Account', 'Opret ny konto', '2014-01-20 09:34:10'),
(11680, 'da', 'login', 'Email', 'E-mail', '2014-01-20 09:34:10'),
(11681, 'da', 'login', 'emailexist', 'E-mail eksisterer allerede', '2014-01-20 09:34:10'),
(11682, 'da', 'login', 'Enter the code as it is shown', 'Indtast koden som det er vist', '2014-01-20 09:34:10'),
(11683, 'da', 'login', 'First Name', 'Fornavn', '2014-01-20 09:34:10'),
(11684, 'da', 'login', 'Forgot password?', 'Glemt adgangskode?', '2014-01-20 09:34:10'),
(11685, 'da', 'login', 'internal_error_mail_send', 'En intern fejl opstod under afsendelse af gendannelsesmail!', '2014-01-20 09:34:10'),
(11686, 'da', 'login', 'Last Name', 'Efternavn', '2014-01-20 09:34:10'),
(11687, 'da', 'login', 'Login', 'Login', '2014-01-20 09:34:10'),
(11688, 'da', 'login', 'Login incorrect', 'Login er ikke korrekt', '2014-01-20 09:34:10'),
(11689, 'da', 'login', 'newaccountsuccess', 'Ny konto oprettet!', '2014-01-20 09:34:10'),
(11690, 'da', 'login', 'Password', 'Adgangskode', '2014-01-20 09:34:10'),
(11691, 'da', 'login', 'Password incorrect', 'Ugyldig adgangskode', '2014-01-20 09:34:10'),
(11692, 'da', 'login', 'password_reset_success_message', 'Gendannelse af adgangskoden er succesfuldt. En bekræftelsesmail er sendt til E-mail. <br>Venligst check din indbakke for din nye adgangskode.', '2014-01-20 09:34:10'),
(11693, 'da', 'login', 'Register', 'Registrer', '2014-01-20 09:34:10'),
(11694, 'da', 'login', 'Request Password', 'Anmod adgangskode', '2014-01-20 09:34:10'),
(11695, 'da', 'login', 'Sign in to your account', 'Log på din konto', '2014-01-20 09:34:10'),
(11696, 'da', 'login', 'to login to your account', 'for at log på din konto', '2014-01-20 09:34:10'),
(11697, 'da', 'login', 'User inactive', 'Bruger er inaktiv', '2014-01-20 09:34:10'),
(11698, 'da', 'login', 'user_email_not_exist', 'Bruger E-mail eksisterer ikke.', '2014-01-20 09:34:10'),
(11699, 'da', 'login', 'Username', 'Brugernavn', '2014-01-20 09:34:10'),
(11700, 'da', 'login', 'usernameexist', 'Brugernavn eksisterer allerede!', '2014-01-20 09:34:10'),
(11701, 'da', 'login', 'Your account password is resetted and new password is', 'Din konto adgangskode er gendannet og ny adgangskode er', '2014-01-20 09:34:10'),
(11702, 'da', 'login', 'Your Password Reset Failed', 'Gendannelsen af adgangskode er fejlet', '2014-01-20 09:34:10'),
(11703, 'da', 'login', 'Your Password Reset Successfully', 'Succesfuldt gendannelse af adgangskode', '2014-01-20 09:34:10'),
(11704, 'da', 'panel', 'About Us', 'Om os', '2014-01-20 09:40:54'),
(11705, 'da', 'panel', 'Add following command to your cron tab', 'Tilføj følgende kommando til din cron tab', '2014-01-20 09:40:54'),
(11706, 'da', 'panel', 'alsocheckfollowlink', 'Tjek desuden følgende link for flere detaljer.', '2014-01-20 09:40:54'),
(11707, 'da', 'panel', 'Archived Reports', 'Arkiveret rapporter', '2014-01-20 09:40:54'),
(11708, 'da', 'panel', 'Check Directory', 'Tjek Directory', '2014-01-20 09:40:54'),
(11709, 'da', 'panel', 'Cron Command', 'Cron Kommando', '2014-01-20 09:40:54'),
(11710, 'da', 'panel', 'Directory Manager', 'Directory Manager', '2014-01-20 09:40:54'),
(11711, 'da', 'panel', 'Edit My Profile', 'Redigér min profil', '2014-01-20 09:40:54'),
(11712, 'da', 'panel', 'Edit Project', 'Redigér Projekt', '2014-01-20 09:40:54'),
(11713, 'da', 'panel', 'Existing', 'Eksisterende', '2014-01-20 09:40:54'),
(11714, 'da', 'panel', 'Import Proxy', 'Importer Proxy', '2014-01-20 09:40:54'),
(11715, 'da', 'panel', 'My Profile', 'Min Profil', '2014-01-20 09:40:54'),
(11716, 'da', 'panel', 'New Project', 'Nyt Projekt', '2014-01-20 09:40:54'),
(11717, 'da', 'panel', 'New Proxy', 'Ny Proxy', '2014-01-20 09:40:54'),
(11718, 'da', 'panel', 'New User', 'Ny bruger', '2014-01-20 09:40:54'),
(11719, 'da', 'panel', 'New Website', 'Ny hjemmeside', '2014-01-20 09:40:54'),
(11720, 'da', 'panel', 'Proxy Manager', 'Proxy Manager', '2014-01-20 09:40:54'),
(11721, 'da', 'panel', 'Proxy Settings', 'Proxy indstillinger', '2014-01-20 09:40:54'),
(11722, 'da', 'panel', 'Report Generation Manager', 'Rapport Generation Manager', '2014-01-20 09:40:54'),
(11723, 'da', 'panel', 'Report Settings', 'Rapport indstillinger', '2014-01-20 09:40:54'),
(11724, 'da', 'panel', 'Reports Manager', 'Rapport Manager', '2014-01-20 09:40:54'),
(11725, 'da', 'panel', 'Schedule Reports', 'Tidsplanlæg rapporter', '2014-01-20 09:40:54'),
(11726, 'da', 'panel', 'Search Engine Manager', 'Søgemaskine Manager', '2014-01-20 09:40:54'),
(11727, 'da', 'panel', 'Seo Plugins Manager', 'SEO Plugin Manager', '2014-01-20 09:40:54'),
(11728, 'da', 'panel', 'Seo Tools Manager', 'SEO redskaber Manager', '2014-01-20 09:40:54'),
(11729, 'da', 'panel', 'System Settings', 'System indstillinger', '2014-01-20 09:40:54'),
(11730, 'da', 'panel', 'Themes Manager', 'Tema Manager', '2014-01-20 09:40:54'),
(11731, 'da', 'panel', 'User Manager', 'Bruger Manager', '2014-01-20 09:40:54'),
(11732, 'da', 'panel', 'Valid', 'Gyldig', '2014-01-20 09:40:54'),
(11733, 'da', 'panel', 'Website Manager', 'Hjemmeside Manager', '2014-01-20 09:40:54'),
(11734, 'da', 'plugin', 'Download Seo Panel Plugins', 'Download Seo Panel Plugins', '2014-01-20 09:42:27'),
(11735, 'da', 'plugin', 'Edit Seo Plugin', 'Redigér Seo Plugin', '2014-01-20 09:42:27'),
(11736, 'da', 'plugin', 'Plugin Name', 'Plugin navn', '2014-01-20 09:42:27'),
(11737, 'da', 'plugin', 'Seo Plugin Details', 'Seo Plugin detaljer', '2014-01-20 09:42:27'),
(11738, 'da', 'proxy', 'enterproxynote', 'Indtast proxy, én per linje i følgende format.', '2014-01-20 09:44:35'),
(11739, 'da', 'proxy', 'proxysyntax', 'Proxy Værtsnavn, Proxy port, Proxy brugernavn, Proxy adgangskode', '2014-01-20 09:44:35'),
(11740, 'da', 'report', '2 Days', '2 dage', '2014-01-20 09:51:31'),
(11741, 'da', 'report', 'Email notification', 'E-mail notifikation', '2014-01-20 09:51:31'),
(11742, 'da', 'report', 'keywordnumbercheckedcronnote', 'Note: Default 0 betyder alle keywords skal være checked', '2014-01-20 09:51:31'),
(11743, 'da', 'report', 'Next report generation time', 'Næste rapport generations tid', '2014-01-20 09:51:31'),
(11744, 'da', 'report', 'Reports generation interval', 'Rapporter generations interval', '2014-01-20 09:51:31'),
(11745, 'da', 'report', 'reportsettingssaved', 'Rapport indstillinger gemt succesfuldt!', '2014-01-20 09:51:31'),
(11746, 'da', 'report', 'sheduledsuccessfully', 'Planlagt rapport generation succesfuldt!', '2014-01-20 09:51:31'),
(11747, 'el', 'common', 'Checked', 'Επιλέχθη', '2019-08-28 05:40:52'),
(11748, 'el', 'common', 'Dashboard', 'Επισκόπηση', '2019-08-28 05:40:52'),
(11749, 'el', 'common', 'Home', 'Αρχική', '2019-08-28 05:40:52'),
(11750, 'el', 'common', 'Powered by', 'Δημιουργία από', '2019-08-28 05:40:52'),
(11751, 'el', 'common', 'Thank you', 'Ευχαριστούμε', '2019-08-28 05:40:52'),
(11752, 'el', 'directory', 'clickaddfeatureddirectory', 'Κάντε κλικ εδώ ώστε να προσθέσετε τον επισημασμένο κατάλογο σας', '2014-01-20 11:07:08'),
(11753, 'el', 'directory', 'Coupon Offer', 'Κουπόνι προσφοράς', '2014-01-20 11:07:08'),
(11754, 'el', 'directory', 'Directories with out Reciprocal Link', 'Κατάλογοι που δεν απαιτούν ανταποδοτικό Link', '2014-01-20 11:07:08'),
(11755, 'el', 'label', 'Clear All', 'Καθαρισμός Όλων', '2019-11-28 18:22:10'),
(11756, 'el', 'label', 'Current', 'Τρέχον', '2019-11-28 18:22:10'),
(11757, 'el', 'label', 'Select All', 'Επιλογή Όλων', '2019-11-28 18:22:10'),
(11758, 'el', 'label', 'Syntax', 'Syntax', '2019-11-28 18:22:10'),
(11759, 'el', 'label', 'Theme', 'Θέμα', '2019-11-28 18:22:10'),
(11760, 'el', 'login', 'Forgot password?', 'Ξεχάσατε τον κωδικό σας;', '2018-08-23 06:13:36'),
(11761, 'el', 'login', 'internal_error_mail_send', 'Δημιουργήθηκε ένα εσωτερικό σφάλμα στην αποστολή email αλλαγής κωδικού!', '2018-08-23 06:13:36'),
(11762, 'el', 'login', 'password_reset_success_message', 'Ο κωδικός σας αλλάχθηκε επιτυχώς. Ένα email επιβεβαίωσης εστάλη στην διεύθυνση email. <br>Παρακαλώ ελέγξτε τα εισερχόμενα σας για να λάβετε το νέο κωδικό.', '2018-08-23 06:13:36'),
(11763, 'el', 'login', 'Request Password', 'Αίτηση Κωδικού', '2018-08-23 06:13:36'),
(11764, 'el', 'login', 'to login to your account', 'για να συνδεθείτε στον λογαριασμό σας', '2018-08-23 06:13:36'),
(11765, 'el', 'login', 'user_email_not_exist', 'Το email του χρήστη δεν υπάρχει στο σύστημα!', '2018-08-23 06:13:36'),
(11766, 'el', 'login', 'Your account password is resetted and new password is', 'Ο κωδικός λογαριασμού άλλαξε και ο νέος κωδικός είναι', '2018-08-23 06:13:36'),
(11767, 'el', 'login', 'Your Password Reset Failed', 'Η Αλλαγή Κωδικού Απέτυχε', '2018-08-23 06:13:36'),
(11768, 'el', 'login', 'Your Password Reset Successfully', 'Ο Κωδικός σας Άλλαξε Επιτυχώς', '2018-08-23 06:13:36'),
(11769, 'el', 'panel', 'Existing', 'Προυπάρχον', '2019-08-28 05:42:17'),
(11770, 'el', 'panel', 'Import Proxy', 'Εισαγωγή Proxy', '2019-08-28 05:42:17'),
(11771, 'el', 'panel', 'Proxy Settings', 'Ρυθμίσεις Proxy', '2019-08-28 05:42:17'),
(11772, 'el', 'panel', 'Themes Manager', 'Διαχείριση Θεμάτων', '2019-08-28 05:42:17'),
(11773, 'el', 'panel', 'Valid', 'Έγκυρο', '2019-08-28 05:42:17'),
(11774, 'el', 'proxy', 'enterproxynote', 'Εισάγετε έναν Proxy ανά γραμμή στην ακόλουθη μορφή.', '2016-12-29 13:06:18'),
(11775, 'el', 'proxy', 'proxysyntax', 'Proxy Hostname, Proxy Port, Proxy Username, Proxy Password', '2016-12-29 13:06:18'),
(11776, 'el', 'settings', 'allsettingssaved', 'Όλες οι ρυθμίσεις αποθηκεύτηκαν επιτυχώς!', '2019-08-28 05:43:40'),
(11777, 'el', 'settings', 'CHECK_WITH_ANOTHER_PROXY_IF_FAILED', 'Ελέγξτε και Με έναν Άλλο Proxy όταν το Crawling αποτύχει', '2019-08-28 05:43:40'),
(11778, 'el', 'settings', 'CURLOPT_HTTPPROXYTUNNEL_VAL', 'Ενεργοποιήστε το HTTP Proxy Tunnel', '2019-08-28 05:43:40'),
(11779, 'el', 'settings', 'PROXY_DEACTIVATE_CRAWL', 'Απενεργοποιήστε το Proxy όταν το Crawling Αποτύχει', '2019-08-28 05:43:40'),
(11780, 'el', 'settings', 'SP_RELATIVE_LINK_CRAWL', 'Σχετικά στο Crawl links σε μια σελίδα', '2019-08-28 05:43:40'),
(11781, 'el', 'settings', 'SP_SMTP_PORT', 'SMTP Mail Port', '2019-08-28 05:43:40'),
(11782, 'el', 'theme', 'Download Seo Panel Themes', 'Κατεβάστε Θέματα του Seo Panel', '2014-01-20 11:24:30'),
(11783, 'da', 'reports', 'report_email_body_text1', 'Din rapport blev genererat succesfuldt i seo panel. Tjek de vedhæftede rapporter. ', '2014-01-30 22:14:56'),
(11784, 'da', 'reports', 'report_email_body_text2', 'Hvis rapporterne herover ikke er synlige, så [LOGIN_LINK] for at se rapporterne direkte fra din konto.', '2014-01-30 22:14:56'),
(11785, 'da', 'reports', 'report_email_subject', 'Dine SEO rapporter blev succesfuldt genereret', '2014-01-30 22:14:56'),
(11786, 'pt-br', 'common', 'Checked', 'Marcado', '2019-07-29 20:26:27'),
(11787, 'pt-br', 'common', 'Dashboard', 'Painel', '2019-07-29 20:26:27'),
(11788, 'pt-br', 'common', 'Home', 'Início', '2019-07-29 20:26:27'),
(11789, 'pt-br', 'common', 'Powered by', 'Desenvolvido por', '2019-07-29 20:26:27'),
(11790, 'pt-br', 'common', 'Thank you', 'Obrigado', '2019-07-29 20:26:27'),
(11791, 'pt-br', 'directory', 'clickaddfeatureddirectory', 'Clique aqui para adicionar seu próprio diretório em destaque aqui', '2014-02-12 12:25:20'),
(11792, 'pt-br', 'directory', 'Coupon Offer', 'Cupom de desconto', '2014-02-12 12:25:20'),
(11793, 'pt-br', 'directory', 'Directories with out Reciprocal Link', 'Diretórios com Links Reciprocos', '2014-02-12 12:25:20'),
(11794, 'pt-br', 'label', 'Clear All', 'Limpar tudo', '2018-08-21 14:54:11'),
(11795, 'pt-br', 'label', 'Current', 'Atual', '2018-08-21 14:54:11'),
(11796, 'pt-br', 'label', 'Select All', 'Selecione tudo', '2018-08-21 14:54:11'),
(11797, 'pt-br', 'label', 'Syntax', 'Sintaxe', '2018-08-21 14:54:11'),
(11798, 'pt-br', 'label', 'Theme', 'Tema', '2018-08-21 14:54:11'),
(11799, 'pt-br', 'login', 'Forgot password?', 'Perdeu a senha?', '2016-01-04 11:42:58'),
(11800, 'pt-br', 'login', 'internal_error_mail_send', 'Um erro interno ocorreu durante o envio de mensagens de alteração de senha!', '2016-01-04 11:42:58'),
(11801, 'pt-br', 'login', 'password_reset_success_message', 'Senha alterada com sucesso. Um e-mail de confirmação foi enviado para o endereço de e-mail. <br> Por favor confirme sua caixa de entrada para obter a sua nova senha.', '2016-01-04 11:42:58'),
(11802, 'pt-br', 'login', 'Request Password', 'Solicitar senha', '2016-01-04 11:42:58'),
(11803, 'pt-br', 'login', 'to login to your account', 'para acessar sua conta', '2016-01-04 11:42:58'),
(11804, 'pt-br', 'login', 'user_email_not_exist', 'Usuário não encontrado no sistema!', '2016-01-04 11:42:58'),
(11805, 'pt-br', 'login', 'Your account password is resetted and new password is', 'Sua senha foi alterada a sua nova senha é', '2016-01-04 11:42:58'),
(11806, 'pt-br', 'login', 'Your Password Reset Failed', 'Senha não foi alterada', '2016-01-04 11:42:58'),
(11807, 'pt-br', 'login', 'Your Password Reset Successfully', 'Senha alterada com sucesso', '2016-01-04 11:42:58'),
(11808, 'pt-br', 'panel', 'Existing', 'Existe', '2018-01-23 13:32:33'),
(11809, 'pt-br', 'panel', 'Import Proxy', 'Importar proxy', '2018-01-23 13:32:33'),
(11810, 'pt-br', 'panel', 'Proxy Settings', 'Configurações de Proxy', '2018-01-23 13:32:33'),
(11811, 'pt-br', 'panel', 'Themes Manager', 'Gerenciar temas', '2018-01-23 13:32:33'),
(11812, 'pt-br', 'panel', 'Valid', 'Válido', '2018-01-23 13:32:33'),
(11813, 'pt-br', 'proxy', 'enterproxynote', 'Digite um proxy por linha no seguinte formato.', '2016-12-09 11:48:39'),
(11814, 'pt-br', 'proxy', 'proxysyntax', 'Nome do host do Proxy, Porta do Proxy, Usuário do Proxy, Senha do Proxy', '2016-12-09 11:48:39'),
(11815, 'pt-br', 'settings', 'allsettingssaved', 'Todas as alterações salvas com sucesso!', '2018-06-02 13:47:27'),
(11816, 'pt-br', 'settings', 'CHECK_WITH_ANOTHER_PROXY_IF_FAILED', 'Verifique com outro proxy, falha em rastrear', '2018-06-02 13:47:27'),
(11817, 'pt-br', 'settings', 'CURLOPT_HTTPPROXYTUNNEL_VAL', 'Ativar HTTP Proxy Tunel', '2018-06-02 13:47:27'),
(11818, 'pt-br', 'settings', 'PROXY_DEACTIVATE_CRAWL', 'Desativar Proxy Quando a Busca Falhar', '2018-06-02 13:47:27'),
(11819, 'pt-br', 'settings', 'SP_RELATIVE_LINK_CRAWL', 'Indexar links relativos em uma página', '2018-06-02 13:47:27'),
(11820, 'pt-br', 'settings', 'SP_SMTP_PORT', 'Porta do SMTP', '2018-06-02 13:47:27'),
(11821, 'pt-br', 'theme', 'Download Seo Panel Themes', 'Download de Temas do SEO Panel', '2014-02-12 12:45:18'),
(11822, 'pt', 'common', 'Checked', 'Verificado', '2019-05-25 18:43:55'),
(11823, 'pt', 'common', 'Thank you', 'Obrigado', '2019-05-25 18:43:55'),
(11824, 'pt', 'label', 'Syntax', 'Syntax ', '2018-01-25 19:11:22'),
(11825, 'pt', 'login', 'Forgot password?', 'Esqueceu a sua Password?', '2016-01-17 19:13:26'),
(11826, 'pt', 'login', 'internal_error_mail_send', 'Ocorreu um 3erro interno enquanto era enviado o email com a password!', '2016-01-17 19:13:26'),
(11827, 'pt', 'login', 'password_reset_success_message', 'A sua password foi alterada com sucesso.A confirmação foi enviada por email.<br>Por favor verifique na sua caixa de email para obter a sua nova password.', '2016-01-17 19:13:26'),
(11828, 'pt', 'login', 'Request Password', 'Pedir password', '2016-01-17 19:13:26'),
(11829, 'pt', 'login', 'to login to your account', 'para logar na sua conta', '2016-01-17 19:13:26'),
(11830, 'pt', 'login', 'user_email_not_exist', 'Este email não existe no nosso sistema', '2016-01-17 19:13:26'),
(11831, 'pt', 'login', 'Your account password is resetted and new password is', 'A sua password foi alterada e a sua nova password é ', '2016-01-17 19:13:26'),
(11832, 'pt', 'login', 'Your Password Reset Failed', 'A alteração de password falhou', '2016-01-17 19:13:26'),
(11833, 'pt', 'login', 'Your Password Reset Successfully', 'A sua password foi alterada com sucesso', '2016-01-17 19:13:26'),
(11834, 'pt', 'settings', 'allsettingssaved', 'Todas as definições guardadas com sucesso!', '2018-01-25 19:23:30'),
(11835, 'pt', 'settings', 'CHECK_WITH_ANOTHER_PROXY_IF_FAILED', 'Verificar com outro proxy quando a pesquisa falhar', '2018-01-25 19:23:30'),
(11836, 'pt', 'settings', 'CURLOPT_HTTPPROXYTUNNEL_VAL', 'Activar o Proxy HTTP Tunel', '2018-01-25 19:23:30'),
(11837, 'pt', 'settings', 'PROXY_DEACTIVATE_CRAWL', 'Desactivar o Proxy quando a pesquisa falhar', '2018-01-25 19:23:30'),
(11838, 'pt', 'settings', 'SP_SMTP_PORT', 'Porta do SMTP', '2018-01-25 19:23:30'),
(11839, 'en', 'panel', 'Proxy Perfomance', 'Proxy Perfomance', '2014-05-08 20:51:04'),
(11840, 'en', 'label', 'Success', 'Success', '2014-05-08 20:51:04'),
(11841, 'en', 'label', 'Fail', 'Fail', '2014-05-08 20:51:04'),
(11842, 'en', 'label', 'Reference', 'Reference', '2014-05-08 20:51:04'),
(11843, 'en', 'label', 'Subject', 'Subject', '2014-05-08 20:51:04'),
(11844, 'en', 'label', 'Cookie', 'Cookie', '2014-05-08 20:51:04'),
(11845, 'en', 'label', 'User agent', 'User agent', '2014-05-08 20:51:04'),
(11846, 'en', 'label', 'Referer', 'Referer', '2014-05-08 20:51:04'),
(11847, 'en', 'label', 'Order By', 'Order By', '2014-05-08 20:51:04'),
(11848, 'en', 'log', 'Clear All Logs', 'Clear All Logs', '2014-05-08 20:51:04'),
(11849, 'en', 'log', 'Crawl Log Details', 'Crawl Log Details', '2014-05-08 20:51:04'),
(11850, 'en', 'log', 'Post Fields', 'Post Fields', '2014-05-08 20:51:04'),
(11851, 'en', 'panel', 'Log Manager', 'Log Manager', '2014-05-08 20:51:04'),
(11852, 'en', 'settings', 'SP_TIME_ZONE', 'Time Zone', '2018-01-22 19:59:29'),
(11853, 'en', 'proxy', 'Request Count', 'Request Count', '2014-05-08 20:51:04'),
(11854, 'ru', 'label', 'Cookie', 'Куки', '2024-07-17 11:17:22'),
(11855, 'ru', 'label', 'Fail', 'Сбой', '2024-07-17 11:17:22'),
(11856, 'ru', 'label', 'Order By', 'Упорядочить по', '2024-07-17 11:17:22'),
(11857, 'ru', 'label', 'Reference', 'Справочник', '2024-07-17 11:17:22'),
(11858, 'ru', 'label', 'Referer', 'Обращения', '2024-07-17 11:17:22'),
(11859, 'ru', 'label', 'Subject', 'Тема', '2024-07-17 11:17:22'),
(11860, 'ru', 'label', 'Success', 'Успех', '2024-07-17 11:17:22'),
(11861, 'ru', 'label', 'User agent', 'Средство просмотра', '2024-07-17 11:17:22'),
(11862, 'ru', 'log', 'Clear All Logs', 'Очистить все логи', '2024-07-17 11:17:47'),
(11863, 'ru', 'log', 'Crawl Log Details', 'Детальное сканирование логов', '2024-07-17 11:17:47'),
(11864, 'ru', 'log', 'Post Fields', 'Почтовые поля', '2024-07-17 11:17:47'),
(11865, 'ru', 'panel', 'Log Manager', 'Управление логами', '2024-07-17 11:19:14'),
(11866, 'ru', 'panel', 'Proxy Perfomance', 'Производительность прокси', '2024-07-17 11:19:14'),
(11867, 'ru', 'proxy', 'Request Count', 'Количество запросов', '2016-12-09 16:23:58'),
(11868, 'ru', 'settings', 'SP_TIME_ZONE', 'Часовой пояс', '2024-07-17 11:22:42'),
(11869, 'fr', 'label', 'Cookie', 'Cookie', '2020-02-14 11:12:40'),
(11870, 'fr', 'label', 'Fail', 'Echec', '2020-02-14 11:12:40'),
(11871, 'fr', 'label', 'Order By', 'Trier par', '2020-02-14 11:12:40'),
(11872, 'fr', 'label', 'Reference', 'Référence', '2020-02-14 11:12:40'),
(11873, 'fr', 'label', 'Referer', 'Référant', '2020-02-14 11:12:40'),
(11874, 'fr', 'label', 'Subject', 'Sujet', '2020-02-14 11:12:40'),
(11875, 'fr', 'label', 'Success', 'Succès', '2020-02-14 11:12:40'),
(11876, 'fr', 'label', 'User agent', 'Agent utilisateur', '2020-02-14 11:12:40'),
(11877, 'fr', 'log', 'Clear All Logs', 'Vider les logs', '2014-05-09 12:55:43'),
(11878, 'fr', 'log', 'Crawl Log Details', 'Chercher dans les logs', '2014-05-09 12:55:43'),
(11879, 'fr', 'log', 'Post Fields', 'Champs', '2014-05-09 12:55:43'),
(11880, 'fr', 'panel', 'Log Manager', 'Gestion des logs', '2020-02-14 11:14:52'),
(11881, 'fr', 'panel', 'Proxy Perfomance', 'Performances Proxy', '2020-02-14 11:14:52'),
(11882, 'fr', 'proxy', 'Request Count', 'Nombre de requêtes', '2016-12-09 18:07:31'),
(11883, 'fr', 'settings', 'CHECK_WITH_ANOTHER_PROXY_IF_FAILED', 'Utiliser un autre proxy quand la connexion échoue', '2019-03-28 14:39:30'),
(11884, 'fr', 'settings', 'SP_TIME_ZONE', 'Fuseau horaire', '2019-03-28 14:39:30'),
(11885, 'en', 'panel', 'Crawl Log Manager', 'Crawl Log Manager', '2014-05-09 20:03:17'),
(11886, 'pl', 'settings', 'SP_TIME_ZONE', 'Strefa Czasowa', '2014-05-11 19:49:58'),
(11887, 'pl', 'proxy', 'Request Count', 'Liczba Requestów', '2014-05-11 19:50:59'),
(11888, 'pl', 'panel', 'Crawl Log Manager', 'Menedżer Loga Skanowania (Crawlowania)', '2014-05-11 19:55:16'),
(11889, 'pl', 'panel', 'Log Manager', 'Menedżer Logów', '2014-05-11 19:55:16'),
(11890, 'pl', 'panel', 'Proxy Perfomance', 'Wydajność Proxy', '2014-05-11 19:55:16'),
(11891, 'pl', 'log', 'Clear All Logs', 'Wyczyść wszystkie Logi', '2014-05-11 19:59:35'),
(11892, 'pl', 'log', 'Crawl Log Details', 'Szczegółowe informacje o Logu Skanowania (Crawlowania)', '2014-05-11 19:59:35'),
(11893, 'pl', 'log', 'Post Fields', 'Pola Post', '2014-05-11 19:59:35'),
(11894, 'pl', 'label', 'Cookie', 'Ciasteczko Cookie', '2014-05-11 20:04:08'),
(11895, 'pl', 'label', 'Fail', 'Błąd', '2014-05-11 20:04:08'),
(11896, 'pl', 'label', 'Order By', 'Posortuj po', '2014-05-11 20:04:08'),
(11897, 'pl', 'label', 'Reference', 'Referencja', '2014-05-11 20:04:08'),
(11898, 'pl', 'label', 'Referer', 'Referujący', '2014-05-11 20:04:08'),
(11899, 'pl', 'label', 'Subject', 'Przedmiot', '2014-05-11 20:04:08'),
(11900, 'pl', 'label', 'Success', 'Sukces', '2014-05-11 20:04:08'),
(11901, 'pl', 'label', 'User agent', 'User Agent', '2014-05-11 20:04:08'),
(11902, 'ja', 'label', 'Cookie', 'クッキー', '2019-04-01 09:45:51'),
(11903, 'ja', 'label', 'Fail', '失敗', '2019-04-01 09:45:51'),
(11904, 'ja', 'label', 'Order By', '表示順', '2019-04-01 09:45:51'),
(11905, 'ja', 'label', 'Reference', '参照', '2019-04-01 09:45:51'),
(11906, 'ja', 'label', 'Referer', 'リファラー', '2019-04-01 09:45:51'),
(11907, 'ja', 'label', 'Subject', '題目', '2019-04-01 09:45:51'),
(11908, 'ja', 'label', 'Success', '成功', '2019-04-01 09:45:51'),
(11909, 'ja', 'label', 'User agent', 'ユーザーエージェント', '2019-04-01 09:45:51'),
(11910, 'ja', 'log', 'Clear All Logs', 'すべてのログを消去', '2014-05-12 05:09:04'),
(11911, 'ja', 'log', 'Crawl Log Details', 'クロール履歴詳細', '2014-05-12 05:09:04'),
(11912, 'ja', 'log', 'Post Fields', 'ポストフィールド', '2014-05-12 05:09:05'),
(11913, 'ja', 'panel', 'Crawl Log Manager', 'クロール履歴管理', '2019-04-01 09:46:57'),
(11914, 'ja', 'panel', 'Log Manager', 'ログ管理', '2019-04-01 09:46:57'),
(11915, 'ja', 'panel', 'Proxy Perfomance', 'プロキシパフォーマンス', '2019-04-01 09:46:57'),
(11916, 'ja', 'proxy', 'Request Count', 'リクエスト数', '2016-12-12 01:08:13'),
(11917, 'ja', 'settings', 'SP_TIME_ZONE', 'タイムゾーン', '2019-04-01 09:52:17'),
(11918, 'it', 'label', 'Cookie', 'Cookie', '2022-07-11 11:17:58'),
(11919, 'it', 'label', 'Fail', 'Non riuscito', '2022-07-11 11:17:58'),
(11920, 'it', 'label', 'Order By', 'Ordina per', '2022-07-11 11:17:58'),
(11921, 'it', 'label', 'Reference', 'Riferimento', '2022-07-11 11:17:58'),
(11922, 'it', 'label', 'Referer', 'Riferente', '2022-07-11 11:17:58'),
(11923, 'it', 'label', 'Subject', 'Oggetto', '2022-07-11 11:17:58'),
(11924, 'it', 'label', 'Success', 'Riuscito', '2022-07-11 11:17:58'),
(11925, 'it', 'label', 'User agent', 'User agent ', '2022-07-11 11:17:58'),
(11926, 'it', 'log', 'Clear All Logs', 'Ripulisci tutti i log', '2022-07-11 11:18:13'),
(11927, 'it', 'log', 'Crawl Log Details', 'Dettagli log Crawl', '2022-07-11 11:18:13'),
(11928, 'it', 'log', 'Post Fields', 'Campi post', '2022-07-11 11:18:13'),
(11929, 'it', 'panel', 'Crawl Log Manager', 'Gestione log Crawl', '2022-07-11 11:20:07'),
(11930, 'it', 'panel', 'Log Manager', 'Gestione log', '2022-07-11 11:20:07'),
(11931, 'it', 'panel', 'Proxy Perfomance', 'Performance del proxy', '2022-07-11 11:20:07'),
(11932, 'it', 'proxy', 'Request Count', 'Richiedi conteggio', '2016-12-09 09:20:46'),
(11933, 'it', 'settings', 'CHECK_WITH_ANOTHER_PROXY_IF_FAILED', 'Controlla con un altro proxy quando il crawling fallisce', '2018-08-21 07:16:32'),
(11934, 'it', 'settings', 'SP_TIME_ZONE', 'Fuso orario', '2018-08-21 07:16:32'),
(11935, 'pt', 'label', 'Cookie', 'Cookie', '2018-01-25 19:11:22'),
(11936, 'pt', 'label', 'Fail', 'Falhado', '2018-01-25 19:11:22'),
(11937, 'pt', 'label', 'Order By', 'pedido por', '2018-01-25 19:11:22'),
(11938, 'pt', 'label', 'Reference', 'Referência', '2018-01-25 19:11:22'),
(11939, 'pt', 'label', 'Referer', 'Referido', '2018-01-25 19:11:22'),
(11940, 'pt', 'label', 'Subject', 'Submetido', '2018-01-25 19:11:22'),
(11941, 'pt', 'label', 'Success', 'Bem sucedido', '2018-01-25 19:11:22'),
(11942, 'pt', 'label', 'User agent', 'Utilizador', '2018-01-25 19:11:22'),
(11943, 'pt', 'log', 'Clear All Logs', 'Limpar todos os logs', '2014-05-14 00:36:06'),
(11944, 'pt', 'log', 'Crawl Log Details', 'Pesquisar nos logs', '2014-05-14 00:36:06'),
(11945, 'pt', 'log', 'Post Fields', 'Colocar campos', '2014-05-14 00:36:06'),
(11946, 'pt', 'panel', 'Crawl Log Manager', 'Gestão de logs', '2018-01-25 19:18:33'),
(11947, 'pt', 'panel', 'Existing', 'Existente', '2018-01-25 19:18:33'),
(11948, 'pt', 'panel', 'Import Proxy', 'Importar proxy', '2018-01-25 19:18:33'),
(11949, 'pt', 'panel', 'Log Manager', 'Gestão de logs', '2018-01-25 19:18:33'),
(11950, 'pt', 'panel', 'Proxy Perfomance', 'Performance do proxy', '2018-01-25 19:18:33'),
(11951, 'pt', 'panel', 'Proxy Settings', 'Definições do proxy', '2018-01-25 19:18:33'),
(11952, 'pt', 'panel', 'Valid', 'Válido', '2018-01-25 19:18:33'),
(11953, 'pt', 'proxy', 'enterproxynote', 'intruduzir um proxy por linha no seguinte formato .', '2018-01-25 19:17:58'),
(11954, 'pt', 'proxy', 'proxysyntax', 'Nome do proxy, porta do proxy, proxy username, password do proxy', '2018-01-25 19:17:58'),
(11955, 'pt', 'proxy', 'Request Count', 'Requerer contagem', '2018-01-25 19:17:58'),
(11956, 'pt', 'settings', 'SP_TIME_ZONE', 'Zona Horária', '2018-01-25 19:23:30'),
(11957, 'ru', 'panel', 'Crawl Log Manager', 'Менеджер сканирования логов', '2024-07-17 11:19:14'),
(11958, 'zh', 'label', 'Cookie', 'Cookie', '2014-05-15 17:47:51'),
(11959, 'zh', 'label', 'Fail', '失败', '2014-05-15 17:47:51'),
(11960, 'zh', 'label', 'Order By', '订单顺序', '2014-05-15 17:47:51'),
(11961, 'zh', 'label', 'Reference', '参考', '2014-05-15 17:47:51'),
(11962, 'zh', 'label', 'Referer', '引用', '2014-05-15 17:47:51'),
(11963, 'zh', 'label', 'Subject', '项目', '2014-05-15 17:47:51'),
(11964, 'zh', 'label', 'Success', '成功', '2014-05-15 17:47:51'),
(11965, 'zh', 'label', 'User agent', 'User 代理', '2014-05-15 17:47:51'),
(11966, 'zh', 'log', 'Clear All Logs', '清除所有日志', '2014-05-15 17:48:23'),
(11967, 'zh', 'log', 'Crawl Log Details', '抓取登录详情', '2014-05-15 17:48:23'),
(11968, 'zh', 'log', 'Post Fields', '发布区域', '2014-05-15 17:48:23'),
(11969, 'zh', 'panel', 'Crawl Log Manager', '抓取日志管理器', '2014-05-15 17:48:57'),
(11970, 'zh', 'panel', 'Log Manager', '日志管理器', '2014-05-15 17:48:57'),
(11971, 'zh', 'panel', 'Proxy Perfomance', '代理效果', '2014-05-15 17:48:57'),
(11972, 'zh', 'proxy', 'Request Count', '请求统计次数', '2014-05-15 17:51:10'),
(11973, 'zh', 'settings', 'CHECK_WITH_ANOTHER_PROXY_IF_FAILED', '当抓取失败的时候用另一个代理检测', '2014-05-15 17:56:30'),
(11974, 'zh', 'settings', 'SP_TIME_ZONE', '时区', '2014-05-15 17:56:30'),
(11975, 'sv', 'common', 'Checked', 'Kontrollerad', '2019-05-25 18:50:40'),
(11976, 'sv', 'common', 'Thank you', 'Tack', '2019-05-25 18:50:40'),
(11977, 'sv', 'directory', 'Add back to directory list', 'Lägg tillbaka i katalog-listan', '2014-06-23 16:58:37'),
(11978, 'sv', 'directory', 'Approved', 'Godkänd', '2014-06-23 16:58:37'),
(11979, 'sv', 'directory', 'Captcha', 'Captcha', '2014-06-23 16:58:37'),
(11980, 'sv', 'directory', 'categorynote', 'Åtskilj kategorier med komma beroende på prioritet. Starta med kategorin vilken har högst prioritet.', '2014-06-23 16:58:37'),
(11981, 'sv', 'directory', 'Check Directory Status', 'Kontrollera katalog-status', '2014-06-23 16:58:37'),
(11982, 'sv', 'directory', 'Check Directory Submission Status', 'Kontrollera submission-status', '2014-06-23 16:58:37'),
(11983, 'sv', 'directory', 'clickaddfeatureddirectory', 'Klicka här för att lägga till din egna katalog', '2014-06-23 16:58:37'),
(11984, 'sv', 'directory', 'clicktoproceeddirsts', 'Klicka på <b>Fortsätt</b> för att kontrollera katalog-status.', '2014-06-23 16:58:37'),
(11985, 'sv', 'directory', 'Confirmation', 'Bekräftelse', '2014-06-23 16:58:37'),
(11986, 'sv', 'directory', 'Coupon Code', 'Kupongkod', '2014-06-23 16:58:37'),
(11987, 'sv', 'directory', 'Coupon Offer', 'Kupongerbjudande', '2014-06-23 16:58:37'),
(11988, 'sv', 'directory', 'couponcodenote', 'Använd ovanstående kupongkod och få [REDUCTION_PER] för varje submission!', '2014-06-23 16:58:37'),
(11989, 'sv', 'directory', 'desnote', 'Vissa kataloger fordrar minst 150 tecken i beskrivningsfältet.', '2014-06-23 16:58:37'),
(11990, 'sv', 'directory', 'Directories with out captcha', 'Kataloger utan captcha', '2014-06-23 16:58:37'),
(11991, 'sv', 'directory', 'Directories with out Reciprocal Link', 'Kataloger utan krav på tillbakalänk', '2014-06-23 16:58:37'),
(11992, 'sv', 'directory', 'Directory Submission Reports', 'Submission-rapport', '2014-06-23 16:58:37'),
(11993, 'sv', 'directory', 'Enter the code shown', 'Fyll i visad kod', '2014-06-23 16:58:37'),
(11994, 'sv', 'directory', 'nocatnote', 'Kategorin hittades inte på registreringssidan. Vänligen klicka på <b>ladda om</b> eller <b>hoppa över</b>', '2014-06-23 16:58:37'),
(11995, 'sv', 'directory', 'nodirnote', 'Inga <b>aktiva</b> kataloger funna', '2014-06-23 16:58:37'),
(11996, 'sv', 'directory', 'nosuccessnote', 'Fick inget bekräftelse-meddelande. Vänligen kontrollera din epost.', '2014-06-23 16:58:37'),
(11997, 'sv', 'directory', 'optionalnote', 'Alternativa titlar och beskrivningar.', '2014-06-23 16:58:37'),
(11998, 'sv', 'directory', 'Owner Email', 'E-postadress ägare', '2014-06-23 16:58:37'),
(11999, 'sv', 'directory', 'Owner Name', 'Ägare', '2014-06-23 16:58:37'),
(12000, 'sv', 'directory', 'Pending', 'Pågående', '2014-06-23 16:58:37'),
(12001, 'sv', 'directory', 'Please select a website to proceed', 'Vänligen välj en webbplats för att fortsätta', '2014-06-23 16:58:37'),
(12002, 'sv', 'directory', 'Reciprocal Link', 'Länkbyte', '2014-06-23 16:58:37'),
(12003, 'sv', 'directory', 'selectwebsiteproceed', 'Välj en <b>webbplats</b> för att <b>fortsätta</b> katalog-submissions. <br>Markera <b>kataloger utan captcha</b> för att lägga till i kataloger utan captcha.', '2014-06-23 16:58:37'),
(12004, 'sv', 'directory', 'selectwebsiteschecksub', 'Välj en <b>webbplats</b> för att <b>fortsätta</b> kontrollera katalog-submissions.', '2014-06-23 16:58:37'),
(12005, 'sv', 'directory', 'Semi Automatic Directory Submission Tool', 'Semi-automatiskt katalog submission-verktyg', '2014-06-23 16:58:37'),
(12006, 'sv', 'directory', 'spamemailnote', 'Vissa kataloger skickar ut skräppost, varför vi inte rekommenderar dig att använda din primära e-postadress.', '2014-06-23 16:58:37'),
(12007, 'sv', 'directory', 'Submission Details', 'Submission-detaljer', '2014-06-23 16:58:37'),
(12008, 'sv', 'directory', 'Submit Description', 'Beskrivning', '2014-06-23 16:58:37'),
(12009, 'sv', 'directory', 'Submit Keywords', 'Keywords', '2014-06-23 16:58:37'),
(12010, 'sv', 'directory', 'Submit Title', 'Titel', '2014-06-23 16:58:37'),
(12011, 'sv', 'directory', 'Website Category', 'Kategori för Webbplats', '2014-06-23 16:58:37'),
(12012, 'sv', 'directory', 'Website Url', 'Webadress', '2014-06-23 16:58:37'),
(12013, 'sv', 'home', 'Account Summary', 'Kontoöversikt', '2014-06-23 17:44:51'),
(12014, 'sv', 'home', 'Backlinks', 'Backlinks', '2014-06-23 17:44:51'),
(12015, 'sv', 'home', 'Directory Submission', 'Katalog submission', '2014-06-23 17:44:51'),
(12016, 'sv', 'home', 'home_cont1', '<h1 style=\"text-align: center;margin-bottom: 30px;font-size: 19px;\">Welcome to Seo Panel - World\'s\r\nfirst seo control panel for multiple websites</h1>\r\n        <p>\r\n            A complete <b>open source seo control panel</b> for managing <b>search engine optimization</b> of\r\nyour websites. \r\n            Seo Panel is a <b>seo tool kit</b> includes latest hot seo tools to <b>increase and track</b> the\r\n<b>performace</b> of your websites.\r\n            It is a <b>free software</b> released under <b>GNU GENERAL PUBLIC LICENSE</b>.\r\n            The main feature of seo panel is its <b>extendability</b> by using <a href=\"<?=SP_PLUGINSITE?>\"\r\ntarget=\"_blank\">seo plugins</a>.\r\n            Any one can easily <b>develop and install</b> required plugins for their seo panel. \r\n        </p>\r\n        <p></p>\r\n        <p>\r\n            This open source software was <b>released on January 2010</b>.\r\n            With in this <b>short period</b> of  time <b>thousands</b> of <b>web masters</b> are using this\r\nsoftware for <b>optimizing</b> their websites.\r\n            Use seo panel today itself and <b>enjoy</b> everything related to seo under a <b>single\r\nplatform</b>.\r\n        </p>', '2014-06-23 17:44:51');
INSERT INTO `texts` (`id`, `lang_code`, `category`, `label`, `content`, `changed`) VALUES
(12017, 'sv', 'home', 'home_cont2', '<fieldset>\r\n<legend>Major Features of Seo Panel <?=SP_INSTALLED?></legend>\r\n<ul class=\"infobox\">\r\n    <li>        \r\n        <h1>Automatic Directory Submission Tool</h1>\r\n        <p>\r\n            Automatic directory submission tool help us to <b>submit our websites</b> into to major <b>free\r\nand paid internet directories</b>.\r\n            We can also <b>track the status</b> of each submision through <b>periodical check</b> using\r\nsubmission <b>status checker script</b>.\r\n            <b>Directory manager</b> will help us to find out whether <b>directory is active</b> or not.\r\n        </p>\r\n    </li>\r\n    <li>        \r\n        <h1>Keyword Position Checker</h1>\r\n        <p>\r\n            Keyword position checker will find the <b>search engine position</b> of <b>targetted keywords</b>\r\nof your website and <b>stores</b> it in the system.\r\n            In keyword position reports section, we can see the <b>daily positions</b> of keywords in\r\ndifferent search engines by <b>beautiful graphs</b> and <b>detailed reports</b>.\r\n        </p>\r\n    </li>\r\n    <li>        \r\n        <h1>Site Auditor</h1>\r\n        <p>Site Auditor will <b>audit all SEO factors</b> of each pages of a site and will give a\r\n<b>detailed report</b> about each page. This will help us to create <b>XML,HTML,TEXT</b> sitemap\r\nfiles of our website for <b>submit</b> to search engines.</p>\r\n    </li>\r\n    <li>        \r\n        <h1>Google and Alexa Rank Checker</h1>\r\n        <p>\r\n            Google and alexa rank checker will find <b>google pagerank</b> and <b>alexa rank</b> of our\r\nwebsites and <b>stores</b> it in the system.\r\n            In <b>rank reports</b> section, we can see the <b>daily</b> google and alexa rank of each website\r\nby <b>detailed reports</b>.\r\n        </p>\r\n    </li>\r\n    <li>        \r\n        <h1>Backlinks Checker</h1>\r\n        <p>\r\n            Backlinks checker will find <b>number of backlinks</b> of our websites in different search\r\nengines<b>(google,yahoo,msn etc)</b> and <b>stores</b> it in the system.\r\n            <br>In <b>backlink reports</b> section, we can see the <b>daily backlinks count</b> of each\r\nwebsite by <b>detailed reports</b>.\r\n        </p>\r\n    </li>    \r\n    <li>        \r\n        <h1>Search Engine Saturation Checker</h1>\r\n        <p>\r\n            Search Engine Saturation checker will find <b>number of indexed pages</b> of our websites in\r\ndifferent search engines<b>(google,yahoo,msn etc)</b> and <b>stores</b> it in the system.\r\n            In <b>search engine saturation checker reports</b> section, we can see the <b>daily indexed page\r\ncount</b> of each website by <b>detailed reports</b>.\r\n        </p>\r\n    </li>\r\n    <li>        \r\n        <h1>Seo Panel Plugins</h1>\r\n        <p>\r\n            The <b>major feature</b> of seo control panel is its <b>extentability</b>.\r\n            Add <b>seo plugins</b> to your seo panel to <b>extend the features</b> according to your\r\nrequirement.\r\n            <a href=\"<?=SP_PLUGINSITE?>\" target=\"_blank\">Seo panel plugins</a> are provided by both seo panel\r\nand third party sites.\r\n            You can also easily <b>develop</b> seo plugins for your seo panel.\r\n            You can <a href=\"<?=SP_PLUGINSITE?>\" target=\"_blank\">submit</a> your seo plugin to seo panel and\r\nwe will <b>publish</b> it in our website after our <b>review</b> process.\r\n        </p>\r\n    </li>\r\n    <li>        \r\n        <h1>Meta Tag Generator</h1>\r\n        <p>\r\n            Meta tag generator is a <b>seo panel plugin</b> for creating <b>custom meta tags</b> for our\r\nsite.\r\n            It will help us to give <b>more information</b> about our website to <b>search engine bots</b>\r\nwhile they crawl our website.\r\n        </p>\r\n    </li>\r\n</ul>\r\n</fieldset>', '2014-06-23 17:44:51'),
(12018, 'sv', 'home', 'home_cont3', '<fieldset>\r\n<legend>Resurser för SEO Panel</legend>    \r\n<ul class=\"infobox\">\r\n\r\n    <li>\r\n        <h1>Referensmaterial SEO Panel</h1>                \r\n        \r\n        \r\n        <p>\r\n            <a href=\"http://www.seopanel.in\" target=\"_blank\">Seo Panels officiella webbplats</a>\r\n        </p>\r\n        <p>\r\n            <a href=\"<?=SP_DOWNLOAD_LINK?>\" target=\"_blank\">Ladda ner Seo Panel</a>\r\n        </p>\r\n        \r\n        <p>\r\n            <a href=\"<?=SP_DEMO_LINK?>\" target=\"_blank\">Seo Panel Demo</a>\r\n        </p>\r\n        \r\n        <p>\r\n            <a href=\"<?=SP_CONTACT_LINK?>\" target=\"_blank\">Kontakta Seo Panel</a>\r\n        </p>\r\n        \r\n        <p>\r\n            <a href=\"<?=SP_HELP_LINK?>\" target=\"_blank\">Seo Panel hjälpguider</a>\r\n        </p>\r\n        \r\n        <p>\r\n            <a href=\"<?=SP_FORUM_LINK?>\" target=\"_blank\">Seo Panel Forum</a>\r\n        </p>\r\n        \r\n        <p>\r\n            <a href=\"<?=SP_SUPPORT_LINK?>\" target=\"_blank\">Seo Panel Support</a>\r\n        </p>\r\n        \r\n        <p>\r\n            <a href=\"<?=SP_DONATE_LINK?>\" target=\"_blank\">Donera till Seo Panel</a>\r\n        </p>\r\n    </li>\r\n    \r\n</ul>\r\n</fieldset>', '2014-06-23 17:44:51'),
(12019, 'sv', 'home', 'Indexed', 'Indexerad', '2014-06-23 17:44:51'),
(12020, 'sv', 'home', 'Pages Indexed', 'Indexerade sidor', '2014-06-23 17:44:51'),
(12021, 'sv', 'home', 'Ranks', 'Rankningar', '2014-06-23 17:44:51'),
(12022, 'sv', 'home', 'SiteNameUrl', 'Webbplats/Adress', '2014-06-23 17:44:51'),
(12023, 'sv', 'home', 'Website Statistics', 'Statistik för Webbplats', '2014-06-23 17:44:51'),
(12024, 'sv', 'keyword', 'Crawling keyword', 'Crawling keyword', '2014-06-23 16:59:50'),
(12025, 'sv', 'keyword', 'Detailed Keyword Position Reports', 'Detaljerad positionerings-rapport', '2014-06-23 16:59:50'),
(12026, 'sv', 'keyword', 'Edit Keyword', 'Editera Keyword', '2014-06-23 16:59:50'),
(12027, 'sv', 'keyword', 'Graphical Keyword Position Reports', 'Grafisk positionerings-rapport', '2014-06-23 16:59:50'),
(12028, 'sv', 'keyword', 'Import Keywords', 'Importera Keywords', '2014-06-23 16:59:50'),
(12029, 'sv', 'keyword', 'Insert keywords separated with comma', 'Infoga keywords separerade med komma', '2014-06-23 16:59:50'),
(12030, 'sv', 'keyword', 'Keyword already exist', 'Keywordet finns redan', '2014-06-23 16:59:50'),
(12031, 'sv', 'keyword', 'Keyword Position Report', 'Positionerings-rapport för keyword', '2014-06-23 16:59:50'),
(12032, 'sv', 'keyword', 'New Keyword', 'Nytt Keyword', '2014-06-23 16:59:50'),
(12033, 'sv', 'keyword', 'not assigned to required search engines', 'inte tilldelad nödvändig sökmotor', '2014-06-23 16:59:50'),
(12034, 'sv', 'keyword', 'pleaseselecttool', 'Välj minst ett seo-verktyg', '2014-06-23 16:59:50'),
(12035, 'sv', 'keyword', 'Quick Keyword Position Checker', 'Snabbcheck av keyword-ranking', '2014-06-23 16:59:50'),
(12036, 'sv', 'keyword', 'results from ', 'resultat från', '2014-06-23 16:59:50'),
(12037, 'sv', 'keyword', 'Show All results', 'Visa alla resultat', '2014-06-23 16:59:50'),
(12038, 'sv', 'keyword', 'Successfully crawled keyword', 'Crawlade keywords', '2014-06-23 16:59:50'),
(12039, 'sv', 'keyword', 'to create new keywords', 'för att skapa nya keywords', '2014-06-23 16:59:50'),
(12040, 'sv', 'label', 'already exist', 'finns redan', '2014-06-23 17:01:30'),
(12041, 'sv', 'label', 'Authentication', 'Verifiering', '2014-06-23 17:01:30'),
(12042, 'sv', 'label', 'Author', 'Författare', '2014-06-23 17:01:30'),
(12043, 'sv', 'label', 'Brocken', 'Bruten', '2014-06-23 17:01:30'),
(12044, 'sv', 'label', 'Clear All', 'Rensa alla', '2014-06-23 17:01:30'),
(12045, 'sv', 'label', 'Click Here', 'Klicka här', '2014-06-23 17:01:30'),
(12046, 'sv', 'label', 'Comments', 'Kommentarer', '2014-06-23 17:01:30'),
(12047, 'sv', 'label', 'Cookie', 'Cookie', '2014-06-23 17:01:30'),
(12048, 'sv', 'label', 'Count', 'Räknare', '2014-06-23 17:01:30'),
(12049, 'sv', 'label', 'Cron', 'Cron', '2014-06-23 17:01:30'),
(12050, 'sv', 'label', 'Current', 'Nuvarande', '2014-06-23 17:01:30'),
(12051, 'sv', 'label', 'Daily', 'Daglig', '2014-06-23 17:01:30'),
(12052, 'sv', 'label', 'Description', 'Beskrivning', '2014-06-23 17:01:30'),
(12053, 'sv', 'label', 'Developers', 'Utvecklare', '2014-06-23 17:01:30'),
(12054, 'sv', 'label', 'Download', 'Ladda ner', '2014-06-23 17:01:30'),
(12055, 'sv', 'label', 'Exclude', 'Uteslut', '2014-06-23 17:01:30'),
(12056, 'sv', 'label', 'Fail', 'Misslyckades', '2014-06-23 17:01:30'),
(12057, 'sv', 'label', 'Include', 'Inkludera', '2014-06-23 17:01:30'),
(12058, 'sv', 'label', 'Installation', 'Installation', '2014-06-23 17:01:30'),
(12059, 'sv', 'label', 'Keywords', 'Keyword', '2014-06-23 17:01:30'),
(12060, 'sv', 'label', 'Monthly', 'Månatlig', '2014-06-23 17:01:30'),
(12061, 'sv', 'label', 'noactiveplugins', 'Inga aktiva Seo-tillägg hittades!', '2014-06-23 17:01:30'),
(12062, 'sv', 'label', 'Order By', 'Sortera på', '2014-06-23 17:01:30'),
(12063, 'sv', 'label', 'Plugin', 'Tillägg', '2014-06-23 17:01:30'),
(12064, 'sv', 'label', 'Port', 'Port', '2014-06-23 17:01:30'),
(12065, 'sv', 'label', 'Project', 'Projekt', '2014-06-23 17:01:30'),
(12066, 'sv', 'label', 'Proxy', 'Proxy', '2014-06-23 17:01:30'),
(12067, 'sv', 'label', 'Re-install', 'Återinstallera', '2014-06-23 17:01:30'),
(12068, 'sv', 'label', 'Reference', 'Referens', '2014-06-23 17:01:30'),
(12069, 'sv', 'label', 'Referer', 'Referer', '2014-06-23 17:01:30'),
(12070, 'sv', 'label', 'Report Type', 'Rapporttyp', '2014-06-23 17:01:30'),
(12071, 'sv', 'label', 'Score', 'Poäng', '2014-06-23 17:01:30'),
(12072, 'sv', 'label', 'Select All', 'Markera Alla', '2014-06-23 17:01:30'),
(12073, 'sv', 'label', 'Sponsors', 'Sponsorer', '2014-06-23 17:01:30'),
(12074, 'sv', 'label', 'Subject', 'Ämne', '2014-06-23 17:01:30'),
(12075, 'sv', 'label', 'Success', 'Lyckades', '2014-06-23 17:01:30'),
(12076, 'sv', 'label', 'Syntax', 'Syntax', '2014-06-23 17:01:30'),
(12077, 'sv', 'label', 'Theme', 'Tema', '2014-06-23 17:01:30'),
(12078, 'sv', 'label', 'Title', 'Titel', '2014-06-23 17:01:30'),
(12079, 'sv', 'label', 'Total Results', 'Totala Resultat', '2014-06-23 17:01:30'),
(12080, 'sv', 'label', 'translation by', 'översättning av', '2014-06-23 17:01:30'),
(12081, 'sv', 'label', 'Translators', 'Översättare', '2014-06-23 17:01:30'),
(12082, 'sv', 'label', 'Updated', 'Uppdaterad', '2014-06-23 17:01:30'),
(12083, 'sv', 'label', 'Upgrade', 'Uppgradera', '2014-06-23 17:01:30'),
(12084, 'sv', 'label', 'User agent', 'User Agent', '2014-06-23 17:01:30'),
(12085, 'sv', 'label', 'Version', 'Version', '2014-06-23 17:01:30'),
(12086, 'sv', 'label', 'View Reports', 'Se Rapporter', '2014-06-23 17:01:30'),
(12087, 'sv', 'label', 'wantproceed', 'Vill du verkligen fortsätta?', '2014-06-23 17:01:30'),
(12088, 'sv', 'label', 'Weekly', 'Veckolig', '2014-06-23 17:01:30'),
(12089, 'sv', 'login', 'Confirm Password', 'Bekräfta Lösenord', '2014-06-23 17:03:56'),
(12090, 'sv', 'login', 'Create my account', 'Skapa mitt konto', '2014-06-23 17:03:56'),
(12091, 'sv', 'login', 'Create New Account', 'Skapa nytt konto', '2014-06-23 17:03:56'),
(12092, 'sv', 'login', 'Email', 'E-postadress', '2014-06-23 17:03:56'),
(12093, 'sv', 'login', 'emailexist', 'E-postadressen finns redan', '2014-06-23 17:03:56'),
(12094, 'sv', 'login', 'Enter the code as it is shown', 'Skriv in koden exakt som den visas', '2014-06-23 17:03:56'),
(12095, 'sv', 'login', 'First Name', 'Förnamn', '2014-06-23 17:03:56'),
(12096, 'sv', 'login', 'Forgot password?', 'Glömt lösenord?', '2014-06-23 17:03:56'),
(12097, 'sv', 'login', 'internal_error_mail_send', 'Ett internt fel inträffade när e-postmeddelandet skickades!', '2014-06-23 17:03:56'),
(12098, 'sv', 'login', 'Last Name', 'Efternamn', '2014-06-23 17:03:56'),
(12099, 'sv', 'login', 'Login', 'Login', '2014-06-23 17:03:56'),
(12100, 'sv', 'login', 'Login incorrect', 'Felaktig login', '2014-06-23 17:03:56'),
(12101, 'sv', 'login', 'newaccountsuccess', 'Nytt konto skapat!', '2014-06-23 17:03:56'),
(12102, 'sv', 'login', 'Password', 'Lösenord', '2014-06-23 17:03:56'),
(12103, 'sv', 'login', 'Password incorrect', 'Fel lösenord', '2014-06-23 17:03:56'),
(12104, 'sv', 'login', 'password_reset_success_message', 'Ditt lösenord har nollställts och ett bekräftelse-mejl har skickats till din e-postadress. <br>Kontrollera din epost för att få det nya lösenordet', '2014-06-23 17:03:56'),
(12105, 'sv', 'login', 'Register', 'Registrera', '2014-06-23 17:03:56'),
(12106, 'sv', 'login', 'Request Password', 'Glömt lösenord?', '2014-06-23 17:03:56'),
(12107, 'sv', 'login', 'Sign in to your account', 'Logga in på ditt konto', '2014-06-23 17:03:56'),
(12108, 'sv', 'login', 'to login to your account', 'för att logga in på ditt konto', '2014-06-23 17:03:56'),
(12109, 'sv', 'login', 'User inactive', 'Inaktiv användare', '2014-06-23 17:03:56'),
(12110, 'sv', 'login', 'user_email_not_exist', 'Användarens e-postadress fanns ej i systemet.', '2014-06-23 17:03:56'),
(12111, 'sv', 'login', 'Username', 'Användarnman', '2014-06-23 17:03:56'),
(12112, 'sv', 'login', 'usernameexist', 'Användarnamnet existerar redan', '2014-06-23 17:03:56'),
(12113, 'sv', 'login', 'Your account password is resetted and new password is', 'Ditt kontolösenord har nollställts och det nya lösenordet är', '2014-06-23 17:03:56'),
(12114, 'sv', 'login', 'Your Password Reset Failed', 'Nollställningen av ditt lösenord misslyckades', '2014-06-23 17:03:56'),
(12115, 'sv', 'login', 'Your Password Reset Successfully', 'Ditt lösenord har nollställts', '2014-06-23 17:03:56'),
(12116, 'sv', 'panel', 'About Us', 'Om Oss', '2014-06-23 17:05:11'),
(12117, 'sv', 'panel', 'Add following command to your cron tab', 'Lägg till följande instruktioner i din cron tab', '2014-06-23 17:05:11'),
(12118, 'sv', 'panel', 'alsocheckfollowlink', 'Se även följande länkar för ytterligare information.', '2014-06-23 17:05:11'),
(12119, 'sv', 'panel', 'Archived Reports', 'Arkiverade Rapporter', '2014-06-23 17:05:11'),
(12120, 'sv', 'panel', 'Check Directory', 'Kontrollera Katalog', '2014-06-23 17:05:11'),
(12121, 'sv', 'panel', 'Crawl Log Manager', 'Logg-hanterare', '2014-06-23 17:05:11'),
(12122, 'sv', 'panel', 'Cron Command', 'Cron Command', '2014-06-23 17:05:11'),
(12123, 'sv', 'panel', 'Directory Manager', 'Kataloghanterare', '2014-06-23 17:05:11'),
(12124, 'sv', 'panel', 'Edit My Profile', 'Ändra Min Profil', '2014-06-23 17:05:11'),
(12125, 'sv', 'panel', 'Edit Project', 'Editera Projekt', '2014-06-23 17:05:11'),
(12126, 'sv', 'panel', 'Existing', 'Existerande', '2014-06-23 17:05:11'),
(12127, 'sv', 'panel', 'Import Proxy', 'Importera Proxy', '2014-06-23 17:05:11'),
(12128, 'sv', 'panel', 'Log Manager', 'Logghanterare', '2014-06-23 17:05:11'),
(12129, 'sv', 'panel', 'My Profile', 'Min Profil', '2014-06-23 17:05:11'),
(12130, 'sv', 'panel', 'New Project', 'Nytt Projekt', '2014-06-23 17:05:11'),
(12131, 'sv', 'panel', 'New Proxy', 'Ny Proxy', '2014-06-23 17:05:11'),
(12132, 'sv', 'panel', 'New User', 'Ny Användare', '2014-06-23 17:05:11'),
(12133, 'sv', 'panel', 'New Website', 'Ny Webbplats', '2014-06-23 17:05:11'),
(12134, 'sv', 'panel', 'Proxy Manager', 'Proxyhanterare', '2014-06-23 17:05:11'),
(12135, 'sv', 'panel', 'Proxy Perfomance', 'Proxy-prestanda', '2014-06-23 17:05:11'),
(12136, 'sv', 'panel', 'Proxy Settings', 'Proxy-inställningar', '2014-06-23 17:05:11'),
(12137, 'sv', 'panel', 'Report Generation Manager', 'Hanterare för rapportgenerering', '2014-06-23 17:05:11'),
(12138, 'sv', 'panel', 'Report Settings', 'Rapport-inställningar', '2014-06-23 17:05:11'),
(12139, 'sv', 'panel', 'Reports Manager', 'Rapport-hanterare', '2014-06-23 17:05:11'),
(12140, 'sv', 'panel', 'Schedule Reports', 'Schemalägg rapporter', '2014-06-23 17:05:11'),
(12141, 'sv', 'panel', 'Search Engine Manager', 'Sökmotor-hanterare', '2014-06-23 17:05:11'),
(12142, 'sv', 'panel', 'Seo Plugins Manager', 'SEO Plugin-hanterare', '2014-06-23 17:05:11'),
(12143, 'sv', 'panel', 'Seo Tools Manager', 'SEO Verktyg-hanterare', '2014-06-23 17:05:11'),
(12144, 'sv', 'panel', 'System Settings', 'Systeminställningar', '2014-06-23 17:05:11'),
(12145, 'sv', 'panel', 'Themes Manager', 'Temahanterare', '2014-06-23 17:05:11'),
(12146, 'sv', 'panel', 'User Manager', 'Användarehantering', '2014-06-23 17:05:11'),
(12147, 'sv', 'panel', 'Valid', 'Giltig', '2014-06-23 17:05:11'),
(12148, 'sv', 'panel', 'Website Manager', 'Webbplatshanterare', '2014-06-23 17:05:11'),
(12149, 'sv', 'plugin', 'Download Seo Panel Plugins', 'Ladda ner tillägg för Seo Panel', '2014-06-23 17:05:58'),
(12150, 'sv', 'plugin', 'Edit Seo Plugin', 'Editera Seo-tillägg', '2014-06-23 17:05:58'),
(12151, 'sv', 'plugin', 'Plugin Name', 'Tilläggets namn', '2014-06-23 17:05:58'),
(12152, 'sv', 'plugin', 'Seo Plugin Details', 'Information om tillägg', '2014-06-23 17:05:58'),
(12153, 'sv', 'proxy', 'Edit Proxy', 'Editera proxy', '2014-06-23 17:06:55'),
(12154, 'sv', 'proxy', 'enterproxynote', 'Lägg till en proxy per rad och i följande format.', '2014-06-23 17:06:55'),
(12155, 'sv', 'proxy', 'Proxy Password', 'Lösenord för Proxy', '2014-06-23 17:06:55'),
(12156, 'sv', 'proxy', 'Proxy Username', 'Användarnamn Proxy', '2014-06-23 17:06:55'),
(12157, 'sv', 'proxy', 'Proxyalreadyexist', 'Proxyn finns redan!', '2014-06-23 17:06:55'),
(12158, 'sv', 'proxy', 'proxysyntax', 'Proxy Värdnamn, Proxy Port, Proxy Användarnamn, Proxy Lösenord', '2014-06-23 17:06:55'),
(12159, 'sv', 'proxy', 'Request Count', 'Antal förfrågningar', '2014-06-23 17:06:55'),
(12160, 'sv', 'rank', 'enterurlproceed', 'Lägg till en adress <b>per linje</b>. Klicka på <b>fortsätt</b> för att kontrollera Google och Alexa rank.', '2014-06-23 17:07:33'),
(12161, 'sv', 'rank', 'Google and Alexa Rank Reports', 'Google och Alexa Ranking-Rapporter', '2014-06-23 17:07:33'),
(12162, 'sv', 'rank', 'Saved rank results of', 'Sparade ranking-resultat för', '2014-06-23 17:07:33'),
(12163, 'sv', 'report', '2 Days', '2 Dagar', '2014-06-23 17:08:05'),
(12164, 'sv', 'report', 'Email notification', 'Tillkännagivande via epost.', '2014-06-23 17:08:05'),
(12165, 'sv', 'report', 'keywordnumbercheckedcronnote', 'Märk: Värdet 0 betyder att alla keyword ska kontrolleras.', '2014-06-23 17:08:05'),
(12166, 'sv', 'report', 'Next report generation time', 'Tid för generering av nästa rapport.', '2014-06-23 17:08:05'),
(12167, 'sv', 'report', 'Reports generation interval', 'Intervall för generering av rapporter.', '2014-06-23 17:08:05'),
(12168, 'sv', 'report', 'reportsettingssaved', 'Rapportinställningar sparade!', '2014-06-23 17:08:05'),
(12169, 'sv', 'report', 'sheduledsuccessfully', 'Schemainställningar sparade!', '2014-06-23 17:08:05'),
(12170, 'sv', 'reports', 'report_email_body_text1', 'Dina rapporter har skapats. Vänligen se bifogade rapporter.', '2014-06-23 17:08:32'),
(12171, 'sv', 'reports', 'report_email_body_text2', 'Om de ovanstående rapporterna inte skapats korrekt, vänligen [LOGIN_LINK] för att se repporten från dina kontosidor.', '2014-06-23 17:08:32'),
(12172, 'sv', 'reports', 'report_email_subject', 'Dina SEO-rapporter har skapats.', '2014-06-23 17:08:32'),
(12173, 'sv', 'searchengine', 'max_results', 'Max antal resultat', '2014-05-31 20:09:18'),
(12174, 'sv', 'searchengine', 'no_of_results_page', 'Antal resultat per sida', '2014-05-31 20:09:18'),
(12175, 'sv', 'settings', 'allsettingssaved', 'Inställningar sparade!', '2014-06-23 17:13:43'),
(12176, 'sv', 'settings', 'Check for Updates', 'Leta efter uppdateringar.', '2014-06-23 17:13:43'),
(12177, 'sv', 'settings', 'CHECK_WITH_ANOTHER_PROXY_IF_FAILED', 'Kontrollera med annan proxy om crawling misslyckas. ', '2014-06-23 17:13:43'),
(12178, 'sv', 'settings', 'Click here to become a sponsor for Seo Panel', '<b>Donera $100</b> och bli <b>Seo Panel-sponsor</b>.', '2014-06-23 17:13:43'),
(12179, 'sv', 'settings', 'CURLOPT_HTTPPROXYTUNNEL_VAL', 'Aktivera HTTP-proxytunnel.', '2014-06-23 17:13:43'),
(12180, 'sv', 'settings', 'entersmtpdetails', 'Konfigurera vänligen SMTP för epost.', '2014-06-23 17:13:43'),
(12181, 'sv', 'settings', 'getallpluginfree', 'Få även alla <b>tillägg</b> vi utvecklar <b>gratis!</b>', '2014-06-23 17:13:43'),
(12182, 'sv', 'settings', 'PROXY_DEACTIVATE_CRAWL', 'Deaktivera proxy när crawling misslyckas', '2014-06-23 17:13:43'),
(12183, 'sv', 'settings', 'SA_CRAWL_DELAY_TIME', 'Fördröjning mellan varje sida', '2014-06-23 17:13:43'),
(12184, 'sv', 'settings', 'SA_MAX_NO_PAGES', 'Maximalt antal sidor per webbplats.', '2014-06-23 17:13:43'),
(12185, 'sv', 'settings', 'seopanel_description', 'Seo Panel är en helt kostnadsfri kontrollpanel för att hantera sökmotoroptimeringen av din webbplats. Seo Panel innehåller massvis med användbara verktyg för att följa och förbättra din webbplats positionering i sökmotorerna. Seo Panel baseras på öppen källkod och låter även användaren använda egenutvecklade tillägg.', '2014-06-23 17:13:43'),
(12186, 'sv', 'settings', 'seopanel_title', 'Seo Panel: Världens första kontrollpanel för seo helt baserad på öppen källkod. ', '2014-06-23 17:13:43'),
(12187, 'sv', 'settings', 'SP_ALLOW_USER_SCHEDULE_REPORT', 'Tillåter användare att schemalägga rapporter', '2014-06-23 17:13:43'),
(12188, 'sv', 'settings', 'SP_API_KEY', 'API-nyckel för Seo Panel', '2014-06-23 17:13:43'),
(12189, 'sv', 'settings', 'SP_CRAWL_DELAY', 'Fördröjning i sekunder mellan varje spider crawl', '2014-06-23 17:13:43'),
(12190, 'sv', 'settings', 'SP_DEFAULTLANG', 'Standardspråk', '2014-06-23 17:13:43'),
(12191, 'sv', 'settings', 'SP_DESCRIPTION', 'Beskrivning av Seo Panel', '2014-06-23 17:13:43'),
(12192, 'sv', 'settings', 'SP_ENABLE_PROXY', 'Använd proxy', '2014-06-23 17:13:43'),
(12193, 'sv', 'settings', 'SP_HOTLINKING', 'Hotlink-protection aktiverad', '2014-06-23 17:13:43'),
(12194, 'sv', 'settings', 'SP_KEYWORDS', 'Keywords för Seo Panel', '2014-06-23 17:13:43'),
(12195, 'sv', 'settings', 'SP_NUMBER_KEYWORDS_CRON', 'Antal keywords som kontrolleras vid varje cron-körning', '2014-06-23 17:13:43'),
(12196, 'sv', 'settings', 'SP_PAGINGNO', 'Antal inlägg per sida', '2014-06-23 17:13:43'),
(12197, 'sv', 'settings', 'SP_RELATIVE_LINK_CRAWL', 'Crawla en sidas relativa länkar', '2014-06-23 17:13:43'),
(12198, 'sv', 'settings', 'SP_REPORT_EMAIL_NOTIFICATION', 'Aktivera epost-avisering av rapporter', '2014-06-23 17:13:43'),
(12199, 'sv', 'settings', 'SP_SMTP_HOST', 'SMTP-host', '2014-06-23 17:13:43'),
(12200, 'sv', 'settings', 'SP_SMTP_MAIL', 'Aktivera SMTP', '2014-06-23 17:13:43'),
(12201, 'sv', 'settings', 'SP_SMTP_PASSWORD', 'Lösenord SMTP ', '2014-06-23 17:13:43'),
(12202, 'sv', 'settings', 'SP_SMTP_PORT', 'SMTP Port', '2014-06-23 17:13:43'),
(12203, 'sv', 'settings', 'SP_SMTP_USERNAME', 'Användarnamn SMTP', '2014-06-23 17:13:43'),
(12204, 'sv', 'settings', 'SP_SYSTEM_REPORT_INTERVAL', 'Intervall för generering av systemrapport', '2014-06-23 17:13:43'),
(12205, 'sv', 'settings', 'SP_TIME_ZONE', 'Tidszon', '2014-06-23 17:13:43'),
(12206, 'sv', 'settings', 'SP_TITLE', 'Titel för Seo Panel', '2014-06-23 17:13:43'),
(12207, 'sv', 'settings', 'SP_USER_AGENT', 'User Agent', '2014-06-23 17:13:43'),
(12208, 'sv', 'settings', 'SP_USER_GEN_REPORT', 'Tillått användare generera rapporter', '2014-06-23 17:13:43'),
(12209, 'sv', 'settings', 'SP_USER_REGISTRATION', 'Interface för registrering av användare', '2014-06-23 17:13:43'),
(12210, 'sv', 'settings', 'syssettingssaved', 'Systeminställningar sparade!', '2014-06-23 17:13:43'),
(12211, 'sv', 'settings', 'versionnotuptodatemsg', 'Din version av Seo Panel behöver uppdateras. <br> Vänligen ladda ner den senaste versionen', '2014-06-23 17:13:43'),
(12212, 'sv', 'settings', 'Your Seo Panel installation is up to date', 'Du använder en senaste versionen av Seo Panel.', '2014-06-23 17:13:43'),
(12213, 'tl', 'backlink', 'clickproceedbacklink', '', '2014-06-02 05:47:09'),
(12214, 'tl', 'backlink', 'Saved backlink results of', '', '2014-06-02 05:47:09'),
(12215, 'de', 'label', 'Cookie', 'Cookie', '2021-01-06 10:13:08'),
(12216, 'de', 'label', 'Fail', 'Fehlgeschlagen', '2021-01-06 10:13:08'),
(12217, 'de', 'label', 'Order By', 'Sortieren nach', '2021-01-06 10:13:08'),
(12218, 'de', 'label', 'Reference', 'Referenz', '2021-01-06 10:13:08'),
(12219, 'de', 'label', 'Referer', 'Referer', '2021-01-06 10:13:08'),
(12220, 'de', 'label', 'Subject', 'Betreff', '2021-01-06 10:13:08'),
(12221, 'de', 'label', 'Success', 'Erfolg', '2021-01-06 10:13:08'),
(12222, 'de', 'label', 'User agent', 'User Agent', '2021-01-06 10:13:08'),
(12223, 'de', 'log', 'Clear All Logs', 'Alle Logdaten löschen', '2021-01-06 10:13:38'),
(12224, 'de', 'log', 'Crawl Log Details', 'Log Details durchsuchen', '2021-01-06 10:13:38'),
(12225, 'de', 'log', 'Post Fields', 'Beitragsfelder', '2021-01-06 10:13:38'),
(12226, 'de', 'panel', 'Crawl Log Manager', 'Crawling Log Manager', '2023-01-03 14:44:32'),
(12227, 'de', 'panel', 'Log Manager', 'Log Manager', '2023-01-03 14:44:32'),
(12228, 'de', 'panel', 'Proxy Perfomance', 'Proxy Leistung', '2023-01-03 14:44:32'),
(12229, 'de', 'proxy', 'Request Count', 'Anzahl Anfragen', '2021-01-06 10:21:00'),
(12230, 'de', 'settings', 'SP_TIME_ZONE', 'Zeitzone', '2021-01-08 08:28:43'),
(12231, 'sv', 'log', 'Clear All Logs', 'Nollställ Alla Loggar', '2014-06-23 17:02:19'),
(12232, 'sv', 'log', 'Crawl Log Details', 'Genomsök Logg-detaljer', '2014-06-23 17:02:19'),
(12233, 'sv', 'log', 'Post Fields', 'Inmatningsfält', '2014-06-23 17:02:19'),
(12234, 'sv', 'saturation', 'clickproceedsaturation', 'Lägg till adresser <b>en per rad</b>. Klicka på <b>Fortsätt</b> för att kontrollera sökmotor-saturation.', '2014-06-23 17:10:30'),
(12235, 'sv', 'saturation', 'GenerateSaturationReports', 'Generera rapport för sökmotor-saturation', '2014-06-23 17:10:30'),
(12236, 'sv', 'saturation', 'Quick Search Engine Saturation Checker', 'Snabb saturations-kontroll', '2014-06-23 17:10:30'),
(12237, 'sv', 'saturation', 'Saved Search Engine Saturation results of', 'Sparade saturations-resultat för', '2014-06-23 17:10:30'),
(12238, 'sv', 'saturation', 'Search Engine Saturation Reports', 'Rapporter för sökmotor-saturation', '2014-06-23 17:10:30'),
(12239, 'sv', 'seotools', 'Auditor Projects', 'Auditor Projekt', '2014-06-23 17:11:51'),
(12240, 'sv', 'seotools', 'Auditor Reports', 'Auditor Rapporter', '2014-06-23 17:11:51'),
(12241, 'sv', 'seotools', 'Auditor Settings', 'Auditor Inställningar', '2014-06-23 17:11:51'),
(12242, 'sv', 'seotools', 'Automatic Submission', 'Automatiska Submissions', '2014-06-23 17:11:51'),
(12243, 'sv', 'seotools', 'backlink-checker', 'Backlink-checker', '2014-06-23 17:11:51'),
(12244, 'sv', 'seotools', 'Backlinks Reports', 'Backlink-rapporter', '2014-06-23 17:11:51'),
(12245, 'sv', 'seotools', 'Check Submission Status', 'Kontrollera submission-status', '2014-06-23 17:11:51'),
(12246, 'sv', 'seotools', 'clickgeneratereports', 'Klicka på <b>fortsätt</b> för att generera rapporter', '2014-06-23 17:11:51'),
(12247, 'sv', 'seotools', 'Detailed Position Reports', 'Detaljerad rankningsrapport', '2014-06-23 17:11:51'),
(12248, 'sv', 'seotools', 'directory-submission', 'Katalog-submission', '2014-06-23 17:11:51'),
(12249, 'sv', 'seotools', 'Featured Submission', 'Huvud-submission', '2014-06-23 17:11:51'),
(12250, 'sv', 'seotools', 'Generate Backlinks Reports', 'Generera backlink-rapport', '2014-06-23 17:11:51'),
(12251, 'sv', 'seotools', 'Generate Keyword Reports', 'Generera keyword-rapport', '2014-06-23 17:11:51'),
(12252, 'sv', 'seotools', 'Generate Rank Reports', 'Generera rankningsrapport', '2014-06-23 17:11:51'),
(12253, 'sv', 'seotools', 'Generate Saturation Reports', 'Generera saturerings-rapport', '2014-06-23 17:11:51'),
(12254, 'sv', 'seotools', 'Google Sitemap Generator', 'Google Sitemap-Genererator', '2014-06-23 17:11:51'),
(12255, 'sv', 'seotools', 'Graphical Position Reports', 'Grafisk rankningsrapport', '2014-06-23 17:11:51'),
(12256, 'sv', 'seotools', 'Import Project Links', 'Importera projekt-länkar', '2014-06-23 17:11:51'),
(12257, 'sv', 'seotools', 'Keyword Position Summary', 'Sammanfattad positionsrapport för keyword', '2014-06-23 17:11:51'),
(12258, 'sv', 'seotools', 'keyword-position-checker', 'Positionscheck för keyword', '2014-06-23 17:11:51'),
(12259, 'sv', 'seotools', 'Keywords Manager', 'Keyword-hanterare', '2014-06-23 17:11:51'),
(12260, 'sv', 'seotools', 'Quick Backlinks Checker', 'Snabb backlink-check', '2014-06-23 17:11:51'),
(12261, 'sv', 'seotools', 'Quick Position Checker', 'Snabb positions-check', '2014-06-23 17:11:51'),
(12262, 'sv', 'seotools', 'Quick Rank Checker', 'Snabb ranknings-check', '2014-06-23 17:11:51'),
(12263, 'sv', 'seotools', 'Quick Saturation Checker', 'Snabb saturations-check', '2014-06-23 17:11:51'),
(12264, 'sv', 'seotools', 'Rank Reports', 'Ranknings-rapporter', '2014-06-23 17:11:51'),
(12265, 'sv', 'seotools', 'rank-checker', 'Ranknings-checker', '2014-06-23 17:11:51'),
(12266, 'sv', 'seotools', 'Saturation Reports', 'Saturationssrapporter', '2014-06-23 17:11:51'),
(12267, 'sv', 'seotools', 'saturation-checker', 'Sökmotor-saturation', '2014-06-23 17:11:51'),
(12268, 'sv', 'seotools', 'site-auditor', 'Site Auditor', '2014-06-23 17:11:51'),
(12269, 'sv', 'seotools', 'sitemap-generator', 'Sitemap Generator', '2014-06-23 17:11:51'),
(12270, 'sv', 'seotools', 'Skipped Directories', 'Skippade kataloger', '2014-06-23 17:11:51'),
(12271, 'sv', 'seotools', 'Submission Reports', 'Submission-rapporter', '2014-06-23 17:11:51'),
(12272, 'sv', 'seotools', 'User Access', 'Användaraccess', '2014-06-23 17:11:51'),
(12273, 'sv', 'siteauditor', 'Anchor', 'Ankare', '2014-06-23 17:15:14'),
(12274, 'sv', 'siteauditor', 'anylinkcontainabovelinks', 'Alla länkar vilka innehåller länkarna ovan exkluderas från rapporter.', '2014-06-23 17:15:14'),
(12275, 'sv', 'siteauditor', 'anylinkcontainexcludesitemap', 'Alla länkar vilka innehåller länkarna ovan exkluderas från sitemaps.', '2014-06-23 17:15:14'),
(12276, 'sv', 'siteauditor', 'Check backlinks of pages', 'Kontrollera backlinks för sidor', '2014-06-23 17:15:14'),
(12277, 'sv', 'siteauditor', 'Check broken links in a page', 'Kontrollera en sidas brutna länkar', '2014-06-23 17:15:14'),
(12278, 'sv', 'siteauditor', 'Check google pagerank of pages', 'Kontrollera Google Page Rank av sidor', '2014-06-23 17:15:14'),
(12279, 'sv', 'siteauditor', 'Check pages indexed or not', 'Kontrollera huruvida sidor är indexerade', '2014-06-23 17:15:14'),
(12280, 'sv', 'siteauditor', 'Check Score', 'Kontrollera poäng', '2014-06-23 17:15:14'),
(12281, 'sv', 'siteauditor', 'checkborckenlinkwait', 'Kontroll av brutna länkar gör att projektet tar längre tid att köra', '2014-06-23 17:15:14'),
(12282, 'sv', 'siteauditor', 'Completed project execution', 'Utförd projekt-körning', '2014-06-23 17:15:14'),
(12283, 'sv', 'siteauditor', 'Crawled', 'Crawlad', '2014-06-23 17:15:14'),
(12284, 'sv', 'siteauditor', 'Crawled Pages', 'Crawlade sidor', '2014-06-23 17:15:14'),
(12285, 'sv', 'siteauditor', 'crawledsuccesssfullywaitfornext', 'Crawlad! Väntar på att crawla nästa sida. ', '2014-06-23 17:15:14'),
(12286, 'sv', 'siteauditor', 'Crawling Page', 'Crawlar Sida', '2014-06-23 17:15:14'),
(12287, 'sv', 'siteauditor', 'Duplicate Description', 'Duplicerad Beskivning', '2014-06-23 17:15:14'),
(12288, 'sv', 'siteauditor', 'Duplicate Keywords', 'Duplicerade Keywords', '2014-06-23 17:15:14'),
(12289, 'sv', 'siteauditor', 'Duplicate Title', 'Duplicerad Titel', '2014-06-23 17:15:14'),
(12290, 'sv', 'siteauditor', 'Exclude links', 'Exkludera Länkar', '2014-06-23 17:15:14'),
(12291, 'sv', 'siteauditor', 'Execute with cron', 'Kör med cron', '2014-06-23 17:15:14'),
(12292, 'sv', 'siteauditor', 'External', 'Externa', '2014-06-23 17:15:14'),
(12293, 'sv', 'siteauditor', 'External Links', 'Externa länkar', '2014-06-23 17:15:14'),
(12294, 'sv', 'siteauditor', 'Import Project Links', 'Importera projekt-länkar', '2014-06-23 17:15:14'),
(12295, 'sv', 'siteauditor', 'Insert links separated with comma', 'Lägg till länkar seperarerade med komma', '2014-06-23 17:15:14'),
(12296, 'sv', 'siteauditor', 'insertlinkssepcoma', 'Lägg till länkar seperarerade med komma för att exkludera \"infinite links\" från rapporter', '2014-06-23 17:15:14'),
(12297, 'sv', 'siteauditor', 'Link Reports', 'Länk-rapporter', '2014-06-23 17:15:14'),
(12298, 'sv', 'siteauditor', 'Link Title', 'Länktitel', '2014-06-23 17:15:14'),
(12299, 'sv', 'siteauditor', 'Maximum number of pages to be checked', 'Max antal sidor att kontrollera', '2014-06-23 17:15:14'),
(12300, 'sv', 'siteauditor', 'Maximum Pages', 'Max antal sidor', '2014-06-23 17:15:14'),
(12301, 'sv', 'siteauditor', 'No active projects found', 'Inga aktiva projekt hittades', '2014-06-23 17:15:14'),
(12302, 'sv', 'siteauditor', 'Nofollow', 'Nofollow', '2014-06-23 17:15:14'),
(12303, 'sv', 'siteauditor', 'Number of pages is greater than', 'Antalet sidor är större än', '2014-06-23 17:15:14'),
(12304, 'sv', 'siteauditor', 'Number of pages should be greater than', 'Antalet sidor ska vara större än', '2014-06-23 17:15:14'),
(12305, 'sv', 'siteauditor', 'Page Details', 'Detaljerad sidinformation', '2014-06-23 17:15:14'),
(12306, 'sv', 'siteauditor', 'Page Link', 'Sidlänk', '2014-06-23 17:15:14'),
(12307, 'sv', 'siteauditor', 'Page Links', 'Sidlänkar', '2014-06-23 17:15:14'),
(12308, 'sv', 'siteauditor', 'Pages Found', 'Funna sidor', '2014-06-23 17:15:14'),
(12309, 'sv', 'siteauditor', 'pressescapetostopexecution', 'Tryck <b>escape</b> för att stoppa körning av skript', '2014-06-23 17:15:14'),
(12310, 'sv', 'siteauditor', 'Project Summary', 'Sammanfattning av projekt', '2014-06-23 17:15:14'),
(12311, 'sv', 'siteauditor', 'Project Url', 'Projekt Url', '2014-06-23 17:15:14'),
(12312, 'sv', 'siteauditor', 'projectalreadyexist', 'Ett projekt för den här webbplatsen existerar redan', '2014-06-23 17:15:14'),
(12313, 'sv', 'siteauditor', 'Recheck Pages', 'Återkontrollera sidor', '2014-06-23 17:15:14'),
(12314, 'sv', 'siteauditor', 'Report Summary', 'Rapportsammanfattning', '2014-06-23 17:15:14'),
(12315, 'sv', 'siteauditor', 'Run Project', 'Kör Projekt', '2014-06-23 17:15:14'),
(12316, 'sv', 'siteauditor', 'should start with', 'ska börja med', '2014-06-23 17:15:14'),
(12317, 'sv', 'siteauditor', 'Site Auditor Settings', 'Site Auditor-inställningar', '2014-06-23 17:15:14'),
(12318, 'sv', 'siteauditor', 'Store all links found in a page', 'Poängsätt alla länkar som hittad på en sida', '2014-06-23 17:15:14'),
(12319, 'sv', 'siteauditor', 'The page description length is not between', 'Sidans beskrivningslängd är inte mellan', '2014-06-23 17:15:14'),
(12320, 'sv', 'siteauditor', 'The page is brocken', 'Sidan fungerar ej', '2014-06-23 17:15:14'),
(12321, 'sv', 'siteauditor', 'The page is having exellent number of backlinks in', 'Sidan har ett perfekt antal backlinks', '2014-06-23 17:15:14'),
(12322, 'sv', 'siteauditor', 'The page is having exellent pagerank', 'Sidan har perfekt Page Rank', '2014-06-23 17:15:14'),
(12323, 'sv', 'siteauditor', 'The page is having good number of backlinks in', 'Sidan har ett bra antal backlinks', '2014-06-23 17:15:14'),
(12324, 'sv', 'siteauditor', 'The page is having good pagerank', 'Sidan har en bra Page Rank', '2014-06-23 17:15:14'),
(12325, 'sv', 'siteauditor', 'The page is having poor pagerank', 'Sidan har en dålig Page Rank', '2014-06-23 17:15:14'),
(12326, 'sv', 'siteauditor', 'The page is having very good pagerank', 'Sidan har en mycket god Page Rank', '2014-06-23 17:15:14'),
(12327, 'sv', 'siteauditor', 'The page is not having backlinks in', 'Sidan har inga backlinks', '2014-06-23 17:15:14'),
(12328, 'sv', 'siteauditor', 'The page is not indexed in', 'Sidan är inte indexerad', '2014-06-23 17:15:14'),
(12329, 'sv', 'siteauditor', 'The page keywords length is not between', 'Sidans keyword-längd är inte mellan', '2014-06-23 17:15:14'),
(12330, 'sv', 'siteauditor', 'The page title length is not between', 'Sidans titellängd är inte mellan', '2014-06-23 17:15:14'),
(12331, 'sv', 'siteauditor', 'The total number of links in page is greater than', 'Totala antalet länkar på sidan är större än', '2014-06-23 17:15:14'),
(12332, 'sv', 'siteauditor', 'to run project again if you stopped execution', 'för att återigen köra projektet i det fall det avbröts', '2014-06-23 17:15:14'),
(12333, 'sv', 'siteauditor', 'to view the reports', 'för att se rapporter', '2014-06-23 17:15:14'),
(12334, 'sv', 'siteauditor', 'Total Links', 'Totalt antal länkar', '2014-06-23 17:15:14'),
(12335, 'sv', 'siteauditor', 'totallinksgreaterallowed', 'Totala antalet länkar kommer överstiga antalet tillåtna länkar per projekt', '2014-06-23 17:15:14'),
(12336, 'sv', 'sitemap', 'Change frequency', 'Uppdateringsfrekvens', '2014-06-23 17:16:00'),
(12337, 'sv', 'sitemap', 'clickproceedsitemap', 'Klicka på <br>Fortsätt</b> för att skapa att skapa sitemap-fil', '2014-06-23 17:16:00'),
(12338, 'sv', 'sitemap', 'Download sitemap file from', 'Ladda ner sitemap från', '2014-06-23 17:16:00'),
(12339, 'sv', 'sitemap', 'Exclude Url', 'Exkludera url', '2014-06-23 17:16:00'),
(12340, 'sv', 'sitemap', 'processtaketime', 'Tiden för körning beror på antalet länkar på din sida. Vänligen vänta på sitemap-filerna', '2014-06-23 17:16:00'),
(12341, 'sv', 'sitemap', 'Sitemap Type', 'Sitemap-typ', '2014-06-23 17:16:00'),
(12342, 'sv', 'theme', 'Download Seo Panel Themes', 'Ladda ner teman för Seo Panel', '2014-06-22 17:27:22'),
(12343, 'sv', 'user', 'Edit User', 'Uppdatera användarinformation', '2014-06-22 17:28:23'),
(12344, 'sv', 'user', 'Saved My Profile Details', 'Spara mina profil-data', '2014-06-22 17:28:23'),
(12345, 'sv', 'website', 'Edit Website', 'Ändra webbplats', '2014-06-22 17:29:34'),
(12346, 'sv', 'website', 'plscrtwebsite', 'Skapa vänligen en webbplats före du använder seo-verktyg och tillägg.', '2014-06-22 17:29:34'),
(12347, 'sv', 'website', 'Website already exist', 'Webbplatsen finns redan', '2014-06-22 17:29:34'),
(12348, 'sv', 'website', 'yourwebalreday', 'din webbplats om du redan skapat en', '2014-06-22 17:29:34'),
(12349, 'sv', 'support', 'support_cont1', '<fieldset>\r\n<legend>Seo Panel Support System</legend>\r\n<ul class=\"infobox\">\r\n    <li>\r\n        <h1>1000 Directory Package</h1> \r\n        <p>\r\n            We are providing <b>1000 free active and verified</b> internet directory package, to add into\r\nyour seo panel <b>directory submission tool</b>.\r\n            It will help you to <b>increase the backlinks</b> of your websites.\r\n            Actually 1000 directory list is <b>introduced</b> to collect some money for <b>future\r\ndevelopment</b> of seo panel.\r\n            To get the 1000 directory list please <a href=\"<?=SP_DONATE_LINK?>\" target=\"_blank\">donate</a>\r\n$10 or more to improve the features of seo panel.\r\n            If you have any questions about 1000 directory package, please <a href=\"<?=SP_CONTACT_LINK?>\"\r\ntarget=\"_blank\">contact us</a> or open a ticket in <a href=\"<?=SP_SUPPORT_LINK?>\"\r\ntarget=\"_blank\">support system</a>.   \r\n        </p>        \r\n        <p>\r\n            <a href=\"<?=SP_DONATE_LINK?>\" target=\"_blank\">Visit this link to donate to seo panel</a>\r\n        </p>\r\n        <br>\r\n    </li>\r\n    \r\n    <li>\r\n        <h1>Local Search Engines Package</h1> \r\n        <p>\r\n            Add <b>local search engine domains</b> of google,yahoo,msn(<b>eg: www.google.de,www.google.fr\r\netc</b>) to seo panel <b>keyword position checker</b>, to track your site perfomance locally.\r\n            To get local search engines package(according to your requirement) please <a\r\nhref=\"<?=SP_DONATE_LINK?>\" target=\"_blank\">donate</a> $10 or more to improve the features of seo\r\npanel.\r\n            Before sending donation, please <a href=\"<?=SP_CONTACT_LINK?>\" target=\"_blank\">contact us</a> to\r\nprovide us required search engine domain list.\r\n            <br><br>              \r\n            Also to add <b>new search engines(eg:baidu.com)</b> to your seo panel keyword position checker,\r\nplease <a href=\"<?=SP_CONTACT_LINK?>\" target=\"_blank\">contact us</a> or open a ticket in <a\r\nhref=\"<?=SP_SUPPORT_LINK?>\" target=\"_blank\">support system</a>. \r\n        </p>        \r\n        <p class=\"visit\">\r\n            <a href=\"<?=SP_CONTACT_LINK?>\" target=\"_blank\">Visit this link to contact us</a>\r\n        </p>\r\n        <br>\r\n    </li>\r\n    \r\n    <li>\r\n        <h1>Seo Panel Plugins</h1> \r\n        <p>\r\n            Add <b>seo plugins</b> to your seo panel to <b>extend the features</b> according to your\r\nrequirement.\r\n            <a href=\"<?=SP_PLUGINSITE?>\" target=\"_blank\">Seo panel plugins</a> are provided by both seo panel\r\nand third party sites.\r\n            You can also easily <b>develop</b> seo plugins for your seo panel.\r\n            You can <a href=\"<?=SP_PLUGINSITE?>\" target=\"_blank\">submit</a> your seo plugin to seo panel and\r\nwe will <b>publish</b> it in our website after our <b>review</b> process.        \r\n        </p>        \r\n        <p>\r\n            <a href=\"<?=SP_PLUGINSITE?>\" target=\"_blank\">Visit this link to get seo panel plugins</a>\r\n        </p>\r\n        <br>\r\n    </li>    \r\n    <li>\r\n        <h1>Contact Us</h1> \r\n        <p>\r\n            Contact us for any questions about <b>seo panel tools,plugins and features etc</b> by using below\r\nlink.        \r\n        </p>        \r\n        <p>\r\n            <a href=\"<?=SP_CONTACT_LINK?>\" target=\"_blank\">Visit this link to contact us</a>\r\n        </p>\r\n        <br>\r\n    </li>    \r\n    <li>\r\n        <h1>Support Tickets</h1> \r\n        <p>\r\n            To get <b>technical support</b> from seo panel team to setup the <b>seo panel tools,plugins and\r\nfeatures</b>. Eg: To set up cron for keyword position checker.\r\n        </p>        \r\n        <p>\r\n            <a href=\"<?=SP_SUPPORT_LINK?>\" target=\"_blank\">Visit this link to create a support ticket</a>\r\n        </p>\r\n        <br>\r\n    </li>    \r\n    <li>\r\n        <h1>Report Bugs</h1> \r\n        <p>\r\n            Report <b>bugs</b> about <b>seo panel tools,plugins and features etc</b> by using below link. \r\n            please help us to improve the features in next versions.          \r\n        </p>        \r\n        <p>\r\n            <a href=\"<?=SP_SUPPORT_LINK?>\" target=\"_blank\">Visit this link to report bugs</a>\r\n        </p>\r\n        <br>\r\n    </li>    \r\n</ul>\r\n</fieldset>', '2014-06-23 17:45:31'),
(12350, 'sv', 'support', 'support_cont2', '<fieldset>\r\n<legend>Seo Panel Online Resources</legend>\r\n<ul class=\"infobox\">\r\n        \r\n    <li>\r\n        <h1>Seo Panel Help Guide</h1> \r\n        <p>\r\n            You can view the <a href=\"<?=SP_HELP_LINK?>\" target=\"_blank\">seo panel documentation</a> in the\r\n<b>help guide</b>, it contains the <b>documentation</b> for the seo panel tools,plugins and related\r\nfeatures.\r\n            <br>It is the best place in internet to <b>get help</b> about seo panel. We hope that you\r\n<b>contribute</b> to the seo panel help guide, if you find errors or things missing.                \r\n        </p>\r\n        <p>\r\n            <a href=\"<?=SP_HELP_LINK?>\" target=\"_blank\">Visit seo panel help guide</a>\r\n        </p>\r\n        <br>\r\n    </li>    \r\n    <li>\r\n        <h1>Seo Panel Forum</h1> \r\n        <p>\r\n            A place to discuss about world\'s first open source <b>seo control panel</b>. \r\n            It is the best place to find the <b>answers</b> to <b>your questions</b> about seo panel. \r\n            <br>Also you can <b>share</b> your <b>experience</b> while using seo panel for optimizing your\r\nwebsites.                               \r\n        </p>        \r\n        <p>\r\n            <a href=\"<?=SP_FORUM_LINK?>\" target=\"_blank\">Visit seo panel forum</a>\r\n        </p>\r\n        <br>\r\n    </li>\r\n</ul>    \r\n</fieldset>', '2014-06-23 17:45:31'),
(12351, 'sv', 'support', 'support_cont3', '<fieldset>\r\n<legend>Donate to Seo Panel</legend>\r\n<ul class=\"infobox\">        \r\n    <li>\r\n        <h1>Donate to Seo Panel - First Open source seo control panel in the world</h1> \r\n        <p>\r\n            <b>Donate</b> to seo panel to support first open source seo control panel in the world.\r\n            We are planning to <b>add and improve</b> features of seo panel in future. \r\n            <br>With all your <b>support</b> only we can achieve our <b>goals</b>.\r\n            If you feel that seo panel is <b>worth</b> for you, please donate some amount to seo panel team.\r\n            <br>We will <b>publish</b> your name and site information in <a href=\"<?=SP_DONATE_LINK?>\"\r\ntarget=\"_blank\">donation page</a>, once we get donation.\r\n        </p>\r\n        <p>\r\n            <a href=\"<?=SP_DONATE_LINK?>\" target=\"_blank\">Visit this link to donate to seo panel</a>\r\n        </p>\r\n        <br>\r\n    </li>\r\n</ul>\r\n</fieldset>', '2014-06-23 17:45:31'),
(12352, 'fa', 'common', 'Checked', 'بررسی شده', '2018-01-24 08:39:35'),
(12353, 'fa', 'common', 'Powered by', 'ارائه شده توسط', '2018-01-24 08:39:35'),
(12354, 'fa', 'common', 'Thank you', 'سپاس', '2018-01-24 08:39:35'),
(12355, 'en', 'settings', 'CHECK_MAX_PROXY_COUNT_IF_FAILED', 'Maximum number of proxies used in single execution', '2018-01-22 19:59:29'),
(12356, 'en', 'settings', 'API_SECRET', 'API Secret', '2018-01-22 19:59:29'),
(12357, 'en', 'settings', 'SP_COMPANY_NAME', 'Company Name', '2018-01-22 19:59:29'),
(12358, 'en', 'panel', 'API Settings', 'API Settings', '2015-05-28 19:03:37'),
(12359, 'en', 'panel', 'API Manager', 'API Manager', '2015-05-28 19:03:37'),
(12360, 'en', 'panel', 'API Connection', 'API Connection', '2015-05-28 19:03:37'),
(12361, 'en', 'api', 'API Url', 'API Url', '2015-05-28 19:03:37'),
(12362, 'en', 'panel', 'User Type Manager', 'User Type Manager', '2015-05-28 19:03:37'),
(12363, 'en', 'panel', 'New User Type', 'New User Type', '2015-05-28 19:03:37'),
(12364, 'en', 'common', 'User Type', 'User Type', '2019-08-06 06:09:56'),
(12365, 'en', 'common', 'Keywords Count', 'Keywords Count', '2019-08-06 06:09:56'),
(12366, 'en', 'common', 'Websites Count', 'Websites Count', '2019-08-06 06:09:56'),
(12367, 'en', 'common', 'Price', 'Price', '2019-08-06 06:09:56'),
(12368, 'en', 'common', 'New User Type', 'New User Type', '2019-08-06 06:09:56'),
(12369, 'en', 'common', 'Edit User Type', 'Edit User Type', '2019-08-06 06:09:56'),
(12370, 'en', 'website', 'User Type already exist', 'User Type already exist', '2015-05-28 19:03:37'),
(12371, 'en', 'common', 'Debug', 'Debug', '2019-08-06 06:09:56'),
(12372, 'en', 'subscription', 'Edit Payment Gateway', 'Edit Payment Gateway', '2015-05-28 19:03:37'),
(12373, 'en', 'subscription', 'Sandbox', 'Sandbox', '2015-05-28 19:03:37'),
(12374, 'en', 'subscription', 'PP_BUSINESS_EMAIL', 'Paypal Business Email', '2015-05-28 19:03:37'),
(12375, 'en', 'subscription', 'PP_TOKEN', 'Paypal Token', '2015-05-28 19:03:37'),
(12376, 'en', 'subscription', 'SP_PAYMENT_PLUGIN', 'Default Payment Plugin', '2015-05-28 19:03:37'),
(12377, 'en', 'subscription', 'Subscription', 'Subscription', '2015-05-28 19:03:37'),
(12378, 'en', 'subscription', 'Payment Method', 'Payment Method', '2015-05-28 19:03:37'),
(12379, 'ja', 'api', 'API Url', 'API URL', '2018-08-21 06:17:47'),
(12380, 'ja', 'common', 'Debug', 'デバッグ', '2019-05-25 18:40:02'),
(12381, 'ja', 'common', 'Edit User Type', 'ユーザタイプを編集', '2019-05-25 18:40:02'),
(12382, 'ja', 'common', 'Keywords Count', 'キーワードカウント', '2019-05-25 18:40:02'),
(12383, 'ja', 'common', 'New User Type', '新規ユーザタイプ', '2019-05-25 18:40:02'),
(12384, 'ja', 'common', 'Price', '価格', '2019-05-25 18:40:02'),
(12385, 'ja', 'common', 'User Type', 'ユーザタイプ', '2019-05-25 18:40:02'),
(12386, 'ja', 'common', 'Websites Count', 'ウェブサイトカウント', '2019-05-25 18:40:02'),
(12387, 'ja', 'panel', 'API Connection', 'API接続', '2019-04-01 09:46:57'),
(12388, 'ja', 'panel', 'API Manager', 'API管理', '2019-04-01 09:46:57'),
(12389, 'ja', 'panel', 'API Settings', 'API設定', '2019-04-01 09:46:57'),
(12390, 'ja', 'panel', 'New User Type', '新規ユーザタイプ', '2019-04-01 09:46:57'),
(12391, 'ja', 'panel', 'User Type Manager', 'ユーザタイプ管理', '2019-04-01 09:46:57'),
(12392, 'ja', 'settings', 'API_SECRET', 'APIシークレット', '2019-04-01 09:52:17'),
(12393, 'ja', 'settings', 'CHECK_MAX_PROXY_COUNT_IF_FAILED', '単一実行で使用する最大プロキシ数', '2019-04-01 09:52:17'),
(12394, 'ja', 'settings', 'SP_COMPANY_NAME', '会社名', '2019-04-01 09:52:17'),
(12395, 'ja', 'subscription', 'Edit Payment Gateway', 'ペイメントゲートウェイ編集', '2019-04-01 09:54:02'),
(12396, 'ja', 'subscription', 'Payment Method', '決済方法', '2019-04-01 09:54:02'),
(12397, 'ja', 'subscription', 'PP_BUSINESS_EMAIL', 'PaypalビジネスEメール', '2019-04-01 09:54:02'),
(12398, 'ja', 'subscription', 'PP_TOKEN', 'Paypalトークン', '2019-04-01 09:54:02'),
(12399, 'ja', 'subscription', 'Sandbox', 'サンドボックス', '2019-04-01 09:54:02'),
(12400, 'ja', 'subscription', 'SP_PAYMENT_PLUGIN', 'デフォルト決済プラグイン', '2019-04-01 09:54:02'),
(12401, 'ja', 'subscription', 'Subscription', 'サブスクリプション', '2019-04-01 09:54:02'),
(12402, 'ja', 'theme', 'Download Seo Panel Themes', 'Seo Panelテーマをダウンロード', '2015-05-29 05:22:35'),
(12403, 'ja', 'website', 'User Type already exist', '既に存在するユーザタイプです', '2019-04-01 09:57:11'),
(12404, 'fr', 'api', 'API Url', 'URL API', '2016-12-09 18:12:12'),
(12405, 'fr', 'common', 'Debug', 'Debug', '2020-02-14 11:05:11'),
(12406, 'fr', 'common', 'Edit User Type', 'Editer le type d\'utilisateur', '2020-02-14 11:05:11'),
(12407, 'fr', 'common', 'Keywords Count', 'Nombre de mots', '2020-02-14 11:05:11'),
(12408, 'fr', 'common', 'New User Type', 'Nouveau type d\'utilisateur', '2020-02-14 11:05:11'),
(12409, 'fr', 'common', 'Price', 'Prix', '2020-02-14 11:05:11'),
(12410, 'fr', 'common', 'User Type', 'Type d\'utilisateur', '2020-02-14 11:05:11'),
(12411, 'fr', 'common', 'Websites Count', 'Nombre de sites', '2020-02-14 11:05:11'),
(12412, 'fr', 'panel', 'API Connection', 'Connexion API', '2020-02-14 11:14:52'),
(12413, 'fr', 'panel', 'API Manager', 'Gestion API', '2020-02-14 11:14:52'),
(12414, 'fr', 'panel', 'API Settings', 'Paramètres API', '2020-02-14 11:14:52'),
(12415, 'fr', 'panel', 'Crawl Log Manager', 'Gestion des logs d\'indexation', '2020-02-14 11:14:52'),
(12416, 'fr', 'panel', 'New User Type', 'Nouveau type d\'utilisateur', '2020-02-14 11:14:52'),
(12417, 'fr', 'panel', 'User Type Manager', 'Gestion des types d\'utilisateur', '2020-02-14 11:14:52'),
(12418, 'fr', 'settings', 'API_SECRET', 'Code secret API', '2019-03-28 14:39:30'),
(12419, 'fr', 'settings', 'CHECK_MAX_PROXY_COUNT_IF_FAILED', 'Nombre maximum de proxys à utiliser pour une seule exécution', '2019-03-28 14:39:30'),
(12420, 'fr', 'settings', 'SP_COMPANY_NAME', 'Société', '2019-03-28 14:39:30');
INSERT INTO `texts` (`id`, `lang_code`, `category`, `label`, `content`, `changed`) VALUES
(12421, 'fr', 'subscription', 'Edit Payment Gateway', 'Editer la passerelle de paiement', '2019-03-28 14:42:59'),
(12422, 'fr', 'subscription', 'Payment Method', 'Méthode de paiement', '2019-03-28 14:42:59'),
(12423, 'fr', 'subscription', 'PP_BUSINESS_EMAIL', 'Mail Paypal Business', '2019-03-28 14:42:59'),
(12424, 'fr', 'subscription', 'PP_TOKEN', 'Token Paypal', '2019-03-28 14:42:59'),
(12425, 'fr', 'subscription', 'Sandbox', 'Sandbox', '2019-03-28 14:42:59'),
(12426, 'fr', 'subscription', 'SP_PAYMENT_PLUGIN', 'Module de paiement par défaut', '2019-03-28 14:42:59'),
(12427, 'fr', 'subscription', 'Subscription', 'Abonnement', '2019-03-28 14:42:59'),
(12428, 'fr', 'website', 'User Type already exist', 'Le type d\'utilisateur existe déjà.', '2019-03-28 14:44:58'),
(12429, 'bg', 'api', 'API Url', 'API Url', '2016-12-18 16:52:34'),
(12430, 'bg', 'common', 'Debug', 'Дебъг', '2019-05-25 18:00:14'),
(12431, 'bg', 'common', 'Edit User Type', 'Редакция на типа потребител', '2019-05-25 18:00:14'),
(12432, 'bg', 'common', 'Keywords Count', 'Брой ключови думи', '2019-05-25 18:00:14'),
(12433, 'bg', 'common', 'New User Type', 'Нов тип потребител', '2019-05-25 18:00:14'),
(12434, 'bg', 'common', 'Price', 'Цена', '2019-05-25 18:00:14'),
(12435, 'bg', 'common', 'User Type', 'Тип потребител', '2019-05-25 18:00:14'),
(12436, 'bg', 'common', 'Websites Count', 'Брой сайтове', '2019-05-25 18:00:14'),
(12437, 'bg', 'label', 'Cookie', 'Бисквитка', '2018-08-21 07:09:26'),
(12438, 'bg', 'label', 'Fail', 'Грешка', '2018-08-21 07:09:26'),
(12439, 'bg', 'label', 'Order By', 'Подреди по', '2018-08-21 07:09:26'),
(12440, 'bg', 'label', 'Reference', 'Препратка', '2018-08-21 07:09:26'),
(12441, 'bg', 'label', 'Referer', 'Референт', '2018-08-21 07:09:26'),
(12442, 'bg', 'label', 'Subject', 'Относно', '2018-08-21 07:09:26'),
(12443, 'bg', 'label', 'Success', 'Успешно', '2018-08-21 07:09:26'),
(12444, 'bg', 'label', 'User agent', 'Потребителски агент', '2018-08-21 07:09:26'),
(12445, 'bg', 'log', 'Clear All Logs', 'Изчисти всички логове', '2015-05-29 10:50:05'),
(12446, 'bg', 'log', 'Crawl Log Details', 'Логве на обхождане - детайли', '2015-05-29 10:50:05'),
(12447, 'bg', 'log', 'Post Fields', 'Публикувани полета', '2015-05-29 10:50:05'),
(12448, 'bg', 'panel', 'API Connection', 'API Връзка', '2018-08-21 07:14:04'),
(12449, 'bg', 'panel', 'API Manager', 'Управление на API', '2018-08-21 07:14:04'),
(12450, 'bg', 'panel', 'API Settings', 'API настройки', '2018-08-21 07:14:04'),
(12451, 'bg', 'panel', 'Crawl Log Manager', 'Управление на лога за обхождане', '2018-08-21 07:14:04'),
(12452, 'bg', 'panel', 'Log Manager', 'Управление на логовете', '2018-08-21 07:14:04'),
(12453, 'bg', 'panel', 'New User Type', 'Нов потребителкси тип', '2018-08-21 07:14:04'),
(12454, 'bg', 'panel', 'Proxy Perfomance', 'Proxy изпълнение', '2018-08-21 07:14:04'),
(12455, 'bg', 'panel', 'User Type Manager', 'Управление на типове потребители', '2018-08-21 07:14:04'),
(12456, 'bg', 'proxy', 'Request Count', 'Брой заявки', '2016-12-18 17:08:18'),
(12457, 'bg', 'settings', 'API_SECRET', 'API Тайна', '2018-08-21 07:24:42'),
(12458, 'bg', 'settings', 'CHECK_MAX_PROXY_COUNT_IF_FAILED', 'Максимален брой проксита, използвани за едно изпълнение', '2018-08-21 07:24:42'),
(12459, 'bg', 'settings', 'CHECK_WITH_ANOTHER_PROXY_IF_FAILED', 'Проверка с друго прокси, когато обхождането се провали', '2018-08-21 07:24:42'),
(12460, 'bg', 'settings', 'PROXY_DEACTIVATE_CRAWL', 'Деактивиране на проксито, когато обхождането се провали', '2018-08-21 07:24:42'),
(12461, 'bg', 'settings', 'SP_COMPANY_NAME', 'Име на компанията', '2018-08-21 07:24:42'),
(12462, 'bg', 'settings', 'SP_TIME_ZONE', 'Времева зона', '2018-08-21 07:24:42'),
(12463, 'bg', 'subscription', 'Edit Payment Gateway', 'Редакция на гейтуейя за плащания', '2018-08-21 07:40:35'),
(12464, 'bg', 'subscription', 'Payment Method', 'Начин на плащане', '2018-08-21 07:40:35'),
(12465, 'bg', 'subscription', 'PP_BUSINESS_EMAIL', 'Paypal Бизнес имейл', '2018-08-21 07:40:35'),
(12466, 'bg', 'subscription', 'PP_TOKEN', 'Paypal Токън', '2018-08-21 07:40:35'),
(12467, 'bg', 'subscription', 'Sandbox', 'Сендбокс', '2018-08-21 07:40:35'),
(12468, 'bg', 'subscription', 'SP_PAYMENT_PLUGIN', 'Плъгин за плащания по подразбиране', '2018-08-21 07:40:35'),
(12469, 'bg', 'subscription', 'Subscription', 'Абонамент', '2018-08-21 07:40:35'),
(12470, 'bg', 'website', 'User Type already exist', 'Потребителския тип вече съществува', '2016-12-18 17:19:36'),
(12471, 'ru', 'api', 'API Url', 'API Url', '2016-01-12 21:26:45'),
(12472, 'ru', 'common', 'Debug', 'Отладка', '2024-07-17 11:16:33'),
(12473, 'ru', 'common', 'Edit User Type', 'Изменение типа пользователя', '2024-07-17 11:16:33'),
(12474, 'ru', 'common', 'Keywords Count', 'Графа ключевые слова', '2024-07-17 11:16:33'),
(12475, 'ru', 'common', 'New User Type', 'Тип нового пользователя', '2024-07-17 11:16:33'),
(12476, 'ru', 'common', 'Price', 'Цена', '2024-07-17 11:16:33'),
(12477, 'ru', 'common', 'User Type', 'Тип пользователя', '2024-07-17 11:16:33'),
(12478, 'ru', 'common', 'Websites Count', 'Графа сайт', '2024-07-17 11:16:33'),
(12479, 'ru', 'panel', 'API Connection', 'Соединение с API', '2024-07-17 11:19:14'),
(12480, 'ru', 'panel', 'API Manager', 'Управление API', '2024-07-17 11:19:14'),
(12481, 'ru', 'panel', 'API Settings', 'Настройки API', '2024-07-17 11:19:14'),
(12482, 'ru', 'panel', 'New User Type', 'Тип нового пользователя', '2024-07-17 11:19:14'),
(12483, 'ru', 'panel', 'User Type Manager', 'Управление типами пользователей', '2024-07-17 11:19:14'),
(12484, 'ru', 'settings', 'API_SECRET', 'Ключ API', '2024-07-17 11:22:42'),
(12485, 'ru', 'settings', 'CHECK_MAX_PROXY_COUNT_IF_FAILED', 'Максимальное количество прокси используемых в одном исполнении', '2024-07-17 11:22:42'),
(12486, 'ru', 'settings', 'SP_COMPANY_NAME', 'Название компании', '2024-07-17 11:22:42'),
(12487, 'ru', 'subscription', 'Edit Payment Gateway', 'Изменить платежный шлюз', '2024-07-17 11:24:41'),
(12488, 'ru', 'subscription', 'Payment Method', 'Метод оплаты', '2024-07-17 11:24:41'),
(12489, 'ru', 'subscription', 'PP_BUSINESS_EMAIL', 'Платежный Email Paypal', '2024-07-17 11:24:41'),
(12490, 'ru', 'subscription', 'PP_TOKEN', 'Paypal токен', '2024-07-17 11:24:41'),
(12491, 'ru', 'subscription', 'Sandbox', 'Песочница', '2024-07-17 11:24:41'),
(12492, 'ru', 'subscription', 'SP_PAYMENT_PLUGIN', 'Платежный плагин по умолчанию', '2024-07-17 11:24:41'),
(12493, 'ru', 'subscription', 'Subscription', 'Подписка', '2024-07-17 11:24:41'),
(12494, 'ru', 'website', 'User Type already exist', 'Тип пользователя уже существует', '2019-08-28 09:09:29'),
(12495, 'de', 'api', 'API Url', 'API URL', '2021-01-07 08:34:06'),
(12496, 'de', 'common', 'Debug', 'Debugging', '2021-06-14 21:46:19'),
(12497, 'de', 'common', 'Edit User Type', 'Nutzertypen ändern', '2021-06-14 21:46:19'),
(12498, 'de', 'common', 'Keywords Count', 'Anzahl Keywords', '2021-06-14 21:46:19'),
(12499, 'de', 'common', 'New User Type', 'Neuer Nutzertyp', '2021-06-14 21:46:19'),
(12500, 'de', 'common', 'Price', 'Preis', '2021-06-14 21:46:19'),
(12501, 'de', 'common', 'User Type', 'Nutzertyp', '2021-06-14 21:46:19'),
(12502, 'de', 'common', 'Websites Count', 'Anzahl der Webseiten', '2021-06-14 21:46:19'),
(12503, 'de', 'panel', 'API Connection', 'API Verbindung', '2023-01-03 14:44:32'),
(12504, 'de', 'panel', 'API Manager', 'API Verwaltung', '2023-01-03 14:44:32'),
(12505, 'de', 'panel', 'API Settings', 'API Einstellungen', '2023-01-03 14:44:32'),
(12506, 'de', 'panel', 'New User Type', 'Neuer Nutzertyp', '2023-01-03 14:44:32'),
(12507, 'de', 'panel', 'User Type Manager', 'Benutzertyp Verwaltung', '2023-01-03 14:44:32'),
(12508, 'de', 'settings', 'API_SECRET', 'API Secret', '2021-01-08 08:28:43'),
(12509, 'de', 'settings', 'CHECK_MAX_PROXY_COUNT_IF_FAILED', 'Maximale Anzahl der Proxies die pro Ausführung genutzt werden', '2021-01-08 08:28:43'),
(12510, 'de', 'settings', 'SP_COMPANY_NAME', 'Firmenname', '2021-01-08 08:28:43'),
(12511, 'de', 'subscription', 'Edit Payment Gateway', 'Zahlungmittel ändern', '2021-01-29 09:00:38'),
(12512, 'de', 'subscription', 'Payment Method', 'Zahlungsmethode', '2021-01-29 09:00:38'),
(12513, 'de', 'subscription', 'PP_BUSINESS_EMAIL', 'Paypal Emailadresse', '2021-01-29 09:00:38'),
(12514, 'de', 'subscription', 'PP_TOKEN', 'Paypal Token', '2021-01-29 09:00:38'),
(12515, 'de', 'subscription', 'Sandbox', 'Sandbox', '2021-01-29 09:00:38'),
(12516, 'de', 'subscription', 'SP_PAYMENT_PLUGIN', 'Standard Zahlungs-Plugin', '2021-01-29 09:00:38'),
(12517, 'de', 'subscription', 'Subscription', 'Abonnement', '2021-01-29 09:00:38'),
(12518, 'de', 'website', 'User Type already exist', 'Nutzertyp bereits vorhanden', '2021-01-07 08:53:49'),
(12519, 'pt-br', 'api', 'API Url', 'URL da API', '2016-12-09 11:46:20'),
(12520, 'pt-br', 'common', 'Debug', 'Debug', '2019-07-29 20:26:27'),
(12521, 'pt-br', 'common', 'Edit User Type', 'Editar Tipo de Usuário', '2019-07-29 20:26:27'),
(12522, 'pt-br', 'common', 'Keywords Count', 'Contagem de Palavras-chave', '2019-07-29 20:26:27'),
(12523, 'pt-br', 'common', 'New User Type', 'Tipo do Novo Usuário', '2019-07-29 20:26:27'),
(12524, 'pt-br', 'common', 'Price', 'Preço', '2019-07-29 20:26:27'),
(12525, 'pt-br', 'common', 'User Type', 'Tipo de Usuário', '2019-07-29 20:26:27'),
(12526, 'pt-br', 'common', 'Websites Count', 'Contagem de Website', '2019-07-29 20:26:27'),
(12527, 'pt-br', 'label', 'Cookie', 'Cookie', '2018-08-21 14:54:11'),
(12528, 'pt-br', 'label', 'Fail', 'Falha', '2018-08-21 14:54:11'),
(12529, 'pt-br', 'label', 'Order By', 'Organizar Por', '2018-08-21 14:54:11'),
(12530, 'pt-br', 'label', 'Reference', 'Referência', '2018-08-21 14:54:11'),
(12531, 'pt-br', 'label', 'Referer', 'Indicador', '2018-08-21 14:54:11'),
(12532, 'pt-br', 'label', 'Subject', 'Assunto', '2018-08-21 14:54:11'),
(12533, 'pt-br', 'label', 'Success', 'Sucesso', '2018-08-21 14:54:11'),
(12534, 'pt-br', 'label', 'User agent', 'User agent', '2018-08-21 14:54:11'),
(12535, 'pt-br', 'log', 'Clear All Logs', 'Limpar Todos os Logs', '2016-01-04 11:43:11'),
(12536, 'pt-br', 'log', 'Crawl Log Details', 'Detalhes do Log de Rastreamento', '2016-01-04 11:43:11'),
(12537, 'pt-br', 'log', 'Post Fields', 'Campos de Postagem', '2016-01-04 11:43:11'),
(12538, 'pt-br', 'panel', 'API Connection', 'Conexação da API', '2018-01-23 13:32:33'),
(12539, 'pt-br', 'panel', 'API Manager', 'Gerenciador da API', '2018-01-23 13:32:33'),
(12540, 'pt-br', 'panel', 'API Settings', 'Configurações da API', '2018-01-23 13:32:33'),
(12541, 'pt-br', 'panel', 'Crawl Log Manager', 'Gerenciador do Log de Rastreamento', '2018-01-23 13:32:33'),
(12542, 'pt-br', 'panel', 'Log Manager', 'Gerenciador de Logs', '2018-01-23 13:32:33'),
(12543, 'pt-br', 'panel', 'New User Type', 'Tipo do Novo Usuário', '2018-01-23 13:32:33'),
(12544, 'pt-br', 'panel', 'Proxy Perfomance', 'Performance da Proxy', '2018-01-23 13:32:33'),
(12545, 'pt-br', 'panel', 'User Type Manager', 'Gerenciador do Tipo de Usuário', '2018-01-23 13:32:33'),
(12546, 'pt-br', 'settings', 'API_SECRET', 'API Secret', '2018-06-02 13:47:27'),
(12547, 'pt-br', 'settings', 'CHECK_MAX_PROXY_COUNT_IF_FAILED', 'Número máximos de proxies usados em uma única conexão', '2018-06-02 13:47:27'),
(12548, 'pt-br', 'settings', 'SP_COMPANY_NAME', 'Nome da Empresa', '2018-06-02 13:47:27'),
(12549, 'pt-br', 'settings', 'SP_TIME_ZONE', 'Fuso Horário', '2018-06-02 13:47:27'),
(12550, 'pt-br', 'subscription', 'Edit Payment Gateway', 'Editar Gateway de Pagamento', '2018-01-23 13:37:24'),
(12551, 'pt-br', 'subscription', 'Payment Method', 'Método de Pagamento', '2018-01-23 13:37:24'),
(12552, 'pt-br', 'subscription', 'PP_BUSINESS_EMAIL', 'Email do Paypal', '2018-01-23 13:37:24'),
(12553, 'pt-br', 'subscription', 'PP_TOKEN', 'Token do Paypal', '2018-01-23 13:37:24'),
(12554, 'pt-br', 'subscription', 'Sandbox', 'Sandbox', '2018-01-23 13:37:24'),
(12555, 'pt-br', 'subscription', 'SP_PAYMENT_PLUGIN', 'Plugin Padrão de Pagamento', '2018-01-23 13:37:24'),
(12556, 'pt-br', 'subscription', 'Subscription', 'Assinatura', '2018-01-23 13:37:24'),
(12557, 'pt-br', 'website', 'User Type already exist', 'Tipo de Usuário já existe', '2019-03-29 17:28:26'),
(12558, 'en', 'panel', 'Import Websites', 'Import Websites', '2016-01-02 17:20:42'),
(12559, 'en', 'website', 'Website CSV File', 'Website CSV File', '2016-01-02 17:20:42'),
(12560, 'en', 'website', 'Please enter CSV file', 'Please enter CSV file', '2016-01-02 17:20:42'),
(12561, 'en', 'common', 'Sample CSV File', 'Sample CSV File', '2019-08-06 06:09:56'),
(12562, 'en', 'label', 'Free', 'Free', '2016-01-02 17:20:42'),
(12563, 'en', 'subscription', 'Term', 'Term', '2016-01-02 17:20:42'),
(12564, 'en', 'subscription', 'Renew Subscription', 'Renew Subscription', '2016-01-02 17:20:42'),
(12565, 'en', 'subscription', 'Your transaction cancelled', 'Your transaction cancelled.', '2016-01-02 17:20:42'),
(12566, 'en', 'subscription', 'internal-error-payment', 'Internal error occured during payment processing.', '2016-01-02 17:20:42'),
(12567, 'en', 'subscription', 'account-expired', 'Your account expired. Please renew your subscription.', '2016-01-02 17:20:42'),
(12568, 'en', 'subscription', 'transaction-success', 'Your transaction processed successfully.', '2016-01-02 17:20:42'),
(12569, 'en', 'subscription', 'Plans and Pricing', 'Plans and Pricing', '2016-01-02 17:20:42'),
(12570, 'en', 'subscription', 'click-activate-pay-plugin', 'Click here to activate payment plugin', '2016-01-02 17:20:42'),
(12571, 'en', 'subscription', 'Currency', 'Currency', '2016-01-02 17:20:42'),
(12572, 'en', 'subscription', 'Website Limit', 'Website Limit', '2016-01-02 17:20:42'),
(12573, 'en', 'subscription', 'Keyword Limit', 'Keyword Limit', '2016-01-02 17:20:42'),
(12574, 'en', 'subscription', 'Subscribe', 'Subscribe', '2016-01-02 17:20:42'),
(12575, 'en', 'subscription', 'Quantity', 'Quantity', '2016-01-02 17:20:42'),
(12576, 'en', 'subscription', 'Amount', 'Amount', '2016-01-02 17:20:42'),
(12577, 'en', 'subscription', 'View Order', 'View Order', '2016-01-02 17:20:42'),
(12578, 'en', 'subscription', 'Paid By', 'Paid By', '2016-01-02 17:20:42'),
(12579, 'en', 'subscription', 'Transaction Log', 'Transaction Log', '2016-01-02 17:20:42'),
(12580, 'en', 'subscription', 'Transaction Id', 'Transaction Id', '2016-01-02 17:20:42'),
(12581, 'en', 'subscription', 'Order Id', 'Order Id', '2016-01-02 17:20:42'),
(12582, 'en', 'login', 'User Type', 'User Type', '2016-01-02 17:20:42'),
(12583, 'en', 'website', 'Your website count already reached the limit', 'Website count already reached the limit for this user!', '2016-01-02 17:20:42'),
(12584, 'en', 'keyword', 'Your keyword count already reached the limit', 'Keyword count already reached the limit for this user!', '2016-01-02 17:20:42'),
(12585, 'en', 'keyword', 'You can add only keywordcount keywords more', 'You can add only [keywordcount] keywords for this user!', '2016-01-02 17:20:42'),
(12586, 'en', 'website', 'You can add only websitecount websites more', 'You can add only [websitecount] websites for this user!', '2016-01-02 17:20:42'),
(12587, 'en', 'user', 'Expiry Date', 'Expiry Date', '2016-01-02 17:20:42'),
(12588, 'fr', 'keyword', 'You can add only keywordcount keywords more', 'Vous ne pouvez ajouter que [keywordcount] mots-clés pour cet utilisateur !', '2016-01-02 18:07:27'),
(12589, 'fr', 'keyword', 'Your keyword count already reached the limit', 'Le nombre maximum de mots-clés est déjà atteint pour cet utilisateur !', '2016-01-02 18:07:27'),
(12590, 'fr', 'label', 'Free', 'Dispo', '2020-02-14 11:12:40'),
(12591, 'fr', 'login', 'User Type', 'Type d\'utilisateur', '2019-03-28 12:14:28'),
(12592, 'fr', 'panel', 'Import Websites', 'Import sites web', '2020-02-14 11:14:52'),
(12593, 'fr', 'subscription', 'account-expired', 'Votre compte est expiré. Merci de renouveler votre abonnement.', '2019-03-28 14:42:59'),
(12594, 'fr', 'subscription', 'Amount', 'Montant', '2019-03-28 14:42:59'),
(12595, 'fr', 'subscription', 'click-activate-pay-plugin', 'Cliquez ici pour activer le module de paiement', '2019-03-28 14:42:59'),
(12596, 'fr', 'subscription', 'Currency', 'Monnaie', '2019-03-28 14:42:59'),
(12597, 'fr', 'subscription', 'internal-error-payment', 'Erreur technique lors du paiement.', '2019-03-28 14:42:59'),
(12598, 'fr', 'subscription', 'Keyword Limit', 'Limite mots clés', '2019-03-28 14:42:59'),
(12599, 'fr', 'subscription', 'Order Id', 'N° de Commande', '2019-03-28 14:42:59'),
(12600, 'fr', 'subscription', 'Paid By', 'Payé(e) par', '2019-03-28 14:42:59'),
(12601, 'fr', 'subscription', 'Plans and Pricing', 'Types d\'abonnement et tarif', '2019-03-28 14:42:59'),
(12602, 'fr', 'subscription', 'Quantity', 'Quantité', '2019-03-28 14:42:59'),
(12603, 'fr', 'subscription', 'Renew Subscription', 'Renouveler l\'abonnement', '2019-03-28 14:42:59'),
(12604, 'fr', 'subscription', 'Subscribe', 'Souscrire', '2019-03-28 14:42:59'),
(12605, 'fr', 'subscription', 'Term', 'Echéance', '2019-03-28 14:42:59'),
(12606, 'fr', 'subscription', 'Transaction Id', 'Id Transaction', '2019-03-28 14:42:59'),
(12607, 'fr', 'subscription', 'Transaction Log', 'Log de la transaction', '2019-03-28 14:42:59'),
(12608, 'fr', 'subscription', 'transaction-success', 'La transaction a été effectuée.', '2019-03-28 14:42:59'),
(12609, 'fr', 'subscription', 'View Order', 'Voir la commande', '2019-03-28 14:42:59'),
(12610, 'fr', 'subscription', 'Website Limit', 'Limite sites web', '2019-03-28 14:42:59'),
(12686, 'en', 'panel', 'Settings', 'Settings', '2016-01-05 21:19:45'),
(12687, 'en', 'subscription', 'Orders', 'Orders', '2016-01-05 21:19:45'),
(12612, 'fr', 'user', 'Expiry Date', 'Expiration', '2016-01-02 18:14:56'),
(12613, 'de', 'common', 'Sample CSV File', 'Beispiel CSV-Datei', '2021-06-14 21:46:19'),
(12614, 'de', 'keyword', 'You can add only keywordcount keywords more', 'Maximal [keywordcount] keywords erlaubt für diesen Benutzer', '2021-06-14 21:48:29'),
(12615, 'de', 'keyword', 'Your keyword count already reached the limit', 'Die Anzahl der Keywords für diesen Benutzer hat bereits das Maximum erreicht.', '2021-06-14 21:48:29'),
(12616, 'de', 'label', 'Free', 'Kostenlos', '2021-01-06 10:13:08'),
(12617, 'de', 'login', 'User Type', 'Benutzer-Typ', '2021-01-06 10:14:32'),
(12618, 'de', 'panel', 'Import Websites', 'Webseiten importieren', '2023-01-03 14:44:32'),
(12619, 'de', 'subscription', 'account-expired', 'Benutzerkonto inaktiv. Bitte verlängern Sie Ihr Abbonement.', '2021-01-29 09:00:38'),
(12620, 'de', 'subscription', 'Amount', 'Summe', '2021-01-29 09:00:38'),
(12621, 'de', 'subscription', 'click-activate-pay-plugin', 'Hier klicken um Zahlungs-plugin zu aktivieren', '2021-01-29 09:00:38'),
(12622, 'de', 'subscription', 'Currency', 'Währung', '2021-01-29 09:00:38'),
(12623, 'de', 'subscription', 'internal-error-payment', 'Interner Serverfehler während Verarbeitung der Zahlung.', '2021-01-29 09:00:38'),
(12624, 'de', 'subscription', 'Keyword Limit', 'Maximale Keywords', '2021-01-29 09:00:38'),
(12625, 'de', 'subscription', 'Order Id', 'Bestell-ID', '2021-01-29 09:00:38'),
(12626, 'de', 'subscription', 'Paid By', 'Zahlung gesendet von', '2021-01-29 09:00:38'),
(12627, 'de', 'subscription', 'Plans and Pricing', 'Pakete und Preise', '2021-01-29 09:00:38'),
(12628, 'de', 'subscription', 'Quantity', 'Anzahl', '2021-01-29 09:00:38'),
(12629, 'de', 'subscription', 'Renew Subscription', 'Abo verlängern', '2021-01-29 09:00:38'),
(12630, 'de', 'subscription', 'Subscribe', 'abonnieren', '2021-01-29 09:00:38'),
(12631, 'de', 'subscription', 'Term', 'Begriff', '2021-01-29 09:00:38'),
(12632, 'de', 'subscription', 'Transaction Id', 'Transaktions-ID', '2021-01-29 09:00:38'),
(12633, 'de', 'subscription', 'Transaction Log', 'Transaktions-Logbuch', '2021-01-29 09:00:38'),
(12634, 'de', 'subscription', 'transaction-success', 'Transaktion erfolgreich durchgeführt.', '2021-01-29 09:00:38'),
(12635, 'de', 'subscription', 'View Order', 'Bestellung ansehen', '2021-01-29 09:00:38'),
(12636, 'de', 'subscription', 'Website Limit', 'Webseiten Limit', '2021-01-29 09:00:38'),
(12688, 'en', 'subscription', 'Payment Gateway Manager', 'Payment Gateway Manager', '2016-01-05 21:19:45'),
(12638, 'de', 'user', 'Expiry Date', 'Ablaufdatum', '2016-01-02 23:30:39'),
(12639, 'de', 'website', 'Please enter CSV file', 'Bitte CSV Datei auswählen', '2021-01-07 08:53:49'),
(12640, 'de', 'website', 'Website CSV File', 'Webseiten CSV Datei', '2021-01-07 08:53:49'),
(12641, 'de', 'website', 'You can add only websitecount websites more', 'Maximal [websitecount] Webseiten erlaubt für diesen Benutzer', '2021-01-07 08:53:49'),
(12642, 'de', 'website', 'Your website count already reached the limit', 'Maximale Anzahl der Webseiten erreicht', '2021-01-07 08:53:49'),
(12643, 'ja', 'common', 'Sample CSV File', 'サンプルCSVファイル', '2019-05-25 18:40:02'),
(12644, 'ja', 'keyword', 'You can add only keywordcount keywords more', 'このユーザには、[keywordcount] 個のキーワードしか追加できません！', '2016-01-04 06:34:06'),
(12645, 'ja', 'keyword', 'Your keyword count already reached the limit', 'このユーザーは、既にキーワードの上限数に達しています。', '2016-01-04 06:34:06'),
(12646, 'ja', 'label', 'Free', 'フリー', '2019-04-01 09:45:51'),
(12647, 'ja', 'login', 'User Type', 'ユーザタイプ', '2018-08-21 06:29:48'),
(12648, 'ja', 'panel', 'Import Websites', 'ウェブサイトインポート', '2019-04-01 09:46:57'),
(12649, 'ja', 'subscription', 'account-expired', 'あなたのアカウントは期限が切れました。サブスクリプションを更新してください。', '2019-04-01 09:54:02'),
(12650, 'ja', 'subscription', 'Amount', '金額', '2019-04-01 09:54:02'),
(12651, 'ja', 'subscription', 'click-activate-pay-plugin', '支払プラグインを有効化するにはこちらをクリック', '2019-04-01 09:54:02'),
(12652, 'ja', 'subscription', 'Currency', '通貨', '2019-04-01 09:54:02'),
(12653, 'ja', 'subscription', 'internal-error-payment', '支払処理中に内部エラーが発生しました。', '2019-04-01 09:54:02'),
(12654, 'ja', 'subscription', 'Keyword Limit', 'キーワード上限', '2019-04-01 09:54:02'),
(12655, 'ja', 'subscription', 'Order Id', '注文ID', '2019-04-01 09:54:02'),
(12656, 'ja', 'subscription', 'Paid By', '支払者', '2019-04-01 09:54:02'),
(12657, 'ja', 'subscription', 'Plans and Pricing', 'プランと価格', '2019-04-01 09:54:02'),
(12658, 'ja', 'subscription', 'Quantity', '数量', '2019-04-01 09:54:02'),
(12659, 'ja', 'subscription', 'Renew Subscription', 'サブスクリプション更新', '2019-04-01 09:54:02'),
(12660, 'ja', 'subscription', 'Subscribe', 'サブスクリプション申込み', '2019-04-01 09:54:02'),
(12661, 'ja', 'subscription', 'Term', '期間', '2019-04-01 09:54:02'),
(12662, 'ja', 'subscription', 'Transaction Id', '決済ID', '2019-04-01 09:54:02'),
(12663, 'ja', 'subscription', 'Transaction Log', '決済記録', '2019-04-01 09:54:02'),
(12664, 'ja', 'subscription', 'transaction-success', '決済が正常に処理されました。', '2019-04-01 09:54:02'),
(12665, 'ja', 'subscription', 'View Order', '注文を見る', '2019-04-01 09:54:02'),
(12666, 'ja', 'subscription', 'Website Limit', 'ウェブサイト上限', '2019-04-01 09:54:02'),
(12667, 'ja', 'subscription', 'Your transaction cancelled', '決済が中止されました。', '2019-04-01 09:54:02'),
(12668, 'ja', 'user', 'Expiry Date', '失効日', '2016-01-04 06:41:28'),
(12669, 'ja', 'website', 'Please enter CSV file', 'CSVファイルを入力してください。', '2019-04-01 09:57:11'),
(12670, 'ja', 'website', 'Website CSV File', 'ウェブサイトCSVファイル', '2019-04-01 09:57:11'),
(12671, 'ja', 'website', 'You can add only websitecount websites more', 'このユーザには、[websitecount] 個のウェブサイトしか追加できません！', '2019-04-01 09:57:11'),
(12672, 'ja', 'website', 'Your website count already reached the limit', 'このユーザは、既にウェブサイトの上限数に達しています。', '2019-04-01 09:57:11'),
(12673, 'fr', 'website', 'Please enter CSV file', 'Veuillez indiquer le fichier CSV', '2019-03-28 14:44:58'),
(12674, 'fr', 'website', 'Website CSV File', 'Fichier CSV des sites web', '2019-03-28 14:44:58'),
(12675, 'fr', 'website', 'You can add only websitecount websites more', 'Vous ne pouvez ajouter que [websitecount] sites web pour cet utilisateur !', '2019-03-28 14:44:58'),
(12676, 'fr', 'website', 'Your website count already reached the limit', 'Le nombre maximum de sites web est atteint pour cet utilisateur !', '2019-03-28 14:44:58'),
(12677, 'fr', 'common', 'Sample CSV File', 'Exemple de fichier CSV', '2020-02-14 11:05:11'),
(12678, 'pt-br', 'common', 'Sample CSV File', 'Arquivo CSV Modelo', '2019-07-29 20:26:27'),
(12679, 'pt-br', 'keyword', 'You can add only keywordcount keywords more', 'Você pode adicionar somente [keywordcount] palavras chaves para este usuário!', '2016-01-04 11:42:09'),
(12680, 'pt-br', 'keyword', 'Your keyword count already reached the limit', 'Este usuário já atingiu o limite de palavras chaves!', '2016-01-04 11:42:09'),
(12681, 'pt-br', 'proxy', 'Request Count', 'Contagem de Requisições', '2016-12-09 11:48:39'),
(12682, 'pt-br', 'panel', 'Import Websites', 'Importar Sites', '2018-01-23 13:32:33'),
(12683, 'pt-br', 'login', 'User Type', 'Tipo de Usuário', '2016-01-04 11:42:58'),
(12684, 'pt-br', 'label', 'Free', 'Livre', '2018-08-21 14:54:11'),
(12685, 'de', 'subscription', 'Your transaction cancelled', 'Transaktion abgebrochen.', '2021-01-29 09:00:38'),
(12689, 'en', 'label', 'Type', 'Type', '2016-01-05 21:25:42'),
(12690, 'en', 'api', 'API Guide', 'API Guide', '2016-01-06 18:25:18'),
(12691, 'ru', 'api', 'API Guide', 'Руководство по API', '2016-01-12 21:26:45'),
(12692, 'ru', 'common', 'Sample CSV File', 'Образец CSV-файла', '2024-07-17 11:16:33'),
(12693, 'ru', 'keyword', 'You can add only keywordcount keywords more', 'Вы можете добавить только [ключевое слово] ключевые слова для данного пользователя!', '2016-01-12 21:28:48'),
(12694, 'ru', 'keyword', 'Your keyword count already reached the limit', 'Количество ключевых слов достигло предела для данного пользователя!', '2016-01-12 21:28:48'),
(12695, 'ru', 'label', 'Free', 'Свободно', '2024-07-17 11:17:22'),
(12696, 'ru', 'label', 'Type', 'Тип', '2024-07-17 11:17:22'),
(12697, 'ru', 'login', 'User Type', 'Тип пользователя', '2018-08-21 17:07:34'),
(12698, 'ru', 'panel', 'Import Websites', 'Импорт сайтов', '2024-07-17 11:19:14'),
(12699, 'ru', 'panel', 'Settings', 'Настройки', '2024-07-17 11:19:14'),
(12700, 'ru', 'subscription', 'account-expired', 'Ваша учетная запись истекла. Пожалуйста, продлите подписку.', '2024-07-17 11:24:41'),
(12701, 'ru', 'subscription', 'Amount', 'Сумма', '2024-07-17 11:24:41'),
(12702, 'ru', 'subscription', 'click-activate-pay-plugin', 'Нажмите для активизировации плагина оплаты', '2024-07-17 11:24:41'),
(12703, 'ru', 'subscription', 'Currency', 'Валюта', '2024-07-17 11:24:41'),
(12704, 'ru', 'subscription', 'internal-error-payment', 'Произошла внутренняя ошибка во время обработки платежа.', '2024-07-17 11:24:41'),
(12705, 'ru', 'subscription', 'Keyword Limit', 'Лимит ключевых слов', '2024-07-17 11:24:41'),
(12706, 'ru', 'subscription', 'Order Id', 'ID заказа', '2024-07-17 11:24:41'),
(12707, 'ru', 'subscription', 'Orders', 'Заказы', '2024-07-17 11:24:41'),
(12708, 'ru', 'subscription', 'Paid By', 'Оплачивается', '2024-07-17 11:24:41'),
(12709, 'ru', 'subscription', 'Payment Gateway Manager', 'Управление платежными шлюзами', '2024-07-17 11:24:41'),
(12710, 'ru', 'subscription', 'Plans and Pricing', 'Тарифы и цены', '2024-07-17 11:24:41'),
(12711, 'ru', 'subscription', 'Quantity', 'Количество', '2024-07-17 11:24:41'),
(12712, 'ru', 'subscription', 'Renew Subscription', 'Продлить подписку', '2024-07-17 11:24:41'),
(12713, 'ru', 'subscription', 'Subscribe', 'Подписка', '2024-07-17 11:24:41'),
(12714, 'ru', 'subscription', 'Term', 'Срок', '2024-07-17 11:24:41'),
(12715, 'ru', 'subscription', 'Transaction Id', 'ID трансзакции', '2024-07-17 11:24:41'),
(12716, 'ru', 'subscription', 'Transaction Log', 'Логи платежей', '2024-07-17 11:24:41'),
(12717, 'ru', 'subscription', 'transaction-success', 'Ваше сделка успешно обработана.', '2024-07-17 11:24:41'),
(12718, 'ru', 'subscription', 'View Order', 'Посмотреть заказ', '2024-07-17 11:24:41'),
(12719, 'ru', 'subscription', 'Website Limit', 'Лимит сайтов', '2024-07-17 11:24:41'),
(12720, 'ru', 'subscription', 'Your transaction cancelled', 'Сделка отменнена.', '2024-07-17 11:24:41'),
(12721, 'ru', 'user', 'Expiry Date', 'Срок действия', '2016-01-12 21:39:26'),
(12722, 'ru', 'website', 'Please enter CSV file', 'Пожалуйста загрузите CSV файл', '2019-08-28 09:09:29'),
(12723, 'ru', 'website', 'Website CSV File', 'CSV файл сайтов', '2019-08-28 09:09:29'),
(12724, 'ru', 'website', 'You can add only websitecount websites more', 'Вы не можете добавить сайт (сайты) для данного пользователя!', '2019-08-28 09:09:29'),
(12725, 'ru', 'website', 'Your website count already reached the limit', 'Количество сайтов уже достигло предела для данного пользователя!', '2019-08-28 09:09:29'),
(12726, 'pt', 'api', 'API Guide', 'Guia API', '2016-01-17 18:53:52'),
(12727, 'pt', 'api', 'API Url', 'API URL', '2016-01-17 18:53:52'),
(12728, 'pt', 'common', 'Debug', 'Debug', '2019-05-25 18:43:55'),
(12729, 'pt', 'common', 'Edit User Type', 'Editar tipo de Utilizador', '2019-05-25 18:43:55'),
(12730, 'pt', 'common', 'Keywords Count', 'Nº de Keywords', '2019-05-25 18:43:55'),
(12731, 'pt', 'common', 'New User Type', 'Novo tipo de Utilizador', '2019-05-25 18:43:55'),
(12732, 'pt', 'common', 'Price', 'Preço', '2019-05-25 18:43:55'),
(12733, 'pt', 'common', 'Sample CSV File', 'Ficheiro Csv amostra', '2019-05-25 18:43:55'),
(12734, 'pt', 'common', 'User Type', 'Tipo de Utilizador', '2019-05-25 18:43:55'),
(12735, 'pt', 'common', 'Websites Count', 'Nº de websites', '2019-05-25 18:43:55'),
(12736, 'pt', 'keyword', 'You can add only keywordcount keywords more', 'Só pode adicionar [keywordcount]  keywords para este utilizador!', '2016-01-17 19:11:49'),
(12737, 'pt', 'keyword', 'Your keyword count already reached the limit', 'O nº de Keyword atingiu o limite neste utilizador', '2016-01-17 19:11:49'),
(12738, 'pt', 'label', 'Free', 'Gratuito', '2018-01-25 19:11:22'),
(12739, 'pt', 'label', 'Type', 'Tipo', '2018-01-25 19:11:22'),
(12740, 'pt', 'login', 'User Type', 'Tipo de utilizador', '2016-01-17 19:13:26'),
(12741, 'pt', 'panel', 'API Connection', 'Conecção da API', '2018-01-25 19:18:33'),
(12742, 'pt', 'panel', 'API Manager', 'API Manager	', '2018-01-25 19:18:33'),
(12743, 'pt', 'panel', 'API Settings', 'API Settings	', '2018-01-25 19:18:33'),
(12744, 'pt', 'panel', 'Import Websites', 'Importar websites', '2018-01-25 19:18:33'),
(12745, 'pt', 'panel', 'New User Type', 'Novo tipo de Utilizador', '2018-01-25 19:18:33'),
(12746, 'pt', 'panel', 'Settings', 'Definições', '2018-01-25 19:18:33'),
(12747, 'pt', 'panel', 'User Type Manager', 'Definiçodes de Tipo de Utilizador', '2018-01-25 19:18:33'),
(12748, 'pt', 'settings', 'API_SECRET', 'API password', '2018-01-25 19:23:30'),
(12749, 'pt', 'settings', 'CHECK_MAX_PROXY_COUNT_IF_FAILED', 'Numero Máximo de proxies utilizado de uma só vez', '2018-01-25 19:23:30'),
(12750, 'pt', 'settings', 'SP_COMPANY_NAME', 'Nome da Empresa', '2018-01-25 19:23:30'),
(12751, 'pt', 'website', 'Please enter CSV file', 'Por Favor introduzir o ficheiro CSV', '2016-01-17 19:19:53'),
(12752, 'pt', 'website', 'User Type already exist', 'O tipo de utilizador já existe', '2016-01-17 19:19:53'),
(12753, 'pt', 'website', 'Website CSV File', 'Ficheiro CSV do website', '2016-01-17 19:19:53'),
(12754, 'pt', 'website', 'You can add only websitecount websites more', 'Só pode utilizar [websitecount] websites neste utilizador!', '2016-01-17 19:19:53'),
(12755, 'pt', 'website', 'Your website count already reached the limit', 'Já chegou ao limite de websites para este utilizador', '2016-01-17 19:19:53'),
(12756, 'pt', 'user', 'Expiry Date', 'Data de Expiração', '2016-01-17 19:20:08'),
(12757, 'pt', 'subscription', 'account-expired', 'A sua conta expirou. Por favor renove a sua subscrição.', '2018-01-25 19:26:54'),
(12758, 'pt', 'subscription', 'Amount', 'Valor a pagar', '2018-01-25 19:26:54'),
(12759, 'pt', 'subscription', 'click-activate-pay-plugin', 'Click aqui para activar o plugin de pagamento', '2018-01-25 19:26:54'),
(12760, 'pt', 'subscription', 'Currency', 'Moeda', '2018-01-25 19:26:54'),
(12761, 'pt', 'subscription', 'Edit Payment Gateway', 'Editar a gateway de pagamento', '2018-01-25 19:26:54'),
(12762, 'pt', 'subscription', 'internal-error-payment', 'Ocurreu um erro interno durante o processamento do pagamento', '2018-01-25 19:26:54'),
(12763, 'pt', 'subscription', 'Keyword Limit', 'Limite de Keyword', '2018-01-25 19:26:54'),
(12764, 'pt', 'subscription', 'Order Id', 'Nº do pedido', '2018-01-25 19:26:54'),
(12765, 'pt', 'subscription', 'Orders', 'Pedidos', '2018-01-25 19:26:54'),
(12766, 'pt', 'subscription', 'Paid By', 'Pago por', '2018-01-25 19:26:54'),
(12767, 'pt', 'subscription', 'Payment Gateway Manager', 'Gestor de gateways de pagamentos', '2018-01-25 19:26:54'),
(12768, 'pt', 'subscription', 'Payment Method', 'Método de pagamento', '2018-01-25 19:26:54'),
(12769, 'pt', 'subscription', 'Plans and Pricing', 'Planos e preços', '2018-01-25 19:26:54'),
(12770, 'pt', 'subscription', 'PP_BUSINESS_EMAIL', 'Email do Paypal', '2018-01-25 19:26:54'),
(12771, 'pt', 'subscription', 'PP_TOKEN', 'Paypal token', '2018-01-25 19:26:54'),
(12772, 'pt', 'subscription', 'Quantity', 'Quantidade', '2018-01-25 19:26:54'),
(12773, 'pt', 'subscription', 'Renew Subscription', 'Renovar subscrição', '2018-01-25 19:26:54'),
(12774, 'pt', 'subscription', 'Sandbox', 'Sandbox', '2018-01-25 19:26:54'),
(12775, 'pt', 'subscription', 'SP_PAYMENT_PLUGIN', '', '2018-01-25 19:26:54'),
(12776, 'pt', 'subscription', 'Subscribe', 'Subscrever', '2018-01-25 19:26:54'),
(12777, 'pt', 'subscription', 'Subscription', 'Subscrição', '2018-01-25 19:26:54'),
(12778, 'pt', 'subscription', 'Term', 'Termos', '2018-01-25 19:26:54'),
(12779, 'pt', 'subscription', 'Transaction Id', 'Nº de transacção', '2018-01-25 19:26:54'),
(12780, 'pt', 'subscription', 'Transaction Log', 'Histórico das Transações', '2018-01-25 19:26:54'),
(12781, 'pt', 'subscription', 'transaction-success', 'A sua Transacção foi processada com sucesso', '2018-01-25 19:26:54'),
(12782, 'pt', 'subscription', 'View Order', 'Ver a encomenda', '2018-01-25 19:26:54'),
(12783, 'pt', 'subscription', 'Website Limit', 'Limite de websites', '2018-01-25 19:26:54'),
(12784, 'pt', 'subscription', 'Your transaction cancelled', 'A sua transacção foi cancelada.', '2018-01-25 19:26:54'),
(12785, 'el', 'api', 'API Guide', 'Οδηγός API', '2018-05-24 08:25:43'),
(12786, 'el', 'api', 'API Url', 'API Url', '2018-05-24 08:25:43'),
(12787, 'el', 'common', 'Debug', 'Debug', '2019-08-28 05:40:52'),
(12788, 'el', 'common', 'Edit User Type', 'Επεξεργασία Τύπου Χρήστη', '2019-08-28 05:40:52'),
(12789, 'el', 'common', 'Keywords Count', 'Αριθμός Λέξεων Κλειδιών', '2019-08-28 05:40:52'),
(12790, 'el', 'common', 'New User Type', 'Νέος Τύπος Χρήστη', '2019-08-28 05:40:52'),
(12791, 'el', 'common', 'Price', 'Κόστος', '2019-08-28 05:40:52'),
(12792, 'el', 'common', 'Sample CSV File', 'Δείγμα CSV Αρχείου', '2019-08-28 05:40:52'),
(12793, 'el', 'common', 'User Type', 'Τύπος Χρήστη', '2019-08-28 05:40:52'),
(12794, 'el', 'common', 'Websites Count', 'Αριθμός Website', '2019-08-28 05:40:52'),
(12795, 'el', 'keyword', 'You can add only keywordcount keywords more', 'Μπορείτε να προσθέσετε μόνο [keywordcount] λέξεις κλειδιά για αυτό το χρήστη!	', '2016-01-27 08:02:49'),
(12796, 'el', 'keyword', 'Your keyword count already reached the limit', 'Ο αριθμός λέξεων κλειδιών έφτασε στο όριο για αυτόν το χρήστη!', '2016-01-27 08:02:49'),
(12797, 'el', 'label', 'Cookie', 'Cookie', '2019-11-28 18:22:10'),
(12798, 'el', 'label', 'Fail', 'Αποτυχία', '2019-11-28 18:22:10'),
(12799, 'el', 'label', 'Free', 'Δωρεάν', '2019-11-28 18:22:10'),
(12800, 'el', 'label', 'Order By', 'Ταξινόμηση Ανά', '2019-11-28 18:22:10'),
(12801, 'el', 'label', 'Reference', 'Αναφορά', '2019-11-28 18:22:10'),
(12802, 'el', 'label', 'Referer', 'Πηγή', '2019-11-28 18:22:10'),
(12803, 'el', 'label', 'Subject', 'Θέμα', '2019-11-28 18:22:10'),
(12804, 'el', 'label', 'Success', 'Επιτυχία', '2019-11-28 18:22:10'),
(12805, 'el', 'label', 'Type', 'Τύπος', '2019-11-28 18:22:10'),
(12806, 'el', 'label', 'User agent', 'Πράκτορας χρήστη', '2019-11-28 18:22:10'),
(12807, 'el', 'log', 'Clear All Logs', 'Καθαρισμός Όλων των Logs', '2016-01-27 08:04:26'),
(12808, 'el', 'log', 'Crawl Log Details', 'Crawl Log Details', '2016-01-27 08:04:26'),
(12809, 'el', 'log', 'Post Fields', 'Post Fields', '2016-01-27 08:04:26'),
(12810, 'el', 'login', 'User Type', 'Τύπος Χρήστη', '2018-08-23 06:13:36'),
(12811, 'el', 'panel', 'API Connection', 'API Connection	', '2019-08-28 05:42:17'),
(12812, 'el', 'panel', 'API Manager', 'API Manager	', '2019-08-28 05:42:17'),
(12813, 'el', 'panel', 'API Settings', 'API Settings	', '2019-08-28 05:42:17'),
(12814, 'el', 'panel', 'Crawl Log Manager', 'Crawl Log Manager	', '2019-08-28 05:42:17'),
(12815, 'el', 'panel', 'Import Websites', 'Εισαγωγή Websites', '2019-08-28 05:42:17'),
(12816, 'el', 'panel', 'Log Manager', 'Log Manager	', '2019-08-28 05:42:17'),
(12817, 'el', 'panel', 'New User Type', 'Νέος Τύπος Χρήστη', '2019-08-28 05:42:17'),
(12818, 'el', 'panel', 'Proxy Perfomance', 'Proxy Perfomance', '2019-08-28 05:42:17'),
(12819, 'el', 'panel', 'Settings', 'Ρυθμίσεις', '2019-08-28 05:42:17'),
(12820, 'el', 'panel', 'User Type Manager', 'Διαχειριστής Τύπων Χρήστη', '2019-08-28 05:42:17'),
(12821, 'el', 'proxy', 'Request Count', 'Request Count', '2016-12-29 13:06:18'),
(12822, 'el', 'settings', 'API_SECRET', 'API Secret', '2019-08-28 05:43:40'),
(12823, 'el', 'settings', 'CHECK_MAX_PROXY_COUNT_IF_FAILED', 'Maximum number of proxies used in single execution', '2019-08-28 05:43:40'),
(12824, 'el', 'settings', 'SP_COMPANY_NAME', 'Όνομα Εταιρείας', '2019-08-28 05:43:40'),
(12825, 'el', 'settings', 'SP_TIME_ZONE', 'Ζώνη Ώρας', '2019-08-28 05:43:40'),
(12826, 'el', 'subscription', 'account-expired', 'Ο λογαριασμός σας έχει λήξει. Παρακαλώ ανανεώστε τη συνδρομή σας.', '2019-11-28 18:11:38'),
(12827, 'el', 'subscription', 'Amount', 'Ποσό', '2019-11-28 18:11:38'),
(12828, 'el', 'subscription', 'click-activate-pay-plugin', 'Κλικ για να ενεργοποιήσετε το plugin πληρωμής', '2019-11-28 18:11:38'),
(12829, 'el', 'subscription', 'Currency', 'Νόμισμα', '2019-11-28 18:11:38'),
(12830, 'el', 'subscription', 'Edit Payment Gateway', 'Επεξεργασία Payment Gateway', '2019-11-28 18:11:38'),
(12831, 'el', 'subscription', 'internal-error-payment', 'Εσωτερικό σφάλμα κατά την διαδικασία πληρωμής.', '2019-11-28 18:11:38'),
(12832, 'el', 'subscription', 'Keyword Limit', 'Όριο Λέξεων', '2019-11-28 18:11:38'),
(12833, 'el', 'subscription', 'Order Id', 'Id Παραγγελίας', '2019-11-28 18:11:38'),
(12834, 'el', 'subscription', 'Orders', 'Παραγγελίες', '2019-11-28 18:11:38'),
(12835, 'el', 'subscription', 'Paid By', 'Πληρώθηκε Από', '2019-11-28 18:11:38'),
(12836, 'el', 'subscription', 'Payment Gateway Manager', 'Payment Gateway Manager', '2019-11-28 18:11:38'),
(12837, 'el', 'subscription', 'Payment Method', 'Μέθοδος Πληρωμής', '2019-11-28 18:11:38'),
(12838, 'el', 'subscription', 'Plans and Pricing', 'Πακέτα και Κόστος', '2019-11-28 18:11:38'),
(12839, 'el', 'subscription', 'PP_BUSINESS_EMAIL', 'Paypal Business Email', '2019-11-28 18:11:38'),
(12840, 'el', 'subscription', 'PP_TOKEN', 'Paypal Token', '2019-11-28 18:11:38'),
(12841, 'el', 'subscription', 'Quantity', 'Ποσότητα', '2019-11-28 18:11:38'),
(12842, 'el', 'subscription', 'Renew Subscription', 'Ανανέωση Συνδρομής', '2019-11-28 18:11:38'),
(12843, 'el', 'subscription', 'Sandbox', 'Sandbox', '2019-11-28 18:11:38'),
(12844, 'el', 'subscription', 'SP_PAYMENT_PLUGIN', 'Default Payment Plugin', '2019-11-28 18:11:38'),
(12845, 'el', 'subscription', 'Subscribe', 'Εγγραφή', '2019-11-28 18:11:38'),
(12846, 'el', 'subscription', 'Subscription', 'Συνδρομή', '2019-11-28 18:11:38'),
(12847, 'el', 'subscription', 'Term', 'Όρος', '2019-11-28 18:11:38'),
(12848, 'el', 'subscription', 'Transaction Id', 'Id Συναλλαγής', '2019-11-28 18:11:38'),
(12849, 'el', 'subscription', 'Transaction Log', 'Transaction Log', '2019-11-28 18:11:38'),
(12850, 'el', 'subscription', 'transaction-success', 'Η συναλλαγή σας πραγματοποιήθηκε επιτυχώς.', '2019-11-28 18:11:38'),
(12851, 'el', 'subscription', 'View Order', 'Σειρά Προβολής', '2019-11-28 18:11:38'),
(12852, 'el', 'subscription', 'Website Limit', 'Όριο Website', '2019-11-28 18:11:38'),
(12853, 'el', 'subscription', 'Your transaction cancelled', 'Η συναλλαγή σας ακυρώθηκε.', '2019-11-28 18:11:38'),
(12854, 'el', 'user', 'Expiry Date', 'Ημερομηνία Λήξης', '2016-01-27 08:13:11'),
(12855, 'el', 'website', 'Please enter CSV file', 'Παρακαλώ εισάγετε αρχείο CSV', '2019-08-28 05:44:53'),
(12856, 'el', 'website', 'User Type already exist', 'Ο Τύπος χρήστη ήδη υπάρχει', '2019-08-28 05:44:53'),
(12857, 'el', 'website', 'Website CSV File', 'Αρχείο CSV website', '2019-08-28 05:44:53'),
(12858, 'el', 'website', 'You can add only websitecount websites more', 'Μπορείτε να προσθέσετε μόνο [websitecount] websites για αυτό το χρήστη!', '2019-08-28 05:44:53'),
(12859, 'el', 'website', 'Your website count already reached the limit', 'Αυτός ο χρήστης έχει φτάσει στο όριο των website!', '2019-08-28 05:44:53'),
(12860, 'en', 'siteauditor', 'Check pagerank of pages', 'Check pagerank of pages', '2016-06-14 21:22:30'),
(12861, 'en', 'panel', 'MOZ Settings', 'MOZ Settings', '2016-06-14 21:22:30'),
(12862, 'en', 'settings', 'Verify connection', 'Verify connection', '2016-06-14 21:22:30'),
(12863, 'en', 'proxy', 'click-to-get-proxy', 'Click here to get proxy', '2016-06-14 21:22:30'),
(12864, 'en', 'settings', 'SP_MOZ_API_ACCESS_ID', 'Access ID', '2016-06-14 21:22:30'),
(12865, 'en', 'settings', 'SP_MOZ_API_SECRET', 'Secret Key', '2016-06-14 21:22:30'),
(12866, 'en', 'settings', 'click-to-get-moz-account', 'Click here to get MOZ account', '2016-06-14 21:22:30'),
(12867, 'en', 'common', 'MOZ Rank', 'MOZ Rank', '2016-06-14 21:22:30'),
(12868, 'en', 'common', 'Pagerank', 'Pagerank', '2016-06-14 21:22:30'),
(12869, 'en', 'common', 'Page Authority', 'Page Authority', '2016-12-09 08:59:56'),
(12870, 'en', 'common', 'Domain Authority', 'Domain Authority', '2016-12-09 08:59:56'),
(12871, 'en', 'siteauditor', 'The page is having excellent page authority value', 'The page has excellent page authority value', '2016-12-09 08:59:56'),
(12872, 'en', 'siteauditor', 'The page is having very good page authority value', 'The page has very good page authority value', '2016-12-09 08:59:56'),
(12873, 'en', 'siteauditor', 'The page is having good page authority value', 'The page has good page authority value', '2016-12-09 08:59:56'),
(12874, 'en', 'siteauditor', 'The page is having poor page authority value', 'The page has poor page authority value', '2016-12-09 08:59:56'),
(12875, 'it', 'api', 'API Guide', 'Guida API', '2016-12-09 09:15:35'),
(12876, 'it', 'api', 'API Url', 'URL API', '2016-12-09 09:15:35'),
(12877, 'it', 'common', 'Debug', 'Debug', '2022-07-11 11:16:48'),
(12878, 'it', 'common', 'Domain Authority', 'Authority dominio', '2022-07-11 11:16:48'),
(12879, 'it', 'common', 'Edit User Type', 'Moditica tipo utente', '2022-07-11 11:16:48'),
(12880, 'it', 'common', 'Keywords Count', 'Conteggio keywords', '2022-07-11 11:16:48'),
(12881, 'it', 'common', 'MOZ Rank', 'Rank MOZ', '2022-07-11 11:16:48'),
(12882, 'it', 'common', 'New User Type', 'Nuovo tipo utente', '2022-07-11 11:16:48'),
(12883, 'it', 'common', 'Page Authority', 'Authority pagina', '2022-07-11 11:16:48'),
(12884, 'it', 'common', 'Pagerank', 'Pagerank', '2022-07-11 11:16:48'),
(12885, 'it', 'common', 'Price', 'Prezzo', '2022-07-11 11:16:48'),
(12886, 'it', 'common', 'Sample CSV File', 'Modello di file CSV', '2022-07-11 11:16:48'),
(12887, 'it', 'common', 'User Type', 'Tipo utente', '2022-07-11 11:16:48'),
(12888, 'it', 'common', 'Websites Count', 'Conteggio sito web', '2022-07-11 11:16:48'),
(12889, 'it', 'keyword', 'You can add only keywordcount keywords more', 'Puoi aggiungere solo [keywordcount] keywords per questo utente!', '2016-12-09 09:18:13'),
(12890, 'it', 'keyword', 'Your keyword count already reached the limit', 'Il numero massimo di keyword è già stato raggiunto per questo utente!', '2016-12-09 09:18:13'),
(12891, 'it', 'label', 'Free', 'Gratis', '2022-07-11 11:17:58'),
(12892, 'it', 'label', 'Type', 'Tipo', '2022-07-11 11:17:58'),
(12893, 'it', 'login', 'User Type', 'Tipo utente', '2018-08-21 07:07:40'),
(12894, 'it', 'panel', 'API Connection', 'Connessione API', '2022-07-11 11:20:07'),
(12895, 'it', 'panel', 'API Manager', 'Gestione API', '2022-07-11 11:20:07'),
(12896, 'it', 'panel', 'API Settings', 'Impostazioni API', '2022-07-11 11:20:07'),
(12897, 'it', 'panel', 'Import Websites', 'Importa sito web', '2022-07-11 11:20:07'),
(12898, 'it', 'panel', 'MOZ Settings', 'Impostazioni MOZ', '2022-07-11 11:20:07'),
(12899, 'it', 'panel', 'New User Type', 'Nuovo tipo utente', '2022-07-11 11:20:07'),
(12900, 'it', 'panel', 'Settings', 'Impostazioni', '2022-07-11 11:20:07'),
(12901, 'it', 'panel', 'User Type Manager', 'Gestione tipo utente', '2022-07-11 11:20:07'),
(12902, 'it', 'proxy', 'click-to-get-proxy', 'Clica quì per prelevare il proxy', '2016-12-09 09:20:46'),
(12903, 'it', 'settings', 'API_SECRET', 'Chiave segreta API', '2018-08-21 07:16:32'),
(12904, 'it', 'settings', 'CHECK_MAX_PROXY_COUNT_IF_FAILED', 'Numero massimo di proxy utilizzati per singola esecuzione', '2018-08-21 07:16:32'),
(12905, 'it', 'settings', 'click-to-get-moz-account', 'Clicca quì per prelevare l\'account MOZ', '2018-08-21 07:16:32'),
(12906, 'it', 'settings', 'SP_COMPANY_NAME', 'Nome azienda', '2018-08-21 07:16:32'),
(12907, 'it', 'settings', 'SP_MOZ_API_ACCESS_ID', 'ID di accesso', '2018-08-21 07:16:32'),
(12908, 'it', 'settings', 'SP_MOZ_API_SECRET', 'Chiave segreta', '2018-08-21 07:16:32'),
(12909, 'it', 'settings', 'Verify connection', 'Verifica connessione', '2018-08-21 07:16:32'),
(12910, 'it', 'siteauditor', 'Check pagerank of pages', 'Controlla il page rank per le pagine', '2018-08-21 07:14:08'),
(12911, 'it', 'siteauditor', 'The page is having excellent page authority value', 'Questa pagina ha un\'eccellente valore di authority', '2018-08-21 07:14:08'),
(12912, 'it', 'siteauditor', 'The page is having good page authority valu', 'Questa pagina ha un buon  valore di authority', '2016-12-09 09:23:32'),
(12913, 'it', 'siteauditor', 'The page is having poor page authority value', 'Questa pagina ha un povero valore di authority', '2018-08-21 07:14:08'),
(12914, 'it', 'siteauditor', 'The page is having very good page authority value', 'Questa pagina ha un buonissimo valore di authority', '2018-08-21 07:14:08'),
(12915, 'pt-br', 'api', 'API Guide', 'Guia da API', '2016-12-09 11:46:20'),
(12916, 'pt-br', 'common', 'Domain Authority', 'Autoridade do Domínio', '2019-07-29 20:26:27'),
(12917, 'pt-br', 'common', 'MOZ Rank', 'Rank MOZ', '2019-07-29 20:26:27'),
(12918, 'pt-br', 'common', 'Page Authority', 'Autoridade da Página', '2019-07-29 20:26:27'),
(12919, 'pt-br', 'common', 'Pagerank', 'Pagerank', '2019-07-29 20:26:27'),
(12920, 'pt-br', 'label', 'Type', 'Tipo', '2018-08-21 14:54:11'),
(12921, 'pt-br', 'panel', 'MOZ Settings', 'Configurações MOZ', '2018-01-23 13:32:33'),
(12922, 'pt-br', 'panel', 'Settings', 'Configurações', '2018-01-23 13:32:33'),
(12923, 'pt-br', 'proxy', 'click-to-get-proxy', 'Clique aqui para selecionar proxy', '2016-12-09 11:48:39'),
(12924, 'pt-br', 'settings', 'click-to-get-moz-account', 'Clique aqui para selecionar a conta do MOZ', '2018-06-02 13:47:27'),
(12925, 'pt-br', 'settings', 'SP_MOZ_API_ACCESS_ID', 'ID de acesso', '2018-06-02 13:47:27'),
(12926, 'pt-br', 'settings', 'SP_MOZ_API_SECRET', 'Chave de Acesso', '2018-06-02 13:47:27'),
(12927, 'pt-br', 'settings', 'Verify connection', 'Verificar conexão', '2018-06-02 13:47:27'),
(12928, 'ru', 'common', 'Domain Authority', 'Авторитет домена', '2024-07-17 11:16:33'),
(12929, 'ru', 'common', 'MOZ Rank', 'Рейтинг MOZ', '2024-07-17 11:16:33'),
(12930, 'ru', 'common', 'Page Authority', 'Авторитет страницы', '2024-07-17 11:16:33'),
(12931, 'ru', 'common', 'Pagerank', 'Pagerank', '2024-07-17 11:16:33'),
(12932, 'ru', 'panel', 'MOZ Settings', 'Настройка MOZ', '2024-07-17 11:19:14'),
(12933, 'ru', 'proxy', 'click-to-get-proxy', 'Нажмите для получения прокси', '2016-12-09 16:23:58'),
(12934, 'ru', 'settings', 'click-to-get-moz-account', 'Нажмите для регистрации в MOZ', '2024-07-17 11:22:42'),
(12935, 'ru', 'settings', 'SP_MOZ_API_ACCESS_ID', 'ID доступа', '2024-07-17 11:22:42'),
(12936, 'ru', 'settings', 'SP_MOZ_API_SECRET', 'Secret Key', '2024-07-17 11:22:42'),
(12937, 'ru', 'settings', 'Verify connection', 'Проверить соединение', '2024-07-17 11:22:42'),
(12938, 'ru', 'siteauditor', 'Check pagerank of pages', 'Проверить pagerank страниц', '2017-07-13 16:51:34'),
(12939, 'ru', 'siteauditor', 'The page is having excellent page authority value', 'Страница с отличным соотношением полномочий страницы', '2017-07-13 16:51:34'),
(12940, 'ru', 'siteauditor', 'The page is having good page authority valu', 'Страница с хорошим авторитетом', '2016-12-09 16:27:44'),
(12941, 'ru', 'siteauditor', 'The page is having poor page authority value', 'Страница с плохим авторитетом', '2017-07-13 16:51:34'),
(12942, 'ru', 'siteauditor', 'The page is having very good page authority value', 'Страница с очень хорошим соотношением авторитетом страниц', '2017-07-13 16:51:34'),
(12943, 'fr', 'subscription', 'Orders', 'Commandes', '2019-03-28 14:42:59'),
(12944, 'fr', 'subscription', 'Payment Gateway Manager', 'Gestion de la passerelle de paiement', '2019-03-28 14:42:59'),
(12945, 'fr', 'subscription', 'Your transaction cancelled', 'La transaction est annulée.', '2019-03-28 14:42:59'),
(12946, 'fr', 'siteauditor', 'Check pagerank of pages', 'Vérifier le pagerank des pages', '2018-01-22 22:56:01'),
(12947, 'fr', 'siteauditor', 'The page is having excellent page authority value', 'La page a une excellente valeur page authority', '2018-01-22 22:56:01'),
(12948, 'fr', 'siteauditor', 'The page is having good page authority valu', 'La page a une bonne valeur page autority', '2016-12-09 18:03:26'),
(12949, 'fr', 'siteauditor', 'The page is having poor page authority value', 'La page a une valeur page authority faible', '2018-01-22 22:56:01'),
(12950, 'fr', 'siteauditor', 'The page is having very good page authority value', 'La page a très bonne valeur page authority', '2018-01-22 22:56:01'),
(12951, 'fr', 'settings', 'click-to-get-moz-account', 'Cliquer ici pour obtenir un compte MOZ', '2019-03-28 14:39:30'),
(12952, 'fr', 'settings', 'SP_MOZ_API_ACCESS_ID', 'Identifiant Access ID', '2019-03-28 14:39:30'),
(12953, 'fr', 'settings', 'SP_MOZ_API_SECRET', 'Clé secrète (Secret Key)', '2019-03-28 14:39:30'),
(12954, 'fr', 'settings', 'Verify connection', 'Vérifier la connexion', '2019-03-28 14:39:30'),
(12955, 'fr', 'proxy', 'click-to-get-proxy', 'Cliquer ici pour obtenir un proxy', '2016-12-09 18:07:31'),
(12956, 'fr', 'panel', 'MOZ Settings', 'Paramètres MOZ', '2020-02-14 11:14:52'),
(12957, 'fr', 'panel', 'Settings', 'Paramètres', '2020-02-14 11:14:52'),
(12958, 'fr', 'label', 'Type', 'Type', '2020-02-14 11:12:40');
INSERT INTO `texts` (`id`, `lang_code`, `category`, `label`, `content`, `changed`) VALUES
(12959, 'fr', 'common', 'Domain Authority', 'Domain Authority', '2020-02-14 11:05:11'),
(12960, 'fr', 'common', 'MOZ Rank', 'MOZ Rank', '2020-02-14 11:05:11'),
(12961, 'fr', 'common', 'Page Authority', 'Page Authority', '2020-02-14 11:05:11'),
(12962, 'fr', 'common', 'Pagerank', 'Pagerank', '2020-02-14 11:05:11'),
(12963, 'fr', 'api', 'API Guide', 'Guide de l\'API', '2016-12-09 18:12:12'),
(12964, 'ja', 'api', 'API Guide', 'APIガイド', '2018-08-21 06:17:47'),
(12965, 'ja', 'label', 'Type', 'タイプ', '2019-04-01 09:45:51'),
(12966, 'ja', 'panel', 'MOZ Settings', 'MOZ設定', '2019-04-01 09:46:57'),
(12967, 'ja', 'panel', 'Settings', '設定', '2019-04-01 09:46:57'),
(12968, 'ja', 'proxy', 'click-to-get-proxy', 'クリックしてプロキシを取得', '2016-12-12 01:08:13'),
(12969, 'ja', 'settings', 'click-to-get-moz-account', 'クリックしてMOZアカウントを取得', '2019-04-01 09:52:17'),
(12970, 'ja', 'settings', 'SP_MOZ_API_ACCESS_ID', 'アクセスID', '2019-04-01 09:52:17'),
(12971, 'ja', 'settings', 'SP_MOZ_API_SECRET', 'シークレットキー', '2019-04-01 09:52:17'),
(12972, 'ja', 'settings', 'Verify connection', '接続を認証', '2019-04-01 09:52:17'),
(12973, 'ja', 'common', 'Domain Authority', 'ドメインオーソリティ', '2019-05-25 18:40:02'),
(12974, 'ja', 'common', 'MOZ Rank', 'MOZランク', '2019-05-25 18:40:02'),
(12975, 'ja', 'common', 'Page Authority', 'ページ権限', '2019-05-25 18:40:02'),
(12976, 'ja', 'common', 'Pagerank', 'ページランク', '2019-05-25 18:40:02'),
(12977, 'ja', 'siteauditor', 'Check pagerank of pages', 'ページのページランクを確認する', '2018-01-23 01:19:20'),
(12978, 'ja', 'siteauditor', 'The page is having excellent page authority value', 'ページのオーソリティ値は極めて優秀です', '2018-01-23 01:19:20'),
(12979, 'ja', 'siteauditor', 'The page is having good page authority valu', 'ページのオーソリティ値は良好です\r\n', '2016-12-12 04:56:08'),
(12980, 'ja', 'siteauditor', 'The page is having poor page authority value', 'ページのオーソリティ値は悪いです', '2018-01-23 01:19:20'),
(12981, 'ja', 'siteauditor', 'The page is having very good page authority value', 'ページのオーソリティ値はとても良いです', '2018-01-23 01:19:20'),
(12982, 'ja', 'subscription', 'Orders', '注文', '2019-04-01 09:54:02'),
(12983, 'ja', 'subscription', 'Payment Gateway Manager', 'ペイメントゲートウェイマネージャー', '2019-04-01 09:54:02'),
(12984, 'bg', 'api', 'API Guide', 'API Ръководство', '2016-12-18 16:52:34'),
(12985, 'bg', 'common', 'Domain Authority', 'Домейн ауторити', '2019-05-25 18:00:14'),
(12986, 'bg', 'common', 'MOZ Rank', 'MOZ Ранк', '2019-05-25 18:00:14'),
(12987, 'bg', 'common', 'Page Authority', 'Пейдж ауторити', '2019-05-25 18:00:14'),
(12988, 'bg', 'common', 'Pagerank', 'Пейджранк', '2019-05-25 18:00:14'),
(12989, 'bg', 'common', 'Sample CSV File', 'Примерен CSV файл', '2019-05-25 18:00:14'),
(12990, 'bg', 'keyword', 'You can add only keywordcount keywords more', 'Можете да добавите само [keywordcount] ключови думи за този потребител!', '2016-12-18 17:06:16'),
(12991, 'bg', 'keyword', 'Your keyword count already reached the limit', 'Достигнали сте лимита за ключови думи за този потребител!', '2016-12-18 17:06:16'),
(12992, 'bg', 'label', 'Free', 'Безплатно', '2018-08-21 07:09:26'),
(12993, 'bg', 'label', 'Type', 'Тип', '2018-08-21 07:09:26'),
(12994, 'bg', 'login', 'User Type', 'Тип потребител', '2018-08-21 07:10:13'),
(12995, 'bg', 'panel', 'Import Websites', 'Импортиране на сайтове', '2018-08-21 07:14:04'),
(12996, 'bg', 'panel', 'MOZ Settings', 'MOZ настройки', '2018-08-21 07:14:04'),
(12997, 'bg', 'panel', 'Settings', 'Настройки', '2018-08-21 07:14:04'),
(12998, 'bg', 'proxy', 'click-to-get-proxy', 'Кликнете тук, за да получите прокси', '2016-12-18 17:08:18'),
(12999, 'bg', 'settings', 'click-to-get-moz-account', 'Кликнете тук, за създване на MOZ акаунт', '2018-08-21 07:24:42'),
(13000, 'bg', 'settings', 'SP_MOZ_API_ACCESS_ID', 'ID за достъп', '2018-08-21 07:24:42'),
(13001, 'bg', 'settings', 'SP_MOZ_API_SECRET', 'Секретен ключ', '2018-08-21 07:24:42'),
(13002, 'bg', 'settings', 'Verify connection', 'Верифициране на връзката', '2018-08-21 07:24:42'),
(13003, 'bg', 'siteauditor', 'Check pagerank of pages', 'Проверка на пейджранк на страниците', '2018-08-21 07:25:49'),
(13004, 'bg', 'siteauditor', 'The page is having excellent page authority value', 'Страницата има отличен пейдж ауторити', '2018-08-21 07:25:49'),
(13005, 'bg', 'siteauditor', 'The page is having good page authority valu', 'Страницата има добър пейдж ауторити', '2016-12-18 17:17:52'),
(13006, 'bg', 'siteauditor', 'The page is having poor page authority value', 'Страницата има лош пейдж ауторити', '2018-08-21 07:25:49'),
(13007, 'bg', 'siteauditor', 'The page is having very good page authority value', 'Страницата има много добър пейдж ауторити', '2018-08-21 07:25:49'),
(13008, 'bg', 'subscription', 'account-expired', 'Акаунта Ви е изтекъл. Обновете вашият абонамент', '2018-08-21 07:40:35'),
(13009, 'bg', 'subscription', 'Amount', 'Сума', '2018-08-21 07:40:35'),
(13010, 'bg', 'subscription', 'click-activate-pay-plugin', 'Кликнете тук за да активирате модула за плащания', '2018-08-21 07:40:35'),
(13011, 'bg', 'subscription', 'Currency', 'Валута', '2018-08-21 07:40:35'),
(13012, 'bg', 'subscription', 'internal-error-payment', 'Възникна системна грешка по време на обработване на плащането', '2018-08-21 07:40:35'),
(13013, 'bg', 'subscription', 'Keyword Limit', 'Лимит на ключовите думи', '2018-08-21 07:40:35'),
(13014, 'bg', 'subscription', 'Order Id', 'Поръчка №', '2018-08-21 07:40:35'),
(13015, 'bg', 'subscription', 'Orders', 'Поръчки', '2018-08-21 07:40:35'),
(13016, 'bg', 'subscription', 'Paid By', 'Платени от', '2018-08-21 07:40:35'),
(13017, 'bg', 'subscription', 'Payment Gateway Manager', 'Мениджър  на начините за плащане', '2018-08-21 07:40:35'),
(13018, 'bg', 'subscription', 'Plans and Pricing', 'Планове и цени', '2018-08-21 07:40:35'),
(13019, 'bg', 'subscription', 'Quantity', 'Количество', '2018-08-21 07:40:35'),
(13020, 'bg', 'subscription', 'Renew Subscription', 'Поднови абонамента', '2018-08-21 07:40:35'),
(13021, 'bg', 'subscription', 'Subscribe', 'Абонирай се', '2018-08-21 07:40:35'),
(13022, 'bg', 'subscription', 'Term', 'Условия', '2018-08-21 07:40:35'),
(13023, 'bg', 'subscription', 'Transaction Id', 'Транзакция №', '2018-08-21 07:40:35'),
(13024, 'bg', 'subscription', 'Transaction Log', 'Лог на транзакция', '2018-08-21 07:40:35'),
(13025, 'bg', 'subscription', 'transaction-success', 'Транзакция премина успешно', '2018-08-21 07:40:35'),
(13026, 'bg', 'subscription', 'View Order', 'Преглед на поръчка', '2018-08-21 07:40:35'),
(13027, 'bg', 'subscription', 'Website Limit', 'Уебсайт лимит', '2018-08-21 07:40:35'),
(13028, 'bg', 'subscription', 'Your transaction cancelled', 'Вашата транзакция е отменена', '2018-08-21 07:40:35'),
(13029, 'bg', 'user', 'Expiry Date', 'Дата на изтичане', '2016-12-18 17:18:03'),
(13030, 'bg', 'website', 'Please enter CSV file', 'Изберете CSV файл', '2016-12-18 17:19:36'),
(13031, 'bg', 'website', 'Website CSV File', 'CSV файл на Уебсайта', '2016-12-18 17:19:36'),
(13032, 'bg', 'website', 'You can add only websitecount websites more', 'Можете да добавите само [websitecount] уебсайта за този потребител!', '2016-12-18 17:19:36'),
(13033, 'bg', 'website', 'Your website count already reached the limit', 'Достигнали сте лимита за уебсайтове за този потребител.', '2016-12-18 17:19:36'),
(13034, 'el', 'common', 'Domain Authority', 'Domain Authority', '2019-08-28 05:40:52'),
(13035, 'el', 'common', 'MOZ Rank', 'MOZ Rank', '2019-08-28 05:40:52'),
(13036, 'el', 'common', 'Page Authority', 'Page Authority', '2019-08-28 05:40:52'),
(13037, 'el', 'common', 'Pagerank', 'Pagerank', '2019-08-28 05:40:52'),
(13038, 'el', 'panel', 'MOZ Settings', 'MOZ Ρυθμίσεις', '2019-08-28 05:42:17'),
(13039, 'el', 'proxy', 'click-to-get-proxy', 'Κλικ εδώ για να πάρετε proxy', '2016-12-29 13:06:18'),
(13040, 'el', 'settings', 'click-to-get-moz-account', 'Κλικ εδώ για να πάρετε λογαριασμό ΜΟΖ', '2019-08-28 05:43:40'),
(13041, 'el', 'settings', 'SP_MOZ_API_ACCESS_ID', 'Access ID', '2019-08-28 05:43:40'),
(13042, 'el', 'settings', 'SP_MOZ_API_SECRET', 'Secret Key', '2019-08-28 05:43:40'),
(13043, 'el', 'settings', 'Verify connection', 'Verify connection', '2019-08-28 05:43:40'),
(13044, 'el', 'siteauditor', 'Check pagerank of pages', 'Έλεγχος pagerank των σελίδων', '2017-07-18 06:05:38'),
(13045, 'el', 'siteauditor', 'The page is having excellent page authority value', 'Αυτή η σελίδα έχει άριστη page authority value	', '2017-07-18 06:05:38'),
(13046, 'el', 'siteauditor', 'The page is having good page authority valu', 'Αυτή η σελίδα έχει καλή page authority value	', '2016-12-29 13:08:38'),
(13047, 'el', 'siteauditor', 'The page is having poor page authority value', 'Αυτή η σελίδα έχει χαμηλή page authority value	', '2017-07-18 06:05:38'),
(13048, 'el', 'siteauditor', 'The page is having very good page authority value', 'Αυτή η σελίδα έχει πολύ καλή page authority value	', '2017-07-18 06:05:38'),
(13049, 'tr', 'api', 'API Guide', 'API Rehberi', '2017-02-04 13:03:47'),
(13050, 'tr', 'api', 'API Url', 'API Url', '2017-02-04 13:03:47'),
(13051, 'tr', 'common', 'Checked', 'Kontrol Edilmiş', '2019-05-25 18:52:20'),
(13052, 'tr', 'common', 'Debug', 'Hata Ayıklama', '2019-05-25 18:52:20'),
(13053, 'tr', 'common', 'Domain Authority', 'Domain Otoritesi', '2019-05-25 18:52:20'),
(13054, 'tr', 'common', 'Edit User Type', 'Üye Tipi Düzenle', '2019-05-25 18:52:20'),
(13055, 'tr', 'common', 'Keywords Count', 'Kelime Sayısı', '2019-05-25 18:52:20'),
(13056, 'tr', 'common', 'MOZ Rank', 'MOZ Sıralaması', '2019-05-25 18:52:20'),
(13057, 'tr', 'common', 'New User Type', 'Yeni Kullanıcı Türü', '2019-05-25 18:52:20'),
(13058, 'tr', 'common', 'Page Authority', 'Sayfa Otoritesi', '2019-05-25 18:52:20'),
(13059, 'tr', 'common', 'Pagerank', 'Sayfa Sıralaması', '2019-05-25 18:52:20'),
(13060, 'tr', 'common', 'Price', 'Ücret', '2019-05-25 18:52:20'),
(13061, 'tr', 'common', 'Sample CSV File', 'Örnek CSV Dosyası', '2019-05-25 18:52:20'),
(13062, 'tr', 'common', 'Thank you', 'Teşekkürler', '2019-05-25 18:52:20'),
(13063, 'tr', 'common', 'User Type', 'Üye Tipi', '2019-05-25 18:52:20'),
(13064, 'tr', 'common', 'Websites Count', 'Websitesi Sayısı', '2019-05-25 18:52:20'),
(13065, 'tr', 'website', 'Please enter CSV file', 'Lütfen, CSV dosyasını giriniz', '2017-02-04 13:19:01'),
(13066, 'tr', 'website', 'User Type already exist', 'Kullanıcı tipi zaten mevcut', '2017-02-04 13:19:01'),
(13067, 'tr', 'website', 'Website CSV File', 'Website CSV Dosyası', '2017-02-04 13:19:01'),
(13068, 'tr', 'website', 'You can add only websitecount websites more', 'Bu Kullanıcı için yalnızca [websitecount] adet web sitesi ekleyebilirsiniz!', '2017-02-04 13:19:01'),
(13069, 'tr', 'website', 'Your website count already reached the limit', 'Website sayısı bu kullanıcı için limite ulaşmış!', '2017-02-04 13:19:01'),
(13070, 'tr', 'user', 'Expiry Date', 'Bitiş Tarihi', '2017-02-04 13:22:48'),
(13071, 'tr', 'subscription', 'account-expired', 'Hesabınızın süresi bitmiş. Lütfen aboneliğinizi yenileyiniz.', '2017-02-04 13:31:17'),
(13072, 'tr', 'subscription', 'Amount', 'Tutar', '2017-02-04 13:31:17'),
(13073, 'tr', 'subscription', 'click-activate-pay-plugin', 'Ödeme eklentisini Aktif etmek için buraya tıklayınız.', '2017-02-04 13:31:17'),
(13074, 'tr', 'subscription', 'Currency', 'Döviz Kuru', '2017-02-04 13:31:17'),
(13075, 'tr', 'subscription', 'Edit Payment Gateway', 'Ödeme Yöntemi Düzenle', '2017-02-04 13:31:17'),
(13076, 'tr', 'subscription', 'internal-error-payment', '', '2017-02-04 13:31:17'),
(13077, 'tr', 'subscription', 'Keyword Limit', 'Kelime Limiti', '2017-02-04 13:31:17'),
(13078, 'tr', 'subscription', 'Order Id', 'Sipariş ID', '2017-02-04 13:31:17'),
(13079, 'tr', 'subscription', 'Orders', 'Siparişler', '2017-02-04 13:31:17'),
(13080, 'tr', 'subscription', 'Paid By', 'tarafından ödendi', '2017-02-04 13:31:17'),
(13081, 'tr', 'subscription', 'Payment Gateway Manager', 'Ödeme Yöntemi Yöneticisi', '2017-02-04 13:31:17'),
(13082, 'tr', 'subscription', 'Payment Method', 'Ödeme Metodu', '2017-02-04 13:31:17'),
(13083, 'tr', 'subscription', 'Plans and Pricing', 'Paketler ve Ücretler', '2017-02-04 13:31:17'),
(13084, 'tr', 'subscription', 'PP_BUSINESS_EMAIL', 'Paypal İş Maili', '2017-02-04 13:31:17'),
(13085, 'tr', 'subscription', 'PP_TOKEN', 'Paypal Token', '2017-02-04 13:31:17'),
(13086, 'tr', 'subscription', 'Quantity', 'Adet', '2017-02-04 13:31:17'),
(13087, 'tr', 'subscription', 'Renew Subscription', 'Aboneliği Yenile', '2017-02-04 13:31:17'),
(13088, 'tr', 'subscription', 'Sandbox', 'Sandbox', '2017-02-04 13:31:17'),
(13089, 'tr', 'subscription', 'SP_PAYMENT_PLUGIN', 'Varsayılan Ödeme Eklentisi', '2017-02-04 13:31:17'),
(13090, 'tr', 'subscription', 'Subscribe', 'Abone Ol', '2017-02-04 13:31:17'),
(13091, 'tr', 'subscription', 'Subscription', 'Abonelik', '2017-02-04 13:31:17'),
(13092, 'tr', 'subscription', 'Term', 'Dönem', '2017-02-04 13:31:17'),
(13093, 'tr', 'subscription', 'Transaction Id', 'İşlem ID', '2017-02-04 13:31:17'),
(13094, 'tr', 'subscription', 'Transaction Log', 'İşlem Log\'u', '2017-02-04 13:31:17'),
(13095, 'tr', 'subscription', 'transaction-success', 'İşleminiz başarıyla tamamlandı.', '2017-02-04 13:31:17'),
(13096, 'tr', 'subscription', 'View Order', 'Siparişleri Görüntüle', '2017-02-04 13:31:17'),
(13097, 'tr', 'subscription', 'Website Limit', 'Website Limiti', '2017-02-04 13:31:17'),
(13098, 'tr', 'subscription', 'Your transaction cancelled', 'İptal edilen İşlemler', '2017-02-04 13:31:17'),
(13099, 'tr', 'siteauditor', 'Check pagerank of pages', 'Sayfaların sıralamasını kontrol et', '2017-02-04 13:37:17'),
(13100, 'tr', 'siteauditor', 'The page is having excellent page authority value', 'Sayfa \"Mükemmel\" Otorite değerine sahip', '2017-02-04 13:37:17'),
(13101, 'tr', 'siteauditor', 'The page is having good page authority valu', 'Sayfa \"İyi\" otorite değerindedir.', '2017-02-04 13:37:17'),
(13102, 'tr', 'siteauditor', 'The page is having poor page authority value', 'Sayfa \"Zayıf\" otorite değerindedir', '2017-02-04 13:37:17'),
(13103, 'tr', 'siteauditor', 'The page is having very good page authority value', 'Sayfa \"Çok İyi\" otorite değerindedir', '2017-02-04 13:37:17'),
(13104, 'tr', 'panel', 'API Connection', 'API Bağlantısı', '2017-02-04 20:50:50'),
(13105, 'tr', 'panel', 'API Manager', 'API Yöneticisi', '2017-02-04 20:50:50'),
(13106, 'tr', 'panel', 'API Settings', 'API Ayarları', '2017-02-04 20:50:50'),
(13107, 'tr', 'panel', 'Crawl Log Manager', 'Tarama Log Yöneticisi', '2017-02-04 20:50:50'),
(13108, 'tr', 'panel', 'Existing', 'Mevcut', '2017-02-04 20:50:50'),
(13109, 'tr', 'panel', 'Import Proxy', 'Proxy içe aktar', '2017-02-04 20:50:50'),
(13110, 'tr', 'panel', 'Import Websites', 'Websitelerini içeri aktar', '2017-02-04 20:50:50'),
(13111, 'tr', 'panel', 'Log Manager', 'Log Yöneticisi', '2017-02-04 20:50:50'),
(13112, 'tr', 'panel', 'MOZ Settings', 'MOZ Ayarları', '2017-02-04 20:50:50'),
(13113, 'tr', 'panel', 'New User Type', 'Yeni Kullanıcı Tipi', '2017-02-04 20:50:50'),
(13114, 'tr', 'panel', 'Proxy Perfomance', 'Proxy Performansı', '2017-02-04 20:50:50'),
(13115, 'tr', 'panel', 'Proxy Settings', 'Proxy Ayarları', '2017-02-04 20:50:50'),
(13116, 'tr', 'panel', 'Settings', 'Ayarlar', '2017-02-04 20:50:50'),
(13117, 'tr', 'panel', 'User Type Manager', 'Kullanıcı Türü Yöneticisi', '2017-02-04 20:50:50'),
(13118, 'tr', 'panel', 'Valid', 'Geçerli', '2017-02-04 20:50:50'),
(13119, 'tr', 'settings', 'allsettingssaved', 'Tüm ayarlar başarıyla kaydedildi!', '2017-02-04 13:45:16'),
(13120, 'tr', 'settings', 'API_SECRET', 'API Secret Kodu', '2017-02-04 13:45:16'),
(13121, 'tr', 'settings', 'CHECK_MAX_PROXY_COUNT_IF_FAILED', 'Tek uygulama için Maksimum Proxy kullanıldı', '2017-02-04 13:45:16'),
(13122, 'tr', 'settings', 'CHECK_WITH_ANOTHER_PROXY_IF_FAILED', 'Tarama hatası olursa, başka bir Proxy ile kontrol et', '2017-02-04 13:45:16'),
(13123, 'tr', 'settings', 'click-to-get-moz-account', 'MOZ hesabı almak için tıklayınız', '2017-02-04 13:45:16'),
(13124, 'tr', 'settings', 'CURLOPT_HTTPPROXYTUNNEL_VAL', 'HTTP Proxy Tüneli aktifleştir', '2017-02-04 13:45:16'),
(13125, 'tr', 'settings', 'PROXY_DEACTIVATE_CRAWL', '', '2017-02-04 13:45:16'),
(13126, 'tr', 'settings', 'SP_COMPANY_NAME', 'Şirket Adı', '2017-02-04 13:45:16'),
(13127, 'tr', 'settings', 'SP_MOZ_API_ACCESS_ID', 'Erişim ID', '2017-02-04 13:45:16'),
(13128, 'tr', 'settings', 'SP_MOZ_API_SECRET', 'Secret Kodu', '2017-02-04 13:45:16'),
(13129, 'tr', 'settings', 'SP_SMTP_PORT', 'SMTP Mail Portu', '2017-02-04 13:45:16'),
(13130, 'tr', 'settings', 'SP_TIME_ZONE', 'Zaman dilimi', '2017-02-04 13:45:16'),
(13131, 'tr', 'settings', 'Verify connection', 'Bağlantı doğrulama', '2017-02-04 13:45:16'),
(13132, 'tr', 'keyword', 'You can add only keywordcount keywords more', 'Bu Kullanıcı için yalnızca [keywordcount] kelime kullanabilirsin.', '2017-02-04 20:48:33'),
(13133, 'tr', 'keyword', 'Your keyword count already reached the limit', 'Kelime sayısı bu kullanıcı için zaten limite ulaştı.', '2017-02-04 20:48:33'),
(13134, 'tr', 'login', 'Forgot password?', 'Şifremi Unuttum!', '2017-02-04 20:55:53'),
(13135, 'tr', 'login', 'internal_error_mail_send', 'Şifre sıfırlama maili gönderirken iç bir hata oluştu!', '2017-02-04 20:55:53'),
(13136, 'tr', 'login', 'password_reset_success_message', '', '2017-02-04 20:55:53'),
(13137, 'tr', 'login', 'Request Password', 'Şifre İste', '2017-02-04 20:55:53'),
(13138, 'tr', 'login', 'to login to your account', 'Hesabınıza giriş yapın', '2017-02-04 20:55:53'),
(13139, 'tr', 'login', 'User Type', 'Kullanıcı Türü', '2017-02-04 20:55:53'),
(13140, 'tr', 'login', 'user_email_not_exist', 'Kullanıcı email adresi sistemde mevcut!', '2017-02-04 20:55:53'),
(13141, 'tr', 'login', 'Your account password is resetted and new password is', 'Hesabınızın şifresi sıfırlandı ve Yeni Şifreniz : ', '2017-02-04 20:55:53'),
(13142, 'tr', 'login', 'Your Password Reset Failed', 'Şifre sıfırlamanız tamamlanmadı', '2017-02-04 20:55:53'),
(13143, 'tr', 'login', 'Your Password Reset Successfully', 'Başarıyla şifrenizi sıfırladınız.', '2017-02-04 20:55:53'),
(13144, 'en', 'panel', 'Google Settings', 'Google Settings', '2017-07-12 19:11:06'),
(13145, 'en', 'settings', 'SP_GOOGLE_API_KEY', 'Google API Key', '2017-07-12 19:11:06'),
(13146, 'en', 'settings', 'click-to-get-google-api-key', 'Click here to get Google API Key', '2017-07-12 19:11:06'),
(13147, 'en', 'seotools', 'pagespeed', 'PageSpeed Insights', '2017-07-12 19:11:06'),
(13148, 'en', 'seotools', 'Quick PageSpeed Checker', 'Quick PageSpeed Checker', '2017-07-12 19:11:06'),
(13149, 'en', 'seotools', 'PageSpeed Reports', 'PageSpeed Reports', '2017-07-12 19:11:06'),
(13150, 'en', 'seotools', 'Generate Reports', 'Generate Reports', '2017-07-12 19:11:06'),
(13151, 'en', 'seotools', 'clickproceedaction', 'Enter URL\'s <b>One per line</b>. Click on <b>Proceed</b> to check Results.', '2017-07-12 19:11:06'),
(13152, 'en', 'pagespeed', 'Saved page speed results of', 'Saved page speed results of', '2017-07-12 19:11:06'),
(13153, 'en', 'pagespeed', 'Desktop Speed', 'Desktop Speed', '2017-07-12 19:11:06'),
(13154, 'en', 'pagespeed', 'Mobile Speed', 'Mobile Speed', '2017-07-12 19:11:06'),
(13155, 'en', 'pagespeed', 'Mobile Usability', 'Mobile Usability', '2017-07-12 19:11:06'),
(13156, 'en', 'pagespeed', 'PageSpeed Details', 'PageSpeed Details', '2017-07-12 19:11:06'),
(13157, 'en', 'pagespeed', 'Page Speed', 'Page Speed', '2017-07-12 19:11:06'),
(13158, 'en', 'label', 'Desktop', 'Desktop', '2017-07-12 19:11:06'),
(13159, 'en', 'label', 'Mobile', 'Mobile', '2017-07-12 19:11:06'),
(13160, 'en', 'label', 'Speed', 'Speed', '2017-07-12 19:11:06'),
(13161, 'en', 'label', 'Usability', 'Usability', '2017-07-12 19:11:06'),
(13162, 'pt-br', 'label', 'Desktop', 'Desktop', '2018-08-21 14:54:11'),
(13163, 'pt-br', 'label', 'Mobile', 'Mobile', '2018-08-21 14:54:11'),
(13164, 'pt-br', 'label', 'Speed', 'Velocidade', '2018-08-21 14:54:11'),
(13165, 'pt-br', 'label', 'Usability', 'Usabilidade', '2018-08-21 14:54:11'),
(13166, 'pt-br', 'pagespeed', 'Desktop Speed', 'Velocidade no Desktop', '2017-07-12 20:58:33'),
(13167, 'pt-br', 'pagespeed', 'Mobile Speed', 'Velocidade Mobile', '2017-07-12 20:58:33'),
(13168, 'pt-br', 'pagespeed', 'Mobile Usability', 'Usabilidade Mobile', '2017-07-12 20:58:33'),
(13169, 'pt-br', 'pagespeed', 'Page Speed', 'Velocidade da Página', '2017-07-12 20:58:33'),
(13170, 'pt-br', 'pagespeed', 'PageSpeed Details', 'Detalhes da Velocidade da Página', '2017-07-12 20:58:33'),
(13171, 'pt-br', 'pagespeed', 'Saved page speed results of', 'Salvar resultados de velocidade da página', '2017-07-12 20:58:33'),
(13172, 'pt-br', 'panel', 'Google Settings', 'Configurações do Google', '2018-01-23 13:32:33'),
(13173, 'pt-br', 'seotools', 'clickproceedaction', 'Digite as URLs <b>Uma por linha</b>. Clique em <b>Proceder</b> para verificar os resultados.', '2017-07-12 21:00:13'),
(13174, 'pt-br', 'seotools', 'Generate Reports', 'Gerar Relatórios', '2017-07-12 21:00:13'),
(13175, 'pt-br', 'seotools', 'pagespeed', 'PageSpeed Insights', '2017-07-12 21:00:13'),
(13176, 'pt-br', 'seotools', 'PageSpeed Reports', 'Relatórios do PageSpeed', '2017-07-12 21:00:13'),
(13177, 'pt-br', 'seotools', 'Quick PageSpeed Checker', 'Verificar Rápido da Velocidade da Página', '2017-07-12 21:00:13'),
(13178, 'pt-br', 'settings', 'click-to-get-google-api-key', 'Clique aqui para ter acesso à Chave da API do Google', '2018-06-02 13:47:27'),
(13179, 'pt-br', 'settings', 'SP_GOOGLE_API_KEY', 'Chave da API do Google', '2018-06-02 13:47:27'),
(13180, 'pt-br', 'siteauditor', 'Check pagerank of pages', 'Verificar o pagerank das páginas', '2017-07-12 21:01:53'),
(13181, 'pt-br', 'siteauditor', 'The page is having excellent page authority value', 'A página está com uma excelente autoridade', '2017-07-12 21:01:53'),
(13182, 'pt-br', 'siteauditor', 'The page is having good page authority value', 'A página está com uma boa autoridade', '2017-07-12 21:01:53'),
(13183, 'pt-br', 'siteauditor', 'The page is having poor page authority value', 'A página está com uma autoridade fraca', '2017-07-12 21:01:53'),
(13184, 'pt-br', 'siteauditor', 'The page is having very good page authority value', 'A página está com uma autoridade muito boa', '2017-07-12 21:01:53'),
(13185, 'pt-br', 'subscription', 'account-expired', 'Sua conta expirou. Por favor, renove sua assinatura.', '2018-01-23 13:37:24'),
(13186, 'pt-br', 'subscription', 'Amount', 'Total', '2018-01-23 13:37:24'),
(13187, 'pt-br', 'subscription', 'click-activate-pay-plugin', 'Clique aqui para ativar o plugin de pagamento', '2018-01-23 13:37:24'),
(13188, 'pt-br', 'subscription', 'Currency', 'Moeda', '2018-01-23 13:37:24'),
(13189, 'pt-br', 'subscription', 'internal-error-payment', 'Erro interno no processamento de pagamento', '2018-01-23 13:37:24'),
(13190, 'pt-br', 'subscription', 'Keyword Limit', 'Limite de Palavras Chaves', '2018-01-23 13:37:24'),
(13191, 'pt-br', 'subscription', 'Order Id', 'Order Id', '2018-01-23 13:37:24'),
(13192, 'pt-br', 'subscription', 'Orders', 'Pedidos', '2018-01-23 13:37:24'),
(13193, 'pt-br', 'subscription', 'Paid By', 'Pago Por', '2018-01-23 13:37:24'),
(13194, 'pt-br', 'subscription', 'Payment Gateway Manager', 'Gerenciador de Gateway de Pagamento', '2018-01-23 13:37:24'),
(13195, 'pt-br', 'subscription', 'Plans and Pricing', 'Planos e Preços', '2018-01-23 13:37:24'),
(13196, 'pt-br', 'subscription', 'Quantity', 'Quantidade', '2018-01-23 13:37:24'),
(13197, 'pt-br', 'subscription', 'Renew Subscription', 'Renovar Assinatura', '2018-01-23 13:37:24'),
(13198, 'pt-br', 'subscription', 'Subscribe', 'Assinar', '2018-01-23 13:37:24'),
(13199, 'pt-br', 'subscription', 'Term', 'Termo', '2018-01-23 13:37:24'),
(13200, 'pt-br', 'subscription', 'Transaction Id', 'Identificação da Assinatura', '2018-01-23 13:37:24'),
(13201, 'pt-br', 'subscription', 'Transaction Log', 'Log da Transação', '2018-01-23 13:37:24'),
(13202, 'pt-br', 'subscription', 'transaction-success', 'Sua transação foi processada com sucesso.', '2018-01-23 13:37:24'),
(13203, 'pt-br', 'subscription', 'View Order', 'Ver Pedido', '2018-01-23 13:37:24'),
(13204, 'pt-br', 'subscription', 'Website Limit', 'Limite do Site', '2018-01-23 13:37:24'),
(13205, 'pt-br', 'subscription', 'Your transaction cancelled', 'Sua transação foi cancelada.', '2018-01-23 13:37:24'),
(13206, 'pt-br', 'website', 'Please enter CSV file', 'Por favor carregue o arquivo CSV', '2019-03-29 17:28:26'),
(13207, 'pt-br', 'website', 'Website CSV File', 'Arquivo CSV do site', '2019-03-29 17:28:26'),
(13208, 'pt-br', 'website', 'You can add only websitecount websites more', 'Você pode adicionar somente [websitecount] sites para este usuário!', '2019-03-29 17:28:26'),
(13209, 'pt-br', 'website', 'Your website count already reached the limit', 'Limite de sites já alcançados para este usuário!', '2019-03-29 17:28:26'),
(13210, 'pt-br', 'user', 'Expiry Date', 'Data de Expiração', '2017-07-12 21:05:47'),
(13211, 'ru', 'label', 'Desktop', 'Компьютер', '2024-07-17 11:17:22'),
(13212, 'ru', 'label', 'Mobile', 'Смартфон', '2024-07-17 11:17:22'),
(13213, 'ru', 'label', 'Speed', 'Скорость', '2024-07-17 11:17:22'),
(13214, 'ru', 'label', 'Usability', 'Юзабилити', '2024-07-17 11:17:22'),
(13215, 'ru', 'pagespeed', 'Desktop Speed', 'Скорость на десктопе', '2017-07-13 16:45:14'),
(13216, 'ru', 'pagespeed', 'Mobile Speed', 'Скорость на смартфоне', '2017-07-13 16:45:14'),
(13217, 'ru', 'pagespeed', 'Mobile Usability', 'Удобство просмотра мобильной версии', '2017-07-13 16:45:14'),
(13218, 'ru', 'pagespeed', 'Page Speed', 'Скорость страницы', '2017-07-13 16:45:14'),
(13219, 'ru', 'pagespeed', 'PageSpeed Details', 'Подробно', '2017-07-13 16:45:14'),
(13220, 'ru', 'pagespeed', 'Saved page speed results of', 'Сохраненные результаты скорости страницы', '2017-07-13 16:45:14'),
(13221, 'ru', 'panel', 'Google Settings', 'Настройка Google', '2024-07-17 11:19:14'),
(13222, 'ru', 'seotools', 'clickproceedaction', 'Введите URL-адреса <b>Один URL на каждую строку</ b>. Нажмите <b>Продолжить </ b>, для проверки результатов.', '2024-07-17 11:26:22'),
(13223, 'ru', 'seotools', 'Generate Reports', 'Создать отчеты', '2024-07-17 11:26:22'),
(13224, 'ru', 'seotools', 'pagespeed', 'Проверка PageSpeed', '2024-07-17 11:26:22'),
(13225, 'ru', 'seotools', 'PageSpeed Reports', 'Отчеты по PageSpeed', '2024-07-17 11:26:22'),
(13226, 'ru', 'seotools', 'Quick PageSpeed Checker', 'Быстрая проверка скорости страниц', '2024-07-17 11:26:22'),
(13227, 'ru', 'settings', 'click-to-get-google-api-key', 'Нажмите здесь для получения ключа API Google', '2024-07-17 11:22:42'),
(13228, 'ru', 'settings', 'SP_GOOGLE_API_KEY', 'Ключ Google API', '2024-07-17 11:22:42'),
(13229, 'ru', 'siteauditor', 'The page is having good page authority value', 'Страница имеет хорошее значение авторитета страницы', '2017-07-13 16:51:34'),
(13230, 'en', 'settings', 'Please update google settings to get the results', 'Please update google settings to get the results', '2017-07-17 07:26:04'),
(13231, 'en', 'settings', 'Please update MOZ settings to get complete results', 'Please update MOZ settings to get complete results', '2017-07-17 07:26:04'),
(13232, 'el', 'label', 'Desktop', 'Desktop', '2019-11-28 18:22:10'),
(13233, 'el', 'label', 'Mobile', 'Κινητό', '2019-11-28 18:22:10'),
(13234, 'el', 'label', 'Speed', 'Ταχύτητα', '2019-11-28 18:22:10'),
(13235, 'el', 'label', 'Usability', 'Χρησιμότητα', '2019-11-28 18:22:10'),
(13236, 'el', 'pagespeed', 'Desktop Speed', 'Ταχύτητα Desktop', '2017-07-17 11:22:28'),
(13237, 'el', 'pagespeed', 'Mobile Speed', 'Ταχύτητα Κινητού', '2017-07-17 11:22:28'),
(13238, 'el', 'pagespeed', 'Mobile Usability', 'Χρηστικότητα στο Κινητό', '2017-07-17 11:22:28'),
(13239, 'el', 'pagespeed', 'Page Speed', 'Ταχύτητα Σελίδας', '2017-07-17 11:22:28'),
(13240, 'el', 'pagespeed', 'PageSpeed Details', 'Λεπτομέρειες PageSpeed', '2017-07-17 11:22:28'),
(13241, 'el', 'pagespeed', 'Saved page speed results of', 'Αποθήκευση αποτελεσμάτων ταχύτητας σελίδας για', '2017-07-17 11:22:28'),
(13242, 'el', 'panel', 'Google Settings', 'Ρυθμίσεις Google', '2019-08-28 05:42:17'),
(13243, 'el', 'seotools', 'clickproceedaction', 'Πληκτρολογήστε τα URL\'s <b>ένα σε κάθε γραμμή</b>. Κλικ στο <b>Εκκίνηση</b> για έλεγχο τον αποτελεσμάτων.', '2019-11-28 18:13:05'),
(13244, 'el', 'seotools', 'Generate Reports', 'Παραγωγή Αναφορών', '2019-11-28 18:13:05'),
(13245, 'el', 'seotools', 'pagespeed', 'PageSpeed Insights', '2019-11-28 18:13:05'),
(13246, 'el', 'seotools', 'PageSpeed Reports', 'Αναφορές PageSpeed', '2019-11-28 18:13:05'),
(13247, 'el', 'seotools', 'Quick PageSpeed Checker', 'Γρήγορος Έλεγχος PageSpeed', '2019-11-28 18:13:05'),
(13248, 'el', 'siteauditor', 'The page is having good page authority value', 'Η σελίδα αυτή έχει καλό authority value.', '2017-07-18 06:05:38'),
(13249, 'el', 'settings', 'click-to-get-google-api-key', 'Κάνετε κλικ εδώ για να πάρετε κλειδί Google API', '2019-08-28 05:43:40'),
(13250, 'el', 'settings', 'Please update google settings to get the results', 'Παρακαλώ ενημερώστε τις ρυθμίσεις Google για να δείτε τα αποτελέσματα', '2019-08-28 05:43:40'),
(13251, 'el', 'settings', 'Please update MOZ settings to get complete results', 'Παρακαλώ ενημερώστε τις ρυθμίσεις ΜΟΖ για να δείτε συνολικά αποτελέσματα', '2019-08-28 05:43:40'),
(13252, 'el', 'settings', 'SP_GOOGLE_API_KEY', 'Κλειδί Google API', '2019-08-28 05:43:40'),
(13253, 'pt', 'common', 'Domain Authority', 'Autoridade do Dominio', '2019-05-25 18:43:55'),
(13254, 'pt', 'common', 'MOZ Rank', 'MOZ Rank	', '2019-05-25 18:43:55'),
(13255, 'pt', 'common', 'Page Authority', 'Page Authority	', '2019-05-25 18:43:55'),
(13256, 'pt', 'common', 'Pagerank', 'Pagerank	', '2019-05-25 18:43:55'),
(13257, 'pt', 'label', 'Desktop', 'Desktop	', '2018-01-25 19:11:22'),
(13258, 'pt', 'label', 'Mobile', 'Mobile	', '2018-01-25 19:11:22'),
(13259, 'pt', 'label', 'Speed', 'Velocidade', '2018-01-25 19:11:22'),
(13260, 'pt', 'label', 'Usability', 'Usabilidade', '2018-01-25 19:11:22'),
(13261, 'en', 'panel', 'User Type Settings', 'User Type Settings', '2018-01-22 20:04:44'),
(13262, 'en', 'common', 'Search Engine Count', 'Search Engine Count', '2018-01-22 20:04:44'),
(13263, 'en', 'subscription', 'infinite_limit_text', '<b>Note</b>: Enter -1 for infinite limit', '2018-01-22 20:04:44'),
(13264, 'en', 'subscription', 'Plugin Access Settings', 'Plugin Access Settings', '2018-01-22 20:04:44'),
(13265, 'en', 'subscription', 'Seo Tools Access Settings', 'Seo Tools Access Settings', '2018-01-22 20:04:44'),
(13266, 'en', 'subscription', 'Directory Submit Limit', 'Directory Submission Limit', '2018-01-22 20:04:44'),
(13267, 'en', 'subscription', 'Directory Submit Daily Limit', 'Daily Directory Submission Limit', '2018-01-22 20:04:44'),
(13268, 'en', 'subscription', 'site_auditor_max_page_limit', 'Site Auditor Maximum Page Limit', '2018-01-22 20:04:44'),
(13269, 'en', 'subscription', 'total_count_greater_account_limit', 'Total count is greater than account limit - [limit]', '2018-01-22 20:04:44'),
(13270, 'en', 'subscription', 'total_count_greater_account_limit_dir_sub', 'Directory submission count is greater than account limit - [limit]', '2018-01-22 20:04:44'),
(13271, 'en', 'subscription', 'total_count_greater_account_limit_dir_sub_daily', 'Directory submission count is greater than daily account limit - [limit]', '2018-01-22 20:04:44'),
(13272, 'en', 'label', 'Access denied', 'Access denied', '2018-01-22 20:04:44'),
(13273, 'en', 'panel', 'Global Reports Settings', 'Global Reports Settings', '2018-01-22 20:04:44'),
(13274, 'fr', 'common', 'Search Engine Count', 'Nombre de moteurs de recherche', '2020-02-14 11:05:11'),
(13275, 'fr', 'label', 'Access denied', 'Accès refusé', '2020-02-14 11:12:40'),
(13276, 'fr', 'label', 'Desktop', 'Bureau', '2020-02-14 11:12:40'),
(13277, 'fr', 'label', 'Mobile', 'Mobile', '2020-02-14 11:12:40'),
(13278, 'fr', 'label', 'Speed', 'Vitesse', '2020-02-14 11:12:40'),
(13279, 'fr', 'label', 'Usability', 'Utilisabilité', '2020-02-14 11:12:40'),
(13280, 'fr', 'panel', 'Global Reports Settings', 'Paramètres généraux des rapports', '2020-02-14 11:14:52'),
(13281, 'fr', 'panel', 'Google Settings', 'Paramètres Google', '2020-02-14 11:14:52'),
(13282, 'fr', 'panel', 'User Type Settings', 'Paramètres des types d\'utilisateur', '2020-02-14 11:14:52'),
(13283, 'fr', 'seotools', 'clickproceedaction', 'Indiquez les URLs, <b>une par ligne</b>. Cliquer sur <b>Valider</b> pour voir les résultats.', '2019-03-28 14:37:48'),
(13284, 'fr', 'seotools', 'Generate Reports', 'Générer les rapports', '2019-03-28 14:37:48'),
(13285, 'fr', 'seotools', 'pagespeed', 'Aperçus PageSpeed', '2019-03-28 14:37:48'),
(13286, 'fr', 'seotools', 'PageSpeed Reports', 'Rapports PageSpeed', '2019-03-28 14:37:48'),
(13287, 'fr', 'seotools', 'Quick PageSpeed Checker', 'Vérification rapide PageSpeed', '2019-03-28 14:37:48'),
(13288, 'fr', 'pagespeed', 'Desktop Speed', 'Vitesse de chargement (Ordinateur)', '2018-01-22 22:30:16'),
(13289, 'fr', 'pagespeed', 'Mobile Speed', 'Vitesse de chargement (Mobile)', '2018-01-22 22:30:16'),
(13290, 'fr', 'pagespeed', 'Mobile Usability', 'Ergonomie mobile', '2018-01-22 22:30:16'),
(13291, 'fr', 'pagespeed', 'Page Speed', 'Page Speed', '2018-01-22 22:30:16'),
(13292, 'fr', 'pagespeed', 'PageSpeed Details', 'Détails PageSpeed', '2018-01-22 22:30:16'),
(13293, 'fr', 'pagespeed', 'Saved page speed results of', 'Résultats PageSpeed pour ', '2018-01-22 22:30:16'),
(13294, 'fr', 'settings', 'click-to-get-google-api-key', 'Cliquer ici pour obtenir une clé API Google', '2019-03-28 14:39:30'),
(13295, 'fr', 'settings', 'Please update google settings to get the results', 'Merci de compléter les paramètres Google pour obtenir des résultats.', '2019-03-28 14:39:30'),
(13296, 'fr', 'settings', 'Please update MOZ settings to get complete results', 'Merci de compléter les paramètres MOZ pour obtenir des résultats.', '2019-03-28 14:39:30'),
(13297, 'fr', 'settings', 'SP_GOOGLE_API_KEY', 'Clé API Google', '2019-03-28 14:39:30'),
(13298, 'fr', 'siteauditor', 'The page is having good page authority value', 'La page a une bonne valeur page authority', '2018-01-22 22:56:01'),
(13299, 'fr', 'subscription', 'Directory Submit Daily Limit', 'Limite quotidienne d\'envoi aux annuaires', '2019-03-28 14:42:59'),
(13300, 'fr', 'subscription', 'Directory Submit Limit', 'Limite d\'envoi aux annuaires', '2019-03-28 14:42:59'),
(13301, 'fr', 'subscription', 'infinite_limit_text', '<b>Note</b>: Indiquer -1 pour ne pas fixer de limite.', '2019-03-28 14:42:59'),
(13302, 'fr', 'subscription', 'Plugin Access Settings', 'Paramètres d\'accès au module', '2019-03-28 14:42:59'),
(13303, 'fr', 'subscription', 'Seo Tools Access Settings', 'Paramètres d\'accès Seo Tools', '2019-03-28 14:42:59'),
(13304, 'fr', 'subscription', 'site_auditor_max_page_limit', 'Limite maximum de page pour Site Auditor', '2019-03-28 14:42:59'),
(13305, 'fr', 'subscription', 'total_count_greater_account_limit', 'Le nombre total dépasse la limite du compte - [limit]', '2019-03-28 14:42:59'),
(13306, 'fr', 'subscription', 'total_count_greater_account_limit_dir_sub', 'Le nombre d\'envois dépasse la limite du compte - [limit]', '2019-03-28 14:42:59'),
(13307, 'fr', 'subscription', 'total_count_greater_account_limit_dir_sub_daily', 'Le nombre d\'envois dépasse la limite quotidienne du compte - [limit]', '2019-03-28 14:42:59'),
(13308, 'ja', 'common', 'Search Engine Count', '検索エンジン数', '2019-05-25 18:40:02'),
(13309, 'ja', 'label', 'Access denied', 'アクセス拒否', '2019-04-01 09:45:51'),
(13310, 'ja', 'label', 'Desktop', 'デスクトップ', '2019-04-01 09:45:51'),
(13311, 'ja', 'label', 'Mobile', 'モバイル', '2019-04-01 09:45:51'),
(13312, 'ja', 'label', 'Speed', 'スピード', '2019-04-01 09:45:51'),
(13313, 'ja', 'label', 'Usability', 'ユーザビリティ', '2019-04-01 09:45:51'),
(13314, 'ja', 'pagespeed', 'Desktop Speed', 'デスクトップスピード', '2018-01-23 01:37:34'),
(13315, 'ja', 'pagespeed', 'Mobile Speed', 'モバイルスピード', '2018-01-23 01:37:34'),
(13316, 'ja', 'pagespeed', 'Mobile Usability', 'モバイルユーザビリティ', '2018-01-23 01:37:34'),
(13317, 'ja', 'pagespeed', 'Page Speed', 'ページスピード', '2018-01-23 01:37:34'),
(13318, 'ja', 'pagespeed', 'PageSpeed Details', 'ページスピード詳細', '2018-01-23 01:37:34'),
(13319, 'ja', 'pagespeed', 'Saved page speed results of', '保存されたページスピード結果 -', '2018-01-23 01:37:34'),
(13320, 'ja', 'panel', 'Global Reports Settings', 'グローバルレポート設定', '2019-04-01 09:46:57'),
(13321, 'ja', 'panel', 'Google Settings', 'Google設定', '2019-04-01 09:46:57'),
(13322, 'ja', 'panel', 'User Type Settings', 'ユーザタイプ設定', '2019-04-01 09:46:57'),
(13323, 'ja', 'seotools', 'clickproceedaction', 'URLを<b>改行区切りで入力</b>。結果を確認するには、<b>続行</b>をクリック', '2019-04-01 09:49:13'),
(13324, 'ja', 'seotools', 'Generate Reports', 'レポートを生成', '2019-04-01 09:49:13'),
(13325, 'ja', 'seotools', 'pagespeed', 'ページスピードインサイト', '2019-04-01 09:49:13'),
(13326, 'ja', 'seotools', 'PageSpeed Reports', 'ページスピードレポート', '2019-04-01 09:49:13'),
(13327, 'ja', 'seotools', 'Quick PageSpeed Checker', 'ページスピードチェッカー', '2019-04-01 09:49:13'),
(13328, 'ja', 'settings', 'click-to-get-google-api-key', 'クリックしてGoogle APIキーを取得', '2019-04-01 09:52:17'),
(13329, 'ja', 'settings', 'Please update google settings to get the results', '結果を取得するにはGoogle設定を更新してください。', '2019-04-01 09:52:17'),
(13330, 'ja', 'settings', 'Please update MOZ settings to get complete results', '完全な結果を取得するにはMOZ設定を更新してください。', '2019-04-01 09:52:17'),
(13331, 'ja', 'settings', 'SP_GOOGLE_API_KEY', 'Google API キー', '2019-04-01 09:52:17'),
(13332, 'ja', 'siteauditor', 'The page is having good page authority value', 'ページのオーソリティ値は良好です', '2018-01-23 01:19:20'),
(13333, 'ja', 'subscription', 'Directory Submit Daily Limit', '日毎のディレクトリサブミッション上限', '2019-04-01 09:54:02'),
(13334, 'ja', 'subscription', 'Directory Submit Limit', 'ディレクトリサブミッション上限', '2019-04-01 09:54:02'),
(13335, 'ja', 'subscription', 'infinite_limit_text', '<b>注意</b>: 無限の場合は-1を入力', '2019-04-01 09:54:02'),
(13336, 'ja', 'subscription', 'Plugin Access Settings', 'プラグインアクセス設定', '2019-04-01 09:54:02'),
(13337, 'ja', 'subscription', 'Seo Tools Access Settings', 'SEOツールアクセス設定', '2019-04-01 09:54:02'),
(13338, 'ja', 'subscription', 'site_auditor_max_page_limit', 'サイト監視ページ上限', '2019-04-01 09:54:02'),
(13339, 'ja', 'subscription', 'total_count_greater_account_limit', '合計数がアカウント上限を超えています - [limit]', '2019-04-01 09:54:02'),
(13340, 'ja', 'subscription', 'total_count_greater_account_limit_dir_sub', 'ディレクトリサブミッション数がアカウント上限を超えています - [limit]', '2019-04-01 09:54:02'),
(13341, 'ja', 'subscription', 'total_count_greater_account_limit_dir_sub_daily', 'ディレクトリサブミッション数が日毎のカウント上限を超えています - [limit]', '2019-04-01 09:54:02'),
(13342, 'pt-br', 'common', 'Search Engine Count', 'Contador do Buscador', '2019-07-29 20:26:27'),
(13343, 'pt-br', 'panel', 'Global Reports Settings', 'Configurações dos Relatórios Globais', '2018-01-23 13:32:33'),
(13344, 'pt-br', 'panel', 'User Type Settings', 'Configurações do Tipo de Usuário', '2018-01-23 13:32:33'),
(13345, 'pt-br', 'label', 'Access denied', 'Acesso negado', '2018-08-21 14:54:11'),
(13346, 'pt-br', 'settings', 'Please update google settings to get the results', 'Por favor atualize as configurações do Google para receber os resultados', '2018-06-02 13:47:27'),
(13347, 'pt-br', 'settings', 'Please update MOZ settings to get complete results', 'Por favor atualize as configurações do MOZ para receber os resultados completos', '2018-06-02 13:47:27'),
(13348, 'pt-br', 'subscription', 'Directory Submit Daily Limit', 'Limite Diário de Envio para Diretórios', '2018-01-23 13:37:24'),
(13349, 'pt-br', 'subscription', 'Directory Submit Limit', 'Limite de Envio para Diretórios', '2018-01-23 13:37:24'),
(13350, 'pt-br', 'subscription', 'infinite_limit_text', '<b>Nota</b>: Digite -1 para limite infinito', '2018-01-23 13:37:24'),
(13351, 'pt-br', 'subscription', 'Plugin Access Settings', 'Configurações de Acesso ao Plugin', '2018-01-23 13:37:24'),
(13352, 'pt-br', 'subscription', 'Seo Tools Access Settings', 'Configurações de Acesso às Ferramentas de SEO', '2018-01-23 13:37:24'),
(13353, 'pt-br', 'subscription', 'site_auditor_max_page_limit', 'Limite Máximo de Páginas do Site Auditor', '2018-01-23 13:37:24'),
(13354, 'pt-br', 'subscription', 'total_count_greater_account_limit', 'Conta total é maior do que o limite da conta - [limit]', '2018-01-23 13:37:24'),
(13355, 'pt-br', 'subscription', 'total_count_greater_account_limit_dir_sub', 'Submissão no diretório é maior que o limite da conta - [limit]', '2018-01-23 13:37:24'),
(13356, 'pt-br', 'subscription', 'total_count_greater_account_limit_dir_sub_daily', 'Submissão no diretório é maior que o limite diário da conta - [limit]', '2018-01-23 13:37:24'),
(13357, 'fa', 'api', 'API Guide', 'راهنمای API', '2018-01-24 08:33:52'),
(13358, 'fa', 'api', 'API Url', 'آدرس API', '2018-01-24 08:33:52'),
(13359, 'fa', 'common', 'Debug', 'اشکال زدایی', '2018-01-24 08:39:35'),
(13360, 'fa', 'common', 'Domain Authority', 'اعتبار دامنه (DA)', '2018-01-24 08:39:35'),
(13361, 'fa', 'common', 'Edit User Type', 'ویرایش نوع کاربری', '2018-01-24 08:39:35'),
(13362, 'fa', 'common', 'Keywords Count', 'تعداد کلمات', '2018-01-24 08:39:35'),
(13363, 'fa', 'common', 'MOZ Rank', 'امتیاز در سایت MOZ', '2018-01-24 08:39:35'),
(13364, 'fa', 'common', 'New User Type', 'نوع کاربر جدید', '2018-01-24 08:39:35'),
(13365, 'fa', 'common', 'Page Authority', 'اعتبار صفحه (PA)', '2018-01-24 08:39:35'),
(13366, 'fa', 'common', 'Pagerank', '<a href=\"http://www.3eo.ir/4216/%d9%be%db%8c%d8%ac-%d8%b1%d9%86%da%a9-%da%af%d9%88%da%af%d9%84-%d9%86%d9%85%d8%b1%d8%af%d9%87-%d8%a7%d8%b3%d8%aa/\">پیج رنک</a>', '2018-01-24 08:39:35'),
(13367, 'fa', 'common', 'Price', 'قیمت', '2018-01-24 08:39:35'),
(13368, 'fa', 'common', 'Sample CSV File', 'نمونه فایل CVS', '2018-01-24 08:39:35'),
(13369, 'fa', 'common', 'Search Engine Count', 'تعداد موتور جستجو', '2018-01-24 08:39:35'),
(13370, 'fa', 'common', 'User Type', 'نوع کاربر', '2018-01-24 08:39:35'),
(13371, 'fa', 'common', 'Websites Count', 'تعداد وب سایت', '2018-01-24 08:39:35'),
(13372, 'fa', 'keyword', 'You can add only keywordcount keywords more', 'شما برای این کاربر فقط [keywordcount] کلمه می توانید اضافه نمایید!', '2018-01-24 08:40:55'),
(13373, 'fa', 'keyword', 'Your keyword count already reached the limit', 'تعداد کلمات مجاز برای این کاربر به پایان رسیده است! ', '2018-01-24 08:40:55'),
(13374, 'fa', 'login', 'Forgot password?', 'پسورد خود را فراموش کرده اید؟', '2018-01-24 12:15:55'),
(13375, 'fa', 'login', 'internal_error_mail_send', 'یک مشکل داخلی در هنگام ارسال ایمیل تغییر پسورد رخ داد!', '2018-01-24 12:15:55'),
(13376, 'fa', 'login', 'password_reset_success_message', 'پسورد شما تغییر یافت. یک ایمیل تایید برای شما ارسال شده است. <br>لطفا ایمیل خود را برای مشاهده پسورد جدید مشاهده نمایید.', '2018-01-24 12:15:55'),
(13377, 'fa', 'login', 'Request Password', 'درخواست پسورد', '2018-01-24 12:15:55'),
(13378, 'fa', 'login', 'to login to your account', 'برای ورود به حساب کاربری خود', '2018-01-24 12:15:55'),
(13379, 'fa', 'login', 'User Type', 'نوع کاربر', '2018-01-24 12:15:55'),
(13380, 'fa', 'login', 'user_email_not_exist', 'چنین ایمیلی در سایت وجود ندارد', '2018-01-24 12:15:55'),
(13381, 'fa', 'login', 'Your account password is resetted and new password is', 'پسورد شما تغییر کرد و پسورد جدید شما این است', '2018-01-24 12:15:55'),
(13382, 'fa', 'login', 'Your Password Reset Failed', 'تغییر پسورد شما موفقیت آمیز نبود', '2018-01-24 12:15:55'),
(13383, 'fa', 'login', 'Your Password Reset Successfully', 'پسورد شما به موفقیت تغییر یافت', '2018-01-24 12:15:55'),
(13384, 'ru', 'common', 'Search Engine Count', 'Количество поисковых систем', '2024-07-17 11:16:33'),
(13385, 'ru', 'label', 'Access denied', 'Доступ запрещен', '2024-07-17 11:17:22'),
(13386, 'ru', 'panel', 'Global Reports Settings', 'Настройка глобальных отчетов', '2024-07-17 11:19:14'),
(13387, 'ru', 'panel', 'User Type Settings', 'Настройки типа пользователя', '2024-07-17 11:19:14'),
(13388, 'ru', 'settings', 'Please update google settings to get the results', 'Пожалуйста, обновите настройки Google, для получения результатов', '2024-07-17 11:22:42'),
(13389, 'ru', 'settings', 'Please update MOZ settings to get complete results', 'Пожалуйста, обновите настройки MOZ, для получения результатов', '2024-07-17 11:22:42'),
(13390, 'ru', 'subscription', 'Directory Submit Daily Limit', 'Ежедневный лимит представления каталога', '2024-07-17 11:24:41'),
(13391, 'ru', 'subscription', 'Directory Submit Limit', 'Лимит представления каталога', '2024-07-17 11:24:41'),
(13392, 'ru', 'subscription', 'infinite_limit_text', '<b>Примечание</b>: Введите -1 для бесконечного предела', '2024-07-17 11:24:41'),
(13393, 'ru', 'subscription', 'Plugin Access Settings', 'Настройки доступа к плагину', '2024-07-17 11:24:41'),
(13394, 'ru', 'subscription', 'Seo Tools Access Settings', 'Настройки доступа к инструментам Seo', '2024-07-17 11:24:41'),
(13395, 'ru', 'subscription', 'site_auditor_max_page_limit', 'Максимальное ограничение страницы', '2024-07-17 11:24:41'),
(13396, 'ru', 'subscription', 'total_count_greater_account_limit', 'Общий счет больше предела учетной записи - [limit]', '2024-07-17 11:24:41'),
(13397, 'ru', 'subscription', 'total_count_greater_account_limit_dir_sub', 'Количество просмотров каталога больше, чем ограничение учетной записи - [limit]', '2024-07-17 11:24:41'),
(13398, 'ru', 'subscription', 'total_count_greater_account_limit_dir_sub_daily', 'Количество записей в каталогах больше, чем дневной лимит - [limit]', '2024-07-17 11:24:41'),
(13399, 'pt', 'common', 'Search Engine Count', 'Nº de Motor de Pesquisas', '2019-05-25 18:43:55'),
(13400, 'pt', 'label', 'Access denied', 'Acesso Negado', '2018-01-25 19:11:22'),
(13401, 'pt', 'pagespeed', 'Desktop Speed', 'Desktop velocidade', '2018-01-25 19:13:43'),
(13402, 'pt', 'pagespeed', 'Mobile Speed', 'Mobile Velocidade', '2018-01-25 19:13:43'),
(13403, 'pt', 'pagespeed', 'Mobile Usability', 'Usabilidade Movel', '2018-01-25 19:13:43'),
(13404, 'pt', 'pagespeed', 'Page Speed', 'Velocidade da pagina', '2018-01-25 19:13:43'),
(13405, 'pt', 'pagespeed', 'PageSpeed Details', 'detalhes da Velocidade da pagina', '2018-01-25 19:13:43'),
(13406, 'pt', 'pagespeed', 'Saved page speed results of', 'Resultados da velocidade das paginas', '2018-01-25 19:13:43'),
(13407, 'pt', 'panel', 'Global Reports Settings', 'Detalhes Global reports', '2018-01-25 19:18:33'),
(13408, 'pt', 'panel', 'Google Settings', 'Configuração google', '2018-01-25 19:18:33'),
(13409, 'pt', 'panel', 'MOZ Settings', 'Configurações MOZ', '2018-01-25 19:18:33'),
(13410, 'pt', 'panel', 'User Type Settings', 'Definições de tipo de user', '2018-01-25 19:18:33'),
(13411, 'pt', 'proxy', 'click-to-get-proxy', 'Click aqui para ter o proxy', '2018-01-25 19:17:58'),
(13412, 'pt', 'seotools', 'clickproceedaction', 'Introduza URL\'s <b>um por linha</b>. Click on <b>Proceder</b> para verificar resultados.	', '2018-01-25 19:25:11'),
(13413, 'pt', 'seotools', 'Generate Reports', 'Gerar Relatórios', '2018-01-25 19:25:11'),
(13414, 'pt', 'seotools', 'pagespeed', 'Velocidade das paginas especificações', '2018-01-25 19:25:11'),
(13415, 'pt', 'seotools', 'PageSpeed Reports', 'Relatórios da velocidade das paginas', '2018-01-25 19:25:11'),
(13416, 'pt', 'seotools', 'Quick PageSpeed Checker', 'Velocidade das paginas rapidas', '2018-01-25 19:25:11'),
(13417, 'pt', 'settings', 'click-to-get-google-api-key', 'Click aqui para obter A chave da API do goolge', '2018-01-25 19:23:30'),
(13418, 'pt', 'settings', 'click-to-get-moz-account', 'Click aqui apra obter a Conta MOZ', '2018-01-25 19:23:30'),
(13419, 'pt', 'settings', 'Please update google settings to get the results', 'Por favor verifique as configurações do google para obter resultados', '2018-01-25 19:23:30'),
(13420, 'pt', 'settings', 'Please update MOZ settings to get complete results', 'Por Favor verifique as configurações MOZ para obter resultados completos', '2018-01-25 19:23:30'),
(13421, 'pt', 'settings', 'SP_GOOGLE_API_KEY', 'Google API Key	', '2018-01-25 19:23:30'),
(13422, 'pt', 'settings', 'SP_MOZ_API_ACCESS_ID', 'Access ID	', '2018-01-25 19:23:30'),
(13423, 'pt', 'settings', 'SP_MOZ_API_SECRET', 'Secret Key	', '2018-01-25 19:23:30'),
(13424, 'pt', 'settings', 'Verify connection', 'Verificar coneção', '2018-01-25 19:23:30'),
(13425, 'pt', 'subscription', 'Directory Submit Daily Limit', 'Limite de submissão diária de directórios', '2018-01-25 19:26:54'),
(13426, 'pt', 'subscription', 'Directory Submit Limit', 'Limite de submissão de diretórios', '2018-01-25 19:26:54'),
(13427, 'pt', 'subscription', 'infinite_limit_text', '<b>Note</b>: Introduza -1 for infinito o limite', '2018-01-25 19:26:54'),
(13428, 'pt', 'subscription', 'Plugin Access Settings', 'Definições do plugin de acesso', '2018-01-25 19:26:54'),
(13429, 'pt', 'subscription', 'Seo Tools Access Settings', '', '2018-01-25 19:26:54'),
(13430, 'pt', 'subscription', 'site_auditor_max_page_limit', '', '2018-01-25 19:26:54'),
(13431, 'pt', 'subscription', 'total_count_greater_account_limit', '', '2018-01-25 19:26:54'),
(13432, 'pt', 'subscription', 'total_count_greater_account_limit_dir_sub', '', '2018-01-25 19:26:54'),
(13433, 'pt', 'subscription', 'total_count_greater_account_limit_dir_sub_daily', '', '2018-01-25 19:26:54'),
(13434, 'el', 'common', 'Search Engine Count', 'Μηχανές Αναζήτησης', '2019-08-28 05:40:52'),
(13435, 'el', 'label', 'Access denied', 'Δεν επιτρέπεται η πρόσβαση', '2019-11-28 18:22:10'),
(13436, 'el', 'panel', 'Global Reports Settings', 'Ρυθμίσεις Καθολικών Αναφορών', '2019-08-28 05:42:17'),
(13437, 'el', 'panel', 'User Type Settings', 'Ρυθμίσεις Τύπου Χρήστη', '2019-08-28 05:42:17'),
(13438, 'el', 'subscription', 'Directory Submit Daily Limit', 'Όριο Ημερήσιας Καταχώρισης σε Καταλόγους', '2019-11-28 18:11:38'),
(13439, 'el', 'subscription', 'Directory Submit Limit', 'Όριο Καταχώρισης σε Καταλόγους', '2019-11-28 18:11:38'),
(13440, 'el', 'subscription', 'infinite_limit_text', '<b>Σημείωση</b>: Εισάγετε -1 για να μην έχετε όριο', '2019-11-28 18:11:38'),
(13441, 'el', 'subscription', 'Plugin Access Settings', 'Ρυθμίσεις Πρόσβασης του Plugin', '2019-11-28 18:11:38'),
(13442, 'el', 'subscription', 'Seo Tools Access Settings', 'Ρυθμίσεις Πρόσβασης στα Seo Εργαλεία', '2019-11-28 18:11:38'),
(13443, 'el', 'subscription', 'site_auditor_max_page_limit', 'Μέγιστο Όριο Σελίδας Site Auditor', '2019-11-28 18:11:38'),
(13444, 'el', 'subscription', 'total_count_greater_account_limit', 'Η συνολική μέτρηση είναι μεγαλύτερη από το όριο λογαριασμού  - [limit]', '2019-11-28 18:11:38'),
(13445, 'el', 'subscription', 'total_count_greater_account_limit_dir_sub', 'Ο αριθμός καταχώρισης σε καταλόγους είναι μεγαλύτερος από το όριο λογαριασμού - [limit]', '2019-11-28 18:11:38'),
(13446, 'el', 'subscription', 'total_count_greater_account_limit_dir_sub_daily', 'Ο αριθμός καταχώρισης σε καταλόγους είναι μεγαλύτερος από το ημερήσιο όριο λογαριασμού - [limit]', '2019-11-28 18:11:38');
INSERT INTO `texts` (`id`, `lang_code`, `category`, `label`, `content`, `changed`) VALUES
(13447, 'en', 'QuickWebProxy', 'Anonymize', 'Anonymize', '2018-05-23 19:26:15'),
(13448, 'en', 'QuickWebProxy', 'QWP_ALLOW_USER_WEB_PROXY', 'Allow user to access the web proxy', '2018-05-23 19:26:15'),
(13449, 'en', 'QuickWebProxy', 'QWP_ALLOW_WEB_SERVER_ACT_AS_PROXY', 'Allow web server to act as a proxy', '2018-05-23 19:26:15'),
(13450, 'en', 'QuickWebProxy', 'Web Proxy', 'Web Proxy', '2018-05-23 19:26:15'),
(13451, 'en', 'QuickWebProxy', 'Web Server', 'Web Server', '2018-05-23 19:26:15'),
(13452, 'en', 'QuickWebProxy', 'Please enter a valid url', 'Please enter a valid url', '2018-05-23 19:26:15'),
(13453, 'en', 'QuickWebProxy', 'Server list is empty', 'Server list is empty', '2018-05-23 19:26:15'),
(13454, 'en', 'settings', 'SP_SEND_CUSTOM_HEADER_IN_CURL', 'Send custom header with curl request', '2018-05-23 19:26:15'),
(13455, 'en', 'common', 'Server', 'Server', '2018-05-23 19:26:15'),
(13456, 'fr', 'common', 'Server', 'Serveur', '2020-02-14 11:05:11'),
(13457, 'fr', 'QuickWebProxy', 'Anonymize', 'Anonymiser', '2018-05-23 22:04:23'),
(13458, 'fr', 'QuickWebProxy', 'Please enter a valid url', 'Indiquer une URL valide', '2018-05-23 22:04:23'),
(13459, 'fr', 'QuickWebProxy', 'QWP_ALLOW_USER_WEB_PROXY', 'Autoriser l\'utilisateur à accéder au proxy web', '2018-05-23 22:04:23'),
(13460, 'fr', 'QuickWebProxy', 'QWP_ALLOW_WEB_SERVER_ACT_AS_PROXY', 'Autoriser le serveur web à agir en tant que proxy web', '2018-05-23 22:04:23'),
(13461, 'fr', 'QuickWebProxy', 'Server list is empty', 'La lise de serveurs est vide', '2018-05-23 22:04:23'),
(13462, 'fr', 'QuickWebProxy', 'Web Proxy', 'Proxy Web', '2018-05-23 22:04:23'),
(13463, 'fr', 'QuickWebProxy', 'Web Server', 'Serveur Web', '2018-05-23 22:04:23'),
(13464, 'fr', 'settings', 'SP_SEND_CUSTOM_HEADER_IN_CURL', 'Utiliser un en-tête personnalisé avec la requête curl', '2019-03-28 14:39:30'),
(13465, 'el', 'settings', 'SP_SEND_CUSTOM_HEADER_IN_CURL', 'Αποστολή custom header με curl request	', '2019-08-28 05:43:40'),
(13466, 'el', 'QuickWebProxy', 'Anonymize', 'Anonymize', '2018-05-24 08:24:23'),
(13467, 'el', 'QuickWebProxy', 'Please enter a valid url', 'Παρακαλώ πληκτρολογήστε ένα έγκυρο URL', '2018-05-24 08:24:23'),
(13468, 'el', 'QuickWebProxy', 'QWP_ALLOW_USER_WEB_PROXY', 'Επιτρέψτε στον χρήστη πρόσβαση στο web proxy', '2018-05-24 08:24:23'),
(13469, 'el', 'QuickWebProxy', 'QWP_ALLOW_WEB_SERVER_ACT_AS_PROXY', 'Επιτρέψτε στο server να λειτουργεί ως proxy', '2018-05-24 08:24:23'),
(13470, 'el', 'QuickWebProxy', 'Server list is empty', 'Άδεια λίστα server', '2018-05-24 08:24:23'),
(13471, 'el', 'QuickWebProxy', 'Web Proxy', 'Web Server', '2018-05-24 08:24:23'),
(13472, 'el', 'QuickWebProxy', 'Web Server', 'Web Server', '2018-05-24 08:24:23'),
(13473, 'el', 'common', 'Server', 'Server', '2019-08-28 05:40:52'),
(13474, 'id', 'api', 'API Guide', 'Panduan API', '2018-05-24 13:09:49'),
(13475, 'id', 'api', 'API Url', 'URL API', '2018-05-24 13:09:49'),
(13476, 'id', 'common', 'Checked', 'Diperiksa', '2019-05-25 18:35:48'),
(13477, 'id', 'common', 'Dashboard', 'Dasbor', '2019-05-25 18:35:48'),
(13478, 'id', 'common', 'Debug', 'Debug', '2019-05-25 18:35:48'),
(13479, 'id', 'common', 'Domain Authority', 'Kekuatan Domain', '2019-05-25 18:35:48'),
(13480, 'id', 'common', 'Edit User Type', 'Edit Tipe User', '2019-05-25 18:35:48'),
(13481, 'id', 'common', 'Hello', 'Halo', '2019-05-25 18:35:48'),
(13482, 'id', 'common', 'Home', 'Beranda', '2019-05-25 18:35:48'),
(13483, 'id', 'common', 'Keywords Count', 'Jumlah Kata Kunci', '2019-05-25 18:35:48'),
(13484, 'id', 'common', 'MOZ Rank', 'MOZ Rank', '2019-05-25 18:35:48'),
(13485, 'id', 'common', 'New User Type', 'Tipe User Baru', '2019-05-25 18:35:48'),
(13486, 'id', 'common', 'Page Authority', 'Kekuatan Halaman', '2019-05-25 18:35:48'),
(13487, 'id', 'common', 'Pagerank', 'Pagerank', '2019-05-25 18:35:48'),
(13488, 'id', 'common', 'Powered by', 'Dipersembahkan oleh', '2019-05-25 18:35:48'),
(13489, 'id', 'common', 'Price', 'Harga', '2019-05-25 18:35:48'),
(13490, 'id', 'common', 'Sample CSV File', 'Berkas contoh CSV', '2019-05-25 18:35:48'),
(13491, 'id', 'common', 'Search Engine Count', 'Jumlah Search Engine', '2019-05-25 18:35:48'),
(13492, 'id', 'common', 'Server', 'Server', '2019-05-25 18:35:48'),
(13493, 'id', 'common', 'Thank you', 'Terima kasih', '2019-05-25 18:35:48'),
(13494, 'id', 'common', 'User Type', 'Tipe User', '2019-05-25 18:35:48'),
(13495, 'id', 'common', 'Websites Count', 'Jumlah Website', '2019-05-25 18:35:48'),
(13496, 'id', 'directory', 'clickaddfeatureddirectory', 'Klik di sini untuk menambah direktori unggulan Anda', '2018-05-24 13:18:24'),
(13497, 'id', 'directory', 'Coupon Code', 'Kode Kupon', '2018-05-24 13:18:24'),
(13498, 'id', 'directory', 'Coupon Offer', 'Kupon Penawaran', '2018-05-24 13:18:24'),
(13499, 'id', 'directory', 'couponcodenote', 'Gunakan kode kupon di atas dan dapatkan penawaran [REDUCTION_PER] untuk setiap pengajuan terpilih!', '2018-05-24 13:18:24'),
(13500, 'id', 'directory', 'Directories with out Reciprocal Link', 'Direktori tanpa Link Resiprokal', '2018-05-24 13:18:24'),
(13501, 'id', 'keyword', 'You can add only keywordcount keywords more', 'Anda hanya bisa menambah [keywordcount] kata kunci untuk pengguna ini!', '2018-05-24 13:19:48'),
(13502, 'id', 'keyword', 'Your keyword count already reached the limit', 'Jumlah kata kunci sudah mencapai batas untuk pengguna ini!', '2018-05-24 13:19:48'),
(13503, 'id', 'label', 'Access denied', 'Akses ditolak', '2018-05-24 13:22:20'),
(13504, 'id', 'label', 'Clear All', 'Hapus Semua', '2018-05-24 13:22:20'),
(13505, 'id', 'label', 'Cookie', 'Cookie', '2018-05-24 13:22:20'),
(13506, 'id', 'label', 'Current', 'Sekarang', '2018-05-24 13:22:20'),
(13507, 'id', 'label', 'Daily', 'Harian', '2018-05-24 13:22:20'),
(13508, 'id', 'label', 'Desktop', 'Desktop', '2018-05-24 13:22:20'),
(13509, 'id', 'label', 'Fail', 'Gagal', '2018-05-24 13:22:20'),
(13510, 'id', 'label', 'Free', 'Gratis', '2018-05-24 13:22:20'),
(13511, 'id', 'label', 'Mobile', 'Mobile', '2018-05-24 13:22:20'),
(13512, 'id', 'label', 'Monthly', 'Bulanan', '2018-05-24 13:22:20'),
(13513, 'id', 'label', 'Order By', 'Diurutkan Berdasarkan', '2018-05-24 13:22:20'),
(13514, 'id', 'label', 'Reference', 'Referensi', '2018-05-24 13:22:20'),
(13515, 'id', 'label', 'Referer', 'Referer', '2018-05-24 13:22:20'),
(13516, 'id', 'label', 'Select All', 'Pilih Semua', '2018-05-24 13:22:20'),
(13517, 'id', 'label', 'Speed', 'Kecepatan', '2018-05-24 13:22:20'),
(13518, 'id', 'label', 'Subject', 'Subyek', '2018-05-24 13:22:20'),
(13519, 'id', 'label', 'Success', 'Sukses', '2018-05-24 13:22:20'),
(13520, 'id', 'label', 'Syntax', 'Sintaks', '2018-05-24 13:22:20'),
(13521, 'id', 'label', 'Theme', 'Tema', '2018-05-24 13:22:20'),
(13522, 'id', 'label', 'Type', 'Tipe', '2018-05-24 13:22:20'),
(13523, 'id', 'label', 'Usability', 'Kegunaan', '2018-05-24 13:22:20'),
(13524, 'id', 'label', 'User agent', 'User agent', '2018-05-24 13:22:20'),
(13525, 'id', 'label', 'Weekly', 'Mingguan', '2018-05-24 13:22:20'),
(13526, 'id', 'log', 'Clear All Logs', 'Hapus Semua Log', '2018-05-24 13:23:02'),
(13527, 'id', 'log', 'Crawl Log Details', 'Detail Log Penjelajahan', '2018-05-24 13:23:02'),
(13528, 'id', 'log', 'Post Fields', '', '2018-05-24 13:23:02'),
(13529, 'id', 'login', 'Forgot password?', 'Lupa sandi?', '2018-05-24 13:26:12'),
(13530, 'id', 'login', 'internal_error_mail_send', 'Terjadi kesalahan saat mengirimkan email untuk mereset sandi!', '2018-05-24 13:26:12'),
(13531, 'id', 'login', 'password_reset_success_message', 'Sandi Anda berhasil direset. Sebuah email konfirmasi telah dikirim ke alamat email Anda. <br>Silakan cek inbox Anda untuk mendapatkan sandi yang baru.', '2018-05-24 13:26:12'),
(13532, 'id', 'login', 'Request Password', 'Minta Sandi', '2018-05-24 13:26:12'),
(13533, 'id', 'login', 'to login to your account', 'untuk masuk ke akun Anda', '2018-05-24 13:26:12'),
(13534, 'id', 'login', 'User Type', 'Tipe User', '2018-05-24 13:26:12'),
(13535, 'id', 'login', 'user_email_not_exist', 'Email pengguna tidak ada di dalam sistem!', '2018-05-24 13:26:12'),
(13536, 'id', 'login', 'Your account password is resetted and new password is', 'Sandi akun anda telah direset dan sandi barunya adalah', '2018-05-24 13:26:12'),
(13537, 'id', 'login', 'Your Password Reset Failed', 'Reset Sandi Anda Gagal', '2018-05-24 13:26:12'),
(13538, 'id', 'login', 'Your Password Reset Successfully', 'Sandi Anda Berhasil Direset', '2018-05-24 13:26:12'),
(13539, 'id', 'pagespeed', 'Desktop Speed', 'Kecepatan Desktop', '2018-05-24 13:27:02'),
(13540, 'id', 'pagespeed', 'Mobile Speed', 'Kecepatan Mobile', '2018-05-24 13:27:02'),
(13541, 'id', 'pagespeed', 'Mobile Usability', 'Kegunaan Mobile', '2018-05-24 13:27:02'),
(13542, 'id', 'pagespeed', 'Page Speed', 'Kecepatan Halaman', '2018-05-24 13:27:02'),
(13543, 'id', 'pagespeed', 'PageSpeed Details', 'Detail Kecepatan Halaman', '2018-05-24 13:27:02'),
(13544, 'id', 'pagespeed', 'Saved page speed results of', 'Hasil kecepatan halaman yang tersimpan dari', '2018-05-24 13:27:02'),
(13545, 'id', 'panel', 'API Connection', 'Koneksi API', '2018-05-24 13:29:48'),
(13546, 'id', 'panel', 'API Manager', 'Manajer API', '2018-05-24 13:29:48'),
(13547, 'id', 'panel', 'API Settings', 'Pengaturan API', '2018-05-24 13:29:48'),
(13548, 'id', 'panel', 'Archived Reports', 'Laporan Terarsip', '2018-05-24 13:29:48'),
(13549, 'id', 'panel', 'Crawl Log Manager', 'Manager Log Penjelajahan', '2018-05-24 13:29:48'),
(13550, 'id', 'panel', 'Existing', 'Tersedia', '2018-05-24 13:29:48'),
(13551, 'id', 'panel', 'Global Reports Settings', 'Pengaturan Laporan Global', '2018-05-24 13:29:48'),
(13552, 'id', 'panel', 'Google Settings', 'Pengaturan Google', '2018-05-24 13:29:48'),
(13553, 'id', 'panel', 'Import Proxy', 'Impor Proxy', '2018-05-24 13:29:48'),
(13554, 'id', 'panel', 'Import Websites', 'Impor Website', '2018-05-24 13:29:48'),
(13555, 'id', 'panel', 'Log Manager', 'Manajer Log', '2018-05-24 13:29:48'),
(13556, 'id', 'panel', 'MOZ Settings', 'Pengaturan MOZ', '2018-05-24 13:29:48'),
(13557, 'id', 'panel', 'New User Type', 'Tipe User Baru', '2018-05-24 13:29:48'),
(13558, 'id', 'panel', 'Proxy Perfomance', 'Kinerja Proxy', '2018-05-24 13:29:48'),
(13559, 'id', 'panel', 'Proxy Settings', 'Pengaturan Proxy', '2018-05-24 13:29:48'),
(13560, 'id', 'panel', 'Report Settings', 'Pengaturan Laporan', '2018-05-24 13:29:48'),
(13561, 'id', 'panel', 'Schedule Reports', 'Laporan Jadwal', '2018-05-24 13:29:48'),
(13562, 'id', 'panel', 'Search Engine Manager', 'Manajer Mesin Pencarian', '2018-05-24 13:29:48'),
(13563, 'id', 'panel', 'Settings', 'Pengaturan', '2018-05-24 13:29:48'),
(13564, 'id', 'panel', 'Themes Manager', 'Manajer Tema', '2018-05-24 13:29:48'),
(13565, 'id', 'panel', 'User Type Manager', 'Manajer Tipe User', '2018-05-24 13:29:48'),
(13566, 'id', 'panel', 'User Type Settings', 'Pengaturan Tipe User', '2018-05-24 13:29:48'),
(13567, 'id', 'panel', 'Valid', 'Sah', '2018-05-24 13:29:48'),
(13568, 'id', 'proxy', 'click-to-get-proxy', 'Klik di sini untuk mendapatkan proxy', '2018-05-24 13:31:01'),
(13569, 'id', 'proxy', 'enterproxynote', '', '2018-05-24 13:31:01'),
(13570, 'id', 'proxy', 'proxysyntax', 'Nama Host Proxy, Port Proxy, Nama User Proxy, Sandi Proxy', '2018-05-24 13:31:01'),
(13571, 'id', 'proxy', 'Request Count', 'Jumlah Request', '2018-05-24 13:31:01'),
(13572, 'ja', 'common', 'Server', 'サーバー', '2019-05-25 18:40:02'),
(13573, 'ja', 'QuickWebProxy', 'Anonymize', '匿名化', '2018-05-25 06:30:06'),
(13574, 'ja', 'QuickWebProxy', 'Please enter a valid url', '有効なURLを入力してください', '2018-05-25 06:30:06'),
(13575, 'ja', 'QuickWebProxy', 'QWP_ALLOW_USER_WEB_PROXY', 'ユーザにウェブプロキシへのアクセスを許可する', '2018-05-25 06:30:06'),
(13576, 'ja', 'QuickWebProxy', 'QWP_ALLOW_WEB_SERVER_ACT_AS_PROXY', 'ウェブサーバーをプロキシとして動作させる', '2018-05-25 06:30:06'),
(13577, 'ja', 'QuickWebProxy', 'Server list is empty', 'サーバーリストは空です', '2018-05-25 06:30:06'),
(13578, 'ja', 'QuickWebProxy', 'Web Proxy', 'ウェブプロキシ', '2018-05-25 06:30:06'),
(13579, 'ja', 'QuickWebProxy', 'Web Server', 'ウェブサーバー', '2018-05-25 06:30:06'),
(13580, 'ja', 'settings', 'SP_SEND_CUSTOM_HEADER_IN_CURL', 'curlリクエストを付けてカスタムヘッダを送信する', '2019-04-01 09:52:17'),
(13581, 'ru', 'common', 'Server', 'Сервер', '2024-07-17 11:16:33'),
(13582, 'ru', 'QuickWebProxy', 'Anonymize', 'Анонимизировать', '2024-07-17 11:19:58'),
(13583, 'ru', 'QuickWebProxy', 'Please enter a valid url', 'Пожалуйста введите корректный url', '2024-07-17 11:19:58'),
(13584, 'ru', 'QuickWebProxy', 'QWP_ALLOW_USER_WEB_PROXY', 'Разрешить пользователю доступ к веб-прокси', '2024-07-17 11:19:58'),
(13585, 'ru', 'QuickWebProxy', 'QWP_ALLOW_WEB_SERVER_ACT_AS_PROXY', 'Разрешить веб-серверу действовать как прокси-сервер', '2024-07-17 11:19:58'),
(13586, 'ru', 'QuickWebProxy', 'Server list is empty', 'Список серверов пуст', '2024-07-17 11:19:58'),
(13587, 'ru', 'QuickWebProxy', 'Web Proxy', 'Веб-прокси', '2024-07-17 11:19:58'),
(13588, 'ru', 'QuickWebProxy', 'Web Server', 'Веб-сервер', '2024-07-17 11:19:58'),
(13589, 'ru', 'settings', 'SP_SEND_CUSTOM_HEADER_IN_CURL', 'Отправить собственный заголовок с запросом на завивание', '2024-07-17 11:22:42'),
(13590, 'pt-br', 'common', 'Server', 'Servidor', '2019-07-29 20:26:27'),
(13591, 'pt-br', 'QuickWebProxy', 'Anonymize', 'Ficar anônimo', '2018-06-02 13:46:40'),
(13592, 'pt-br', 'QuickWebProxy', 'Please enter a valid url', 'Por favor digite uma URL válida', '2018-06-02 13:46:40'),
(13593, 'pt-br', 'QuickWebProxy', 'QWP_ALLOW_USER_WEB_PROXY', 'Permitir acesso do usuário ao proxy', '2018-06-02 13:46:40'),
(13594, 'pt-br', 'QuickWebProxy', 'QWP_ALLOW_WEB_SERVER_ACT_AS_PROXY', 'Permitir servidor web agir como proxy', '2018-06-02 13:46:40'),
(13595, 'pt-br', 'QuickWebProxy', 'Server list is empty', 'Lista de servidores está vazia', '2018-06-02 13:46:40'),
(13596, 'pt-br', 'QuickWebProxy', 'Web Proxy', 'Proxy Web', '2018-06-02 13:46:40'),
(13597, 'pt-br', 'QuickWebProxy', 'Web Server', 'Servidor Web', '2018-06-02 13:46:40'),
(13598, 'pt-br', 'settings', 'SP_SEND_CUSTOM_HEADER_IN_CURL', 'Enviar header com requisição curl personalizada', '2018-06-02 13:47:27'),
(13599, 'en', 'label', 'Email Body', 'Email Body', '2018-06-26 21:27:02'),
(13600, 'en', 'label', 'Days', 'Days', '2018-06-26 21:27:02'),
(13601, 'en', 'subscription', 'Email Template Manager', 'Email Template Manager', '2018-06-26 21:27:02'),
(13602, 'en', 'subscription', 'Edit Email Template', 'Edit Email Template', '2018-06-26 21:27:02'),
(13603, 'en', 'subscription', 'SUBSCRIPTION_RENEWAL_REMINDER_1', 'Membership Renewal Remainder 1(Before)', '2018-06-26 21:27:02'),
(13604, 'en', 'subscription', 'SUBSCRIPTION_RENEWAL_REMINDER_2', 'Membership Renewal Remainder 2(Before)', '2018-06-26 21:27:02'),
(13605, 'en', 'subscription', 'SUBSCRIPTION_EXPIRED_NOTIFICATION', 'Membership Expired Notification(After)', '2018-06-26 21:27:02'),
(13606, 'en', 'settings', 'SP_GOOGLE_API_CLIENT_ID', 'Google API Client Id', '2018-08-20 20:57:21'),
(13607, 'en', 'settings', 'SP_GOOGLE_API_CLIENT_SECRET', 'Google API Client Secret', '2018-08-20 20:57:21'),
(13608, 'en', 'settings', 'SP_GOOGLE_ANALYTICS_TRACK_CODE', 'Google Analytics Tracking Code', '2018-08-20 20:57:21'),
(13609, 'en', 'panel', 'Connections', 'Connections', '2018-08-20 20:57:21'),
(13610, 'en', 'myaccount', 'Connect', 'Connect', '2018-08-20 20:57:21'),
(13611, 'en', 'myaccount', 'Disconnect', 'Disconnect', '2018-08-20 20:57:21'),
(13612, 'en', 'myaccount', 'Connected', 'Connected', '2018-08-20 20:57:21'),
(13613, 'en', 'myaccount', 'Disconnected', 'Disconnected', '2018-08-20 20:57:21'),
(13614, 'en', 'login', 'Your account activated successfully', 'Your account activated successfully', '2018-08-20 20:57:21'),
(13615, 'en', 'login', 'user_not_activated_msg', 'User is not activated. Please check your mail for activation', '2018-08-20 20:57:21'),
(13616, 'en', 'subscription', 'enable_email_activation', 'Enable Email Activation', '2018-08-20 20:57:21'),
(13617, 'en', 'subscription', 'free_trial_period', 'Free Trial Period', '2018-08-20 20:57:21'),
(13618, 'en', 'register', 'user_confirm_mail_cont_1', 'Thank you for your registration with', '2018-08-20 20:57:21'),
(13619, 'en', 'register', 'user_confirm_mail_cont_2', 'Please click on the following link to confirm registration', '2018-08-20 20:57:21'),
(13620, 'en', 'register', 'user_confirm_content_1', 'Internal error occured while processing confirm request', '2018-08-20 20:57:21'),
(13621, 'en', 'label', 'Feature', 'Feature', '2018-08-20 20:57:21'),
(13622, 'en', 'label', 'Months', 'Months', '2018-08-20 20:57:21'),
(13623, 'en', 'common', 'Pricing', 'Pricing', '2018-08-20 20:58:09'),
(13624, 'en', 'register', 'Registration', 'Registration', '2018-08-20 20:58:09'),
(13625, 'en', 'seotools', 'webmaster-tools', 'Webmaster Tools', '2018-08-20 20:58:09'),
(13626, 'en', 'seotools', 'Keyword Search Reports', 'Keyword Search Reports', '2018-08-20 20:58:09'),
(13627, 'en', 'seotools', 'Keyword Search Summary', 'Keyword Search Summary', '2018-08-20 20:58:09'),
(13628, 'en', 'seotools', 'Website Search Summary', 'Website Search Summary', '2018-08-20 20:58:09'),
(13629, 'en', 'seotools', 'Website Search Reports', 'Website Search Reports', '2018-08-20 20:58:09'),
(13630, 'en', 'seotools', 'Graphical Reports', 'Graphical Reports', '2018-08-20 20:58:09'),
(13631, 'en', 'seotools', 'Quick Checker', 'Quick Checker', '2018-08-20 20:58:09'),
(13632, 'en', 'label', 'Clicks', 'Clicks', '2018-08-20 20:58:09'),
(13633, 'en', 'label', 'Impressions', 'Impressions', '2018-08-20 20:58:09'),
(13634, 'en', 'webmaster', 'Average Position', 'Average Position', '2018-08-20 20:58:09'),
(13635, 'ja', 'common', 'Pricing', '価格設定', '2019-05-25 18:40:02'),
(13636, 'ja', 'label', 'Clicks', 'クリック', '2019-04-01 09:45:51'),
(13637, 'ja', 'label', 'Days', '日', '2019-04-01 09:45:51'),
(13638, 'ja', 'label', 'Email Body', 'メール本文', '2019-04-01 09:45:51'),
(13639, 'ja', 'label', 'Feature', '特長\r\n', '2019-04-01 09:45:51'),
(13640, 'ja', 'label', 'Impressions', 'インプレッション', '2019-04-01 09:45:51'),
(13641, 'ja', 'label', 'Months', '月', '2019-04-01 09:45:51'),
(13642, 'ja', 'login', 'user_not_activated_msg', 'ユーザが有効化されていません。Eメールをご確認ください', '2018-08-21 06:29:48'),
(13643, 'ja', 'login', 'Your account activated successfully', 'アカウントが有効化されました', '2018-08-21 06:29:48'),
(13644, 'ja', 'myaccount', 'Connect', '接続', '2018-08-21 06:30:28'),
(13645, 'ja', 'myaccount', 'Connected', '接続済', '2018-08-21 06:30:28'),
(13646, 'ja', 'myaccount', 'Disconnect', '切断', '2018-08-21 06:30:28'),
(13647, 'ja', 'myaccount', 'Disconnected', '切断済', '2018-08-21 06:30:28'),
(13648, 'ja', 'panel', 'Connections', '接続', '2019-04-01 09:46:57'),
(13649, 'ja', 'register', 'Registration', '登録', '2018-08-21 06:35:40'),
(13650, 'ja', 'register', 'user_confirm_content_1', '確定要求の処理中に内部エラーが発生しました', '2018-08-21 06:35:40'),
(13651, 'ja', 'register', 'user_confirm_mail_cont_1', 'ご登録ありがとうございます：', '2018-08-21 06:35:40'),
(13652, 'ja', 'register', 'user_confirm_mail_cont_2', '登録を確定するには以下のリンクをクリックしてください', '2018-08-21 06:35:40'),
(13653, 'it', 'common', 'Pricing', 'Prezzo', '2022-07-11 11:16:48'),
(13654, 'it', 'common', 'Search Engine Count', 'Conteggio motore di ricerca', '2022-07-11 11:16:48'),
(13655, 'it', 'common', 'Server', 'Server', '2022-07-11 11:16:48'),
(13656, 'bg', 'common', 'Pricing', 'Ценообразуване', '2019-05-25 18:00:14'),
(13657, 'bg', 'common', 'Search Engine Count', 'Брой търсачки', '2019-05-25 18:00:14'),
(13658, 'bg', 'common', 'Server', 'Сървър', '2019-05-25 18:00:14'),
(13659, 'it', 'label', 'Access denied', 'Accesso negato', '2022-07-11 11:17:58'),
(13660, 'it', 'label', 'Clicks', 'Clicks', '2022-07-11 11:17:58'),
(13661, 'it', 'label', 'Days', 'Giorni', '2022-07-11 11:17:58'),
(13662, 'it', 'label', 'Desktop', 'Desktop', '2022-07-11 11:17:58'),
(13663, 'it', 'label', 'Email Body', 'Corpo della email', '2022-07-11 11:17:58'),
(13664, 'it', 'label', 'Feature', 'Caratteristiche', '2022-07-11 11:17:58'),
(13665, 'it', 'label', 'Impressions', 'Impressions', '2022-07-11 11:17:58'),
(13666, 'it', 'label', 'Mobile', 'Mobile', '2022-07-11 11:17:58'),
(13667, 'it', 'label', 'Months', 'Mesi', '2022-07-11 11:17:58'),
(13668, 'it', 'label', 'Speed', 'Velocità', '2022-07-11 11:17:58'),
(13669, 'it', 'label', 'Usability', 'Usabilità', '2022-07-11 11:17:58'),
(13670, 'it', 'login', 'user_not_activated_msg', 'Utente non attivato. Controlla la tua mail per l\'attivazione', '2018-08-21 07:07:40'),
(13671, 'it', 'login', 'Your account activated successfully', 'Il tuo account è stato attivato con successo', '2018-08-21 07:07:40'),
(13672, 'it', 'myaccount', 'Connect', 'Connettiti', '2018-08-21 07:08:01'),
(13673, 'it', 'myaccount', 'Connected', 'Connesso', '2018-08-21 07:08:01'),
(13674, 'it', 'myaccount', 'Disconnect', 'Disconnettiti', '2018-08-21 07:08:01'),
(13675, 'it', 'myaccount', 'Disconnected', 'Disconnesso', '2018-08-21 07:08:01'),
(13676, 'it', 'pagespeed', 'Desktop Speed', 'Velocità Desktop', '2018-08-21 07:08:38'),
(13677, 'it', 'pagespeed', 'Mobile Speed', 'Velocità Mobile', '2018-08-21 07:08:38'),
(13678, 'it', 'pagespeed', 'Mobile Usability', 'Usabilità Mobile', '2018-08-21 07:08:38'),
(13679, 'it', 'pagespeed', 'Page Speed', 'Page speed', '2018-08-21 07:08:38'),
(13680, 'it', 'pagespeed', 'PageSpeed Details', 'Dettagli PageSpeed', '2018-08-21 07:08:38'),
(13681, 'it', 'pagespeed', 'Saved page speed results of', 'Salva risultati del page speed di', '2018-08-21 07:08:38'),
(13682, 'bg', 'label', 'Access denied', 'Отказан достъп', '2018-08-21 07:09:26'),
(13683, 'bg', 'label', 'Clicks', 'Кликове', '2018-08-21 07:09:26'),
(13684, 'bg', 'label', 'Days', 'Дни', '2018-08-21 07:09:26'),
(13685, 'bg', 'label', 'Desktop', 'Десктоп', '2018-08-21 07:09:26'),
(13686, 'bg', 'label', 'Email Body', 'Емайл съобщение', '2018-08-21 07:09:26'),
(13687, 'bg', 'label', 'Feature', 'Свойство', '2018-08-21 07:09:26'),
(13688, 'bg', 'label', 'Impressions', 'Импресии', '2018-08-21 07:09:26'),
(13689, 'bg', 'label', 'Mobile', 'Мобилно устройство', '2018-08-21 07:09:26'),
(13690, 'bg', 'label', 'Months', 'Месеци', '2018-08-21 07:09:26'),
(13691, 'bg', 'label', 'Speed', 'Скорост', '2018-08-21 07:09:26'),
(13692, 'bg', 'label', 'Usability', 'Ползваемост', '2018-08-21 07:09:26'),
(13693, 'it', 'panel', 'Connections', 'Connessioni', '2022-07-11 11:20:07'),
(13694, 'it', 'panel', 'Global Reports Settings', 'Report Impostazioni Generali', '2022-07-11 11:20:07'),
(13695, 'it', 'panel', 'Google Settings', 'Impostazioni google', '2022-07-11 11:20:07'),
(13696, 'it', 'panel', 'User Type Settings', 'Impostazioni tipo utente', '2022-07-11 11:20:07'),
(13697, 'bg', 'login', 'user_not_activated_msg', 'Потребителят не е активиран. Моля, проверете емайла си за активиране', '2018-08-21 07:10:13'),
(13698, 'bg', 'login', 'Your account activated successfully', 'Вашият профил е активиран успешно', '2018-08-21 07:10:13'),
(13699, 'it', 'QuickWebProxy', 'Anonymize', 'Anonimizza', '2018-08-21 07:11:02'),
(13700, 'it', 'QuickWebProxy', 'Please enter a valid url', 'Per cortesia inserisci un indirizzo valido', '2018-08-21 07:11:02'),
(13701, 'it', 'QuickWebProxy', 'QWP_ALLOW_USER_WEB_PROXY', 'Permetti agli utenti di accedere al web proxy', '2018-08-21 07:11:02'),
(13702, 'it', 'QuickWebProxy', 'QWP_ALLOW_WEB_SERVER_ACT_AS_PROXY', 'Permetti al web server di funzionare in modalità proxy', '2018-08-21 07:11:02'),
(13703, 'it', 'QuickWebProxy', 'Server list is empty', 'La lista server è vuota', '2018-08-21 07:11:02'),
(13704, 'it', 'QuickWebProxy', 'Web Proxy', 'Web Proxy', '2018-08-21 07:11:02'),
(13705, 'it', 'QuickWebProxy', 'Web Server', 'Web Server', '2018-08-21 07:11:02'),
(13706, 'bg', 'myaccount', 'Connect', 'Свържи', '2018-08-21 07:11:07'),
(13707, 'bg', 'myaccount', 'Connected', 'Свързан', '2018-08-21 07:11:07'),
(13708, 'bg', 'myaccount', 'Disconnect', 'Деактивирай', '2018-08-21 07:11:07'),
(13709, 'bg', 'myaccount', 'Disconnected', 'Деактивиран', '2018-08-21 07:11:07'),
(13710, 'it', 'register', 'Registration', 'Registrazione', '2018-08-21 07:11:51'),
(13711, 'it', 'register', 'user_confirm_content_1', 'Si è verificato un errore durante il processo di conferma della richiesta', '2018-08-21 07:11:51'),
(13712, 'it', 'register', 'user_confirm_mail_cont_1', 'Grazie per la tua registrazione con ', '2018-08-21 07:11:51'),
(13713, 'it', 'register', 'user_confirm_mail_cont_2', 'Clicca sul seguente link per confermare la registrazione', '2018-08-21 07:11:51'),
(13714, 'bg', 'pagespeed', 'Desktop Speed', 'Скорост на страницата за десктоп', '2018-08-21 07:12:59'),
(13715, 'bg', 'pagespeed', 'Mobile Speed', 'Скорост на страницата за мобилни ', '2018-08-21 07:12:59'),
(13716, 'bg', 'pagespeed', 'Mobile Usability', 'Ползваемост на мобилни', '2018-08-21 07:12:59'),
(13717, 'bg', 'pagespeed', 'Page Speed', 'Скорост на страницита', '2018-08-21 07:12:59'),
(13718, 'bg', 'pagespeed', 'PageSpeed Details', 'Детайли на скорост на страницита', '2018-08-21 07:12:59'),
(13719, 'bg', 'pagespeed', 'Saved page speed results of', 'Запазени резултати за скорост на страницита за', '2018-08-21 07:12:59'),
(13720, 'it', 'seotools', 'clickproceedaction', 'Inserisci indirizzi <b>Uno per lines</b>. Clicca su <b>Procedi</b> per vedere i risultati.', '2018-08-21 07:13:41'),
(13721, 'it', 'seotools', 'Generate Reports', 'Genera reports', '2018-08-21 07:13:41'),
(13722, 'it', 'seotools', 'Graphical Reports', 'Report grafico', '2018-08-21 07:13:41'),
(13723, 'it', 'seotools', 'Keyword Search Reports', 'Report ricerca keywords', '2018-08-21 07:13:41'),
(13724, 'it', 'seotools', 'Keyword Search Summary', 'Sommario ricerca keywords', '2018-08-21 07:13:41'),
(13725, 'it', 'seotools', 'pagespeed', ' PageSpeed Insights ', '2018-08-21 07:13:41'),
(13726, 'it', 'seotools', 'PageSpeed Reports', 'Report PageSpeed', '2018-08-21 07:13:41'),
(13727, 'it', 'seotools', 'Quick Checker', 'Controllo veloce', '2018-08-21 07:13:41'),
(13728, 'it', 'seotools', 'Quick PageSpeed Checker', 'Controllo veloce PageSpeed', '2018-08-21 07:13:41'),
(13729, 'it', 'seotools', 'webmaster-tools', ' Webmaster Tools ', '2018-08-21 07:13:41'),
(13730, 'it', 'seotools', 'Website Search Reports', 'Report ricerca sito web', '2018-08-21 07:13:41'),
(13731, 'it', 'seotools', 'Website Search Summary', 'Sommario ricerca sito web', '2018-08-21 07:13:41'),
(13732, 'bg', 'panel', 'Connections', 'Връзки', '2018-08-21 07:14:04'),
(13733, 'bg', 'panel', 'Global Reports Settings', 'Настройки за глобални отчети', '2018-08-21 07:14:04'),
(13734, 'bg', 'panel', 'Google Settings', 'Google настройки', '2018-08-21 07:14:04'),
(13735, 'bg', 'panel', 'User Type Settings', 'Настройки на типа на потребителя', '2018-08-21 07:14:04'),
(13736, 'it', 'siteauditor', 'The page is having good page authority value', 'Questa pagina ha una buona autorità', '2018-08-21 07:14:08'),
(13737, 'bg', 'QuickWebProxy', 'Anonymize', 'Анонимизиране', '2018-08-21 07:15:42'),
(13738, 'bg', 'QuickWebProxy', 'Please enter a valid url', 'Моля, въведете валиден URL адрес', '2018-08-21 07:15:42'),
(13739, 'bg', 'QuickWebProxy', 'QWP_ALLOW_USER_WEB_PROXY', 'Позволи на потребителя достъп до уеб прокси сървъра', '2018-08-21 07:15:42'),
(13740, 'bg', 'QuickWebProxy', 'QWP_ALLOW_WEB_SERVER_ACT_AS_PROXY', 'Разрешаване на уеб сървъра да действа като прокси сървър', '2018-08-21 07:15:42'),
(13741, 'bg', 'QuickWebProxy', 'Server list is empty', 'Списъкът със сървъри е празен', '2018-08-21 07:15:42'),
(13742, 'bg', 'QuickWebProxy', 'Web Proxy', 'Уеб прокси', '2018-08-21 07:15:42'),
(13743, 'bg', 'QuickWebProxy', 'Web Server', 'Уеб сървър', '2018-08-21 07:15:42'),
(13744, 'it', 'settings', 'click-to-get-google-api-key', 'Clicca quì per prendere le API Key di Google', '2018-08-21 07:16:32'),
(13745, 'it', 'settings', 'Please update google settings to get the results', 'Per cortesia aggiorna i settaggi per di google per prendere i risultati', '2018-08-21 07:16:32'),
(13746, 'it', 'settings', 'Please update MOZ settings to get complete results', 'Per cortesia aggiorna i settaggi di MOZ per completare i risultati', '2018-08-21 07:16:32'),
(13747, 'it', 'settings', 'SP_GOOGLE_ANALYTICS_TRACK_CODE', 'Codice di tracciamento Google Analytics', '2018-08-21 07:16:32'),
(13748, 'it', 'settings', 'SP_GOOGLE_API_CLIENT_ID', 'ID Google API Client', '2018-08-21 07:16:32'),
(13749, 'it', 'settings', 'SP_GOOGLE_API_CLIENT_SECRET', 'Codice segreto Google API Client', '2018-08-21 07:16:32'),
(13750, 'it', 'settings', 'SP_GOOGLE_API_KEY', 'API Key Google', '2018-08-21 07:16:32'),
(13751, 'it', 'settings', 'SP_SEND_CUSTOM_HEADER_IN_CURL', 'Invia header personalizzato con richiesta CURL', '2018-08-21 07:16:32'),
(13752, 'bg', 'register', 'Registration', 'Регистрация', '2018-08-21 07:16:46'),
(13753, 'bg', 'register', 'user_confirm_content_1', 'Възникна грешка при обработката на заявката за потвърждение', '2018-08-21 07:16:46'),
(13754, 'bg', 'register', 'user_confirm_mail_cont_1', 'Благодарим Ви за регистрация с', '2018-08-21 07:16:46'),
(13755, 'bg', 'register', 'user_confirm_mail_cont_2', 'Моля, кликнете върху следната връзка, за да потвърдите регистрацията', '2018-08-21 07:16:46'),
(13756, 'bg', 'seotools', 'clickproceedaction', 'Въведете URL адресите <b>По един на ред</ b>. Кликнете върху <b>Продължи</ b>, за да проверите резултатите.', '2018-08-21 07:21:10'),
(13757, 'bg', 'seotools', 'Generate Reports', 'Генерирай доклади', '2018-08-21 07:21:10'),
(13758, 'bg', 'seotools', 'Graphical Reports', 'Графични доклади', '2018-08-21 07:21:10'),
(13759, 'bg', 'seotools', 'Keyword Search Reports', 'Доклади за ключови думи', '2018-08-21 07:21:10'),
(13760, 'bg', 'seotools', 'Keyword Search Summary', 'Резюме на търсене по ключова дума', '2018-08-21 07:21:10'),
(13761, 'bg', 'seotools', 'pagespeed', 'Статистика на скоростта на страницата', '2018-08-21 07:21:10'),
(13762, 'bg', 'seotools', 'PageSpeed Reports', 'Доклади за скоростта на страницата', '2018-08-21 07:21:10'),
(13763, 'bg', 'seotools', 'Quick Checker', 'Бърза проверка', '2018-08-21 07:21:10'),
(13764, 'bg', 'seotools', 'Quick PageSpeed Checker', 'Бърза проверка на скоростта на страницата', '2018-08-21 07:21:10'),
(13765, 'bg', 'seotools', 'webmaster-tools', 'Уебмастър инструменти', '2018-08-21 07:21:10'),
(13766, 'bg', 'seotools', 'Website Search Reports', 'Доклади за търсене в сайта', '2018-08-21 07:21:10'),
(13767, 'bg', 'seotools', 'Website Search Summary', 'Резюме на търсене в сайта', '2018-08-21 07:21:10'),
(13768, 'it', 'subscription', 'account-expired', 'Il tuo account è scaduto. Rinnova la tua sottoscrizione', '2018-08-21 07:23:43'),
(13769, 'it', 'subscription', 'Amount', 'Quantità', '2018-08-21 07:23:43'),
(13770, 'it', 'subscription', 'click-activate-pay-plugin', 'Clicca per attivare il plugin di pagamento', '2018-08-21 07:23:43'),
(13771, 'it', 'subscription', 'Currency', 'Valuta', '2018-08-21 07:23:43'),
(13772, 'it', 'subscription', 'Directory Submit Daily Limit', 'Limite immisione giornaliero directory', '2018-08-21 07:23:43'),
(13773, 'it', 'subscription', 'Directory Submit Limit', 'Limite invio directory', '2018-08-21 07:23:43'),
(13774, 'it', 'subscription', 'Edit Email Template', 'Template di modifica email', '2018-08-21 07:23:43'),
(13775, 'it', 'subscription', 'Edit Payment Gateway', 'Modifica gateway di pagamento', '2018-08-21 07:23:43'),
(13776, 'it', 'subscription', 'Email Template Manager', 'Gestiore template email', '2018-08-21 07:23:43'),
(13777, 'it', 'subscription', 'enable_email_activation', 'Abilita attivazione email', '2018-08-21 07:23:43'),
(13778, 'it', 'subscription', 'free_trial_period', 'Periodo di prova', '2018-08-21 07:23:43'),
(13779, 'it', 'subscription', 'infinite_limit_text', ' <b>Nota</b>: Inserisci -1 per periodo illimitato', '2018-08-21 07:23:43'),
(13780, 'it', 'subscription', 'internal-error-payment', 'Si è verificato un errore durante il processo', '2018-08-21 07:23:43'),
(13781, 'it', 'subscription', 'Keyword Limit', 'Limite keyword', '2018-08-21 07:23:43'),
(13782, 'it', 'subscription', 'Order Id', 'ID Ordine', '2018-08-21 07:23:43'),
(13783, 'it', 'subscription', 'Orders', 'Ordini', '2018-08-21 07:23:43'),
(13784, 'it', 'subscription', 'Paid By', 'Pagato da', '2018-08-21 07:23:43'),
(13785, 'it', 'subscription', 'Payment Gateway Manager', 'Gestore gateway di pagamento', '2018-08-21 07:23:43'),
(13786, 'it', 'subscription', 'Payment Method', 'Metodo di pagamento', '2018-08-21 07:23:43'),
(13787, 'it', 'subscription', 'Plans and Pricing', 'Piani e prezzi', '2018-08-21 07:23:43'),
(13788, 'it', 'subscription', 'Plugin Access Settings', 'Impostazioni accesso plugin', '2018-08-21 07:23:43'),
(13789, 'it', 'subscription', 'PP_BUSINESS_EMAIL', 'Email paypal business', '2018-08-21 07:23:43'),
(13790, 'it', 'subscription', 'PP_TOKEN', 'Token paypal', '2018-08-21 07:23:43'),
(13791, 'it', 'subscription', 'Quantity', 'Quantità', '2018-08-21 07:23:43'),
(13792, 'it', 'subscription', 'Renew Subscription', 'Rinnova sottoscrizione', '2018-08-21 07:23:43'),
(13793, 'it', 'subscription', 'Sandbox', 'Sandbox', '2018-08-21 07:23:43'),
(13794, 'it', 'subscription', 'Seo Tools Access Settings', 'Accesso impostazioni seo tools', '2018-08-21 07:23:43'),
(13795, 'it', 'subscription', 'site_auditor_max_page_limit', 'Limite massimo di pagine per utilizzo sito', '2018-08-21 07:23:43'),
(13796, 'it', 'subscription', 'SP_PAYMENT_PLUGIN', 'Plugin per pagamento di default', '2018-08-21 07:23:43'),
(13797, 'it', 'subscription', 'Subscribe', 'Sottoscrivi', '2018-08-21 07:23:43'),
(13798, 'it', 'subscription', 'Subscription', 'Sottoscrizione', '2018-08-21 07:23:43'),
(13799, 'it', 'subscription', 'SUBSCRIPTION_EXPIRED_NOTIFICATION', 'Notifica scadenza sottoscrizione (dopo)', '2018-08-21 07:23:43'),
(13800, 'it', 'subscription', 'SUBSCRIPTION_RENEWAL_REMINDER_1', 'Promemoria di rinnovo sottoscrizione (prima)', '2018-08-21 07:23:43'),
(13801, 'it', 'subscription', 'SUBSCRIPTION_RENEWAL_REMINDER_2', 'Promemoria di rinnovo sottoscrizione 2 (prima)', '2018-08-21 07:23:43'),
(13802, 'it', 'subscription', 'Term', 'Termini', '2018-08-21 07:23:43'),
(13803, 'it', 'subscription', 'total_count_greater_account_limit', 'Il conteggio totale è maggiore del limite account - [limit] ', '2018-08-21 07:23:43'),
(13804, 'it', 'subscription', 'total_count_greater_account_limit_dir_sub', 'Il conteggio totale è maggiore del limite di immissione directory - [limit] ', '2018-08-21 07:23:43'),
(13805, 'it', 'subscription', 'total_count_greater_account_limit_dir_sub_daily', 'Il conteggio totale è maggiore del limite giornaliero di immissione directory - [limit] ', '2018-08-21 07:23:43'),
(13806, 'it', 'subscription', 'Transaction Id', 'ID Transazione', '2018-08-21 07:23:43'),
(13807, 'it', 'subscription', 'Transaction Log', 'Log transazione', '2018-08-21 07:23:43'),
(13808, 'it', 'subscription', 'transaction-success', 'La transazione è avvenuta con successo', '2018-08-21 07:23:43'),
(13809, 'it', 'subscription', 'View Order', 'Visualizza ordine', '2018-08-21 07:23:43'),
(13810, 'it', 'subscription', 'Website Limit', 'Limite sito web', '2018-08-21 07:23:43'),
(13811, 'it', 'subscription', 'Your transaction cancelled', 'La tua transazione è stata cancellata.', '2018-08-21 07:23:43'),
(13812, 'bg', 'settings', 'click-to-get-google-api-key', 'Кликнете тук, за да получите ключ за Google API', '2018-08-21 07:24:42'),
(13813, 'bg', 'settings', 'Please update google settings to get the results', 'Моля, обновете настройките на Google, за да получите резултатите', '2018-08-21 07:24:42'),
(13814, 'bg', 'settings', 'Please update MOZ settings to get complete results', 'Моля, актуализирайте настройките на MOZ, за да получите пълните резултати', '2018-08-21 07:24:42'),
(13815, 'bg', 'settings', 'SP_GOOGLE_ANALYTICS_TRACK_CODE', 'Проследяващ код на Google Анализ', '2018-08-21 07:24:42'),
(13816, 'bg', 'settings', 'SP_GOOGLE_API_CLIENT_ID', 'ID на клиент на за Google API', '2018-08-21 07:24:42'),
(13817, 'bg', 'settings', 'SP_GOOGLE_API_CLIENT_SECRET', 'Тайна на клиент на за Google API', '2018-08-21 07:24:42'),
(13818, 'bg', 'settings', 'SP_GOOGLE_API_KEY', 'Ключ за Google API', '2018-08-21 07:24:42'),
(13819, 'bg', 'settings', 'SP_SEND_CUSTOM_HEADER_IN_CURL', 'Изпратете персонализирани хедъри с CURL заявката', '2018-08-21 07:24:42'),
(13820, 'it', 'user', 'Expiry Date', 'Data scadenza', '2018-08-21 07:25:45'),
(13821, 'bg', 'siteauditor', 'The page is having good page authority value', 'Страницата има добри показатели за пейдж ауторити', '2018-08-21 07:25:49'),
(13822, 'it', 'webmaster', 'Average Position', 'Posizione media', '2018-08-21 07:26:08'),
(13823, 'it', 'website', 'Please enter CSV file', 'Inserisci file CSV', '2018-08-21 07:27:14'),
(13824, 'it', 'website', 'User Type already exist', 'Tipo utente già esistente', '2018-08-21 07:27:14'),
(13825, 'it', 'website', 'Website CSV File', 'File CSV Sito web', '2018-08-21 07:27:14'),
(13826, 'it', 'website', 'You can add only websitecount websites more', 'Puoi aggiungere solo [websitecount] per questo utente!', '2018-08-21 07:27:14'),
(13827, 'it', 'website', 'Your website count already reached the limit', 'Conteggio sito web già arrivato al limite per questo utente!', '2018-08-21 07:27:14'),
(13828, 'bg', 'subscription', 'Directory Submit Daily Limit', 'Дневен лимит за регистриране в директории', '2018-08-21 07:40:35'),
(13829, 'bg', 'subscription', 'Directory Submit Limit', 'Лимит за регистриране в директории', '2018-08-21 07:40:35'),
(13830, 'bg', 'subscription', 'Edit Email Template', 'Редакция на емайл темплейта', '2018-08-21 07:40:35'),
(13831, 'bg', 'subscription', 'Email Template Manager', 'Управление на имейл темплейти', '2018-08-21 07:40:35'),
(13832, 'bg', 'subscription', 'enable_email_activation', 'Включиване на активирането по имейл', '2018-08-21 07:40:35'),
(13833, 'bg', 'subscription', 'free_trial_period', 'Безплатен пробен период', '2018-08-21 07:40:35'),
(13834, 'bg', 'subscription', 'infinite_limit_text', '<b>Бележка</b>: Въведете -1 за безкраен лимит', '2018-08-21 07:40:35'),
(13835, 'bg', 'subscription', 'Plugin Access Settings', 'Настройки за достъпа до приставки', '2018-08-21 07:40:35'),
(13836, 'bg', 'subscription', 'Seo Tools Access Settings', 'Настройки за достъп до Seo Инструменти', '2018-08-21 07:40:35'),
(13837, 'bg', 'subscription', 'site_auditor_max_page_limit', 'Одитор на сайта Максимален лимит на страница', '2018-08-21 07:40:35'),
(13838, 'bg', 'subscription', 'SUBSCRIPTION_EXPIRED_NOTIFICATION', 'Известие за Изтичане на членство (След)', '2018-08-21 07:40:35'),
(13839, 'bg', 'subscription', 'SUBSCRIPTION_RENEWAL_REMINDER_1', 'Известие 1 за Подновяване на на членство (Преди)', '2018-08-21 07:40:35'),
(13840, 'bg', 'subscription', 'SUBSCRIPTION_RENEWAL_REMINDER_2', 'Известие 2 за Подновяване на на членство (Преди)', '2018-08-21 07:40:35'),
(13841, 'bg', 'subscription', 'total_count_greater_account_limit', 'Броят е по-голям от ограничението на профила - [limit]', '2018-08-21 07:40:35'),
(13842, 'bg', 'subscription', 'total_count_greater_account_limit_dir_sub', 'Броят за публикуване в директории е по-голям от ограничението на профила - [limit]', '2018-08-21 07:40:35'),
(13843, 'bg', 'subscription', 'total_count_greater_account_limit_dir_sub_daily', 'Броят за публикуване в директории на ден е по-голям от ограничението на профила - [limit]', '2018-08-21 07:40:35'),
(13844, 'bg', 'webmaster', 'Average Position', 'Средна позиция', '2018-08-21 07:40:52'),
(13845, 'ja', 'seotools', 'Graphical Reports', 'グラフレポート', '2019-04-01 09:49:13'),
(13846, 'ja', 'seotools', 'Keyword Search Reports', 'キーワード検索レポート', '2019-04-01 09:49:13'),
(13847, 'ja', 'seotools', 'Keyword Search Summary', 'キーワード検索サマリ', '2019-04-01 09:49:13'),
(13848, 'ja', 'seotools', 'Quick Checker', 'クイックチェッカー', '2019-04-01 09:49:13'),
(13849, 'ja', 'seotools', 'webmaster-tools', 'ウェブマスターツール', '2019-04-01 09:49:13'),
(13850, 'ja', 'seotools', 'Website Search Reports', 'ウェブサイト検索レポート', '2019-04-01 09:49:13'),
(13851, 'ja', 'seotools', 'Website Search Summary', 'ウェブサイト検索サマリ', '2019-04-01 09:49:13'),
(13852, 'ja', 'settings', 'SP_GOOGLE_ANALYTICS_TRACK_CODE', 'Googleアナリティクス トラッキングコード', '2019-04-01 09:52:17'),
(13853, 'ja', 'settings', 'SP_GOOGLE_API_CLIENT_ID', 'Google API クライアントID', '2019-04-01 09:52:17'),
(13854, 'ja', 'settings', 'SP_GOOGLE_API_CLIENT_SECRET', 'Google API クライアントシークレット', '2019-04-01 09:52:17'),
(13855, 'ja', 'subscription', 'Edit Email Template', 'Eメールテンプレート編集', '2019-04-01 09:54:02'),
(13856, 'ja', 'subscription', 'Email Template Manager', 'Eメールテンプレートマネージャー', '2019-04-01 09:54:02'),
(13857, 'ja', 'subscription', 'enable_email_activation', 'Eメールアクティベーション有効化', '2019-04-01 09:54:02'),
(13858, 'ja', 'subscription', 'free_trial_period', '無料トライアル期間', '2019-04-01 09:54:02'),
(13859, 'ja', 'subscription', 'SUBSCRIPTION_EXPIRED_NOTIFICATION', 'メンバーシップ期限切れ通知', '2019-04-01 09:54:02'),
(13860, 'ja', 'subscription', 'SUBSCRIPTION_RENEWAL_REMINDER_1', 'メンバーシップ更新リマインダー1', '2019-04-01 09:54:02'),
(13861, 'ja', 'subscription', 'SUBSCRIPTION_RENEWAL_REMINDER_2', 'メンバーシップ更新リマインダー2', '2019-04-01 09:54:02'),
(13862, 'ja', 'webmaster', 'Average Position', '平均順位', '2019-04-01 09:55:05'),
(13863, 'pt-br', 'common', 'Pricing', 'Preço', '2019-07-29 20:26:27'),
(13864, 'pt-br', 'label', 'Clicks', 'Clicks', '2018-08-21 14:54:11'),
(13865, 'pt-br', 'label', 'Days', 'Dias', '2018-08-21 14:54:11'),
(13866, 'pt-br', 'label', 'Email Body', 'Corpo do Email', '2018-08-21 14:54:11'),
(13867, 'pt-br', 'label', 'Feature', 'Característica', '2018-08-21 14:54:11'),
(13868, 'pt-br', 'label', 'Impressions', 'Impressões', '2018-08-21 14:54:11'),
(13869, 'pt-br', 'label', 'Months', 'Meses', '2018-08-21 14:54:11'),
(13870, 'ru', 'common', 'Pricing', 'Стоимость', '2024-07-17 11:16:33'),
(13871, 'ru', 'label', 'Clicks', 'Клики', '2024-07-17 11:17:22'),
(13872, 'ru', 'label', 'Days', 'Дней', '2024-07-17 11:17:22'),
(13873, 'ru', 'label', 'Email Body', 'Тело письма', '2024-07-17 11:17:22'),
(13874, 'ru', 'label', 'Feature', 'Характеристика', '2024-07-17 11:17:22'),
(13875, 'ru', 'label', 'Impressions', 'Показы', '2024-07-17 11:17:22'),
(13876, 'ru', 'label', 'Months', 'Месяцев', '2024-07-17 11:17:22'),
(13877, 'ru', 'login', 'user_not_activated_msg', 'Пользователь не активирован. Проверьте ваш Email для активации', '2018-08-21 17:07:34'),
(13878, 'ru', 'login', 'Your account activated successfully', 'Ваш аккаунт успешно активирован', '2018-08-21 17:07:34'),
(13879, 'ru', 'myaccount', 'Connect', 'Соединиться', '2018-08-21 17:08:11'),
(13880, 'ru', 'myaccount', 'Connected', 'Соединен', '2018-08-21 17:08:11'),
(13881, 'ru', 'myaccount', 'Disconnect', 'Отсоединться', '2018-08-21 17:08:11'),
(13882, 'ru', 'myaccount', 'Disconnected', 'Отсоединен', '2018-08-21 17:08:11'),
(13883, 'ru', 'panel', 'Connections', 'Соединения', '2024-07-17 11:19:14'),
(13884, 'ru', 'register', 'Registration', 'Регистрация', '2018-08-21 17:09:39'),
(13885, 'ru', 'register', 'user_confirm_content_1', 'Произошла внутренняя ошибка при обработке запроса подтверждения', '2018-08-21 17:09:39'),
(13886, 'ru', 'register', 'user_confirm_mail_cont_1', 'Спасибо за регистрацию', '2018-08-21 17:09:39'),
(13887, 'ru', 'register', 'user_confirm_mail_cont_2', 'Пожалуйста нажмите на ссылку для подтверждения регистрации', '2018-08-21 17:09:39'),
(13888, 'ru', 'seotools', 'Graphical Reports', 'Графические отчеты', '2024-07-17 11:26:22'),
(13889, 'ru', 'seotools', 'Keyword Search Reports', 'Отчеты поиска по ключевым словам', '2024-07-17 11:26:22'),
(13890, 'ru', 'seotools', 'Keyword Search Summary', 'Сводка по ключевым словам', '2024-07-17 11:26:22'),
(13891, 'ru', 'seotools', 'Quick Checker', 'Быстрая проверка', '2024-07-17 11:26:22'),
(13892, 'ru', 'seotools', 'webmaster-tools', 'Инструменты для веб-мастеров', '2024-07-17 11:26:22'),
(13893, 'ru', 'seotools', 'Website Search Reports', 'Отчеты о поиске по сайту', '2024-07-17 11:26:22'),
(13894, 'ru', 'seotools', 'Website Search Summary', 'Сводка по сайту', '2024-07-17 11:26:22'),
(13895, 'ru', 'settings', 'SP_GOOGLE_ANALYTICS_TRACK_CODE', 'Код отслеживания Google Analytics', '2024-07-17 11:22:42'),
(13896, 'ru', 'settings', 'SP_GOOGLE_API_CLIENT_ID', 'Google API Client Id', '2024-07-17 11:22:42'),
(13897, 'ru', 'settings', 'SP_GOOGLE_API_CLIENT_SECRET', 'Google API Client Secret', '2024-07-17 11:22:42'),
(13898, 'ru', 'subscription', 'Edit Email Template', 'Изменить шаблон Email', '2024-07-17 11:24:41'),
(13899, 'ru', 'subscription', 'Email Template Manager', 'Менеджер почтовых шаблонов', '2024-07-17 11:24:41'),
(13900, 'ru', 'subscription', 'enable_email_activation', 'Включить почтовую активацию', '2024-07-17 11:24:41'),
(13901, 'ru', 'subscription', 'free_trial_period', 'Бесплатный пробный период', '2024-07-17 11:24:41'),
(13902, 'ru', 'subscription', 'SUBSCRIPTION_EXPIRED_NOTIFICATION', 'Уведомление об истечении срока членства (после)', '2024-07-17 11:24:41'),
(13903, 'ru', 'subscription', 'SUBSCRIPTION_RENEWAL_REMINDER_1', 'Напоминание о продлении 1 (до)', '2024-07-17 11:24:41'),
(13904, 'ru', 'subscription', 'SUBSCRIPTION_RENEWAL_REMINDER_2', 'Напоминание о продлении 2 (после)', '2024-07-17 11:24:41'),
(13905, 'ru', 'webmaster', 'Average Position', 'Средняя позиция', '2019-01-25 11:01:40'),
(13909, 'el', 'subscription', 'enable_email_activation', 'Επιτρέπεται η Ενεργοποίηση του Email', '2019-11-28 18:11:38'),
(13910, 'el', 'subscription', 'free_trial_period', 'Δωρεάν Δοκιμαστική Περίοδος', '2019-11-28 18:11:38'),
(13911, 'el', 'subscription', 'SUBSCRIPTION_EXPIRED_NOTIFICATION', 'Ειδοποίηση Λήξης Συνδρομής (After)', '2019-11-28 18:11:38'),
(13912, 'el', 'subscription', 'SUBSCRIPTION_RENEWAL_REMINDER_1', '1η Υπενθύμισης Ανανέωσης Συνδρομής (Before)', '2019-11-28 18:11:38'),
(13913, 'el', 'subscription', 'SUBSCRIPTION_RENEWAL_REMINDER_2', '2η Υπενθύμιση Ανανέωσης Συνδρομής (Before)', '2019-11-28 18:11:38'),
(13914, 'el', 'settings', 'SP_GOOGLE_ANALYTICS_TRACK_CODE', ' Google Analytics Tracking Code ', '2019-08-28 05:43:40'),
(13915, 'el', 'settings', 'SP_GOOGLE_API_CLIENT_ID', ' Google API Client Id ', '2019-08-28 05:43:40'),
(13916, 'el', 'settings', 'SP_GOOGLE_API_CLIENT_SECRET', ' Google API Client Secret ', '2019-08-28 05:43:40'),
(13917, 'el', 'seotools', 'Graphical Reports', 'Γραφικές Αναφορές', '2019-11-28 18:13:05'),
(13918, 'el', 'seotools', 'Keyword Search Reports', 'Αναφορές Αναζήτησης Λέξεων Κλειδιών', '2019-11-28 18:13:05'),
(13919, 'el', 'seotools', 'Keyword Search Summary', 'Σύνοψη Αναζητήσεων Λέξεων Κλειδιών', '2019-11-28 18:13:05'),
(13920, 'el', 'seotools', 'Quick Checker', 'Γρήγορος έλεγχος', '2019-11-28 18:13:05'),
(13921, 'el', 'seotools', 'webmaster-tools', ' Webmaster Tools ', '2019-11-28 18:13:05'),
(13922, 'el', 'seotools', 'Website Search Reports', 'Αναφορές Αναζήτησης Ιστοσελίδας', '2019-11-28 18:13:05'),
(13923, 'el', 'seotools', 'Website Search Summary', 'Σύνοψη Αναφορών Αναζήτησης Ιστοσελίδας', '2019-11-28 18:13:05'),
(13924, 'el', 'register', 'Registration', 'Εγγραφή', '2018-08-22 10:38:43'),
(13925, 'el', 'register', 'user_confirm_content_1', ' Internal error occured while processing confirm request ', '2018-08-22 10:38:43'),
(13926, 'el', 'register', 'user_confirm_mail_cont_1', 'Ευχαριστούμε για την εγγραφή σας στο', '2018-08-22 10:38:43'),
(13927, 'el', 'register', 'user_confirm_mail_cont_2', 'Παρακαλούμε κάντε κλικ στον ακόλουθο σύνδεσμο για να επιβεβαιώσετε την εγγραφούλα σας.', '2018-08-22 10:38:43'),
(13928, 'el', 'panel', 'Connections', 'Connections', '2019-08-28 05:42:17'),
(13929, 'el', 'myaccount', 'Connect', 'Σύνδεση', '2018-08-22 10:39:53'),
(13930, 'el', 'myaccount', 'Connected', 'Συνδεδεμένος', '2018-08-22 10:39:53'),
(13931, 'el', 'myaccount', 'Disconnect', 'Αποσύνδεση', '2018-08-22 10:39:53'),
(13932, 'el', 'myaccount', 'Disconnected', 'Αποσυνδέθηκε', '2018-08-22 10:39:53'),
(13933, 'el', 'login', 'user_not_activated_msg', 'Ο χρήστης δεν έχει ενεργοποιηθεί. Παρακαλώ ελέγξτε το email ενεργοποίησης.', '2018-08-23 06:13:36'),
(13934, 'el', 'login', 'Your account activated successfully', 'Ο λογαριασμός σας ενεργοποιήθηκε επιτυχώς.', '2018-08-23 06:13:36'),
(13935, 'el', 'label', 'Clicks', 'Κλικ', '2019-11-28 18:22:10'),
(13936, 'el', 'label', 'Days', 'Ημέρες', '2019-11-28 18:22:10'),
(13937, 'el', 'label', 'Email Body', 'Email Body', '2019-11-28 18:22:10'),
(13938, 'el', 'label', 'Feature', 'Χαρακτηριστικό', '2019-11-28 18:22:10'),
(13939, 'el', 'label', 'Impressions', 'Impressions', '2019-11-28 18:22:10'),
(13940, 'el', 'label', 'Months', 'Μήνες', '2019-11-28 18:22:10'),
(13942, 'en', 'panel', 'Report Generation Logs', 'Report Generation Logs', '2018-09-25 20:13:43'),
(13943, 'en', 'settings', 'Authorised redirect URI', 'Authorised redirect URI', '2018-09-25 20:13:43'),
(13944, 'en', 'settings', 'click-to-get-google-api-client-id', 'Click here to get Google API Client Id', '2018-09-25 20:13:43'),
(13945, 'en', 'home', 'Overall Report Summary', 'Overall Report Summary', '2018-09-25 20:13:43'),
(13946, 'en', 'seotools', 'Edit Seo Tool', 'Edit Seo Tool', '2018-09-25 20:13:43'),
(13947, 'en', 'settings', 'SP_ENABLE_PROXY_GOOGLE_API', 'Enable Proxy for Google API', '2018-09-25 20:13:43'),
(13948, 'en', 'website', 'Sitemap successfully added to webmaster tools', 'Sitemap successfully added to webmaster tools', '2018-11-26 19:02:56'),
(13949, 'en', 'panel', 'Submit Sitemap', 'Submit Sitemap', '2018-11-26 19:02:56'),
(13950, 'en', 'website', 'Website successfully added to webmaster tools', 'Website successfully added to webmaster tools', '2018-11-26 19:02:56'),
(13951, 'en', 'website', 'Successfully imported following websites', 'Successfully imported following websites', '2018-11-26 19:02:56'),
(13952, 'en', 'website', 'Add to Webmaster Tools', 'Add to Webmaster Tools', '2018-11-26 19:02:56'),
(13953, 'en', 'blog', 'Newer Posts', 'Newer Posts', '2019-01-23 20:08:22'),
(13954, 'en', 'blog', 'Older Posts', 'Older Posts', '2019-01-23 20:08:22'),
(13955, 'en', 'webmaster', 'Error: Google api connection failed', 'Error: Google api connection failed', '2019-01-23 20:08:22'),
(13956, 'en', 'webmaster', 'Click here to connect to your google account', 'Click here to connect to your google account', '2019-01-23 20:08:22'),
(13957, 'en', 'common', 'Blog', 'Blog', '2019-01-23 20:08:22'),
(13958, 'en', 'seotools', 'Sitemap Reports Summary', 'Sitemap Reports Summary', '2019-01-23 20:08:22'),
(13959, 'en', 'website', 'Successfully deleted sitemap from webmaster tools', 'Successfully deleted sitemap from webmaster tools', '2019-01-23 20:08:22'),
(13960, 'en', 'website', 'Successfully sync sitemaps from webmaster tools', 'Successfully sync sitemaps from webmaster tools', '2019-01-23 20:08:22'),
(13961, 'en', 'sitemap', 'Sync Sitemaps', 'Sync Sitemaps', '2019-01-23 20:08:22'),
(13962, 'en', 'common', 'Errors', 'Errors', '2019-01-23 20:08:22'),
(13963, 'en', 'common', 'Warnings', 'Warnings', '2019-01-23 20:08:22'),
(13964, 'en', 'sitemap', 'Submitted', 'Submitted', '2019-01-23 20:08:22');
INSERT INTO `texts` (`id`, `lang_code`, `category`, `label`, `content`, `changed`) VALUES
(13965, 'en', 'sitemap', 'Downloaded', 'Downloaded', '2019-01-23 20:08:22'),
(13966, 'en', 'panel', 'Sitemaps', 'Sitemaps', '2019-01-23 20:08:22'),
(13967, 'en', 'blog', 'Nothing Found', 'Nothing Found', '2019-01-23 20:51:58'),
(13968, 'en', 'blog', 'NothingFound_text2', 'Sorry, but nothing matched your search criteria. Please try again with some different keywords.', '2019-01-23 20:54:55'),
(13969, 'ru', 'blog', 'Newer Posts', 'Новые посты', '2019-01-25 10:53:01'),
(13970, 'ru', 'blog', 'Nothing Found', 'Ничего нет', '2019-01-25 10:53:01'),
(13971, 'ru', 'blog', 'NothingFound_text2', 'Извините, но прри поиске ничего не найдено. Пожалуйста попробуйте ввести другие ключевые слова.', '2019-01-25 10:53:01'),
(13972, 'ru', 'blog', 'Older Posts', 'Старые посты', '2019-01-25 10:53:01'),
(13973, 'ru', 'common', 'Blog', 'Блог', '2024-07-17 11:16:33'),
(13974, 'ru', 'common', 'Errors', 'Ошибки', '2024-07-17 11:16:33'),
(13975, 'ru', 'common', 'Warnings', 'Предупреждения', '2024-07-17 11:16:33'),
(13980, 'ru', 'seotools', 'Edit Seo Tool', 'Изменить сео инструменты', '2024-07-17 11:26:22'),
(13981, 'ru', 'seotools', 'Sitemap Reports Summary', 'Отчеты по карте сайта', '2024-07-17 11:26:22'),
(13982, 'ru', 'settings', 'Authorised redirect URI', 'Авторизованные редиректы URI', '2024-07-17 11:22:42'),
(13983, 'ru', 'settings', 'click-to-get-google-api-client-id', 'Нажмите здесь для получения Google API Client Id', '2024-07-17 11:22:42'),
(13984, 'ru', 'settings', 'SP_ENABLE_PROXY_GOOGLE_API', 'Включить прокси для Google API', '2024-07-17 11:22:42'),
(13985, 'ru', 'sitemap', 'Downloaded', 'Скачено', '2019-01-25 11:00:48'),
(13986, 'ru', 'sitemap', 'Submitted', 'Отправлено', '2019-01-25 11:00:48'),
(13987, 'ru', 'sitemap', 'Sync Sitemaps', 'Синхронизировать карты сайта', '2019-01-25 11:00:48'),
(13988, 'ru', 'webmaster', 'Click here to connect to your google account', 'Кликните здесь для соединения с аккаунтом google', '2019-01-25 11:01:40'),
(13989, 'ru', 'webmaster', 'Error: Google api connection failed', 'Ошибка: Ошибка соединения с Google api', '2019-01-25 11:01:40'),
(13990, 'ru', 'website', 'Add to Webmaster Tools', 'Добавить в инструменты вебмастера', '2019-08-28 09:09:29'),
(13991, 'ru', 'website', 'Sitemap successfully added to webmaster tools', 'Карта сайта успешно добавлена в инструменты вебмастера', '2019-08-28 09:09:29'),
(13992, 'ru', 'website', 'Successfully deleted sitemap from webmaster tools', 'Карта сайта успешно удалена из инструментов вебмастера', '2019-08-28 09:09:29'),
(13993, 'ru', 'website', 'Successfully imported following websites', 'Сайты успешно импортированы', '2019-08-28 09:09:29'),
(13994, 'ru', 'website', 'Successfully sync sitemaps from webmaster tools', 'Карты сайтов успешно синхронизированы в инструментах вебмастера', '2019-08-28 09:09:29'),
(13995, 'ru', 'website', 'Website successfully added to webmaster tools', 'Сайт успешно добавлен в инструменты вебмастера', '2019-08-28 09:09:29'),
(13996, 'el', 'blog', 'Newer Posts', 'Νεότερες δημοσιεύσεις', '2019-01-28 08:40:26'),
(13997, 'el', 'blog', 'Nothing Found', 'Δεν βρέθηκε τίποτα', '2019-01-28 08:40:26'),
(13998, 'el', 'blog', 'NothingFound_text2', 'Συγνώμη αλλά δεν ταίριαξε κάτι με τα κριτήρια σας. Παρακαλώ δοκιμάστε ξανά με διαφορετικές λέξεις κλειδιά.', '2019-01-28 08:40:26'),
(13999, 'el', 'blog', 'Older Posts', 'Παλαιότερες δημοσιεύσεις', '2019-01-28 08:40:26'),
(14000, 'el', 'common', 'Blog', 'Blog', '2019-08-28 05:40:52'),
(14001, 'el', 'common', 'Errors', 'Σφάλματα', '2019-08-28 05:40:52'),
(14002, 'el', 'common', 'Warnings', 'Προειδοποιήσεις', '2019-08-28 05:40:52'),
(14003, 'el', 'website', 'Add to Webmaster Tools', 'Προσθήκη στο Webmaster Tools', '2019-08-28 05:44:53'),
(14004, 'el', 'website', 'Sitemap successfully added to webmaster tools', 'Το Sitemap προστέθηκε επιτυχώς στο webmaster tools	', '2019-08-28 05:44:53'),
(14005, 'el', 'website', 'Successfully deleted sitemap from webmaster tools', 'Το sitemap διαγράφηκε επιτυχώς από το webmaster tools	', '2019-08-28 05:44:53'),
(14006, 'el', 'website', 'Successfully imported following websites', 'Εισήχθησαν επιτυχώς τα ακόλουθα website', '2019-08-28 05:44:53'),
(14007, 'el', 'website', 'Successfully sync sitemaps from webmaster tools', 'Ολοκληρώθηκε ο συγχρονισμός sitemaps για webmaster tools	', '2019-08-28 05:44:53'),
(14008, 'el', 'website', 'Website successfully added to webmaster tools', 'Το website προστέθηκε επιτυχώς στο webmaster tools	', '2019-08-28 05:44:53'),
(14009, 'el', 'webmaster', 'Click here to connect to your google account', 'Κλικ εδώ για να συνδεθείτε με το google account', '2019-01-29 06:39:00'),
(14010, 'el', 'webmaster', 'Error: Google api connection failed', 'Σφάλμα: Απέτυχε η σύνδεση με το Google api', '2019-01-29 06:39:00'),
(14011, 'el', 'sitemap', 'Downloaded', 'Ελήφθη', '2019-01-29 06:40:48'),
(14012, 'el', 'sitemap', 'Submitted', 'Καταχωρήθηκε', '2019-01-29 06:40:48'),
(14013, 'el', 'sitemap', 'Sync Sitemaps', 'Συγχρονισμός των Sitemaps', '2019-01-29 06:40:48'),
(14014, 'el', 'settings', 'Authorised redirect URI', 'Εξουσιοδοτημένο redirect URI', '2019-08-28 05:43:40'),
(14015, 'el', 'settings', 'click-to-get-google-api-client-id', 'Κλικ εδώ για να λάβετε Google API Client Id', '2019-08-28 05:43:40'),
(14016, 'el', 'settings', 'SP_ENABLE_PROXY_GOOGLE_API', 'Ενεργοποίηση του Proxy για Google API', '2019-08-28 05:43:40'),
(14017, 'el', 'seotools', 'Edit Seo Tool', 'Επεξεργασία του Εργαλείου Seo', '2019-11-28 18:13:05'),
(14018, 'el', 'seotools', 'Sitemap Reports Summary', 'Σύνοψη Αναφορών Sitemap', '2019-11-28 18:13:05'),
(14019, 'el', 'panel', 'Report Generation Logs', 'Αναφορές Generation Logs	', '2019-08-28 05:42:17'),
(14020, 'el', 'panel', 'Sitemaps', 'Sitemaps', '2019-08-28 05:42:17'),
(14021, 'el', 'panel', 'Submit Sitemap', 'Καταχώρηση Sitemap', '2019-08-28 05:42:17'),
(14022, 'el', 'home', 'Overall Report Summary', 'Overall Σύνοψη Αναφοράς', '2019-11-28 18:25:11'),
(14023, 'en', 'seotools', 'Social Media Report Summary', 'Social Media Report Summary', '2019-03-28 11:34:51'),
(14024, 'en', 'seotools', 'Detailed Reports', 'Detailed Reports', '2019-03-28 11:34:51'),
(14025, 'en', 'label', 'Likes', 'Likes', '2019-03-28 11:34:51'),
(14026, 'en', 'label', 'Followers', 'Followers', '2019-03-28 11:34:51'),
(14027, 'en', 'common', 'Internal error occured', 'Internal error occured', '2019-03-28 11:34:51'),
(14028, 'en', 'socialmedia', 'Your social media link count already reached the limit', 'Your social media link count already reached the limit', '2019-03-28 11:34:51'),
(14029, 'en', 'subscription', 'Social Media Link Count', 'Social Media Link Count', '2019-03-28 11:34:51'),
(14030, 'en', 'socialmedia', 'New Social Media Link', 'New Social Media Link', '2019-03-28 11:34:51'),
(14031, 'en', 'socialmedia', 'Edit Social Media Link', 'Edit Social Media Link', '2019-03-28 11:34:51'),
(14032, 'en', 'common', 'Link', 'Link', '2019-03-28 11:34:51'),
(14033, 'en', 'seotools', 'Social Media Links', 'Social Media Links', '2019-03-28 11:34:51'),
(14034, 'en', 'seotools', 'sm-checker', 'Social Media Checker', '2019-03-28 11:34:51'),
(14035, 'en', 'settings', 'Send Email', 'Send Email', '2019-03-28 11:34:51'),
(14036, 'en', 'panel', 'Test Email Settings', 'Test Email Settings', '2019-03-28 11:34:51'),
(14037, 'fr', 'blog', 'Newer Posts', 'Nouvelles publications', '2019-03-28 12:08:36'),
(14038, 'fr', 'blog', 'Nothing Found', 'Aucun élément trouvé', '2019-03-28 12:08:36'),
(14039, 'fr', 'blog', 'NothingFound_text2', 'Désolé, aucun élément ne correspond aux critères de recherche. Merci d\'essayer à nouveau avec des mots clés différents.', '2019-03-28 12:08:36'),
(14040, 'fr', 'blog', 'Older Posts', 'Anciennes publications', '2019-03-28 12:08:36'),
(14041, 'fr', 'common', 'Blog', 'Blog', '2020-02-14 11:05:11'),
(14042, 'fr', 'common', 'Errors', 'Erreurs', '2020-02-14 11:05:11'),
(14043, 'fr', 'common', 'Internal error occured', 'Une erreur interne s\'est produite', '2020-02-14 11:05:11'),
(14044, 'fr', 'common', 'Link', 'Lien', '2020-02-14 11:05:11'),
(14045, 'fr', 'common', 'Pricing', 'Tarification', '2020-02-14 11:05:11'),
(14046, 'fr', 'common', 'Warnings', 'Avertissements', '2020-02-14 11:05:11'),
(14047, 'fr', 'label', 'Clicks', 'Clics', '2020-02-14 11:12:40'),
(14048, 'fr', 'label', 'Days', 'Jours', '2020-02-14 11:12:40'),
(14049, 'fr', 'label', 'Email Body', 'Corps du message', '2020-02-14 11:12:40'),
(14050, 'fr', 'label', 'Feature', 'Fonctionnalité', '2020-02-14 11:12:40'),
(14051, 'fr', 'label', 'Followers', 'Followers', '2020-02-14 11:12:40'),
(14052, 'fr', 'label', 'Impressions', 'Affichages', '2020-02-14 11:12:40'),
(14053, 'fr', 'label', 'Likes', 'Mentions J\'aime', '2020-02-14 11:12:40'),
(14054, 'fr', 'label', 'Months', 'Mois', '2020-02-14 11:12:40'),
(14055, 'fr', 'login', 'user_not_activated_msg', 'Utilisateur non activé. Merci de vérifier vos mails pour l\'activation', '2019-03-28 12:14:28'),
(14056, 'fr', 'login', 'Your account activated successfully', 'Votre compte a bien été activé', '2019-03-28 12:14:28'),
(14062, 'fr', 'panel', 'Connections', 'Connexions', '2020-02-14 11:14:52'),
(14063, 'fr', 'panel', 'Report Generation Logs', 'Log de la génération des rapports', '2020-02-14 11:14:52'),
(14064, 'fr', 'panel', 'Sitemaps', 'Sitemaps', '2020-02-14 11:14:52'),
(14065, 'fr', 'panel', 'Submit Sitemap', 'Envoyer le sitemap', '2020-02-14 11:14:52'),
(14066, 'fr', 'panel', 'Test Email Settings', 'Test des paramètres mail', '2020-02-14 11:14:52'),
(14067, 'fr', 'register', 'Registration', 'Inscription', '2019-03-28 14:34:46'),
(14068, 'fr', 'register', 'user_confirm_content_1', 'Erreur interne lors du traitement de la confirmation d\'inscription', '2019-03-28 14:34:46'),
(14069, 'fr', 'register', 'user_confirm_mail_cont_1', 'Merci de votre inscription à ', '2019-03-28 14:34:46'),
(14070, 'fr', 'register', 'user_confirm_mail_cont_2', 'Merci de cliquer sur le lien suivant pour confirmer votre inscription', '2019-03-28 14:34:46'),
(14071, 'fr', 'seotools', 'Detailed Reports', 'Rapports détaillés', '2019-03-28 14:37:48'),
(14072, 'fr', 'seotools', 'Edit Seo Tool', 'Paramétrage Seo', '2019-03-28 14:37:48'),
(14073, 'fr', 'seotools', 'Graphical Reports', 'Rapports graphiques', '2019-03-28 14:37:48'),
(14074, 'fr', 'seotools', 'Keyword Search Reports', 'Rapports de recherche sur mot clé', '2019-03-28 14:37:48'),
(14075, 'fr', 'seotools', 'Keyword Search Summary', 'Résumé des recherches sur mot clé', '2019-03-28 14:37:48'),
(14076, 'fr', 'seotools', 'Quick Checker', 'Vérification rapide', '2019-03-28 14:37:48'),
(14077, 'fr', 'seotools', 'Sitemap Reports Summary', 'Résumé des rapports Sitemap', '2019-03-28 14:37:48'),
(14078, 'fr', 'seotools', 'sm-checker', 'Vérification réseaux sociaux', '2019-03-28 14:37:48'),
(14079, 'fr', 'seotools', 'Social Media Links', 'Liens réseaux sociaux', '2019-03-28 14:37:48'),
(14080, 'fr', 'seotools', 'Social Media Report Summary', 'Rapport réseaux sociaux', '2019-03-28 14:37:48'),
(14081, 'fr', 'seotools', 'webmaster-tools', 'Outils webmaster', '2019-03-28 14:37:48'),
(14082, 'fr', 'seotools', 'Website Search Reports', 'Rapports de recherche web', '2019-03-28 14:37:48'),
(14083, 'fr', 'seotools', 'Website Search Summary', 'Résumé des recherches web', '2019-03-28 14:37:48'),
(14084, 'fr', 'settings', 'Authorised redirect URI', 'URL autorisées pour la redirection', '2019-03-28 14:39:30'),
(14085, 'fr', 'settings', 'click-to-get-google-api-client-id', 'Cliquer ici pour obtenir l\'ID Google API', '2019-03-28 14:39:30'),
(14086, 'fr', 'settings', 'Send Email', 'Envoyer le mail', '2019-03-28 14:39:30'),
(14087, 'fr', 'settings', 'SP_ENABLE_PROXY_GOOGLE_API', 'Activer le proxy pour l\'API Google', '2019-03-28 14:39:30'),
(14088, 'fr', 'settings', 'SP_GOOGLE_ANALYTICS_TRACK_CODE', 'Code de suivi Google Analytics', '2019-03-28 14:39:30'),
(14089, 'fr', 'settings', 'SP_GOOGLE_API_CLIENT_ID', 'ID Google API', '2019-03-28 14:39:30'),
(14090, 'fr', 'settings', 'SP_GOOGLE_API_CLIENT_SECRET', 'Secret Google API', '2019-03-28 14:39:30'),
(14091, 'fr', 'sitemap', 'Downloaded', 'Téléchargé', '2019-03-28 14:40:01'),
(14092, 'fr', 'sitemap', 'Submitted', 'Envoyé', '2019-03-28 14:40:01'),
(14093, 'fr', 'sitemap', 'Sync Sitemaps', 'Synchroniser les sitemaps', '2019-03-28 14:40:01'),
(14094, 'fr', 'socialmedia', 'Edit Social Media Link', 'Editer le lien réseaux sociaux', '2019-03-28 14:40:43'),
(14095, 'fr', 'socialmedia', 'New Social Media Link', 'Nouveau lien réseaux sociaux', '2019-03-28 14:40:43'),
(14096, 'fr', 'socialmedia', 'Your social media link count already reached the limit', 'Vous avez atteint la limite du nombre de liens réseaux sociaux', '2019-03-28 14:40:43'),
(14097, 'fr', 'subscription', 'Edit Email Template', 'Modifier le gabarit mail', '2019-03-28 14:42:59'),
(14098, 'fr', 'subscription', 'Email Template Manager', 'Gestion des gabarits mail', '2019-03-28 14:42:59'),
(14099, 'fr', 'subscription', 'enable_email_activation', 'Demander l\'activation par mail', '2019-03-28 14:42:59'),
(14100, 'fr', 'subscription', 'free_trial_period', 'Période d\'essai gratuite', '2019-03-28 14:42:59'),
(14101, 'fr', 'subscription', 'Social Media Link Count', 'Nombre de liens réseaux sociaux', '2019-03-28 14:42:59'),
(14102, 'fr', 'subscription', 'SUBSCRIPTION_EXPIRED_NOTIFICATION', 'Notification d\'abonnement expiré (après)', '2019-03-28 14:42:59'),
(14103, 'fr', 'subscription', 'SUBSCRIPTION_RENEWAL_REMINDER_1', 'Rappel de renouvellement d\'abonnement 1 (avant)', '2019-03-28 14:42:59'),
(14104, 'fr', 'subscription', 'SUBSCRIPTION_RENEWAL_REMINDER_2', 'Rappel de renouvellement d\'abonnement 2 (avant)', '2019-03-28 14:42:59'),
(14105, 'fr', 'webmaster', 'Average Position', 'Position moyenne', '2019-03-28 14:43:38'),
(14106, 'fr', 'webmaster', 'Click here to connect to your google account', 'Cliquer ici pour connecter votre compte Google', '2019-03-28 14:43:38'),
(14107, 'fr', 'webmaster', 'Error: Google api connection failed', 'Erreur de connexion à l\'API Google', '2019-03-28 14:43:38'),
(14108, 'fr', 'website', 'Add to Webmaster Tools', 'Ajouter aux outils webmaster', '2019-03-28 14:44:58'),
(14109, 'fr', 'website', 'Sitemap successfully added to webmaster tools', 'Sitemap ajouté aux outils webmaster', '2019-03-28 14:44:58'),
(14110, 'fr', 'website', 'Successfully deleted sitemap from webmaster tools', 'Sitemap supprimé des outils webmaster', '2019-03-28 14:44:58'),
(14111, 'fr', 'website', 'Successfully imported following websites', 'Import réussi des sites web suivants ', '2019-03-28 14:44:58'),
(14112, 'fr', 'website', 'Successfully sync sitemaps from webmaster tools', 'Synchronisation réussie depuis les outils webmaster', '2019-03-28 14:44:58'),
(14113, 'fr', 'website', 'Website successfully added to webmaster tools', 'Site web ajouté aux outils webmaster', '2019-03-28 14:44:58'),
(14114, 'ru', 'common', 'Internal error occured', 'Внутренняя ошибка', '2024-07-17 11:16:33'),
(14115, 'ru', 'common', 'Link', 'Ссылка', '2024-07-17 11:16:33'),
(14116, 'ru', 'label', 'Followers', 'Читатели', '2024-07-17 11:17:22'),
(14117, 'ru', 'label', 'Likes', 'Ссылки', '2024-07-17 11:17:22'),
(14118, 'ru', 'panel', 'Test Email Settings', 'Тестовые настройки Email', '2024-07-17 11:19:14'),
(14119, 'ru', 'seotools', 'Detailed Reports', 'Подробные отчеты', '2024-07-17 11:26:22'),
(14120, 'ru', 'seotools', 'sm-checker', 'Проверка социальных сетей', '2024-07-17 11:26:22'),
(14121, 'ru', 'seotools', 'Social Media Links', 'Ссылки на социальные сети', '2024-07-17 11:26:22'),
(14122, 'ru', 'seotools', 'Social Media Report Summary', 'Отчет о социальных сетях', '2024-07-17 11:26:22'),
(14123, 'ru', 'settings', 'Send Email', 'Отправить письмо', '2024-07-17 11:22:42'),
(14124, 'ru', 'socialmedia', 'Edit Social Media Link', 'Изменить ссылку в социальных сетях', '2024-07-17 11:23:19'),
(14125, 'ru', 'socialmedia', 'New Social Media Link', 'Новая ссылка на социальные сети', '2024-07-17 11:23:19'),
(14126, 'ru', 'socialmedia', 'Your social media link count already reached the limit', 'Количество ссылок в социальных сетях уже достигло предела', '2024-07-17 11:23:19'),
(14127, 'ru', 'subscription', 'Social Media Link Count', 'Количество ссылок в социальных сетях', '2024-07-17 11:24:41'),
(14128, 'pt-br', 'blog', 'Newer Posts', 'Posts Novos', '2019-03-29 17:27:18'),
(14129, 'pt-br', 'blog', 'Nothing Found', 'Nada Encontrado', '2019-03-29 17:27:18'),
(14130, 'pt-br', 'blog', 'NothingFound_text2', 'Desculpe, não encontramos nada. Tentei novamente com palavras diferentes.', '2019-03-29 17:27:18'),
(14131, 'pt-br', 'blog', 'Older Posts', 'Posts Antigos', '2019-03-29 17:27:18'),
(14132, 'pt-br', 'website', 'Add to Webmaster Tools', 'Adicionar ao Webmaster Tools', '2019-03-29 17:28:26'),
(14133, 'pt-br', 'website', 'Sitemap successfully added to webmaster tools', 'Sitemap adicionado com sucesso ao webmaster tools', '2019-03-29 17:28:26'),
(14134, 'pt-br', 'website', 'Successfully deleted sitemap from webmaster tools', 'Sitemap deletado com sucesso ao webmaster tools', '2019-03-29 17:28:26'),
(14135, 'pt-br', 'website', 'Successfully imported following websites', 'Os seguintes sites foram importados com sucesso', '2019-03-29 17:28:26'),
(14136, 'pt-br', 'website', 'Successfully sync sitemaps from webmaster tools', 'Sitemap sincronizados com sucesso ao webmaster tools', '2019-03-29 17:28:26'),
(14137, 'pt-br', 'website', 'Website successfully added to webmaster tools', 'Site adicionado com sucesso ao webmaster tools', '2019-03-29 17:28:26'),
(14138, 'ja', 'blog', 'Newer Posts', '最近の投稿', '2019-04-01 09:40:08'),
(14139, 'ja', 'blog', 'Nothing Found', '見つかりませんでした', '2019-04-01 09:40:08'),
(14140, 'ja', 'blog', 'NothingFound_text2', '検索条件に合致する結果は見つかりませんでした。キーワードを変更して再度お試しください。', '2019-04-01 09:40:08'),
(14141, 'ja', 'blog', 'Older Posts', '過去の投稿', '2019-04-01 09:40:08'),
(14142, 'ja', 'common', 'Blog', 'ブログ', '2019-05-25 18:40:02'),
(14143, 'ja', 'common', 'Errors', 'エラー', '2019-05-25 18:40:02'),
(14144, 'ja', 'common', 'Internal error occured', '内部エラーが発生しました', '2019-05-25 18:40:02'),
(14145, 'ja', 'common', 'Link', 'リンク', '2019-05-25 18:40:02'),
(14146, 'ja', 'common', 'Warnings', '警告', '2019-05-25 18:40:02'),
(14153, 'ja', 'panel', 'Test Email Settings', 'テストメール設定', '2019-04-01 09:46:57'),
(14154, 'ja', 'seotools', 'Detailed Reports', '詳細レポート', '2019-04-01 09:49:13'),
(14155, 'ja', 'seotools', 'Edit Seo Tool', 'Seoツール編集', '2019-04-01 09:49:13'),
(14156, 'ja', 'seotools', 'Sitemap Reports Summary', 'サイトマップレポートサマリー', '2019-04-01 09:49:13'),
(14157, 'ja', 'seotools', 'sm-checker', 'ソーシャルメディアチェッカー', '2019-04-01 09:49:13'),
(14158, 'ja', 'seotools', 'Social Media Links', 'ソーシャルメディアリンク', '2019-04-01 09:49:13'),
(14159, 'ja', 'seotools', 'Social Media Report Summary', 'ソーシャルメディアレポートサマリー', '2019-04-01 09:49:13'),
(14160, 'ja', 'settings', 'Authorised redirect URI', '承認リダイレクトURI', '2019-04-01 09:52:17'),
(14161, 'ja', 'settings', 'click-to-get-google-api-client-id', 'クリックしてGoogle API クライアントIDを取得', '2019-04-01 09:52:17'),
(14162, 'ja', 'settings', 'Send Email', 'Eメールを送信', '2019-04-01 09:52:17'),
(14163, 'ja', 'settings', 'SP_ENABLE_PROXY_GOOGLE_API', 'Google APIのプロキシを有効化', '2019-04-01 09:52:17'),
(14164, 'ja', 'sitemap', 'Downloaded', 'ダウンロード済み', '2019-04-01 09:52:58'),
(14165, 'ja', 'sitemap', 'Submitted', '送信済み', '2019-04-01 09:52:58'),
(14166, 'ja', 'sitemap', 'Sync Sitemaps', 'サイトマップを同期', '2019-04-01 09:52:58'),
(14167, 'ja', 'socialmedia', 'Edit Social Media Link', 'ソーシャルメディアリンクを編集', '2019-04-01 09:53:38'),
(14168, 'ja', 'socialmedia', 'New Social Media Link', '新規ソーシャルメディアリンク', '2019-04-01 09:53:38'),
(14169, 'ja', 'socialmedia', 'Your social media link count already reached the limit', 'ソーシャルメディアリンク数が上限に達しています', '2019-04-01 09:53:38'),
(14170, 'ja', 'subscription', 'Social Media Link Count', 'ソーシャルメディアリンク数', '2019-04-01 09:54:02'),
(14171, 'ja', 'webmaster', 'Click here to connect to your google account', 'クリックして自分のGoogleアカウントと連携', '2019-04-01 09:55:05'),
(14172, 'ja', 'webmaster', 'Error: Google api connection failed', 'エラー：Google API接続に失敗しました', '2019-04-01 09:55:05'),
(14173, 'ja', 'website', 'Add to Webmaster Tools', 'ウェブマスターツールに追加', '2019-04-01 09:57:11'),
(14174, 'ja', 'website', 'Sitemap successfully added to webmaster tools', 'サイトマップがウェブマスターツールに追加されました', '2019-04-01 09:57:11'),
(14175, 'ja', 'website', 'Successfully deleted sitemap from webmaster tools', 'サイトマップがウェブマスターツールから削除されました', '2019-04-01 09:57:11'),
(14176, 'ja', 'website', 'Successfully imported following websites', '次のウェブサイトがインポートされました', '2019-04-01 09:57:11'),
(14177, 'ja', 'website', 'Successfully sync sitemaps from webmaster tools', 'ウェブマスターツールからサイトマップを同期しました', '2019-04-01 09:57:11'),
(14178, 'ja', 'website', 'Website successfully added to webmaster tools', 'ウェブサイトがウェブマスターツールに追加されました', '2019-04-01 09:57:11'),
(14179, 'el', 'subscription', 'Social Media Link Count', 'Σύνδεσμοι Social Media', '2019-11-28 18:11:38'),
(14180, 'el', 'socialmedia', 'Edit Social Media Link', 'Επεξεργασία συνδέσμου Social Media', '2019-05-16 08:37:38'),
(14181, 'el', 'socialmedia', 'New Social Media Link', 'Νέος Σύνδεσμος Social Media', '2019-05-16 08:37:38'),
(14182, 'el', 'socialmedia', 'Your social media link count already reached the limit', 'Ο αριθμός συνδέσμων Social Media έφτασε στο όριο του', '2019-05-16 08:37:38'),
(14183, 'el', 'settings', 'Send Email', 'Αποστολή Email', '2019-08-28 05:43:40'),
(14184, 'el', 'seotools', 'Detailed Reports', 'Λεπτομερείς Αναφορές', '2019-11-28 18:13:05'),
(14185, 'el', 'seotools', 'sm-checker', 'Έλεγχος Social Media', '2019-11-28 18:13:05'),
(14186, 'el', 'seotools', 'Social Media Links', 'Σύνδεσμοι Social Media', '2019-11-28 18:13:05'),
(14187, 'el', 'seotools', 'Social Media Report Summary', 'Σύνοψη Αναφοράς Social Media', '2019-11-28 18:13:05'),
(14188, 'el', 'panel', 'Test Email Settings', 'Δοκιμή Ρυθμίσεων Email', '2019-08-28 05:42:17'),
(14189, 'el', 'label', 'Followers', 'Ακόλουθοι', '2019-11-28 18:22:10'),
(14190, 'el', 'label', 'Likes', 'Likes', '2019-11-28 18:22:10'),
(14191, 'el', 'common', 'Internal error occured', 'Προέκυψε Internal error', '2019-08-28 05:40:52'),
(14192, 'el', 'common', 'Link', 'Σύνδεσμος', '2019-08-28 05:40:52'),
(14193, 'en', 'settings', 'SP_MAIL_ENCRYPTION', 'Mail Encryption', '2019-05-23 19:26:43'),
(14194, 'en', 'label', 'Month', 'Month', '2019-05-23 19:26:43'),
(14195, 'en', 'common', 'Plugins', 'Plugins', '2019-05-23 19:26:43'),
(14196, 'en', 'common', 'Logout', 'Logout', '2019-05-23 19:26:43'),
(14197, 'en', 'common', 'Tools', 'Tools', '2019-08-06 06:09:56'),
(14198, 'ar', 'common', 'Blog', '', '2019-05-25 17:59:04'),
(14199, 'ar', 'common', 'Checked', '', '2019-05-25 17:59:04'),
(14200, 'ar', 'common', 'Debug', '', '2019-05-25 17:59:04'),
(14201, 'ar', 'common', 'Domain Authority', '', '2019-05-25 17:59:04'),
(14202, 'ar', 'common', 'Edit User Type', '', '2019-05-25 17:59:04'),
(14203, 'ar', 'common', 'Errors', '', '2019-05-25 17:59:04'),
(14204, 'ar', 'common', 'Internal error occured', '', '2019-05-25 17:59:04'),
(14205, 'ar', 'common', 'Keywords Count', '', '2019-05-25 17:59:04'),
(14206, 'ar', 'common', 'Link', '', '2019-05-25 17:59:04'),
(14207, 'ar', 'common', 'Logout', '', '2019-05-25 17:59:04'),
(14208, 'ar', 'common', 'MOZ Rank', '', '2019-05-25 17:59:04'),
(14209, 'ar', 'common', 'New User Type', '', '2019-05-25 17:59:04'),
(14210, 'ar', 'common', 'Page Authority', '', '2019-05-25 17:59:04'),
(14211, 'ar', 'common', 'Pagerank', '', '2019-05-25 17:59:04'),
(14212, 'ar', 'common', 'Plugins', 'الإضافات', '2019-05-25 17:59:04'),
(14213, 'ar', 'common', 'Powered by', '', '2019-05-25 17:59:04'),
(14214, 'ar', 'common', 'Price', '', '2019-05-25 17:59:04'),
(14215, 'ar', 'common', 'Pricing', '', '2019-05-25 17:59:04'),
(14216, 'ar', 'common', 'Sample CSV File', '', '2019-05-25 17:59:04'),
(14217, 'ar', 'common', 'Search Engine Count', '', '2019-05-25 17:59:04'),
(14218, 'ar', 'common', 'Server', '', '2019-05-25 17:59:04'),
(14219, 'ar', 'common', 'Thank you', '', '2019-05-25 17:59:04'),
(14220, 'ar', 'common', 'Tools', 'أدوات', '2019-05-25 17:59:04'),
(14221, 'ar', 'common', 'User Type', '', '2019-05-25 17:59:04'),
(14222, 'ar', 'common', 'Warnings', '', '2019-05-25 17:59:04'),
(14223, 'ar', 'common', 'Websites Count', '', '2019-05-25 17:59:04'),
(14224, 'bg', 'common', 'Blog', '', '2019-05-25 18:00:14'),
(14225, 'bg', 'common', 'Errors', '', '2019-05-25 18:00:14'),
(14226, 'bg', 'common', 'Internal error occured', '', '2019-05-25 18:00:14'),
(14227, 'bg', 'common', 'Link', '', '2019-05-25 18:00:14'),
(14228, 'bg', 'common', 'Logout', '', '2019-05-25 18:00:14'),
(14229, 'bg', 'common', 'Plugins', '', '2019-05-25 18:00:14'),
(14230, 'bg', 'common', 'Tools', 'Инструменти', '2019-05-25 18:00:14'),
(14231, 'bg', 'common', 'Warnings', '', '2019-05-25 18:00:14'),
(14232, 'zh', 'common', 'Blog', '', '2019-05-25 18:01:23'),
(14233, 'zh', 'common', 'Debug', '', '2019-05-25 18:01:23'),
(14234, 'zh', 'common', 'Domain Authority', '', '2019-05-25 18:01:23'),
(14235, 'zh', 'common', 'Edit User Type', '', '2019-05-25 18:01:23'),
(14236, 'zh', 'common', 'Errors', '', '2019-05-25 18:01:23'),
(14237, 'zh', 'common', 'Internal error occured', '', '2019-05-25 18:01:23'),
(14238, 'zh', 'common', 'Keywords Count', '', '2019-05-25 18:01:23'),
(14239, 'zh', 'common', 'Link', '', '2019-05-25 18:01:23'),
(14240, 'zh', 'common', 'Logout', '', '2019-05-25 18:01:23'),
(14241, 'zh', 'common', 'MOZ Rank', '', '2019-05-25 18:01:23'),
(14242, 'zh', 'common', 'New User Type', '', '2019-05-25 18:01:23'),
(14243, 'zh', 'common', 'Page Authority', '', '2019-05-25 18:01:23'),
(14244, 'zh', 'common', 'Pagerank', '', '2019-05-25 18:01:23'),
(14245, 'zh', 'common', 'Plugins', '插件', '2019-05-25 18:01:23'),
(14246, 'zh', 'common', 'Price', '', '2019-05-25 18:01:23'),
(14247, 'zh', 'common', 'Pricing', '', '2019-05-25 18:01:23'),
(14248, 'zh', 'common', 'Sample CSV File', '', '2019-05-25 18:01:23'),
(14249, 'zh', 'common', 'Search Engine Count', '', '2019-05-25 18:01:23'),
(14250, 'zh', 'common', 'Server', '', '2019-05-25 18:01:23'),
(14251, 'zh', 'common', 'Tools', '工具', '2019-05-25 18:01:23'),
(14252, 'zh', 'common', 'User Type', '', '2019-05-25 18:01:23'),
(14253, 'zh', 'common', 'Warnings', '', '2019-05-25 18:01:23'),
(14254, 'zh', 'common', 'Websites Count', '', '2019-05-25 18:01:23'),
(14255, 'cn', 'common', 'Blog', '', '2019-05-25 18:02:13'),
(14256, 'cn', 'common', 'Debug', '', '2019-05-25 18:02:13'),
(14257, 'cn', 'common', 'Domain Authority', '', '2019-05-25 18:02:13'),
(14258, 'cn', 'common', 'Edit User Type', '', '2019-05-25 18:02:13'),
(14259, 'cn', 'common', 'Errors', '', '2019-05-25 18:02:13'),
(14260, 'cn', 'common', 'Internal error occured', '', '2019-05-25 18:02:13'),
(14261, 'cn', 'common', 'Keywords Count', '', '2019-05-25 18:02:13'),
(14262, 'cn', 'common', 'Link', '', '2019-05-25 18:02:13'),
(14263, 'cn', 'common', 'Logout', '', '2019-05-25 18:02:13'),
(14264, 'cn', 'common', 'MOZ Rank', '', '2019-05-25 18:02:13'),
(14265, 'cn', 'common', 'New User Type', '', '2019-05-25 18:02:13'),
(14266, 'cn', 'common', 'Page Authority', '', '2019-05-25 18:02:13'),
(14267, 'cn', 'common', 'Pagerank', '', '2019-05-25 18:02:13'),
(14268, 'cn', 'common', 'Plugins', '插件', '2019-05-25 18:02:13'),
(14269, 'cn', 'common', 'Price', '', '2019-05-25 18:02:13'),
(14270, 'cn', 'common', 'Pricing', '', '2019-05-25 18:02:13'),
(14271, 'cn', 'common', 'Sample CSV File', '', '2019-05-25 18:02:13'),
(14272, 'cn', 'common', 'Search Engine Count', '', '2019-05-25 18:02:13'),
(14273, 'cn', 'common', 'Server', '', '2019-05-25 18:02:13'),
(14274, 'cn', 'common', 'Tools', '工具', '2019-05-25 18:02:13'),
(14275, 'cn', 'common', 'User Type', '', '2019-05-25 18:02:13'),
(14276, 'cn', 'common', 'Warnings', '', '2019-05-25 18:02:13'),
(14277, 'cn', 'common', 'Websites Count', '', '2019-05-25 18:02:13'),
(14278, 'cs', 'common', 'Blog', '', '2019-05-25 18:03:57'),
(14279, 'cs', 'common', 'Checked', '', '2019-05-25 18:03:57'),
(14280, 'cs', 'common', 'Dashboard', '', '2019-05-25 18:03:57'),
(14281, 'cs', 'common', 'Debug', '', '2019-05-25 18:03:57'),
(14282, 'cs', 'common', 'Domain Authority', '', '2019-05-25 18:03:57'),
(14283, 'cs', 'common', 'Edit User Type', '', '2019-05-25 18:03:57'),
(14284, 'cs', 'common', 'Errors', '', '2019-05-25 18:03:57'),
(14285, 'cs', 'common', 'Hello', '', '2019-05-25 18:03:57'),
(14286, 'cs', 'common', 'Home', '', '2019-05-25 18:03:57'),
(14287, 'cs', 'common', 'Internal error occured', '', '2019-05-25 18:03:57'),
(14288, 'cs', 'common', 'Keywords Count', '', '2019-05-25 18:03:57'),
(14289, 'cs', 'common', 'Link', '', '2019-05-25 18:03:57'),
(14290, 'cs', 'common', 'Logout', '', '2019-05-25 18:03:57'),
(14291, 'cs', 'common', 'MOZ Rank', '', '2019-05-25 18:03:57'),
(14292, 'cs', 'common', 'New User Type', '', '2019-05-25 18:03:57'),
(14293, 'cs', 'common', 'Page Authority', '', '2019-05-25 18:03:57'),
(14294, 'cs', 'common', 'Pagerank', '', '2019-05-25 18:03:57'),
(14295, 'cs', 'common', 'Plugins', 'Pluginy', '2019-05-25 18:03:57'),
(14296, 'cs', 'common', 'Powered by', '', '2019-05-25 18:03:57'),
(14297, 'cs', 'common', 'Price', '', '2019-05-25 18:03:57'),
(14298, 'cs', 'common', 'Pricing', '', '2019-05-25 18:03:57'),
(14299, 'cs', 'common', 'Sample CSV File', '', '2019-05-25 18:03:57'),
(14300, 'cs', 'common', 'Search Engine Count', '', '2019-05-25 18:03:57'),
(14301, 'cs', 'common', 'Server', '', '2019-05-25 18:03:57'),
(14302, 'cs', 'common', 'Thank you', '', '2019-05-25 18:03:57'),
(14303, 'cs', 'common', 'Tools', 'Nástroje', '2019-05-25 18:03:57'),
(14304, 'cs', 'common', 'User Type', '', '2019-05-25 18:03:57'),
(14305, 'cs', 'common', 'Warnings', '', '2019-05-25 18:03:57'),
(14306, 'cs', 'common', 'Websites Count', '', '2019-05-25 18:03:57'),
(14307, 'da', 'common', 'Blog', '', '2019-05-25 18:04:54'),
(14308, 'da', 'common', 'Debug', '', '2019-05-25 18:04:54'),
(14309, 'da', 'common', 'Domain Authority', '', '2019-05-25 18:04:54'),
(14310, 'da', 'common', 'Edit User Type', '', '2019-05-25 18:04:54'),
(14311, 'da', 'common', 'Errors', '', '2019-05-25 18:04:54'),
(14312, 'da', 'common', 'Internal error occured', '', '2019-05-25 18:04:54'),
(14313, 'da', 'common', 'Keywords Count', '', '2019-05-25 18:04:54'),
(14314, 'da', 'common', 'Link', '', '2019-05-25 18:04:54'),
(14315, 'da', 'common', 'Logout', '', '2019-05-25 18:04:54'),
(14316, 'da', 'common', 'MOZ Rank', '', '2019-05-25 18:04:54'),
(14317, 'da', 'common', 'New User Type', '', '2019-05-25 18:04:54'),
(14318, 'da', 'common', 'Page Authority', '', '2019-05-25 18:04:54'),
(14319, 'da', 'common', 'Pagerank', '', '2019-05-25 18:04:54'),
(14320, 'da', 'common', 'Plugins', '', '2019-05-25 18:04:54'),
(14321, 'da', 'common', 'Price', '', '2019-05-25 18:04:54'),
(14322, 'da', 'common', 'Pricing', '', '2019-05-25 18:04:54'),
(14323, 'da', 'common', 'Sample CSV File', '', '2019-05-25 18:04:54'),
(14324, 'da', 'common', 'Search Engine Count', '', '2019-05-25 18:04:54'),
(14325, 'da', 'common', 'Server', '', '2019-05-25 18:04:54'),
(14326, 'da', 'common', 'Tools', 'Værktøj', '2019-05-25 18:04:54'),
(14327, 'da', 'common', 'User Type', '', '2019-05-25 18:04:54'),
(14328, 'da', 'common', 'Warnings', '', '2019-05-25 18:04:54'),
(14329, 'da', 'common', 'Websites Count', '', '2019-05-25 18:04:54'),
(14330, 'nl', 'common', 'Blog', '', '2019-05-25 18:06:08'),
(14331, 'nl', 'common', 'Debug', '', '2019-05-25 18:06:08'),
(14332, 'nl', 'common', 'Domain Authority', '', '2019-05-25 18:06:08'),
(14333, 'nl', 'common', 'Edit User Type', '', '2019-05-25 18:06:08'),
(14334, 'nl', 'common', 'Errors', '', '2019-05-25 18:06:08'),
(14335, 'nl', 'common', 'Internal error occured', '', '2019-05-25 18:06:08'),
(14336, 'nl', 'common', 'Keywords Count', '', '2019-05-25 18:06:08'),
(14337, 'nl', 'common', 'Link', '', '2019-05-25 18:06:08'),
(14338, 'nl', 'common', 'Logout', '', '2019-05-25 18:06:08'),
(14339, 'nl', 'common', 'MOZ Rank', '', '2019-05-25 18:06:08'),
(14340, 'nl', 'common', 'New User Type', '', '2019-05-25 18:06:08'),
(14341, 'nl', 'common', 'Page Authority', '', '2019-05-25 18:06:08'),
(14342, 'nl', 'common', 'Pagerank', '', '2019-05-25 18:06:08'),
(14343, 'nl', 'common', 'Plugins', '', '2019-05-25 18:06:08'),
(14344, 'nl', 'common', 'Price', '', '2019-05-25 18:06:08'),
(14345, 'nl', 'common', 'Pricing', '', '2019-05-25 18:06:08'),
(14346, 'nl', 'common', 'Sample CSV File', '', '2019-05-25 18:06:08'),
(14347, 'nl', 'common', 'Search Engine Count', '', '2019-05-25 18:06:08'),
(14348, 'nl', 'common', 'Server', '', '2019-05-25 18:06:08'),
(14349, 'nl', 'common', 'Tools', 'Hulpmiddelen', '2019-05-25 18:06:08'),
(14350, 'nl', 'common', 'User Type', '', '2019-05-25 18:06:08'),
(14351, 'nl', 'common', 'Warnings', '', '2019-05-25 18:06:08'),
(14352, 'nl', 'common', 'Websites Count', '', '2019-05-25 18:06:08'),
(14353, 'fr', 'common', 'Logout', 'Déconnexion', '2020-02-14 11:05:11'),
(14354, 'fr', 'common', 'Plugins', 'Plugins', '2020-02-14 11:05:11'),
(14355, 'fr', 'common', 'Tools', 'Outils', '2020-02-14 11:05:11'),
(14356, 'de', 'common', 'Blog', 'Blog', '2021-06-14 21:46:19'),
(14357, 'de', 'common', 'Domain Authority', 'Domain Authority (DA)', '2021-06-14 21:46:19'),
(14358, 'de', 'common', 'Errors', 'Fehler', '2021-06-14 21:46:19'),
(14359, 'de', 'common', 'Internal error occured', 'Interner Fehler', '2021-06-14 21:46:19'),
(14360, 'de', 'common', 'Link', 'Link', '2021-06-14 21:46:19'),
(14361, 'de', 'common', 'Logout', 'Abmelden', '2021-06-14 21:46:19'),
(14362, 'de', 'common', 'MOZ Rank', 'MOZ Rank', '2021-06-14 21:46:19'),
(14363, 'de', 'common', 'Page Authority', 'Page Authority (PA)', '2021-06-14 21:46:19'),
(14364, 'de', 'common', 'Pagerank', 'Pagerank', '2021-06-14 21:46:19'),
(14365, 'de', 'common', 'Plugins', 'Erweiterungen', '2021-06-14 21:46:19'),
(14366, 'de', 'common', 'Pricing', 'Kosten', '2021-06-14 21:46:19'),
(14367, 'de', 'common', 'Search Engine Count', 'Anzahl Suchmaschinen', '2021-06-14 21:46:19'),
(14368, 'de', 'common', 'Server', 'Server', '2021-06-14 21:46:19'),
(14369, 'de', 'common', 'Tools', 'Werkzeuge', '2021-06-14 21:46:19'),
(14370, 'de', 'common', 'Warnings', 'Warnungen', '2021-06-14 21:46:19'),
(14371, 'el', 'common', 'Logout', 'Αποσύνδεση', '2019-08-28 05:40:52'),
(14372, 'el', 'common', 'Plugins', 'Επεκτάσεις', '2019-08-28 05:40:52'),
(14373, 'el', 'common', 'Tools', 'Εργαλεία', '2019-08-28 05:40:52'),
(14374, 'he', 'common', 'Blog', '', '2019-05-25 18:14:01'),
(14375, 'he', 'common', 'Checked', '', '2019-05-25 18:14:01'),
(14376, 'he', 'common', 'Dashboard', '', '2019-05-25 18:14:01'),
(14377, 'he', 'common', 'Debug', '', '2019-05-25 18:14:01'),
(14378, 'he', 'common', 'Domain Authority', '', '2019-05-25 18:14:01'),
(14379, 'he', 'common', 'Edit User Type', '', '2019-05-25 18:14:01'),
(14380, 'he', 'common', 'Errors', '', '2019-05-25 18:14:01'),
(14381, 'he', 'common', 'Hello', '', '2019-05-25 18:14:01'),
(14382, 'he', 'common', 'Home', '', '2019-05-25 18:14:01'),
(14383, 'he', 'common', 'Internal error occured', '', '2019-05-25 18:14:01'),
(14384, 'he', 'common', 'Keywords Count', '', '2019-05-25 18:14:01'),
(14385, 'he', 'common', 'Link', '', '2019-05-25 18:14:01'),
(14386, 'he', 'common', 'Logout', '', '2019-05-25 18:14:01'),
(14387, 'he', 'common', 'MOZ Rank', '', '2019-05-25 18:14:01'),
(14388, 'he', 'common', 'New User Type', '', '2019-05-25 18:14:01'),
(14389, 'he', 'common', 'Page Authority', '', '2019-05-25 18:14:01'),
(14390, 'he', 'common', 'Pagerank', '', '2019-05-25 18:14:01'),
(14391, 'he', 'common', 'Plugins', 'תוספים', '2019-05-25 18:14:01'),
(14392, 'he', 'common', 'Powered by', '', '2019-05-25 18:14:01'),
(14393, 'he', 'common', 'Price', '', '2019-05-25 18:14:01'),
(14394, 'he', 'common', 'Pricing', '', '2019-05-25 18:14:01'),
(14395, 'he', 'common', 'Sample CSV File', '', '2019-05-25 18:14:01'),
(14396, 'he', 'common', 'Search Engine Count', '', '2019-05-25 18:14:01'),
(14397, 'he', 'common', 'Server', '', '2019-05-25 18:14:01'),
(14398, 'he', 'common', 'Thank you', '', '2019-05-25 18:14:01'),
(14399, 'he', 'common', 'Tools', 'כלים', '2019-05-25 18:14:01'),
(14400, 'he', 'common', 'User Type', '', '2019-05-25 18:14:01'),
(14401, 'he', 'common', 'Warnings', '', '2019-05-25 18:14:01'),
(14402, 'he', 'common', 'Websites Count', '', '2019-05-25 18:14:01'),
(14403, 'hu', 'common', 'Blog', '', '2019-05-25 18:15:43'),
(14404, 'hu', 'common', 'Checked', '', '2019-05-25 18:15:43'),
(14405, 'hu', 'common', 'Debug', '', '2019-05-25 18:15:43'),
(14406, 'hu', 'common', 'Domain Authority', '', '2019-05-25 18:15:43'),
(14407, 'hu', 'common', 'Edit User Type', '', '2019-05-25 18:15:43'),
(14408, 'hu', 'common', 'Errors', '', '2019-05-25 18:15:43'),
(14409, 'hu', 'common', 'Internal error occured', '', '2019-05-25 18:15:43'),
(14410, 'hu', 'common', 'Keywords Count', '', '2019-05-25 18:15:43'),
(14411, 'hu', 'common', 'Link', '', '2019-05-25 18:15:43'),
(14412, 'hu', 'common', 'Logout', '', '2019-05-25 18:15:43'),
(14413, 'hu', 'common', 'MOZ Rank', '', '2019-05-25 18:15:43'),
(14414, 'hu', 'common', 'New User Type', '', '2019-05-25 18:15:43'),
(14415, 'hu', 'common', 'Page Authority', '', '2019-05-25 18:15:43'),
(14416, 'hu', 'common', 'Pagerank', '', '2019-05-25 18:15:43'),
(14417, 'hu', 'common', 'Plugins', 'Dugó', '2019-05-25 18:15:43'),
(14418, 'hu', 'common', 'Price', '', '2019-05-25 18:15:43'),
(14419, 'hu', 'common', 'Pricing', '', '2019-05-25 18:15:43'),
(14420, 'hu', 'common', 'Sample CSV File', '', '2019-05-25 18:15:43'),
(14421, 'hu', 'common', 'Search Engine Count', '', '2019-05-25 18:15:43'),
(14422, 'hu', 'common', 'Server', '', '2019-05-25 18:15:43'),
(14423, 'hu', 'common', 'Thank you', '', '2019-05-25 18:15:43'),
(14424, 'hu', 'common', 'Tools', 'Eszközök', '2019-05-25 18:15:43'),
(14425, 'hu', 'common', 'User Type', '', '2019-05-25 18:15:43'),
(14426, 'hu', 'common', 'Warnings', '', '2019-05-25 18:15:43'),
(14427, 'hu', 'common', 'Websites Count', '', '2019-05-25 18:15:43'),
(14428, 'id', 'common', 'Blog', '', '2019-05-25 18:35:48'),
(14429, 'id', 'common', 'Errors', '', '2019-05-25 18:35:48'),
(14430, 'id', 'common', 'Internal error occured', '', '2019-05-25 18:35:48'),
(14431, 'id', 'common', 'Link', '', '2019-05-25 18:35:48'),
(14432, 'id', 'common', 'Logout', '', '2019-05-25 18:35:48'),
(14433, 'id', 'common', 'Plugins', 'Plugin\r\n', '2019-05-25 18:35:48'),
(14434, 'id', 'common', 'Pricing', '', '2019-05-25 18:35:48'),
(14435, 'id', 'common', 'Tools', 'Alat', '2019-05-25 18:35:48'),
(14436, 'id', 'common', 'Warnings', '', '2019-05-25 18:35:48'),
(14437, 'it', 'common', 'Blog', 'Blog', '2022-07-11 11:16:48'),
(14438, 'it', 'common', 'Errors', 'Errori', '2022-07-11 11:16:48'),
(14439, 'it', 'common', 'Internal error occured', 'Si è presentato un errore', '2022-07-11 11:16:48'),
(14440, 'it', 'common', 'Link', 'Link', '2022-07-11 11:16:48'),
(14441, 'it', 'common', 'Logout', 'Sclollegati', '2022-07-11 11:16:48'),
(14442, 'it', 'common', 'Plugins', 'Plugins', '2022-07-11 11:16:48'),
(14443, 'it', 'common', 'Tools', 'Utensili', '2022-07-11 11:16:48'),
(14444, 'it', 'common', 'Warnings', 'Attenzione', '2022-07-11 11:16:48'),
(14445, 'ja', 'common', 'Logout', '', '2019-05-25 18:40:02'),
(14446, 'ja', 'common', 'Plugins', 'プラグイン', '2019-05-25 18:40:02'),
(14447, 'ja', 'common', 'Tools', '道具', '2019-05-25 18:40:02'),
(14448, 'lt', 'common', 'Blog', '', '2019-05-25 18:41:16'),
(14449, 'lt', 'common', 'Debug', '', '2019-05-25 18:41:16'),
(14450, 'lt', 'common', 'Domain Authority', '', '2019-05-25 18:41:16'),
(14451, 'lt', 'common', 'Edit User Type', '', '2019-05-25 18:41:16'),
(14452, 'lt', 'common', 'Errors', '', '2019-05-25 18:41:16'),
(14453, 'lt', 'common', 'Internal error occured', '', '2019-05-25 18:41:16'),
(14454, 'lt', 'common', 'Keywords Count', '', '2019-05-25 18:41:16'),
(14455, 'lt', 'common', 'Link', '', '2019-05-25 18:41:16'),
(14456, 'lt', 'common', 'Logout', '', '2019-05-25 18:41:16'),
(14457, 'lt', 'common', 'MOZ Rank', '', '2019-05-25 18:41:16'),
(14458, 'lt', 'common', 'New User Type', '', '2019-05-25 18:41:16'),
(14459, 'lt', 'common', 'Page Authority', '', '2019-05-25 18:41:16'),
(14460, 'lt', 'common', 'Pagerank', '', '2019-05-25 18:41:16'),
(14461, 'lt', 'common', 'Plugins', 'Įskiepiai', '2019-05-25 18:41:16'),
(14462, 'lt', 'common', 'Price', '', '2019-05-25 18:41:16'),
(14463, 'lt', 'common', 'Pricing', '', '2019-05-25 18:41:16'),
(14464, 'lt', 'common', 'Sample CSV File', '', '2019-05-25 18:41:16'),
(14465, 'lt', 'common', 'Search Engine Count', '', '2019-05-25 18:41:16'),
(14466, 'lt', 'common', 'Server', '', '2019-05-25 18:41:16'),
(14467, 'lt', 'common', 'Tools', 'Įrankiai', '2019-05-25 18:41:16'),
(14468, 'lt', 'common', 'User Type', '', '2019-05-25 18:41:16'),
(14469, 'lt', 'common', 'Warnings', '', '2019-05-25 18:41:16'),
(14470, 'lt', 'common', 'Websites Count', '', '2019-05-25 18:41:16'),
(14471, 'pl', 'common', 'Blog', '', '2019-05-25 18:43:11'),
(14472, 'pl', 'common', 'Debug', '', '2019-05-25 18:43:11'),
(14473, 'pl', 'common', 'Domain Authority', '', '2019-05-25 18:43:11'),
(14474, 'pl', 'common', 'Edit User Type', '', '2019-05-25 18:43:11'),
(14475, 'pl', 'common', 'Errors', '', '2019-05-25 18:43:11'),
(14476, 'pl', 'common', 'Internal error occured', '', '2019-05-25 18:43:11'),
(14477, 'pl', 'common', 'Keywords Count', '', '2019-05-25 18:43:11'),
(14478, 'pl', 'common', 'Link', '', '2019-05-25 18:43:11'),
(14479, 'pl', 'common', 'Logout', '', '2019-05-25 18:43:11'),
(14480, 'pl', 'common', 'MOZ Rank', '', '2019-05-25 18:43:11'),
(14481, 'pl', 'common', 'New User Type', '', '2019-05-25 18:43:11'),
(14482, 'pl', 'common', 'Page Authority', '', '2019-05-25 18:43:11'),
(14483, 'pl', 'common', 'Pagerank', '', '2019-05-25 18:43:11'),
(14484, 'pl', 'common', 'Plugins', 'Wtyczki', '2019-05-25 18:43:11'),
(14485, 'pl', 'common', 'Price', '', '2019-05-25 18:43:11'),
(14486, 'pl', 'common', 'Pricing', '', '2019-05-25 18:43:11'),
(14487, 'pl', 'common', 'Sample CSV File', '', '2019-05-25 18:43:11'),
(14488, 'pl', 'common', 'Search Engine Count', '', '2019-05-25 18:43:11'),
(14489, 'pl', 'common', 'Server', '', '2019-05-25 18:43:11'),
(14490, 'pl', 'common', 'Tools', 'Przybory', '2019-05-25 18:43:11'),
(14491, 'pl', 'common', 'User Type', '', '2019-05-25 18:43:11'),
(14492, 'pl', 'common', 'Warnings', '', '2019-05-25 18:43:11'),
(14493, 'pl', 'common', 'Websites Count', '', '2019-05-25 18:43:11'),
(14494, 'pt', 'common', 'Blog', '', '2019-05-25 18:43:55'),
(14495, 'pt', 'common', 'Errors', '', '2019-05-25 18:43:55'),
(14496, 'pt', 'common', 'Internal error occured', '', '2019-05-25 18:43:55'),
(14497, 'pt', 'common', 'Link', '', '2019-05-25 18:43:55'),
(14498, 'pt', 'common', 'Logout', '', '2019-05-25 18:43:55'),
(14499, 'pt', 'common', 'Plugins', '', '2019-05-25 18:43:55'),
(14500, 'pt', 'common', 'Pricing', '', '2019-05-25 18:43:55'),
(14501, 'pt', 'common', 'Server', '', '2019-05-25 18:43:55'),
(14502, 'pt', 'common', 'Tools', 'Ferramentas', '2019-05-25 18:43:55'),
(14503, 'pt', 'common', 'Warnings', '', '2019-05-25 18:43:55'),
(14504, 'ro', 'common', 'Blog', '', '2019-05-25 18:44:58'),
(14505, 'ro', 'common', 'Checked', '', '2019-05-25 18:44:58'),
(14506, 'ro', 'common', 'Dashboard', '', '2019-05-25 18:44:58'),
(14507, 'ro', 'common', 'Debug', '', '2019-05-25 18:44:58'),
(14508, 'ro', 'common', 'Domain Authority', '', '2019-05-25 18:44:58'),
(14509, 'ro', 'common', 'Edit User Type', '', '2019-05-25 18:44:58'),
(14510, 'ro', 'common', 'Errors', '', '2019-05-25 18:44:58'),
(14511, 'ro', 'common', 'Home', '', '2019-05-25 18:44:58'),
(14512, 'ro', 'common', 'Internal error occured', '', '2019-05-25 18:44:58'),
(14513, 'ro', 'common', 'Keywords Count', '', '2019-05-25 18:44:58'),
(14514, 'ro', 'common', 'Link', '', '2019-05-25 18:44:58'),
(14515, 'ro', 'common', 'Logout', '', '2019-05-25 18:44:58'),
(14516, 'ro', 'common', 'MOZ Rank', '', '2019-05-25 18:44:58'),
(14517, 'ro', 'common', 'New User Type', '', '2019-05-25 18:44:58'),
(14518, 'ro', 'common', 'Page Authority', '', '2019-05-25 18:44:58'),
(14519, 'ro', 'common', 'Pagerank', '', '2019-05-25 18:44:58'),
(14520, 'ro', 'common', 'Plugins', 'Plugin-uri', '2019-05-25 18:44:58'),
(14521, 'ro', 'common', 'Powered by', '', '2019-05-25 18:44:58'),
(14522, 'ro', 'common', 'Price', '', '2019-05-25 18:44:58'),
(14523, 'ro', 'common', 'Pricing', '', '2019-05-25 18:44:58'),
(14524, 'ro', 'common', 'Sample CSV File', '', '2019-05-25 18:44:58'),
(14525, 'ro', 'common', 'Search Engine Count', '', '2019-05-25 18:44:58'),
(14526, 'ro', 'common', 'Server', '', '2019-05-25 18:44:58'),
(14527, 'ro', 'common', 'Thank you', '', '2019-05-25 18:44:58'),
(14528, 'ro', 'common', 'Tools', 'Unelte', '2019-05-25 18:44:58'),
(14529, 'ro', 'common', 'User Type', '', '2019-05-25 18:44:58'),
(14530, 'ro', 'common', 'Warnings', '', '2019-05-25 18:44:58'),
(14531, 'ro', 'common', 'Websites Count', '', '2019-05-25 18:44:58'),
(14532, 'ru', 'common', 'Logout', 'Выход', '2024-07-17 11:16:33'),
(14533, 'ru', 'common', 'Plugins', 'Плагины', '2024-07-17 11:16:33'),
(14534, 'ru', 'common', 'Tools', 'инструменты', '2024-07-17 11:16:33'),
(14535, 'sk', 'common', 'Blog', '', '2019-05-25 18:47:21'),
(14536, 'sk', 'common', 'Checked', '', '2019-05-25 18:47:21'),
(14537, 'sk', 'common', 'Debug', '', '2019-05-25 18:47:21'),
(14538, 'sk', 'common', 'Domain Authority', '', '2019-05-25 18:47:21'),
(14539, 'sk', 'common', 'Edit User Type', '', '2019-05-25 18:47:21'),
(14540, 'sk', 'common', 'Errors', '', '2019-05-25 18:47:21'),
(14541, 'sk', 'common', 'Internal error occured', '', '2019-05-25 18:47:21'),
(14542, 'sk', 'common', 'Keywords Count', '', '2019-05-25 18:47:21'),
(14543, 'sk', 'common', 'Link', '', '2019-05-25 18:47:21'),
(14544, 'sk', 'common', 'Logout', '', '2019-05-25 18:47:21'),
(14545, 'sk', 'common', 'MOZ Rank', '', '2019-05-25 18:47:21'),
(14546, 'sk', 'common', 'New User Type', '', '2019-05-25 18:47:21'),
(14547, 'sk', 'common', 'Page Authority', '', '2019-05-25 18:47:21'),
(14548, 'sk', 'common', 'Pagerank', '', '2019-05-25 18:47:21'),
(14549, 'sk', 'common', 'Plugins', '', '2019-05-25 18:47:21'),
(14550, 'sk', 'common', 'Price', '', '2019-05-25 18:47:21'),
(14551, 'sk', 'common', 'Pricing', '', '2019-05-25 18:47:21'),
(14552, 'sk', 'common', 'Sample CSV File', '', '2019-05-25 18:47:21'),
(14553, 'sk', 'common', 'Search Engine Count', '', '2019-05-25 18:47:21'),
(14554, 'sk', 'common', 'Server', '', '2019-05-25 18:47:21'),
(14555, 'sk', 'common', 'Thank you', '', '2019-05-25 18:47:21'),
(14556, 'sk', 'common', 'Tools', 'náradie', '2019-05-25 18:47:21'),
(14557, 'sk', 'common', 'User Type', '', '2019-05-25 18:47:21'),
(14558, 'sk', 'common', 'Warnings', '', '2019-05-25 18:47:21'),
(14559, 'sk', 'common', 'Websites Count', '', '2019-05-25 18:47:21'),
(14560, 'sl', 'common', 'Blog', '', '2019-05-25 18:48:22'),
(14561, 'sl', 'common', 'Checked', '', '2019-05-25 18:48:22'),
(14562, 'sl', 'common', 'Dashboard', '', '2019-05-25 18:48:22'),
(14563, 'sl', 'common', 'Debug', '', '2019-05-25 18:48:22'),
(14564, 'sl', 'common', 'Domain Authority', '', '2019-05-25 18:48:22'),
(14565, 'sl', 'common', 'Edit User Type', '', '2019-05-25 18:48:22'),
(14566, 'sl', 'common', 'Errors', '', '2019-05-25 18:48:22'),
(14567, 'sl', 'common', 'Home', '', '2019-05-25 18:48:22'),
(14568, 'sl', 'common', 'Internal error occured', '', '2019-05-25 18:48:22'),
(14569, 'sl', 'common', 'Keywords Count', '', '2019-05-25 18:48:22'),
(14570, 'sl', 'common', 'Link', '', '2019-05-25 18:48:22'),
(14571, 'sl', 'common', 'Logout', '', '2019-05-25 18:48:22'),
(14572, 'sl', 'common', 'MOZ Rank', '', '2019-05-25 18:48:22'),
(14573, 'sl', 'common', 'New User Type', '', '2019-05-25 18:48:22'),
(14574, 'sl', 'common', 'Page Authority', '', '2019-05-25 18:48:22'),
(14575, 'sl', 'common', 'Pagerank', '', '2019-05-25 18:48:22'),
(14576, 'sl', 'common', 'Plugins', 'Vtičniki', '2019-05-25 18:48:22'),
(14577, 'sl', 'common', 'Powered by', '', '2019-05-25 18:48:22'),
(14578, 'sl', 'common', 'Price', '', '2019-05-25 18:48:22'),
(14579, 'sl', 'common', 'Pricing', '', '2019-05-25 18:48:22'),
(14580, 'sl', 'common', 'Sample CSV File', '', '2019-05-25 18:48:22'),
(14581, 'sl', 'common', 'Search Engine Count', '', '2019-05-25 18:48:22'),
(14582, 'sl', 'common', 'Server', '', '2019-05-25 18:48:22'),
(14583, 'sl', 'common', 'Thank you', '', '2019-05-25 18:48:22'),
(14584, 'sl', 'common', 'Tools', 'Orodja', '2019-05-25 18:48:22'),
(14585, 'sl', 'common', 'User Type', '', '2019-05-25 18:48:22'),
(14586, 'sl', 'common', 'Warnings', '', '2019-05-25 18:48:22'),
(14587, 'sl', 'common', 'Websites Count', '', '2019-05-25 18:48:22'),
(14588, 'es', 'common', 'Blog', '', '2019-05-25 18:49:48'),
(14589, 'es', 'common', 'Checked', '', '2019-05-25 18:49:48'),
(14590, 'es', 'common', 'Dashboard', '', '2019-05-25 18:49:48'),
(14591, 'es', 'common', 'Debug', '', '2019-05-25 18:49:48'),
(14592, 'es', 'common', 'Domain Authority', '', '2019-05-25 18:49:48'),
(14593, 'es', 'common', 'Edit User Type', '', '2019-05-25 18:49:48'),
(14594, 'es', 'common', 'Errors', '', '2019-05-25 18:49:48'),
(14595, 'es', 'common', 'Home', '', '2019-05-25 18:49:48'),
(14596, 'es', 'common', 'Internal error occured', '', '2019-05-25 18:49:48'),
(14597, 'es', 'common', 'Keywords Count', '', '2019-05-25 18:49:48'),
(14598, 'es', 'common', 'Link', '', '2019-05-25 18:49:48'),
(14599, 'es', 'common', 'Logout', '', '2019-05-25 18:49:48'),
(14600, 'es', 'common', 'MOZ Rank', '', '2019-05-25 18:49:48'),
(14601, 'es', 'common', 'New User Type', '', '2019-05-25 18:49:48'),
(14602, 'es', 'common', 'Page Authority', '', '2019-05-25 18:49:48'),
(14603, 'es', 'common', 'Pagerank', '', '2019-05-25 18:49:48'),
(14604, 'es', 'common', 'Plugins', 'Complementos', '2019-05-25 18:49:48'),
(14605, 'es', 'common', 'Powered by', '', '2019-05-25 18:49:48'),
(14606, 'es', 'common', 'Price', '', '2019-05-25 18:49:48'),
(14607, 'es', 'common', 'Pricing', '', '2019-05-25 18:49:48'),
(14608, 'es', 'common', 'Sample CSV File', '', '2019-05-25 18:49:48'),
(14609, 'es', 'common', 'Search Engine Count', '', '2019-05-25 18:49:48'),
(14610, 'es', 'common', 'Server', '', '2019-05-25 18:49:48'),
(14611, 'es', 'common', 'Thank you', '', '2019-05-25 18:49:48'),
(14612, 'es', 'common', 'Tools', 'Herramientas', '2019-05-25 18:49:48'),
(14613, 'es', 'common', 'User Type', '', '2019-05-25 18:49:48'),
(14614, 'es', 'common', 'Warnings', '', '2019-05-25 18:49:48'),
(14615, 'es', 'common', 'Websites Count', '', '2019-05-25 18:49:48'),
(14616, 'sv', 'common', 'Blog', '', '2019-05-25 18:50:40'),
(14617, 'sv', 'common', 'Debug', '', '2019-05-25 18:50:40'),
(14618, 'sv', 'common', 'Domain Authority', '', '2019-05-25 18:50:40'),
(14619, 'sv', 'common', 'Edit User Type', '', '2019-05-25 18:50:40'),
(14620, 'sv', 'common', 'Errors', '', '2019-05-25 18:50:40'),
(14621, 'sv', 'common', 'Internal error occured', '', '2019-05-25 18:50:40'),
(14622, 'sv', 'common', 'Keywords Count', '', '2019-05-25 18:50:40'),
(14623, 'sv', 'common', 'Link', '', '2019-05-25 18:50:40'),
(14624, 'sv', 'common', 'Logout', '', '2019-05-25 18:50:40'),
(14625, 'sv', 'common', 'MOZ Rank', '', '2019-05-25 18:50:40'),
(14626, 'sv', 'common', 'New User Type', '', '2019-05-25 18:50:40'),
(14627, 'sv', 'common', 'Page Authority', '', '2019-05-25 18:50:40');
INSERT INTO `texts` (`id`, `lang_code`, `category`, `label`, `content`, `changed`) VALUES
(14628, 'sv', 'common', 'Pagerank', '', '2019-05-25 18:50:40'),
(14629, 'sv', 'common', 'Plugins', '', '2019-05-25 18:50:40'),
(14630, 'sv', 'common', 'Price', '', '2019-05-25 18:50:40'),
(14631, 'sv', 'common', 'Pricing', '', '2019-05-25 18:50:40'),
(14632, 'sv', 'common', 'Sample CSV File', '', '2019-05-25 18:50:40'),
(14633, 'sv', 'common', 'Search Engine Count', '', '2019-05-25 18:50:40'),
(14634, 'sv', 'common', 'Server', '', '2019-05-25 18:50:40'),
(14635, 'sv', 'common', 'Tools', 'Verktyg', '2019-05-25 18:50:40'),
(14636, 'sv', 'common', 'User Type', '', '2019-05-25 18:50:40'),
(14637, 'sv', 'common', 'Warnings', '', '2019-05-25 18:50:40'),
(14638, 'sv', 'common', 'Websites Count', '', '2019-05-25 18:50:40'),
(14639, 'tr', 'common', 'Blog', '', '2019-05-25 18:52:20'),
(14640, 'tr', 'common', 'Errors', '', '2019-05-25 18:52:20'),
(14641, 'tr', 'common', 'Internal error occured', '', '2019-05-25 18:52:20'),
(14642, 'tr', 'common', 'Link', '', '2019-05-25 18:52:20'),
(14643, 'tr', 'common', 'Logout', '', '2019-05-25 18:52:20'),
(14644, 'tr', 'common', 'Plugins', 'eklentiler', '2019-05-25 18:52:20'),
(14645, 'tr', 'common', 'Pricing', '', '2019-05-25 18:52:20'),
(14646, 'tr', 'common', 'Search Engine Count', '', '2019-05-25 18:52:20'),
(14647, 'tr', 'common', 'Server', '', '2019-05-25 18:52:20'),
(14648, 'tr', 'common', 'Tools', 'Araçlar', '2019-05-25 18:52:20'),
(14649, 'tr', 'common', 'Warnings', '', '2019-05-25 18:52:20'),
(14650, 'vn', 'common', 'Blog', '', '2019-05-25 18:54:57'),
(14651, 'vn', 'common', 'Debug', '', '2019-05-25 18:54:57'),
(14652, 'vn', 'common', 'Domain Authority', '', '2019-05-25 18:54:57'),
(14653, 'vn', 'common', 'Edit User Type', '', '2019-05-25 18:54:57'),
(14654, 'vn', 'common', 'Errors', '', '2019-05-25 18:54:57'),
(14655, 'vn', 'common', 'Internal error occured', '', '2019-05-25 18:54:57'),
(14656, 'vn', 'common', 'Keywords Count', '', '2019-05-25 18:54:57'),
(14657, 'vn', 'common', 'Link', '', '2019-05-25 18:54:57'),
(14658, 'vn', 'common', 'Logout', '', '2019-05-25 18:54:57'),
(14659, 'vn', 'common', 'MOZ Rank', '', '2019-05-25 18:54:57'),
(14660, 'vn', 'common', 'New User Type', '', '2019-05-25 18:54:57'),
(14661, 'vn', 'common', 'Page Authority', '', '2019-05-25 18:54:57'),
(14662, 'vn', 'common', 'Pagerank', '', '2019-05-25 18:54:57'),
(14663, 'vn', 'common', 'Plugins', 'bổ sung', '2019-05-25 18:54:57'),
(14664, 'vn', 'common', 'Price', '', '2019-05-25 18:54:57'),
(14665, 'vn', 'common', 'Pricing', '', '2019-05-25 18:54:57'),
(14666, 'vn', 'common', 'Sample CSV File', '', '2019-05-25 18:54:57'),
(14667, 'vn', 'common', 'Search Engine Count', '', '2019-05-25 18:54:57'),
(14668, 'vn', 'common', 'Server', '', '2019-05-25 18:54:57'),
(14669, 'vn', 'common', 'Tools', 'Công cụ', '2019-05-25 18:54:57'),
(14670, 'vn', 'common', 'User Type', '', '2019-05-25 18:54:57'),
(14671, 'vn', 'common', 'Warnings', '', '2019-05-25 18:54:57'),
(14672, 'vn', 'common', 'Websites Count', '', '2019-05-25 18:54:57'),
(14673, 'pt-br', 'common', 'Blog', 'Blog', '2019-07-29 20:26:27'),
(14674, 'pt-br', 'common', 'Errors', 'Erros', '2019-07-29 20:26:27'),
(14675, 'pt-br', 'common', 'Internal error occured', 'Erro interno', '2019-07-29 20:26:27'),
(14676, 'pt-br', 'common', 'Link', 'Link', '2019-07-29 20:26:27'),
(14677, 'pt-br', 'common', 'Logout', 'Logout', '2019-07-29 20:26:27'),
(14678, 'pt-br', 'common', 'Plugins', 'Plugins', '2019-07-29 20:26:27'),
(14679, 'pt-br', 'common', 'Tools', 'Ferramentas', '2019-07-29 20:26:27'),
(14680, 'pt-br', 'common', 'Warnings', 'Avisos', '2019-07-29 20:26:27'),
(14681, 'en', 'seotools', 'Website Analytics Summary', 'Website Analytics Summary', '2019-08-26 17:32:43'),
(14682, 'en', 'common', 'Source', 'Source', '2019-08-26 17:32:43'),
(14683, 'en', 'analytics', 'view_id_not_found_error', 'Error: Analytics view ID is not set for website. Edit website and update view ID.', '2019-08-26 17:32:43'),
(14684, 'en', 'seotools', 'web-analytics', 'Website Analytics', '2019-08-26 17:32:43'),
(14685, 'en', 'website', 'Google Analytics View Id', 'Google Analytics View Id', '2019-08-26 17:32:43'),
(14686, 'en', 'website', 'Click here to get Google Analytics View Id', 'Click here to get Google Analytics View Id', '2019-08-26 17:32:43'),
(14687, 'en', 'analytics', 'Users', 'Users', '2019-08-26 17:32:43'),
(14688, 'en', 'analytics', 'New Users', 'New Users', '2019-08-26 17:32:43'),
(14689, 'en', 'analytics', 'Sessions', 'Sessions', '2019-08-26 17:32:43'),
(14690, 'en', 'analytics', 'Bounce Rate', 'Bounce Rate', '2019-08-26 17:32:43'),
(14691, 'en', 'analytics', 'Avg. Session Duration', 'Avg. Session Duration', '2019-08-26 17:32:43'),
(14692, 'en', 'analytics', 'Goal Completions', 'Goal Completions', '2019-08-26 17:32:43'),
(14693, 'en', 'common', 'General', 'General', '2019-08-26 17:32:43'),
(14694, 'en', 'reports', 'Reports Generated Successfully', 'Reports Generated Successfully', '2019-08-26 17:32:43'),
(14695, 'en', 'panel', 'Alerts', 'Alerts', '2019-08-26 17:32:43'),
(14696, 'en', 'panel', 'Website Access Manager', 'Website Access Manager', '2019-08-26 17:32:43'),
(14697, 'el', 'analytics', 'Avg_ Session Duration', 'Μέση Διάρκεια Σύνδεσης', '2019-12-04 19:10:51'),
(14698, 'el', 'analytics', 'Bounce Rate', 'Bounce Rate', '2019-12-04 19:10:51'),
(14699, 'el', 'analytics', 'Goal Completions', 'Επίτευξη Στόχων', '2019-12-04 19:10:51'),
(14700, 'el', 'analytics', 'New Users', 'Νέοι Χρήστες', '2019-12-04 19:10:51'),
(14701, 'el', 'analytics', 'Sessions', 'Sessions', '2019-12-04 19:10:51'),
(14702, 'el', 'analytics', 'Users', 'Χρήστες', '2019-12-04 19:10:51'),
(14703, 'el', 'analytics', 'view_id_not_found_error', 'Σφάλμα: Το ID προβολής Analytics δεν έχει καθοριστεί για την ιστοσελίδα. Επεξεργαστείτε την ιστοσελίδα και ενημερώστε το ID προβολής.', '2019-12-04 19:10:51'),
(14715, 'ru', 'analytics', 'Avg_ Session Duration', 'Ср. Длительность сессии', '2024-07-17 11:16:01'),
(14704, 'el', 'common', 'General', 'Γενικά', '2019-08-28 05:40:52'),
(14705, 'el', 'common', 'Source', 'Πηγή', '2019-08-28 05:40:52'),
(14706, 'el', 'label', 'Month', 'Μήνας', '2019-11-28 18:22:10'),
(14707, 'el', 'panel', 'Alerts', 'Alerts', '2019-08-28 05:42:17'),
(14708, 'el', 'panel', 'Website Access Manager', 'Διαχείριση Πρόσβασης Website', '2019-08-28 05:42:17'),
(14709, 'el', 'reports', 'Reports Generated Successfully', 'Οι Αναφορές Δημιουργήθηκαν Επιτυχώς', '2019-08-28 05:42:55'),
(14710, 'el', 'seotools', 'web-analytics', 'Website Analytics	', '2019-11-28 18:13:05'),
(14711, 'el', 'seotools', 'Website Analytics Summary', 'Σύνοψη Website Analytics', '2019-11-28 18:13:05'),
(14712, 'el', 'settings', 'SP_MAIL_ENCRYPTION', 'Mail Encryption', '2019-08-28 05:43:40'),
(14714, 'el', 'website', 'Google Analytics View Id', 'Google Analytics View Id', '2019-08-28 05:44:53'),
(14716, 'ru', 'analytics', 'Bounce Rate', 'Показатель отказов', '2024-07-17 11:16:01'),
(14717, 'ru', 'analytics', 'Goal Completions', 'Достигнутые цели', '2024-07-17 11:16:01'),
(14718, 'ru', 'analytics', 'New Users', 'Новый пользователь', '2024-07-17 11:16:01'),
(14719, 'ru', 'analytics', 'Sessions', 'Сессии', '2024-07-17 11:16:01'),
(14720, 'ru', 'analytics', 'Users', 'Пользователи', '2024-07-17 11:16:01'),
(14721, 'ru', 'analytics', 'view_id_not_found_error', 'Ошибка: ID Google Analytics не установлен для сайта. Отредактируйте сайт и обновите ID.', '2024-07-17 11:16:01'),
(14722, 'ru', 'common', 'General', 'Общее', '2024-07-17 11:16:33'),
(14723, 'ru', 'common', 'Source', 'Источник', '2024-07-17 11:16:33'),
(14724, 'ru', 'label', 'Month', 'Месяц', '2024-07-17 11:17:22'),
(14725, 'ru', 'panel', 'Alerts', 'Оповещения', '2024-07-17 11:19:14'),
(14726, 'ru', 'panel', 'Website Access Manager', 'Диспетчер доступа к сайту', '2024-07-17 11:19:14'),
(14727, 'ru', 'reports', 'Reports Generated Successfully', 'Отчеты успешно созданы', '2019-08-28 09:07:50'),
(14728, 'ru', 'seotools', 'web-analytics', 'Аналитика сайта', '2024-07-17 11:26:22'),
(14729, 'ru', 'seotools', 'Website Analytics Summary', 'Аналитика сайта', '2024-07-17 11:26:22'),
(14730, 'ru', 'settings', 'SP_MAIL_ENCRYPTION', 'Шифрование почты', '2024-07-17 11:22:42'),
(14732, 'ru', 'website', 'Google Analytics View Id', 'Google Analytics View Id', '2019-08-28 09:09:29'),
(14733, 'fr', 'analytics', 'Avg_ Session Duration', 'Durée moyenne de session', '2020-02-29 10:13:23'),
(14734, 'fr', 'analytics', 'Bounce Rate', 'Taux de rebond', '2020-02-29 10:13:23'),
(14735, 'fr', 'analytics', 'Goal Completions', 'Réalisation objectif', '2020-02-29 10:13:23'),
(14736, 'fr', 'analytics', 'New Users', 'Nouveaux utilisateurs', '2020-02-29 10:13:23'),
(14737, 'fr', 'analytics', 'Sessions', 'Sessions', '2020-02-29 10:13:23'),
(14738, 'fr', 'analytics', 'Users', 'Utilisateurs', '2020-02-29 10:13:23'),
(14739, 'fr', 'analytics', 'view_id_not_found_error', 'Erreur: L\'ID Analytics n\'est pas configurée pour ce site web. Editez le site et mettez à jour l\'ID.', '2020-02-29 10:13:23'),
(14740, 'fr', 'common', 'General', 'Général', '2020-02-14 11:05:11'),
(14741, 'fr', 'common', 'Source', 'Source', '2020-02-14 11:05:11'),
(14742, 'en', 'label', 'Year', 'Year', '2019-11-27 07:10:59'),
(14743, 'en', 'label', 'Week', 'Week', '2019-11-27 07:10:59'),
(14744, 'en', 'label', 'Day', 'Day', '2019-11-27 07:10:59'),
(14745, 'en', 'label', 'Hour', 'Hour', '2019-11-27 07:10:59'),
(14746, 'en', 'label', 'Minute', 'Minute', '2019-11-27 07:10:59'),
(14747, 'en', 'label', 'Second', 'Second', '2019-11-27 07:10:59'),
(14748, 'en', 'label', 'Ago', 'Ago', '2019-11-27 07:10:59'),
(14749, 'en', 'label', 'Just Now', 'Just Now', '2019-11-27 07:10:59'),
(14750, 'en', 'seotools', 'Review Report Summary', 'Review Report Summary', '2019-11-27 07:10:59'),
(14751, 'en', 'subscription', 'Review Link Count', 'Review Link Count', '2019-11-27 07:10:59'),
(14752, 'en', 'review', 'New Review Link', 'New Review Link', '2019-11-27 07:10:59'),
(14753, 'en', 'review', 'Edit Review Link', 'Edit Review Link', '2019-11-27 07:10:59'),
(14754, 'en', 'seotools', 'Review Links', 'Review Links', '2019-11-27 07:10:59'),
(14755, 'en', 'seotools', 'review-manager', 'Review Manager', '2019-11-27 07:10:59'),
(14756, 'en', 'label', 'Rating', 'Rating', '2019-11-27 07:10:59'),
(14757, 'en', 'label', 'Reviews', 'Reviews', '2019-11-27 07:10:59'),
(14758, 'en', 'home', 'Page Overview Report', 'Page Overview Report', '2019-11-27 07:10:59'),
(14759, 'en', 'home', 'Keyword Overview Report', 'Keyword Overview Report', '2019-11-27 07:10:59'),
(14760, 'en', 'label', 'Overview', 'Overview', '2019-11-27 07:10:59'),
(14761, 'ru', 'home', 'Keyword Overview Report', 'Обзорный отчет по ключевым словам', '2019-11-28 13:27:27'),
(14762, 'ru', 'home', 'Page Overview Report', 'Обзор страницы отчета', '2019-11-28 13:27:27'),
(14763, 'ru', 'label', 'Ago', 'Тому назад', '2024-07-17 11:17:22'),
(14764, 'ru', 'label', 'Day', 'День', '2024-07-17 11:17:22'),
(14765, 'ru', 'label', 'Hour', 'Час', '2024-07-17 11:17:22'),
(14766, 'ru', 'label', 'Just Now', 'Прямо сейчас', '2024-07-17 11:17:22'),
(14767, 'ru', 'label', 'Minute', 'Минута', '2024-07-17 11:17:22'),
(14768, 'ru', 'label', 'Overview', 'Краткий обзор', '2024-07-17 11:17:22'),
(14769, 'ru', 'label', 'Rating', 'Рейтинг', '2024-07-17 11:17:22'),
(14770, 'ru', 'label', 'Reviews', 'Отзывы', '2024-07-17 11:17:22'),
(14771, 'ru', 'label', 'Second', 'Секунда', '2024-07-17 11:17:22'),
(14772, 'ru', 'label', 'Week', 'Неделя', '2024-07-17 11:17:22'),
(14773, 'ru', 'label', 'Year', 'Год', '2024-07-17 11:17:22'),
(14774, 'ru', 'review', 'Edit Review Link', 'Изменить ссылку на отзыв', '2019-11-28 13:29:43'),
(14775, 'ru', 'review', 'New Review Link', 'Новая ссылка на отзыв', '2019-11-28 13:29:43'),
(14776, 'ru', 'seotools', 'Review Links', 'Ссылка на отзыв', '2024-07-17 11:26:22'),
(14777, 'ru', 'seotools', 'Review Report Summary', 'Обзор отчета', '2024-07-17 11:26:22'),
(14778, 'ru', 'seotools', 'review-manager', 'Управление обзорами', '2024-07-17 11:26:22'),
(14779, 'ru', 'subscription', 'Review Link Count', 'Количество ссылок на отзывы', '2024-07-17 11:24:41'),
(14780, 'el', 'subscription', 'Review Link Count', 'Αριθμός Συνδέσμων κριτικών', '2019-11-28 18:11:38'),
(14781, 'el', 'seotools', 'Review Links', 'Σύνδεσμοι Κριτικών', '2019-11-28 18:13:05'),
(14782, 'el', 'seotools', 'Review Report Summary', 'Σύνοψη Αναφορών Κριτικών', '2019-11-28 18:13:05'),
(14783, 'el', 'seotools', 'review-manager', 'Διαχειριστής Κριτικών', '2019-11-28 18:13:05'),
(14784, 'el', 'review', 'Edit Review Link', 'Επεξεργασία Συνδέσμου Κριτικής', '2019-11-28 18:13:41'),
(14785, 'el', 'review', 'New Review Link', 'Νέος Σύνδεσμος Κριτικής', '2019-11-28 18:13:41'),
(14786, 'el', 'label', 'Ago', 'Πριν', '2019-11-28 18:22:10'),
(14787, 'el', 'label', 'Day', 'Ημέρα', '2019-11-28 18:22:10'),
(14788, 'el', 'label', 'Hour', 'Ώρα', '2019-11-28 18:22:10'),
(14789, 'el', 'label', 'Just Now', 'Μόλις Τώρα', '2019-11-28 18:22:10'),
(14790, 'el', 'label', 'Minute', 'Λεπτό', '2019-11-28 18:22:10'),
(14791, 'el', 'label', 'Overview', 'Σύνοψη', '2019-11-28 18:22:10'),
(14792, 'el', 'label', 'Rating', '', '2019-11-28 18:22:10'),
(14793, 'el', 'label', 'Reviews', 'Κριτικές', '2019-11-28 18:22:10'),
(14794, 'el', 'label', 'Second', 'Δευτερόλεπτο', '2019-11-28 18:22:10'),
(14795, 'el', 'label', 'Week', 'Εβδομάδα', '2019-11-28 18:22:10'),
(14796, 'el', 'label', 'Year', 'Έτος', '2019-11-28 18:22:10'),
(14797, 'el', 'home', 'Keyword Overview Report', 'Αναφορά Σύνοψης Λέξεων Κλειδιών', '2019-11-28 18:25:11'),
(14798, 'el', 'home', 'Page Overview Report', 'Αναφορά Σύνοψης Σελίδας', '2019-11-28 18:25:11'),
(14799, 'el', 'analytics', 'Avg. Session Duration', 'Μέση Διάρκεια Σύνδεσης', '2019-08-26 17:32:43'),
(14800, 'en', 'panel', 'Mail Settings', 'Mail Settings', '2019-12-22 18:31:56'),
(14801, 'en', 'settings', 'SP_SENDGRID_API', 'Enable Sendgrid API', '2019-12-22 18:31:56'),
(14802, 'en', 'seotools', 'note_report_generation', 'We recommend to use cron jobs for reports generation.\r\nThis action may cause captcha in search engine results.', '2019-12-22 18:31:56'),
(14803, 'en', 'panel', 'Sync Search Engines', 'Sync Search Engines', '2019-12-22 18:31:56'),
(14804, 'fr', 'home', 'Keyword Overview Report', 'Rapport de présentation de mots clé', '2020-02-14 11:07:37'),
(14805, 'fr', 'home', 'Page Overview Report', 'Rapport de présentation de page', '2020-02-14 11:07:37'),
(14806, 'fr', 'label', 'Ago', '(depuis)', '2020-02-14 11:12:40'),
(14807, 'fr', 'label', 'Day', 'Jour', '2020-02-14 11:12:40'),
(14808, 'fr', 'label', 'Hour', 'Heure', '2020-02-14 11:12:40'),
(14809, 'fr', 'label', 'Just Now', 'Maintenant', '2020-02-14 11:12:40'),
(14810, 'fr', 'label', 'Minute', 'Minute', '2020-02-14 11:12:40'),
(14811, 'fr', 'label', 'Month', 'Mois', '2020-02-14 11:12:40'),
(14812, 'fr', 'label', 'Overview', 'Aperçu', '2020-02-14 11:12:40'),
(14813, 'fr', 'label', 'Rating', 'Evaluation', '2020-02-14 11:12:40'),
(14814, 'fr', 'label', 'Reviews', 'Avis', '2020-02-14 11:12:40'),
(14815, 'fr', 'label', 'Second', 'Seconde', '2020-02-14 11:12:40'),
(14816, 'fr', 'label', 'Week', 'Semaine', '2020-02-14 11:12:40'),
(14817, 'fr', 'label', 'Year', 'Année', '2020-02-14 11:12:40'),
(14818, 'fr', 'panel', 'Alerts', 'Alertes', '2020-02-14 11:14:52'),
(14819, 'fr', 'panel', 'Mail Settings', 'Paramètres Mail', '2020-02-14 11:14:52'),
(14820, 'fr', 'panel', 'Sync Search Engines', 'Synchro moteurs de recherche', '2020-02-14 11:14:52'),
(14821, 'fr', 'panel', 'Website Access Manager', 'Gestion des accès aux sites web', '2020-02-14 11:14:52'),
(14822, 'fr', 'analytics', 'Avg. Session Duration', 'Durée moyenne de session', '2019-08-26 17:32:43'),
(14823, 'en', 'socialmedia', 'Click here to get LinkedIn Company Id', 'Click here to get LinkedIn Company Id', '2020-07-30 21:17:58'),
(14824, 'en', 'socialmedia', 'Company Id', 'Company Id', '2020-07-30 21:17:58'),
(14825, 'en', 'log', 'Mail Log Details', 'Mail Log Details', '2020-07-30 21:17:58'),
(14826, 'en', 'label', 'From', 'From', '2020-07-30 21:17:58'),
(14827, 'en', 'panel', 'Current Time', 'Current Time', '2020-07-30 21:17:58'),
(14828, 'en', 'panel', 'Mail Log Manager', 'Mail Log Manager', '2020-07-30 21:17:58'),
(14829, 'en', 'subscription', 'Access Type', 'Access Type', '2020-07-30 21:17:58'),
(14830, 'en', 'label', 'Write', 'Write', '2020-07-30 21:17:58'),
(14831, 'en', 'label', 'Read', 'Read', '2020-07-30 21:17:58'),
(14832, 'en', 'common', 'reCAPTCHA verification failed', 'reCAPTCHA verification failed', '2020-09-30 04:42:43'),
(14833, 'en', 'settings', 'SP_ENABLE_RECAPTCHA', 'Enable reCAPTCHA', '2020-09-30 04:42:43'),
(14834, 'en', 'settings', 'SP_RECAPTCHA_SITE_KEY', 'reCAPTCHA Site Key', '2020-09-30 04:42:43'),
(14835, 'en', 'settings', 'SP_RECAPTCHA_SECRET_KEY', 'reCAPTCHA Secret Key', '2020-09-30 04:42:43'),
(14836, 'sr', 'analytics', 'Avg_ Session Duration', 'Prosecno trajanje sesije', '2020-11-24 17:36:57'),
(14837, 'sr', 'analytics', 'Bounce Rate', 'Stopa posete samo jedne stranice', '2020-11-24 17:36:57'),
(14838, 'sr', 'analytics', 'Goal Completions', 'Ostvareni ciljevi', '2020-11-24 17:36:57'),
(14839, 'sr', 'analytics', 'New Users', 'Novi korisnik', '2020-11-24 17:36:57'),
(14840, 'sr', 'analytics', 'Sessions', 'Sesije', '2020-11-24 17:36:57'),
(14841, 'sr', 'analytics', 'Users', 'Korisnici', '2020-11-24 17:36:57'),
(14842, 'sr', 'analytics', 'view_id_not_found_error', 'Greška: ID prikaz analitike nije podešen za sajt Izmenite sajt i ažurirajte ID prikaza.', '2020-11-24 17:36:57'),
(14843, 'sr', 'api', 'API Guide', 'API Vodič', '2020-11-14 18:11:38'),
(14844, 'sr', 'api', 'API Url', 'API Url', '2020-11-14 18:11:38'),
(14845, 'sr', 'backlink', 'clickproceedbacklink', 'Unesite URL adresu <b> Jednu po redu </b>. Kliknite na <b> Nastavi </b> da biste proverili linkove.', '2020-11-14 18:13:07'),
(14846, 'sr', 'backlink', 'Saved backlink results of', 'Sačuvani rezultati linkova od', '2020-11-14 18:13:07'),
(14847, 'sr', 'blog', 'Newer Posts', 'Noviji postovi', '2020-11-14 18:14:38'),
(14848, 'sr', 'blog', 'Nothing Found', 'Ništa nije pronađeno', '2020-11-14 18:14:38'),
(14849, 'sr', 'blog', 'NothingFound_text2', 'Žao nam je, ali ništa se ne podudara sa vašim kriterijumima pretrage. Pokušajte ponovo sa  različitim ključnim rečima.', '2020-11-14 18:14:38'),
(14850, 'sr', 'blog', 'Older Posts', 'Stariji postovi', '2020-11-14 18:14:38'),
(14851, 'sr', 'button', 'Cancel', 'Otkaži', '2020-11-14 18:16:30'),
(14852, 'sr', 'button', 'Check Status', 'Proverite status', '2020-11-14 18:16:30'),
(14853, 'sr', 'button', 'Proceed', 'Nastavite', '2020-11-14 18:16:30'),
(14854, 'sr', 'button', 'Reload', 'Refrešujte', '2020-11-14 18:16:30'),
(14855, 'sr', 'button', 'Search', 'Pretraga', '2020-11-14 18:16:30'),
(14856, 'sr', 'button', 'Show Details', 'Prikažite detalje', '2020-11-14 18:16:30'),
(14857, 'sr', 'button', 'Show Records', 'Prikažite sačuvano', '2020-11-14 18:16:30'),
(14858, 'sr', 'button', 'Skip', 'Preskočite', '2020-11-14 18:16:30'),
(14859, 'sr', 'button', 'Submit', 'Pošaljite', '2020-11-14 18:16:30'),
(14860, 'sr', 'common', 'Action', 'Akcija', '2020-11-14 18:39:22'),
(14861, 'sr', 'common', 'Activate', 'Aktivirajte', '2020-11-14 18:39:22'),
(14862, 'sr', 'common', 'Active', 'Aktivno', '2020-11-14 18:39:22'),
(14863, 'sr', 'common', 'Admin Panel', 'Panel Administratora', '2020-11-14 18:39:22'),
(14864, 'sr', 'common', 'Alexa Rank', 'Alexa Rank', '2020-11-14 18:39:22'),
(14865, 'sr', 'common', 'All', 'Svi', '2020-11-14 18:39:22'),
(14866, 'sr', 'common', 'Blog', 'Blog', '2020-11-14 18:39:22'),
(14867, 'sr', 'common', 'Category', 'Kategorija', '2020-11-14 18:39:22'),
(14868, 'sr', 'common', 'Checked', 'Provereno', '2020-11-14 18:39:22'),
(14869, 'sr', 'common', 'contact', 'Kontakt', '2020-11-14 18:39:22'),
(14870, 'sr', 'common', 'copyright', 'Copiright © [godina] www.seopanel.org Sva prava zadržana', '2020-11-14 18:39:22'),
(14871, 'sr', 'common', 'Country', 'Zemlja', '2020-11-14 18:39:22'),
(14872, 'sr', 'common', 'Crawl Meta Data', 'Popisivanje meta podataka', '2020-11-14 18:39:22'),
(14873, 'sr', 'common', 'Dashboard', 'Komandna tabla', '2020-11-14 18:39:22'),
(14874, 'sr', 'common', 'Date', 'Datum', '2020-11-14 18:39:22'),
(14875, 'sr', 'common', 'Debug', 'Otklanjanje grešaka\r\n', '2020-11-14 18:39:22'),
(14876, 'sr', 'common', 'Delete', 'Obrišite', '2020-11-14 18:39:22'),
(14877, 'sr', 'common', 'Details', 'Detalji', '2020-11-14 18:39:22'),
(14878, 'sr', 'common', 'Directory', 'Direktorijum', '2020-11-14 18:39:22'),
(14879, 'sr', 'common', 'Domain Authority', 'Autoritet Domena', '2020-11-14 18:39:22'),
(14880, 'sr', 'common', 'Donate', 'Donirajte', '2020-11-14 18:39:22'),
(14881, 'sr', 'common', 'Edit', 'Izmenite', '2020-11-14 18:39:22'),
(14882, 'sr', 'common', 'Edit User Type', 'Izmenite tip korisnika', '2020-11-14 18:39:22'),
(14883, 'sr', 'common', 'Entry cannot be blank', 'Unos ne može biti prazan', '2020-11-14 18:39:22'),
(14884, 'sr', 'common', 'entrynotvalid', 'Uneti unos nije dobar', '2020-11-14 18:39:22'),
(14885, 'sr', 'common', 'Errors', 'Greške', '2020-11-14 18:39:22'),
(14886, 'sr', 'common', 'failed', 'nije uspelo', '2020-11-14 18:39:22'),
(14887, 'sr', 'common', 'forum', 'Forum', '2020-11-14 18:39:22'),
(14888, 'sr', 'common', 'Found', 'Pronađeno', '2020-11-14 18:39:22'),
(14889, 'sr', 'common', 'General', 'Generalno', '2020-11-14 18:39:22'),
(14890, 'sr', 'common', 'Google Pagerank', 'Google Rang', '2020-11-14 18:39:22'),
(14891, 'sr', 'common', 'Hello', 'Zdravo', '2020-11-14 18:39:22'),
(14892, 'sr', 'common', 'help', 'Pomoć', '2020-11-14 18:39:22'),
(14893, 'sr', 'common', 'hidenews', 'Sakrij vesti sa Seo panela', '2020-11-14 18:39:22'),
(14894, 'sr', 'common', 'Home', 'Početna', '2020-11-14 18:39:22'),
(14895, 'sr', 'common', 'Id', 'Id', '2020-11-14 18:39:22'),
(14896, 'sr', 'common', 'Inactivate', 'Deaktivirajte', '2020-11-14 18:39:22'),
(14897, 'sr', 'common', 'Inactive', 'Neaktivno', '2020-11-14 18:39:22'),
(14898, 'sr', 'common', 'Internal error occured', 'Došlo je do interne greške', '2020-11-14 18:39:22'),
(14899, 'sr', 'common', 'Invalid characters', 'Nevažeći karakteri', '2020-11-14 18:39:22'),
(14900, 'sr', 'common', 'Invalid code entered', 'Unesen je nevažeći kod', '2020-11-14 18:39:22'),
(14901, 'sr', 'common', 'Invalid email address entered', 'Unesena je nevažeća email adresa', '2020-11-14 18:39:22'),
(14902, 'sr', 'common', 'Invalid value', 'Pogrešna vrednost', '2020-11-14 18:39:22'),
(14903, 'sr', 'common', 'Keyword', 'Ključna reč', '2020-11-14 18:39:22'),
(14904, 'sr', 'common', 'Keywords', 'Ključne reči', '2020-11-14 18:39:22'),
(14905, 'sr', 'common', 'Keywords Count', 'Broj ključnih reči', '2020-11-14 18:39:22'),
(14906, 'sr', 'common', 'lang', 'Jezik', '2020-11-14 18:39:22'),
(14907, 'sr', 'common', 'Link', 'Link', '2020-11-14 18:39:22'),
(14908, 'sr', 'common', 'Logout', 'Odjavite se', '2020-11-14 18:39:22'),
(14909, 'sr', 'common', 'MOZ Rank', 'Moz Rang', '2020-11-14 18:39:22'),
(14910, 'sr', 'common', 'My Account', 'Moj nalog', '2020-11-14 18:39:22'),
(14911, 'sr', 'common', 'Name', 'Ime', '2020-11-14 18:39:22'),
(14912, 'sr', 'common', 'New User Type', 'Novi tip korisnika', '2020-11-14 18:39:22'),
(14913, 'sr', 'common', 'No', 'Ne', '2020-11-14 18:39:22'),
(14914, 'sr', 'common', 'No Keywords Found', 'Nisu pronađene ključne reči', '2020-11-14 18:39:22'),
(14915, 'sr', 'common', 'No Records Found', 'Podaci nisu pronađeni', '2020-11-14 18:39:22'),
(14916, 'sr', 'common', 'noactivetools', 'Nisu pronađeni aktivni Seo alati!', '2020-11-14 18:39:22'),
(14917, 'sr', 'common', 'nowebsites', 'Nije pronađen nijedan sajt', '2020-11-14 18:39:22'),
(14918, 'sr', 'common', 'Page Authority', 'Autoritet Stranice', '2020-11-14 18:39:22'),
(14919, 'sr', 'common', 'Pagerank', 'Rang Stranice', '2020-11-14 18:39:22'),
(14920, 'sr', 'common', 'password632', 'Niz lozinke treba da ima dužinu između 6 i 32', '2020-11-14 18:39:22'),
(14921, 'sr', 'common', 'passwordnotmatch', 'Lozinke se ne poklapaju', '2020-11-14 18:39:22'),
(14922, 'sr', 'common', 'Period', 'Period', '2020-11-14 18:39:22'),
(14923, 'sr', 'common', 'Plugins', 'Dodaci', '2020-11-14 18:39:22'),
(14924, 'sr', 'common', 'Powered by', 'Pokreće ga', '2020-11-14 18:39:22'),
(14925, 'sr', 'common', 'Price', 'Cena', '2020-11-14 18:39:22'),
(14926, 'sr', 'common', 'Pricing', 'Cenovnik', '2020-11-14 18:39:22'),
(14927, 'sr', 'common', 'Priority', 'Prioritet', '2020-11-14 18:39:22'),
(14928, 'sr', 'common', 'Profile', 'Profil', '2020-11-14 18:39:22'),
(14929, 'sr', 'common', 'Rank', 'Rang', '2020-11-14 18:39:22'),
(14930, 'sr', 'common', 'reCAPTCHA verification failed', 'verifikacija reCAPTCHA nije uspela', '2020-11-14 18:39:22'),
(14931, 'sr', 'common', 'Reports', 'Izveštaji', '2020-11-14 18:39:22'),
(14932, 'sr', 'common', 'Results', 'Rezultati', '2020-11-14 18:39:22'),
(14933, 'sr', 'common', 'Sample CSV File', 'Primer CSV datoteke', '2020-11-14 18:39:22'),
(14934, 'sr', 'common', 'Search Engine', 'Pretraživač', '2020-11-14 18:39:22'),
(14935, 'sr', 'common', 'Search Engine Count', 'Broj pretraživača', '2020-11-14 18:39:22'),
(14936, 'sr', 'common', 'Select', 'Izaberite', '2020-11-14 18:39:22'),
(14937, 'sr', 'common', 'Seo Plugins', 'SEO dodaci', '2020-11-14 18:39:22'),
(14938, 'sr', 'common', 'Seo Tools', 'SEO alati', '2020-11-14 18:39:22'),
(14939, 'sr', 'common', 'Server', 'Server', '2020-11-14 18:39:22'),
(14940, 'sr', 'common', 'Sign out', 'Odjavite se', '2020-11-14 18:39:22'),
(14941, 'sr', 'common', 'Sign Up', 'Registrujte se', '2020-11-14 18:39:22'),
(14942, 'sr', 'common', 'signin', 'Prijavite se', '2020-11-14 18:39:22'),
(14943, 'sr', 'common', 'Source', 'Izvor', '2020-11-14 18:39:22'),
(14944, 'sr', 'common', 'Status', 'Status', '2020-11-14 18:39:22'),
(14945, 'sr', 'common', 'Support', 'Podrška', '2020-11-14 18:39:22'),
(14946, 'sr', 'common', 'Thank you', 'Hvala!', '2020-11-14 18:39:22'),
(14947, 'sr', 'common', 'Tools', 'Alati', '2020-11-14 18:39:22'),
(14948, 'sr', 'common', 'Total', 'Ukupno', '2020-11-14 18:39:22'),
(14949, 'sr', 'common', 'Url', 'Url', '2020-11-14 18:39:22'),
(14950, 'sr', 'common', 'User', 'Korisnik', '2020-11-14 18:39:22'),
(14951, 'sr', 'common', 'User Panel', 'Korisnički panel', '2020-11-14 18:39:22'),
(14952, 'sr', 'common', 'User Type', 'Tip korisnika', '2020-11-14 18:39:22'),
(14953, 'sr', 'common', 'Warnings', 'Upozorenja', '2020-11-14 18:39:22'),
(14954, 'sr', 'common', 'Website', 'Sajt', '2020-11-14 18:39:22'),
(14955, 'sr', 'common', 'Websites Count', 'Broj Sajtova', '2020-11-14 18:39:22'),
(14956, 'sr', 'common', 'Yes', 'Da', '2020-11-14 18:39:22'),
(14957, 'en', 'panel', 'DataForSEO Settings', 'DataForSEO Settings', '2020-11-20 09:47:34'),
(14958, 'en', 'settings', 'SP_ENABLE_DFS_BACK_SATU', 'Enable for Backlink and Saturation Checker', '2020-11-20 09:47:34'),
(14959, 'en', 'settings', 'SP_ENABLE_DFS_SANDBOX', 'Enable Sandbox', '2020-11-20 09:47:34'),
(14960, 'en', 'settings', 'SP_ENABLE_DFS', 'Enable DataForSEO', '2020-11-20 09:47:34'),
(14961, 'en', 'settings', 'SP_DFS_API_LOGIN', 'API Login', '2020-11-20 09:47:34'),
(14962, 'en', 'settings', 'SP_DFS_API_PASSWORD', 'API Password', '2020-11-20 09:47:34'),
(14963, 'en', 'settings', 'SP_DFS_BALANCE', 'DataForSEO Balance($)', '2020-11-20 09:47:34'),
(14964, 'en', 'settings', 'click-to-get-dataforseo-account', 'Click here to get Free DataForSEO account', '2020-11-20 09:47:34'),
(14965, 'sr', 'directory', 'Add back to directory list', 'Dodajte nazad na listu direktorijuma', '2020-11-24 17:51:15'),
(14966, 'sr', 'directory', 'Approved', 'Odobreno', '2020-11-24 17:51:15'),
(14967, 'sr', 'directory', 'Captcha', 'Captcha', '2020-11-24 17:51:15'),
(14968, 'sr', 'directory', 'categorynote', 'Kategorije, razdvojite ih zarezom prema prioritetu. Počnite od najvažnije kategorije.', '2020-11-24 17:51:15'),
(14969, 'sr', 'directory', 'Check Directory Status', 'Proverite status direktorijuma', '2020-11-24 17:51:15'),
(14970, 'sr', 'directory', 'Check Directory Submission Status', 'Preverite status podnošenja direktorijumu', '2020-11-24 17:51:15'),
(14971, 'sr', 'directory', 'clickaddfeatureddirectory', 'Kliknite ovde da biste ovde dodali svoj vlastiti istaknuti direktorijum', '2020-11-24 17:51:15'),
(14972, 'sr', 'directory', 'clicktoproceeddirsts', 'Kliknite na <b> Nastavi </b> da biste proverili status direktorijuma.', '2020-11-24 17:51:15'),
(14973, 'sr', 'directory', 'Confirmation', 'Potvrda', '2020-11-24 17:51:15'),
(14974, 'sr', 'directory', 'Coupon Code', 'kupon kod', '2020-11-24 17:51:15'),
(14975, 'sr', 'directory', 'Coupon Offer', 'Ponuda kupona', '2020-11-24 17:51:15'),
(14976, 'sr', 'directory', 'couponcodenote', 'Koristite gornji kod kupona i dobijte [REDUCTION_PER] ponudu za svaku istaknutu prijavu!', '2020-11-24 17:51:15'),
(14977, 'sr', 'directory', 'desnote', 'Neki direktorijumi zahtevaju najmanje 150 znakova za polje opisa.', '2020-11-24 17:51:15'),
(14978, 'sr', 'directory', 'Directories with out captcha', 'Direktorijumi bez Captche', '2020-11-24 17:51:15'),
(14979, 'sr', 'directory', 'Directories with out Reciprocal Link', 'Direktorijumi bez reciprocalnih linkova', '2020-11-24 17:51:15'),
(14980, 'sr', 'directory', 'Directory Submission Reports', 'Izveštaj Poslatih Direktorijuma', '2020-11-24 17:51:15'),
(14981, 'sr', 'directory', 'Enter the code shown', 'Unesite prikazani kod', '2020-11-24 17:51:15'),
(14982, 'sr', 'directory', 'nocatnote', 'Kategorija prijave nije pronađena na stranici za prijavljivanje. Kliknite na <b> Ponovo učitaj </b> ili <b> Preskoči </b>', '2020-11-24 17:51:15'),
(14983, 'sr', 'directory', 'nodirnote', 'Nisu pronađeni <b> aktivni </b> direktorijumi', '2020-11-24 17:51:15'),
(14984, 'sr', 'directory', 'nosuccessnote', 'Niste dobili poruku o uspehu, proverite poštu da biste pronašli poruku za potvrdu', '2020-11-24 17:51:15'),
(14985, 'sr', 'directory', 'optionalnote', 'Glavni  naslovi i opisi za slanje nasumičnih naslova i opisa u direktorijume zabolje\r\nrezultate', '2020-11-24 17:51:15'),
(14986, 'sr', 'directory', 'Owner Email', '', '2020-11-24 17:51:15'),
(14987, 'sr', 'directory', 'Owner Name', '', '2020-11-24 17:51:15'),
(14988, 'sr', 'directory', 'Pending', '', '2020-11-24 17:51:15'),
(14989, 'sr', 'directory', 'Please select a website to proceed', '', '2020-11-24 17:51:15'),
(14990, 'sr', 'directory', 'Reciprocal Link', '', '2020-11-24 17:51:15'),
(14991, 'sr', 'directory', 'selectwebsiteproceed', '', '2020-11-24 17:51:15'),
(14992, 'sr', 'directory', 'selectwebsiteschecksub', '', '2020-11-24 17:51:15'),
(14993, 'sr', 'directory', 'Semi Automatic Directory Submission Tool', '', '2020-11-24 17:51:15'),
(14994, 'sr', 'directory', 'spamemailnote', '', '2020-11-24 17:51:15'),
(14995, 'sr', 'directory', 'Submission Details', '', '2020-11-24 17:51:15'),
(14996, 'sr', 'directory', 'Submit Description', '', '2020-11-24 17:51:15'),
(14997, 'sr', 'directory', 'Submit Keywords', '', '2020-11-24 17:51:15'),
(14998, 'sr', 'directory', 'Submit Title', '', '2020-11-24 17:51:15'),
(14999, 'sr', 'directory', 'Website Category', '', '2020-11-24 17:51:15'),
(15000, 'sr', 'directory', 'Website Url', '', '2020-11-24 17:51:15'),
(15001, 'de', 'analytics', 'Avg_ Session Duration', 'Durchschn. Sitzungsdauer', '2021-01-07 08:54:33'),
(15002, 'de', 'analytics', 'Bounce Rate', 'Absprungrate', '2021-01-07 08:54:33'),
(15003, 'de', 'analytics', 'Goal Completions', 'Erreichte Ziele', '2021-01-07 08:54:33'),
(15004, 'de', 'analytics', 'New Users', 'Neue Nutzer', '2021-01-07 08:54:33'),
(15005, 'de', 'analytics', 'Sessions', 'Sitzungen', '2021-01-07 08:54:33'),
(15006, 'de', 'analytics', 'Users', 'Nutzer', '2021-01-07 08:54:33'),
(15007, 'de', 'analytics', 'view_id_not_found_error', 'Fehler: Analytics View ID ist nicht eingestellt. Bitte Webseite bearbeiten und View ID aktualisieren.', '2021-01-07 08:54:33'),
(15008, 'de', 'blog', 'Newer Posts', 'Neuere Beiträge', '2021-01-06 07:35:07'),
(15009, 'de', 'blog', 'Nothing Found', 'Nichts gefunden', '2021-01-06 07:35:07'),
(15010, 'de', 'blog', 'NothingFound_text2', 'Sorry, leider nichts gefunden. Bitte versuch es mit anderen Suchbegriffen.', '2021-01-06 07:35:07'),
(15011, 'de', 'blog', 'Older Posts', 'Ältere Beiträge', '2021-01-06 07:35:07'),
(15012, 'de', 'common', 'General', 'Allgemein', '2021-06-14 21:46:19'),
(15013, 'de', 'common', 'reCAPTCHA verification failed', 'Captcha falsch', '2021-06-14 21:46:19'),
(15014, 'de', 'common', 'Source', 'Quelle', '2021-06-14 21:46:19'),
(15015, 'de', 'home', 'Keyword Overview Report', 'Keyword-Bericht (Übersicht)', '2021-06-14 21:27:27'),
(15016, 'de', 'home', 'Overall Report Summary', 'Alle Berichte (Übersicht)', '2021-06-14 21:27:27'),
(15017, 'de', 'home', 'Page Overview Report', 'Seiten-Bericht (Übersicht)', '2021-06-14 21:27:27'),
(15021, 'de', 'label', 'Day', 'Tag', '2021-01-06 10:13:08'),
(15022, 'de', 'label', 'Days', 'Tage', '2021-01-06 10:13:08'),
(15023, 'de', 'label', 'Desktop', 'Desktop', '2021-01-06 10:13:08'),
(15024, 'de', 'label', 'Email Body', 'Email Body Inhalt', '2021-01-06 10:13:08'),
(15025, 'de', 'label', 'Feature', 'Feature', '2021-01-06 10:13:08'),
(15026, 'de', 'label', 'Followers', 'Followers', '2021-01-06 10:13:08'),
(15027, 'de', 'label', 'From', 'Von', '2021-01-06 10:13:08'),
(15028, 'de', 'label', 'Hour', 'Stunde', '2021-01-06 10:13:08'),
(15029, 'de', 'label', 'Impressions', 'Impressionen', '2021-01-06 10:13:08'),
(15030, 'de', 'label', 'Just Now', 'Gerade eben', '2021-01-06 10:13:08'),
(15031, 'de', 'label', 'Likes', 'Likes', '2021-01-06 10:13:08'),
(15032, 'de', 'label', 'Minute', 'Minute', '2021-01-06 10:13:08'),
(15033, 'de', 'label', 'Mobile', 'Mobil', '2021-01-06 10:13:08'),
(15034, 'de', 'label', 'Month', 'Monat', '2021-01-06 10:13:08'),
(15035, 'de', 'label', 'Months', 'Monate', '2021-01-06 10:13:08'),
(15036, 'de', 'label', 'Overview', 'Uebersicht', '2021-01-06 10:13:08'),
(15037, 'de', 'label', 'Rating', 'Bewertung', '2021-01-06 10:13:08'),
(15038, 'de', 'label', 'Read', 'Lesen', '2021-01-06 10:13:08'),
(15039, 'de', 'label', 'Reviews', 'Bewertungen', '2021-01-06 10:13:08'),
(15040, 'de', 'label', 'Second', 'Sekunde', '2021-01-06 10:13:08'),
(15041, 'de', 'label', 'Speed', 'Geschwindigkeit', '2021-01-06 10:13:08'),
(15042, 'de', 'label', 'Type', 'Typ', '2021-01-06 10:13:08'),
(15043, 'de', 'label', 'Usability', 'Nutzerfreundlichkeit', '2021-01-06 10:13:08'),
(15044, 'de', 'label', 'Week', 'Woche', '2021-01-06 10:13:08'),
(15045, 'de', 'label', 'Write', 'Schreiben', '2021-01-06 10:13:08'),
(15046, 'de', 'label', 'Year', 'Jahr', '2021-01-06 10:13:08'),
(15047, 'de', 'log', 'Mail Log Details', 'Log Details mailen', '2021-01-06 10:13:38'),
(15048, 'de', 'login', 'user_not_activated_msg', 'Benutzer ist nicht aktiviert. Bitte prüfe deine Email Postfach für die Aktivierungs-Mail.', '2021-01-06 10:14:32'),
(15049, 'de', 'login', 'Your account activated successfully', 'Dein Konto wurde erfolgreich aktiviert.', '2021-01-06 10:14:32'),
(15050, 'de', 'myaccount', 'Connect', 'Verbinden', '2021-01-06 10:15:01'),
(15051, 'de', 'myaccount', 'Connected', 'Verbunden', '2021-01-06 10:15:01'),
(15052, 'de', 'myaccount', 'Disconnect', 'Verbindung trennen', '2021-01-06 10:15:01'),
(15053, 'de', 'myaccount', 'Disconnected', 'Verbindung getrennt', '2021-01-06 10:15:01'),
(15054, 'de', 'pagespeed', 'Desktop Speed', 'Desktop Geschwindigkeit', '2021-01-06 10:16:42'),
(15055, 'de', 'pagespeed', 'Mobile Speed', 'Mobile Geschwindigkeit', '2021-01-06 10:16:42'),
(15056, 'de', 'pagespeed', 'Mobile Usability', 'Mobile Benutzerfreundlichkeit', '2021-01-06 10:16:42'),
(15057, 'de', 'pagespeed', 'Page Speed', 'Page Speed', '2021-01-06 10:16:42'),
(15058, 'de', 'pagespeed', 'PageSpeed Details', 'Page Speed Details', '2021-01-06 10:16:42'),
(15059, 'de', 'pagespeed', 'Saved page speed results of', 'Page Speed Ergebnisse speichern von', '2021-01-06 10:16:42'),
(15060, 'de', 'panel', 'Alerts', 'Benachrichtigungen', '2023-01-03 14:44:32'),
(15061, 'de', 'panel', 'Connections', 'Verbindungen', '2023-01-03 14:44:32'),
(15062, 'de', 'panel', 'Current Time', 'Aktuelle Zeit', '2023-01-03 14:44:32'),
(15063, 'de', 'panel', 'DataForSEO Settings', 'DataForSEO Einstellungen', '2023-01-03 14:44:32'),
(15064, 'de', 'panel', 'Global Reports Settings', 'Globale Berichte Einstellungen', '2023-01-03 14:44:32'),
(15065, 'de', 'panel', 'Google Settings', 'Google Einstellungen', '2023-01-03 14:44:32'),
(15066, 'de', 'panel', 'Mail Log Manager', 'Email Log Manager', '2023-01-03 14:44:32'),
(15067, 'de', 'panel', 'Mail Settings', 'Email Einstellungen', '2023-01-03 14:44:32'),
(15068, 'de', 'panel', 'MOZ Settings', 'MOZ Einstellungen', '2023-01-03 14:44:32'),
(15069, 'de', 'panel', 'Report Generation Logs', 'Berichtserstellung Logdateien', '2023-01-03 14:44:32'),
(15070, 'de', 'panel', 'Settings', 'Einstellungen', '2023-01-03 14:44:32'),
(15071, 'de', 'panel', 'Sitemaps', 'Sitemaps', '2023-01-03 14:44:32'),
(15072, 'de', 'panel', 'Submit Sitemap', 'Sitemaps uebermitteln', '2023-01-03 14:44:32'),
(15073, 'de', 'panel', 'Sync Search Engines', 'Suchmaschinen synchronisieren', '2023-01-03 14:44:32'),
(15074, 'de', 'panel', 'Test Email Settings', 'Email Einstellungen testen', '2023-01-03 14:44:32'),
(15075, 'de', 'panel', 'User Type Settings', 'Benutzertyp Einstellungen', '2023-01-03 14:44:32'),
(15076, 'de', 'panel', 'Website Access Manager', 'Webseitenzugriff Manager', '2023-01-03 14:44:32'),
(15077, 'de', 'proxy', 'click-to-get-proxy', 'Klicke hier um Proxy zu erhalten', '2021-01-06 10:21:00'),
(15078, 'de', 'QuickWebProxy', 'Anonymize', 'Anonymisieren', '2021-01-06 10:22:04'),
(15079, 'de', 'QuickWebProxy', 'Please enter a valid url', 'Bitte gueltige URL eintragen', '2021-01-06 10:22:04'),
(15080, 'de', 'QuickWebProxy', 'QWP_ALLOW_USER_WEB_PROXY', 'Benutzer erlauben auf Web Proxy zuzugreifen', '2021-01-06 10:22:04'),
(15081, 'de', 'QuickWebProxy', 'QWP_ALLOW_WEB_SERVER_ACT_AS_PROXY', 'Web Server erlauben als Proxy zu agieren', '2021-01-06 10:22:04'),
(15082, 'de', 'QuickWebProxy', 'Server list is empty', 'Server Liste ist leer', '2021-01-06 10:22:04'),
(15083, 'de', 'QuickWebProxy', 'Web Proxy', 'Web Proxy', '2021-01-06 10:22:04'),
(15084, 'de', 'QuickWebProxy', 'Web Server', 'Web Server', '2021-01-06 10:22:04'),
(15085, 'de', 'register', 'Registration', 'Registrierung', '2021-01-06 10:23:16'),
(15086, 'de', 'register', 'user_confirm_content_1', 'Interner Fehler bei der Bearbeitung der Anfrage', '2021-01-06 10:23:16'),
(15087, 'de', 'register', 'user_confirm_mail_cont_1', 'Danke für deine Registrierung mit', '2021-01-06 10:23:16'),
(15088, 'de', 'register', 'user_confirm_mail_cont_2', 'Bitte klicke auf folgenden Link um die Registrierung abzuschliessen', '2021-01-06 10:23:16'),
(15089, 'de', 'reports', 'Reports Generated Successfully', 'Berichte erfolgreich generiert', '2021-01-06 10:23:32'),
(15090, 'de', 'review', 'Edit Review Link', 'Bewertungslink bearbeiten', '2021-01-06 10:23:52'),
(15091, 'de', 'review', 'New Review Link', 'Neuer Bewertungslink', '2021-01-06 10:23:52'),
(15092, 'de', 'siteauditor', 'Check pagerank of pages', 'Pagerank von Seiten ueberpruefen', '2021-01-06 10:26:09'),
(15093, 'de', 'siteauditor', 'The page is having excellent page authority value', 'Die Seite hat einen ausgezeichneten Page Authority Wert', '2021-01-06 10:26:09'),
(15094, 'de', 'siteauditor', 'The page is having good page authority value', 'Die Seite hat einen guten Page Authority Wert', '2021-01-06 10:26:09'),
(15095, 'de', 'siteauditor', 'The page is having poor page authority value', 'Die Seite hat einen niedrigen Page Authority Wert', '2021-01-06 10:26:09'),
(15096, 'de', 'siteauditor', 'The page is having very good page authority value', 'Die Seite hat einen sehr guten Page Authority Wert', '2021-01-06 10:26:09'),
(15169, 'de', 'analytics', 'Avg. Session Duration', 'Durchschn. Sitzungsdauer', '2021-01-07 18:32:43'),
(15097, 'de', 'api', 'API Guide', 'API Leitfaden', '2021-01-07 08:34:06'),
(15098, 'de', 'seotools', 'clickproceedaction', '<b>Eine URL pro Zeile</b> eintragen. Auf <b>Fortfahren</b> klicken um Ergebnisse zu pruefen.', '2021-01-07 08:40:24'),
(15099, 'de', 'seotools', 'Detailed Reports', 'Detaillierte Berichte', '2021-01-07 08:40:24'),
(15100, 'de', 'seotools', 'Edit Seo Tool', 'SEO Tool bearbeiten', '2021-01-07 08:40:24'),
(15101, 'de', 'seotools', 'Generate Reports', 'Berichte erstellen', '2021-01-07 08:40:24'),
(15102, 'de', 'seotools', 'Graphical Reports', 'Grafische Berichte', '2021-01-07 08:40:24'),
(15103, 'de', 'seotools', 'Keyword Search Reports', 'Keyword Suche Berichte', '2021-01-07 08:40:24'),
(15104, 'de', 'seotools', 'Keyword Search Summary', 'Keyword Suche Zusammenfassung', '2021-01-07 08:40:24'),
(15105, 'de', 'seotools', 'note_report_generation', 'Wir empfehlen Cron Jobs für die Berichterstellung zu nutzen.\r\nDiese Aktion kann das Lösen von Captchas erfordern.', '2021-01-07 08:40:24'),
(15106, 'de', 'seotools', 'pagespeed', 'PageSpeed Insights', '2021-01-07 08:40:24'),
(15107, 'de', 'seotools', 'PageSpeed Reports', 'PageSpeed Berichte', '2021-01-07 08:40:24'),
(15108, 'de', 'seotools', 'Quick Checker', 'Schneller Check', '2021-01-07 08:40:24'),
(15109, 'de', 'seotools', 'Quick PageSpeed Checker', 'Schneller PageSpeed Check', '2021-01-07 08:40:24'),
(15110, 'de', 'seotools', 'Review Links', 'Bewertungs-Links', '2021-01-07 08:40:24'),
(15111, 'de', 'seotools', 'Review Report Summary', 'Bewertungs-Bericht Zusammenfassung', '2021-01-07 08:40:24'),
(15112, 'de', 'seotools', 'review-manager', 'Bewertungs-Manager', '2021-01-07 08:40:24'),
(15113, 'de', 'seotools', 'Sitemap Reports Summary', 'Sitemap Berichte Zusammenfassung', '2021-01-07 08:40:24'),
(15114, 'de', 'seotools', 'sm-checker', 'Social Media Check', '2021-01-07 08:40:24'),
(15115, 'de', 'seotools', 'Social Media Links', 'Social Media Links', '2021-01-07 08:40:24'),
(15116, 'de', 'seotools', 'Social Media Report Summary', 'Social Media Bericht Zusammenfassung', '2021-01-07 08:40:24'),
(15117, 'de', 'seotools', 'web-analytics', 'Webseiten Analyse', '2021-01-07 08:40:24'),
(15118, 'de', 'seotools', 'webmaster-tools', 'Webmaster Tools', '2021-01-07 08:40:24'),
(15119, 'de', 'seotools', 'Website Analytics Summary', 'Webseiten Analyse Zusammenfassung', '2021-01-07 08:40:24'),
(15120, 'de', 'seotools', 'Website Search Reports', 'Webseiten Such-Berichte', '2021-01-07 08:40:24'),
(15121, 'de', 'seotools', 'Website Search Summary', 'Webseiten Such-Zusammenfassung', '2021-01-07 08:40:24'),
(15122, 'de', 'settings', 'Authorised redirect URI', 'Authorised redirect URI', '2021-01-08 08:28:43'),
(15123, 'de', 'settings', 'click-to-get-dataforseo-account', 'Klicke hier, um ein gratis DataForSEO Konto zu erhalten', '2021-01-08 08:28:43'),
(15124, 'de', 'settings', 'click-to-get-google-api-client-id', 'Klicke hier, um eine Google API Client Id zu erhalten', '2021-01-08 08:28:43'),
(15125, 'de', 'settings', 'click-to-get-google-api-key', 'Klicke hier, um einen Google API Key zu erhalten', '2021-01-08 08:28:43'),
(15126, 'de', 'settings', 'click-to-get-moz-account', 'Klicke hier, um einen MOZ Account zu erhalten', '2021-01-08 08:28:43'),
(15127, 'de', 'settings', 'Please update google settings to get the results', 'Bitte Google Einstellungen aktualisieren um Ergebnisse zu erhalten', '2021-01-08 08:28:43'),
(15128, 'de', 'settings', 'Please update MOZ settings to get complete results', 'Bitte MOZ Einstellungen aktualisieren um vollstaendige Ergebnisse zu erhalten', '2021-01-08 08:28:43'),
(15129, 'de', 'settings', 'Send Email', 'Email senden', '2021-01-08 08:28:43'),
(15130, 'de', 'settings', 'SP_DFS_API_LOGIN', 'API Login', '2021-01-08 08:28:43'),
(15131, 'de', 'settings', 'SP_DFS_API_PASSWORD', 'API Passwort', '2021-01-08 08:28:43'),
(15132, 'de', 'settings', 'SP_DFS_BALANCE', 'DataForSEO Guthaben ($)', '2021-01-08 08:28:43'),
(15133, 'de', 'settings', 'SP_ENABLE_DFS', 'DataForSEO aktivieren', '2021-01-08 08:28:43'),
(15134, 'de', 'settings', 'SP_ENABLE_DFS_BACK_SATU', 'Aktivieren fuer Backlink und Saettigungs-Check', '2021-01-08 08:28:43'),
(15135, 'de', 'settings', 'SP_ENABLE_DFS_SANDBOX', 'Sandbox aktivieren', '2021-01-08 08:28:43'),
(15136, 'de', 'settings', 'SP_ENABLE_PROXY_GOOGLE_API', 'Proxy fuer Google API aktivieren', '2021-01-08 08:28:43'),
(15137, 'de', 'settings', 'SP_ENABLE_RECAPTCHA', 'reCaptcha aktivieren', '2021-01-08 08:28:43'),
(15138, 'de', 'settings', 'SP_GOOGLE_ANALYTICS_TRACK_CODE', 'Google Analytics Tracking Code', '2021-01-08 08:28:43'),
(15139, 'de', 'settings', 'SP_GOOGLE_API_CLIENT_ID', 'Google API Client ID', '2021-01-08 08:28:43'),
(15140, 'de', 'settings', 'SP_GOOGLE_API_CLIENT_SECRET', 'Google API Client Secret', '2021-01-08 08:28:43'),
(15141, 'de', 'settings', 'SP_GOOGLE_API_KEY', 'Google API Key', '2021-01-08 08:28:43'),
(15142, 'de', 'settings', 'SP_MAIL_ENCRYPTION', 'Email Verschluesselung', '2021-01-08 08:28:43'),
(15143, 'de', 'settings', 'SP_MOZ_API_ACCESS_ID', 'Access ID', '2021-01-08 08:28:43'),
(15144, 'de', 'settings', 'SP_MOZ_API_SECRET', 'Secret Key', '2021-01-08 08:28:43'),
(15145, 'de', 'settings', 'SP_RECAPTCHA_SECRET_KEY', 'reCaptcha Secret Key', '2021-01-08 08:28:43'),
(15146, 'de', 'settings', 'SP_RECAPTCHA_SITE_KEY', 'reCaptcha Site Key', '2021-01-08 08:28:43'),
(15147, 'de', 'settings', 'SP_SEND_CUSTOM_HEADER_IN_CURL', 'Benutzerdefinierten header mit curl Anfrage senden', '2021-01-08 08:28:43'),
(15148, 'de', 'settings', 'SP_SENDGRID_API', 'Sendgrid API aktivieren', '2021-01-08 08:28:43'),
(15149, 'de', 'settings', 'Verify connection', 'Verbindung verifizieren', '2021-01-08 08:28:43'),
(15150, 'de', 'sitemap', 'Downloaded', 'Heruntergeladen', '2021-01-07 08:49:35'),
(15151, 'de', 'sitemap', 'Submitted', 'Uebermittelt', '2021-01-07 08:49:35'),
(15152, 'de', 'sitemap', 'Sync Sitemaps', 'Sitemaps synchronisieren', '2021-01-07 08:49:35'),
(15153, 'de', 'socialmedia', 'Click here to get LinkedIn Company Id', 'Hier klicken, um LinkedIn Firman-ID zu erhalten', '2021-01-07 08:50:51'),
(15154, 'de', 'socialmedia', 'Company Id', 'Firmen-ID', '2021-01-07 08:50:51'),
(15155, 'de', 'socialmedia', 'Edit Social Media Link', 'Social Media Link bearbeiten', '2021-01-07 08:50:51'),
(15156, 'de', 'socialmedia', 'New Social Media Link', 'Neuer Social Media Link', '2021-01-07 08:50:51'),
(15157, 'de', 'socialmedia', 'Your social media link count already reached the limit', 'Maximale Anzahl an Social Media Links erreicht', '2021-01-07 08:50:51'),
(15158, 'de', 'webmaster', 'Average Position', 'Durchschnittliche Position', '2021-01-07 08:51:37'),
(15159, 'de', 'webmaster', 'Click here to connect to your google account', 'Hier klicken, um mit Google Konto zu verbinden', '2021-01-07 08:51:37'),
(15160, 'de', 'webmaster', 'Error: Google api connection failed', 'Fehler: Google API Verbindung fehlgeschlagen', '2021-01-07 08:51:37'),
(15161, 'de', 'website', 'Add to Webmaster Tools', 'Zu Webmaster Tools hinzufügen', '2021-01-07 08:53:49'),
(15162, 'de', 'website', 'Click here to get Google Analytics View Id', 'Hier klicken, um Google Analytics View ID zu erhalten', '2021-01-07 08:53:49'),
(15163, 'de', 'website', 'Google Analytics View Id', 'Google Analytics View ID', '2021-01-07 08:53:49'),
(15164, 'de', 'website', 'Sitemap successfully added to webmaster tools', 'Sitemap erfolgreich zu Webmaster Tools hinzugefuegt', '2021-01-07 08:53:49'),
(15165, 'de', 'website', 'Successfully deleted sitemap from webmaster tools', 'Sitemap erfolgreich aus Webmaster Tools entfernt', '2021-01-07 08:53:49'),
(15166, 'de', 'website', 'Successfully imported following websites', 'Erfolgreich folgende Webseiten importiert', '2021-01-07 08:53:49'),
(15167, 'de', 'website', 'Successfully sync sitemaps from webmaster tools', 'Erfolgreich Sitemaps aus Webmaster Tools synchronisiert', '2021-01-07 08:53:49'),
(15168, 'de', 'website', 'Website successfully added to webmaster tools', 'Webseite erfolgreicht zu Webmaster Tools hinzugefuegt', '2021-01-07 08:53:49'),
(15170, 'de', 'subscription', 'Access Type', 'Zugriffstyp', '2021-01-29 09:00:38'),
(15171, 'de', 'subscription', 'Directory Submit Daily Limit', 'Taegliches Verzeichnis-Eintragungs Limit', '2021-01-29 09:00:38'),
(15172, 'de', 'subscription', 'Directory Submit Limit', 'Verzeichnis-Eintragungs Limit', '2021-01-29 09:00:38'),
(15173, 'de', 'subscription', 'Edit Email Template', 'Email Vorlage bearbeiten', '2021-01-29 09:00:38'),
(15174, 'de', 'subscription', 'Email Template Manager', 'Email Vorlagen Manager', '2021-01-29 09:00:38'),
(15175, 'de', 'subscription', 'enable_email_activation', 'Email Aktivierung aktivieren', '2021-01-29 09:00:38'),
(15176, 'de', 'subscription', 'free_trial_period', 'Gratis Test-Zeitraum', '2021-01-29 09:00:38'),
(15177, 'de', 'subscription', 'infinite_limit_text', '<b>Notiz</b>: -1 eintragen für kein Limit', '2021-01-29 09:00:38'),
(15178, 'de', 'subscription', 'Orders', 'Bestellungen', '2021-01-29 09:00:38'),
(15179, 'de', 'subscription', 'Payment Gateway Manager', 'Zahlungsmittel Manager', '2021-01-29 09:00:38'),
(15180, 'de', 'subscription', 'Plugin Access Settings', 'Zugriffseinstellungen fuer Erweiterungen', '2021-01-29 09:00:38'),
(15181, 'de', 'subscription', 'Review Link Count', 'Anzahl Bewertungslinks', '2021-01-29 09:00:38'),
(15182, 'de', 'subscription', 'Seo Tools Access Settings', 'SEO Tools Zugriffseinstellungen', '2021-01-29 09:00:38'),
(15183, 'de', 'subscription', 'site_auditor_max_page_limit', 'Webseiten Auditor Anzahl maximaler Seiten', '2021-01-29 09:00:38'),
(15184, 'de', 'subscription', 'Social Media Link Count', 'Anzahl Social Media Links', '2021-01-29 09:00:38'),
(15185, 'de', 'subscription', 'SUBSCRIPTION_EXPIRED_NOTIFICATION', 'Benachrichtigung fuer abgelaufene Mitgliedschaft (nach)', '2021-01-29 09:00:38'),
(15186, 'de', 'subscription', 'SUBSCRIPTION_RENEWAL_REMINDER_1', 'Erinnerung Mitgliedschafts-Erneuerung 1 (vor)', '2021-01-29 09:00:38'),
(15187, 'de', 'subscription', 'SUBSCRIPTION_RENEWAL_REMINDER_2', 'Erinnerung Mitgliedschafts-Erneuerung 2 (vor)', '2021-01-29 09:00:38'),
(15188, 'de', 'subscription', 'total_count_greater_account_limit', 'Gesamtzahl ist hoeher als Konto-Limit - [limit]', '2021-01-29 09:00:38'),
(15189, 'de', 'subscription', 'total_count_greater_account_limit_dir_sub', 'Anzahl der Verzeichnis-Eintragungen ist hoeher als Konto-Limit - [limit]', '2021-01-29 09:00:38'),
(15190, 'de', 'subscription', 'total_count_greater_account_limit_dir_sub_daily', 'Anzahl der Verzeichnis-Eintragungen ist hoeher als taegliches Konto-Limit - [limit]', '2021-01-29 09:00:38'),
(15191, 'en', 'panel', 'Project Manager', 'Project Manager', '2021-08-30 18:43:21'),
(15192, 'en', 'panel', 'Project Summary', 'Project Summary', '2021-08-30 18:43:21'),
(15193, 'en', 'QuickWebProxy', 'Url blocked in the web proxy', 'Url blocked in the web proxy', '2021-08-30 18:43:21'),
(15194, 'en', 'QuickWebProxy', 'QWP_PROXY_BLOCK_URLS', 'Blocked Urls In Web Proxy', '2021-08-30 18:43:21'),
(15195, 'en', 'QuickWebProxy', 'QWP_PROXY_BLOCK_URLS_comment', 'Insert urls separated with comma to block in web proxy.', '2021-08-30 18:43:21');
INSERT INTO `texts` (`id`, `lang_code`, `category`, `label`, `content`, `changed`) VALUES
(15196, 'it', 'analytics', 'Avg_ Session Duration', 'Durata media sessione.', '2022-07-11 11:14:22'),
(15197, 'it', 'analytics', 'Bounce Rate', 'Bounce Rate', '2022-07-11 11:14:22'),
(15198, 'it', 'analytics', 'Goal Completions', 'Obiettivi completati', '2022-07-11 11:14:22'),
(15199, 'it', 'analytics', 'New Users', 'Nuovi utenti', '2022-07-11 11:14:22'),
(15200, 'it', 'analytics', 'Sessions', 'Sessioni', '2022-07-11 11:14:22'),
(15201, 'it', 'analytics', 'Users', 'Utenti', '2022-07-11 11:14:22'),
(15202, 'it', 'analytics', 'view_id_not_found_error', 'Errore:  La visualizzazione ID di  Analytics non è impostato per il sito web. Modifica il sito web e aggiorna l\'ID.', '2022-07-11 11:14:22'),
(15203, 'it', 'blog', 'Newer Posts', 'Nuovi post', '2022-07-11 11:14:12'),
(15204, 'it', 'blog', 'Nothing Found', 'Non è stato trovato nulla', '2022-07-11 11:14:12'),
(15205, 'it', 'blog', 'NothingFound_text2', 'Spiacente ma non c\'è corrispondenza tra i criteri di ricerca. Prova per cortesia con parole differenti', '2022-07-11 11:14:12'),
(15206, 'it', 'blog', 'Older Posts', 'Vecchi post', '2022-07-11 11:14:12'),
(15207, 'it', 'common', 'General', 'Generale', '2022-07-11 11:16:48'),
(15208, 'it', 'common', 'reCAPTCHA verification failed', 'Verifica reCAPTCHA fallita', '2022-07-11 11:16:48'),
(15209, 'it', 'common', 'Source', 'Origine', '2022-07-11 11:16:48'),
(15210, 'it', 'home', 'Keyword Overview Report', 'Panoramica rapporto keywords', '2022-07-11 11:16:33'),
(15211, 'it', 'home', 'Overall Report Summary', 'Rapporto generale', '2022-07-11 11:16:33'),
(15212, 'it', 'home', 'Page Overview Report', 'Pagina di rapporto', '2022-07-11 11:16:33'),
(15213, 'it', 'label', 'Ago', 'fa', '2022-07-11 11:17:58'),
(15214, 'it', 'label', 'Day', 'Giorno', '2022-07-11 11:17:58'),
(15215, 'it', 'label', 'Followers', 'Followers', '2022-07-11 11:17:58'),
(15216, 'it', 'label', 'From', 'Da', '2022-07-11 11:17:58'),
(15217, 'it', 'label', 'Hour', 'Ora', '2022-07-11 11:17:58'),
(15218, 'it', 'label', 'Just Now', 'Adesso', '2022-07-11 11:17:58'),
(15219, 'it', 'label', 'Likes', 'Like', '2022-07-11 11:17:58'),
(15220, 'it', 'label', 'Minute', 'Minuto', '2022-07-11 11:17:58'),
(15221, 'it', 'label', 'Month', 'Mese', '2022-07-11 11:17:58'),
(15222, 'it', 'label', 'Overview', 'Panoramica', '2022-07-11 11:17:58'),
(15223, 'it', 'label', 'Rating', 'Rating', '2022-07-11 11:17:58'),
(15224, 'it', 'label', 'Read', 'Letto', '2022-07-11 11:17:58'),
(15225, 'it', 'label', 'Reviews', 'Recensioni', '2022-07-11 11:17:58'),
(15226, 'it', 'label', 'Second', 'Secondo', '2022-07-11 11:17:58'),
(15227, 'it', 'label', 'Week', 'Settimana', '2022-07-11 11:17:58'),
(15228, 'it', 'label', 'Write', 'Scrivi', '2022-07-11 11:17:58'),
(15229, 'it', 'label', 'Year', 'Anno', '2022-07-11 11:17:58'),
(15230, 'it', 'log', 'Mail Log Details', 'Dettagli mail log', '2022-07-11 11:18:13'),
(15231, 'it', 'panel', 'Alerts', 'Avvisi', '2022-07-11 11:20:07'),
(15232, 'it', 'panel', 'Current Time', 'Ora corrente', '2022-07-11 11:20:07'),
(15233, 'it', 'panel', 'DataForSEO Settings', 'Impostazioni DataForSEO', '2022-07-11 11:20:07'),
(15234, 'it', 'panel', 'Mail Log Manager', 'Gestione mail log', '2022-07-11 11:20:07'),
(15235, 'it', 'panel', 'Mail Settings', 'Impostazion mail', '2022-07-11 11:20:07'),
(15236, 'it', 'panel', 'Project Manager', 'Project Manager', '2022-07-11 11:20:07'),
(15237, 'it', 'panel', 'Project Summary', 'Sintesi progetto', '2022-07-11 11:20:07'),
(15238, 'it', 'panel', 'Report Generation Logs', 'Registri di generazione dei rapporti', '2022-07-11 11:20:07'),
(15239, 'it', 'panel', 'Sitemaps', 'Sitemaps', '2022-07-11 11:20:07'),
(15240, 'it', 'panel', 'Submit Sitemap', 'Invia sitemap', '2022-07-11 11:20:07'),
(15241, 'it', 'panel', 'Sync Search Engines', 'Sincronizza motori di ricerca', '2022-07-11 11:20:07'),
(15242, 'it', 'panel', 'Test Email Settings', 'Testa impostazioni email', '2022-07-11 11:20:07'),
(15243, 'it', 'panel', 'Website Access Manager', 'Gestiione accesso sito web', '2022-07-11 11:20:07'),
(15246, 'ru', 'common', 'reCAPTCHA verification failed', 'Проверка reCAPTCHA не удалась', '2024-07-17 11:16:33'),
(15244, 'de', 'panel', 'Project Manager', '', '2023-01-03 14:44:32'),
(15245, 'de', 'panel', 'Project Summary', '', '2023-01-03 14:44:32'),
(15247, 'ru', 'label', 'From', 'От', '2024-07-17 11:17:22'),
(15248, 'ru', 'label', 'Read', 'Читать', '2024-07-17 11:17:22'),
(15249, 'ru', 'label', 'Write', 'Напишите', '2024-07-17 11:17:22'),
(15250, 'ru', 'log', 'Mail Log Details', 'Детали почтового лога', '2024-07-17 11:17:47'),
(15251, 'ru', 'panel', 'Current Time', 'Текущее время', '2024-07-17 11:19:14'),
(15252, 'ru', 'panel', 'DataForSEO Settings', 'Настройки DataForSEO', '2024-07-17 11:19:14'),
(15253, 'ru', 'panel', 'Mail Log Manager', 'Менеджер почтовых логов', '2024-07-17 11:19:14'),
(15254, 'ru', 'panel', 'Mail Settings', 'Настройка почты', '2024-07-17 11:19:14'),
(15255, 'ru', 'panel', 'Project Manager', 'Менеджер проектов', '2024-07-17 11:19:14'),
(15256, 'ru', 'panel', 'Project Summary', 'Резюме проекта', '2024-07-17 11:19:14'),
(15257, 'ru', 'panel', 'Sync Search Engines', 'Синхронизация поисковых систем', '2024-07-17 11:19:14'),
(15258, 'ru', 'QuickWebProxy', 'QWP_PROXY_BLOCK_URLS', 'Заблокированные адреса в веб-прокси', '2024-07-17 11:19:58'),
(15259, 'ru', 'QuickWebProxy', 'QWP_PROXY_BLOCK_URLS_comment', 'Вставьте URL-адреса через запятую, чтобы заблокировать их в веб-прокси.', '2024-07-17 11:19:58'),
(15260, 'ru', 'QuickWebProxy', 'Url blocked in the web proxy', 'URL заблокирован в веб-прокси', '2024-07-17 11:19:58'),
(15261, 'ru', 'seotools', 'note_report_generation', 'Мы рекомендуем использовать задания cron для создания отчетов.\r\nЭто действие может привести к появлению капчи в результатах поиска.', '2024-07-17 11:26:22'),
(15262, 'ru', 'settings', 'click-to-get-dataforseo-account', 'Нажмите здесь, чтобы получить бесплатный аккаунт DataForSEO', '2024-07-17 11:22:42'),
(15263, 'ru', 'settings', 'SP_DFS_API_LOGIN', 'Логин API', '2024-07-17 11:22:42'),
(15264, 'ru', 'settings', 'SP_DFS_API_PASSWORD', 'Пароль API', '2024-07-17 11:22:42'),
(15265, 'ru', 'settings', 'SP_DFS_BALANCE', 'Баланс в DataForSEO ($)', '2024-07-17 11:22:42'),
(15266, 'ru', 'settings', 'SP_ENABLE_DFS', 'Включить DataForSEO', '2024-07-17 11:22:42'),
(15267, 'ru', 'settings', 'SP_ENABLE_DFS_BACK_SATU', 'Включить проверку обратных ссылок и насыщенности', '2024-07-17 11:22:42'),
(15268, 'ru', 'settings', 'SP_ENABLE_DFS_SANDBOX', 'Включить песочницу', '2024-07-17 11:22:42'),
(15269, 'ru', 'settings', 'SP_ENABLE_RECAPTCHA', 'Включить reCAPTCHA', '2024-07-17 11:22:42'),
(15270, 'ru', 'settings', 'SP_RECAPTCHA_SECRET_KEY', 'Секретный ключ reCAPTCHA', '2024-07-17 11:22:42'),
(15271, 'ru', 'settings', 'SP_RECAPTCHA_SITE_KEY', 'Ключ сайта reCAPTCHA', '2024-07-17 11:22:42'),
(15272, 'ru', 'settings', 'SP_SENDGRID_API', 'Включить API Sendgrid', '2024-07-17 11:22:42'),
(15273, 'ru', 'socialmedia', 'Click here to get LinkedIn Company Id', 'Нажмите чтобы получить Id LinkedIn', '2024-07-17 11:23:19'),
(15274, 'ru', 'socialmedia', 'Company Id', 'Id компании', '2024-07-17 11:23:19'),
(15275, 'ru', 'subscription', 'Access Type', 'Тип доступа', '2024-07-17 11:24:41'),
(15276, 'en', 'website', 'Sync Google Analytics Properties', 'Sync Google Analytics Properties', '2024-09-03 19:12:17'),
(15277, 'en', 'website', 'Google Analytics Property', 'Google Analytics Property', '2024-09-03 19:12:17'),
(15278, 'en', 'common', 'Invalid Url', 'Invalid Url', '2024-09-03 19:12:17');

DROP TABLE IF EXISTS `translators`;
CREATE TABLE `translators` (
  `id` int(11) UNSIGNED NOT NULL,
  `lang_code` varchar(8) NOT NULL,
  `trans_name` varchar(64) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `trans_company` varchar(64) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL,
  `trans_website` varchar(200) CHARACTER SET utf8 COLLATE utf8_unicode_ci NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

INSERT INTO `translators` (`id`, `lang_code`, `trans_name`, `trans_company`, `trans_website`) VALUES
(1, 'de', 'Christopher Hüneke', 'ChriSEO', 'https://www.chriseo.de/'),
(2, 'es', 'AnunciosEnLinea.es', 'AnunciosEnLinea.es', 'http://www.anunciosenlinea.es/'),
(3, 'fr', 'Erik De Zeeuw', 'Baziq', 'http://baziq.fr'),
(4, 'pl', 'Marek Cich', 'marekcich.co.uk', 'http://www.marekcich.co.uk/'),
(5, 'ru', 'Alexander Arapov', 'Arsko', 'http://seo-panel.ru/'),
(6, 'nl', 'Bas van Eijk', 'Bureau Creaties', 'http://www.bureaucreaties.nl'),
(7, 'nl', 'Manuel Schroyens', 'Webaholic', 'http://www.webaholic.be/'),
(8, 'it', 'Antonio Cionfs Confessore', 'Cionfs\'Forum CMS', 'http://www.cionfs.it/forum/'),
(9, 'zh', '许腾飞', ' 斐然小居', 'http://www.tengfei.biz/'),
(10, 'hu', 'Bocskói Botond', 'MSN Downloads', 'http://www.msnfan.hu/'),
(11, 'pt', 'pedro vaz', 'internet services', 'http://www.temnet.pt/'),
(12, 'ro', 'Sfetcu Paul', 'freelancer RO', 'http://www.servicewebit.ro/'),
(13, 'bg', 'Dimitar Kukov', 'Web Lab Bulgaria', 'http://www.weblab-bg.com/'),
(14, 'el', 'Vaggelis Tsagklis', 'BLB.gr', 'http://www.blb.gr/'),
(15, 'cn', '周天伟', 'IT非正常人类', 'http://www.kaotama.com.cn'),
(16, 'es', 'Alex Rubio', 'miniz', 'http://www.technicalrp.com/'),
(17, 'tr', 'Buray Savas ANIL', 'Geliyoo Türkiye', 'http://www.geliyoo.com/'),
(18, 'fa', 'mohammad mohammadi', 'tirdadnova@yahoo.com', 'mailto:tirdadnova@yahoo.com'),
(19, 'he', 'Rea Maor', 'nekuda.co.il', 'http://nekuda.co.il'),
(20, 'sl', 'Andrej Arh', 'SEO spletni marketing', 'http://seomarketing.si/'),
(21, 'vn', 'Dung Dang Huy', 'www.huydung.net', 'http://www.huydung.net'),
(22, 'sk', 'Martin Babic', 'SEO služby', 'http://www.seo-sluzby.sk/'),
(23, 'ar', 'Bashiti', 'Oriental Security', 'http://www.orientalsecurity.com/'),
(24, 'pt-BR', 'Carlos Zamora', 'Agência SOFT', 'http://www.agenciasoft.com.br/'),
(25, 'id', 'Ikmal Syifai', 'ikmal.io', 'https://ikmal.io/'),
(26, 'cs', 'Tomas', 'berniecz@gmail.com', 'mailto:berniecz@gmail.com'),
(27, 'da', 'Michael S. Clausen', 'dingojet@gmail.com', 'mailto:dingojet@gmail.com'),
(28, 'es-ar', 'Federico Franic', 'ffranic.com.ar', 'http://ffranic.com.ar/'),
(29, 'lt', 'Rokas Globys', 'Auksera', 'http://www.auksera.lt/'),
(30, 'ja', 'Sumitaka Kanno', 'XyXon', 'http://www.xyxon.co.jp/'),
(32, 'sv', '', 'sökoptimering.se', 'http://sökoptimering.se/'),
(33, 'pt-BR', 'Edson Medeiros', 'We Marketing Digital', 'http://wemarketingdigital.com.br/'),
(34, 'tr', 'Nuh Mehmet SOYLU', 'Mehmet SOYLU', 'http://mehmet-soylu.com/'),
(35, 'sr', 'Nebojsa', 'Nebojsa', 'mailto:webdizajn026@gmail.com');


ALTER TABLE `languages`
  ADD PRIMARY KEY (`lang_code`);

ALTER TABLE `texts`
  ADD PRIMARY KEY (`id`),
  ADD UNIQUE KEY `language_id` (`lang_code`,`category`,`label`);

ALTER TABLE `translators`
  ADD PRIMARY KEY (`id`);


ALTER TABLE `texts`
  MODIFY `id` bigint(20) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=15279;

ALTER TABLE `translators`
  MODIFY `id` int(11) UNSIGNED NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=36;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
